Notebook[{Cell[CellGroupData[{Cell["FeynCalc 5.0beta1", "Title", 
      TextAlignment -> Center], Cell["Date: March 18th 2004", "Text"], 
     Cell[CellGroupData[{Cell["Tools for quantum field theory calculations", 
         "Subtitle", TextAlignment -> Center], Cell[TextData[
          StyleBox["Reference Guide", Rule[FontWeight, "Bold"]]], "Subtitle", 
         PageBreakBelow -> True, TextAlignment -> Center], 
        Cell["Rolf Mertig and Frederik Orellana", "Subsubtitle", 
         TextAlignment -> Center], Cell[TextData[{"HTML version: ", 
           ButtonBox["http://www.feyncalc.org/", 
             RuleDelayed[ButtonData, List[URL["http://www.feyncalc.org/"], 
               None]], Rule[ButtonStyle, "Hyperlink"], 
             Rule[ButtonNote, "http://www.feyncalc.org/"]]}], "Subsubtitle", 
         TextAlignment -> Center], Cell[BoxData[
          ButtonBox[\(click\ here\ to\ save\ this\ notebook\ without\ cache
              \ and\ FrontEndVersion\ info\), 
            RuleDelayed[ButtonFunction, 
             CompoundExpression[Block[List[], 
               CompoundExpression[SetDirectory[DirectoryName[ToFileName[
                   ReplaceAll["FileName", 
                    NotebookInformation[InputNotebook[]]]]]], 
                If[UnsameQ[FileNames["FeynCalcRefNoCache.nb"], List[]], 
                 DeleteFile["FeynCalcRefNoCache.nb"]], 
                NotebookSave[InputNotebook[], "temp.nb"], 
                Put[ReplaceAll[NotebookGet[InputNotebook[]], 
                  RuleDelayed[Sequence[], Sequence[]]], "fcr.nb"], 
                CopyFile["fcr.nb", "FeynCalcRefNoCache.nb"], 
                DeleteFile["temp.nb"], DeleteFile["fcr.nb"], 
                NotebookClose[InputNotebook[]]]]]], 
            Rule[ButtonEvaluator, Automatic]]], "NotebookDefault", 
         Active -> True, CellTags -> "GeneratedButtonBoxclick me to save this \
notebook without cache and FrontEndVersion info"], 
        Cell[CellGroupData[{Cell[BoxData[\(Date[]\)], "Input", 
            CellLabel -> "In[1]:="], Cell[BoxData[
             \(TraditionalForm\`\({2004, 3, 18, 17, 38, 
                   7.502464`7.627778907423701}\)\)], "Output", 
            CellLabel -> "Out[1]="]}, Open]], 
        Cell[CellGroupData[{Cell["Functions", "Section", CellTags -> 
             "Functions"], Cell["Evaluation time and memory usage", 
            "Commentary"], Cell[
            "This is only for timing purposes and can be omitted in general."\
, "Text"], Cell[CellGroupData[{Cell[BoxData[
                \(absolutestarttime = \(AbsoluteTime[]\)\)], "Input", 
               CellLabel -> "In[2]:="], Cell[BoxData[
                \(TraditionalForm\`3.288620287667761`16.269588720809065*^9\)]\
, "Output", CellLabel -> "Out[2]="]}, Open]], 
           Cell["<<HighEnergyPhysics`FeynCalc`", "Input", 
            CellLabel -> "In[3]:="], Cell["Abbreviation", "ObjectName", 
            PageBreakAbove -> True, CellTags -> "Abbreviation"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Abbreviation"], Cell["Abbreviation is a function \
used by OneLoop and PaVeReduce for generating smaller files when saving \
results to the hard disk. The convention is that a definition like GP = \
GluonPropagator should be accompanied by the definition \
Abbreviation[GluonPropagator] = HoldForm[GP].", "Text", CellTags -> 
                "Abbreviation"], Cell[TextData[{"See also:  ", 
                 ButtonBox["$Abbreviations", 
                   RuleDelayed[ButtonData, "$Abbreviations"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$Abbreviations"]], ", ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], ", ", 
                 ButtonBox["WriteOut", RuleDelayed[ButtonData, "WriteOut"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "WriteOut"]], ", ", 
                 ButtonBox["WriteOutPaVe", 
                   RuleDelayed[ButtonData, "WriteOutPaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "WriteOutPaVe"]], ", ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], ", ", 
                 ButtonBox["GluonVertex", 
                   RuleDelayed[ButtonData, "GluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonVertex"]], ", ", 
                 ButtonBox["QuarkPropagator", 
                   RuleDelayed[ButtonData, "QuarkPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuarkPropagator"]], "."}], "Text", 
               CellTags -> "Abbreviation"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Abbreviation"], Cell[CellGroupData[{Cell[BoxData[
                   \(GP[\(p,\ \({\[Mu],\ a}\),\ \({\[Nu],\ b}\)\)]\)], 
                  "Input", CellLabel -> "In[4]:=", CellTags -> 
                   "Abbreviation"], Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalPi]\_\(ab\)\%\(\[Mu]\[Nu]\)(
                        p)\)\)], "Output", CellLabel -> "Out[4]="]}, Open]]}, 
             Open]], Cell["Amplitude", "ObjectName", CellTags -> 
             "Amplitude"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "Amplitude"], Cell["Amplitude is \
a database of Feynman amplitudes. Amplitude[\"name\"] returns the amplitude \
corresponding to the string \"name\". A list of all defined names is obtained \
with Amplitude[]. New amplitudes can be added to the file \"Amplitude.m\". It \
is strongly recommended to use names that reflect the process. The option \
Gauge \[Rule] 1 means `t Hooft Feynman gauge; Polarization \[Rule] 0 gives \
unpolarized OPE-type amplitudes, Polarization \[Rule] 1 the polarized ones.", 
               "Text", CellTags -> "Amplitude"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[Amplitude]\)], "Input", CellLabel -> 
                   "In[5]:=", CellTags -> "Amplitude"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(Gauge \[Rule] 1\), \(QuarkMass \[Rule] 0\), 
                         \(Polarization \[Rule] 1\)}\)\)], "Output", 
                  CellLabel -> "Out[5]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FeynAmp", RuleDelayed[ButtonData, "FeynAmp"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmp"]], "."}], "Text", CellTags -> 
                "Amplitude"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Amplitude"], 
              Cell[CellGroupData[{Cell[BoxData[\(\(Amplitude[]\)//Length\)], 
                  "Input", CellLabel -> "In[6]:=", CellTags -> "Amplitude"], 
                 Cell[BoxData[\(TraditionalForm\`98\)], "Output", 
                  CellLabel -> "Out[6]="]}, Open]], 
              Cell["This is the amplitude of a gluon self-energy diagram.", 
               "Text", CellTags -> "Amplitude"], Cell[CellGroupData[
                {Cell[BoxData[\(Amplitude["se1g1"]\)], "Input", CellLabel -> 
                   "In[7]:=", CellTags -> "Amplitude"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{
                        \(\[CapitalPi]\_\(cd\)\%\(\[Alpha]\[Rho]\)\), "(", 
                        FormBox[\(p - q\), "TraditionalForm"], ")"}], " ", 
                      \(\[CapitalPi]\_\(ef\)\%\(\[Beta]\[Sigma]\)(q)\), " ", 
                      RowBox[{SuperscriptBox["V", RowBox[{FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], "(", 
                        RowBox[{FormBox[\(-p\), "TraditionalForm"], \(,\ \), 
                          FormBox[\(p - q\), "TraditionalForm"], \(,\ \), 
                          FormBox["q", "TraditionalForm"]}], ")"}], " ", 
                      RowBox[{SuperscriptBox["V", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]}]], "(", 
                        RowBox[{FormBox["p", "TraditionalForm"], \(,\ \), 
                          FormBox[\(q - p\), "TraditionalForm"], \(,\ \), 
                          FormBox[\(-q\), "TraditionalForm"]}], ")"}], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["f", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[7]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Explicit[%]\)], 
                  "Input", CellLabel -> "In[8]:=", CellTags -> "Amplitude"], 
                 Cell[BoxData[FormBox[RowBox[{"-", FractionBox[RowBox[{
                         \(g\_s\%2\), " ", \(g\^\(\[Alpha]\[Rho]\)\), " ", 
                         \(g\^\(\[Beta]\[Sigma]\)\), " ", RowBox[{"(", 
                          RowBox[{RowBox[{RowBox[{"(", RowBox[{RowBox[{"-", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}], " ", 
                          \(g\^\(\[Beta]\[Mu]\)\)}], "+", RowBox[{
                          \(g\^\(\[Alpha]\[Mu]\)\), " ", RowBox[{"(", RowBox[
                          {RowBox[{"2", " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Beta]", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}], "+", RowBox[{
                          \(g\^\(\[Alpha]\[Beta]\)\), " ", RowBox[{"(", 
                          RowBox[{RowBox[{"2", " ", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}]}], ")"}], " ", 
                         RowBox[{"(", RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", RowBox[{"2", " ", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", 
                          \(g\^\(\[Rho]\[Sigma]\)\)}], "+", RowBox[{
                          \(g\^\(\[Nu]\[Sigma]\)\), " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], "+", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                          "+", RowBox[{\(g\^\(\[Nu]\[Rho]\)\), " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], "-", 
                          RowBox[{"2", " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                          ")"}]}]}], ")"}], " ", SubscriptBox["\[Delta]", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                         SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "e", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["f", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["f", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(\((p - q)\)\^2\ q\^2\)]}]
                       , TraditionalForm]], "Output", CellLabel -> 
                   "Out[8]="]}, Open]], Cell[TextData[{"This is the amplitude \
for graph 6.2 from the paper Z.Phys C ", 
                 StyleBox["70:", Rule[FontWeight, "Bold"]], "637-654, 1996", 
                 StyleBox[".", Rule[FontWeight, "Bold"]]}], "Text", 
               CellTags -> "Amplitude"], Cell[CellGroupData[{Cell[BoxData[
                   \(FeynAmp[\(q1, q2, \(EpsEvaluate[
                          \(Trick[\(Explicit[\(Amplitude["gg2"]\)]\)]\)]\)\)]
                   \)], "Input", CellLabel -> "In[9]:=", CellTags -> 
                   "Amplitude"], Cell[BoxData[FormBox[RowBox[{"\[Integral]", 
                      \(\*StyleBox[\(\[DifferentialD]\^D q1\), 
                           Rule[ZeroWidthTimes, True]] \[Integral] 
                         \(\[DifferentialD]\^D q2\)\), "(", FormBox[RowBox[
                        {RowBox[{"(", RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                          \(g\_s\%4\), " ", SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[FormBox[\(\[Lambda]\_1\), 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[\(\[Lambda]\_5\), "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q2", 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"(", RowBox[{RowBox[{"2", " ", 
                          SuperscriptBox[FormBox["q1", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}], 
                          " ", \(g\^\(\[Lambda]\_7 \[Lambda]\_10\)\)}], "+", 
                          RowBox[{\(g\^\(\[Nu] \[Lambda]\_10\)\), " ", RowBox[
                          {"(", RowBox[{RowBox[{"2", " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_7\), "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_7\), "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}], "+", RowBox[{
                          \(g\^\(\[Nu] \[Lambda]\_7\)\), " ", RowBox[{"(", 
                          RowBox[{RowBox[{"-", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_10\), "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_10\), "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}]}], ")"}], " ", 
                          RowBox[{"(", RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", RowBox[{"2", " ", 
                          SuperscriptBox[FormBox["q2", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", 
                          \(g\^\(\[Lambda]\_1 \[Lambda]\_11\)\)}], "+", 
                          RowBox[{\(g\^\(\[Mu] \[Lambda]\_11\)\), " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox["q2", 
                          "TraditionalForm"], FormBox[FormBox[\(\[Lambda]\_1\)
                          , "TraditionalForm"], "TraditionalForm"]], "-", 
                          RowBox[{"2", " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox[\(\[Lambda]\_1\)
                          , "TraditionalForm"], "TraditionalForm"]]}]}], 
                          ")"}]}], "+", RowBox[{\(g\^\(\[Mu] \[Lambda]\_1\)\)
                          , " ", RowBox[{"(", RowBox[{SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_11\), "TraditionalForm"], 
                          "TraditionalForm"]], "+", SuperscriptBox[FormBox[
                          "q2", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_11\), "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}]}], ")"}], " ", 
                          RowBox[{"(", RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {RowBox[{"-", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_10\), "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_10\), "TraditionalForm"], 
                          "TraditionalForm"]], "+", RowBox[{"2", " ", 
                          SuperscriptBox[FormBox["q2", "TraditionalForm"], 
                          FormBox[FormBox[\(\[Lambda]\_10\), 
                          "TraditionalForm"], "TraditionalForm"]]}]}], ")"}], 
                          " ", \(g\^\(\[Lambda]\_11 \[Lambda]\_12\)\)}], "+", 
                          RowBox[{\(g\^\(\[Lambda]\_10 \[Lambda]\_12\)\), 
                          " ", RowBox[{"(", RowBox[{RowBox[{"-", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox[\(\[Lambda]\_11\), 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{"2", " ", SuperscriptBox[FormBox["q1", 
                          "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_11\), "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", SuperscriptBox[FormBox[
                          "q2", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_11\), "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}], "+", RowBox[{
                          \(g\^\(\[Lambda]\_10 \[Lambda]\_11\)\), " ", RowBox[
                          {"(", RowBox[{RowBox[{"2", " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_12\), "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_12\), "TraditionalForm"], 
                          "TraditionalForm"]], "-", SuperscriptBox[FormBox[
                          "q2", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_12\), "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}]}], ")"}], " ", 
                          RowBox[{"(", RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["q2", "TraditionalForm"], 
                          FormBox[FormBox[\(\[Lambda]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]], "-", 
                          RowBox[{"2", " ", SuperscriptBox[FormBox["q1", 
                          "TraditionalForm"], FormBox[FormBox[\(\[Lambda]\_5\)
                          , "TraditionalForm"], "TraditionalForm"]]}]}], 
                          ")"}], " ", \(g\^\(\[Lambda]\_7 \[Lambda]\_12\)\)}]
                          , "+", RowBox[{\(g\^\(\[Lambda]\_5 \[Lambda]\_12\)\)
                          , " ", RowBox[{"(", RowBox[{SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_7\), "TraditionalForm"], 
                          "TraditionalForm"]], "-", RowBox[{"2", " ", 
                          SuperscriptBox[FormBox["q2", "TraditionalForm"], 
                          FormBox[FormBox[\(\[Lambda]\_7\), 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                          ")"}]}], "+", RowBox[{
                          \(g\^\(\[Lambda]\_5 \[Lambda]\_7\)\), " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox["q1", 
                          "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_12\), "TraditionalForm"], 
                          "TraditionalForm"]], "+", SuperscriptBox[FormBox[
                          "q2", "TraditionalForm"], FormBox[FormBox[
                          \(\[Lambda]\_12\), "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}]}], ")"}], " ", 
                          RowBox[{"(", RowBox[{"1", "-", FormBox[
                          \(\((\(-1\))\)\^m\), "TraditionalForm"]}], ")"}], 
                          " ", FormBox[SuperscriptBox[RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q2", "TraditionalForm"]}], 
                          ")"}], \(m - 1\)], "TraditionalForm"], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[\("c"\_5\), "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox[\("c"\_11\), 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[\("c"\_7\), "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox[\("c"\_10\), 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox[\("c"\_5\)
                          , "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[\("c"\_7\), "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox[\("c"\_12\), 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox[
                          \("c"\_10\), "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox[\("c"\_11\), 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[\("c"\_12\), "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], "/", 
                         \(q1\^2 . q2\^2 . q2\^2 . \((q2 - p)\)\^2 . 
                            \((q1 - q2)\)\^2 . \((q1 - p)\)\^2\)}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[9]="]}, Open]]}, Open]], 
           Cell["Amputate", "ObjectName", CellTags -> "Amputate"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Amputate"], Cell["Amputate[exp,q1,q2,...] \
amputates Eps and DiracGamma. Amputate[exp,q1,q2,Pair\[Rule]{p}] amputates \
also p.q1 and p.q2; Pair\[Rule]All amputates all except OPEDelta.", "Text", 
               CellTags -> "Amputate"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[Amputate]\)], "Input", CellLabel -> "In[10]:=", 
                  CellTags -> "Amputate"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(Pair \[Rule] \({}\)\), \(Unique \[Rule] True\)}\)\
\)], "Output", CellLabel -> "Out[10]="]}, Open]], Cell[TextData[
                {"See also:  ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["DiracMatrix", 
                   RuleDelayed[ButtonData, "DiracMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracMatrix"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracSlash", RuleDelayed[ButtonData, 
                    "DiracSlash"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSlash"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], "."}], "Text", 
               CellTags -> "Amputate"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Amputate"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracSlash[p]\) . \(DiracSlash[q]\)\)], "Input", 
                  CellLabel -> "In[11]:=", CellTags -> "Amputate"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"(", RowBox[
                         {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                        ")"}], ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[11]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Amputate[\(%, q\)]\)], "Input", CellLabel -> "In[12]:=", 
                  CellTags -> "Amputate"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], ".", SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox[
                          \($AL$27 \[InvisibleApplication] \((1)\)\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                      SuperscriptBox[FormBox["q", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$27 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[12]="]}, 
                Open]]}, Open]], Cell["AnomalousDimension", "ObjectName", 
            CellTags -> "AnomalousDimension"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "AnomalousDimension"], Cell["AnomalousDimension[name] is a \
database of anomalous dimensions of twist 2 operators.", "Text", CellTags -> 
                "AnomalousDimension"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[AnomalousDimension]\)], "Input", CellLabel -> 
                   "In[13]:=", CellTags -> "AnomalousDimension"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Polarization \[Rule] 1\), 
                         \(Simplify \[Rule] FullSimplify\)}\)\)], "Output", 
                  CellLabel -> "Out[13]="]}, Open]], Cell[TextData[
                {"See also: ", 
                 ButtonBox["SplittingFunction", 
                   RuleDelayed[ButtonData, "SplittingFunction"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SplittingFunction"]], ", ", 
                 ButtonBox["SumS", RuleDelayed[ButtonData, "SumS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumS"]]\
, ", ", 
                 ButtonBox["SumT", RuleDelayed[ButtonData, "SumT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumT"]]\
, "."}], "Text", CellTags -> "AnomalousDimension"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "AnomalousDimension"], Cell["Polarized case", "Text", 
               CellTags -> "AnomalousDimension"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SetOptions[\ \(AnomalousDimension, 
                        \(Polarization \[Rule] 1\)\)]\)], "Input", 
                  CellLabel -> "In[14]:=", CellTags -> "AnomalousDimension"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Polarization \[Rule] 1\), 
                         \(Simplify \[Rule] FullSimplify\)}\)\)], "Output", 
                  CellLabel -> "Out[14]="]}, Open]], Cell[TextData[
                {Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(NS, qq\ \)\%\(\((0)\)\ \)\)]\
], "polarized"}], "Text", CellTags -> "AnomalousDimension"], 
              Cell[CellGroupData[{Cell[BoxData[\(AnomalousDimension[gnsqq0]\)]
                   , "Input", CellLabel -> "In[15]:=", CellTags -> 
                   "AnomalousDimension"], Cell[BoxData[FormBox[RowBox[{
                      \(C\_F\), " ", RowBox[{"(", RowBox[{RowBox[{"8", " ", 
                          RowBox[{\(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "+", \(4\/m\), "+", 
                          \(4\/\(m + 1\)\), "-", "6"}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[15]="]}, 
                Open]], Cell[TextData[{Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(S, qg\ \)\%\(\((0)\)\ \)\)]]\
, "polarized"}], "Text", CellTags -> "AnomalousDimension"], 
              Cell[CellGroupData[{Cell[BoxData[\(AnomalousDimension[gsqg0]\)]
                   , "Input", CellLabel -> "In[16]:=", CellTags -> 
                   "AnomalousDimension"], Cell[BoxData[
                   \(TraditionalForm\`\(\((8\/m - 16\/\(m + 1\))\)\ T\_f\)\)]\
, "Output", CellLabel -> "Out[16]="]}, Open]], Cell[TextData[{Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(S, gq\ \)\%\(\((0)\)\ \)\)]]\
, "polarized"}], "Text", CellTags -> "AnomalousDimension"], 
              Cell[CellGroupData[{Cell[BoxData[\(AnomalousDimension[gsgq0]\)]
                   , "Input", CellLabel -> "In[17]:=", CellTags -> 
                   "AnomalousDimension"], Cell[BoxData[
                   \(TraditionalForm\`\(C\_F\ \((4\/\(m + 1\) - 8\/m)\)\)\)], 
                  "Output", CellLabel -> "Out[17]="]}, Open]], 
              Cell[TextData[{Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(S, gg\ \)\%\(\((0)\)\ \)\)]]\
, "polarized"}], "Text", CellTags -> "AnomalousDimension"], 
              Cell[CellGroupData[{Cell[BoxData[\(AnomalousDimension[gsgg0]\)]
                   , "Input", CellLabel -> "In[18]:=", CellTags -> 
                   "AnomalousDimension"], Cell[BoxData[FormBox[RowBox[{
                      \(\(8\ T\_f\)\/3\), "+", RowBox[{\(C\_A\), " ", 
                        RowBox[{"(", RowBox[{RowBox[{"8", " ", RowBox[{
                          \(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", \(8\/m\), "+", 
                          \(16\/\(m + 1\)\), "-", \(22\/3\)}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[18]="]}, 
                Open]], Cell[TextData[{Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(PS, qq\ \)\%\(\((0)\)\ \)\)]\
], "polarized"}], "Text", CellTags -> "AnomalousDimension"], 
              Cell[CellGroupData[{Cell[BoxData[\(AnomalousDimension[gpsqq1]\)]
                   , "Input", CellLabel -> "In[19]:=", CellTags -> 
                   "AnomalousDimension"], Cell[BoxData[
                   \(TraditionalForm\`\(16\ C\_F\ 
                        \((1\/\(m + 1\) + 3\/\((m + 1)\)\^2 + 
                           2\/\((m + 1)\)\^3 - 1\/m - 1\/m\^2 + 2\/m\^3)\)\ 
                        T\_f\)\)], "Output", CellLabel -> "Out[19]="]}, 
                Open]], Cell[TextData[{Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(NS, qq\ \)\%\(\((1)\)\ \)\)]\
], "polarized"}], "Text", CellTags -> "AnomalousDimension"], 
              Cell[CellGroupData[{Cell[BoxData[\(AnomalousDimension[gnsqq1]\)]
                   , "Input", CellLabel -> "In[20]:=", CellTags -> 
                   "AnomalousDimension"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"-", RowBox[{"(", RowBox[{FractionBox[
                          RowBox[{"16", " ", RowBox[{\(S\_1\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], \(m\^2\)], 
                          "+", FractionBox[RowBox[{"16", " ", RowBox[{\(S\_1\)
                          , "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(\((m + 1)\)\^2\)], "+", FractionBox[
                          RowBox[{"16", " ", RowBox[{\(S\_2\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "m"], "+", 
                          FractionBox[RowBox[{"16", " ", RowBox[{\(S\_2\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(m + 1\)], "-", RowBox[{"24", " ", RowBox[
                          {\(S\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "+", RowBox[{"32", 
                          " ", RowBox[{\(S\_12\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "+", RowBox[{"32", 
                          " ", RowBox[{\(S\_21\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "+", FractionBox[
                          RowBox[{"32", " ", RowBox[{\(\(S\&~\)\_2\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          "m"], "+", FractionBox[RowBox[{"32", " ", RowBox[{
                          \(\(S\&~\)\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], \(m + 1\)], "-", 
                          RowBox[{"32", " ", RowBox[{\(\(S\&~\)\_3\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          "+", RowBox[{"64", " ", RowBox[{\(\(S\&~\)\_12\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], "-", \(40\/m\), "+", \(40\/\(m + 1\)\), 
                          "+", \(16\/\((m + 1)\)\^2\), "+", \(8\/m\^3\), "+", 
                          \(40\/\((m + 1)\)\^3\), "+", "3"}], ")"}]}], " ", 
                        \(C\_F\%2\)}], "-", RowBox[{\(N\_f\), " ", RowBox[
                         {"(", RowBox[{RowBox[{\(80\/9\), " ", RowBox[{
                          \(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", RowBox[{\(16\/3\)
                          , " ", RowBox[{\(S\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", \(8\/\(9\ m\)\), 
                          "+", \(88\/\(9\ \((m + 1)\)\)\), "-", 
                          \(8\/\(3\ m\^2\)\), "-", 
                          \(8\/\(3\ \((m + 1)\)\^2\)\), "-", \(2\/3\)}], 
                          ")"}], " ", \(C\_F\)}], "-", RowBox[{\(C\_A\), " ", 
                        RowBox[{"(", RowBox[{RowBox[{\(-\(536\/9\)\), " ", 
                          RowBox[{\(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "+", RowBox[{\(88\/3\)
                          , " ", RowBox[{\(S\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", RowBox[{"16", 
                          " ", RowBox[{\(S\_3\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", FractionBox[
                          RowBox[{"16", " ", RowBox[{\(\(S\&~\)\_2\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          "m"], "-", FractionBox[RowBox[{"16", " ", RowBox[{
                          \(\(S\&~\)\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], \(m + 1\)], "+", 
                          RowBox[{"16", " ", RowBox[{\(\(S\&~\)\_3\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          "-", RowBox[{"32", " ", RowBox[{\(\(S\&~\)\_12\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], "+", \(212\/\(9\ m\)\), "-", 
                          \(748\/\(9\ \((m + 1)\)\)\), "+", 
                          \(44\/\(3\ m\^2\)\), "-", 
                          \(4\/\(3\ \((m + 1)\)\^2\)\), "-", 
                          \(16\/\((m + 1)\)\^3\), "+", \(17\/3\)}], ")"}], 
                        " ", \(C\_F\)}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[20]="]}, Open]], Cell[TextData[
                {Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(S, qg\ \)\%\(\((1)\)\ \)\)]]\
, "polarized"}], "Text", CellTags -> "AnomalousDimension"], 
              Cell[CellGroupData[{Cell[BoxData[\(AnomalousDimension[gsqg1]\)]
                   , "Input", CellLabel -> "In[21]:=", CellTags -> 
                   "AnomalousDimension"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"8", " ", \(C\_F\), " ", \(T\_f\), " ", 
                        RowBox[{"(", RowBox[{FractionBox[RowBox[{"2", " ", 
                          RowBox[{\(S\_1\%2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "m"], "-", FractionBox[
                          RowBox[{"4", " ", RowBox[{\(S\_1\%2\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], \(m + 1\)], 
                          "-", FractionBox[RowBox[{"2", " ", RowBox[{\(S\_2\)
                          , "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], "m"], "+", FractionBox[RowBox[{"4", " ", 
                          RowBox[{\(S\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], \(m + 1\)], "+", 
                          \(14\/m\), "-", \(19\/\(m + 1\)\), "-", \(1\/m\^2\)
                          , "-", \(8\/\((m + 1)\)\^2\), "-", \(2\/m\^3\), 
                          "+", \(4\/\((m + 1)\)\^3\)}], ")"}]}], "+", 
                      RowBox[{"16", " ", \(C\_A\), " ", \(T\_f\), " ", 
                        RowBox[{"(", RowBox[{RowBox[{"-", FractionBox[RowBox[{
                          \(S\_1\%2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}], "m"]}], "+", FractionBox[
                          RowBox[{"2", " ", RowBox[{\(S\_1\%2\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], \(m + 1\)], 
                          "-", FractionBox[RowBox[{"2", " ", RowBox[{\(S\_1\)
                          , "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(m\^2\)], "+", FractionBox[RowBox[{"4", 
                          " ", RowBox[{\(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], \(\((m + 1)\)\^2\)], 
                          "-", FractionBox[RowBox[{\(S\_2\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}], "m"], "+", 
                          FractionBox[RowBox[{"2", " ", RowBox[{\(S\_2\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(m + 1\)], "-", FractionBox[RowBox[
                          {"2", " ", RowBox[{\(\(S\&~\)\_2\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "m"], "+", 
                          FractionBox[RowBox[{"4", " ", RowBox[{
                          \(\(S\&~\)\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], \(m + 1\)], "-", 
                          \(4\/m\), "+", \(3\/\(m + 1\)\), "-", \(3\/m\^2\), 
                          "+", \(8\/\((m + 1)\)\^2\), "+", \(2\/m\^3\), "+", 
                          \(12\/\((m + 1)\)\^3\)}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[21]="]}, 
                Open]], Cell[TextData[{Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(S, gq\ \)\%\(\((1)\)\ \)\)]]\
, "polarized"}], "Text", CellTags -> "AnomalousDimension"], 
              Cell[CellGroupData[{Cell[BoxData[\(AnomalousDimension[gsgq1]\)]
                   , "Input", CellLabel -> "In[22]:=", CellTags -> 
                   "AnomalousDimension"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"4", " ", RowBox[{"(", RowBox[{FractionBox[
                          RowBox[{"4", " ", RowBox[{\(S\_1\%2\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "m"], "-", 
                          FractionBox[RowBox[{"2", " ", RowBox[{\(S\_1\%2\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(m + 1\)], "-", FractionBox[RowBox[
                          {"8", " ", RowBox[{\(S\_1\), "(", FormBox[\(m - 1\)
                          , "TraditionalForm"], ")"}]}], "m"], "+", 
                          FractionBox[RowBox[{"2", " ", RowBox[{\(S\_1\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(m + 1\)], "+", FractionBox[RowBox[
                          {"8", " ", RowBox[{\(S\_1\), "(", FormBox[\(m - 1\)
                          , "TraditionalForm"], ")"}]}], \(m\^2\)], "-", 
                          FractionBox[RowBox[{"4", " ", RowBox[{\(S\_1\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(\((m + 1)\)\^2\)], "+", FractionBox[
                          RowBox[{"4", " ", RowBox[{\(S\_2\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "m"], "-", 
                          FractionBox[RowBox[{"2", " ", RowBox[{\(S\_2\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(m + 1\)], "+", \(15\/m\), "-", 
                          \(6\/\(m + 1\)\), "-", \(12\/m\^2\), "+", 
                          \(3\/\((m + 1)\)\^2\), "+", \(4\/m\^3\), "-", 
                          \(2\/\((m + 1)\)\^3\)}], ")"}], " ", \(C\_F\%2\)}], 
                      "+", RowBox[{"32", " ", \(T\_f\), " ", RowBox[{"(", 
                          RowBox[{RowBox[{"-", FractionBox[RowBox[{"2", " ", 
                          RowBox[{\(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], \(3\ m\)]}], "+", 
                          FractionBox[RowBox[{\(S\_1\), "(", FormBox[\(m - 1\)
                          , "TraditionalForm"], ")"}], \(3\ \((m + 1)\)\)], 
                          "+", \(7\/\(9\ m\)\), "-", \(2\/\(9\ \((m + 1)\)\)\)
                          , "-", \(2\/\(3\ m\^2\)\), "+", 
                          \(1\/\(3\ \((m + 1)\)\^2\)\)}], ")"}], " ", \(C\_F\)
                        }], "+", RowBox[{"8", " ", \(C\_A\), " ", RowBox[
                         {"(", RowBox[{RowBox[{"-", FractionBox[RowBox[{"2", 
                          " ", RowBox[{\(S\_1\%2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "m"]}], "+", 
                          FractionBox[RowBox[{\(S\_1\%2\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}], \(m + 1\)], 
                          "+", FractionBox[RowBox[{"16", " ", RowBox[{\(S\_1\)
                          , "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(3\ m\)], "-", FractionBox[RowBox[{"5", 
                          " ", RowBox[{\(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], \(3\ \((m + 1)\)\)], 
                          "+", FractionBox[RowBox[{"2", " ", RowBox[{\(S\_2\)
                          , "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], "m"], "-", FractionBox[RowBox[{\(S\_2\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], ")"}], 
                          \(m + 1\)], "+", FractionBox[RowBox[{"4", " ", 
                          RowBox[{\(\(S\&~\)\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "m"], "-", FractionBox[
                          RowBox[{"2", " ", RowBox[{\(\(S\&~\)\_2\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          \(m + 1\)], "-", \(56\/\(9\ m\)\), "-", 
                          \(20\/\(9\ \((m + 1)\)\)\), "+", \(28\/\(3\ m\^2\)\)
                          , "-", \(38\/\(3\ \((m + 1)\)\^2\)\), "-", 
                          \(4\/m\^3\), "-", \(6\/\((m + 1)\)\^3\)}], ")"}], 
                        " ", \(C\_F\)}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[22]="]}, Open]], Cell[TextData[
                {Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(S, gg\ \)\%\(\((1)\)\ \)\)]]\
, "polarized"}], "Text", CellTags -> "AnomalousDimension"], 
              Cell[CellGroupData[{Cell[BoxData[\(AnomalousDimension[gsgg1]\)]
                   , "Input", CellLabel -> "In[23]:=", CellTags -> 
                   "AnomalousDimension"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"4", " ", RowBox[{"(", RowBox[{FractionBox[
                          RowBox[{"8", " ", RowBox[{\(S\_1\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], \(m\^2\)], 
                          "-", FractionBox[RowBox[{"16", " ", RowBox[{\(S\_1\)
                          , "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], \(\((m + 1)\)\^2\)], "+", RowBox[{
                          \(134\/9\), " ", RowBox[{\(S\_1\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "+", 
                          FractionBox[RowBox[{"8", " ", RowBox[{\(S\_2\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], "m"], "-", FractionBox[RowBox[{"16", " ", 
                          RowBox[{\(S\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], \(m + 1\)], "+", 
                          RowBox[{"4", " ", RowBox[{\(S\_3\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "-", 
                          RowBox[{"8", " ", RowBox[{\(S\_12\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "-", 
                          RowBox[{"8", " ", RowBox[{\(S\_21\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "+", 
                          FractionBox[RowBox[{"8", " ", RowBox[{
                          \(\(S\&~\)\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "m"], "-", FractionBox[
                          RowBox[{"16", " ", RowBox[{\(\(S\&~\)\_2\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          \(m + 1\)], "+", RowBox[{"4", " ", RowBox[{
                          \(\(S\&~\)\_3\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", RowBox[{"8", " ", 
                          RowBox[{\(\(S\&~\)\_12\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", \(107\/\(9\ m\)\)
                          , "+", \(241\/\(9\ \((m + 1)\)\)\), "+", 
                          \(58\/\(3\ m\^2\)\), "-", 
                          \(86\/\(3\ \((m + 1)\)\^2\)\), "-", \(8\/m\^3\), 
                          "-", \(48\/\((m + 1)\)\^3\), "-", \(16\/3\)}], 
                          ")"}], " ", \(C\_A\%2\)}], "+", RowBox[{"32", " ", 
                        \(T\_f\), " ", RowBox[{"(", RowBox[{RowBox[{
                          \(-\(5\/9\)\), " ", RowBox[{\(S\_1\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "+", 
                          \(14\/\(9\ m\)\), "-", \(19\/\(9\ \((m + 1)\)\)\), 
                          "-", \(1\/\(3\ m\^2\)\), "-", 
                          \(1\/\(3\ \((m + 1)\)\^2\)\), "+", \(1\/3\)}], 
                          ")"}], " ", \(C\_A\)}], "+", 
                      \(8\ C\_F\ \((\(-\(10\/\(m + 1\)\)\) + 
                            2\/\((m + 1)\)\^2 + 4\/\((m + 1)\)\^3 + 1 + 10\/m
                             - 10\/m\^2 + 4\/m\^3)\)\ T\_f\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[23]="]}, 
                Open]], Cell[TextData[{Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(S, gg\ \)\%\(\((1)\)\ \)\)]]\
, "polarized (different representation)"}], "Text", CellTags -> 
                "AnomalousDimension"], Cell[CellGroupData[{Cell[BoxData[
                   \(AnomalousDimension[GSGG1]\)], "Input", CellLabel -> 
                   "In[24]:=", CellTags -> "AnomalousDimension"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"4", " ", RowBox[
                         {"(", RowBox[{
                          \(-\(\(\(m\ \((\(m\ \(
                                         (\(m\ 
                                            \((
                                            \(m\ 
                                            \((\(48\ m\ \((m + 3)\)\) + 469)
                                            \)\) + 698)\)\) + 7)\)\) + 258)\)
                          \) + 144\)\/\(9\ m\^3\ \((m + 1)\)\^3\)\)\), "+", 
                          FractionBox[RowBox[{"8", " ", RowBox[{\(S\_2\%'\), 
                          "\[NoBreak]", "(", "\[NoBreak]", FormBox[\(m\/2\), 
                          "TraditionalForm"], "\[NoBreak]", ")"}]}], 
                          \(m\ \((m + 1)\)\)], "-", RowBox[{\(S\_3\%'\), 
                          "\[NoBreak]", "(", "\[NoBreak]", FormBox[\(m\/2\), 
                          "TraditionalForm"], "\[NoBreak]", ")"}], "+", 
                          FractionBox[RowBox[{"2", " ", 
                          \((\(m\ \((\(67\ m\ \((m + 1)\)\^2\) + 144)\)\) + 
                              72)\), " ", RowBox[{\(S\_1\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], 
                          \(9\ m\^2\ \((m + 1)\)\^2\)], "-", RowBox[{"4", 
                          " ", RowBox[{\(S\_2\%'\), "\[NoBreak]", "(", 
                          "\[NoBreak]", FormBox[\(m\/2\), "TraditionalForm"], 
                          "\[NoBreak]", ")"}], " ", RowBox[{\(S\_1\), "(", 
                          FormBox["m", "TraditionalForm"], ")"}]}], "+", 
                          RowBox[{"8", " ", RowBox[{\(S\&~\), "(", FormBox[
                          "m", "TraditionalForm"], ")"}]}]}], ")"}], " ", 
                        \(C\_A\%2\)}], "+", RowBox[{"32", " ", \(T\_f\), " ", 
                        RowBox[{"(", RowBox[{
                          \(\(\(m\ \((m + 1)\)\ 
                                 \((\(3\ m\ \((m + 1)\)\) + 13)\)\) - 3\)\/
                             \(9\ m\^2\ \((m + 1)\)\^2\)\), "-", FractionBox[
                          RowBox[{"5", " ", RowBox[{\(S\_1\), "(", FormBox[
                          "m", "TraditionalForm"], ")"}]}], "9"]}], ")"}], 
                        " ", \(C\_A\)}], "+", 
                      \(\(8\ C\_F\ \((\(m\ \(
                                 (\(m\ \((\(m\ 
                                         \((\(m\ \((\(m\ \((m + 3)\)\) + 5)\)
                                         \) + 1)\)\) - 8)\)\) + 2)\)\) + 4)\)
                      \ T\_f\)\/\(m\^3\ \((m + 1)\)\^3\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[24]="]}, 
                Open]], Cell[TextData[{"Check that all odd moments give the \
same for the two representations of ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\_\(S, gg\ \)\%
                         \(\((1)\)\ \) .\)\)]]}], "Text", CellTags -> 
                "AnomalousDimension"], Cell[CellGroupData[{Cell[BoxData[
                   \(Table[\(\(\(% - %%\)/.\(OPEm \[Rule] ij\)\), 
                        \({ij, 1, 17, 2}\)\)]\)], "Input", CellLabel -> 
                   "In[25]:=", CellTags -> "AnomalousDimension"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({0, 0, 0, 0, 0, 0, 0, 0, 0}\)\)], 
                  "Output", CellLabel -> "Out[25]="]}, Open]]}, Open]], 
           Cell["AntiCommutator", "ObjectName", CellTags -> 
             "AntiCommutator"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "AntiCommutator"], 
              Cell["AntiCommutator[x, y] = c defines the anti-commutator of \
the non commuting objects x and y.", "Text", CellTags -> "AntiCommutator"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Commutator", RuleDelayed[ButtonData, 
                    "Commutator"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Commutator"]], ", ", 
                 ButtonBox["CommutatorExplicit", 
                   RuleDelayed[ButtonData, "CommutatorExplicit"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CommutatorExplicit"]], ", ", 
                 ButtonBox["DeclareNonCommutative", 
                   RuleDelayed[ButtonData, "DeclareNonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeclareNonCommutative"]], ", ", 
                 ButtonBox["DotSimplify", 
                   RuleDelayed[ButtonData, "DotSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotSimplify"]], "."}], "Text", 
               CellTags -> "AntiCommutator"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "AntiCommutator"], Cell[TextData[{"This declares ", 
                 StyleBox["a", Rule[FontFamily, "Courier"]], " and ", 
                 StyleBox["b", Rule[FontFamily, "Courier"]], 
                 " as noncommutative variables."}], "Text", CellTags -> 
                "AntiCommutator"], Cell[BoxData[
                \(DeclareNonCommutative[\(a, b\)]\)], "Input", CellLabel -> 
                "In[26]:=", CellTags -> "AntiCommutator"], Cell[CellGroupData[
                {Cell[BoxData[\(AntiCommutator[\(a, b\)]\)], "Input", 
                  CellLabel -> "In[27]:=", CellTags -> "AntiCommutator"], 
                 Cell[BoxData[\(TraditionalForm\`\({a, \[MediumSpace]b}\)\)], 
                  "Output", CellLabel -> "Out[27]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(CommutatorExplicit[%]\)], 
                  "Input", CellLabel -> "In[28]:=", CellTags -> 
                   "AntiCommutator"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a . b\) + \(b . a\)\)\)], "Output", 
                  CellLabel -> "Out[28]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(CommutatorExplicit[\(AntiCommutator[
                        \(\(a + b\), \(a - \(2b\)\ \)\)]\)]\)], "Input", 
                  CellLabel -> "In[29]:=", CellTags -> "AntiCommutator"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\((a - \(2\ b\))\) . \((a + b)\)\) 
                        + \(\((a + b)\) . \((a - \(2\ b\))\)\)\)\)], 
                  "Output", CellLabel -> "Out[29]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DotSimplify[\(AntiCommutator[
                        \(\(a + b\), \(a - \(2b\)\ \)\)]\)]\)], "Input", 
                  CellLabel -> "In[30]:=", CellTags -> "AntiCommutator"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(2\ \(a . a\)\) - \(a . b\) - 
                        \(b . a\) - \(4\ \(b . b\)\)\)\)], "Output", 
                  CellLabel -> "Out[30]="]}, Open]], Cell[BoxData[
                \(DeclareNonCommutative[\(c, d, \(c\&~\), \(d\&~\)\)]\)], 
               "Input", CellLabel -> "In[31]:=", CellTags -> 
                "AntiCommutator"], Cell[
               "Defining {c,d} = z results in replacements of c.d by z-d.c.", 
               "Text", CellTags -> "AntiCommutator"], Cell[CellGroupData[
                {Cell[BoxData[\(\(AntiCommutator[\(c, d\)]\)\ =\ z\)], 
                  "Input", CellLabel -> "In[32]:=", CellTags -> 
                   "AntiCommutator"], Cell[BoxData[\(TraditionalForm\`z\)], 
                  "Output", CellLabel -> "Out[32]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DotSimplify[\ \(d\ .\ c\ .\ d\)\ ]\)], "Input", 
                  CellLabel -> "In[33]:=", CellTags -> "AntiCommutator"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(d\ z\) - \(d . d . c\)\)\)], 
                  "Output", CellLabel -> "Out[33]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(AntiCommutator[\(\(d\&~\), \(c\&~\)\)]\)\ =\ \(z\&~\)
                     \)], "Input", CellLabel -> "In[34]:=", CellTags -> 
                   "AntiCommutator"], Cell[BoxData[\(TraditionalForm\`z\&~\)]
                   , "Output", CellLabel -> "Out[34]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DotSimplify[\ \(\(d\&~\)\ .\ \(c\&~\)\ .\ \(d\&~\)\)\ ]
                     \)], "Input", CellLabel -> "In[35]:=", CellTags -> 
                   "AntiCommutator"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(d\&~\)\ \(z\&~\)\) - 
                        \(\(c\&~\) . \(d\&~\) . \(d\&~\)\)\)\)], "Output", 
                  CellLabel -> "Out[35]="]}, Open]], Cell[BoxData[
                \(UnDeclareNonCommutative[\(a, b, c, d, \(c\&~\), \(d\&~\)\)]
                  \)], "Input", CellLabel -> "In[36]:=", CellTags -> 
                "AntiCommutator"], Cell[BoxData[
                \(Unset[\(AntiCommutator[\(c, d\)]\)]\)], "Input", 
               CellLabel -> "In[37]:=", CellTags -> "AntiCommutator"], 
              Cell[BoxData[
                \(Unset[\(AntiCommutator[\(\(d\&~\), \(c\&~\)\)]\)]\)], 
               "Input", CellLabel -> "In[38]:=", CellTags -> 
                "AntiCommutator"]}, Open]], Cell["AntiQuarkField", 
            "ObjectName", CellTags -> "AntiQuarkField"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "AntiQuarkField"], Cell["AntiQuarkField is the \
name of a fermionic field. AntiQuarkField is just a name with no functional \
properties. Only typeset rules are attached.", "Text", CellTags -> 
                "AntiQuarkField"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["QuantumField", 
                   RuleDelayed[ButtonData, "QuantumField"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuantumField"]], ", ", 
                 ButtonBox["QuarkField", RuleDelayed[ButtonData, 
                    "QuarkField"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuarkField"]], "."}], "Text", 
               CellTags -> "AntiQuarkField"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "AntiQuarkField"], Cell[CellGroupData[{Cell[BoxData[
                   "AntiQuarkField"], "Input", CellLabel -> "In[39]:=", 
                  CellTags -> "AntiQuarkField"], Cell[BoxData[
                   \(TraditionalForm\`\[Psi]\&_\)], "Output", CellLabel -> 
                   "Out[39]="]}, Open]]}, Open]], Cell["AntiSymmetrize", 
            "ObjectName", CellTags -> "AntiSymmetrize"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "AntiSymmetrize"], Cell["AntiSymmetrize[expr, {a1, \
a2, ...}] antisymmetrizes expr with respect to the variables a1,a2, ... ", 
               "Text", CellTags -> "AntiSymmetrize"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["Symmetrize", RuleDelayed[ButtonData, 
                    "Symmetrize"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Symmetrize"]], "."}], "Text", 
               CellTags -> "AntiSymmetrize"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "AntiSymmetrize"], Cell[CellGroupData[{Cell[BoxData[
                   \(AntiSymmetrize[\(\(f[\(a, b\)]\), \({a, b}\)\)]\)], 
                  "Input", CellLabel -> "In[40]:=", CellTags -> 
                   "AntiSymmetrize"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/2\ 
                        \((\(f(\(a, b\))\) - \(f(\(b, a\))\))\)\)\)], 
                  "Output", CellLabel -> "Out[40]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(AntiSymmetrize[\(\(f[\(x, y, z\)]\), \({x, y, z}\)\)]\)]\
, "Input", CellLabel -> "In[41]:=", CellTags -> "AntiSymmetrize"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(1\/6\ 
                        \((\(f(\(x, y, z\))\) - \(f(\(x, z, y\))\) - 
                           \(f(\(y, x, z\))\) + \(f(\(y, z, x\))\) + 
                           \(f(\(z, x, y\))\) - \(f(\(z, y, x\))\))\)\)\)], 
                  "Output", CellLabel -> "Out[41]="]}, Open]]}, Open]], 
           Cell["Anti5", "ObjectName", CellTags -> "Anti5"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Anti5"], Cell[TextData[
                {"Anti5[exp] anticommutes all ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 "in exp to the right. Anti5[exp, n] anticommutes all ", 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma]\^\(5\ \)\)\)]], 
                 "n times to the right. Anti5[exp, -n] anticommutes all ", 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 " n times to the left."}], "Text", CellTags -> "Anti5"], 
              Cell[TextData[{"The naive ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 "scheme is used."}], "Text", CellTags -> "Anti5"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracOrder", RuleDelayed[ButtonData, 
                    "DiracOrder"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracOrder"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], "."}], "Text", 
               CellTags -> "Anti5"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Anti5"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracMatrix[\(5, \[Mu]\)]\)\ \)], "Input", 
                  CellLabel -> "In[42]:=", CellTags -> "Anti5"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5 \[Gamma]\^\[Mu]\)\)], 
                  "Output", CellLabel -> "Out[42]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Anti5[%]\)], "Input", 
                  CellLabel -> "In[43]:=", CellTags -> "Anti5"], 
                 Cell[BoxData[FormBox[RowBox[{"-", RowBox[{SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        \(\[Gamma]\^5\)}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[43]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Anti5[\(%, \(-1\)\)]\)], "Input", 
                  CellLabel -> "In[44]:=", CellTags -> "Anti5"], 
                 Cell[BoxData[FormBox[RowBox[{\(\[Gamma]\^5\), ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[44]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracMatrix[\(5, \[Alpha], \[Beta], \[Gamma], \[Delta]\)
                      ]\)], "Input", CellLabel -> "In[45]:=", CellTags -> 
                   "Anti5"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5 \[Gamma]\^\[Alpha] 
                        \[Gamma]\^\[Beta] \[Gamma]\^\[Gamma] 
                        \[Gamma]\^\[Delta]\)\)], "Output", CellLabel -> 
                   "Out[45]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Anti5[\(%, 2\)]\)], "Input", CellLabel -> "In[46]:=", 
                  CellTags -> "Anti5"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Alpha]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Beta]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      \(\[Gamma]\^5\), ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Gamma]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Delta]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[46]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Anti5[\(%%, Infinity\)]\)], "Input", 
                  CellLabel -> "In[47]:=", CellTags -> "Anti5"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Beta]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Gamma]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Delta]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[47]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Anti5[\(%, \(-Infinity\)\)]\)], "Input", CellLabel -> 
                   "In[48]:=", CellTags -> "Anti5"], Cell[BoxData[FormBox[
                    RowBox[{\(\[Gamma]\^5\), ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Beta]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Gamma]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Delta]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[48]="]}, Open]], Cell[TextData[
                {"In the naive ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 "- scheme D-dimensional ", Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\)]], 
                 "-matrices anticommute with ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)]], "."}], "Text", 
               CellTags -> "Anti5"], Cell[CellGroupData[{Cell[BoxData[
                   \(GAD[\(5, \[Mu]\)]\)], "Input", CellLabel -> "In[49]:=", 
                  CellTags -> "Anti5"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5 . \[Gamma]\^\[Mu]\)\)], 
                  "Output", CellLabel -> "Out[49]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Anti5[%]\)], "Input", 
                  CellLabel -> "In[50]:=", CellTags -> "Anti5"], 
                 Cell[BoxData[FormBox[RowBox[{"-", RowBox[{SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        \(\[Gamma]\^5\)}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[50]="]}, Open]]}, Open]], 
           Cell["Apart2", "ObjectName", CellTags -> "Apart2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Apart2"], Cell["Apart2[expr] partial fractions \
FeynAmpDenominators (and FAD's).", "Text", CellTags -> "Apart2"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FAD", RuleDelayed[ButtonData, "FAD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FAD"]], 
                 ", ", 
                 ButtonBox["FeynAmpDenominator", 
                   RuleDelayed[ButtonData, "FeynAmpDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominator"]], "."}], "Text", 
               CellTags -> "Apart2"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Apart2"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FAD[\(\({q, m}\), \({q, M}\), \(q - p\)\)]\)], "Input", 
                  CellLabel -> "In[51]:=", CellTags -> "Apart2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(\((\*InterpretationBox[\(
                               "["\[InvisibleSpace] \((q - p)\)\^2 
                                \[InvisibleSpace]"]"\), 
                              SequenceForm["[", 
                               Power[Plus[Times[-1, p], q], 2], "]"], 
                              Rule[Editable, False]])\)\ 
                          \((\*InterpretationBox[\(
                               "["\[InvisibleSpace] q\^2 \[InvisibleSpac\
e]"-"\[InvisibleSpace] m\^2 \[InvisibleSpace]"]"\), 
                              SequenceForm["[", Power[q, 2], "-", 
                               Power[m, 2], "]"], Rule[Editable, False]])\)\ 
                          \((\*InterpretationBox[\(
                               "["\[InvisibleSpace] q\^2 \[InvisibleSpac\
e]"-"\[InvisibleSpace] M\^2 \[InvisibleSpace]"]"\), 
                              SequenceForm["[", Power[q, 2], "-", 
                               Power[M, 2], "]"], Rule[Editable, False]])\)\)
                   \)\)], "Output", CellLabel -> "Out[51]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Apart2[%]\)], "Input", 
                  CellLabel -> "In[52]:=", CellTags -> "Apart2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/
                           \(\((q\^2 - m\^2)\) . \((q - p)\)\^2\) - 
                          1\/\(\((q\^2 - M\^2)\) . \((q - p)\)\^2\)\)\/
                        \(m\^2 - M\^2\)\)\)], "Output", CellLabel -> 
                   "Out[52]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FCE[%]\)]\)], "Input", CellLabel -> 
                   "In[53]:=", CellTags -> "Apart2"], Cell[BoxData[
                   \(\(\(FAD[\(\({q, m}\), \(\(-p\) + q\)\)]\) - 
                        \(FAD[\(\({q, M}\), \(\(-p\) + q\)\)]\)\)\/
                      \(m\^2 - M\^2\)\)], "Output", CellLabel -> 
                   "Out[53]//StandardForm="]}, Open]]}, Open]], 
           Cell["A0", "ObjectName", PageBreakAbove -> True, 
            CellTags -> "A0"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "A0"], Cell[TextData[
                {Cell[BoxData[\(TraditionalForm\`\(A0[\(m\^2\)]\)\)]], 
                 "is the Passarino-Veltman one-point integral ", Cell[BoxData[
                   \(TraditionalForm\`\(A\_0 .\)\)]]}], "Text", CellTags -> 
                "A0"], Cell[CellGroupData[{Cell[BoxData[\(Options[\ A0]\)], 
                  "Input", CellLabel -> "In[54]:=", CellTags -> "A0"], 
                 Cell[BoxData[\(TraditionalForm\`\({A0ToB0 \[Rule] False}\)\)]
                   , "Output", CellLabel -> "Out[54]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["C0", RuleDelayed[ButtonData, "C0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "C0"]], 
                 ", ", 
                 ButtonBox["D0", RuleDelayed[ButtonData, "D0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "D0"]], 
                 ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, "."}], "Text", CellTags -> "A0"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "A0"], 
              Cell[TextData[{"By default ", Cell[BoxData[
                   \(TraditionalForm\`A\_0\)]], 
                 " is not expressed in terms of ", Cell[BoxData[
                   \(TraditionalForm\`B\_0\)]], "."}], "Text", CellTags -> 
                "A0"], Cell[CellGroupData[{Cell[BoxData[\(A0[\(m\^2\)]\)], 
                  "Input", CellLabel -> "In[55]:=", CellTags -> "A0"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[\("A"\_"0"\), 
                       "TraditionalForm"], "(", FormBox[\(m\^2\), 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[55]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(A0, \(A0ToB0 \[Rule] True\)\)]\) ;\)], 
               "Input", CellLabel -> "In[56]:=", CellTags -> "A0"], 
              Cell[CellGroupData[{Cell[BoxData[\(A0[\(m\^2\)]\)], "Input", 
                  CellLabel -> "In[57]:=", CellTags -> "A0"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(B\_0 (0, m\^2, m\^2)\)\ m\^2\) + 
                        m\^2\)\)], "Output", CellLabel -> "Out[57]="]}, 
                Open]], Cell[BoxData[
                \(\(SetOptions[\(A0, \(A0ToB0 \[Rule] False\)\)]\) ;\)], 
               "Input", CellLabel -> "In[58]:=", CellTags -> "A0"], 
              Cell[TextData[
                {"According to the rules of dimensional regularization ", 
                 Cell[BoxData[\(TraditionalForm\`\(A\_0(0)\)\)]], 
                 " is set to 0."}], "Text", CellTags -> "A0"], 
              Cell[CellGroupData[{Cell[BoxData[\(A0[0]\)], "Input", 
                  CellLabel -> "In[59]:=", CellTags -> "A0"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[59]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(A0[\(SmallVariable[\(M^2\)]\)]\)], "Input", CellLabel -> 
                   "In[60]:=", CellTags -> "A0"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[60]="]}, Open]]}, Open]], Cell["A0ToB0", 
            "ObjectName", PageBreakAbove -> True, CellTags -> "A0ToB0"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "A0ToB0"], Cell[TextData[
                {"A0ToB0 is an option for A0. If set to True, A0[", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["m", 
                          Rule[FontSlant, "Plain"]]\^2\)\)]], 
                 "] is expressed by (1 + B0[0, ", Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["m", 
                          Rule[FontSlant, "Plain"]]\^2\)\)]], ", ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["m", 
                          Rule[FontSlant, "Plain"]]\^2\)\)]], "]) ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["m", 
                          Rule[FontSlant, "Plain"]]\^2\)\)]], "."}], "Text", 
               CellTags -> "A0ToB0"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[\ A0]\)], "Input", CellLabel -> "In[61]:=", 
                  CellTags -> "A0ToB0"], Cell[BoxData[
                   \(TraditionalForm\`\({A0ToB0 \[Rule] False}\)\)], 
                  "Output", CellLabel -> "Out[61]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["A0", RuleDelayed[ButtonData, "A0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "A0"]], 
                 ", ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["C0", RuleDelayed[ButtonData, "C0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "C0"]], 
                 ", ", 
                 ButtonBox["D0", RuleDelayed[ButtonData, "D0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "D0"]], 
                 ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, "."}], "Text", CellTags -> "A0ToB0"]}, Open]], 
           Cell["BackgroundGluonVertex", "ObjectName", CellTags -> 
             "BackgroundGluonVertex"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "BackgroundGluonVertex"], Cell[TextData[{"BackgroundGluonVert\
ex[{p,mu,a}, {q,nu,b}, {k,la,c}] or BackgroundGluonVertex[ p,mu,a , q,nu,b , \
k,la,c ] yields the 3-gluon vertex in the background field gauge, where the \
first set of arguments corresponds to the external background field. \
BackgroundGluonVertex[{p,mu,a}, {q,nu,b}, {k,la,c}, {s,si,d}] or \
BackgroundGluonVertex[{mu,a}, {nu,b}, {la,c}, {", "si", ",d}] or \
BackgroundGluonVertex[p,mu,a , q,nu,b , k,la,c , s,si,d] or \
BackgroundGluonVertex[ mu,a , nu,b , la,c , si,d ] yields the 4-gluon vertex, \
with {p,mu,a} and {k,la,c} denoting the external background fields. The \
gauge, dimension and the name of the coupling constant are determined by the \
options Gauge, Dimension and CouplingConstant. The Feynman rules are taken \
from L.Abbot ", StyleBox["NPB ", Rule[FontWeight, "Bold"]], "185 (1981), \
189-203; except that all momenta are incoming. Note that Abbots coupling \
constant convention is consistent with the default setting of GluonVertex."}]\
, "Text", CellTags -> "BackgroundGluonVertex"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[BackgroundGluonVertex]\)], "Input", 
                  CellLabel -> "In[62]:=", CellTags -> 
                   "BackgroundGluonVertex"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(CouplingConstant \[Rule] g\_s\), 
                         \(Gauge \[Rule] 1\)}\)\)], "Output", CellLabel -> 
                   "Out[62]="]}, Open]], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GluonVertex", 
                   RuleDelayed[ButtonData, "GluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonVertex"]], "."}], "Text", 
               CellTags -> "BackgroundGluonVertex"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "BackgroundGluonVertex"], Cell[CellGroupData[{Cell[BoxData[
                   \(BackgroundGluonVertex[
                      \(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({k, \[Lambda], c}\)\)]\)], "Input", CellLabel -> 
                   "In[63]:=", CellTags -> "BackgroundGluonVertex"], 
                 Cell[BoxData[FormBox[RowBox[{\(g\_s\), " ", RowBox[
                       {"(", RowBox[{RowBox[{SuperscriptBox[RowBox[{"(", 
                          FormBox[\(p - k - q\), "TraditionalForm"], ")"}], 
                          FormBox[FormBox["\[Lambda]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Mu]\[Nu]\)\)}], 
                          "+", RowBox[{\(g\^\(\[Lambda]\[Nu]\)\), " ", 
                          SuperscriptBox[RowBox[{"(", FormBox[\(q - k\), 
                          "TraditionalForm"], ")"}], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{\(g\^\(\[Lambda]\[Mu]\)\), " ", 
                          SuperscriptBox[RowBox[{"(", FormBox[\(k - p + q\), 
                          "TraditionalForm"], ")"}], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], ")"}], 
                      " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[63]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(BackgroundGluonVertex[
                      \(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({k, \[Lambda], c}\), \({s, \[Sigma], d}\)\)]\)], 
                  "Input", CellLabel -> "In[64]:=", CellTags -> 
                   "BackgroundGluonVertex"], Cell[BoxData[FormBox[RowBox[{
                      \(-\[ImaginaryI]\), " ", \(g\_s\%2\), " ", RowBox[
                       {"(", RowBox[{RowBox[{
                          \((\(g\^\(\[Lambda]\[Sigma]\)\ g\^\(\[Mu]\[Nu]\)\) 
                              - \(g\^\(\[Lambda]\[Nu]\)\ g\^\(\[Mu]\[Sigma]\)
                               \) - \(g\^\(\[Lambda]\[Mu]\)\ 
                                g\^\(\[Nu]\[Sigma]\)\))\), " ", SubscriptBox[
                          "f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u6", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u6", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "+", 
                          RowBox[{
                          \((\(g\^\(\[Lambda]\[Sigma]\)\ g\^\(\[Mu]\[Nu]\)\) 
                              - \(g\^\(\[Lambda]\[Nu]\)\ g\^\(\[Mu]\[Sigma]\)
                               \))\), " ", SubscriptBox["f", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u6", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u6", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                          \((\(g\^\(\[Lambda]\[Sigma]\)\ g\^\(\[Mu]\[Nu]\)\) 
                              - \(g\^\(\[Lambda]\[Nu]\)\ g\^\(\[Mu]\[Sigma]\)
                               \) + \(g\^\(\[Lambda]\[Mu]\)\ 
                                g\^\(\[Nu]\[Sigma]\)\))\), " ", SubscriptBox[
                          "f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u6", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u6", 
                          "TraditionalForm"], "TraditionalForm"]}]]}]}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[64]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(BackgroundGluonVertex[
                      \(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({k, \[Lambda], c}\), \(Gauge \[Rule] \[Alpha]\)\)]\
\)], "Input", CellLabel -> "In[65]:=", CellTags -> "BackgroundGluonVertex"], 
                 Cell[BoxData[FormBox[RowBox[{\(g\_s\), " ", RowBox[
                       {"(", RowBox[{RowBox[{SuperscriptBox[RowBox[{"(", 
                          FormBox[\(p - k\/\[Alpha] - q\), 
                          "TraditionalForm"], ")"}], FormBox[FormBox[
                          "\[Lambda]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Mu]\[Nu]\)\)}], 
                          "+", RowBox[{\(g\^\(\[Lambda]\[Nu]\)\), " ", 
                          SuperscriptBox[RowBox[{"(", FormBox[\(q - k\), 
                          "TraditionalForm"], ")"}], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{\(g\^\(\[Lambda]\[Mu]\)\), " ", 
                          SuperscriptBox[RowBox[{"(", FormBox[
                          \(k - p + q\/\[Alpha]\), "TraditionalForm"], ")"}], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SubscriptBox[
                       "f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[65]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(BackgroundGluonVertex[
                      \(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({k, \[Lambda], c}\), \({s, \[Sigma], d}\), 
                        \(Gauge \[Rule] \[Alpha]\)\)]\)], "Input", 
                  CellLabel -> "In[66]:=", CellTags -> 
                   "BackgroundGluonVertex"], Cell[BoxData[FormBox[RowBox[{
                      \(-\[ImaginaryI]\), " ", \(g\_s\%2\), " ", RowBox[
                       {"(", RowBox[{RowBox[{
                          \((\(g\^\(\[Lambda]\[Sigma]\)\ g\^\(\[Mu]\[Nu]\)\) 
                              - \(g\^\(\[Lambda]\[Nu]\)\ g\^\(\[Mu]\[Sigma]\)
                                \)\/\[Alpha] - 
                              \(g\^\(\[Lambda]\[Mu]\)\ g\^\(\[Nu]\[Sigma]\)\)\
)\), " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u7", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u7", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                          \((\(g\^\(\[Lambda]\[Sigma]\)\ g\^\(\[Mu]\[Nu]\)\) 
                              - \(g\^\(\[Lambda]\[Nu]\)\ g\^\(\[Mu]\[Sigma]\)
                               \))\), " ", SubscriptBox["f", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u7", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u7", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                          \((\(g\^\(\[Lambda]\[Sigma]\)\ g\^\(\[Mu]\[Nu]\)\)
                               \/\[Alpha] - \(g\^\(\[Lambda]\[Nu]\)\ 
                                g\^\(\[Mu]\[Sigma]\)\) + 
                              \(g\^\(\[Lambda]\[Mu]\)\ g\^\(\[Nu]\[Sigma]\)\)\
)\), " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u7", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u7", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[66]="]}, 
                Open]]}, Open]], Cell["Bracket", "ObjectName", 
            CellTags -> "Bracket"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Bracket"], 
              Cell["Bracket is an option of Convolute.", "Text", CellTags -> 
                "Bracket"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Convolute", RuleDelayed[ButtonData, 
                    "Convolute"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Convolute"]], "."}], "Text", CellTags -> 
                "Bracket"]}, Open]], Cell["BReduce", "ObjectName", 
            PageBreakAbove -> True, CellTags -> "BReduce"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "BReduce"], Cell["BReduce is an option for B0, \
B00, B1, B11 determining whether reductions to A0 and B0 will be done. ", 
               "Text", CellTags -> "BReduce"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["A0", RuleDelayed[ButtonData, "A0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "A0"]], 
                 ", ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["B00", RuleDelayed[ButtonData, "B00"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B00"]], 
                 ", ", 
                 ButtonBox["B1", RuleDelayed[ButtonData, "B1"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B1"]], 
                 ", ", 
                 ButtonBox["B11", RuleDelayed[ButtonData, "B11"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B11"]], 
                 "."}], "Text", CellTags -> "BReduce"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "BReduce"], Cell[TextData[{"By default ", Cell[BoxData[
                   \(TraditionalForm\`B\_0\)]], 
                 " is not expressed in terms of ", Cell[BoxData[
                   \(TraditionalForm\`A\_0\)]], "."}], "Text", CellTags -> 
                "BReduce"], Cell[CellGroupData[{Cell[BoxData[
                   \(B0[\(0, s, s\)]\)], "Input", CellLabel -> "In[67]:=", 
                  CellTags -> "BReduce"], Cell[BoxData[
                   \(TraditionalForm\`\(B\_0 (0, s, s)\)\)], "Output", 
                  CellLabel -> "Out[67]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(B0//Options\)], "Input", CellLabel -> 
                   "In[68]:="], Cell[BoxData[
                   \(TraditionalForm\`\({\(BReduce \[Rule] False\), 
                         \(B0Unique \[Rule] False\), \(B0Real \[Rule] False\)\
}\)\)], "Output", CellLabel -> "Out[68]="]}, Open]], 
              Cell["With BReduce\[Rule]True, transformation is done.", 
               "Text", CellTags -> "BReduce"], Cell[CellGroupData[
                {Cell[BoxData[\(B0[\(0, s, s, \(BReduce \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[69]:=", CellTags -> "BReduce"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{FormBox[
                          \("A"\_"0"\), "TraditionalForm"], "(", "s", ")"}], 
                       "s"], "-", "1"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[69]="]}, Open]]}, Open]], 
           Cell["B0", "ObjectName", CellTags -> "B0"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "B0"], Cell[TextData[{"B0[pp, ma^2, mb^2] is the \
Passarino-Veltman two-point integral ", Cell[BoxData[\(TraditionalForm\`B\_0\)
                   ]], ". All arguments are scalars and have dimension \
mass^2. If the option BReduce is set to True certain B0's are reduced to \
A0's. Setting the option B0Unique to True simplifies B0[a,0,a] and \
B0[0,0,a]."}], "Text", CellTags -> "B0"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[B0]\)], "Input", CellLabel -> "In[70]:=", 
                  CellTags -> "B0"], Cell[BoxData[
                   \(TraditionalForm\`\({\(BReduce \[Rule] False\), 
                         \(B0Unique \[Rule] False\), \(B0Real \[Rule] False\)\
}\)\)], "Output", CellLabel -> "Out[70]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["B1", RuleDelayed[ButtonData, "B1"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B1"]], 
                 ", ", 
                 ButtonBox["B00", RuleDelayed[ButtonData, "B00"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B00"]], 
                 ", ", 
                 ButtonBox["B11", RuleDelayed[ButtonData, "B11"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B11"]], 
                 ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, "."}], "Text", CellTags -> "B0"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "B0"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(B0[\(\(SP[\(p, p\)]\), m\^2, m\^2\)]\)], "Input", 
                  CellLabel -> "In[71]:=", CellTags -> "B0"], 
                 Cell[BoxData[FormBox[RowBox[{\(B\_0\), "(", FormBox[
                       SuperscriptBox[FormBox["p", "TraditionalForm"], "2"], 
                       "TraditionalForm"], ",", \(m\^2\), ",", \(m\^2\), 
                      ")"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[71]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(B0, \(B0Unique \[Rule] True\), 
                       \(B0Real \[Rule] True\)\)]\) ;\)], "Input", 
               CellLabel -> "In[72]:=", CellTags -> "B0"], Cell[CellGroupData[
                {Cell[BoxData[\(B0[\(0, 0, m\^2\)]\)], "Input", CellLabel -> 
                   "In[73]:=", CellTags -> "B0"], Cell[BoxData[
                   \(TraditionalForm\`\(\(B\_0 (0, m\^2, m\^2)\) + 1\)\)], 
                  "Output", CellLabel -> "Out[73]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(B0[\(m\^2, 0, m\^2\)]\)], 
                  "Input", CellLabel -> "In[74]:=", CellTags -> "B0"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(B\_0 (0, m\^2, m\^2)\) + 2\)\)], 
                  "Output", CellLabel -> "Out[74]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(B0[\(0, \(m^2\), \(m^2\)\)]\)
                   ], "Input", CellLabel -> "In[75]:=", CellTags -> "B0"], 
                 Cell[BoxData[\(TraditionalForm\`\(B\_0 (0, m\^2, m\^2)\)\)], 
                  "Output", CellLabel -> "Out[75]="]}, Open]]}, Open]], 
           Cell["B0Real", "ObjectName", PageBreakAbove -> True, 
            CellTags -> "B0Real"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "B0Real"], 
              Cell["B0Real is an option of B0 (default False). If set to \
True, B0 is assumed to be real and the relation B0[a,0,a] = 2 + B0[0,a,a]  is \
applied.", "Text", CellTags -> "B0Real"], Cell[TextData[{"See also: ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 "."}], "Text", CellTags -> "B0Real"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "B0Real"], Cell[
               "By default the arguments are not assumed real.", "Text", 
               CellTags -> "B0Real"], Cell[CellGroupData[{Cell[BoxData[
                   \(B0[\(s, 0, s\)]\)], "Input", CellLabel -> "In[76]:=", 
                  CellTags -> "B0Real"], Cell[BoxData[
                   \(TraditionalForm\`\(\(B\_0 (0, s, s)\) + 2\)\)], 
                  "Output", CellLabel -> "Out[76]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(B0//Options\)], "Input", 
                  CellLabel -> "In[77]:=", CellTags -> "B0Real"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(BReduce \[Rule] False\), 
                         \(B0Unique \[Rule] True\), \(B0Real \[Rule] True\)}\
\)\)], "Output", CellLabel -> "Out[77]="]}, Open]], 
              Cell["With B0Real\[Rule]True, transformation is done.", "Text", 
               CellTags -> "B0Real"], Cell[CellGroupData[{Cell[BoxData[
                   \(B0[\(s, 0, s, \(B0Real \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[78]:=", CellTags -> "B0Real"], 
                 Cell[BoxData[\(TraditionalForm\`\(\(B\_0 (0, s, s)\) + 2\)\)]
                   , "Output", CellLabel -> "Out[78]="]}, Open]]}, Open]], 
           Cell["B0Unique", "ObjectName", PageBreakAbove -> True, 
            CellTags -> "B0Unique"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "B0Unique"], 
              Cell["B0Unique is an option of B0. If set to True, B0[0,0,m2] \
is replaced with (B0[0,m2,m2]+1) and B0[m2,0,m2] simplifies to \
(B0[0,m2,m2]+2).", "Text", CellTags -> "B0Unique"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 "."}], "Text", CellTags -> "B0Unique"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "B0Unique"], Cell["By default transformation is done.", 
               "Text", CellTags -> "B0Unique"], Cell[CellGroupData[
                {Cell[BoxData[\(B0[\(0, 0, s\)]\)], "Input", CellLabel -> 
                   "In[79]:=", CellTags -> "B0Unique"], Cell[BoxData[
                   \(TraditionalForm\`\(\(B\_0 (0, s, s)\) + 1\)\)], 
                  "Output", CellLabel -> "Out[79]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(B0//Options\)], "Input", 
                  CellLabel -> "In[80]:=", CellTags -> "B0Unique"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(BReduce \[Rule] False\), 
                         \(B0Unique \[Rule] True\), \(B0Real \[Rule] True\)}\
\)\)], "Output", CellLabel -> "Out[80]="]}, Open]], 
              Cell["With B0Real\[Rule]False, nothing happens.", "Text", 
               CellTags -> "B0Unique"], Cell[CellGroupData[{Cell[BoxData[
                   \(B0[\(0, 0, s, \(B0Unique \[Rule] False\)\)]\)], "Input", 
                  CellLabel -> "In[81]:=", CellTags -> "B0Unique"], 
                 Cell[BoxData[\(TraditionalForm\`\(B\_0 (0, 0, s)\)\)], 
                  "Output", CellLabel -> "Out[81]="]}, Open]]}, Open]], 
           Cell["B00", "ObjectName", CellTags -> "B00"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "B00"], Cell[TextData[
                {"B00[pp, ma^2,mb^2] is the Passarino-Veltman ", Cell[BoxData[
                   \(TraditionalForm\`B\_00\)]], "-function, i.e., the \
coefficient function of the metric tensor. All arguments are scalars and have \
dimension mass^2."}], "Text", CellTags -> "B00"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[B00]\)], "Input", CellLabel -> 
                   "In[82]:=", CellTags -> "B00"], Cell[BoxData[
                   \(TraditionalForm\`\({BReduce \[Rule] True}\)\)], 
                  "Output", CellLabel -> "Out[82]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["B1", RuleDelayed[ButtonData, "B1"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B1"]], 
                 ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, "."}], "Text", CellTags -> "B00"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "B00"], 
              Cell[TextData[{"Remember that SP[p] is a short hand input for \
ScalarProduct[p,p], i.e., ", Cell[BoxData[\(TraditionalForm\`\(p\^2\)\)]], 
                 "."}], "Text", CellTags -> "B00"], Cell[CellGroupData[
                {Cell[BoxData[\(SP[p]\)], "Input", CellLabel -> "In[83]:=", 
                  CellTags -> "B00"], Cell[BoxData[FormBox[SuperscriptBox[
                     FormBox["p", "TraditionalForm"], "2"], 
                    TraditionalForm]], "Output", CellLabel -> "Out[83]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(B00[\(\(SP[p]\), m\^2, M\^2\)]\)], "Input", CellLabel -> 
                   "In[84]:=", CellTags -> "B00"], Cell[BoxData[FormBox[
                    RowBox[{RowBox[{\(1\/3\), " ", RowBox[{\(B\_0\), "(", 
                          FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"], ",", 
                          \(m\^2\), ",", \(M\^2\), ")"}], " ", \(m\^2\)}], 
                      "+", RowBox[{\(1\/18\), " ", RowBox[{"(", RowBox[{
                          \(3\ m\^2\), "+", \(3\ M\^2\), "-", FormBox[
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "TraditionalForm"]}], ")"}]}], "+", RowBox[{
                        \(1\/6\), " ", RowBox[{"(", RowBox[{RowBox[{FormBox[
                          \("A"\_"0"\), "TraditionalForm"], "(", FormBox[
                          \(M\^2\), "TraditionalForm"], ")"}], "+", RowBox[
                          {RowBox[{"(", RowBox[{FractionBox[RowBox[{
                          \((M\^2 - m\^2)\), " ", RowBox[{"(", RowBox[{RowBox[
                          {\(B\_0\), "(", FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"], ",", 
                          \(m\^2\), ",", \(M\^2\), ")"}], "-", 
                          \(B\_0 (0, m\^2, M\^2)\)}], ")"}]}], RowBox[{"2", 
                          " ", FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"]}]], 
                          "-", RowBox[{\(1\/2\), " ", RowBox[{\(B\_0\), "(", 
                          FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"], ",", 
                          \(m\^2\), ",", \(M\^2\), ")"}]}]}], ")"}], " ", 
                          RowBox[{"(", RowBox[{\(m\^2\), "-", \(M\^2\), "+", 
                          FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"]}], 
                          ")"}]}]}], ")"}]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[84]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(B00[\(\(SP[p]\), m\^2, m\^2\)]\)], "Input", 
                  CellLabel -> "In[85]:=", CellTags -> "B00"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(1\/3\), " ", RowBox[{
                          \(B\_0\), "(", FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"], ",", 
                          \(m\^2\), ",", \(m\^2\), ")"}], " ", \(m\^2\)}], 
                      "+", RowBox[{\(1\/18\), " ", RowBox[{"(", RowBox[{
                          \(6\ m\^2\), "-", FormBox[SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"], 
                          "TraditionalForm"]}], ")"}]}], "+", RowBox[{\(1\/6\)
                        , " ", RowBox[{"(", RowBox[{RowBox[{FormBox[
                          \("A"\_"0"\), "TraditionalForm"], "(", FormBox[
                          \(m\^2\), "TraditionalForm"], ")"}], "-", RowBox[{
                          \(1\/2\), " ", RowBox[{\(B\_0\), "(", FormBox[
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "TraditionalForm"], ",", \(m\^2\), ",", 
                          \(m\^2\), ")"}], " ", FormBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], 
                          "TraditionalForm"]}]}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[85]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(B00[\(\(SP[p]\), m\^2, M\^2, \(BReduce \[Rule] False\)\)
                      ]\)], "Input", CellLabel -> "In[86]:=", CellTags -> 
                   "B00"], Cell[BoxData[FormBox[RowBox[{FormBox[\("B"\_"00"\)
                       , "TraditionalForm"], "(", FormBox[FormBox[
                        SuperscriptBox[FormBox["p", "TraditionalForm"], "2"], 
                        "TraditionalForm"], "TraditionalForm"], \(,\ \), 
                      FormBox[\(m\^2\), "TraditionalForm"], \(,\ \), FormBox[
                       \(M\^2\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[86]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(B00[\(0, m\^2, m\^2\)]\)], "Input", CellLabel -> 
                   "In[87]:=", CellTags -> "B00"], Cell[BoxData[FormBox[
                    RowBox[{\(1\/3\ \(B\_0 (0, m\^2, m\^2)\)\ m\^2\), "+", 
                      \(m\^2\/3\), "+", RowBox[{\(1\/6\), " ", RowBox[
                         {FormBox[\("A"\_"0"\), "TraditionalForm"], "(", 
                          FormBox[\(m\^2\), "TraditionalForm"], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[87]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(B00[\(\(SmallVariable[\(M\^2\)]\), m\^2, m\^2\)]\)], 
                  "Input", CellLabel -> "In[88]:=", CellTags -> "B00"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(1\/3\ \(B\_0 (M\^2, m\^2, m\^2)\)\ m\^2\), "+", 
                      \(m\^2\/3\), "+", RowBox[{\(1\/6\), " ", RowBox[
                         {FormBox[\("A"\_"0"\), "TraditionalForm"], "(", 
                          FormBox[\(m\^2\), "TraditionalForm"], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[88]="]}, 
                Open]]}, Open]], Cell["B1", "ObjectName", CellTags -> "B1"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "B1"], Cell[TextData[
                {"B1[pp, ma^2, mb^2] the Passarino-Veltman ", Cell[BoxData[
                   \(TraditionalForm\`B\_1\)]], "-function. All arguments are \
scalars and have dimension mass^2."}], "Text", CellTags -> "B1"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[B1]\)], "Input", 
                  CellLabel -> "In[89]:=", CellTags -> "B1"], Cell[BoxData[
                   \(TraditionalForm\`\({BReduce \[Rule] True}\)\)], 
                  "Output", CellLabel -> "Out[89]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["B00", RuleDelayed[ButtonData, "B00"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B00"]], 
                 ", ", 
                 ButtonBox["B11", RuleDelayed[ButtonData, "B11"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B11"]], 
                 ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, ", ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], "."}], "Text", 
               CellTags -> "B1"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "B1"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(B1[\(\(SP[p]\), m\^2, M\^2\)]\)], "Input", CellLabel -> 
                   "In[90]:=", CellTags -> "B1"], Cell[BoxData[FormBox[
                    RowBox[{FractionBox[RowBox[{\((M\^2 - m\^2)\), " ", 
                         RowBox[{"(", RowBox[{RowBox[{\(B\_0\), "(", FormBox[
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "TraditionalForm"], ",", \(m\^2\), ",", 
                          \(M\^2\), ")"}], "-", \(B\_0 (0, m\^2, M\^2)\)}], 
                          ")"}]}], RowBox[{"2", " ", FormBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], 
                          "TraditionalForm"]}]], "-", RowBox[{\(1\/2\), " ", 
                        RowBox[{\(B\_0\), "(", FormBox[SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"], "TraditionalForm"], 
                          ",", \(m\^2\), ",", \(M\^2\), ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[90]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(B1[\(\(SP[p]\), m\^2, M\^2, \(BReduce \[Rule] False\)\)]
                     \)], "Input", CellLabel -> "In[91]:=", CellTags -> 
                   "B1"], Cell[BoxData[FormBox[RowBox[{\(B\_1\), "(", 
                      FormBox[SuperscriptBox[FormBox["p", "TraditionalForm"], 
                        "2"], "TraditionalForm"], ",", \(m\^2\), ",", \(M\^2\)
                      , ")"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[91]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(B1, \(BReduce \[Rule] True\)\)]\) ;\)], 
               "Input", CellLabel -> "In[92]:=", CellTags -> "B1"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(B1[\(\(SP[p]\), m\^2, m\^2\)]\)], "Input", CellLabel -> 
                   "In[93]:=", CellTags -> "B1"], Cell[BoxData[FormBox[
                    RowBox[{\(-\(1\/2\)\), " ", RowBox[{\(B\_0\), "(", 
                        FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"], ",", 
                        \(m\^2\), ",", \(m\^2\), ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[93]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(B1[\(m\^2, m\^2, 0\)]\)], 
                  "Input", CellLabel -> "In[94]:=", CellTags -> "B1"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ 
                          \((\(-\(B\_0 (0, m\^2, m\^2)\)\) - 2)\)\) - 1\/2\)\
\)], "Output", CellLabel -> "Out[94]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(B1[\(0, 0, m\^2\)]\)], "Input", CellLabel -> 
                   "In[95]:=", CellTags -> "B1"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ 
                          \((\(-\(B\_0 (0, m\^2, m\^2)\)\) - 1)\)\) + 1\/4\)\
\)], "Output", CellLabel -> "Out[95]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(B1[\(pp, \(SmallVariable[m\_e\%2]\), m\_2\%2\)]\)], 
                  "Input", CellLabel -> "In[96]:=", CellTags -> "B1"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            (\(B\_0 (pp, m\_e\%2, m\_2\%2)\) - 
                              \(B\_0 (0, m\_e\%2, m\_2\%2)\))\)\ m\_2\%2\)\/
                         \(2\ pp\) - \(1\/2\ \(B\_0 (pp, m\_e\%2, m\_2\%2)\)
                         \)\)\)], "Output", CellLabel -> "Out[96]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(B1[\(\(SmallVariable[m\_e\%2]\), 
                        \(SmallVariable[m\_e\%2]\), 0\)]\)], "Input", 
                  CellLabel -> "In[97]:=", CellTags -> "B1"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ 
                          \((\(-\(B\_0 (0, m\_e\%2, m\_e\%2)\)\) - 2)\)\) - 
                        1\/2\)\)], "Output", CellLabel -> "Out[97]="]}, 
                Open]]}, Open]], Cell["B11", "ObjectName", 
            CellTags -> "B11"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "B11"], Cell[TextData[
                {"B11[pp, ma^2, mb^2] is the Passarino-Veltman ", 
                 Cell[BoxData[\(TraditionalForm\`B\_11\)]], 
                 "-function, i.e., the coefficient function of ", 
                 Cell[BoxData[\(TraditionalForm\`\(p\^\[Mu]\ p\^\[Nu]\)\)]], 
                 ". All arguments are scalars and have dimension mass", 
                 Cell[BoxData[\(TraditionalForm\`\(\[Null]\^2\)\)]], "."}], 
               "Text", CellTags -> "B11"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[B11]\)], "Input", CellLabel -> "In[98]:=", 
                  CellTags -> "B11"], Cell[BoxData[
                   \(TraditionalForm\`\({BReduce \[Rule] True}\)\)], 
                  "Output", CellLabel -> "Out[98]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["B00", RuleDelayed[ButtonData, "B00"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B00"]], 
                 ", ", 
                 ButtonBox["B1", RuleDelayed[ButtonData, "B1"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B1"]], 
                 ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, "."}], "Text", CellTags -> "B11"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "B11"], 
              Cell[TextData[{"Remember that SP[p] is a short hand input for \
ScalarProduct[p,p], i.e. ", Cell[BoxData[\(TraditionalForm\`\(p\^2 .\)\)]]}], 
               "Text", CellTags -> "B11"], Cell[CellGroupData[{Cell[BoxData[
                   \(SP[p]\)], "Input", CellLabel -> "In[99]:=", CellTags -> 
                   "B11"], Cell[BoxData[FormBox[SuperscriptBox[FormBox["p", 
                      "TraditionalForm"], "2"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[99]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(B11[\(\(SP[p]\), m\^2, M\^2\)]\)], "Input", 
                  CellLabel -> "In[100]:=", CellTags -> "B11"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{RowBox[
                        {RowBox[{"-", RowBox[{\(B\_0\), "(", FormBox[
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "TraditionalForm"], ",", \(m\^2\), ",", 
                          \(M\^2\), ")"}]}], " ", \(m\^2\)}], "+", RowBox[
                        {FormBox[\("A"\_"0"\), "TraditionalForm"], "(", 
                         FormBox[\(M\^2\), "TraditionalForm"], ")"}], "+", 
                       RowBox[{\(1\/6\), " ", RowBox[{"(", RowBox[{
                          \(\(-3\)\ m\^2\), "-", \(3\ M\^2\), "+", FormBox[
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "TraditionalForm"]}], ")"}]}], "-", RowBox[
                        {"2", " ", RowBox[{"(", RowBox[{FractionBox[RowBox[{
                          \((M\^2 - m\^2)\), " ", RowBox[{"(", RowBox[
                          {RowBox[{\(B\_0\), "(", FormBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], 
                          "TraditionalForm"], ",", \(m\^2\), ",", \(M\^2\), 
                          ")"}], "-", \(B\_0 (0, m\^2, M\^2)\)}], ")"}]}], 
                          RowBox[{"2", " ", FormBox[SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"], 
                          "TraditionalForm"]}]], "-", RowBox[{\(1\/2\), " ", 
                          RowBox[{\(B\_0\), "(", FormBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], 
                          "TraditionalForm"], ",", \(m\^2\), ",", \(M\^2\), 
                          ")"}]}]}], ")"}], " ", RowBox[{"(", RowBox[{\(m\^2\)
                          , "-", \(M\^2\), "+", FormBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], 
                          "TraditionalForm"]}], ")"}]}]}], RowBox[{"3", " ", 
                       FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[100]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(B11[\(\(SP[p]\), m\^2, m\^2\)]\)], "Input", CellLabel -> 
                   "In[101]:=", CellTags -> "B11"], Cell[BoxData[FormBox[
                    FractionBox[RowBox[{RowBox[{FormBox[\("A"\_"0"\), 
                          "TraditionalForm"], "(", FormBox[\(m\^2\), 
                          "TraditionalForm"], ")"}], "+", RowBox[{\(1\/6\), 
                         " ", RowBox[{"(", RowBox[{FormBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], 
                          "TraditionalForm"], "-", \(6\ m\^2\)}], ")"}]}], 
                       "+", RowBox[{RowBox[{\(B\_0\), "(", FormBox[
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "TraditionalForm"], ",", \(m\^2\), ",", 
                          \(m\^2\), ")"}], " ", RowBox[{"(", RowBox[
                          {FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"], "-", 
                          \(m\^2\)}], ")"}]}]}], RowBox[{"3", " ", FormBox[
                        SuperscriptBox[FormBox["p", "TraditionalForm"], "2"], 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[101]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SetOptions[\(B11, \(BReduce \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[102]:=", CellTags -> "B11"], 
                 Cell[BoxData[\(TraditionalForm\`\({BReduce \[Rule] False}\)\)
                   ], "Output", CellLabel -> "Out[102]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(B11[\(\(SP[p]\), m\^2, M\^2\)]\)], "Input", CellLabel -> 
                   "In[103]:=", CellTags -> "B11"], Cell[BoxData[FormBox[
                    RowBox[{FormBox[\("B"\_"11"\), "TraditionalForm"], "(", 
                      FormBox[FormBox[SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "TraditionalForm"], 
                       "TraditionalForm"], \(,\ \), FormBox[\(m\^2\), 
                       "TraditionalForm"], \(,\ \), FormBox[\(M\^2\), 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[103]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(B11, \(BReduce \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[104]:=", CellTags -> "B11"], 
                 Cell[BoxData[\(TraditionalForm\`\({BReduce \[Rule] True}\)\)]
                   , "Output", CellLabel -> "Out[104]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(B11[\(0, m\^2, m\^2\)]\)], 
                  "Input", CellLabel -> "In[105]:=", CellTags -> "B11"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(1\/3\ \(B\_0 (0, m\^2, m\^2)\)\)\)], 
                  "Output", CellLabel -> "Out[105]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(B11[\(\(SmallVariable[\(M\^2\)]\), m\^2, m\^2\)]\)], 
                  "Input", CellLabel -> "In[106]:=", CellTags -> "B11"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(1\/3\ \(B\_0 (M\^2, m\^2, m\^2)\)\)\)]\
, "Output", CellLabel -> "Out[106]="]}, Open]]}, Open]], 
           Cell["CA", "ObjectName", CellTags -> "CA"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CA"], Cell[TextData[
                {"CA is one of the Casimir operator eigenvalues of SU(", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], ") (CA = ", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], ")."}], "Text", 
               CellTags -> "CA"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["CF", RuleDelayed[ButtonData, "CF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "CF"]], 
                 ", ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], "."}], "Text", 
               CellTags -> "CA"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "CA"], 
              Cell[CellGroupData[{Cell[BoxData["CA"], "Input", CellLabel -> 
                   "In[107]:=", CellTags -> "CA"], Cell[BoxData[
                   \(TraditionalForm\`C\_A\)], "Output", CellLabel -> 
                   "Out[107]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(CA, \(SUNNToCACF \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[108]:=", CellTags -> "CA"], 
                 Cell[BoxData[\(TraditionalForm\`N\)], "Output", CellLabel -> 
                   "Out[108]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData["SUNN"], "Input", CellLabel -> "In[109]:=", 
                  CellTags -> "CA"], Cell[BoxData[\(TraditionalForm\`N\)], 
                  "Output", CellLabel -> "Out[109]="]}, Open]]}, Open]], 
           Cell["Calc", "ObjectName", CellTags -> "Calc"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Calc"], Cell["Calc[exp] performs several basic \
simplifications. Calc[exp] is the same as \
DotSimplify[DiracSimplify[Contract[DiracSimplify[Explicit[ \
SUNSimplify[Trick[exp], Explicit\[Rule]False] ]]]]].", "Text", CellTags -> 
                "Calc"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], ", ", 
                 ButtonBox["Trick", RuleDelayed[ButtonData, "Trick"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Trick"]], "."}], "Text", CellTags -> 
                "Calc"]}, Open]], Cell[CellGroupData[
             {Cell[BoxData["Examples"], "Subsubsection", CellTags -> "Calc"], 
              Cell[TextData[{"This calculates ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] \[Gamma]\_\[Mu]\)\)]]\
, " in 4 dimensions and ", Cell[BoxData[\(TraditionalForm\`g\_\[Nu]\%\[Nu]\)]]
                   , " in D dimensions."}], "Text", CellTags -> "Calc"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\({\(GA[\(\[Mu], \[Mu]\)]\),\ 
                         \(MTD[\(\[Nu], \[Nu]\)]\)}\)]\)], "Input", 
                  CellLabel -> "In[110]:=", CellTags -> "Calc"], Cell[BoxData[
                   \(TraditionalForm\`\({4, D}\)\)], "Output", CellLabel -> 
                   "Out[110]="]}, Open]], Cell[TextData[{"This simplifies ", 
                 Cell[BoxData[\(TraditionalForm\`\(f\_abc\ \(f\_abe .\)\)\)]]}
                   ], "Text", CellTags -> "Calc"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Calc[\(\(SUNF[\(a, b, c\)]\)\ \(SUNF[\(a, b, e\)]\)\)]\)]\
, "Input", CellLabel -> "In[111]:=", CellTags -> "Calc"], Cell[BoxData[
                   FormBox[RowBox[{\(C\_A\), " ", SubscriptBox["\[Delta]", 
                       RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[111]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(FV[\(\(p + r\), \[Mu]\)]\)\ \(MT[\(\[Mu], \[Nu]\)]\)\ 
                      \(FV[\(\(q - p\), \[Nu]\)]\)\)], "Input", CellLabel -> 
                   "In[112]:=", CellTags -> "Calc"], Cell[BoxData[FormBox[
                    RowBox[{RowBox[{"(", SuperscriptBox[FormBox[\(q - p\), 
                          "TraditionalForm"], "\[Nu]"], ")"}], " ", 
                      RowBox[{"(", SuperscriptBox[FormBox[\(p + r\), 
                          "TraditionalForm"], "\[Mu]"], ")"}], " ", 
                      \(g\^\(\[Mu]\[Nu]\)\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[112]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Calc[%]\)], "Input", CellLabel -> 
                   "In[113]:=", CellTags -> "Calc"], Cell[BoxData[FormBox[
                    RowBox[{RowBox[{"-", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}], "+", RowBox[
                       {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["q", "TraditionalForm"]}], "-", RowBox[
                       {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["r", "TraditionalForm"]}], "+", RowBox[
                       {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["r", "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[113]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonVertex[\(p, 1, q, 2, \(\(-p\) - q\), 3\)]\)], 
                  "Input", CellLabel -> "In[114]:=", CellTags -> "Calc"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SuperscriptBox["V", 
                         RowBox[{FormBox[FormBox["li1", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["li2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["li3", "TraditionalForm"], 
                          "TraditionalForm"]}]], "(", RowBox[{FormBox["p", 
                          "TraditionalForm"], \(,\ \), FormBox["q", 
                          "TraditionalForm"], \(,\ \), FormBox[\(\(-p\) - q\)
                          , "TraditionalForm"]}], ")"}], " ", SubscriptBox[
                       "f", RowBox[{FormBox[FormBox["ci1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ci2", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["ci3", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[114]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\(\(%\ \(FVD[\(p, li1\)]\)\)\ \(FVD[\(q, li2\)]\)\ 
                        \(FVD[\(\(\(-p\) - q\), li3\)]\)\)]\)], "Input", 
                  CellLabel -> "In[115]:=", CellTags -> "Calc"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[115]="]}, Open]]}, Open]], Cell["CalcColorFactor", 
            "ObjectName", CellTags -> "CalcColorFactor"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CalcColorFactor"], Cell["CalcColorFactor[expr] \
calculates the color factor of expr.  CalcColorFactor is useful for \
application on FeynArts produced amplitudes. CalcColorFactor is just a macro \
function for CalcColorFactor[x_] := \nIf[FreeQ2[FeynCalcInternal[x], \
SUNIndex],  x, \n                    SUNSimplify[SUNSimplify[  (If[ \
!FreeQ[#1, DiracGamma], DiracTrick[#1], #1] & )[  SUNSimplify[x]], Explicit \
-> False], Explicit -> True]].", "Text", CellTags -> "CalcColorFactor"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], "."}], "Text", 
               CellTags -> "CalcColorFactor"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(CalcColorFactor[\(\(SUNF[\(a, b, c\)]\)\ 
                        \(SUNF[\(a, b, d\)]\)\)]\)], "Input", CellLabel -> 
                   "In[116]:="], Cell[BoxData[FormBox[RowBox[{\(C\_A\), " ", 
                      SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[116]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Amplitude["q2se2"]\)], 
                  "Input", CellLabel -> "In[117]:="], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"-", RowBox[{"tr", "(", FormBox[
                          RowBox[{"2", " ", \(T\_f\), " ", RowBox[{RowBox[{
                          \(\[CapitalPi]\_q\), "(", FormBox[\(-q1\), 
                          "TraditionalForm"], ")"}], ".", 
                          \(Q\_\(c\_9\)\%\(\[Lambda]\_9\)\), ".", RowBox[{
                          \(\[CapitalPi]\_q\), "(", FormBox[\(q2 - q1\), 
                          "TraditionalForm"], ")"}], ".", 
                          \(Q\_\(c\_3\)\%\(\[Lambda]\_3\)\)}]}], 
                          "TraditionalForm"], ")"}]}], " ", RowBox[{
                        \(Q\_\(c\_11\)\%\(\[Lambda]\_11\)\), ".", RowBox[{
                          \(\[CapitalPi]\_q\), "(", FormBox[\(p - q2\), 
                          "TraditionalForm"], ")"}], ".", 
                        \(Q\_\(c\_1\)\%\(\[Lambda]\_1\)\)}], " ", 
                      \(\[CapitalPi]\_\(c\_1 c\_3\)\%
                          \(\[Lambda]\_1 \[Lambda]\_3\)(q2)\), " ", 
                      \(\[CapitalPi]\_\(c\_9 c\_11\)\%
                          \(\[Lambda]\_9 \[Lambda]\_11\)(q2)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[117]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(CalcColorFactor @ \(Explicit @ %\)\)], "Input", 
                  CellLabel -> "In[118]:="], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{"\[ImaginaryI]", " ", \(C\_F\), " ", \(g\_s\%4\)
                       , " ", \(T\_f\), " ", RowBox[{"tr", "(", FormBox[
                          RowBox[{"-", RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q1", "TraditionalForm"]}], ")"}], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Lambda]\_9\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", "(", FormBox[\(q1 - q2\), 
                          "TraditionalForm"], ")"}], ")"}], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Lambda]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]]}]}], "TraditionalForm"], ")"}], 
                       " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Lambda]\_11\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", "(", FormBox[\(p - q2\), 
                          "TraditionalForm"], ")"}], ")"}], ".", 
                         SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Lambda]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(\((1\/q2\^2)\)\^2\), 
                       " ", \(g\^\(\[Lambda]\_1 \[Lambda]\_3\)\), " ", 
                       \(g\^\(\[Lambda]\_9 \[Lambda]\_11\)\)}], 
                     \(q1\^2 . \((p - q2)\)\^2 . \((q2 - q1)\)\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[118]="]}, 
                Open]], Cell[TextData[{"See also:  ", 
                 ButtonBox["ScalarProductCancel", 
                   RuleDelayed[ButtonData, "ScalarProductCancel"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProductCancel"]], ", ", 
                 ButtonBox["Series2", RuleDelayed[ButtonData, "Series2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Series2"]], ", ", 
                 ButtonBox["TID", RuleDelayed[ButtonData, "TID"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TID"]], 
                 "."}], "Text", CellTags -> "Collecting"]}, Open]], 
           Cell["CalculateCounterTerm ***unfinished***", "ObjectName", 
            CellTags -> "CalculateCounterTerm"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "CalculateCounterTerm"], Cell[
               "CalculateCounterTerm[exp, k] calculates the residue of exp.", 
               "Text", CellTags -> "CalculateCounterTerm"]}, Open]], 
           Cell[CellGroupData[{Cell[BoxData["Examples"], "Subsubsection", 
               CellTags -> "CalculateCounterTerm"], Cell[CellGroupData[
                {Cell[BoxData[\(? CalculateCounterTerm\)], "Input", 
                  CellLabel -> "In[119]:=", CellTags -> 
                   "CalculateCounterTerm"], Cell[BoxData["\"CalculateCounterT\
erm[exp, k] calculates the residue of exp.\""], "Print", CellTags -> 
                   "Info3288620303-5829525"]}, Open]]}, Open]], 
           Cell["CancelQP", "ObjectName", CellTags -> "CancelQP"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CancelQP"], Cell[TextData[{"CancelQP is an option \
for OneLoop. If set to True, cancelation of all ", 
                 StyleBox["q", Rule[FontSlant, "Italic"]], ".", 
                 StyleBox["p", Rule[FontSlant, "Italic"]], "'s and ", 
                 Cell[BoxData[\(TraditionalForm\`\(q\^2\)\)]], 
                 " is performed."}], "Text", CellTags -> "CancelQP"]}, 
             Open]], Cell[CellGroupData[{Cell[BoxData["Examples"], 
               "Subsubsection", CellTags -> "CancelQP"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t = \(\(\(SPD[\(\(p + \(2q2\)\), \(p + q2\)\)]\)\ 
                          \(FAD[\(\({\(q2 - p\), m}\), \({q2, 0}\), 
                              \({q2, M}\)\)]\)\)//FCI\)\)], "Input", 
                  CellLabel -> "In[120]:=", CellTags -> "CancelQP"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{"(", FormBox[
                        \(p + q2\), "TraditionalForm"], ")", "\[CenterDot]", 
                       "(", FormBox[\(p + \(2\ q2\)\), "TraditionalForm"], 
                       ")"}], 
                     \(\((\((q2 - p)\)\^2 - m\^2)\) . q2\^2 . 
                        \((q2\^2 - M\^2)\)\)], TraditionalForm]], "Output", 
                  CellLabel -> "Out[120]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(OneLoop[\(q2, t, \(CancelQP \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[121]:=", CellTags -> "CancelQP"], 
                 Cell[BoxData[FormBox[RowBox[{"\[ImaginaryI]", " ", 
                      \(\[Pi]\^2\), " ", RowBox[{"(", RowBox[{FractionBox[
                          RowBox[{"3", " ", RowBox[{\(B\_0\), "(", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], ",", "0", ",", \(m\^2\), ")"}], " ", \(m\^2\)}
                          ], \(2\ M\^2\)], "-", FractionBox[RowBox[{"3", " ", 
                          RowBox[{FormBox[\("A"\_"0"\), "TraditionalForm"], 
                          "(", FormBox[\(M\^2\), "TraditionalForm"], ")"}]}], 
                          \(2\ M\^2\)], "-", FractionBox[RowBox[{
                          \((\(3\ m\^2\) - \(7\ M\^2\))\), " ", RowBox[{
                          \(B\_0\), "(", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], ",", \(m\^2\), ",", 
                          \(M\^2\), ")"}]}], \(2\ M\^2\)], "-", FractionBox[
                          RowBox[{"5", " ", RowBox[{\(B\_0\), "(", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], ",", "0", ",", \(m\^2\), ")"}], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"]}], \(2\ M\^2\)], "+", FractionBox[RowBox[
                          {"5", " ", RowBox[{\(B\_0\), "(", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], ",", \(m\^2\)
                          , ",", \(M\^2\), ")"}], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"]}], \(2\ M\^2\)]}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[121]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(OneLoop[\(q2, t, \(CancelQP \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[122]:=", CellTags -> "CancelQP"], 
                 Cell[BoxData[FormBox[RowBox[{"\[ImaginaryI]", " ", 
                      \(\[Pi]\^2\), " ", RowBox[{"(", RowBox[{
                          \(-\(\(3\ \(B\_0 (0, m\^2, m\^2)\)\ m\^2\)\/
                               \(2\ M\^2\)\)\), "+", 
                          \(\(7\ \(B\_0 (0, m\^2, M\^2)\)\ m\^2\)\/
                             \(2\ M\^2\)\), "+", FractionBox[RowBox[{"3", 
                          " ", RowBox[{\(B\_0\), "(", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"], ",", "0", ",", 
                          \(m\^2\), ")"}], " ", \(m\^2\)}], \(2\ M\^2\)], 
                          "-", \(\(3\ m\^2\)\/\(2\ M\^2\)\), "-", FractionBox[
                          RowBox[{"2", " ", RowBox[{FormBox[\("A"\_"0"\), 
                          "TraditionalForm"], "(", FormBox[\(m\^2\), 
                          "TraditionalForm"], ")"}]}], \(M\^2\)], "+", 
                          FractionBox[RowBox[{"2", " ", RowBox[{FormBox[
                          \("A"\_"0"\), "TraditionalForm"], "(", FormBox[
                          \(M\^2\), "TraditionalForm"], ")"}]}], \(M\^2\)], 
                          "-", \(7\/2\ \(B\_0 (0, m\^2, M\^2)\)\), "-", 
                          FractionBox[RowBox[{\((\(3\ m\^2\) - \(7\ M\^2\))\)
                          , " ", RowBox[{\(B\_0\), "(", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], ",", \(m\^2\)
                          , ",", \(M\^2\), ")"}]}], \(2\ M\^2\)], "-", 
                          FractionBox[RowBox[{"5", " ", RowBox[{\(B\_0\), 
                          "(", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], ",", "0", ",", \(m\^2\), 
                          ")"}], " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}], \(2\ M\^2\)], "+", 
                          FractionBox[RowBox[{"5", " ", RowBox[{\(B\_0\), 
                          "(", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], ",", \(m\^2\), ",", 
                          \(M\^2\), ")"}], " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}], \(2\ M\^2\)]}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[122]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(\(\(SPD[\(q2, p\)]\) \(SPD[\(q1, p\)]\)\ 
                          \(FAD[\(\({q1, m}\), \({q2, m}\), \(q1 - p\), 
                              \(q2 - p\), \(q2 - q1\)\)]\)\)//FCI\)\)], 
                  "Input", CellLabel -> "In[123]:=", CellTags -> "CancelQP"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          "q1", "TraditionalForm"]}], " ", RowBox[
                        {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                         FormBox["q2", "TraditionalForm"]}]}], 
                     \(\((q1\^2 - m\^2)\) . \((q2\^2 - m\^2)\) . 
                        \((q1 - p)\)\^2 . \((q2 - p)\)\^2 . \((q2 - q1)\)\^2\
\)], TraditionalForm]], "Output", CellLabel -> "Out[123]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(OneLoop[\(q2, t, \(CancelQP \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[124]:=", CellTags -> "CancelQP"], 
                 Cell[BoxData[FormBox[RowBox[{"\[ImaginaryI]", " ", 
                      \(\[Pi]\^2\), " ", RowBox[{"(", RowBox[{RowBox[{"-", 
                          FractionBox[RowBox[{RowBox[{FormBox[\("C"\_"0"\), 
                          "TraditionalForm"], "(", FormBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], 
                          "TraditionalForm"], ",", FormBox[SuperscriptBox[
                          FormBox["q1", "TraditionalForm"], "2"], 
                          "TraditionalForm"], ",", FormBox[RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "-", RowBox[{"2", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], 
                          "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ",", FormBox[\(m\^2\), 
                          "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ")"}], " ", RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          "q1", "TraditionalForm"]}], " ", \(m\^2\)}], 
                          RowBox[{"2", " ", RowBox[{"(", RowBox[{\(m\^2\), 
                          "-", SuperscriptBox[FormBox["q1", 
                          "TraditionalForm"], "2"]}], ")"}], " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "-", RowBox[{"2", " ", 
                          RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}]}]]}], "+", 
                          FractionBox[RowBox[{RowBox[{\(B\_0\), "(", 
                          SuperscriptBox[FormBox["q1", "TraditionalForm"], 
                          "2"], ",", "0", ",", \(m\^2\), ")"}], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q1", "TraditionalForm"]}]}], RowBox[
                          {"2", " ", RowBox[{"(", RowBox[{\(m\^2\), "-", 
                          SuperscriptBox[FormBox["q1", "TraditionalForm"], 
                          "2"]}], ")"}], " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "-", RowBox[{"2", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}]}]], "-", 
                          FractionBox[RowBox[{RowBox[{\(B\_0\), "(", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "-", RowBox[{"2", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ",", "0", ",", 
                          "0", ")"}], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], RowBox[{"2", " ", RowBox[
                          {"(", RowBox[{\(m\^2\), "-", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}], " ", 
                          RowBox[{"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "-", RowBox[{"2", " ", 
                          RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}]}]], "-", 
                          FractionBox[RowBox[{RowBox[{FormBox[\("C"\_"0"\), 
                          "TraditionalForm"], "(", FormBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], 
                          "TraditionalForm"], ",", FormBox[SuperscriptBox[
                          FormBox["q1", "TraditionalForm"], "2"], 
                          "TraditionalForm"], ",", FormBox[RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "-", RowBox[{"2", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], 
                          "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ",", FormBox[\(m\^2\), 
                          "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q1", "TraditionalForm"]}]}], RowBox[
                          {"2", " ", RowBox[{"(", RowBox[{\(m\^2\), "-", 
                          SuperscriptBox[FormBox["q1", "TraditionalForm"], 
                          "2"]}], ")"}], " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "-", RowBox[{"2", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}]}]]}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[124]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(OneLoop[\(q2, t, \(CancelQP \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[125]:=", CellTags -> "CancelQP"], 
                 Cell[BoxData[FormBox[RowBox[{"\[ImaginaryI]", " ", 
                      \(\[Pi]\^2\), " ", RowBox[{"(", RowBox[{FractionBox[
                          RowBox[{RowBox[{"PaVe", "(", RowBox[{"2", ",", 
                          RowBox[{"{", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], ",", SuperscriptBox[
                          FormBox["q1", "TraditionalForm"], "2"], ",", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "-", RowBox[{"2", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}]}], "}"}], ",", 
                          \({0, m\^2, 0}\)}], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}], RowBox[{RowBox[{"(", 
                          RowBox[{\(m\^2\), "-", SuperscriptBox[FormBox["q1", 
                          "TraditionalForm"], "2"]}], ")"}], " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "-", RowBox[{"2", " ", 
                          RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}]}]], "-", 
                          FractionBox[RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], " ", RowBox[{"PaVe", "(", 
                          RowBox[{"1", ",", RowBox[{"{", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], ",", SuperscriptBox[FormBox["q1", 
                          "TraditionalForm"], "2"], ",", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "-", RowBox[{"2", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}]}], "}"}], ",", 
                          \({0, m\^2, 0}\)}], ")"}], " ", RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          "q1", "TraditionalForm"]}]}], RowBox[{RowBox[
                          {"(", RowBox[{\(m\^2\), "-", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}], " ", 
                          RowBox[{"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "-", RowBox[{"2", " ", 
                          RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}]}]], "-", 
                          FractionBox[RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], " ", RowBox[{"PaVe", "(", 
                          RowBox[{"2", ",", RowBox[{"{", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], ",", SuperscriptBox[FormBox["q1", 
                          "TraditionalForm"], "2"], ",", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "-", RowBox[{"2", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}]}], "}"}], ",", 
                          \({0, m\^2, 0}\)}], ")"}], " ", RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          "q1", "TraditionalForm"]}]}], RowBox[{RowBox[
                          {"(", RowBox[{\(m\^2\), "-", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}], " ", 
                          RowBox[{"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], "-", RowBox[{"2", " ", 
                          RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}]}]], "-", 
                          FractionBox[RowBox[{RowBox[{FormBox[\("C"\_"0"\), 
                          "TraditionalForm"], "(", FormBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], 
                          "TraditionalForm"], ",", FormBox[SuperscriptBox[
                          FormBox["q1", "TraditionalForm"], "2"], 
                          "TraditionalForm"], ",", FormBox[RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "-", RowBox[{"2", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], 
                          "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ",", FormBox[\(m\^2\), 
                          "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q1", "TraditionalForm"]}]}], RowBox[
                          {RowBox[{"(", RowBox[{\(m\^2\), "-", SuperscriptBox[
                          FormBox["q1", "TraditionalForm"], "2"]}], ")"}], 
                          " ", RowBox[{"(", RowBox[{SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"], "-", RowBox[{"2", 
                          " ", RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}]}], "+", SuperscriptBox[FormBox[
                          "q1", "TraditionalForm"], "2"]}], ")"}]}]]}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[125]="]}, Open]], Cell[BoxData[\(Clear[t]\)], 
               "Input", CellLabel -> "In[126]:=", CellTags -> "CancelQP"]}, 
             Open]], Cell["Cases2", "ObjectName", CellTags -> "Cases2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Cases2"], Cell["Cases2[expr, f] returns a list of \
all objects in expr with head f. Cases2[expr,f] is equivalent to \
Cases2[{expr},f[___],Infinity]//Union. Cases2[expr, f, g, ...] or \
Cases2[expr, {f,g, ...}] is equivalent to Cases[{expr},f[___] | g[___] ...] \
.", "Text", CellTags -> "Cases2"]}, Open]], Cell[CellGroupData[
             {Cell[BoxData["Examples"], "Subsubsection", CellTags -> 
                "Cases2"], Cell[CellGroupData[{Cell[BoxData[
                   \(Cases2[\(\(\(f[a]\) + \(f[b]\)\^2 + \(f[\(c, d\)]\)\), f
                       \)]\)], "Input", CellLabel -> "In[127]:=", CellTags -> 
                   "Cases2"], Cell[BoxData[
                   \(TraditionalForm\`\({\(f(a)\), \(f(b)\), \(f(\(c, d\))\)}
                       \)\)], "Output", CellLabel -> "Out[127]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Cases2[\(\(\(\(Sin[x]\)\ \(Sin[\(y - z\)]\)\) + \(g[y]\)
                         \), Sin, g\)]\)], "Input", CellLabel -> "In[128]:=", 
                  CellTags -> "Cases2"], Cell[BoxData[
                   \(TraditionalForm\`\({\(g(y)\), \(sin(x)\), 
                         \(sin(\(y - z\))\)}\)\)], "Output", CellLabel -> 
                   "Out[128]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Cases2[\(\(\(\(Sin[x]\)\ \(Sin[\(y - z\)]\)\) + \(g[x]\)
                           + \(g[\(a, b, c\)]\)\), \({Sin, g}\)\)]\)], 
                  "Input", CellLabel -> "In[129]:=", CellTags -> "Cases2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(g(x)\), \(g(\(a, b, c\))\), 
                         \(sin(x)\), \(sin(\(y - z\))\)}\)\)], "Output", 
                  CellLabel -> "Out[129]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Cases2[\(\(\(\(DiracSlash[p]\) . \(DiracSlash[q]\)\) + 
                          \(ScalarProduct[\(p, p\)]\)\), Dot\)]\)], "Input", 
                  CellLabel -> "In[130]:=", CellTags -> "Cases2"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{RowBox[{"(", 
                          RowBox[{FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], ")"}]}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[130]="]}, 
                Open]]}, Open]], Cell["CF", "ObjectName", CellTags -> "CF"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CF"], Cell[TextData[
                {"CF is one of the Casimir operator eigenvalues of SU(", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], ") (CF = (", 
                 Cell[BoxData[\(TraditionalForm\`\(N\^2\)\)]], "-1)/(2 ", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], "))."}], "Text", 
               CellTags -> "CF"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["CA", RuleDelayed[ButtonData, "CA"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "CA"]], 
                 ", ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], "."}], "Text", 
               CellTags -> "CF"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "CF"], 
              Cell[CellGroupData[{Cell[BoxData["CF"], "Input", CellLabel -> 
                   "In[131]:=", CellTags -> "CF"], Cell[BoxData[
                   \(TraditionalForm\`C\_F\)], "Output", CellLabel -> 
                   "Out[131]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(CF,\ \(SUNNToCACF \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[132]:=", CellTags -> "CF"], 
                 Cell[BoxData[\(TraditionalForm\`\(\(N\^2 - 1\)\/\(2\ N\)\)\)]
                   , "Output", CellLabel -> "Out[132]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//InputForm\)], "Input", 
                  CellLabel -> "In[133]:="], Cell["(-1 + SUNN^2)/(2*SUNN)", 
                  "Output", CellLabel -> "Out[133]//InputForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData["SUNN"], "Input", CellLabel -> 
                   "In[134]:=", CellTags -> "CF"], Cell[BoxData[
                   \(TraditionalForm\`N\)], "Output", CellLabel -> 
                   "Out[134]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(\(SUNN^2\) - 1\),\ 
                        \(SUNNToCACF\ \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[135]:=", CellTags -> "CF"], Cell[BoxData[
                   \(TraditionalForm\`\(2\ C\_A\ C\_F\)\)], "Output", 
                  CellLabel -> "Out[135]="]}, Open]]}, Open]], 
           Cell["ChangeDimension", "ObjectName", CellTags -> 
             "ChangeDimension"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "ChangeDimension"], 
              Cell["ChangeDimension[exp, dim] changes all LorentzIndex and \
Momenta in exp to dimension dim (and also Levi-Civita-tensors, Dirac slashes \
and Dirac matrices).", "Text", CellTags -> "ChangeDimension"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["LorentzIndex", 
                   RuleDelayed[ButtonData, "LorentzIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LorentzIndex"]], ", ", 
                 ButtonBox["Momentum", RuleDelayed[ButtonData, "Momentum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Momentum"]], ", ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["Eps", RuleDelayed[ButtonData, "Eps"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Eps"]], 
                 "."}], "Text", CellTags -> "ChangeDimension"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ChangeDimension"], Cell["Remember that LorentzIndex[mu, 4] \
is simplified to LorentzIndex[mu] and Momentum[p, 4] to Momentum[p]. Thus the \
fullowing objects are defined in four dimensions.", "Text", CellTags -> 
                "ChangeDimension"], Cell[CellGroupData[{Cell[BoxData[
                   \({\(LorentzIndex[\[Mu]]\),\ \(Momentum[p]\)}\)], "Input", 
                  CellLabel -> "In[136]:=", CellTags -> "ChangeDimension"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{FormBox["\[Mu]", 
                         "TraditionalForm"], ",", "p"}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[136]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ChangeDimension[\(%,\ D\)]\)], "Input", CellLabel -> 
                   "In[137]:=", CellTags -> "ChangeDimension"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{FormBox["\[Mu]", 
                         "TraditionalForm"], ",", "p"}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[137]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[138]:=", CellTags -> 
                   "ChangeDimension"], Cell[BoxData[
                   \({\(LorentzIndex[\(\[Mu], D\)]\), \(Momentum[\(p, D\)]\)}
                     \)], "Output", CellLabel -> "Out[138]//StandardForm="]}, 
                Open]], Cell["This changes all non-4-dimensional objects to \
4-dimensional ones.", "Text", CellTags -> "ChangeDimension"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(ChangeDimension[\(%%,\ 4\)]\)\ //\ StandardForm\)], 
                  "Input", CellLabel -> "In[139]:=", CellTags -> 
                   "ChangeDimension"], Cell[BoxData[
                   \({\(LorentzIndex[\[Mu]]\), \(Momentum[p]\)}\)], "Output", 
                  CellLabel -> "Out[139]//StandardForm="]}, Open]], 
              Cell[
               "Consider the following list of 4- and D-dimensional object.", 
               "Text", CellTags -> "ChangeDimension"], Cell[CellGroupData[
                {Cell[BoxData[
                   \({\(\(GA[\(\[Mu], \[Nu]\)]\)\ \(MT[\(\[Mu], \[Nu]\)]\)\),
                       \ \(\(GAD[\(\[Mu], \[Nu]\)]\)\ 
                         \(MTD[\(\[Mu], \[Nu]\)]\)\ \(f[D]\)\)}\)], "Input", 
                  CellLabel -> "In[140]:=", CellTags -> "ChangeDimension"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          \(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\)\ 
                           g\^\(\[Mu]\[Nu]\)\), 
                         \(\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\)\ \(f(D)\)\ 
                           g\^\(\[Mu]\[Nu]\)\)}\)\)], "Output", CellLabel -> 
                   "Out[140]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrick[\(Contract[%]\)]\)], "Input", CellLabel -> 
                   "In[141]:=", CellTags -> "ChangeDimension"], Cell[BoxData[
                   \(TraditionalForm\`\({4, \(D\ \(f(D)\)\)}\)\)], "Output", 
                  CellLabel -> "Out[141]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(DiracTrick[\(Contract[\(ChangeDimension[\(%%, n\)]\)]\)]
                     \)], "Input", CellLabel -> "In[142]:=", CellTags -> 
                   "ChangeDimension"], Cell[BoxData[
                   \(TraditionalForm\`\({n, \(n\ \(f(D)\)\)}\)\)], "Output", 
                  CellLabel -> "Out[142]="]}, Open]], Cell["Any explicit \
occurence of D (like in f(D)) is not replaced by ChangeDimension.", "Text", 
               CellTags -> "ChangeDimension"], Cell[BoxData[
                \(\(SetOptions[\(LeviCivita, \(Dimension \[Rule] D\)\)]\) ;\)]\
, "Input", CellLabel -> "In[143]:=", CellTags -> "ChangeDimension"], 
              Cell["The option Dimension of Eps must be changed too, since \
with the default setting Dimension\[Rule]4 the arguments of Eps are \
automatically changed to 4 dimensions.", "Text", CellTags -> 
                "ChangeDimension"], Cell[BoxData[
                \(\(SetOptions[\(Eps, \(Dimension \[Rule] D\)\)]\) ;\)], 
               "Input", CellLabel -> "In[144]:=", CellTags -> 
                "ChangeDimension"], Cell[CellGroupData[{Cell[BoxData[
                   \(a1\ =\ \(LeviCivita[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]
                       \)\)], "Input", CellLabel -> "In[145]:=", CellTags -> 
                   "ChangeDimension"], Cell[BoxData[FormBox[SuperscriptBox[
                     "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Sigma]", "TraditionalForm"], 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[145]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(a2\ =\ \(ChangeDimension[\(a1, 4\)]\)\)], 
                  "Input", CellLabel -> "In[146]:=", CellTags -> 
                   "ChangeDimension"], Cell[BoxData[FormBox[SuperscriptBox[
                     "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Sigma]", "TraditionalForm"], 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[146]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Factor2[\(Contract[\(a1\^2\)]\)]\)], "Input", 
                  CellLabel -> "In[147]:=", CellTags -> "ChangeDimension"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\((1 - D)\)\ \((2 - D)\)\ \((3 - D)\)
                        \ D\)\)], "Output", CellLabel -> "Out[147]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Contract[\(a2\^2\)]\)], "Input", CellLabel -> 
                   "In[148]:=", CellTags -> "ChangeDimension"], Cell[BoxData[
                   \(TraditionalForm\`\(-24\)\)], "Output", CellLabel -> 
                   "Out[148]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(Eps, \(Dimension \[Rule] 4\)\)]\) ;\)], 
               "Input", CellLabel -> "In[149]:=", CellTags -> 
                "ChangeDimension"], Cell[BoxData[\(\(Clear[\(a1, a2\)]\) ;\)]
                , "Input", CellLabel -> "In[150]:=", CellTags -> 
                "ChangeDimension"]}, Open]], Cell["ChargeConjugationMatrix", 
            "ObjectName", CellTags -> "ChargeConjugationMatrix"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ChargeConjugationMatrix"], Cell[TextData[
                {"ChargeConjugationMatrix denotes the charge conjugation \
matrix ", StyleBox["C", Rule[FontSlant, "Italic"]], "."}], "Text", 
               CellTags -> "ChargeConjugationMatrix"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["ChargeConjugationMatrixInv", 
                   RuleDelayed[ButtonData, "ChargeConjugationMatrixInv"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ChargeConjugationMatrixInv"]], "."}], 
               "Text", CellTags -> "ChargeConjugationMatrix"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ChargeConjugationMatrix"], Cell[CellGroupData[{Cell[BoxData[
                   \(ChargeConjugationMatrix . \(DiracMatrix[\[Mu]]\) . 
                      ChargeConjugationMatrixInv\)], "Input", CellLabel -> 
                   "In[151]:=", CellTags -> "ChargeConjugationMatrix"], 
                 Cell[BoxData[FormBox[RowBox[{"C", ".", SuperscriptBox[
                       "\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      \((\(-C\))\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[151]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Calc[%]\)], "Input", CellLabel -> 
                   "In[152]:=", CellTags -> "ChargeConjugationMatrix"], 
                 Cell[BoxData[FormBox[RowBox[{"-", SubsuperscriptBox[
                       "\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], "T"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[152]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ChargeConjugationMatrix . \(DiracGamma[5]\) . 
                      ChargeConjugationMatrixInv\)], "Input", CellLabel -> 
                   "In[153]:=", CellTags -> "ChargeConjugationMatrix"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(C . \[Gamma]\^5 . \((\(-C\))\)\)\)], 
                  "Output", CellLabel -> "Out[153]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Calc[%]\)], "Input", 
                  CellLabel -> "In[154]:=", CellTags -> 
                   "ChargeConjugationMatrix"], Cell[BoxData[FormBox[
                    SubsuperscriptBox["\[Gamma]", FormBox["5", 
                      "TraditionalForm"], "T"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[154]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ChargeConjugationMatrix^2\)], "Input", 
                  CellLabel -> "In[155]:=", CellTags -> 
                   "ChargeConjugationMatrix"], Cell[BoxData[
                   \(TraditionalForm\`\(-1\)\)], "Output", CellLabel -> 
                   "Out[155]="]}, Open]]}, Open]], 
           Cell["ChargeConjugationMatrixInv", "ObjectName", 
            CellTags -> "ChargeConjugationMatrixInv"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ChargeConjugationMatrixInv"], Cell["ChargeConjuga\
tionMatrixInv is the inverse of ChargeConjugationMatrix. It is substituted \
immediately by -ChargeConjugationMatrix.", "Text", CellTags -> 
                "ChargeConjugationMatrixInv"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["ChargeConjugationMatrix", 
                   RuleDelayed[ButtonData, "ChargeConjugationMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ChargeConjugationMatrix"]], "."}], 
               "Text", CellTags -> "ChargeConjugationMatrixInv"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ChargeConjugationMatrixInv"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(ChargeConjugationMatrix . \(DiracMatrix[\[Mu]]\) . 
                      ChargeConjugationMatrixInv\)], "Input", CellLabel -> 
                   "In[156]:=", CellTags -> "ChargeConjugationMatrixInv"], 
                 Cell[BoxData[FormBox[RowBox[{"C", ".", SuperscriptBox[
                       "\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      \((\(-C\))\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[156]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Calc[%]\)], "Input", CellLabel -> 
                   "In[157]:=", CellTags -> "ChargeConjugationMatrixInv"], 
                 Cell[BoxData[FormBox[RowBox[{"-", SubsuperscriptBox[
                       "\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], "T"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[157]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ChargeConjugationMatrix . \(DiracGamma[5]\) . 
                      ChargeConjugationMatrixInv\)], "Input", CellLabel -> 
                   "In[158]:=", CellTags -> "ChargeConjugationMatrixInv"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(C . \[Gamma]\^5 . \((\(-C\))\)\)\)], 
                  "Output", CellLabel -> "Out[158]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Calc[%]\)], "Input", 
                  CellLabel -> "In[159]:=", CellTags -> 
                   "ChargeConjugationMatrixInv"], Cell[BoxData[FormBox[
                    SubsuperscriptBox["\[Gamma]", FormBox["5", 
                      "TraditionalForm"], "T"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[159]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(ChargeConjugationMatrix . ChargeConjugationMatrixInv\)], 
                  "Input", CellLabel -> "In[160]:=", CellTags -> 
                   "ChargeConjugationMatrixInv"], Cell[BoxData[
                   \(TraditionalForm\`\(C . \((\(-C\))\)\)\)], "Output", 
                  CellLabel -> "Out[160]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//Calc\)], "Input", CellLabel -> 
                   "In[161]:=", CellTags -> "ChargeConjugationMatrixInv"], 
                 Cell[BoxData[\(TraditionalForm\`\(-\(C . C\)\)\)], "Output", 
                  CellLabel -> "Out[161]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ChargeConjugationMatrixInv^2\)], "Input", 
                  CellLabel -> "In[162]:=", CellTags -> 
                   "ChargeConjugationMatrixInv"], Cell[BoxData[
                   \(TraditionalForm\`\(-1\)\)], "Output", CellLabel -> 
                   "Out[162]="]}, Open]]}, Open]], Cell["CheckContext", 
            "ObjectName", CellTags -> "CheckContext"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CheckContext"], Cell["CheckContext[string] yields \
True if the packaged associated with string is already loaded, and False \
otherwise.", "Text", CellTags -> "CheckContext"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["MakeContext", 
                   RuleDelayed[ButtonData, "MakeContext"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MakeContext"]], ", ", 
                 ButtonBox["$FeynCalcStuff", 
                   RuleDelayed[ButtonData, "$FeynCalcStuff"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$FeynCalcStuff"]], "."}], "Text", 
               CellTags -> "CheckContext"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "CheckContext"], Cell["If a FeynCalc symbol has not been \
used, the corresponding subpackage has not been loaded:", "Text", CellTags -> 
                "CheckContext"], Cell[CellGroupData[{Cell[BoxData[
                   \(CheckContext["CompleteSquare"]\)], "Input", CellLabel -> 
                   "In[163]:=", CellTags -> "CheckContext"], Cell[BoxData[
                   \(TraditionalForm\`False\)], "Output", CellLabel -> 
                   "Out[163]="]}, Open]], Cell[
               "Using it makes FeynCalc load the subpackage:", "Text", 
               CellTags -> "CheckContext"], Cell[CellGroupData[
                {Cell[BoxData["CompleteSquare"], "Input", CellLabel -> 
                   "In[164]:=", CellTags -> "CheckContext"], Cell[BoxData[
                   \(TraditionalForm\`CompleteSquare\)], "Output", 
                  CellLabel -> "Out[164]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(CheckContext["CompleteSquare"]\)], "Input", 
                  CellLabel -> "In[165]:=", CellTags -> "CheckContext"], 
                 Cell[BoxData[\(TraditionalForm\`True\)], "Output", 
                  CellLabel -> "Out[165]="]}, Open]]}, Open]], 
           Cell["CheckDB", "ObjectName", CellTags -> "CheckDB"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               GeneratedCell -> True, CellAutoOverwrite -> True, CellTags -> 
                "CheckDB"], Cell["CheckDB[exp, fil] saves [with Put] or \
retrieves [with Get] exp from a file fil. It checks if the setting of the \
option Directory is a valid directory name and if fil is a valid file name \
and does exist. If it does, Get[fil] is executed. If fil does not exist, exp \
gets evaluated and saved to  fil. Saving and evaluating can be further \
controlled with the options ForceSave and NoSave. If the option Check is set \
to False  the return value is what is evaluated [see above]. If Check is set \
to True the return value is True or False depending on whether the evaluation \
of exp agrees with what is loaded from fil or fil does not exist.  Default \
value of Check : False. NOTICE : If fil ends with \".Gen\" or \".Mod\", the   \
setting of Directory is ignored and fil is  saved in the \"CouplingVectors\"  \
subdirectory of \"Phi\". If fil ends with  \".Fac\", the setting of Directory \
is  ignored and fil is saved in the \"Factors\" subdirectory of \"Phi\". If \
fil is a file   name with full path, the setting of  Directory is also \
ignored.", "Text"], Cell[CellGroupData[{Cell[BoxData[\(Options[CheckDB]\)], 
                  "Input", CellLabel -> "In[166]:=", CellTags -> "CheckDB"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          Directory \[RuleDelayed] 
                           \(ToFileName[\(\({$FeynCalcDirectory}\), "fcdb"\)]
                            \)\), \(ForceSave \[Rule] False\), 
                         \(NoSave \[Rule] False\), \(Check \[Rule] False\)}\)
                   \)], "Output", CellLabel -> "Out[166]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Attributes[CheckDB]\)], 
                  "Input", CellLabel -> "In[167]:=", CellTags -> "CheckDB"], 
                 Cell[BoxData[\(TraditionalForm\`\({HoldFirst}\)\)], 
                  "Output", CellLabel -> "Out[167]="]}, Open]], 
              Cell["The first time the Table function is evaluated and the \
result saved into the test.s file.", "Text"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(CheckDB[\(\(Table[\(\(\(Print[\("test ", i\)]\) ; i\), 
                            \({i, 2}\)\)]\), "test.s"\)]\)], "Input", 
                  CellLabel -> "In[168]:="], Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[\(
                          "test "\[InvisibleSpace]1\), 
                         SequenceForm["test ", 1], Rule[Editable, False]]\)\)]\
, "Print"], Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[\(
                          "test "\[InvisibleSpace]2\), 
                         SequenceForm["test ", 2], Rule[Editable, False]]\)\)]\
, "Print"], Cell[BoxData[\(TraditionalForm\`\({1, 2}\)\)], "Output", 
                  CellLabel -> "Out[168]="]}, Open]], Cell["Executing the \
same a second time will just load the result from test.s and not evaluate the \
Table function.", "Text"], Cell[CellGroupData[{Cell[BoxData[
                   \(CheckDB[\(\(Table[\(\(
                             \(WriteString[\("stdout", "test"\)]\) ; i\), 
                            \({i, 2}\)\)]\), "test.s"\)]\)], "Input", 
                  CellLabel -> "In[169]:=", CellTags -> "CheckDB"], 
                 Cell[BoxData[\(TraditionalForm\`\({1, 2}\)\)], "Output", 
                  CellLabel -> "Out[169]="]}, Open]], 
              Cell["This shows the actual saved value of test.s.", "Text"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Import[\(\(ToFileName[
                          \(\({$FeynCalcDirectory, "fcdb"}\), "test.s"\)]\),\
 "Text"\)]\)], "Input", CellLabel -> "In[170]:=", CellTags -> "CheckDB"], 
                 Cell[BoxData[\(TraditionalForm\`"{1, 2}\n"\)], "Output", 
                  CellLabel -> "Out[170]="]}, Open]], Cell[BoxData[
                \(DeleteFile[\(ToFileName[
                     \(\({$FeynCalcDirectory, "fcdb"}\), "test.s"\)]\)]\)], 
               "Input", CellLabel -> "In[171]:=", CellTags -> "CheckDB"]}, 
             Open]], Cell["ChiralityProjector", "ObjectName", 
            CellTags -> "ChiralityProjector"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ChiralityProjector"], Cell[TextData[
                {"ChiralityProjector[+1] denotes ", Cell[BoxData[
                   \(TraditionalForm\`\(\(1/2\) \((1 + \[Gamma]\^5)\)\)\)]], 
                 ". ChiralityProjector[-1] denotes ", Cell[BoxData[
                   \(TraditionalForm\`\(\(1/2\) \((1 + \[Gamma]\^5)\)\)\)]], 
                 "."}], "Text", CellTags -> "ChiralityProjector"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["DiracMatrix", 
                   RuleDelayed[ButtonData, "DiracMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracMatrix"]], ", ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 "."}], "Text", CellTags -> "ChiralityProjector"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ChiralityProjector"], Cell[CellGroupData[{Cell[BoxData[
                   \({\(ChiralityProjector[\(+1\)]\), 
                       \(ChiralityProjector[\(-1\)]\)}\)], "Input", 
                  CellLabel -> "In[172]:=", CellTags -> 
                   "ChiralityProjector"], Cell[BoxData[
                   \(TraditionalForm\`\({\[Gamma]\^6, \[Gamma]\^7}\)\)], 
                  "Output", CellLabel -> "Out[172]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(FCI[%]\)], "Input", 
                  CellLabel -> "In[173]:=", CellTags -> 
                   "ChiralityProjector"], Cell[BoxData[
                   \(TraditionalForm\`\({\[Gamma]\^6, \[Gamma]\^7}\)\)], 
                  "Output", CellLabel -> "Out[173]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSimplify[\(%, \(DiracSubstitute67 \[Rule] True\)\)]
                     \)], "Input", CellLabel -> "In[174]:=", CellTags -> 
                   "ChiralityProjector"], Cell[BoxData[
                   \(TraditionalForm\`\({\(\[Gamma]\^5\/2 + 1\/2\), 
                         \(1\/2 - \[Gamma]\^5\/2\)}\)\)], "Output", 
                  CellLabel -> "Out[174]="]}, Open]]}, Open]], 
           Cell["Chisholm", "ObjectName", CellTags -> "Chisholm"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Chisholm"], Cell["Chisholm[x] substitutes \
products of three Dirac matrices or slashes by the Chisholm identity.", 
               "Text", CellTags -> "Chisholm"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["EpsChisholm", 
                   RuleDelayed[ButtonData, "EpsChisholm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "EpsChisholm"]], ", ", 
                 ButtonBox["ChisholmSpinor", 
                   RuleDelayed[ButtonData, "ChisholmSpinor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ChisholmSpinor"]], "."}], "Text", 
               CellTags -> "Chisholm"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Chisholm"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Chisholm[\(GA[\(\[Alpha], \[Beta], \[Mu], \[Nu]\)]\)]\)]\
, "Input", CellLabel -> "In[175]:=", CellTags -> "Chisholm"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(-\[ImaginaryI]\), 
                        " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox["$MU$102", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          \(\[Gamma]\^5\)}], " ", SuperscriptBox[
                         "\[Epsilon]", RowBox[{FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Beta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$102", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Alpha]\[Beta]\)\)}], "-", RowBox[
                       {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Beta]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]]}], 
                        " ", \(g\^\(\[Alpha]\[Mu]\)\)}], "+", RowBox[
                       {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Beta]\[Mu]\)\)}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[175]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(DiracMatrix[\(\[Mu], \[Nu], \[Rho]\)]\)\)], 
                  "Input", CellLabel -> "In[176]:=", CellTags -> "Chisholm"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] \[Gamma]\^\[Nu] 
                        \[Gamma]\^\[Rho]\)\)], "Output", CellLabel -> 
                   "Out[176]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t2\ = \(Chisholm[t1]\)\)], "Input", CellLabel -> 
                   "In[177]:=", CellTags -> "Chisholm"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"\[ImaginaryI]", " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "$MU$123", "TraditionalForm"], "TraditionalForm"]], 
                          ".", \(\[Gamma]\^5\)}], " ", SuperscriptBox[
                         "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$123", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        \(g\^\(\[Mu]\[Nu]\)\)}], "-", RowBox[{SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        \(g\^\(\[Mu]\[Rho]\)\)}], "+", RowBox[{SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        \(g\^\(\[Nu]\[Rho]\)\)}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[177]="]}, Open]], 
              Cell["The $MU$ variables are unique indices.", "Text", 
               CellTags -> "Chisholm"], Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\(t1 . t1\)]\)], "Input", CellLabel -> "In[178]:=", 
                  CellTags -> "Chisholm"], Cell[BoxData[
                   \(TraditionalForm\`16\)], "Output", CellLabel -> 
                   "Out[178]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t3\ = \(Chisholm[t1]\)\)], "Input", CellLabel -> 
                   "In[179]:=", CellTags -> "Chisholm"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"\[ImaginaryI]", " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "$MU$142", "TraditionalForm"], "TraditionalForm"]], 
                          ".", \(\[Gamma]\^5\)}], " ", SuperscriptBox[
                         "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$142", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        \(g\^\(\[Mu]\[Nu]\)\)}], "-", RowBox[{SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        \(g\^\(\[Mu]\[Rho]\)\)}], "+", RowBox[{SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        \(g\^\(\[Nu]\[Rho]\)\)}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[179]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Calc[\(t2 . t3\)]\)], 
                  "Input", CellLabel -> "In[180]:=", CellTags -> "Chisholm"], 
                 Cell[BoxData[\(TraditionalForm\`16\)], "Output", 
                  CellLabel -> "Out[180]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t4 = \(DiracSlash[\(a, b, c\)]\)\)], "Input", 
                  CellLabel -> "In[181]:=", CellTags -> "Chisholm"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"(", RowBox[
                         {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["a", "TraditionalForm"]}], 
                        ")"}], ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["b", "TraditionalForm"]}], ")"}], ".", 
                      RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["c", 
                          "TraditionalForm"]}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[181]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Chisholm[t4]\)], "Input", 
                  CellLabel -> "In[182]:=", CellTags -> "Chisholm"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(-\[ImaginaryI]\), 
                        " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox["$MU$168", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "$MU$168", "TraditionalForm"], "TraditionalForm"], 
                          FormBox["a", "TraditionalForm"], FormBox["b", 
                          "TraditionalForm"], FormBox["c", 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["c", "TraditionalForm"]}], 
                        " ", RowBox[{FormBox["a", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["b", 
                          "TraditionalForm"]}]}], "-", RowBox[{RowBox[
                         {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["b", "TraditionalForm"]}], 
                        " ", RowBox[{FormBox["a", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["c", 
                          "TraditionalForm"]}]}], "+", RowBox[{RowBox[
                         {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["a", "TraditionalForm"]}], 
                        " ", RowBox[{FormBox["b", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["c", 
                          "TraditionalForm"]}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[182]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(a1 = \(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma], \[Tau], 
                          \[Kappa]\)]\)\)], "Input", CellLabel -> 
                   "In[183]:=", CellTags -> "Chisholm"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Rho] . \[Gamma]\^\[Sigma] . 
                        \[Gamma]\^\[Tau] . \[Gamma]\^\[Kappa]\)\)], "Output", 
                  CellLabel -> "Out[183]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(a2\ = \(Chisholm[a1]\)\)], "Input", 
                  CellLabel -> "In[184]:=", CellTags -> "Chisholm"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(-\[ImaginaryI]\), 
                        " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox["\[Tau]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          \(\[Gamma]\^5\)}], " ", SuperscriptBox[
                         "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {"\[ImaginaryI]", " ", RowBox[{SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Tau]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {"\[ImaginaryI]", " ", RowBox[{SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["$MU$199", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Rho]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$199", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\^\(\[Mu]\[Nu]\)\)}]
                        , "+", RowBox[{"\[ImaginaryI]", " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "$MU$210", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$210", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\^\(\[Mu]\[Rho]\)\)}]
                        , "-", RowBox[{"\[ImaginaryI]", " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "$MU$221", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$221", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\^\(\[Nu]\[Rho]\)\)}]
                        , "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Tau]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Sigma]\)\), " ", \(g\^\(\[Nu]\[Rho]\)\)}
                        ], "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Tau]\)\), " ", \(g\^\(\[Nu]\[Rho]\)\)}]
                        , "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Tau]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Rho]\)\), " ", \(g\^\(\[Nu]\[Sigma]\)\)}
                        ], "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Tau]\)\), " ", \(g\^\(\[Nu]\[Sigma]\)\)}
                        ], "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Rho]\)\), " ", \(g\^\(\[Nu]\[Tau]\)\)}]
                        , "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Sigma]\)\), " ", \(g\^\(\[Nu]\[Tau]\)\)}
                        ], "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Tau]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Nu]\)\), " ", \(g\^\(\[Rho]\[Sigma]\)\)}
                        ], "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Tau]\)\), " ", \(g\^\(\[Rho]\[Sigma]\)\)
                        }], "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\[Tau]\)\), " ", \(g\^\(\[Rho]\[Sigma]\)\)
                        }], "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Nu]\)\), " ", \(g\^\(\[Rho]\[Tau]\)\)}]
                        , "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Sigma]\)\), " ", \(g\^\(\[Rho]\[Tau]\)\)
                        }], "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\[Sigma]\)\), " ", \(g\^\(\[Rho]\[Tau]\)\)
                        }], "-", RowBox[{"\[ImaginaryI]", " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "$MU$177", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$177", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", 
                        \(g\^\(\[Sigma]\[Tau]\)\)}], "+", RowBox[
                       {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Rho]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(g\^\(\[Mu]\[Nu]\)\), 
                        " ", \(g\^\(\[Sigma]\[Tau]\)\)}], "-", RowBox[
                       {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(g\^\(\[Mu]\[Rho]\)\), 
                        " ", \(g\^\(\[Sigma]\[Tau]\)\)}], "+", RowBox[
                       {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(g\^\(\[Nu]\[Rho]\)\), 
                        " ", \(g\^\(\[Sigma]\[Tau]\)\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[184]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(a3\ = \(Chisholm[a1]\)\)], "Input", CellLabel -> 
                   "In[185]:=", CellTags -> "Chisholm"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{\(-\[ImaginaryI]\), " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Tau]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {"\[ImaginaryI]", " ", RowBox[{SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Tau]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {"\[ImaginaryI]", " ", RowBox[{SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["$MU$281", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Rho]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$281", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\^\(\[Mu]\[Nu]\)\)}]
                        , "+", RowBox[{"\[ImaginaryI]", " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "$MU$292", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$292", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\^\(\[Mu]\[Rho]\)\)}]
                        , "-", RowBox[{"\[ImaginaryI]", " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "$MU$303", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$303", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\^\(\[Nu]\[Rho]\)\)}]
                        , "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Tau]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Sigma]\)\), " ", \(g\^\(\[Nu]\[Rho]\)\)}
                        ], "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Tau]\)\), " ", \(g\^\(\[Nu]\[Rho]\)\)}]
                        , "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Tau]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Rho]\)\), " ", \(g\^\(\[Nu]\[Sigma]\)\)}
                        ], "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Tau]\)\), " ", \(g\^\(\[Nu]\[Sigma]\)\)}
                        ], "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Rho]\)\), " ", \(g\^\(\[Nu]\[Tau]\)\)}]
                        , "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Sigma]\)\), " ", \(g\^\(\[Nu]\[Tau]\)\)}
                        ], "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Tau]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Nu]\)\), " ", \(g\^\(\[Rho]\[Sigma]\)\)}
                        ], "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Tau]\)\), " ", \(g\^\(\[Rho]\[Sigma]\)\)
                        }], "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\[Tau]\)\), " ", \(g\^\(\[Rho]\[Sigma]\)\)
                        }], "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Nu]\)\), " ", \(g\^\(\[Rho]\[Tau]\)\)}]
                        , "+", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Sigma]\)\), " ", \(g\^\(\[Rho]\[Tau]\)\)
                        }], "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Kappa]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\[Sigma]\)\), " ", \(g\^\(\[Rho]\[Tau]\)\)
                        }], "-", RowBox[{"\[ImaginaryI]", " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "$MU$259", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$259", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", 
                        \(g\^\(\[Sigma]\[Tau]\)\)}], "+", RowBox[
                       {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Rho]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(g\^\(\[Mu]\[Nu]\)\), 
                        " ", \(g\^\(\[Sigma]\[Tau]\)\)}], "-", RowBox[
                       {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(g\^\(\[Mu]\[Rho]\)\), 
                        " ", \(g\^\(\[Sigma]\[Tau]\)\)}], "+", RowBox[
                       {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Kappa]", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(g\^\(\[Nu]\[Rho]\)\), 
                        " ", \(g\^\(\[Sigma]\[Tau]\)\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[185]="]}, 
                Open]], Cell[
               "Check that both a1.a1 and a2.a3 give the same.", "Text", 
               CellTags -> "Chisholm"], Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\(a1 . a1\)]\)], "Input", CellLabel -> "In[186]:=", 
                  CellTags -> "Chisholm"], Cell[BoxData[
                   \(TraditionalForm\`\(-2048\)\)], "Output", CellLabel -> 
                   "Out[186]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\(a2 . a3\)]\)], "Input", CellLabel -> "In[187]:=", 
                  CellTags -> "Chisholm"], Cell[BoxData[
                   \(TraditionalForm\`\(-2048\)\)], "Output", CellLabel -> 
                   "Out[187]="]}, Open]], Cell[BoxData[
                \(Clear[\(t1, t2, t3, t4, a1, a2, a3\)]\)], "Input", 
               CellLabel -> "In[188]:=", CellTags -> "Chisholm"]}, Open]], 
           Cell["ChisholmSpinor", "ObjectName", CellTags -> 
             "ChisholmSpinor"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "ChisholmSpinor"], 
              Cell["ChisholmSpinor[x] uses the Chisholm identity on a \
DiraGamma between spinors. As an optional second argument 1 or 2 may be \
given, indicating that ChisholmSpinor should only act on the first resp. \
second part of a product of spinor chains.", "Text", CellTags -> 
                "ChisholmSpinor"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["EpsChisholm", 
                   RuleDelayed[ButtonData, "EpsChisholm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "EpsChisholm"]], ", ", 
                 ButtonBox["Chisholm", RuleDelayed[ButtonData, "Chisholm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Chisholm"]], "."}], "Text", CellTags -> 
                "ChisholmSpinor"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> 
                "ChisholmSpinor"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Spinor[\(p1, m1\)]\) . 
                      \(DiracGamma[\(LorentzIndex[\[Mu]]\)]\) . 
                      \(Spinor[\(p2, m2\)]\)\)], "Input", CellLabel -> 
                   "In[189]:=", CellTags -> "ChisholmSpinor"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"\[CurlyPhi]", "(", 
                        FormBox["p1", "TraditionalForm"], ",", "m1", ")"}], 
                      ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                      ".", RowBox[{"\[CurlyPhi]", "(", FormBox["p2", 
                         "TraditionalForm"], ",", "m2", ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[189]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//ChisholmSpinor\)
                   ], "Input", CellLabel -> "In[190]:=", CellTags -> 
                   "ChisholmSpinor"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"-", FractionBox[RowBox[{"m1", " ", "m2", " ", 
                          RowBox[{RowBox[{"\[CurlyPhi]", "(", FormBox["p1", 
                          "TraditionalForm"], ",", "m1", ")"}], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          RowBox[{"\[CurlyPhi]", "(", FormBox["p2", 
                          "TraditionalForm"], ",", "m2", ")"}]}]}], RowBox[
                          {FormBox["p1", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["p2", "TraditionalForm"]}]]}], "+", 
                      FractionBox[RowBox[{"\[ImaginaryI]", " ", RowBox[
                          {RowBox[{"\[CurlyPhi]", "(", FormBox["p1", 
                          "TraditionalForm"], ",", "m1", ")"}], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "alpha1", "TraditionalForm"], "TraditionalForm"]], 
                          ".", \(\[Gamma]\^5\), ".", RowBox[{"\[CurlyPhi]", 
                          "(", FormBox["p2", "TraditionalForm"], ",", "m2", 
                          ")"}]}], " ", SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["alpha1", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "p1", "TraditionalForm"], FormBox["p2", 
                          "TraditionalForm"]}]]}], RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]], "+", FractionBox[RowBox[
                        {"m2", " ", RowBox[{RowBox[{"\[CurlyPhi]", "(", 
                          FormBox["p1", "TraditionalForm"], ",", "m1", ")"}], 
                          ".", RowBox[{"\[CurlyPhi]", "(", FormBox["p2", 
                          "TraditionalForm"], ",", "m2", ")"}]}], " ", 
                         SuperscriptBox[FormBox["p1", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]], "+", FractionBox[RowBox[
                        {"m1", " ", RowBox[{RowBox[{"\[CurlyPhi]", "(", 
                          FormBox["p1", "TraditionalForm"], ",", "m1", ")"}], 
                          ".", RowBox[{"\[CurlyPhi]", "(", FormBox["p2", 
                          "TraditionalForm"], ",", "m2", ")"}]}], " ", 
                         SuperscriptBox[FormBox["p2", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[190]="]}, Open]]}, Open]], 
           Cell["ClearScalarProducts", "ObjectName", CellTags -> 
             "ClearScalarProducts"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ClearScalarProducts"], Cell["ClearScalarProducts removes all \
user-performed specific settings for ScalarProduct's.", "Text", CellTags -> 
                "ClearScalarProducts"], Cell[TextData[{"See also: ", 
                 ButtonBox["ScalarProduct", 
                   RuleDelayed[ButtonData, "ScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProduct"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["SP", RuleDelayed[ButtonData, "SP"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SP"]], 
                 ", ", 
                 ButtonBox["SPD", RuleDelayed[ButtonData, "SPD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SPD"]], 
                 "."}], "Text", CellTags -> "ClearScalarProducts"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ClearScalarProducts"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(ScalarProduct[\(p, p\)]\) = \(m^2\)\)], "Input", 
                  CellLabel -> "In[191]:=", CellTags -> 
                   "ClearScalarProducts"], Cell[BoxData[
                   \(TraditionalForm\`\(m\^2\)\)], "Output", CellLabel -> 
                   "Out[191]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Pair[\(\(Momentum[p]\), \(Momentum[p]\)\)]\)], "Input", 
                  CellLabel -> "In[192]:=", CellTags -> 
                   "ClearScalarProducts"], Cell[BoxData[
                   \(TraditionalForm\`\(m\^2\)\)], "Output", CellLabel -> 
                   "Out[192]="]}, Open]], Cell[BoxData[
                "ClearScalarProducts"], "Input", CellLabel -> "In[193]:=", 
               CellTags -> "ClearScalarProducts"], Cell[CellGroupData[
                {Cell[BoxData[\(Pair[\(\(Momentum[p]\), \(Momentum[p]\)\)]\)]
                   , "Input", CellLabel -> "In[194]:=", CellTags -> 
                   "ClearScalarProducts"], Cell[BoxData[FormBox[
                    SuperscriptBox[FormBox["p", "TraditionalForm"], "2"], 
                    TraditionalForm]], "Output", CellLabel -> "Out[194]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ScalarProduct[\(p, p\)]\)], "Input", CellLabel -> 
                   "In[195]:=", CellTags -> "ClearScalarProducts"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox["p", 
                      "TraditionalForm"], "2"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[195]="]}, Open]]}, Open]], 
           Cell["Collecting", "ObjectName", CellTags -> "Collecting"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Collecting"], Cell["Collecting is an option of \
ScalarProductCancel, Series2, TID and related functions. Setting it to True \
will trigger some kind of collecting of the result.", "Text", CellTags -> 
                "Collecting"], Cell[TextData[{"See also:  ", 
                 ButtonBox["ScalarProductCancel", 
                   RuleDelayed[ButtonData, "ScalarProductCancel"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProductCancel"]], ", ", 
                 ButtonBox["Series2", RuleDelayed[ButtonData, "Series2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Series2"]], ", ", 
                 ButtonBox["TID", RuleDelayed[ButtonData, "TID"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TID"]], 
                 "."}], "Text", CellTags -> "Collecting"]}, Open]], 
           Cell["Collect2", "ObjectName", CellTags -> "Collect2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Collect2"], Cell["Collect2[expr, x] collects \
together terms which are not free of any occurrence of x. Collect2[expr, {x1, \
x2, ...}] (or also Collect2[expr, x1, x2, ...]) collects together terms which \
are not free of any occurrence of x1, x2, .... The coefficients are put over \
a common denominator. If expr is expanded before collecting depends on the \
option Factoring, which may be set to Factor, Factor2, or any other function, \
which is applied to the coefficients. If expr is already expanded with \
respect to x (x1,x2, ...), the option Expanding can be set to False.", 
               "Text", CellTags -> "Collect2"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[Collect2]\)], "Input", CellLabel -> 
                   "In[196]:=", CellTags -> "Collect2"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Denominator \[Rule] False\), 
                         \(Dot \[Rule] False\), \(Expanding \[Rule] True\), 
                         \(Factoring \[Rule] Factor2\), 
                         \(IsolateNames \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[196]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Isolate", RuleDelayed[ButtonData, "Isolate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Isolate"]], "."}], "Text", CellTags -> 
                "Collect2"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Collect2"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Collect2[\(\(t1 = \(a + \(r\ a\) + \(k\^2\ \(f[a]\)\) - 
                            \(k\ \(f[a]\)\) + x\/2 - y\/w\)\), a\)]\)], 
                  "Input", CellLabel -> "In[197]:=", CellTags -> "Collect2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(a\ \((r + 1)\)\) + 
                        \(\(w\ x\) - \(2\ y\)\)\/\(2\ w\) - 
                        \(\((1 - k)\)\ k\ \(f(a)\)\)\)\)], "Output", 
                  CellLabel -> "Out[197]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Collect2[\(t1, a, \(Factoring \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[198]:=", CellTags -> "Collect2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(a\ \((r + 1)\)\) + x\/2 - y\/w + 
                        \(\((k\^2 - k)\)\ \(f(a)\)\)\)\)], "Output", 
                  CellLabel -> "Out[198]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Collect2[\(t1, a, \(Factoring \[Rule] Factor\)\)]\)], 
                  "Input", CellLabel -> "In[199]:=", CellTags -> "Collect2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(a\ \((r + 1)\)\) + 
                        \(\(w\ x\) - \(2\ y\)\)\/\(2\ w\) + 
                        \(\((k - 1)\)\ k\ \(f(a)\)\)\)\)], "Output", 
                  CellLabel -> "Out[199]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Collect2[\(\(\(2\ a\ \((b - a)\)\ \((h - 1)\)\) - 
                          \(b\^2\ \((\(e\ a\) - c)\)\) + b\^2\), \({a, b}\)\)\
]\)], "Input", CellLabel -> "In[200]:=", CellTags -> "Collect2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(2\ \((1 - h)\)\ a\^2\) - 
                        \(b\^2\ e\ a\) - \(2\ b\ \((1 - h)\)\ a\) + 
                        \(b\^2\ \((c + 1)\)\)\)\)], "Output", CellLabel -> 
                   "Out[200]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Collect2[\(\(Expand[\(\((a - b - c - d)\)\^5\)]\), a, 
                        \(IsolateNames \[Rule] L\)\)]\)], "Input", 
                  CellLabel -> "In[201]:=", CellTags -> "Collect2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(a\^5 - 
                        \(5\ \*TagBox[\(L(1)\), HoldForm]\ a\^4\) + 
                        \(10\ \*TagBox[\(L(1)\), HoldForm]\^2\ a\^3\) - 
                        \(10\ \*TagBox[\(L(1)\), HoldForm]\^3\ a\^2\) + 
                        \(5\ \*TagBox[\(L(1)\), HoldForm]\^4\ a\) - 
                        \*TagBox[\(L(1)\), HoldForm]\^5\)\)], "Output", 
                  CellLabel -> "Out[201]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ReleaseHold[%]\)], "Input", CellLabel -> 
                   "In[202]:=", CellTags -> "Collect2"], Cell[BoxData[
                   \(TraditionalForm\`\(a\^5 - \(5\ \((b + c + d)\)\ a\^4\) +
                         \(10\ \((b + c + d)\)\^2\ a\^3\) - 
                        \(10\ \((b + c + d)\)\^3\ a\^2\) + 
                        \(5\ \((b + c + d)\)\^4\ a\) - \((b + c + d)\)\^5\)\)]\
, "Output", CellLabel -> "Out[202]="]}, Open]], Cell[BoxData[
                \(Clear[\(t1, L\)]\)], "Input", CellLabel -> "In[203]:=", 
               CellTags -> "Collect2"], Cell[CellGroupData[{Cell[BoxData[
                   \(Collect2[\(\(Expand[\(\((a - b - c)\)\^3\)]\), a, 
                        \(Factoring \[Rule] fun\)\)]\)], "Input", 
                  CellLabel -> "In[204]:=", CellTags -> "Collect2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(fun(1)\)\ a\^3\) + 
                        \(\(fun(\(\(\(-3\)\ b\) - \(3\ c\)\))\)\ a\^2\) + 
                        \(\(fun(\(\(3\ b\^2\) + \(6\ c\ b\) + \(3\ c\^2\)\))
                           \)\ a\) + \(fun(
                          \(\(-b\^3\) - \(3\ c\ b\^2\) - \(3\ c\^2\ b\) - 
                            c\^3\))\)\)\)], "Output", CellLabel -> 
                   "Out[204]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%\ /.\ \(fun \[Rule] FactorTerms\)\)], "Input", 
                  CellLabel -> "In[205]:=", CellTags -> "Collect2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(a\^3 - \(3\ \((b + c)\)\ a\^2\) + 
                        \(3\ \((b\^2 + \(2\ c\ b\) + c\^2)\)\ a\) - b\^3 - 
                        c\^3 - \(3\ b\ c\^2\) - \(3\ b\^2\ c\)\)\)], 
                  "Output", CellLabel -> "Out[205]="]}, Open]]}, Open]], 
           Cell["Collect3", "ObjectName", CellTags -> "Collect3"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Collect3"], Cell[TextData[{"Collect3[expr, {x, y, \
...}] collects terms involving the same powers of monomials ", Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["x", 
                          Rule[FontSlant, "Plain"]]\^
                        \(\(\*StyleBox["n", Rule[FontSlant, "Plain"]]\)\_1\)\
\)\)]], Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["y", 
                          Rule[FontSlant, "Plain"]]\^
                        \(\(\*StyleBox["n", Rule[FontSlant, "Plain"]]\)\_2\)\
\)\)]], " ... An option Factor \[Rule] True/False can be  given, which \
factors the coefficients. The option Head (default Plus) determines the \
applied function to the list of monomials  mulitplied by their coefficients."}\
], "Text", CellTags -> "Collect3"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[Collect3]\)], "Input", CellLabel -> "In[206]:=", 
                  CellTags -> "Collect3"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Factoring \[Rule] False\), 
                         \(Head \[Rule] Plus\)}\)\)], "Output", CellLabel -> 
                   "Out[206]="]}, Open]], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Collect2", RuleDelayed[ButtonData, "Collect2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Collect2"]], ", ", 
                 ButtonBox["Isolate", RuleDelayed[ButtonData, "Isolate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Isolate"]], "."}], "Text", CellTags -> 
                "Collect3"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Collect3"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Collect3[\(\(\(2\ a\ \((b - a)\)\ \((h - 1)\)\) - 
                          \(b\^2\ \((\(e\ a\) - c)\)\) + b\^2\), \({a, b}\)\)\
]\)], "Input", CellLabel -> "In[207]:=", CellTags -> "Collect3"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-2\)\ h\ a\^2\) + \(2\ a\^2\) - 
                        \(2\ b\ a\) - \(b\^2\ e\ a\) + \(2\ b\ h\ a\) + b\^2 
                        + \(b\^2\ c\)\)\)], "Output", CellLabel -> 
                   "Out[207]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Collect3[\(\(Expand[\(\((a - b - c - d)\)\^5\)]\), 
                        \({a}\)\)]\)], "Input", CellLabel -> "In[208]:=", 
                  CellTags -> "Collect3"], Cell[BoxData[
                   \(TraditionalForm\`\(a\^5 - \(5\ b\ a\^4\) - 
                        \(5\ c\ a\^4\) - \(5\ d\ a\^4\) + \(10\ b\^2\ a\^3\) 
                        + \(10\ c\^2\ a\^3\) + \(10\ d\^2\ a\^3\) + 
                        \(20\ b\ c\ a\^3\) + \(20\ b\ d\ a\^3\) + 
                        \(20\ c\ d\ a\^3\) - \(10\ b\^3\ a\^2\) - 
                        \(10\ c\^3\ a\^2\) - \(10\ d\^3\ a\^2\) - 
                        \(30\ b\ c\^2\ a\^2\) - \(30\ b\ d\^2\ a\^2\) - 
                        \(30\ c\ d\^2\ a\^2\) - \(30\ b\^2\ c\ a\^2\) - 
                        \(30\ b\^2\ d\ a\^2\) - \(30\ c\^2\ d\ a\^2\) - 
                        \(60\ b\ c\ d\ a\^2\) + \(5\ b\^4\ a\) + 
                        \(5\ c\^4\ a\) + \(5\ d\^4\ a\) + \(20\ b\ c\^3\ a\) 
                        + \(20\ b\ d\^3\ a\) + \(20\ c\ d\^3\ a\) + 
                        \(30\ b\^2\ c\^2\ a\) + \(30\ b\^2\ d\^2\ a\) + 
                        \(30\ c\^2\ d\^2\ a\) + \(60\ b\ c\ d\^2\ a\) + 
                        \(20\ b\^3\ c\ a\) + \(20\ b\^3\ d\ a\) + 
                        \(20\ c\^3\ d\ a\) + \(60\ b\ c\^2\ d\ a\) + 
                        \(60\ b\^2\ c\ d\ a\) - b\^5 - c\^5 - d\^5 - 
                        \(5\ b\ c\^4\) - \(5\ b\ d\^4\) - \(5\ c\ d\^4\) - 
                        \(10\ b\^2\ c\^3\) - \(10\ b\^2\ d\^3\) - 
                        \(10\ c\^2\ d\^3\) - \(20\ b\ c\ d\^3\) - 
                        \(10\ b\^3\ c\^2\) - \(10\ b\^3\ d\^2\) - 
                        \(10\ c\^3\ d\^2\) - \(30\ b\ c\^2\ d\^2\) - 
                        \(30\ b\^2\ c\ d\^2\) - \(5\ b\^4\ c\) - 
                        \(5\ b\^4\ d\) - \(5\ c\^4\ d\) - \(20\ b\ c\^3\ d\) 
                        - \(30\ b\^2\ c\^2\ d\) - \(20\ b\^3\ c\ d\)\)\)], 
                  "Output", CellLabel -> "Out[208]="]}, Open]]}, Open]], 
           Cell["Combine", "ObjectName", CellTags -> "Combine"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Combine"], Cell["Combine[expr]puts terms in a sum \
over a common denominator,and cancels factors in the result. Combine is \
similar to Together, but accepts the option Expanding and works usually \
better than Together for polynomials involving rationals with sums in the \
denominator.", "Text", CellTags -> "Combine"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[Combine]\)], "Input", CellLabel -> 
                   "In[209]:=", CellTags -> "Combine"], Cell[BoxData[
                   \(TraditionalForm\`\({Expanding \[Rule] False}\)\)], 
                  "Output", CellLabel -> "Out[209]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Factor2", RuleDelayed[ButtonData, "Factor2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Factor2"]], "."}], "Text", CellTags -> 
                "Combine"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Combine"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Combine[\(\(\((a - b)\)\ \((c - d)\)\)\/e + g\)]\)], 
                  "Input", CellLabel -> "In[210]:=", CellTags -> "Combine"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(\((a - b)\)\ \((c - d)\)\) + 
                          \(e\ g\)\)\/e\)\)], "Output", CellLabel -> 
                   "Out[210]="]}, Open]], Cell["Here the result from Together \
where the numerator is automatically expanded.", "Text", CellTags -> 
                "Combine"], Cell[CellGroupData[{Cell[BoxData[
                   \(Together[\(\(\((a - b)\)\ \((c - d)\)\)\/e + g\)]\)], 
                  "Input", CellLabel -> "In[211]:=", CellTags -> "Combine"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(a\ c\) - \(b\ c\) - \(a\ d\) + 
                          \(b\ d\) + \(e\ g\)\)\/e\)\)], "Output", 
                  CellLabel -> "Out[211]="]}, Open]], Cell["If the option \
Expanding is set to True, the result of Combine is the same as Together, but \
uses a slightly different algorithm.", "Text", CellTags -> "Combine"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Combine[\(\(\(\((a - b)\)\ \((c - d)\)\)\/e + g\), 
                        \(Expanding \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[212]:=", CellTags -> "Combine"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(a\ c\) - \(b\ c\) - \(a\ d\) + 
                          \(b\ d\) + \(e\ g\)\)\/e\)\)], "Output", 
                  CellLabel -> "Out[212]="]}, Open]]}, Open]], 
           Cell["CombineGraphs", "ObjectName", CellTags -> "CombineGraphs"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CombineGraphs"], Cell[
               "CombineGraphs is an option for OneLoopSum.", "Text", 
               CellTags -> "CombineGraphs"], Cell[TextData[{"See also:  ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], "."}], "Text", 
               CellTags -> "CombineGraphs"]}, Open]], Cell["Commutator", 
            "ObjectName", CellTags -> "Commutator"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Commutator"], Cell["Commutator[x, y] = c defines \
the commutator between the non-commuting objects x and y. ", "Text", 
               CellTags -> "Commutator"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["AntiCommutator", 
                   RuleDelayed[ButtonData, "AntiCommutator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "AntiCommutator"]], ", ", 
                 ButtonBox["CommutatorExplicit", 
                   RuleDelayed[ButtonData, "CommutatorExplicit"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CommutatorExplicit"]], ", ", 
                 ButtonBox["DeclareNonCommutative", 
                   RuleDelayed[ButtonData, "DeclareNonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeclareNonCommutative"]], ", ", 
                 ButtonBox["DotSimplify", 
                   RuleDelayed[ButtonData, "DotSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotSimplify"]], "."}], "Text", 
               CellTags -> "Commutator"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Commutator"], Cell[BoxData[
                \(DeclareNonCommutative[\(a, b, c, d\)]\)], "Input", 
               CellLabel -> "In[213]:=", CellTags -> "Commutator"], 
              Cell[CellGroupData[{Cell[BoxData[\(Commutator[\(a, b\)]\)], 
                  "Input", CellLabel -> "In[214]:=", CellTags -> 
                   "Commutator"], Cell[BoxData[
                   \(TraditionalForm\`\([\[NoBreak]a\[NoBreak], b\[NoBreak]]
                       \)\)], "Output", CellLabel -> "Out[214]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(CommutatorExplicit[%]\)], 
                  "Input", CellLabel -> "In[215]:=", CellTags -> 
                   "Commutator"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a . b\) - \(b . a\)\)\)], "Output", 
                  CellLabel -> "Out[215]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(DotSimplify[\(Commutator[\(\(a + b\), \(c + d\)\)]\)]
                       \)\ \)], "Input", CellLabel -> "In[216]:=", 
                  CellTags -> "Commutator"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a . c\) + \(a . d\) + \(b . c\) + 
                        \(b . d\) - \(c . a\) - \(c . b\) - \(d . a\) - 
                        \(d . b\)\)\)], "Output", CellLabel -> "Out[216]="]}, 
                Open]], Cell[BoxData[
                \(UnDeclareNonCommutative[\(a, b, c, d\)]\)], "Input", 
               CellLabel -> "In[217]:=", CellTags -> "Commutator"], 
              Cell["Verify the Jacobi identity.", "Text", CellTags -> 
                "Commutator"], Cell[BoxData[
                \(\(\[Chi] = Commutator\) ;\ 
                   \(DeclareNonCommutative[\(x, y, z\)]\) ;\)], "Input", 
               CellLabel -> "In[218]:=", CellTags -> "Commutator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\[Chi][\(x, \(\[Chi][\(y, z\)]\)\)]\) + 
                      \(\[Chi][\(y, \(\[Chi][\(z, x\)]\)\)]\) + 
                      \(\[Chi][\(z, \(\[Chi][\(x, y\)]\)\)]\)\)], "Input", 
                  CellLabel -> "In[219]:=", CellTags -> "Commutator"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"[", "\[NoBreak]", "x", 
                        "\[NoBreak]", ",", FormBox[
                         \([\[NoBreak]y\[NoBreak], z\[NoBreak]]\), 
                         "TraditionalForm"], "\[NoBreak]", "]"}], "+", 
                      RowBox[{"[", "\[NoBreak]", "y", "\[NoBreak]", ",", 
                        FormBox[\([\[NoBreak]z\[NoBreak], x\[NoBreak]]\), 
                         "TraditionalForm"], "\[NoBreak]", "]"}], "+", 
                      RowBox[{"[", "\[NoBreak]", "z", "\[NoBreak]", ",", 
                        FormBox[\([\[NoBreak]x\[NoBreak], y\[NoBreak]]\), 
                         "TraditionalForm"], "\[NoBreak]", "]"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[219]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(DotSimplify[%]\)], 
                  "Input", CellLabel -> "In[220]:=", CellTags -> 
                   "Commutator"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[220]="]}, Open]], Cell[BoxData[
                \(Clear[\[Chi]]\)], "Input", CellLabel -> "In[221]:=", 
               CellTags -> "Commutator"], Cell[BoxData[
                \(UnDeclareNonCommutative[\(x, y, z\)]\)], "Input", 
               CellLabel -> "In[222]:=", CellTags -> "Commutator"]}, Open]], 
           Cell["CommutatorExplicit", "ObjectName", CellTags -> 
             "CommutatorExplicit"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "CommutatorExplicit"], Cell["CommutatorExplicit[exp] \
substitutes any Commutator and AntiCommutator in exp by their definitions.", 
               "Text", CellTags -> "CommutatorExplicit"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["DotSimplify", 
                   RuleDelayed[ButtonData, "DotSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotSimplify"]], "."}], "Text", 
               CellTags -> "CommutatorExplicit"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "CommutatorExplicit"], Cell[BoxData[
                \(DeclareNonCommutative[\(a, b, c, d\)]\)], "Input", 
               CellLabel -> "In[223]:=", CellTags -> "CommutatorExplicit"], 
              Cell[CellGroupData[{Cell[BoxData[\(Commutator[\(a, b\)]\)], 
                  "Input", CellLabel -> "In[224]:=", CellTags -> 
                   "CommutatorExplicit"], Cell[BoxData[
                   \(TraditionalForm\`\([\[NoBreak]a\[NoBreak], b\[NoBreak]]
                       \)\)], "Output", CellLabel -> "Out[224]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(CommutatorExplicit[%]\)], 
                  "Input", CellLabel -> "In[225]:=", CellTags -> 
                   "CommutatorExplicit"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a . b\) - \(b . a\)\)\)], "Output", 
                  CellLabel -> "Out[225]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(AntiCommutator[\(\(a - c\), \(b - d\)\)]\)], 
                  "Input", CellLabel -> "In[226]:=", CellTags -> 
                   "CommutatorExplicit"], Cell[BoxData[FormBox[RowBox[
                     {"{", FormBox[\(a - c\), "TraditionalForm"], ",", 
                      "\[MediumSpace]", FormBox[\(b - d\), 
                       "TraditionalForm"], "}"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[226]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(CommutatorExplicit[%]\)], 
                  "Input", CellLabel -> "In[227]:=", CellTags -> 
                   "CommutatorExplicit"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\((a - c)\) . \((b - d)\)\) + 
                        \(\((b - d)\) . \((a - c)\)\)\)\)], "Output", 
                  CellLabel -> "Out[227]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(CommutatorExplicit[%%]\)//DotSimplify\)], 
                  "Input", CellLabel -> "In[228]:=", CellTags -> 
                   "CommutatorExplicit"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a . b\) - \(a . d\) + \(b . a\) - 
                        \(b . c\) - \(c . b\) + \(c . d\) - \(d . a\) + 
                        \(d . c\)\)\)], "Output", CellLabel -> "Out[228]="]}, 
                Open]], Cell[BoxData[
                \(UnDeclareNonCommutative[\(a, b, c, d\)]\)], "Input", 
               CellLabel -> "In[229]:=", CellTags -> "CommutatorExplicit"]}, 
             Open]], Cell["CompleteSquare", "ObjectName", 
            CellTags -> "CompleteSquare"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "CompleteSquare"], Cell[TextData[{"Completes the square of a \
second order polynomial in the momentum x. CompleteSquare[", "a", " ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["p", 
                          Rule[FontSlant, "Plain"]]\^2\)\)]], "+", "b", " ", 
                 "p", "+", "c", ", ", "p", "] \[Rule] -", Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["b", 
                          Rule[FontSlant, "Plain"]]\^2\)\)]], "/(4 ", "a", 
                 ")+", "c", "+", "a", " (", "b", "/(2 ", "a", ")+", "x", 
                 ")^2. CompleteSquare[", "a", " ", Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["p", 
                          Rule[FontSlant, "Plain"]]\^2\)\)]], "+", "b", " ", 
                 "p", "+", "c", ", ", "p", ", ", "q", "] \[Rule] {-", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["b", 
                          Rule[FontSlant, "Plain"]]\^2\)\)]], "/(4 ", "a", 
                 ")+", "c", "+", "a", " ", Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["q", 
                          Rule[FontSlant, "Plain"]]\^2\)\)]], ", ", "q", 
                 "\[Rule]", "b", "/(2 ", "a", ")+", "p", "}."}], "Text", 
               CellTags -> "CompleteSquare"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "CompleteSquare"], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(\(5\(SP[\(\(\(2p\) + \(3r\)\), \(p + r\)\)]\)\)//
                        FCI\)\)], "Input", CellLabel -> "In[230]:="], 
                 Cell[BoxData[FormBox[RowBox[{"5", " ", RowBox[{"(", FormBox[
                         \(p + r\), "TraditionalForm"], ")", "\[CenterDot]", 
                        "(", FormBox[\(\(2\ p\) + \(3\ r\)\), 
                         "TraditionalForm"], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[230]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \(CompleteSquare[\(t1, p\)]\)\)], "Input", 
                  CellLabel -> "In[231]:=", CellTags -> "CompleteSquare"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"10", " ", RowBox[
                         {"(", TagBox[FormBox[\(p + \(5\ r\)\/4\), 
                          "TraditionalForm"], TraditionalForm, Editable -> 
                          True], ")", ".", "(", TagBox[FormBox[
                          \(p + \(5\ r\)\/4\), "TraditionalForm"], 
                          TraditionalForm, Editable -> True], ")"}]}], "-", 
                      FractionBox[RowBox[{"5", " ", SuperscriptBox[FormBox[
                          "r", "TraditionalForm"], "2"]}], "8"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[231]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(t1 - t2\)//ScalarProductExpand\)//Expand\)], 
                  "Input", CellLabel -> "In[232]:=", CellTags -> 
                   "CompleteSquare"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[232]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(CompleteSquare[\(t1, p, q\)]\)], "Input", CellLabel -> 
                   "In[233]:=", CellTags -> "CompleteSquare"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{RowBox[
                         {RowBox[{"10", " ", SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], "2"]}], "-", FractionBox[
                          RowBox[{"5", " ", SuperscriptBox[FormBox["r", 
                          "TraditionalForm"], "2"]}], "8"]}], ",", 
                        \(q \[Rule] \(p + \(5\ r\)\/4\)\)}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[233]="]}, 
                Open]], Cell[BoxData[\(Clear[\(t1, t2\)]\)], "Input", 
               CellLabel -> "In[234]:=", CellTags -> "CompleteSquare"]}, 
             Open]], Cell["ComplexConjugate", "ObjectName", 
            CellTags -> "ComplexConjugate"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ComplexConjugate"], Cell["ComplexConjugate[expr] complex \
conjugates expr. It operates on fermion lines, i.e., products of Spinor[..] \
.DiracMatrix[..] . Spinor[..], and changes all occuring LorentzIndex[mu] into \
LorentzIndex[ComplexIndex[mu]]. For taking the spin sum (i.e. constructing \
the traces) use FermionSpinSum. WARNING: In expr should be NO explicit I's in \
denominators!", "Text", CellTags -> "ComplexConjugate"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["ComplexIndex", 
                   RuleDelayed[ButtonData, "ComplexIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ComplexIndex"]], ", ", 
                 ButtonBox["FermionSpinSum", 
                   RuleDelayed[ButtonData, "FermionSpinSum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FermionSpinSum"]], ", ", 
                 ButtonBox["LorentzIndex", 
                   RuleDelayed[ButtonData, "LorentzIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LorentzIndex"]], "."}], "Text", 
               CellTags -> "ComplexConjugate"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ComplexConjugate"], Cell[CellGroupData[{Cell[BoxData[
                   \(ComplexConjugate[\(MetricTensor[\(\[Mu], \[Nu]\)]\)]\)], 
                  "Input", CellLabel -> "In[235]:=", CellTags -> 
                   "ComplexConjugate"], Cell[BoxData[
                   \(TraditionalForm\`\(g\^\(\[Mu]\[Nu]\)\)\)], "Output", 
                  CellLabel -> "Out[235]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(StandardForm[%]\)], "Input", CellLabel -> 
                   "In[236]:=", CellTags -> "ComplexConjugate"], Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[\[Mu]]\), \(LorentzIndex[\[Nu]]\)
                       \)]\)], "Output", CellLabel -> 
                   "Out[236]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(GA[\(\[Mu], \[Nu], 5\)]\)], "Input", 
                  CellLabel -> "In[237]:=", CellTags -> "ComplexConjugate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^5\)\)], "Output", CellLabel -> 
                   "Out[237]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ComplexConjugate[%]\)], "Input", CellLabel -> 
                   "In[238]:=", CellTags -> "ComplexConjugate"], 
                 Cell[BoxData[FormBox[RowBox[{"-", RowBox[{\(\[Gamma]\^5\), 
                        ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                        ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[238]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SUNTrace[\(SUNT[\(a, b, c\)]\)]\)], "Input", 
                  CellLabel -> "In[239]:=", CellTags -> "ComplexConjugate"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[RowBox[
                        {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[239]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(ComplexConjugate[%]\)], 
                  "Input", CellLabel -> "In[240]:=", CellTags -> 
                   "ComplexConjugate"], Cell[BoxData[FormBox[RowBox[
                     {"tr", "(", FormBox[RowBox[{SubscriptBox["T", FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox["T", 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox["T", 
                          FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[240]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ComplexConjugate[\(SUNF[\(a, b, c\)]\)]\)], "Input", 
                  CellLabel -> "In[241]:=", CellTags -> "ComplexConjugate"], 
                 Cell[BoxData[FormBox[SubscriptBox["f", RowBox[{FormBox[
                        FormBox["a", "TraditionalForm"], "TraditionalForm"], 
                       FormBox[FormBox["b", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["c", 
                         "TraditionalForm"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[241]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FCE[\(ComplexConjugate[
                          \(MetricTensor[\(\[Mu], \[Nu]\)]\)]\)]\)]\)], 
                  "Input", CellLabel -> "In[242]:=", CellTags -> 
                   "ComplexConjugate"], Cell[BoxData[\(MT[\(\[Mu], \[Nu]\)]\)]
                   , "Output", CellLabel -> "Out[242]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SpinorUBar[\(k1, m\)]\) . \(GA[\[Lambda]]\) . 
                      \(SpinorU[\(p1, m\)]\)\)], "Input", CellLabel -> 
                   "In[243]:=", CellTags -> "ComplexConjugate"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{FormBox[\("u"\&_\), 
                         "TraditionalForm"], "(", "k1", ",", "m", ")"}], ".", 
                      \(\[Gamma]\^\[Lambda]\), ".", \(u (p1, m)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[243]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ComplexConjugate[%]\)], "Input", CellLabel -> 
                   "In[244]:=", CellTags -> "ComplexConjugate"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"\[CurlyPhi]", "(", 
                        FormBox["p1", "TraditionalForm"], ",", "m", ")"}], 
                      ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                         "\[Lambda]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", RowBox[{"\[CurlyPhi]", "(", 
                        FormBox["k1", "TraditionalForm"], ",", "m", ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[244]="]}, 
                Open]], Cell["Notice that SpinorUBar and SpinorU are only \
input functions. Internally they are converted to Spinor objects.", "Text", 
               CellTags -> "ComplexConjugate"]}, Open]], Cell["Contract", 
            "ObjectName", CellTags -> "Contract"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Contract"], Cell["Contract[expr] contracts pairs \
of Lorentz indices of metric tensors, four-vectors and (depending on the \
optionEpsContract) of Levi-Civita tensors in expr. For the contraction of \
Dirac matrices with each other use DiracSimplify. Contract[exp1, exp2] \
contracts (exp1*exp2), where exp1 and exp2 may be larger products of sums of \
metric tensors and 4-vectors. ", "Text", CellTags -> "Contract"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[Contract]\)], 
                  "Input", CellLabel -> "In[245]:=", CellTags -> "Contract"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Collecting \[Rule] True\), 
                         \(Contract3 \[Rule] True\), 
                         \(EpsContract \[Rule] True\), 
                         \(Expanding \[Rule] True\), 
                         \(Factoring \[Rule] False\), 
                         \(FeynCalcInternal \[Rule] True\), 
                         \(MomentumCombine \[Rule] True\), 
                         \(Rename \[Rule] False\), \(Schouten \[Rule] 0\)}\)\
\)], "Output", CellLabel -> "Out[245]="]}, Open]], Cell["The option setting \
Contract3 can be set to True resulting in a faster algorithm to contract \
products of tensors.", "Text"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["MomentumCombine", 
                   RuleDelayed[ButtonData, "MomentumCombine"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MomentumCombine"]], "."}], "Text", 
               CellTags -> "Contract"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Contract"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(MetricTensor[\(\[Mu], \[Nu]\)]\)\ 
                      \(FourVector[\(p, \[Mu]\)]\)\)], "Input", CellLabel -> 
                   "In[246]:=", CellTags -> "Contract"], Cell[BoxData[
                   \(TraditionalForm\`\(p\_\[Mu]\ g\^\(\[Mu]\[Nu]\)\)\)], 
                  "Output", CellLabel -> "Out[246]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Contract[%]\)], "Input", 
                  CellLabel -> "In[247]:=", CellTags -> "Contract"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox["p", 
                      "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                       "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[247]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(FourVector[\(p, \[Mu]\)]\) \(DiracMatrix[\[Mu]]\)\)], 
                  "Input", CellLabel -> "In[248]:=", CellTags -> "Contract"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], " ", \(p\_\[Mu]\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[248]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Contract[%]\)], 
                  "Input", CellLabel -> "In[249]:=", CellTags -> "Contract"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["\"\[Gamma]\"", 
                       "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[249]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(MetricTensor[\(\[Mu], \[Mu]\)]\)], "Input", 
                  CellLabel -> "In[250]:=", CellTags -> "Contract"], 
                 Cell[BoxData[\(TraditionalForm\`\(g\^\(\[Mu]\[Mu]\)\)\)], 
                  "Output", CellLabel -> "Out[250]="]}, Open]], 
              Cell["The default dimension for MetricTensor is 4.", "Text", 
               CellTags -> "Contract"], Cell[CellGroupData[{Cell[BoxData[
                   \(Contract[%]\)], "Input", CellLabel -> "In[251]:=", 
                  CellTags -> "Contract"], Cell[BoxData[\(TraditionalForm\`4\)
                   ], "Output", CellLabel -> "Out[251]="]}, Open]], 
              Cell["A short way to enter D-dimensional metric tensors is \
given by MTD. The \".\" as multiplication operator is not necessary but just \
convenient for typesetting.", "Text", CellTags -> "Contract"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(MTD[\(\[Mu], \[Nu]\)]\)\ .\ \(MTD[\(\[Mu], \[Nu]\)]\)
                     \)], "Input", CellLabel -> "In[252]:=", CellTags -> 
                   "Contract"], Cell[BoxData[
                   \(TraditionalForm\`\(g\^\(\[Mu]\[Nu]\) . g\^\(\[Mu]\[Nu]\)
                       \)\)], "Output", CellLabel -> "Out[252]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Contract[%]\)], "Input", 
                  CellLabel -> "In[253]:=", CellTags -> "Contract"], 
                 Cell[BoxData[\(TraditionalForm\`D\)], "Output", CellLabel -> 
                   "Out[253]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(MTD[\(\[Mu], \[Nu]\)]\)\ .\ \(MTD[\(\[Mu], \[Nu]\)]\)
                     \)], "Input", CellLabel -> "In[254]:=", CellTags -> 
                   "Contract"], Cell[BoxData[
                   \(TraditionalForm\`\(g\^\(\[Mu]\[Nu]\) . g\^\(\[Mu]\[Nu]\)
                       \)\)], "Output", CellLabel -> "Out[254]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(FourVector[\(p, \[Mu]\)]\)\ 
                      \(FourVector[\(q, \[Mu]\)]\)\)], "Input", CellLabel -> 
                   "In[255]:=", CellTags -> "Contract"], Cell[BoxData[
                   \(TraditionalForm\`\(p\_\[Mu]\ q\_\[Mu]\)\)], "Output", 
                  CellLabel -> "Out[255]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Contract[%\ ]\)], "Input", CellLabel -> 
                   "In[256]:=", CellTags -> "Contract"], Cell[BoxData[
                   FormBox[RowBox[{FormBox["p", "TraditionalForm"], 
                      "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[256]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(FourVector[\(\(p - q\), \[Mu]\)]\)\ 
                      \(FourVector[\(\(a - b\), \[Mu]\)]\)\)], "Input", 
                  CellLabel -> "In[257]:=", CellTags -> "Contract"], 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox[RowBox[{"(", 
                         FormBox[TagBox[\(a - b\), HoldForm], 
                          "TraditionalForm"], ")"}], "\[Mu]"], " ", 
                      SubscriptBox[RowBox[{"(", FormBox[
                          TagBox[\(p - q\), HoldForm], "TraditionalForm"], 
                         ")"}], "\[Mu]"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[257]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Contract[%]\)], "Input", CellLabel -> 
                   "In[258]:=", CellTags -> "Contract"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{FormBox["a", "TraditionalForm"], 
                        "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                      "-", RowBox[{FormBox["a", "TraditionalForm"], 
                        "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                      "-", RowBox[{FormBox["b", "TraditionalForm"], 
                        "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                      "+", RowBox[{FormBox["b", "TraditionalForm"], 
                        "\[CenterDot]", FormBox["q", "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[258]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(LeviCivita[\(\[Mu], \[Nu], \[Alpha], \[Sigma]\)]\)\ 
                      \(FourVector[\(p, \[Sigma]\)]\)\)], "Input", 
                  CellLabel -> "In[259]:=", CellTags -> "Contract"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                       RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                      \(p\_\[Sigma]\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[259]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Contract[%]\)], "Input", CellLabel -> 
                   "In[260]:=", CellTags -> "Contract"], Cell[BoxData[
                   FormBox[SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                        FormBox["\[Alpha]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox["p", 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[260]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(LeviCivita[\(\[Mu], \[Nu], \[Alpha], \[Beta]\)]\)\ 
                      \(LeviCivita[\(\[Mu], \[Nu], \[Alpha], \[Sigma]\)]\)\ \
\)], "Input", CellLabel -> "In[261]:=", CellTags -> "Contract"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                       RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                      SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[261]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Contract[%]\)], "Input", 
                  CellLabel -> "In[262]:=", CellTags -> "Contract"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(-6\)\ g\^\(\[Beta]\[Sigma]\)\)\)], 
                  "Output", CellLabel -> "Out[262]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(SetOptions[\(Eps, \(Dimension \[Rule] D\)\)]\) ; 
                      \(\(LCD[\(\[Mu], \[Nu], \[Alpha], \[Beta]\)]\)\ 
                        \(LCD[\(\[Mu], \[Nu], \[Alpha], \[Sigma]\)]\)\)\)], 
                  "Input", CellLabel -> "In[263]:=", CellTags -> "Contract"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Epsilon]\^
                         \(\[Mu]\[Nu]\[Alpha]\[Beta]\)\ 
                        \[Epsilon]\^\(\[Mu]\[Nu]\[Alpha]\[Sigma]\)\)\)], 
                  "Output", CellLabel -> "Out[263]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(\(Contract[%]\)//Factor2\)], 
                  "Input", CellLabel -> "In[264]:=", CellTags -> "Contract"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\((1 - D)\)\ \((2 - D)\)\ \((3 - D)\)
                        \ g\^\(\[Beta]\[Sigma]\)\)\)], "Output", CellLabel -> 
                   "Out[264]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(Eps, \(Dimension \[Rule] 4\)\)]\) ;\)], 
               "Input", CellLabel -> "In[265]:=", CellTags -> "Contract"]}, 
             Open]], Cell["Contract1", "ObjectName", CellTags -> 
             "Contract1"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "Contract1"], Cell["For covariant \
calculations it is not necessary to distinguish between co- and contravariant \
indices (except for the Levi-Civita tensor).\nTherefore normally no \
distinction is made between upper and lower indices.\nHowere, if needed, one \
can use Upper and Lower and then a distuction is made:\nContract1[exp] \
contracts Upper and Lower indices. Neither Upper and Upper nor Lower and \
Lower indices are contracted.", "Text", CellTags -> "Contract1"], 
              Cell[TextData[{"See also:  ", 
                 ButtonBox["LorentzIndex", 
                   RuleDelayed[ButtonData, "LorentzIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LorentzIndex"]], ", ", 
                 ButtonBox["Lower", RuleDelayed[ButtonData, "Lower"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Lower"]], ", ", 
                 ButtonBox["Upper", RuleDelayed[ButtonData, "Upper"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Upper"]], "."}], "Text", CellTags -> 
                "Contract1"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Contract1"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(FV[\(p, \(Lower[\[Mu]]\)\)]\) 
                          \(FV[\(q, \(Upper[\[Mu]]\)\)]\)\)//FCI\)//Contract1
                   \)], "Input", CellLabel -> "In[266]:=", CellTags -> 
                   "Contract1"], Cell[BoxData[FormBox[RowBox[{FormBox["p", 
                       "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[266]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(\(FV[\(p, \(Upper[\[Mu]]\)\)]\) 
                          \(FV[\(q, \(Upper[\[Mu]]\)\)]\)\)//FCI\)//Contract1
                   \)], "Input", CellLabel -> "In[267]:=", CellTags -> 
                   "Contract1"], Cell[BoxData[FormBox[RowBox[{SuperscriptBox[
                       FormBox["p", "TraditionalForm"], FormBox[FormBox[
                         \(Upper(\[Mu])\), "TraditionalForm"], 
                        "TraditionalForm"]], " ", SuperscriptBox[FormBox["q", 
                        "TraditionalForm"], FormBox[FormBox[\(Upper(\[Mu])\), 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[267]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(MT[\(\(Lower[\[Mu]]\), \(Upper[\[Mu]]\)\)]\)//FCI\)
                      //Contract1\)], "Input", CellLabel -> "In[268]:=", 
                  CellTags -> "Contract1"], Cell[BoxData[
                   \(TraditionalForm\`4\)], "Output", CellLabel -> 
                   "Out[268]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(MT[\(\(Upper[\[Mu]]\), \(Upper[\[Mu]]\)\)]\)//FCI\)
                      //Contract1\)], "Input", CellLabel -> "In[269]:=", 
                  CellTags -> "Contract1"], Cell[BoxData[FormBox[
                    SuperscriptBox["g", RowBox[{FormBox[\(Upper(\[Mu])\), 
                        "TraditionalForm"], FormBox[\(Upper(\[Mu])\), 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[269]="]}, Open]]}, Open]], 
           Cell["Convolute", "ObjectName", CellTags -> "Convolute"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Convolute"], Cell[TextData[
                {"Convolute[f, g, x] convolutes ", 
                 StyleBox["f", Rule[FontSlant, "Italic"]], "(", 
                 StyleBox["x", Rule[FontSlant, "Italic"]], ") and ", 
                 StyleBox["g", Rule[FontSlant, "Italic"]], "(", 
                 StyleBox["x", Rule[FontSlant, "Italic"]], "), i.e., ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Integral]\_0\%1 
                        \(\(\*StyleBox[\(\*
                                 StyleBox["d", Rule[FontSlant, "Plain"]]\*
                                 StyleBox["x", Rule[FontSlant, "Italic"]]\)]\
\)\_1\ \(\[Integral]\_0\%1 
                            \(\(\*StyleBox[\(
                                   \*StyleBox["d", Rule[FontSlant, "Plain"]]x
                                   \)]\)\_2\ 
                              \(\[Delta](\(x\ -\ \(x\_1\ x\_2\)\))\)\ 
                              \(f(x\_1)\)\ \(\(g(x\_2)\)\ .\)\)\)\)\)\)]], " \
Convolute[f, g] is equivalent to Convolute[f, g, x]. Convolute[exp, {x1, x2}] \
assumes that exp is polynomial in x1 and x2. Convolute uses table-look-up and \
does not do any integral calculations, only linear algebra."}], "Text", 
               CellTags -> "Convolute"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[Convolute]\)], "Input", CellLabel -> 
                   "In[270]:=", CellTags -> "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          Bracket \[Rule] \(
                            {\*TagBox["\[CurlyEpsilon]", TraditionalForm]}\)\
\), \(FinalSubstitutions \[Rule] 
                           \({PlusDistribution \[Rule] Identity}\)\)}\)\)], 
                  "Output", CellLabel -> "Out[270]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PlusDistribution", 
                   RuleDelayed[ButtonData, "PlusDistribution"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PlusDistribution"]], ", ", 
                 ButtonBox["ConvoluteTable", 
                   RuleDelayed[ButtonData, "ConvoluteTable"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ConvoluteTable"]], "."}], "Text", 
               CellTags -> "Convolute"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Convolute"], Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1, 1\)]\)], "Input", CellLabel -> 
                   "In[271]:=", CellTags -> "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(log(x)\)\)\)], "Output", 
                  CellLabel -> "Out[271]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Convolute[\(x, x\)]\)], "Input", CellLabel -> 
                   "In[272]:=", CellTags -> "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-x\)\ \(log(x)\)\)\)], "Output", 
                  CellLabel -> "Out[272]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Convolute[\(1, x\)]\)], "Input", CellLabel -> 
                   "In[273]:=", CellTags -> "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(1 - x\)\)], "Output", CellLabel -> 
                   "Out[273]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1, 1\/\(1 - x\)\)]\)], "Input", CellLabel -> 
                   "In[274]:=", CellTags -> "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(log(\(1 - x\))\) - \(log(x)\)\)\)], 
                  "Output", CellLabel -> "Out[274]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1, \(PlusDistribution[\(1\/\(1 - x\)\)]\)\)]
                     \)], "Input", CellLabel -> "In[275]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(log(\(1 - x\))\) - \(log(x)\)\)\)], 
                  "Output", CellLabel -> "Out[275]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1\/\(1 - x\), x\)]\)], "Input", CellLabel -> 
                   "In[276]:=", CellTags -> "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(log(\(1 - x\))\)\ x\) - 
                        \(\(log(x)\)\ x\) - x + 1\)\)], "Output", 
                  CellLabel -> "Out[276]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Convolute[\(1\/\(1 - x\), 1\/\(1 - x\)\)]\)], 
                  "Input", CellLabel -> "In[277]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[FormBox[RowBox[{RowBox[{
                        \(-\(\[Zeta](2)\)\), " ", RowBox[{"\[Delta]", "(", 
                          FormBox[\(1 - x\), "TraditionalForm"], ")"}]}], 
                      "+", \(\(2\ \(log(1 - x)\)\)\/\(1 - x\)\), "-", 
                      \(\(log(x)\)\/\(1 - x\)\)}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[277]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1, \(Log[\(1 - x\)]\)\)]\)], "Input", 
                  CellLabel -> "In[278]:=", CellTags -> "Convolute"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(log(\(1 - x\))\)\)\ \(log(x)\)
                         \) - \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(1 - x\))\)\)\)], "Output", CellLabel -> 
                   "Out[278]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1, \(x\ \(Log[\(1 - x\)]\)\)\)]\)], "Input", 
                  CellLabel -> "In[279]:=", CellTags -> "Convolute"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(x + 
                        \(\((1 - x)\)\ \(log(\(1 - x\))\)\) - 1\)\)], 
                  "Output", CellLabel -> "Out[279]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1\/\(1 - x\), \(Log[\(1 - x\)]\)\)]\)], 
                  "Input", CellLabel -> "In[280]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(log\^2\)(\(1 - x\))\) - 
                        \(\(log(x)\)\ \(log(\(1 - x\))\)\) - \(\[Zeta](2)\)\)
                   \)], "Output", CellLabel -> "Out[280]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1\/\(1 - x\), \(x\ \(Log[\(1 - x\)]\)\)\)]\)]\
, "Input", CellLabel -> "In[281]:=", CellTags -> "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(x\ \(\(log\^2\)(\(1 - x\))\)\) + 
                        \(\((1 - x)\)\ \(log(\(1 - x\))\)\) - 
                        \(x\ \(log(x)\)\ \(log(\(1 - x\))\)\) + x - 
                        \(x\ \(\[Zeta](2)\)\) - 1\)\)], "Output", 
                  CellLabel -> "Out[281]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Convolute[\(\(Log[\(1 - x\)]\)\/\(1 - x\), x\)]\)], 
                  "Input", CellLabel -> "In[282]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ x\ \(\(log\^2\)(\(1 - x\))\)
                         \) + \(\((1 - x)\)\ \(log(\(1 - x\))\)\) - 
                        \(x\ \(log(x)\)\ \(log(\(1 - x\))\)\) + 
                        \(x\ \(log(x)\)\) - 
                        \(x\ \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\)\
\)\)], "Output", CellLabel -> "Out[282]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Convolute[\(1, \(x\ \(Log[x]\)\)\)]\)], 
                  "Input", CellLabel -> "In[283]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(log(x)\)\)\ x\) + x - 1\)\)], 
                  "Output", CellLabel -> "Out[283]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(\(Log[\(1 - x\)]\), x\)]\)], "Input", 
                  CellLabel -> "In[284]:=", CellTags -> "Convolute"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\((1 - x)\)\ \(log(\(1 - x\))\)\) +
                         \(x\ \(log(x)\)\)\)\)], "Output", CellLabel -> 
                   "Out[284]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1\/\(1 - x\), \(Log[x]\)\/\(1 - x\)\)]\)], 
                  "Input", CellLabel -> "In[285]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(log(\(1 - x\))\)\ \(log(x)\)\)\/
                         \(1 - x\) - \(\(log\^2\)(x)\)\/\(2\ \((1 - x)\)\)\)\
\)], "Output", CellLabel -> "Out[285]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Convolute[\(1, \(Log[x]\)\)]\)], "Input", 
                  CellLabel -> "In[286]:=", CellTags -> "Convolute"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(-\(1\/2\)\)\ \(\(log\^2\)(x)\)\)\)]\
, "Output", CellLabel -> "Out[286]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Convolute[\(x,\ \(x\ \(Log[x]\)\)\)]\)], 
                  "Input", CellLabel -> "In[287]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-\(1\/2\)\)\ x\ \(\(log\^2\)(x)\)\)
                     \)], "Output", CellLabel -> "Out[287]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1\/\(1 - x\), \(Log[x]\)\)]\)], "Input", 
                  CellLabel -> "In[288]:=", CellTags -> "Convolute"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(1\/2\)\)\ \(\(log\^2\)(x)\)\) 
                        + \(\(log(\(1 - x\))\)\ \(log(x)\)\) + 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(1 - x\))\)\)\)], "Output", CellLabel -> 
                   "Out[288]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1, \(Log[x]\)\/\(1 - x\)\)]\)], "Input", 
                  CellLabel -> "In[289]:=", CellTags -> "Convolute"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(1\/2\)\)\ \(\(log\^2\)(x)\)\) 
                        - \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(1 - x\))\)\)\)], "Output", CellLabel -> 
                   "Out[289]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1\/\(1 - x\), \(x\ \(Log[x]\)\)\)]\)], 
                  "Input", CellLabel -> "In[290]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(1\/2\)\)\ x\ \(\(log\^2\)(x)\)
                         \) - \(x\ \(log(x)\)\) + 
                        \(x\ \(log(\(1 - x\))\)\ \(log(x)\)\) + x + 
                        \(x\ \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\) 
                        - 1\)\)], "Output", CellLabel -> "Out[290]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(\(Log[x]\)\/\(1 - x\), x\)]\)], "Input", 
                  CellLabel -> "In[291]:=", CellTags -> "Convolute"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(1\/2\)\)\ x\ \(\(log\^2\)(x)\)
                         \) + \(log(x)\) - x - 
                        \(x\ \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\) 
                        + 1\)\)], "Output", CellLabel -> "Out[291]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1, \(x\ \(Log[x]\)\)\)]\)], "Input", 
                  CellLabel -> "In[292]:=", CellTags -> "Convolute"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(log(x)\)\)\ x\) + x - 1\)\)], 
                  "Output", CellLabel -> "Out[292]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(\(Log[x]\), x\)]\)], "Input", CellLabel -> 
                   "In[293]:=", CellTags -> "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-x\) + \(log(x)\) + 1\)\)], 
                  "Output", CellLabel -> "Out[293]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(1\/\(1 - x\), \(Log[\(1 - x\)]\)\/\(1 - x\)
                       \)]\)], "Input", CellLabel -> "In[294]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[FormBox[RowBox[{
                      \(\(3\ \(log\^2(1 - x)\)\)\/\(2\ \((1 - x)\)\)\), "-", 
                      \(\(\(log(x)\)\ \(log(1 - x)\)\)\/\(1 - x\)\), "-", 
                      \(\(\[Zeta](2)\)\/\(1 - x\)\), "+", RowBox[
                       {RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], " ", 
                        TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                              Rule[Editable, True]])\), 
                          InterpretTemplate[Function[BoxForm`e$, 
                            Zeta[BoxForm`e$]]]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[294]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(\(Log[\(1 - x\)]\)\/\(1 - x\), 
                        \(Log[\(1 - x\)]\)\)]\)], "Input", CellLabel -> 
                   "In[295]:=", CellTags -> "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ \(\(log\^3\)(\(1 - x\))\)\) -
                         \(\(log(x)\)\ \(\(log\^2\)(\(1 - x\))\)\) + 
                        \(\(\(log\^2\)(x)\)\ \(log(\(1 - x\))\)\) - 
                        \(\(\[Zeta](2)\)\ \((\(log(\(1 - x\))\) + \(log(x)\))
                           \)\) + \(\((\(log(x)\) - \(log(\(1 - x\))\))\)\ 
                          \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\) 
                        + \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_3(\(1 - x\))\) + \(2\ 
                          \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_3(x)\)\) - 
                        \*TagBox[\(\[Zeta](
                            \(\*TagBox["3", Zeta, Rule[Editable, True]]\))\)\
, InterpretTemplate[Function[BoxForm`e$, 
                            Zeta[BoxForm`e$]]]]\)\)], "Output", CellLabel -> 
                   "Out[295]="]}, Open]]}, Open]], Cell["ConvoluteTable ", 
            "ObjectName", CellTags -> "ConvoluteTable"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ConvoluteTable"], Cell["ConvoluteTable[f, g, x] \
yields the convolution of f and g. ConvoluteTable is called by Convolute.", 
               "Text", CellTags -> "ConvoluteTable"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[Convolute]\)], "Input", CellLabel -> 
                   "In[296]:=", CellTags -> "ConvoluteTable"], Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          Bracket \[Rule] \(
                            {\*TagBox["\[CurlyEpsilon]", TraditionalForm]}\)\
\), \(FinalSubstitutions \[Rule] 
                           \({PlusDistribution \[Rule] Identity}\)\)}\)\)], 
                  "Output", CellLabel -> "Out[296]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PlusDistribution", 
                   RuleDelayed[ButtonData, "PlusDistribution"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PlusDistribution"]], ", ", 
                 ButtonBox["Convolute", RuleDelayed[ButtonData, 
                    "Convolute"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Convolute"]], "."}], "Text", CellTags -> 
                "ConvoluteTable"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> 
                "ConvoluteTable"], Cell[CellGroupData[{Cell[BoxData[
                   \(ConvoluteTable[\(1, 1\)]\)], "Input", CellLabel -> 
                   "In[297]:=", CellTags -> "ConvoluteTable"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(log(x)\)\)\)], "Output", 
                  CellLabel -> "Out[297]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ConvoluteTable[\(x, x\)]\)], "Input", 
                  CellLabel -> "In[298]:=", CellTags -> "ConvoluteTable"], 
                 Cell[BoxData[\(TraditionalForm\`\(\(-x\)\ \(log(x)\)\)\)], 
                  "Output", CellLabel -> "Out[298]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(ConvoluteTable[\(1, x\)]\)], 
                  "Input", CellLabel -> "In[299]:=", CellTags -> 
                   "ConvoluteTable"], Cell[BoxData[
                   \(TraditionalForm\`\(1 - x\)\)], "Output", CellLabel -> 
                   "Out[299]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ConvoluteTable[\(\(Log[\(1 - x\)]\)\/\(1 - x\), 1\)]\)], 
                  "Input", CellLabel -> "In[300]:=", CellTags -> 
                   "Convolute"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ \(\(log\^2\)(\(1 - x\))\)\) -
                         \(\(log(x)\)\ \(log(\(1 - x\))\)\) - 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(1 - x\))\)\)\)], "Output", CellLabel -> 
                   "Out[300]="]}, Open]]}, Open]], 
           Cell["CovariantFieldDerivative", "ObjectName", 
            CellTags -> "CovariantFieldDerivative"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CovariantFieldDerivative"], Cell["CovariantFieldD\
erivative[f[x],x,{li1,li2,...},opts] is a covariant derivative of f[x] with \
respect to space-time variables x and with Lorentz indices li1, li2,... \
CovariantFieldDerivative has only typesetting definitions by default. The \
user is must supply his/her own definition of the actual function.", "Text", 
               CellTags -> "CovariantFieldDerivative"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["CovariantD", RuleDelayed[ButtonData, 
                    "CovariantD"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CovariantD"]], ", ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], ", ", 
                 ButtonBox["FieldDerivative", 
                   RuleDelayed[ButtonData, "FieldDerivative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FieldDerivative"]], "."}], "Text", 
               CellTags -> "CovariantFieldDerivative"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "CovariantFieldDerivative"], Cell[CellGroupData[{Cell[BoxData[
                   \(CovariantFieldDerivative[
                      \(\(\(QuantumField[\(A, \({\[Mu]}\)\)]\)[x]\), x, 
                        \({\[Mu]}\)\)]\)], "Input", CellLabel -> "In[301]:=", 
                  CellTags -> "CovariantFieldDerivative"], Cell[BoxData[
                   FormBox[RowBox[{SubscriptBox[
                       TagBox[StyleBox["\"\[ScriptCapitalD]\"", 
                          Rule[FontSlant, "Italic"]], 
                         Function[StyleForm[Slot[1], 
                           Rule[FontSlant, "Italic"]]]], TagBox[FormBox[
                         "\[Mu]", "TraditionalForm"], TraditionalForm, 
                        Editable -> True]], "(", TagBox[FormBox[
                        \(A\_\[Mu](x)\), "TraditionalForm"], TraditionalForm, 
                       Editable -> True], ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[301]="]}, Open]]}, Open]], 
           Cell["CounterT", "ObjectName", CellTags -> "CounterT"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CounterT"], Cell["CounterT is a factor used by \
GluonPropagator and QuarkPropagator when CounterTerms is set to All.", 
               "Text", CellTags -> "CounterT"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["CounterTerm", 
                   RuleDelayed[ButtonData, "CounterTerm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CounterTerm"]], ", ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], ", ", 
                 ButtonBox["QuarkPropagator", 
                   RuleDelayed[ButtonData, "QuarkPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuarkPropagator"]], "."}], "Text", 
               CellTags -> "CounterT"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "CounterT"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(GluonPropagator[\(p, \[Mu], a, \[Nu], b, 
                        \(Explicit \[Rule] True\), 
                        \(CounterTerm \[Rule]\ All\)\)]\)], "Input", 
                  CellLabel -> "In[302]:=", CellTags -> "CounterT"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"CounterT", " ", 
                        RowBox[{"(", RowBox[{FractionBox[RowBox[
                          {"\[ImaginaryI]", " ", \(C\_A\), " ", \(S\_n\), 
                          " ", RowBox[{"(", RowBox[{FractionBox[RowBox[{"10", 
                          " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "3"], "-", RowBox[{\(10\/3\)
                          , " ", \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"]}]}], ")"}], 
                          " ", SubscriptBox["\[Delta]", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\_s\%2\)}], 
                          TagBox["\[CurlyEpsilon]", TraditionalForm]], "+", 
                          FractionBox[RowBox[{"\[ImaginaryI]", " ", \(S\_n\), 
                          " ", \(T\_f\), " ", RowBox[{"(", RowBox[{RowBox[{
                          \(4\/3\), " ", \(g\^\(\[Mu]\[Nu]\)\), " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"]}], "-", FractionBox[RowBox[{"4", " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "3"]}], 
                          ")"}], " ", SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\_s\%2\)}], 
                          TagBox["\[CurlyEpsilon]", TraditionalForm]]}], 
                          ")"}]}], "-", FractionBox[RowBox[{"\[ImaginaryI]", 
                         " ", \(g\^\(\[Mu]\[Nu]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(p\^2\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[302]="]}, 
                Open]]}, Open]], Cell["CounterTerm", "ObjectName", 
            CellTags -> "CounterTerm"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "CounterTerm"], Cell["CounterTerm[name] is a database of \
counter terms. CounterTerm is also an option for the Feynman rule functions \
QuarkGluonVertex, GluonPropagator, QuarkPropagator.", "Text", CellTags -> 
                "CounterTerm"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["CounterT", RuleDelayed[ButtonData, "CounterT"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CounterT"]], ", ", 
                 ButtonBox["QuarkGluonVertex", 
                   RuleDelayed[ButtonData, "QuarkGluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuarkGluonVertex"]], ", ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], ", ", 
                 ButtonBox["QuarkPropagator", 
                   RuleDelayed[ButtonData, "QuarkPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuarkPropagator"]], "."}], "Text", 
               CellTags -> "CounterTerm"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "CounterTerm"], Cell[CellGroupData[{Cell[BoxData[
                   \(CounterTerm[Zm]\)], "Input", CellLabel -> "In[303]:=", 
                  CellTags -> "CounterTerm"], Cell[BoxData[
                   \(TraditionalForm\`\(\(C\_F\ 
                           \((\(4\ \((\(11\ C\_A\)\/2 + \(9\ C\_F\)\/2 - 
                                    \(2\ N\_f\ T\_f\))\)\)\/
                               \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^
                                2 + \(2\ \(
                                  (\(97\ C\_A\)\/12 + \(3\ C\_F\)\/4 - 
                                    \(5\ N\_f\ T\_f\)\/3)\)\)\/
                               \*TagBox["\[CurlyEpsilon]", TraditionalForm])\
\)\ g\_s\%4\)\/\(256\ \[Pi]\^4\) + 
                        \(3\ C\_F\ g\_s\%2\)\/
                         \(8\ \*TagBox["\[CurlyEpsilon]", TraditionalForm]\ 
                           \[Pi]\^2\) + 1\)\)], "Output", CellLabel -> 
                   "Out[303]="]}, Open]]}, Open]], Cell["CouplingConstant", 
            "ObjectName", CellTags -> "CouplingConstant"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CouplingConstant"], Cell["In general, \
CouplingConstant is an option for several Feynman rule functions and for \
CovariantD and FieldStrength.\nIn the convention of the subpackage PHI, \
CouplingConstant is also the head of coupling constants.  CouplingConstant \
takes three extra optional arguments, with head RenormalizationState, \
RenormalizationScheme and ExpansionState respectively.  E.g. \
CouplingConstant[QED[1]] is the unit charge, CouplingConstant[ChPT2[4],1] is \
the first of the coupling constants of the lagrangian ChPT2[4].  \
CouplingConstant[a_,b_,c___][i_] := \
CouplingConstant[a,b,RenormalizationState[i],c].", "Text", CellTags -> 
                "CouplingConstant"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["CovariantD", RuleDelayed[ButtonData, 
                    "CovariantD"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CovariantD"]], ", ", 
                 ButtonBox["FieldStrength", 
                   RuleDelayed[ButtonData, "FieldStrength"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FieldStrength"]], "."}], "Text", 
               CellTags -> "CouplingConstant"]}, Open]], Cell["CovariantD", 
            "ObjectName", CellTags -> "CovariantD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CovariantD"], Cell["CovariantD[mu] is a generic \
covariant derivative with Lorentz index mu. With the option-setting Explicit \
\[Rule] True, an explicit expression for a fermionic field is returned, \
depending on the setting on the other options.\nCovariantD[x, mu] is a \
generic covariant derivative with respect to x^mu.\nCovariantD[mu, a, b] is a \
covariant derivative for a bosonic field; acting on QuantumField[f,{},{a,b}], \
where f is some field name and a and b are two SU(N) indices. Again, with the \
option-setting Explicit \[Rule] True, an explicit expression is returned, \
depending on the setting on the other options.\nCovariantD[OPEDelta, a, b] is \
a short form for  CovariantD[mu,a,b]*FourVector[OPEDelta, mu]. \
CovariantD[{OPEDelta, a, b}, {n}] yields the product of n operators, where n \
is an integer.  CovariantD[OPEDelta, a, b, {m, n}]  gives the expanded form \
of CovariantD[OPEDelta, a, b]^m up to order g^n for the gluon, where n is an \
integer and g the coupling constant  indicated by the setting of the option \
CouplingConstant. CovariantD[OPEDelta, {m, n}] gives the expanded form of  \
CovariantD[OPEDelta]^m up to order g^n of the fermionic field.", "Text", 
               CellTags -> "CovariantD"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[CovariantD]\)], "Input", CellLabel -> 
                   "In[304]:=", CellTags -> "CovariantD"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(DummyIndex \[Rule] Automatic\), 
                         \(Explicit \[Rule] False\), 
                         \(PartialD \[Rule] RightPartialD\), 
                         \(QuantumField \[Rule] A\)}\)\)], "Output", 
                  CellLabel -> "Out[304]="]}, Open]], Cell[" Possible \
settings of PartialD are: LeftPartialD, LeftRigthPartialD, RightPartialD. The \
default setting of QuantumField is GaugeField.", "Text", CellTags -> 
                "CovariantD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["LeftPartialD", 
                   RuleDelayed[ButtonData, "LeftPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftPartialD"]], ", ", 
                 ButtonBox["LeftRightPartialD", 
                   RuleDelayed[ButtonData, "LeftRightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftRightPartialD"]], ", ", 
                 ButtonBox["RightPartialD", 
                   RuleDelayed[ButtonData, "RightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RightPartialD"]], "."}], "Text", 
               CellTags -> "CovariantD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "CovariantD"], Cell[CellGroupData[{Cell[BoxData[
                   \(CovariantD[\[Mu]]\)], "Input", CellLabel -> "In[305]:=", 
                  CellTags -> "CovariantD"], Cell[BoxData[
                   \(TraditionalForm\`D\_\[Mu]\)], "Output", CellLabel -> 
                   "Out[305]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(CovariantD[\(\[Mu], a, b\)]\)], "Input", CellLabel -> 
                   "In[306]:=", CellTags -> "CovariantD"], Cell[BoxData[
                   \(TraditionalForm\`D\_\[Mu]\%\(ab\)\)], "Output", 
                  CellLabel -> "Out[306]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(CovariantD[\(\[Mu], \(Explicit \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[307]:=", CellTags -> 
                   "CovariantD"], Cell[BoxData[FormBox[RowBox[{SubscriptBox[
                       \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                      "-", RowBox[{"\[ImaginaryI]", " ", \(g\_s\), " ", 
                        RowBox[{SubscriptBox["T", FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]]}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[307]="]}, Open]], 
              Cell["The first argument of CovariantD is intepreted as type \
LorentzIndex, except for OPEDelta, which is type Momentum.", "Text", 
               CellTags -> "CovariantD"], Cell[CellGroupData[{Cell[BoxData[
                   \(CovariantD[OPEDelta]\)], "Input", CellLabel -> 
                   "In[308]:=", CellTags -> "CovariantD"], Cell[BoxData[
                   FormBox[SubscriptBox["D", FormBox["\[CapitalDelta]", 
                      "TraditionalForm"]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[308]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(CovariantD[\(OPEDelta, a, b\)]\)], "Input", 
                  CellLabel -> "In[309]:=", CellTags -> "CovariantD"], 
                 Cell[BoxData[FormBox[SubsuperscriptBox["D", FormBox[
                      "\[CapitalDelta]", "TraditionalForm"], \(ab\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[309]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(CovariantD[\(OPEDelta, a, b, \(Explicit \[Rule] True\)\)
                      ]\)], "Input", CellLabel -> "In[310]:=", CellTags -> 
                   "CovariantD"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                         FormBox["\[CapitalDelta]", "TraditionalForm"]], " ", 
                        \(\[Delta]\_\(ab\)\)}], "-", RowBox[{\(g\_s\), " ", 
                        SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox[
                          InterpretationBox[\(c\_2\), Subscripted[c[2]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{"a", "b", FormBox[
                          InterpretationBox[\(c\_2\), Subscripted[c[2]], 
                            Rule[Editable, False]], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[310]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(CovariantD[\(OPEDelta, \(Explicit \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[311]:=", CellTags -> 
                   "CovariantD"], Cell[BoxData[FormBox[RowBox[{SubscriptBox[
                       \(\[PartialD]\&\[RightArrow]\), FormBox[
                        "\[CapitalDelta]", "TraditionalForm"]], "-", 
                      RowBox[{"\[ImaginaryI]", " ", \(g\_s\), " ", RowBox[
                         {SubscriptBox["T", FormBox[FormBox[
                          InterpretationBox[\(c\_3\), Subscripted[c[3]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_3\), Subscripted[c[3]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]]}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[311]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(CovariantD[\(OPEDelta, a, b, \({2}\)\)]\)], "Input", 
                  CellLabel -> "In[312]:=", CellTags -> "CovariantD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"(", RowBox[
                         {RowBox[{SubscriptBox[\(\[PartialD]\&\[RightArrow]\)
                          , FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          " ", \(\[Delta]\_\(ac14\)\)}], "-", RowBox[{\(g\_s\)
                          , " ", SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["e1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(f\_\(ac14e1\)\)}]}], ")"}], ".", RowBox[
                       {"(", RowBox[{RowBox[{SubscriptBox[
                          \(\[PartialD]\&\[RightArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], " ", 
                          \(\[Delta]\_\(bc14\)\)}], "-", RowBox[{\(g\_s\), 
                          " ", SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["e2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(f\_\(c14be2\)\)}]}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[312]="]}, Open]], 
              Cell[TextData[{"This gives", Cell[BoxData[
                   \(TraditionalForm\`\(\ \(
                         \(m\ times\ \(\[PartialD]\&\[RightArrow]\)\_
                             \[CapitalDelta]\),\ \)\)\)]], 
                 "the partial derivative ", Cell[BoxData[
                   \(TraditionalForm\`\(\[PartialD]\&\[RightArrow]\)\_
                       \(\[Mu]\ \)\)]], "contracted with ", Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalDelta]\^\[Mu] .\)\)]]}], 
               "Text", CellTags -> "CovariantD"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(CovariantD[\(OPEDelta, a, b, \({OPEm, 0}\)\)]\)], 
                  "Input", CellLabel -> "In[313]:=", CellTags -> 
                   "CovariantD"], Cell[BoxData[FormBox[RowBox[{SuperscriptBox[
                       RowBox[{"(", SubscriptBox[
                          \(\[PartialD]\&\[RightArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ")"}], 
                       "m"], " ", SubscriptBox["\[Delta]", RowBox[
                        {FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[313]="]}, 
                Open]], Cell[TextData[
                {"The expansion up to first order in the coupling constant ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(g\_s\ 
                        \(\((thesumistheFeynCalcOPESum)\) .\)\)\)]]}], 
               "Text", CellTags -> "CovariantD"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(CovariantD[\(OPEDelta, a, b, \({OPEm, 1}\)\)]\)], 
                  "Input", CellLabel -> "In[314]:=", CellTags -> 
                   "CovariantD"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SuperscriptBox[RowBox[{"(", SubscriptBox[
                          \(\[PartialD]\&\[RightArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ")"}], 
                         "m"], " ", SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "-", 
                      RowBox[{\(g\_s\), " ", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 1\)\), RowBox[{RowBox[
                          {SuperscriptBox[RowBox[{"(", SubscriptBox[
                          \(\[PartialD]\&\[RightArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ")"}], 
                          "i"], ".", SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[RowBox[
                          {"(", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], \(\(-i\) + m - 1\)]}], " ", SubscriptBox[
                          "f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], HoldForm], 
                         "TraditionalForm"]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[314]="]}, Open]], Cell[TextData[
                {"The expansion up to second order in the ", Cell[BoxData[
                   \(TraditionalForm\`\(g\_s .\)\)]]}], "Text", CellTags -> 
                "CovariantD"], Cell[CellGroupData[{Cell[BoxData[
                   \(CovariantD[\(OPEDelta, a, b, \({OPEm, 2}\)\)]\)], 
                  "Input", CellLabel -> "In[315]:=", CellTags -> 
                   "CovariantD"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SubscriptBox["\[Delta]", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        SuperscriptBox[RowBox[{"(", SubscriptBox[
                          \(\[PartialD]\&\[RightArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ")"}], 
                         "m"]}], "-", RowBox[{\(g\_s\%2\), " ", FormBox[
                         TagBox[RowBox[{\(\[Sum]\+\(j = 0\)\%\(m - 2\)\), 
                          FormBox[TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%j\), 
                          RowBox[{RowBox[{SuperscriptBox[RowBox[{"(", 
                          SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], "i"], ".", SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[RowBox[
                          {"(", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], \(j - i\)], ".", SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_2\), Subscripted[c[2]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[RowBox[
                          {"(", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], \(\(-j\) + m - 2\)]}], " ", SubscriptBox[
                          "f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(e\_1\), Subscripted[e[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_2\), Subscripted[c[2]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(e\_1\), Subscripted[e[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], HoldForm], 
                          "TraditionalForm"]}], HoldForm], 
                         "TraditionalForm"]}], "-", RowBox[{\(g\_s\), " ", 
                        FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 1\)\), RowBox[{RowBox[
                          {SuperscriptBox[RowBox[{"(", SubscriptBox[
                          \(\[PartialD]\&\[RightArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ")"}], 
                          "i"], ".", SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[RowBox[
                          {"(", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], \(\(-i\) + m - 1\)]}], " ", SubscriptBox[
                          "f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], HoldForm], 
                         "TraditionalForm"]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[315]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(CovariantD[\(OPEDelta, a, b\)]\)\^OPEm\)], 
                  "Input", CellLabel -> "In[316]:=", CellTags -> 
                   "CovariantD"], Cell[BoxData[FormBox[SuperscriptBox[
                     RowBox[{"(", SubsuperscriptBox["D", FormBox[
                         "\[CapitalDelta]", "TraditionalForm"], \(ab\)], 
                       ")"}], "m"], TraditionalForm]], "Output", CellLabel -> 
                   "Out[316]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(CovariantD[\(OPEDelta, \({OPEm, 2}\)\)]\)], "Input", 
                  CellLabel -> "In[317]:=", CellTags -> "CovariantD"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox[RowBox[{"(", 
                         SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                         ")"}], "m"], "-", RowBox[{"\[ImaginaryI]", " ", 
                        \(g\_s\), " ", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 1\)\), RowBox[
                          {SubscriptBox["T", FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[RowBox[
                          {"(", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], "i"], ".", SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[RowBox[
                          {"(", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], \(\(-i\) + m - 1\)]}]}], HoldForm], 
                         "TraditionalForm"]}], "-", RowBox[{\(g\_s\%2\), " ", 
                        FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(j = 0\)\%\(m - 2\)\), FormBox[TagBox[
                          RowBox[{\(\[Sum]\+\(i = 0\)\%j\), RowBox[
                          {SubscriptBox["T", FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox["T", FormBox[
                          FormBox[
                          InterpretationBox[\(c\_2\), Subscripted[c[2]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[RowBox[
                          {"(", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], "i"], ".", SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_1\), Subscripted[c[1]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[RowBox[
                          {"(", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], \(j - i\)], ".", SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox[
                          InterpretationBox[\(c\_2\), Subscripted[c[2]], 
                            Rule[Editable, False]], "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[RowBox[
                          {"(", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ")"}], \(\(-j\) + m - 2\)]}]}], HoldForm], 
                          "TraditionalForm"]}], HoldForm], 
                         "TraditionalForm"]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[317]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(CovariantD[\(OPEDelta, \(Explicit \[Rule] True\)\)]\)
                      //StandardForm\)], "Input", CellLabel -> "In[318]:=", 
                  CellTags -> "CovariantD"], Cell[BoxData[
                   \(\(\(-\[ImaginaryI]\)\ Gstrong\ 
                        \(\(SUNT[\(SUNIndex[
                              \(\*InterpretationBox[\(c\_4\), 
                                 Subscripted[c[4]], Rule[Editable, False]]\)]
                   \)]\) . \(QuantumField[\(
                             GaugeField, \(Momentum[OPEDelta]\), 
                              \(SUNIndex[\(
                                 \*InterpretationBox[\(c\_4\), 
                                   Subscripted[c[4]], Rule[Editable, False]]\
\)]\)\)]\)\)\) + \(RightPartialD[\(Momentum[OPEDelta]\)]\)
                   \)], "Output", CellLabel -> "Out[318]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(CovariantD[\(\[Mu], a, b, \(Explicit \[Rule] True\)\)]
                       \)//StandardForm\)], "Input", CellLabel -> 
                   "In[319]:=", CellTags -> "CovariantD"], Cell[BoxData[
                   \(\(\(RightPartialD[\(LorentzIndex[\[Mu]]\)]\)\ 
                        \(SUNDelta[\(a, b\)]\)\) - 
                      \(Gstrong\ \(QuantumField[
                          \(GaugeField, \(LorentzIndex[\[Mu]]\), 
                            \(SUNIndex[\(\*
                                InterpretationBox[\(c\_5\), 
                                 Subscripted[c[5]], Rule[Editable, False]]\)]
                   \)\)]\)\ \(SUNF[\(a, b, 
                            \*InterpretationBox[\(c\_5\), Subscripted[c[5]], 
                              Rule[Editable, False]]\)]\)\)\)], "Output", 
                  CellLabel -> "Out[319]//StandardForm="]}, Open]]}, Open]], 
           Cell["CrossProduct", "ObjectName", CellTags -> "CrossProduct"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "CrossProduct"], Cell["CrossProduct[a, b] denotes \
the three-dimensional cross-product of the three-vectors a and b.", "Text", 
               CellTags -> "CrossProduct"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DotProduct", RuleDelayed[ButtonData, 
                    "DotProduct"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotProduct"]], ", ", 
                 ButtonBox["ThreeVector", 
                   RuleDelayed[ButtonData, "ThreeVector"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ThreeVector"]], "."}], "Text", 
               CellTags -> "CrossProduct"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "CrossProduct"], Cell[CellGroupData[{Cell[BoxData[
                   \(CrossProduct[\(\(ThreeVector[a]\), 
                        \(CrossProduct[\(\(ThreeVector[b]\), 
                            \(ThreeVector[c]\)\)]\)\)]\)], "Input", 
                  CellLabel -> "In[320]:=", CellTags -> "CrossProduct"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{RowBox[{FormBox[
                          \(a\&\[RightVector]\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(c\&\[RightVector]\), 
                          "TraditionalForm"]}], " ", \(b\&\[RightVector]\)}], 
                      "-", RowBox[{RowBox[{FormBox[\(a\&\[RightVector]\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(b\&\[RightVector]\), "TraditionalForm"]}], " ", 
                        \(c\&\[RightVector]\)}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[320]="]}, Open]]}, Open]], 
           Cell["C0", "ObjectName", CellTags -> "C0"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "C0"], Cell[TextData[{"C0[p10, p12, p20, m1^2, \
m2^2, m3^2] is the scalar Passarino-Veltman ", Cell[BoxData[
                   \(TraditionalForm\`C\_0\)]], "function. The convention for \
the arguments is that if the denominator of the integrand has the form \
([q^2-m1^2] [(q+p1)^2-m2^2] [(q+p2)^2-m3^2]), the first three arguments of C0 \
are the scalar products p10 = p1^2, p12 = (p1-p2).(p1-p2), p20 = p2^2."}], 
               "Text", CellTags -> "C0"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["D0", RuleDelayed[ButtonData, "D0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "D0"]], 
                 ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, ", ", 
                 ButtonBox["PaVeOrder", RuleDelayed[ButtonData, 
                    "PaVeOrder"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeOrder"]], "."}], "Text", CellTags -> 
                "C0"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "C0"], Cell[CellGroupData[
                {Cell[BoxData[\(C0[\(a, b, c,\ m12, m22, m32\)]\)], "Input", 
                  CellLabel -> "In[321]:=", CellTags -> "C0"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[\("C"\_"0"\), 
                       "TraditionalForm"], "(", "a", ",", "b", ",", "c", ",", 
                      "m12", ",", "m22", ",", "m32", ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[321]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(C0[\(b, a, c, m32, m22, m12\)]\)//PaVeOrder\)], 
                  "Input", CellLabel -> "In[322]:=", CellTags -> "C0"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[\("C"\_"0"\), 
                       "TraditionalForm"], "(", "a", ",", "b", ",", "c", ",", 
                      "m12", ",", "m22", ",", "m32", ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[322]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PaVeOrder[\(\(C0[\(b, a, c, m32, m22, m12\)]\), 
                        \(PaVeOrderList \[Rule] \({c, a}\)\)\)]\)], "Input", 
                  CellLabel -> "In[323]:=", CellTags -> "C0"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[\("C"\_"0"\), 
                       "TraditionalForm"], "(", "b", ",", "c", ",", "a", ",", 
                      "m22", ",", "m32", ",", "m12", ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[323]="]}, 
                Open]]}, Open]], Cell["DataType", "ObjectName", 
            CellTags -> "DataType"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "DataType"], 
              Cell["DataType[exp, type] = True defines the object exp to have \
data-type type. DataType[exp1, exp2, ..., type] defines the objects exp1, \
exp2, ...to have data-type type. The default setting is DataType[__, _] := \
False. To assign a certain data-type, do, e.g., DataType[x, PositiveInteger] \
= True.", "Text", CellTags -> "DataType"], Cell[TextData[
                {"Currently used DataTypes: ", 
                 ButtonBox["NonCommutative", 
                   RuleDelayed[ButtonData, "NonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "NonCommutative"]], ", ", 
                 ButtonBox["PositiveInteger", 
                   RuleDelayed[ButtonData, "PositiveInteger"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PositiveInteger"]], ", ", 
                 ButtonBox["NegativeInteger", 
                   RuleDelayed[ButtonData, "NegativeInteger"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "NegativeInteger"]], ", ", 
                 ButtonBox["PositiveNumber", 
                   RuleDelayed[ButtonData, "PositiveNumber"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PositiveNumber"]], ", ", 
                 ButtonBox["FreeIndex", RuleDelayed[ButtonData, 
                    "FreeIndex"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FreeIndex"]], ", ", 
                 ButtonBox["GrassmannParity", 
                   RuleDelayed[ButtonData, "GrassmannParity"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GrassmannParity"]]}], "Text", 
               CellTags -> "DataType"], Cell[TextData[
                {"PHI adds the DataTypes: ", 
                 ButtonBox["UMatrix", RuleDelayed[ButtonData, "UMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "UMatrix"]], ", ", 
                 ButtonBox["UScalar", RuleDelayed[ButtonData, "UScalar"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "UScalar"]], "."}], "Text", CellTags -> 
                "DataType"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DeclareNonCommutative", 
                   RuleDelayed[ButtonData, "DeclareNonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeclareNonCommutative"]], "."}], "Text", 
               CellTags -> "DataType"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "DataType"], 
              Cell["NonCommutative is just a data-type.", "Text", CellTags -> 
                "DataType"], Cell[BoxData[
                \(\(\(DataType[\(f, g,\ NonCommutative\)]\)\ =\ True\) ;\)], 
               "Input", CellLabel -> "In[324]:=", CellTags -> "DataType"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(\(f . g\) - \(g . \((2a)\) . f\)\)\)], "Input", 
                  CellLabel -> "In[325]:=", CellTags -> "DataType"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(f . g\) - \(g . \((2\ a)\) . f\)\)
                     \)], "Output", CellLabel -> "Out[325]="]}, Open]], 
              Cell["Since \"f \"and \"g\" have DataType NonCommutative the \
function DotSimplify extracts only \"a\" out of the noncommutative product.", 
               "Text", CellTags -> "DataType"], Cell[CellGroupData[
                {Cell[BoxData[\(DotSimplify[t]\)], "Input", CellLabel -> 
                   "In[326]:=", CellTags -> "DataType"], Cell[BoxData[
                   \(TraditionalForm\`\(\(f . g\) - \(2\ a\ \(g . f\)\)\)\)], 
                  "Output", CellLabel -> "Out[326]="]}, Open]], Cell[BoxData[
                \(\(\(DataType[\(m, odd\)]\) = 
                     \(\(DataType[\(a, even\)]\) = True\)\) ;\)], "Input", 
               CellLabel -> "In[327]:=", CellTags -> "DataType"], 
              Cell[BoxData[
                \(\(\(ptest1[x_]\) := \(x/.
                       \(\(\((\(-1\))\)\^n_/;\(DataType[\(n, odd\)]\)\) 
                         \[RuleDelayed] \(-1\)\)\)\) ;\)], "Input", 
               CellLabel -> "In[328]:=", CellTags -> "DataType"], 
              Cell[BoxData[
                \(\(\(ptest2[x_]\) := \(x/.
                       \(\(\((\(-1\))\)\^n_/;\(DataType[\(n, even\)]\)\) 
                         \[RuleDelayed] 1\)\)\) ;\)], "Input", CellLabel -> 
                "In[329]:=", CellTags -> "DataType"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t = \(\(\((\(-1\))\)^m\) + \(\((\(-1\))\)^a\) + 
                        \(\((\(-1\))\)^z\)\)\)], "Input", CellLabel -> 
                   "In[330]:=", CellTags -> "DataType"], Cell[BoxData[
                   \(TraditionalForm\`\(\((\(-1\))\)\^a + \((\(-1\))\)\^m + 
                        \((\(-1\))\)\^z\)\)], "Output", CellLabel -> 
                   "Out[330]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ptest1[t]\)], "Input", CellLabel -> "In[331]:=", 
                  CellTags -> "DataType"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-1\) + \((\(-1\))\)\^a + 
                        \((\(-1\))\)\^z\)\)], "Output", CellLabel -> 
                   "Out[331]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ptest2[%]\)], "Input", CellLabel -> "In[332]:=", 
                  CellTags -> "DataType"], Cell[BoxData[
                   \(TraditionalForm\`\(\((\(-1\))\)\^z\)\)], "Output", 
                  CellLabel -> "Out[332]="]}, Open]], Cell[BoxData[
                \(\(Clear[\(ptest1, ptest2, t, a, m\)]\) ;\)], "Input", 
               CellLabel -> "In[333]:=", CellTags -> "DataType"], 
              Cell[BoxData[\(\(\(DataType[\(m, ganzeZahl\)]\) = True\) ;\)], 
               "Input", CellLabel -> "In[334]:=", CellTags -> "DataType"], 
              Cell[BoxData[
                \(\(\(f[x_]\) := \(x/.\({
                         \(\(\((\(-1\))\)^p_\)/;
                            \(DataType[\(p, ganzeZahl\)]\)\) \[RuleDelayed] 1\
}\)\)\) ;\)], "Input", CellLabel -> "In[335]:=", CellTags -> "DataType"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(test = \(\(\((\(-1\))\)^m\) + \(\(\((\(-1\))\)^n\)\ x\)
                       \)\)], "Input", CellLabel -> "In[336]:=", CellTags -> 
                   "DataType"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\((\(-1\))\)\^n\ x\) + 
                        \((\(-1\))\)\^m\)\)], "Output", CellLabel -> 
                   "Out[336]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(f[test]\)], "Input", CellLabel -> "In[337]:=", 
                  CellTags -> "DataType"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\((\(-1\))\)\^n\ x\) + 1\)\)], 
                  "Output", CellLabel -> "Out[337]="]}, Open]], Cell[BoxData[
                \(\(Clear[\(f, test\)]\) ;\)], "Input", CellLabel -> 
                "In[338]:=", CellTags -> "DataType"], Cell[BoxData[
                \(\(\(DataType[\(f, g,\ NonCommutative\)]\)\ =\ False\) ;\)], 
               "Input", CellLabel -> "In[339]:=", CellTags -> "DataType"], 
              Cell[BoxData[
                \(\(\(DataType[\(m, odd\)]\) = 
                     \(\(DataType[\(a, even\)]\) = False\)\) ;\)], "Input", 
               CellLabel -> "In[340]:=", CellTags -> "DataType"], 
              Cell["Certain FeynCalc objects have DataType PositiveInteger \
set to True.", "Text", CellTags -> "DataType"], Cell[CellGroupData[
                {Cell[BoxData[\(DataType[\(OPEm, PositiveInteger\)]\)], 
                  "Input", CellLabel -> "In[341]:=", CellTags -> "DataType"], 
                 Cell[BoxData[\(TraditionalForm\`True\)], "Output", 
                  CellLabel -> "Out[341]="]}, Open]], 
              Cell["PowerSimplify uses the DataType information.", "Text", 
               CellTags -> "DataType"], Cell[CellGroupData[{Cell[BoxData[
                   \(PowerSimplify[\ \(\((\(-1\))\)^\((2OPEm)\)\)]\)], 
                  "Input", CellLabel -> "In[342]:=", CellTags -> "DataType"], 
                 Cell[BoxData[\(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[342]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PowerSimplify[\ \(\((\(-\ \(SO[q]\)\))\)^OPEm\)]\)], 
                  "Input", CellLabel -> "In[343]:=", CellTags -> "DataType"], 
                 Cell[BoxData[FormBox[RowBox[{\(\((\(-1\))\)\^m\), " ", 
                      SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\"\[CapitalDelta]\"", "TraditionalForm"], FormBox[
                          "\"\[CenterDot]\"", "TraditionalForm"], FormBox[
                          "q", "TraditionalForm"]}], ")"}], "m"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[343]="]}, 
                Open]]}, Open]], Cell["DB0", "ObjectName", 
            CellTags -> "DB0"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "DB0"], Cell["DB0[p2, m1^2, m2^2] \
is the derivative of the two-point function B0[p2, m1^2, m2^2] with respect \
to p2.", "Text", CellTags -> "DB0"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 "."}], "Text", CellTags -> "DB0"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DB0"], Cell[CellGroupData[{Cell[BoxData[
                   \(D[\(\(B0[\(p\_2, \(m\_1\)\^2, \(m\_2\)\^2\)]\), p\_2\)]
                     \)], "Input", CellLabel -> "In[344]:=", CellTags -> 
                   "DB0"], Cell[BoxData[
                   \(TraditionalForm\`\(DB0(\(p\_2, m\_1\%2, m\_2\%2\))\)\)], 
                  "Output", CellLabel -> "Out[344]="]}, Open]]}, Open]], 
           Cell["DB1", "ObjectName", CellTags -> "DB1"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DB1"], Cell["DB1[p2,m1^2,m2^2] is the derivative \
of B1[p2,m1^2,m2^2] with respect to p2.", "Text", CellTags -> "DB1"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["B1", RuleDelayed[ButtonData, "B1"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B1"]], 
                 "."}], "Text", CellTags -> "DB1"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DB1"], Cell[CellGroupData[{Cell[BoxData[
                   \(D[\(\(B1[\(p\_2, \(m\_1\)\^2, \(m\_2\)\^2\)]\), p\_2\)]
                     \)], "Input", CellLabel -> "In[345]:=", CellTags -> 
                   "DB1"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\((m\_2\%2 - m\_1\%2)\)\ 
                           \(DB0(\(p\_2, m\_1\%2, m\_2\%2\))\)\)\/\(2\ p\_2\)\
 - \(1\/2\ \(DB0(\(p\_2, m\_1\%2, m\_2\%2\))\)\) - 
                        \(\((\(B\_0 (p\_2, m\_1\%2, m\_2\%2)\) - 
                              \(B\_0 (0, m\_1\%2, m\_2\%2)\))\)\ 
                           \((m\_2\%2 - m\_1\%2)\)\)\/\(2\ p\_2\%2\)\)\)], 
                  "Output", CellLabel -> "Out[345]="]}, Open]]}, Open]], 
           Cell["DeclareNonCommutative", "ObjectName", CellTags -> 
             "DeclareNonCommutative"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DeclareNonCommutative"], Cell["DeclareNonCommutative[a, b, \
...] declares a,b, ... to be non-commutative, i.e., DataType[a,b, ..., \
NonCommutative] is set to True.", "Text", CellTags -> 
                "DeclareNonCommutative"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DataType", RuleDelayed[ButtonData, "DataType"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DataType"]], ", ", 
                 ButtonBox["UnDeclareNonCommutative", 
                   RuleDelayed[ButtonData, "UnDeclareNonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "UnDeclareNonCommutative"]], "."}], 
               "Text", CellTags -> "DeclareNonCommutative"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DeclareNonCommutative"], Cell[BoxData[
                \(DeclareNonCommutative[x]\)], "Input", CellLabel -> 
                "In[346]:=", CellTags -> "DeclareNonCommutative"], 
              Cell["As a side effect of DeclareNonCommutative x is declared \
to be of data type NonCommutative.", "Text", CellTags -> 
                "DeclareNonCommutative"], Cell[CellGroupData[{Cell[BoxData[
                   \(DataType[\(x, NonCommutative\)]\)], "Input", 
                  CellLabel -> "In[347]:=", CellTags -> 
                   "DeclareNonCommutative"], Cell[BoxData[
                   \(TraditionalForm\`True\)], "Output", CellLabel -> 
                   "Out[347]="]}, Open]], Cell[BoxData[
                \(DeclareNonCommutative[\(y, z\)]\)], "Input", CellLabel -> 
                "In[348]:=", CellTags -> "DeclareNonCommutative"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DataType[\(a, x, y, z, NonCommutative\)]\)], "Input", 
                  CellLabel -> "In[349]:=", CellTags -> 
                   "DeclareNonCommutative"], Cell[BoxData[
                   \(TraditionalForm\`\({True, True, True, True}\)\)], 
                  "Output", CellLabel -> "Out[349]="]}, Open]], Cell[BoxData[
                \(UnDeclareNonCommutative[\(x, y, z\)]\)], "Input", 
               CellLabel -> "In[350]:=", CellTags -> 
                "DeclareNonCommutative"], Cell[CellGroupData[{Cell[BoxData[
                   \(DataType[\(a, x, y, z, NonCommutative\)]\)], "Input", 
                  CellLabel -> "In[351]:=", CellTags -> 
                   "DeclareNonCommutative"], Cell[BoxData[
                   \(TraditionalForm\`\({True, True, True, True}\)\)], 
                  "Output", CellLabel -> "Out[351]="]}, Open]]}, Open]], 
           Cell["DeltaFunction", "ObjectName", CellTags -> "DeltaFunction"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DeltaFunction"], Cell[TextData[
                {" DeltaFunction[x] is the Dirac delta-function ", 
                 Cell[BoxData[\(TraditionalForm\`\(\[Delta](x)\)\)]], 
                 ".\n*** After version 4 of ", 
                 StyleBox["Mathematica", Rule[FontSlant, "Italic"]], ", there \
is a built-in function, DiracDelta, with comparable properties. ***"}], 
               "Text", CellTags -> "DeltaFunction"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Convolute", RuleDelayed[ButtonData, 
                    "Convolute"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Convolute"]], ", ", 
                 ButtonBox["DeltaFunctionPrime", 
                   RuleDelayed[ButtonData, "DeltaFunctionPrime"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeltaFunctionPrime"]], ", ", 
                 ButtonBox["Integrate2", RuleDelayed[ButtonData, 
                    "Integrate2"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Integrate2"]], ", ", 
                 ButtonBox["SimplifyDeltaFunction", 
                   RuleDelayed[ButtonData, "SimplifyDeltaFunction"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SimplifyDeltaFunction"]], "."}], "Text", 
               CellTags -> "DeltaFunction"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DeltaFunction"], Cell[CellGroupData[{Cell[BoxData[
                   \(DeltaFunction[\(1 - x\)]\)], "Input", CellLabel -> 
                   "In[352]:=", CellTags -> "DeltaFunction"], 
                 Cell[BoxData[FormBox[RowBox[{"\[Delta]", "(", FormBox[
                       \(1 - x\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[352]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\(DeltaFunction[\(1 - x\)]\)\ \(f[x]\)\),
                         \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[353]:=", CellTags -> "DeltaFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(f(1)\)\)], "Output", CellLabel -> 
                   "Out[353]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\(DeltaFunction[x]\)\ \(f[x]\)\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[354]:=", CellTags -> "DeltaFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(f(0)\)\)], "Output", CellLabel -> 
                   "Out[354]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\(DeltaFunction[\(1 - x\)]\)\ \(f[x]\)\),
                         \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[355]:=", CellTags -> "DeltaFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(f(1)\)\)], "Output", CellLabel -> 
                   "Out[355]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Convolute[\(\(DeltaFunction[\(1 - x\)]\), x\)]\)], 
                  "Input", CellLabel -> "In[356]:=", CellTags -> 
                   "DeltaFunction"], Cell[BoxData[\(TraditionalForm\`x\)], 
                  "Output", CellLabel -> "Out[356]="]}, Open]]}, Open]], 
           Cell["DeltaFunctionDoublePrime", "ObjectName", 
            CellTags -> "DeltaFunctionDoublePrime"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DeltaFunctionDoublePrime"], Cell[TextData[
                {" DeltaFunctionDoublePrime[1-x] is the second derivative of \
the Dirac delta-function ", Cell[BoxData[\(TraditionalForm\`\(\[Delta](x)\)\)]
                   ], "."}], "Text", CellTags -> "DeltaFunctionDoublePrime"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["DeltaFunctionPrime", 
                   RuleDelayed[ButtonData, "DeltaFunctionPrime"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeltaFunctionPrime"]], "."}], "Text", 
               CellTags -> "DeltaFunctionDoublePrime"]}, Open]], 
           Cell["DeltaFunctionPrime", "ObjectName", CellTags -> 
             "DeltaFunctionPrime"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DeltaFunctionPrime"], Cell[TextData[
                {" DeltaFunctionPrime[1-x] is the derivative of the Dirac \
delta-function ", Cell[BoxData[\(TraditionalForm\`\(\[Delta](x)\)\)]], "."}], 
               "Text", CellTags -> "DeltaFunctionPrime"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["Convolute", RuleDelayed[ButtonData, 
                    "Convolute"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Convolute"]], ", ", 
                 ButtonBox["DeltaFunction", 
                   RuleDelayed[ButtonData, "DeltaFunction"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeltaFunction"]], ", ", 
                 ButtonBox["Integrate2", RuleDelayed[ButtonData, 
                    "Integrate2"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Integrate2"]], ", ", 
                 ButtonBox["SimplifyDeltaFunction", 
                   RuleDelayed[ButtonData, "SimplifyDeltaFunction"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SimplifyDeltaFunction"]], "."}], "Text", 
               CellTags -> "DeltaFunctionPrime"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DeltaFunctionPrime"], Cell[CellGroupData[{Cell[BoxData[
                   \(DeltaFunctionPrime[\(1 - x\)]\)], "Input", CellLabel -> 
                   "In[357]:=", CellTags -> "DeltaFunctionPrime"], 
                 Cell[BoxData[FormBox[RowBox[{\(\[Delta]\^\[Prime]\), "(", 
                      FormBox[\(1 - x\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[357]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\(DeltaFunctionPrime[\(1 - x\)]\)\ 
                          \(f[x]\)\), \({x, 0, 1}\)\)]\)], "Input", 
                  CellLabel -> "In[358]:=", CellTags -> 
                   "DeltaFunctionPrime"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\*
                          SuperscriptBox["f", "\[Prime]", 
                           Rule[MultilineFunction, None]]\)(1)\)\)], 
                  "Output", CellLabel -> "Out[358]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\(DeltaFunctionPrime[\(1 - x\)]\)\ x\^2\)
                        , \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[359]:=", CellTags -> "DeltaFunctionPrime"], 
                 Cell[BoxData[\(TraditionalForm\`2\)], "Output", CellLabel -> 
                   "Out[359]="]}, Open]]}, Open]], Cell["DenominatorOrder", 
            "ObjectName", CellTags -> "DenominatorOrder"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DenominatorOrder"], Cell["DenominatorOrder is an \
option for OneLoop, if set to True the PropagatorDenominator will be ordered \
in a standard way.", "Text", CellTags -> "DenominatorOrder"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["PropagatorDenominator", 
                   RuleDelayed[ButtonData, "PropagatorDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PropagatorDenominator"]], "."}], "Text", 
               CellTags -> "DenominatorOrder"]}, Open]], Cell["Dimension", 
            "ObjectName", CellTags -> "Dimension"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Dimension"], Cell["Dimension is an option of \
several functions and denotes the number of space-time dimensions. Possible \
settings are: 4, n, d, D, ... ,the variable does not matter, but it should \
have Head Symbol.", "Text", CellTags -> "Dimension"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[MetricTensor]\)], "Input", 
                  CellLabel -> "In[360]:=", CellTags -> "Dimension"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] 4\), 
                         \(FeynCalcInternal \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[360]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(MetricTensor[\(m, n, \(Dimension \[Rule] d\)\)]\) 
                      \(DiracMatrix[\(\[Alpha], \(Dimension \[Rule] d\)\)]\)\
\)], "Input", CellLabel -> "In[361]:=", CellTags -> "Dimension"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                        "TraditionalForm"]], " ", \(g\^\(mn\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[361]="]}, 
                Open]], Cell["The dimension of the indices is not shown by \
default but can be inspected easily.", "Text", CellTags -> "Dimension"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(MetricTensor[\(m, n, \(Dimension \[Rule] d\)\)]\) 
                        \(DiracMatrix[\(\[Alpha], \(Dimension \[Rule] d\)\)]
                         \)\)//StandardForm\)], "Input", CellLabel -> 
                   "In[362]:=", CellTags -> "Dimension"], Cell[BoxData[
                   \(\(DiracGamma[\(\(LorentzIndex[\(\[Alpha], d\)]\), d\)]\)
                      \ \(MetricTensor[\(m, n, \(Dimension \[Rule] d\)\)]\)\)]\
, "Output", CellLabel -> "Out[362]//StandardForm="]}, Open]], 
              Cell["Setting the global variable $LorentzIndices to True will \
display the dimension (if different from 4) as a subscript.", "Text", 
               CellTags -> "Dimension"], Cell[BoxData[
                \(\($LorentzIndices = True\) ;\)], "Input", CellLabel -> 
                "In[363]:=", CellTags -> "Dimension"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(MetricTensor[\(\[Alpha], \[Beta], 
                          \(Dimension \[Rule] n\)\)]\) 
                      \(DiracMatrix[\(\[Alpha], \(Dimension \[Rule] n\)\)]\)\
\)], "Input", CellLabel -> "In[364]:=", CellTags -> "Dimension"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Gamma]", 
                       FormBox[SubscriptBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], FormBox["n", 
                          "TraditionalForm"]], "TraditionalForm"]], " ", 
                      SuperscriptBox["g", RowBox[{FormBox[SubscriptBox[
                          FormBox["\[Alpha]", "TraditionalForm"], FormBox[
                          "n", "TraditionalForm"]], "TraditionalForm"], 
                         FormBox[SubscriptBox[FormBox["\[Beta]", 
                          "TraditionalForm"], FormBox["n", 
                          "TraditionalForm"]], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[364]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[365]:=", CellTags -> 
                   "Dimension"], Cell[BoxData[
                   \(\(DiracGamma[\(\(LorentzIndex[\(\[Alpha], n\)]\), n\)]\)
                      \ \(MetricTensor[\(\[Alpha], \[Beta], 
                          \(Dimension \[Rule] n\)\)]\)\)], "Output", 
                  CellLabel -> "Out[365]//StandardForm="]}, Open]], 
              Cell[BoxData[\(\($LorentzIndices = False\) ;\)], "Input", 
               CellLabel -> "In[366]:=", CellTags -> "Dimension"]}, Open]], 
           Cell["DimensionalReduction", "ObjectName", CellTags -> 
             "DimensionalReduction"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DimensionalReduction"], Cell["DimensionalReduction is an \
option for TID and OneLoopSimplify.", "Text", CellTags -> 
                "DimensionalReduction"], Cell[TextData[{"See also: ", 
                 ButtonBox["TID", RuleDelayed[ButtonData, "TID"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TID"]], 
                 ", ", 
                 ButtonBox["OneLoopSimplify", 
                   RuleDelayed[ButtonData, "OneLoopSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSimplify"]], "."}], "Text", 
               CellTags -> "DimensionalReduction"]}, Open]], 
           Cell["DiracBasis", "ObjectName", CellTags -> "DiracBasis"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracBasis"], Cell["DiracBasis[any] is a head \
which is wrapped around Dirac structures (and the 1) as a result of the \
function DiracReduce. Eventually you want to substitute DiracBasis by \
Identity (or set: DiracBasis[1] = S; DiracBasis[DiracMatrix[mu]] = P; etc.)."\
, "Text", CellTags -> "DiracBasis"], Cell[TextData[{"See also: ", 
                 ButtonBox["DiracReduce", 
                   RuleDelayed[ButtonData, "DiracReduce"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracReduce"]], "."}], "Text", 
               CellTags -> "DiracBasis"]}, Open]], Cell["DiracCanonical", 
            "ObjectName", CellTags -> "DiracCanonical"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracCanonical"], Cell["DiracCanonical is an \
option for DiracSimplify. If set to True DiracSimplify uses the function \
DiracOrder internally.", "Text", CellTags -> "DiracCanonical"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], "."}], "Text", 
               CellTags -> "DiracCanonical"]}, Open]], Cell["DiracEquation", 
            "ObjectName", CellTags -> "DiracEquation"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracEquation"], Cell["DiracEquation[exp] applies \
the Dirac equation without expanding exp. If that is needed, use \
DiracSimplify.", "Text", CellTags -> "DiracEquation"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], "."}], "Text", 
               CellTags -> "DiracEquation"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracEquation"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Spinor[\(\(Momentum[p]\), m, 1\)]\) . 
                      \(DiracGamma[\(Momentum[p]\)]\)\)], "Input", 
                  CellLabel -> "In[367]:=", CellTags -> "DiracEquation"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"\[CurlyPhi]", "(", 
                        FormBox["p", "TraditionalForm"], ",", "m", ")"}], 
                      ".", RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[367]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(DiracEquation[%]\)], 
                  "Input", CellLabel -> "In[368]:=", CellTags -> 
                   "DiracEquation"], Cell[BoxData[FormBox[RowBox[{"m", " ", 
                      RowBox[{"\[CurlyPhi]", "(", FormBox["p", 
                         "TraditionalForm"], ",", "m", ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[368]="]}, 
                Open]]}, Open]], Cell["DiracGamma", "ObjectName", 
            CellTags -> "DiracGamma"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "DiracGamma"], 
              Cell[TextData[{"DiracGamma[x, dim] is the head of all Dirac \
matrices and slashes (in the internal representation). Use DiracMatrix (or \
GA, GAD) and DiracSlash (or GS, GSD) for manual (short) input. DiracGamma[x, \
4] simplifies to DiracGamma[x]. DiracGamma[5] is ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 ". DiracGamma[6] is ", Cell[BoxData[
                   \(TraditionalForm\`\(\((1 + \[Gamma]\^5)\)/2.\)\)]], 
                 " DiracGamma[7] is ", Cell[BoxData[
                   \(TraditionalForm\`\(\((1 - \[Gamma]\^5)\)/2.\)\)]]}], 
               "Text", CellTags -> "DiracGamma"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["DiracGammaExpand", 
                   RuleDelayed[ButtonData, "DiracGammaExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGammaExpand"]], ", ", 
                 ButtonBox["DiracMatrix", 
                   RuleDelayed[ButtonData, "DiracMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracMatrix"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracSlash", RuleDelayed[ButtonData, 
                    "DiracSlash"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSlash"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], "."}], "Text", 
               CellTags -> "DiracGamma"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracGamma"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracGamma[5]\)], "Input", CellLabel -> "In[369]:=", 
                  CellTags -> "DiracGamma"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)], "Output", 
                  CellLabel -> "Out[369]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(DiracGamma[\(LorentzIndex[\[Alpha]]\)]\)], 
                  "Input", CellLabel -> "In[370]:=", CellTags -> 
                   "DiracGamma"], Cell[BoxData[FormBox[SuperscriptBox[
                     "\[Gamma]", FormBox[FormBox["\[Alpha]", 
                       "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[370]="]}, 
                Open]], Cell[TextData[{"A Dirac-slash, i.e., ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] q\_\[Mu]\)\)]], 
                 ", is displayed as ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma] \[CenterDot] q\)\)]], "."}], 
               "Text", CellTags -> "DiracGamma"], Cell[CellGroupData[
                {Cell[BoxData[\(\(DiracGamma[\(Momentum[q]\)]\)\ \)], 
                  "Input", CellLabel -> "In[371]:=", CellTags -> 
                   "DiracGamma"], Cell[BoxData[FormBox[RowBox[{FormBox[
                       "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                      FormBox["q", "TraditionalForm"]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[371]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracGamma[\(Momentum[q]\)]\)\ .\ 
                      \(DiracGamma[\(Momentum[\(p - q\)]\)]\)\)], "Input", 
                  CellLabel -> "In[372]:=", CellTags -> "DiracGamma"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"(", RowBox[
                         {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                        ")"}], ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          "(", FormBox[\(p - q\), "TraditionalForm"], ")"}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[372]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracGamma[\(\(Momentum[\(q, D\)]\), D\)]\)\ \)], 
                  "Input", CellLabel -> "In[373]:=", CellTags -> 
                   "DiracGamma"], Cell[BoxData[FormBox[RowBox[{FormBox[
                       "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                      FormBox["q", "TraditionalForm"]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[373]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(a1 = \(\(GS[\(p - q\)]\) . \(GS[p]\)\)\)], "Input", 
                  CellLabel -> "In[374]:=", CellTags -> "DiracGamma"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"(", RowBox[
                         {"\[Gamma]", "\[CenterDot]", "(", FormBox[\(p - q\), 
                          "TraditionalForm"], ")"}], ")"}], ".", 
                      \((\[Gamma] \[CenterDot] p)\)}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[374]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(a2 = \(DiracGammaExpand[a1]\)\)], "Input", CellLabel -> 
                   "In[375]:=", CellTags -> "DiracGamma"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["p", "TraditionalForm"]}], "-", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], ".", RowBox[
                       {"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[375]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(a3 = \(\(GAD[\[Mu]]\) . \(GSD[\(p - q\)]\) . \(GSD[q]
                         \) . \(GAD[\[Mu]]\)\)\)], "Input", CellLabel -> 
                   "In[376]:=", CellTags -> "DiracGamma"], Cell[BoxData[
                   FormBox[RowBox[{\(\[Gamma]\^\[Mu]\), ".", RowBox[
                       {"(", RowBox[{"\[Gamma]", "\[CenterDot]", "(", FormBox[
                          \(p - q\), "TraditionalForm"], ")"}], ")"}], ".", 
                      \((\[Gamma] \[CenterDot] q)\), ".", \(\[Gamma]\^\[Mu]\)}
                      ], TraditionalForm]], "Output", CellLabel -> 
                   "Out[376]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(a4 = \(DiracTrick[a3]\)\)], "Input", CellLabel -> 
                   "In[377]:=", CellTags -> "DiracGamma"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{\((D - 4)\), " ", RowBox[
                         {RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", "(", FormBox[
                          \(p - q\), "TraditionalForm"], ")"}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}]}]}], "+", RowBox[
                       {"4", " ", RowBox[{"(", FormBox[\(p - q\), 
                          "TraditionalForm"], ")", "\[CenterDot]", FormBox[
                          "q", "TraditionalForm"]}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[377]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(a5 = \(DiracSimplify[a4]\)\)]
                   , "Input", CellLabel -> "In[378]:=", CellTags -> 
                   "DiracGamma"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"D", " ", RowBox[{RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], ")"}]}]}], "-", 
                      RowBox[{"4", " ", RowBox[{RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], ")"}]}]}], "+", 
                      RowBox[{"4", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{"D", " ", 
                        SuperscriptBox[FormBox["q", "TraditionalForm"], 
                         "2"]}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[378]="]}, Open]], Cell[BoxData[
                \(Clear[\(a1, a2, a3, a4, a5\)]\)], "Input", CellLabel -> 
                "In[379]:=", CellTags -> "DiracGamma"]}, Open]], 
           Cell["DiracGammaCombine", "ObjectName", CellTags -> 
             "DiracGammaCombine"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DiracGammaCombine"], Cell["DiracGammaCombine[exp] is \
(nearly) the inverse operation to DiracGammaExpand.", "Text", CellTags -> 
                "DiracGammaCombine"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["DiracGammaExpand", 
                   RuleDelayed[ButtonData, "DiracGammaExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGammaExpand"]], ", ", 
                 ButtonBox["DiracMatrix", 
                   RuleDelayed[ButtonData, "DiracMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracMatrix"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracSlash", RuleDelayed[ButtonData, 
                    "DiracSlash"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSlash"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], "."}], "Text", 
               CellTags -> "DiracGammaCombine"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracGammaCombine"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracGammaCombine[\(\(GS[p]\)\ +\ \(GS[q]\)\)]\)], 
                  "Input", CellLabel -> "In[380]:=", CellTags -> 
                   "DiracGammaCombine"], Cell[BoxData[FormBox[RowBox[
                     {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                      "\[CenterDot]", "(", FormBox[\(p + q\), 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[380]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(StandardForm[%]\)], "Input", 
                  CellLabel -> "In[381]:=", CellTags -> "DiracGammaCombine"], 
                 Cell[BoxData[\(DiracGamma[\(Momentum[\(p + q\)]\)]\)], 
                  "Output", CellLabel -> "Out[381]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DiracGammaCombine[\(\(2\ \(GS[p]\)\)\ -\ 
                        \(2\ \(GS[q]\)\)\)]\)], "Input", CellLabel -> 
                   "In[382]:=", CellTags -> "DiracGammaCombine"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["\"\[Gamma]\"", 
                       "TraditionalForm"], "\[CenterDot]", "(", FormBox[
                       \(\(2\ p\) - \(2\ q\)\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[382]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(StandardForm[%]\)]
                   , "Input", CellLabel -> "In[383]:=", CellTags -> 
                   "DiracGammaCombine"], Cell[BoxData[
                   \(DiracGamma[\(Momentum[\(\(2\ p\) - \(2\ q\)\)]\)]\)], 
                  "Output", CellLabel -> "Out[383]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(DiracGammaExpand[%%]\)], 
                  "Input", CellLabel -> "In[384]:=", CellTags -> 
                   "DiracGammaCombine"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"2", " ", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "-", RowBox[{"2", " ", 
                        RowBox[{FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[384]="]}, Open]]}, Open]], 
           Cell["DiracGammaExpand", "ObjectName", CellTags -> 
             "DiracGammaExpand"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DiracGammaExpand"], Cell["DiracGammaExpand[exp] expands all \
DiracGamma[Momentum[a+b+..]] in exp into (DiracGamma[Momentum[a]] + \
DiracGamma[Momentum[b]] + ...).", "Text", CellTags -> "DiracGammaExpand"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["DiracGammaCombine", 
                   RuleDelayed[ButtonData, "DiracGammaCombine"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGammaCombine"]], ", ", 
                 ButtonBox["DiracMatrix", 
                   RuleDelayed[ButtonData, "DiracMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracMatrix"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracSlash", RuleDelayed[ButtonData, 
                    "DiracSlash"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSlash"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], "."}], "Text", 
               CellTags -> "DiracGammaExpand"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracGammaExpand"], Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(\(DiracGamma[\(Momentum[q]\)]\)\ .\ 
                        \(DiracGamma[\(Momentum[\(p - q\)]\)]\)\)\)], 
                  "Input", CellLabel -> "In[385]:=", CellTags -> 
                   "DiracGammaExpand"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], ".", RowBox[{"(", 
                        RowBox[{FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", "(", FormBox[\(p - q\), 
                          "TraditionalForm"], ")"}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[385]="]}, 
                Open]], Cell["Momentum is the head of p-q, i.e., it is \
treated as one four-momentum.", "Text", CellTags -> "DiracGammaExpand"], 
              Cell[CellGroupData[{Cell[BoxData[\(StandardForm[t]\)], "Input", 
                  CellLabel -> "In[386]:=", CellTags -> "DiracGammaExpand"], 
                 Cell[BoxData[
                   \(\(DiracGamma[\(Momentum[q]\)]\) . 
                      \(DiracGamma[\(Momentum[\(p - q\)]\)]\)\)], "Output", 
                  CellLabel -> "Out[386]//StandardForm="]}, Open]], 
              Cell["With DiracGammaExpand the Momentum[p-q] gets expanded.", 
               "Text", CellTags -> "DiracGammaExpand"], Cell[CellGroupData[
                {Cell[BoxData[\(DiracGammaExpand[t]\)], "Input", CellLabel -> 
                   "In[387]:=", CellTags -> "DiracGammaExpand"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"(", RowBox[
                         {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                        ")"}], ".", RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["p", "TraditionalForm"]}], "-", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[387]="]}, Open]], 
              Cell["The inverse operation is DiracGammaCombine.", "Text", 
               CellTags -> "DiracGammaExpand"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(StandardForm[\(DiracGammaCombine[\(DiracGammaExpand[t]\)
                        ]\)]\)], "Input", CellLabel -> "In[388]:=", 
                  CellTags -> "DiracGammaExpand"], Cell[BoxData[
                   \(\(DiracGamma[\(Momentum[q]\)]\) . 
                      \(DiracGamma[\(Momentum[\(p - q\)]\)]\)\)], "Output", 
                  CellLabel -> "Out[388]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(DiracGammaExpand[t]\)]\)], "Input", 
                  CellLabel -> "In[389]:=", CellTags -> "DiracGammaExpand"], 
                 Cell[BoxData[
                   \(\(DiracGamma[\(Momentum[q]\)]\) . 
                      \((\(DiracGamma[\(Momentum[p]\)]\) - 
                         \(DiracGamma[\(Momentum[q]\)]\))\)\)], "Output", 
                  CellLabel -> "Out[389]//StandardForm="]}, Open]], 
              Cell[
               "In order to do non-commutative expansion use DiracSimplify.", 
               "Text", CellTags -> "DiracGammaExpand"], Cell[CellGroupData[
                {Cell[BoxData[\(DiracSimplify[t]\)], "Input", CellLabel -> 
                   "In[390]:=", CellTags -> "DiracGammaExpand"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["p", "TraditionalForm"]}], ")"}]}], "-", 
                      SuperscriptBox[FormBox["q", "TraditionalForm"], "2"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[390]="]}, 
                Open]], Cell[BoxData[\(Clear[t]\)], "Input", CellLabel -> 
                "In[391]:=", CellTags -> "DiracGammaExpand"]}, Open]], 
           Cell["DiracGammaT", "ObjectName", CellTags -> "DiracGammaT"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracGammaT"], Cell["DiracGammaT[x] denotes the \
transpose of DiracGamma[x]. Transpose[DiracGammaT[x]] gives DiracGamma[x]. \
Note that x must have Head LorentzIndex or Momentum.", "Text", CellTags -> 
                "DiracGammaT"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], "."}], "Text", 
               CellTags -> "DiracGammaT"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracGammaT"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracGammaT[\(LorentzIndex[\[Mu]]\)]\)], "Input", 
                  CellLabel -> "In[392]:=", CellTags -> "DiracGammaT"], 
                 Cell[BoxData[FormBox[SubsuperscriptBox["\[Gamma]", 
                     FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                      "TraditionalForm"], "T"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[392]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Transpose[%]\)], "Input", CellLabel -> 
                   "In[393]:=", CellTags -> "DiracGammaT"], Cell[BoxData[
                   FormBox[SuperscriptBox["\[Gamma]", FormBox[FormBox[
                       "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[393]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(GS[p]\)//FCI\)//Transpose\)], "Input", CellLabel -> 
                   "In[394]:=", CellTags -> "DiracGammaT"], Cell[BoxData[
                   FormBox[SuperscriptBox[RowBox[{"(", "\[Gamma]", 
                       "\[CenterDot]", FormBox["p", "TraditionalForm"], 
                       ")"}], "T"], TraditionalForm]], "Output", CellLabel -> 
                   "Out[394]="]}, Open]]}, Open]], Cell["DiracMatrix", 
            "ObjectName", CellTags -> "DiracMatrix"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracMatrix"], Cell[TextData[{"DiracMatrix[", 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], 
                 "] denotes a Dirac gamma matrix with Lorentz index ", 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], ". DiracMatrix[", 
                 Cell[BoxData[\(TraditionalForm\`\(\(\[Mu], \[Nu],\)\ \)\)]], 
                 "...] is a product of ", Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\)]], 
                 " matrices with Lorentz indices ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Mu],\ \[Nu],\ ...\)\)]], 
                 " DiracMatrix[5] is ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 ". DiracMatrix[6] is ", Cell[BoxData[
                   \(TraditionalForm\`\(1/2\)\)]], Cell[BoxData[
                   \(TraditionalForm\`\(\ \(\(+\ \[Gamma]\^5\)/2\)\)\)]], 
                 ". DiracMatrix[7] is", Cell[BoxData[
                   \(TraditionalForm\`\(\ \(1/2\)\)\)]], Cell[BoxData[
                   \(TraditionalForm\`\(\ \(\(-\ \[Gamma]\^5\)/2\)\)\)]], 
                 "."}], "Text", CellTags -> "DiracMatrix"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["DiracGammaExpand", 
                   RuleDelayed[ButtonData, "DiracGammaExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGammaExpand"]], ", ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracSlash", RuleDelayed[ButtonData, 
                    "DiracSlash"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSlash"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], ", ", 
                 ButtonBox["GA", RuleDelayed[ButtonData, "GA"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GA"]], 
                 ", ", 
                 ButtonBox["GAD", RuleDelayed[ButtonData, "GAD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GAD"]], 
                 ", ", 
                 ButtonBox["GS", RuleDelayed[ButtonData, "GS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GS"]], 
                 ", ", 
                 ButtonBox["GSD", RuleDelayed[ButtonData, "GSD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GSD"]], 
                 "."}], "Text", CellTags -> "DiracMatrix"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracMatrix"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracMatrix[\[Mu]]\)], "Input", CellLabel -> 
                   "In[395]:=", CellTags -> "DiracMatrix"], Cell[BoxData[
                   FormBox[SuperscriptBox["\[Gamma]", FormBox[FormBox[
                       "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[395]="]}, 
                Open]], Cell[TextData[
                {"This is how to enter the non-commutative product of two ", 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]]], ". The ", 
                 StyleBox["Mathematica", Rule[FontSlant, "Italic"]], " Dot \
\".\" is used as non-commutative multiplication operator."}], "Text", 
               CellTags -> "DiracMatrix"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracMatrix[\[Mu]]\) . \(DiracMatrix[\[Nu]]\)\)], 
                  "Input", CellLabel -> "In[396]:=", CellTags -> 
                   "DiracMatrix"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[396]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracMatrix[\[Alpha]]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[397]:=", CellTags -> "DiracMatrix"], 
                 Cell[BoxData[\(DiracGamma[\(LorentzIndex[\[Alpha]]\)]\)], 
                  "Output", CellLabel -> "Out[397]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(\(DiracMatrix[\[Mu]]\)//FCE\)
                   ], "Input", CellLabel -> "In[398]:=", CellTags -> 
                   "DiracMatrix"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu]\)\)], "Output", 
                  CellLabel -> "Out[398]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[399]:=", CellTags -> "DiracMatrix"], Cell[BoxData[
                   \(GA[\[Mu]]\)], "Output", CellLabel -> 
                   "Out[399]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(GAD[\[Mu]]\)], "Input", CellLabel -> 
                   "In[400]:=", CellTags -> "DiracMatrix"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu]\)\)], "Output", 
                  CellLabel -> "Out[400]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(%//FCI\)//StandardForm\)], "Input", 
                  CellLabel -> "In[401]:=", CellTags -> "DiracMatrix"], 
                 Cell[BoxData[
                   \(DiracGamma[\(\(LorentzIndex[\(\[Mu], D\)]\), D\)]\)], 
                  "Output", CellLabel -> "Out[401]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(GA[\(\[Mu], \[Nu], \[Rho]\)]\)], "Input", CellLabel -> 
                   "In[402]:=", CellTags -> "DiracMatrix"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Rho]\)\)], "Output", CellLabel -> 
                   "Out[402]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GA[\(a\ .\ b\)]\)//FCI\)], "Input", CellLabel -> 
                   "In[403]:=", CellTags -> "DiracMatrix"], Cell[BoxData[
                   FormBox[RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                        FormBox["a", "TraditionalForm"], "TraditionalForm"]], 
                      ".", SuperscriptBox["\[Gamma]", FormBox[FormBox["b", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[403]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[404]:=", CellTags -> 
                   "DiracMatrix"], Cell[BoxData[
                   \(\(DiracGamma[\(LorentzIndex[a]\)]\) . 
                      \(DiracGamma[\(LorentzIndex[b]\)]\)\)], "Output", 
                  CellLabel -> "Out[404]//StandardForm="]}, Open]]}, Open]], 
           Cell["DiracOrder", "ObjectName", CellTags -> "DiracOrder"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracOrder"], Cell["DiracOrder[expr] orders the \
Dirac matrices in expr alphabetically. DiracOrder[expr,orderlist] orders the \
Dirac matrices in expr according to orderlist.", "Text", CellTags -> 
                "DiracOrder"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], "."}], "Text", 
               CellTags -> "DiracOrder"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracOrder"], Cell[CellGroupData[{Cell[BoxData[
                   \(t1\ =\ \(GA[\(\[Beta], \[Alpha]\)]\)\)], "Input", 
                  CellLabel -> "In[405]:=", CellTags -> "DiracOrder"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Beta] . 
                        \[Gamma]\^\[Alpha]\)\)], "Output", CellLabel -> 
                   "Out[405]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracOrder[t1]\)], "Input", CellLabel -> "In[406]:=", 
                  CellTags -> "DiracOrder"], Cell[BoxData[FormBox[RowBox[{
                      \(2\ g\^\(\[Alpha]\[Beta]\)\), "-", RowBox[
                       {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[406]="]}, 
                Open]], Cell[
               "This is a string of Dirac matrices in D dimensions. ", 
               "Text", CellTags -> "DiracOrder"], Cell[CellGroupData[
                {Cell[BoxData[\(t2 = \(GAD[\(\[Mu], \[Nu], \[Mu]\)]\)\)], 
                  "Input", CellLabel -> "In[407]:=", CellTags -> 
                   "DiracOrder"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Mu]\)\)], "Output", CellLabel -> 
                   "Out[407]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracOrder[t1]\)], "Input", CellLabel -> "In[408]:=", 
                  CellTags -> "DiracOrder"], Cell[BoxData[FormBox[RowBox[{
                      \(2\ g\^\(\[Alpha]\[Beta]\)\), "-", RowBox[
                       {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[408]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t3 = \(GA[\(5, \[Mu], \[Nu]\)]\)\)], "Input", 
                  CellLabel -> "In[409]:=", CellTags -> "DiracOrder"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5 . \[Gamma]\^\[Mu] . 
                        \[Gamma]\^\[Nu]\)\)], "Output", CellLabel -> 
                   "Out[409]="]}, Open]], Cell[TextData[{"By default ", 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma]\^\(5\ \)\)\)]], 
                 "is moved to the right."}], "Text", CellTags -> 
                "DiracOrder"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracOrder[t3]\)], "Input", CellLabel -> "In[410]:=", 
                  CellTags -> "DiracOrder"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      \(\[Gamma]\^5\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[410]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t4 = \(GA[\(6, \[Mu], 7\)]\)\)], "Input", 
                  CellLabel -> "In[411]:=", CellTags -> "DiracOrder"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^6 . \[Gamma]\^\[Mu] . 
                        \[Gamma]\^7\)\)], "Output", CellLabel -> 
                   "Out[411]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracOrder[t4]\)], "Input", CellLabel -> "In[412]:=", 
                  CellTags -> "DiracOrder"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      \(\[Gamma]\^7\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[412]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t5 = \(GA[\(\[Alpha], \[Beta], \[Delta]\)]\)\)
                   ], "Input", CellLabel -> "In[413]:=", CellTags -> 
                   "DiracOrder"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Alpha] . 
                        \[Gamma]\^\[Beta] . \[Gamma]\^\[Delta]\)\)], 
                  "Output", CellLabel -> "Out[413]="]}, Open]], 
              Cell[TextData[{"This orders the ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Alpha] \[Gamma]\^\[Beta] 
                        \[Gamma]\^\[Delta]\)\)]], " in reverse order."}], 
               "Text", CellTags -> "DiracOrder"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(DiracOrder[\(t5, \({\[Delta], \[Beta], \[Alpha]}\)\)]\)]\
, "Input", CellLabel -> "In[414]:=", CellTags -> "DiracOrder"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"-", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], "+", RowBox[{"2", " ", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Alpha]\[Beta]\)\)
                        }], "-", RowBox[{"2", " ", SuperscriptBox["\[Gamma]", 
                         FormBox[FormBox["\[Beta]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", 
                        \(g\^\(\[Alpha]\[Delta]\)\)}], "+", RowBox[{"2", " ", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Beta]\[Delta]\)\)
                        }]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[414]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracOrder[%]\)], "Input", CellLabel -> "In[415]:=", 
                  CellTags -> "DiracOrder"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Alpha]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Beta]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Delta]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[415]="]}, 
                Open]], Cell[BoxData[\(\(Clear[\(t1, t2, t3, t4, t5\)]\) ;\)]
                , "Input", CellLabel -> "In[416]:=", CellTags -> 
                "DiracOrder"]}, Open]], Cell["DiracReduce", "ObjectName", 
            CellTags -> "DiracReduce"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DiracReduce"], Cell["DiracReduce[exp] reduces all \
four-dimensional Dirac matrices in exp to the standard basis (S,P,V,A,T) \
using the Chisholm identity (see Chisholm). In the result the basic Dirac \
structures are wrapped with a head DiracBasis. I.e., S corresponds to \
DiracBasis[1], P : DiracBasis[DiracMatrix[5]], V: \
DiracBasis[DiracMatrix[mu]], A: DiracBasis[DiracMatrix[mu, 5]], T: \
DiracBasis[DiracSigma[DiracMatrix[mu, nu]]]. By default DiracBasis is \
substituted to Identity. Notice that the result of DiracReduce is given in \
the FeynCalcExternal-way, i.e.,evtl. you may have to use FeynCalcInternal on \
the result.", "Text", CellTags -> "DiracReduce"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[DiracReduce]\)], "Input", 
                  CellLabel -> "In[417]:=", CellTags -> "DiracReduce"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Factoring \[Rule] False\), 
                         \(FinalSubstitutions \[Rule] 
                           \({DiracBasis \[Rule] Identity}\)\)}\)\)], 
                  "Output", CellLabel -> "Out[417]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], "."}], "Text", 
               CellTags -> "DiracReduce"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracReduce"], Cell[CellGroupData[{Cell[BoxData[
                   \(t1\ =\ \(GA[\(\[Mu], \[Nu]\)]\)\)], "Input", 
                  CellLabel -> "In[418]:=", CellTags -> "DiracReduce"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\)\)]\
, "Output", CellLabel -> "Out[418]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(DiracReduce[t1]\)], "Input", CellLabel -> 
                   "In[419]:=", CellTags -> "DiracReduce"], Cell[BoxData[
                   \(TraditionalForm\`\(g\^\(\[Mu]\[Nu]\) - 
                        \(\[ImaginaryI]\ \[Sigma]\^\(\[Mu]\[Nu]\)\)\)\)], 
                  "Output", CellLabel -> "Out[419]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \(DiracMatrix[\(\[Mu], \[Nu], \[Rho]\)]\)\)], 
                  "Input", CellLabel -> "In[420]:=", CellTags -> 
                   "DiracReduce"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] \[Gamma]\^\[Nu] 
                        \[Gamma]\^\[Rho]\)\)], "Output", CellLabel -> 
                   "Out[420]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracReduce[t2]\)], "Input", CellLabel -> "In[421]:=", 
                  CellTags -> "DiracReduce"], Cell[BoxData[FormBox[
                    RowBox[{RowBox[{"\[ImaginaryI]", " ", 
                        \(\[Gamma]\^\($MU \[InvisibleApplication] \((1)\)\) .
                            \[Gamma]\^5\), " ", SuperscriptBox["\[Epsilon]", 
                         RowBox[{"\[Mu]", "\[Nu]", "\[Rho]", FormBox[
                          \($MU \[InvisibleApplication] \((1)\)\), 
                          "TraditionalForm"]}]]}], "+", 
                      \(\[Gamma]\^\[Rho]\ g\^\(\[Mu]\[Nu]\)\), "-", 
                      \(\[Gamma]\^\[Nu]\ g\^\(\[Mu]\[Rho]\)\), "+", 
                      \(\[Gamma]\^\[Mu]\ g\^\(\[Nu]\[Rho]\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[421]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t3 = \(DiracMatrix[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)
                     \)], "Input", CellLabel -> "In[422]:=", CellTags -> 
                   "DiracReduce"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] \[Gamma]\^\[Nu] 
                        \[Gamma]\^\[Rho] \[Gamma]\^\[Sigma]\)\)], "Output", 
                  CellLabel -> "Out[422]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t4 = \(DiracReduce[t3]\)\)], "Input", 
                  CellLabel -> "In[423]:=", CellTags -> "DiracReduce"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\[ImaginaryI]\)\ \[Gamma]\^5\ 
                          \[Epsilon]\^\(\[Mu]\[Nu]\[Rho]\[Sigma]\)\) - 
                        \(\[ImaginaryI]\ \[Sigma]\^\(\[Rho]\[Sigma]\)\ 
                          g\^\(\[Mu]\[Nu]\)\) + 
                        \(\[ImaginaryI]\ \[Sigma]\^\(\[Nu]\[Sigma]\)\ 
                          g\^\(\[Mu]\[Rho]\)\) - 
                        \(\[ImaginaryI]\ \[Sigma]\^\(\[Nu]\[Rho]\)\ 
                          g\^\(\[Mu]\[Sigma]\)\) - 
                        \(\[ImaginaryI]\ \[Sigma]\^\(\[Mu]\[Sigma]\)\ 
                          g\^\(\[Nu]\[Rho]\)\) + 
                        \(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\) + 
                        \(\[ImaginaryI]\ \[Sigma]\^\(\[Mu]\[Rho]\)\ 
                          g\^\(\[Nu]\[Sigma]\)\) - 
                        \(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\) - 
                        \(\[ImaginaryI]\ \[Sigma]\^\(\[Mu]\[Nu]\)\ 
                          g\^\(\[Rho]\[Sigma]\)\) + 
                        \(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\)\)\)], 
                  "Output", CellLabel -> "Out[423]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t5\ = \(Calc[\(DiracSimplify[
                          \(DiracSigmaExplicit[\(t4 . t4\)]\)]\)]\)\)], 
                  "Input", CellLabel -> "In[424]:=", CellTags -> 
                   "DiracReduce"], Cell[BoxData[\(TraditionalForm\`\(-128\)\)]
                   , "Output", CellLabel -> "Out[424]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Calc[\(t4 . t4\)]\)], 
                  "Input", CellLabel -> "In[425]:=", CellTags -> 
                   "DiracReduce"], Cell[BoxData[\(TraditionalForm\`\(-128\)\)]
                   , "Output", CellLabel -> "Out[425]="]}, Open]], 
              Cell[BoxData[\(Clear[\(t1, t2, t3, t4\)]\)], "Input", 
               CellLabel -> "In[426]:=", CellTags -> "DiracReduce"]}, Open]], 
           Cell["DiracSigma", "ObjectName", CellTags -> "DiracSigma"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracSigma"], Cell["DiracSigma[a, b] stands for \
i/2*(a . b - b . a) in 4 dimensions. a and b must have Head DiracGamma, \
DiracMatrix or DiracSlash. Only antisymmetry is implemented.", "Text", 
               CellTags -> "DiracSigma"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracSigmaExplicit", 
                   RuleDelayed[ButtonData, "DiracSigmaExplicit"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSigmaExplicit"]], "."}], "Text", 
               CellTags -> "DiracSigma"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracSigma"], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(DiracSigma[\(\(GA[\[Alpha]]\), \(GA[\[Beta]]\)\)]
                       \)\)], "Input", CellLabel -> "In[427]:=", CellTags -> 
                   "DiracSigma"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Sigma]\^\(\[Alpha]\[Beta]\)\)\)], 
                  "Output", CellLabel -> "Out[427]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(DiracSigmaExplicit[t1]\)], 
                  "Input", CellLabel -> "In[428]:=", CellTags -> 
                   "DiracSigma"], Cell[BoxData[FormBox[RowBox[{\(1\/2\), " ", 
                      "\[ImaginaryI]", " ", RowBox[{"(", RowBox[{RowBox[
                          {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Beta]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[428]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \(DiracSigma[\(\(GA[\[Beta]]\), \(GA[\[Alpha]]\)\)]
                       \)\)], "Input", CellLabel -> "In[429]:=", CellTags -> 
                   "DiracSigma"], Cell[BoxData[
                   \(TraditionalForm\`\(-\[Sigma]\^\(\[Alpha]\[Beta]\)\)\)], 
                  "Output", CellLabel -> "Out[429]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t3 = \(DiracSigma[\(\(GS[p]\), \(GS[q]\)\)]\)\)], 
                  "Input", CellLabel -> "In[430]:=", CellTags -> 
                   "DiracSigma"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Sigma]\^\(pq\)\)\)], "Output", 
                  CellLabel -> "Out[430]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(DiracSigmaExplicit[t3]\)], "Input", 
                  CellLabel -> "In[431]:=", CellTags -> "DiracSigma"], 
                 Cell[BoxData[FormBox[RowBox[{\(1\/2\), " ", "\[ImaginaryI]", 
                      " ", RowBox[{"(", RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], ")"}]}], "-", 
                          RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[431]="]}, 
                Open]], Cell[BoxData[\(Clear[\(t1, t2, t3\)]\)], "Input", 
               CellLabel -> "In[432]:=", CellTags -> "DiracSigma"]}, Open]], 
           Cell["DiracSigmaExplicit", "ObjectName", CellTags -> 
             "DiracSigmaExplicit"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DiracSigmaExplicit"], Cell["DiracSigmaExplicit[exp] inserts \
in exp for all DiracSigma its definition. DiracSigmaExplict is also an option \
of DiracSimplify.", "Text", CellTags -> "DiracSigmaExplicit"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracSigma", RuleDelayed[ButtonData, 
                    "DiracSigma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSigma"]], "."}], "Text", 
               CellTags -> "DiracSigmaExplicit"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracSigmaExplicit"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSigma[\(\(GA[\[Alpha]]\), \(GA[\[Beta]]\)\)]\)], 
                  "Input", CellLabel -> "In[433]:=", CellTags -> 
                   "DiracSigmaExplicit"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Sigma]\^\(\[Alpha]\[Beta]\)\)\)], 
                  "Output", CellLabel -> "Out[433]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(DiracSigmaExplicit[%]\)], 
                  "Input", CellLabel -> "In[434]:=", CellTags -> 
                   "DiracSigmaExplicit"], Cell[BoxData[FormBox[RowBox[{
                      \(1\/2\), " ", "\[ImaginaryI]", " ", RowBox[{"(", 
                        RowBox[{RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox["\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Beta]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[434]="]}, 
                Open]]}, Open]], Cell["DiracSimpCombine", "ObjectName", 
            CellTags -> "DiracSimpCombine"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DiracSimpCombine"], Cell["DiracSimpCombine is an option for \
DiracSimplify. If set to True, sums of DiracGamma's will be merged as much as \
possible in DiracGamma[ .. + .. + ]'s.", "Text", CellTags -> 
                "DiracSimpCombine"], Cell[TextData[{"See also: ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], "."}], "Text", 
               CellTags -> "DiracSimpCombine"]}, Open]], 
           Cell["DiracSimplify", "ObjectName", CellTags -> "DiracSimplify"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracSimplify"], Cell["DiracSimplify[expr] \
simplifies products of Dirac matrices in expr and expands non-commutative \
products. Double Lorentz indices and four vectors are contracted. The Dirac \
equation is applied. All DiracMatrix[5], DiracMatrix[6] and DiracMatrix[7] \
are moved to the right. The order of the other Dirac matrices is not \
changed.", "Text", CellTags -> "DiracSimplify"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[DiracSimplify]\)], "Input", 
                  CellLabel -> "In[435]:=", CellTags -> "DiracSimplify"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(DiracCanonical \[Rule] False\), 
                         \(DiracSigmaExplicit \[Rule] True\), 
                         \(DiracSimpCombine \[Rule] False\), 
                         \(DiracSubstitute67 \[Rule] False\), 
                         \(Expanding \[Rule] True\), 
                         \(Factoring \[Rule] False\), 
                         \(FeynCalcInternal \[Rule] False\), 
                         \(InsideDiracTrace \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[435]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["DiracGammaExpand", 
                   RuleDelayed[ButtonData, "DiracGammaExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGammaExpand"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], "."}], "Text", 
               CellTags -> "DiracSimplify"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracSimplify"], Cell[
               "This is a string of Dirac matrices in four dimensions. ", 
               "Text", CellTags -> "DiracSimplify"], Cell[CellGroupData[
                {Cell[BoxData[\(t1 = \(GA[\(\[Mu], \[Nu], \[Mu]\)]\)\)], 
                  "Input", CellLabel -> "In[436]:=", CellTags -> 
                   "DiracSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Mu]\)\)], "Output", CellLabel -> 
                   "Out[436]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSimplify[t1]\)], "Input", CellLabel -> "In[437]:=", 
                  CellTags -> "DiracSimplify"], Cell[BoxData[FormBox[RowBox[{
                      \(-2\), " ", SuperscriptBox["\[Gamma]", FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[437]="]}, Open]], 
              Cell["This is a string of Dirac matrices in D dimensions. ", 
               "Text", CellTags -> "DiracSimplify"], Cell[CellGroupData[
                {Cell[BoxData[\(t2 = \(GAD[\(\[Mu], \[Nu], \[Mu]\)]\)\)], 
                  "Input", CellLabel -> "In[438]:=", CellTags -> 
                   "DiracSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Mu]\)\)], "Output", CellLabel -> 
                   "Out[438]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSimplify[t1]\)], "Input", CellLabel -> "In[439]:=", 
                  CellTags -> "DiracSimplify"], Cell[BoxData[FormBox[RowBox[{
                      \(-2\), " ", SuperscriptBox["\[Gamma]", FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[439]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t3 = \(GA[\(5, \[Mu], \[Nu]\)]\)\)], "Input", 
                  CellLabel -> "In[440]:=", CellTags -> "DiracSimplify"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5 . \[Gamma]\^\[Mu] . 
                        \[Gamma]\^\[Nu]\)\)], "Output", CellLabel -> 
                   "Out[440]="]}, Open]], Cell[TextData[{"By default ", 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 "is moved to the right."}], "Text", CellTags -> 
                "DiracSimplify"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSimplify[t3]\)], "Input", CellLabel -> "In[441]:=", 
                  CellTags -> "DiracSimplify"], Cell[BoxData[FormBox[
                    RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                      ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                         "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                      ".", \(\[Gamma]\^5\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[441]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t4 = \(GA[\(6, \[Mu], 7\)]\)\)], "Input", 
                  CellLabel -> "In[442]:=", CellTags -> "DiracSimplify"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^6 . \[Gamma]\^\[Mu] . 
                        \[Gamma]\^7\)\)], "Output", CellLabel -> 
                   "Out[442]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSimplify[t4]\)], "Input", CellLabel -> "In[443]:=", 
                  CellTags -> "DiracSimplify"], Cell[BoxData[FormBox[
                    RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                      ".", \(\[Gamma]\^7\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[443]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t5 = \(\(GS[\(a + b\)]\)\ .\ \(GS[p]\) . \(GS[p]\) . 
                        \(GS[\(c + d\)]\)\)\)], "Input", CellLabel -> 
                   "In[444]:=", CellTags -> "DiracSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"(", RowBox[
                         {"\[Gamma]", "\[CenterDot]", "(", FormBox[\(a + b\), 
                          "TraditionalForm"], ")"}], ")"}], ".", 
                      \((\[Gamma] \[CenterDot] p)\), ".", 
                      \((\[Gamma] \[CenterDot] p)\), ".", RowBox[{"(", 
                        RowBox[{"\[Gamma]", "\[CenterDot]", "(", FormBox[
                          \(c + d\), "TraditionalForm"], ")"}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[444]="]}, 
                Open]], Cell["Contrary to DiracTrick DiracSimplify does \
non-commutative expansion.", "Text", CellTags -> "DiracSimplify"], 
              Cell[CellGroupData[{Cell[BoxData[\(DiracSimplify[t5]\)], 
                  "Input", CellLabel -> "In[445]:=", CellTags -> 
                   "DiracSimplify"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["a", "TraditionalForm"]}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["c", 
                          "TraditionalForm"]}], ")"}]}], " ", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], "2"]}], "+", 
                      RowBox[{RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["a", "TraditionalForm"]}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["d", 
                          "TraditionalForm"]}], ")"}]}], " ", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], "2"]}], "+", 
                      RowBox[{RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["b", "TraditionalForm"]}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["c", 
                          "TraditionalForm"]}], ")"}]}], " ", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], "2"]}], "+", 
                      RowBox[{RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["b", "TraditionalForm"]}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["d", 
                          "TraditionalForm"]}], ")"}]}], " ", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], "2"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[445]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(DiracTrick[t5]\)], 
                  "Input", CellLabel -> "In[446]:=", CellTags -> 
                   "DiracSimplify"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", "(", FormBox[
                          \(a + b\), "TraditionalForm"], ")"}], ")"}], ".", 
                        RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", "(", FormBox[
                          \(c + d\), "TraditionalForm"], ")"}], ")"}]}], " ", 
                      SuperscriptBox[FormBox["p", "TraditionalForm"], "2"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[446]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t6\ =\ \(\(SpinorVBar[p]\)\ .\ \(GS[p]\)\ .\ 
                        \(SpinorUBar[q]\)\)\)], "Input", CellLabel -> 
                   "In[447]:=", CellTags -> "DiracSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{FormBox[\("v"\&_\), 
                         "TraditionalForm"], "(", "p", ")"}], ".", 
                      \((\[Gamma] \[CenterDot] p)\), ".", RowBox[{FormBox[
                         \("u"\&_\), "TraditionalForm"], "(", "q", ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[447]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(DiracSimplify[t6]\)
                   ], "Input", CellLabel -> "In[448]:=", CellTags -> 
                   "DiracSimplify"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[448]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(GAD @@ \(Join[\(\({\[Mu]}\), 
                          \(Table[\(\[Nu]\_i, \({i, 6}\)\)]\), \({\[Mu]}\)\)]
                   \)\)], "Input", CellLabel -> "In[449]:=", CellTags -> 
                   "DiracSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . 
                        \[Gamma]\^\(\[Nu]\_1\) . \[Gamma]\^\(\[Nu]\_2\) . 
                        \[Gamma]\^\(\[Nu]\_3\) . \[Gamma]\^\(\[Nu]\_4\) . 
                        \[Gamma]\^\(\[Nu]\_5\) . \[Gamma]\^\(\[Nu]\_6\) . 
                        \[Gamma]\^\[Mu]\)\)], "Output", CellLabel -> 
                   "Out[449]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSimplify[%]\)], "Input", CellLabel -> "In[450]:=", 
                  CellTags -> "DiracSimplify"], Cell[BoxData[FormBox[
                    RowBox[{RowBox[{"D", " ", RowBox[{SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_1\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_6\), "TraditionalForm"], 
                          "TraditionalForm"]]}]}], "-", RowBox[{"12", " ", 
                        RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_4\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}]}], "+", 
                      RowBox[{"4", " ", RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox[\(\[Nu]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_4\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_1 \[Nu]\_2\)\)}], "-", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_4\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_1 \[Nu]\_3\)\)}], "+", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_1 \[Nu]\_4\)\)}], "-", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_1 \[Nu]\_5\)\)}], "+", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_1 \[Nu]\_6\)\)}], "+", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_4\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_2 \[Nu]\_3\)\)}], "-", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_2 \[Nu]\_4\)\)}], "+", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_2 \[Nu]\_5\)\)}], "-", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_2 \[Nu]\_6\)\)}], "+", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_3 \[Nu]\_4\)\)}], "-", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_3 \[Nu]\_5\)\)}], "+", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_3 \[Nu]\_6\)\)}], "+", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_4 \[Nu]\_5\)\)}], "-", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_4 \[Nu]\_6\)\)}], "+", RowBox[
                       {"4", " ", RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                          FormBox[\(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_4\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Nu]\_5 \[Nu]\_6\)\)}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[450]="]}, Open]], 
              Cell[" With the option DiracCanonical an alphabetic ordering is \
done.", "Text", CellTags -> "DiracSimplify"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(DiracSimplify[\(\(GA[\(\[Nu], \[Mu]\)]\), 
                        \(DiracCanonical \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[451]:=", CellTags -> "DiracSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{\(2\ g\^\(\[Mu]\[Nu]\)\), "-", 
                      RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[451]="]}, Open]], 
              Cell["Setting InsideDiracTrace\[Rule]True assumes that a trace \
is still to be taken later on.", "Text", CellTags -> "DiracSimplify"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSimplify[\(\(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]
                         \), \(InsideDiracTrace \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[452]:=", CellTags -> 
                   "DiracSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\(g\^\(\[Mu]\[Sigma]\)\ 
                          g\^\(\[Nu]\[Rho]\)\) - 
                        \(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\) + 
                        \(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\)\)\)], 
                  "Output", CellLabel -> "Out[452]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSimplify[\(\(GA[\(\[Mu], \[Nu], \[Rho]\)]\), 
                        \(InsideDiracTrace \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[453]:=", CellTags -> "DiracSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[453]="]}, Open]], Cell[BoxData[
                \(Clear[\(t1, t2, t3, t4, t5, t6\)]\)], "Input", CellLabel -> 
                "In[454]:=", CellTags -> "DiracSimplify"]}, Open]], 
           Cell["DiracSimplify2", "ObjectName", CellTags -> 
             "DiracSimplify2"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "DiracSimplify2"], 
              Cell[TextData[{"DiracSimplify2[exp] simplifies the Dirac \
structure but leaves any ", Cell[BoxData[\(TraditionalForm\`\(\[Gamma]\^5\)\)]
                   ], " untouched."}], "Text", CellTags -> "DiracSimplify2"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], "."}], "Text", 
               CellTags -> "DiracSimplify2"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracSimplify2"], Cell[CellGroupData[{Cell[BoxData[
                   \(GAD[\(\[Mu], \[Nu], \[Mu], 5, \[Alpha], \[Beta], 
                        \[Alpha]\)]\)], "Input", CellLabel -> "In[455]:=", 
                  CellTags -> "DiracSimplify2"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Mu] . \[Gamma]\^5 . \[Gamma]\^\[Alpha] . 
                        \[Gamma]\^\[Beta] . \[Gamma]\^\[Alpha]\)\)], 
                  "Output", CellLabel -> "Out[455]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(DiracSimplify2[%]\)], 
                  "Input", CellLabel -> "In[456]:=", CellTags -> 
                   "DiracSimplify2"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      \(\[Gamma]\^5\), ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Beta]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[456]="]}, Open]]}, Open]], 
           Cell["DiracSlash", "ObjectName", CellTags -> "DiracSlash"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracSlash"], Cell[TextData[
                {"DiracSlash[p] is the contraction ", Cell[BoxData[
                   \(TraditionalForm\`\(p\^\[Mu] \[Gamma]\_\(\[Mu]\ \)\)\)]], 
                 "(FourVector[p, ", Cell[BoxData[\(TraditionalForm\`\[Mu]\)]]
                   , "] DiracMatrix[", Cell[BoxData[\(TraditionalForm\`\[Mu]\)
                   ]], "]). Products of those can be entered in the form \
DiracSlash[p1, p2, ...]."}], "Text", CellTags -> "DiracSlash"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[DiracSlash]\)], 
                  "Input", CellLabel -> "In[457]:=", CellTags -> 
                   "DiracSlash"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] 4\), 
                         \(FeynCalcInternal \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[457]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["DiracGammaExpand", 
                   RuleDelayed[ButtonData, "DiracGammaExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGammaExpand"]], ", ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["DiracMatrix", 
                   RuleDelayed[ButtonData, "DiracMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracMatrix"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], ", ", 
                 ButtonBox["GS", RuleDelayed[ButtonData, "GS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GS"]], 
                 ", ", 
                 ButtonBox["GSD", RuleDelayed[ButtonData, "GSD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GSD"]], 
                 "."}], "Text", CellTags -> "DiracSlash"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracSlash"], Cell[TextData[{"This is q-slash, i.e., ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] \(q\_\[Mu] .\)\)\)]]}]\
, "Text", CellTags -> "DiracSlash"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSlash[q]\)], "Input", CellLabel -> "In[458]:=", 
                  CellTags -> "DiracSlash"], Cell[BoxData[FormBox[RowBox[
                     {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                      "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[458]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracSlash[p]\) . \(DiracSlash[q]\)\)], "Input", 
                  CellLabel -> "In[459]:=", CellTags -> "DiracSlash"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"(", RowBox[
                         {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                        ")"}], ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[459]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSlash[\(p, q\)]\)], "Input", CellLabel -> 
                   "In[460]:=", CellTags -> "DiracSlash"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["p", "TraditionalForm"]}], ")"}], ".", 
                      RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[460]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(GS[p]\)], "Input", 
                  CellLabel -> "In[461]:=", CellTags -> "DiracSlash"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma] \[CenterDot] p\)\)
                   ], "Output", CellLabel -> "Out[461]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracSlash[q]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[462]:=", CellTags -> "DiracSlash"], 
                 Cell[BoxData[\(DiracSlash[q]\)], "Output", CellLabel -> 
                   "Out[462]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(DiracSlash[\(q, \(Dimension \[Rule] n\)\)]\)//
                      StandardForm\)], "Input", CellLabel -> "In[463]:=", 
                  CellTags -> "DiracSlash"], Cell[BoxData[
                   \(DiracSlash[\(q, \(Dimension \[Rule] n\)\)]\)], "Output", 
                  CellLabel -> "Out[463]//StandardForm="]}, Open]]}, Open]], 
           Cell["DiracSpinor", "ObjectName", CellTags -> "DiracSpinor"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracSpinor"], Cell["DiracSpinor is simply a \
quantity defined as noncommutative (with DeclareNonCommutative[DiracSpinor]). \
The convention intended is that DiracSpinor[p, m, ind] is a Dirac spinor for \
a fermion with momentum p and mass m and indices ind.", "Text", CellTags -> 
                "DiracSpinor"], Cell[TextData[{"See also: ", 
                 ButtonBox["Spinor", RuleDelayed[ButtonData, "Spinor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Spinor"]], "."}], "Text", CellTags -> 
                "DiracSpinor"]}, Open]], Cell["DiracSubstitute67", 
            "ObjectName", CellTags -> "DiracSubstitute67"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracSubstitute67"], Cell["DiracSubstitute67 is \
an option for DiracSimplify. If set to True the chirality-projectors \
DiracGamma[6] and DiracGamma[7] are substituted by their definitions.", 
               "Text", CellTags -> "DiracSubstitute67"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], "."}], "Text", 
               CellTags -> "DiracSubstitute67"]}, Open]], Cell["DiracTrace", 
            "ObjectName", CellTags -> "DiracTrace"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracTrace"], Cell["DiracTrace[expr] is the head \
of Dirac traces. Whether the trace is evaluated depends on the option \
DiracTraceEvaluate. Direct trace evaluation should be performed with TR (or \
Tr). The argument expr may be a product of Dirac matrices or slashes \
separated by the Mathematica Dot (.).", "Text", CellTags -> "DiracTrace"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[DiracTrace]\)], 
                  "Input", CellLabel -> "In[464]:=", CellTags -> 
                   "DiracTrace"], Cell[BoxData[
                   \(TraditionalForm\`\({\(EpsContract \[Rule] False\), 
                         \(Factoring \[Rule] False\), 
                         \(FeynCalcExternal \[Rule] False\), 
                         \(Mandelstam \[Rule] \({}\)\), 
                         \(PairCollect \[Rule] True\), 
                         \(DiracTraceEvaluate \[Rule] False\), 
                         \(Schouten \[Rule] 0\), 
                         \(LeviCivitaSign \[Rule] \[ImaginaryI]\), 
                         \(TraceOfOne \[Rule] 4\)}\)\)], "Output", 
                  CellLabel -> "Out[464]="]}, Open]], Cell[TextData[
                {"For comments regarding ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 "schemes see the notes for ", 
                 ButtonBox["TR", RuleDelayed[ButtonData, "TR"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TR"]], 
                 "."}], "Text", CellTags -> "DiracTrace"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["TR", RuleDelayed[ButtonData, "TR"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TR"]], 
                 "."}], "Text", CellTags -> "DiracTrace"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracTrace"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrace[\(GA[\(\[Mu], \[Nu]\)]\)]\)], "Input", 
                  CellLabel -> "In[465]:=", CellTags -> "DiracTrace"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[
                       \(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\), 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[465]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrace[\(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)]\)]\
, "Input", CellLabel -> "In[466]:=", CellTags -> "DiracTrace"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[
                       \(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . \[Gamma]\^\[Rho]
                           . \[Gamma]\^\[Sigma]\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[466]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%\ /.\ \(DiracTrace \[Rule] Tr\)\)], "Input", 
                  CellLabel -> "In[467]:=", CellTags -> "DiracTrace"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(4\ 
                        \((\(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\) - 
                           \(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\) + 
                           \(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\))\)\)\
\)], "Output", CellLabel -> "Out[467]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(DiracTrace[\(\(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma], 5\)]
                         \), \(DiracTraceEvaluate \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[468]:=", CellTags -> 
                   "DiracTrace"], Cell[BoxData[FormBox[RowBox[{\(-4\), " ", 
                      SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[468]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrace[\(\(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma], 
                            \[Delta], \[Tau], 5\)]\), 
                        \(DiracTraceEvaluate \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[469]:=", CellTags -> "DiracTrace"], 
                 Cell[BoxData[FormBox[RowBox[{"4", " ", RowBox[{"(", 
                        RowBox[{RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Delta]\[Mu]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Delta]\[Nu]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Delta]\[Rho]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Delta]\[Sigma]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Delta]\[Tau]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Mu]\[Nu]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Mu]\[Rho]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Mu]\[Sigma]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Mu]\[Tau]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Nu]\[Rho]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Nu]\[Sigma]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Nu]\[Tau]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Rho]\[Sigma]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Rho]\[Tau]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Delta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Sigma]\[Tau]\)\)}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[469]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrace[\(GS[\(p, q, r, s\)]\)]\)], "Input", 
                  CellLabel -> "In[470]:=", CellTags -> "DiracTrace"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[
                       \(\((\[Gamma] \[CenterDot] p)\) . 
                          \((\[Gamma] \[CenterDot] q)\) . 
                          \((\[Gamma] \[CenterDot] r)\) . 
                          \((\[Gamma] \[CenterDot] s)\)\), 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[470]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrace[\(\(GA[\(\[Mu], \[Nu]\)]\), 
                        \(DiracTraceEvaluate \[Rule] True\), 
                        \(FCE \[Rule] True\)\)]\)], "Input", CellLabel -> 
                   "In[471]:=", CellTags -> "DiracTrace"], Cell[BoxData[
                   \(TraditionalForm\`\(4\ g\^\(\[Mu]\[Nu]\)\)\)], "Output", 
                  CellLabel -> "Out[471]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[472]:=", CellTags -> "DiracTrace"], Cell[BoxData[
                   \(4\ \(MT[\(\[Mu], \[Nu]\)]\)\)], "Output", CellLabel -> 
                   "Out[472]//StandardForm="]}, Open]]}, Open]], 
           Cell["DiracTraceEvaluate", "ObjectName", CellTags -> 
             "DiracTraceEvaluate"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DiracTraceEvaluate"], Cell["DiracTraceEvaluate is an option \
for DiracTrace and Tr. If set to False, DiracTrace remains unevaluated.", 
               "Text", CellTags -> "DiracTraceEvaluate"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], ", ", 
                 ButtonBox["TR", RuleDelayed[ButtonData, "TR"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TR"]], 
                 "."}], "Text", CellTags -> "DiracTraceEvaluate"]}, Open]], 
           Cell["DiracTrick", "ObjectName", CellTags -> "DiracTrick"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DiracTrick"], Cell["DiracTrick[exp] contracts \
gamma matrices with each other and performs several simplifications, but no \
expansion, use Calc or DiracSimplify for non-commutative expansion.", "Text", 
               CellTags -> "DiracTrick"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[DiracTrick]\)], "Input", CellLabel -> 
                   "In[473]:=", CellTags -> "DiracTrick"], Cell[BoxData[
                   \(TraditionalForm\`\({Expanding \[Rule] False}\)\)], 
                  "Output", CellLabel -> "Out[473]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["DiracGammaExpand", 
                   RuleDelayed[ButtonData, "DiracGammaExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGammaExpand"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], "."}], "Text", 
               CellTags -> "DiracTrick"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DiracTrick"], Cell[
               "This is a string of Dirac matrices in four dimensions. ", 
               "Text", CellTags -> "DiracTrick"], Cell[CellGroupData[
                {Cell[BoxData[\(t1 = \(GA[\(\[Mu], \[Nu], \[Mu]\)]\)\)], 
                  "Input", CellLabel -> "In[474]:=", CellTags -> 
                   "DiracTrick"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Mu]\)\)], "Output", CellLabel -> 
                   "Out[474]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrick[t1]\)], "Input", CellLabel -> "In[475]:=", 
                  CellTags -> "DiracTrick"], Cell[BoxData[FormBox[RowBox[{
                      \(-2\), " ", SuperscriptBox["\[Gamma]", FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[475]="]}, Open]], 
              Cell["This is a string of Dirac matrices in D dimensions. ", 
               "Text", CellTags -> "DiracTrick"], Cell[CellGroupData[
                {Cell[BoxData[\(t2 = \(GAD[\(\[Mu], \[Nu], \[Mu]\)]\)\)], 
                  "Input", CellLabel -> "In[476]:=", CellTags -> 
                   "DiracTrick"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Mu]\)\)], "Output", CellLabel -> 
                   "Out[476]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrick[t2]\)], "Input", CellLabel -> "In[477]:=", 
                  CellTags -> "DiracTrick"], Cell[BoxData[FormBox[RowBox[{
                      \((2 - D)\), " ", SuperscriptBox["\[Gamma]", FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[477]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t3 = \(GA[\(5, \[Mu], \[Nu]\)]\)\)], "Input", 
                  CellLabel -> "In[478]:=", CellTags -> "DiracTrick"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5 . \[Gamma]\^\[Mu] . 
                        \[Gamma]\^\[Nu]\)\)], "Output", CellLabel -> 
                   "Out[478]="]}, Open]], Cell[TextData[{"By default ", 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 "is moved to the right."}], "Text", CellTags -> 
                "DiracTrick"], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrick[t3]\)], "Input", CellLabel -> "In[479]:=", 
                  CellTags -> "DiracTrick"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      \(\[Gamma]\^5\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[479]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t4 = \(GA[\(6, \[Mu], 7\)]\)\)], "Input", 
                  CellLabel -> "In[480]:=", CellTags -> "DiracTrick"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^6 . \[Gamma]\^\[Mu] . 
                        \[Gamma]\^7\)\)], "Output", CellLabel -> 
                   "Out[480]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrick[t4]\)], "Input", CellLabel -> "In[481]:=", 
                  CellTags -> "DiracTrick"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      \(\[Gamma]\^7\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[481]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t5 = \(\(GS[\(a + b\)]\)\ .\ \(GS[p]\) . \(GS[p]\) . 
                        \(GS[\(c + d\)]\)\)\)], "Input", CellLabel -> 
                   "In[482]:=", CellTags -> "DiracTrick"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"(", RowBox[{"\[Gamma]", 
                          "\[CenterDot]", "(", FormBox[\(a + b\), 
                          "TraditionalForm"], ")"}], ")"}], ".", 
                      \((\[Gamma] \[CenterDot] p)\), ".", 
                      \((\[Gamma] \[CenterDot] p)\), ".", RowBox[{"(", 
                        RowBox[{"\[Gamma]", "\[CenterDot]", "(", FormBox[
                          \(c + d\), "TraditionalForm"], ")"}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[482]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(DiracTrick[t5]\)], 
                  "Input", CellLabel -> "In[483]:=", CellTags -> 
                   "DiracTrick"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", "(", FormBox[
                          \(a + b\), "TraditionalForm"], ")"}], ")"}], ".", 
                        RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", "(", FormBox[
                          \(c + d\), "TraditionalForm"], ")"}], ")"}]}], " ", 
                      SuperscriptBox[FormBox["p", "TraditionalForm"], "2"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[483]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Calc[t5]\)], 
                  "Input", CellLabel -> "In[484]:=", CellTags -> 
                   "DiracTrick"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["a", "TraditionalForm"]}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["c", 
                          "TraditionalForm"]}], ")"}]}], " ", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], "2"]}], "+", 
                      RowBox[{RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["a", "TraditionalForm"]}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["d", 
                          "TraditionalForm"]}], ")"}]}], " ", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], "2"]}], "+", 
                      RowBox[{RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["b", "TraditionalForm"]}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["c", 
                          "TraditionalForm"]}], ")"}]}], " ", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], "2"]}], "+", 
                      RowBox[{RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["b", "TraditionalForm"]}], ")"}], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["d", 
                          "TraditionalForm"]}], ")"}]}], " ", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], "2"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[484]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GAD @@ \(Join[\(\({\[Mu]}\), 
                          \(Table[\(\[Nu]\_i, \({i, 6}\)\)]\), \({\[Mu]}\)\)]
                   \)\)], "Input", CellLabel -> "In[485]:=", CellTags -> 
                   "DiracTrick"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . 
                        \[Gamma]\^\(\[Nu]\_1\) . \[Gamma]\^\(\[Nu]\_2\) . 
                        \[Gamma]\^\(\[Nu]\_3\) . \[Gamma]\^\(\[Nu]\_4\) . 
                        \[Gamma]\^\(\[Nu]\_5\) . \[Gamma]\^\(\[Nu]\_6\) . 
                        \[Gamma]\^\[Mu]\)\)], "Output", CellLabel -> 
                   "Out[485]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrick[%]\)], "Input", CellLabel -> "In[486]:=", 
                  CellTags -> "DiracTrick"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{\((D - 12)\), " ", RowBox[{SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_1\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_6\), "TraditionalForm"], 
                          "TraditionalForm"]]}]}], "-", RowBox[{"4", " ", 
                        RowBox[{"(", RowBox[{RowBox[{RowBox[{"-", RowBox[
                          {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_4\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}]}], " ", 
                          \(g\^\(\[Nu]\_1 \[Nu]\_2\)\)}], "+", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_4\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_1 \[Nu]\_3\)\)}], "-", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_1 \[Nu]\_4\)\)}], "+", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_1 \[Nu]\_5\)\)}], "-", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_2\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_1 \[Nu]\_6\)\)}], "-", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_4\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_2 \[Nu]\_3\)\)}], "+", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_2 \[Nu]\_4\)\)}], "-", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_2 \[Nu]\_5\)\)}], "+", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_3\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_2 \[Nu]\_6\)\)}], "-", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_5\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_3 \[Nu]\_4\)\)}], "+", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_3 \[Nu]\_5\)\)}], "-", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_4\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_3 \[Nu]\_6\)\)}], "-", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_6\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_4 \[Nu]\_5\)\)}], "+", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_5\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_4 \[Nu]\_6\)\)}], "-", RowBox[
                          {RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_1\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_2\), 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          \(\[Nu]\_3\), "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox[\(\[Nu]\_4\), 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(g\^\(\[Nu]\_5 \[Nu]\_6\)\)}]}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[486]="]}, 
                Open]]}, Open]], Cell["Divideout", "ObjectName", 
            CellTags -> "Divideout"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Divideout"], 
              Cell["Divideout is an option for OPEInt and OPEInsert. The \
setting is divided out at the end.", "Text", CellTags -> "Divideout"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["OPEInt", RuleDelayed[ButtonData, "OPEInt"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPEInt"]], ", ", 
                 ButtonBox["OPEInsert", RuleDelayed[ButtonData, 
                    "OPEInsert"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPEInsert"]], "."}], "Text", CellTags -> 
                "Divideout"]}, Open]], Cell["DOT", "ObjectName", 
            CellTags -> "DOT"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "DOT"], Cell["DOT[a, b, ...] is \
the FeynCalc function for non-commutative multiplication. By default it is \
set to the Mathematica Dot functions. By setting\nDOT=.\nthis can be \
disabled. Note that then non-commutative products should to be entered like \
DOT[ DiracMatrix[mu], m + DiracSlash[p], DiracMatrix[mu] ], etc.", "Text", 
               CellTags -> "DOT"], Cell[TextData[{"See also: ", 
                 ButtonBox["DotSimplify", 
                   RuleDelayed[ButtonData, "DotSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotSimplify"]], "."}], "Text", 
               CellTags -> "DOT"]}, Open]], Cell["DotExpand", "ObjectName", 
            CellTags -> "DotExpand"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "DotExpand"], 
              Cell["DotExpand[expr] expands DOT products in expr.", "Text", 
               CellTags -> "DotExpand"], Cell[TextData[{"See also: ", 
                 ButtonBox["DOT", RuleDelayed[ButtonData, "DOT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "DOT"]], 
                 ", ", 
                 ButtonBox["DotSimplify", 
                   RuleDelayed[ButtonData, "DotSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotSimplify"]], ", ", 
                 ButtonBox["DeclareNonCommutative", 
                   RuleDelayed[ButtonData, "DeclareNonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeclareNonCommutative"]], ", ", 
                 ButtonBox["UnDeclareNonCommutative", 
                   RuleDelayed[ButtonData, "UnDeclareNonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "UnDeclareNonCommutative"]], "."}], 
               "Text", CellTags -> "DotExpand"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DotExpand"], Cell[CellGroupData[{Cell[BoxData[
                   \(DotExpand[\(DOT[\(\(\(a\ x\) + \(b\ y\) + \(c\ z\)\), 
                          \(d + e + f\)\)]\)]\)], "Input", CellLabel -> 
                   "In[487]:=", CellTags -> "DotExpand"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a\ d\ x\) + \(a\ e\ x\) + 
                        \(a\ f\ x\) + \(b\ d\ y\) + \(b\ e\ y\) + \(b\ f\ y\)
                         + \(c\ d\ z\) + \(c\ e\ z\) + \(c\ f\ z\)\)\)], 
                  "Output", CellLabel -> "Out[487]="]}, Open]], Cell[BoxData[
                \(\(DeclareNonCommutative/@\({a, b, c, d, e, f}\)\) ;\)], 
               "Input", CellLabel -> "In[488]:=", CellTags -> "DotExpand"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DotExpand[\(DOT[\(\(\(a\ x\) + \(b\ y\) + \(c\ z\)\), 
                          \(d + e + f\)\)]\)]\)], "Input", CellLabel -> 
                   "In[489]:=", CellTags -> "DotExpand"], Cell[BoxData[
                   \(TraditionalForm\`\(\(x\ \(a . d\)\) + \(x\ \(a . e\)\) +
                         \(x\ \(a . f\)\) + \(y\ \(b . d\)\) + 
                        \(y\ \(b . e\)\) + \(y\ \(b . f\)\) + 
                        \(z\ \(c . d\)\) + \(z\ \(c . e\)\) + 
                        \(z\ \(c . f\)\)\)\)], "Output", CellLabel -> 
                   "Out[489]="]}, Open]], Cell[BoxData[
                \(\(UnDeclareNonCommutative/@\({a, b, c, d, e, f}\)\) ;\)], 
               "Input", CellLabel -> "In[490]:=", CellTags -> "DotExpand"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DotExpand[\(DOT[\(\(\(a\ x\) + \(b\ y\) + \(c\ z\)\), 
                          \(d + e + f\)\)]\)]\)], "Input", CellLabel -> 
                   "In[491]:=", CellTags -> "DotExpand"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a\ d\ x\) + \(a\ e\ x\) + 
                        \(a\ f\ x\) + \(b\ d\ y\) + \(b\ e\ y\) + \(b\ f\ y\)
                         + \(c\ d\ z\) + \(c\ e\ z\) + \(c\ f\ z\)\)\)], 
                  "Output", CellLabel -> "Out[491]="]}, Open]]}, Open]], 
           Cell["DotPower", "ObjectName", CellTags -> "DotPower"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DotPower"], Cell["DotPower is an option for \
DotSimplify. It determines whether non-commutative powers are represented by \
succesive multiplication or by Power.", "Text", CellTags -> "DotPower"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["DotSimplify", 
                   RuleDelayed[ButtonData, "DotSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotSimplify"]], "."}], "Text", 
               CellTags -> "DotPower"]}, Open]], Cell["DotProduct", 
            "ObjectName", CellTags -> "DotProduct"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DotProduct"], Cell["DotProduct[x, y] denotes the \
three-dimensional dot-product. If x and y have Head List, DotProduct[x, a] \
(where a is a vector) performs Sum[ x[[k]] a[[k]], {k, 0, 3}].", "Text", 
               CellTags -> "DotProduct"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["CrossProduct", 
                   RuleDelayed[ButtonData, "CrossProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CrossProduct"]], ", ", 
                 ButtonBox["ThreeVector", 
                   RuleDelayed[ButtonData, "ThreeVector"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ThreeVector"]], "."}], "Text", 
               CellTags -> "DotProduct"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DotProduct"], Cell[CellGroupData[{Cell[BoxData[
                   \(DotProduct[\(\(ThreeVector[a]\), \(3\(ThreeVector[b]\)\)
                       \)]\)], "Input", CellLabel -> "In[492]:=", CellTags -> 
                   "DotProduct"], Cell[BoxData[FormBox[RowBox[{"3", " ", 
                      RowBox[{FormBox[\(a\&\[RightVector]\), 
                         "TraditionalForm"], "\[CenterDot]", FormBox[
                         \(b\&\[RightVector]\), "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[492]="]}, 
                Open]]}, Open]], Cell["DotSimplifyRelations", "ObjectName", 
            CellTags -> "DotSimplifyRelations"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DotSimplifyRelations"], Cell["DotSimplifyRelations is an \
option for DotSimplify. Its setting may be a list of substitution rules of \
the form DotSimplifyRelations \[Rule] {a . b \[Rule] c, b^2 \[Rule] 0, ...}."\
, "Text", CellTags -> "DotSimplifyRelations"], Cell[TextData[{"See also: ", 
                 ButtonBox["DotSimplify", 
                   RuleDelayed[ButtonData, "DotSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotSimplify"]], "."}], "Text", 
               CellTags -> "DotSimplifyRelations"]}, Open]], 
           Cell["DotSimplify", "ObjectName", CellTags -> "DotSimplify"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DotSimplify"], Cell["DotSimplify[expr] expands \
and reorders noncommutative terms in expr. Simplifying relations may be \
specified by the option DotSimplifyRelations or by Commutator and \
AntiCommutator definitions. Whether expr is expanded noncommutatively depends \
on the option Expanding.", "Text", CellTags -> "DotSimplify"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[DotSimplify]\)], 
                  "Input", CellLabel -> "In[493]:=", CellTags -> 
                   "DotSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Expanding \[Rule] True\), 
                         \(DotSimplifyRelations \[Rule] \({}\)\), 
                         \(DotPower \[Rule] False\), 
                         \(FeynCalcInternal \[Rule] True\)}\)\)], "Output", 
                  CellLabel -> "Out[493]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["AntiCommutator", 
                   RuleDelayed[ButtonData, "AntiCommutator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "AntiCommutator"]], ", ", 
                 ButtonBox["Commutator", RuleDelayed[ButtonData, 
                    "Commutator"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Commutator"]], ", ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, "."}], "Text", CellTags -> "DotSimplify"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DotSimplify"], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(\(GA[\[Mu]]\) . 
                        \((\(2\ \(GS[p]\)\) - \(GS[q]\))\) . \(GA[\[Nu]]\)\)\
\)], "Input", CellLabel -> "In[494]:=", CellTags -> "DotSimplify"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . 
                        \((\(2\ \(\[Gamma] \[CenterDot] p\)\) - 
                           \(\[Gamma] \[CenterDot] q\))\) . \[Gamma]\^\[Nu]\)
                   \)], "Output", CellLabel -> "Out[494]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(DotSimplify[t1]\)], "Input", 
                  CellLabel -> "In[495]:=", CellTags -> "DotSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"2", " ", RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], "-", 
                      RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        ".", RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], ".", SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[495]="]}, 
                Open]], Cell[BoxData[\(DeclareNonCommutative[\(a, b, c\)]\)], 
               "Input", CellLabel -> "In[496]:=", CellTags -> "DotSimplify"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \(a . \((b - \(z\ c\))\) . a\)\)], "Input", 
                  CellLabel -> "In[497]:=", CellTags -> "DotSimplify"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(a . \((b - \(c\ z\))\) . a\)\)], 
                  "Output", CellLabel -> "Out[497]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(DotSimplify[t2]\)], "Input", 
                  CellLabel -> "In[498]:=", CellTags -> "DotSimplify"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(a . b . a\) - \(z\ \(a . c . a\)\)
                       \)\)], "Output", CellLabel -> "Out[498]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Commutator[\(a, c\)]\) = 1\)], "Input", CellLabel -> 
                   "In[499]:=", CellTags -> "DotSimplify"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[499]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DotSimplify[t2]\)], "Input", CellLabel -> "In[500]:=", 
                  CellTags -> "DotSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a . b . a\) - 
                        \(z\ \((a + \(c . a . a\))\)\)\)\)], "Output", 
                  CellLabel -> "Out[500]="]}, Open]], Cell[BoxData[
                \(\(Commutator[\(a, c\)]\) = .\)], "Input", CellLabel -> 
                "In[501]:=", CellTags -> "DotSimplify"], Cell[CellGroupData[
                {Cell[BoxData[\(DotSimplify[t2]\)], "Input", CellLabel -> 
                   "In[502]:=", CellTags -> "DotSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a . b . a\) - \(z\ \(a . c . a\)\)
                       \)\)], "Output", CellLabel -> "Out[502]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(AntiCommutator[\(b, a\)]\) = c\)], "Input", 
                  CellLabel -> "In[503]:=", CellTags -> "DotSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`c\)], "Output", CellLabel -> 
                   "Out[503]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DotSimplify[t2]\)], "Input", CellLabel -> "In[504]:=", 
                  CellTags -> "DotSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\(a . c\) - \(a . a . b\) - 
                        \(z\ \(a . c . a\)\)\)\)], "Output", CellLabel -> 
                   "Out[504]="]}, Open]], Cell[BoxData[
                \(\(AntiCommutator[\(b, a\)]\) = .\)], "Input", CellLabel -> 
                "In[505]:=", CellTags -> "DotSimplify"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(DotSimplify[\(t2, \(DotSimplifyRelations \[Rule] 
                          \({\(a . c\) \[Rule] \(1/z\)}\)\)\)]\)], "Input", 
                  CellLabel -> "In[506]:=", CellTags -> "DotSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`\(\(a . b . a\) - a\)\)], 
                  "Output", CellLabel -> "Out[506]="]}, Open]], Cell[BoxData[
                \(DeclareNonCommutative[x]\)], "Input", CellLabel -> 
                "In[507]:=", CellTags -> "DotSimplify"], Cell[CellGroupData[
                {Cell[BoxData[\(DotSimplify[\(x . x . x\)]\)], "Input", 
                  CellLabel -> "In[508]:=", CellTags -> "DotSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`\(x . x . x\)\)], "Output", 
                  CellLabel -> "Out[508]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(DotSimplify[\(\(x . x . x\), \(DotPower \[Rule] False\)
                       \)]\)], "Input", CellLabel -> "In[509]:=", CellTags -> 
                   "DotSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(x . x . x\)\)], "Output", 
                  CellLabel -> "Out[509]="]}, Open]], Cell[BoxData[
                \(UnDeclareNonCommutative[\(a, b, c, x\)]\)], "Input", 
               CellLabel -> "In[510]:=", CellTags -> "DotSimplify"]}, Open]], 
           Cell["DummyIndex", "ObjectName", CellTags -> "DummyIndex"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "DummyIndex"], Cell["DummyIndex is an option of \
CovariantD specifying an index to use as dummy summation index. If set to \
Automatic, unique indices are generated", "Text", CellTags -> "DummyIndex"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["CovariantD", RuleDelayed[ButtonData, 
                    "CovariantD"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CovariantD"]], "."}], "Text", 
               CellTags -> "DummyIndex"]}, Open]], Cell["D0", "ObjectName", 
            CellTags -> "D0"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "D0"], Cell[TextData[
                {"D0[ p10, p12, p23, p30, p20, p13, m1^2, m2^2, m3^2, m4^2 ] \
is the Passarino-Veltman ", Cell[BoxData[\(TraditionalForm\`D\_0\)]], " \
function. The convention for the arguments is that if the denominator of the \
integrand has the form ([q^2-m1^2] [(q+p1)^2-m2^2] [(q+p2)^2-m3^2] \
[(q+p3)^2-m4^2] ), the first six arguments of D0 are the scalar products p10 \
= p1^2, p12 = (p1-p2)^2, p23 = (p2-p3)^2, p30 = p3^2, p20 = p2^2, p13 = \
(p1-p3)^2."}], "Text", CellTags -> "D0"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["C0", RuleDelayed[ButtonData, "C0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "C0"]], 
                 ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, ", ", 
                 ButtonBox["PaVeOrder", RuleDelayed[ButtonData, 
                    "PaVeOrder"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeOrder"]], "."}], "Text", CellTags -> 
                "D0"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "D0"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(D0[\(p10, p12, p23, p30, p20, p13, \(m1^2\), \(m2^2\), 
                        \(m3^2\), \(m4^2\)\)]\)], "Input", CellLabel -> 
                   "In[511]:=", CellTags -> "D0"], Cell[BoxData[FormBox[
                    RowBox[{FormBox[\("D"\_"0"\), "TraditionalForm"], "(", 
                      "p10", ",", "p12", ",", "p23", ",", "p30", ",", "p20", 
                      ",", "p13", ",", FormBox[\(m1\^2\), "TraditionalForm"], 
                      ",", FormBox[\(m2\^2\), "TraditionalForm"], ",", 
                      FormBox[\(m3\^2\), "TraditionalForm"], ",", FormBox[
                       \(m4\^2\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[511]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PaVeOrder[\(\(D0[\(p10, p12, p23, p30, p20, p13, 
                            \(m1^2\), \(m2^2\), \(m3^2\), \(m4^2\)\)]\), 
                        \(PaVeOrderList \[Rule] \({p13, p20}\)\)\)]\)], 
                  "Input", CellLabel -> "In[512]:=", CellTags -> "D0"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[\("D"\_"0"\), 
                       "TraditionalForm"], "(", "p10", ",", "p30", ",", 
                      "p23", ",", "p12", ",", "p13", ",", "p20", ",", FormBox[
                       \(m2\^2\), "TraditionalForm"], ",", FormBox[\(m1\^2\), 
                       "TraditionalForm"], ",", FormBox[\(m4\^2\), 
                       "TraditionalForm"], ",", FormBox[\(m3\^2\), 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[512]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(PaVeOrder[%]\)], "Input", 
                  CellLabel -> "In[513]:=", CellTags -> "D0"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[\("D"\_"0"\), 
                       "TraditionalForm"], "(", "p10", ",", "p12", ",", 
                      "p23", ",", "p30", ",", "p20", ",", "p13", ",", FormBox[
                       \(m1\^2\), "TraditionalForm"], ",", FormBox[\(m2\^2\), 
                       "TraditionalForm"], ",", FormBox[\(m3\^2\), 
                       "TraditionalForm"], ",", FormBox[\(m4\^2\), 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[513]="]}, Open]]}, Open]], 
           Cell["D0Convention", "ObjectName", CellTags -> "D0Convention"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "D0Convention"], Cell["D0Convention is an option \
for Write2. If set to 1, the convention for the arguments of D0 is changed \
when writing a Fortran file with Write2: The fifth and sixth argument of D0 \
are interchanged and the square root is taken of the last four arguments.", 
               "Text", CellTags -> "D0Convention"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["D0", RuleDelayed[ButtonData, "D0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "D0"]], 
                 ", ", 
                 ButtonBox["Write2", RuleDelayed[ButtonData, "Write2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Write2"]], "."}], "Text", CellTags -> 
                "D0Convention"]}, Open]], Cell["Eps", "ObjectName", 
            CellTags -> "Eps"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "Eps"], Cell[TextData[
                {"Eps[a, b, c, d] is the head of the totally antisymmetric ", 
                 Cell[BoxData[\(TraditionalForm\`\(\ \[Epsilon]\)\)]], " \
(Levi-Civita) tensor. The a,b, ... may have head LorentzIndex, Momentum or \
Integer. In case of integers the Levi-Civita tensor is evaluated immediately. \
"}], "Text", CellTags -> "Eps"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[Eps]\)], "Input", CellLabel -> "In[514]:=", 
                  CellTags -> "Eps"], Cell[BoxData[
                   \(TraditionalForm\`\({Dimension \[Rule] 4}\)\)], "Output", 
                  CellLabel -> "Out[514]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["EpsEvaluate", 
                   RuleDelayed[ButtonData, "EpsEvaluate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "EpsEvaluate"]], ", ", 
                 ButtonBox["LC", RuleDelayed[ButtonData, "LC"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "LC"]], 
                 ", ", 
                 ButtonBox["LCD", RuleDelayed[ButtonData, "LCD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "LCD"]], 
                 ", ", 
                 ButtonBox["LeviCivita", RuleDelayed[ButtonData, 
                    "LeviCivita"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeviCivita"]], "."}], "Text", 
               CellTags -> "Eps"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Eps"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Eps[\(\(LorentzIndex[\[Mu]]\), \(LorentzIndex[\[Nu]]\), 
                        \(LorentzIndex[\[Rho]]\), \(LorentzIndex[\[Sigma]]\)\
\)]\)], "Input", CellLabel -> "In[515]:=", CellTags -> "Eps"], 
                 Cell[BoxData[FormBox[SuperscriptBox["\[Epsilon]", RowBox[
                      {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Rho]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                         "TraditionalForm"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[515]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Eps[\(\(Momentum[p]\), \(LorentzIndex[\[Nu]]\), 
                        \(LorentzIndex[\[Rho]]\), \(LorentzIndex[\[Sigma]]\)\
\)]\)], "Input", CellLabel -> "In[516]:=", CellTags -> "Eps"], 
                 Cell[BoxData[FormBox[SuperscriptBox["\[Epsilon]", RowBox[
                      {FormBox["p", "TraditionalForm"], FormBox[FormBox[
                         "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                       FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                         "TraditionalForm"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[516]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Eps[\(b, a, c, d\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[517]:=", CellTags -> "Eps"], Cell[BoxData[
                   \(-\(Eps[\(a, b, c, d\)]\)\)], "Output", CellLabel -> 
                   "Out[517]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Eps[\(0, 1, 2, 3\)]\)], "Input", CellLabel -> 
                   "In[518]:=", CellTags -> "Eps"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[518]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Eps[\(1, 0, 2, 3\)]\)], "Input", CellLabel -> 
                   "In[519]:=", CellTags -> "Eps"], Cell[BoxData[
                   \(TraditionalForm\`\(-1\)\)], "Output", CellLabel -> 
                   "Out[519]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(Eps, \(Dimension \[Rule] 4\)\)]\) ;\)], 
               "Input", CellLabel -> "In[520]:=", CellTags -> "Eps"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(a1\ = \(Eps[\(\(LorentzIndex[\(\[Mu], D\)]\), 
                          \(LorentzIndex[\(\[Nu], D\)]\), 
                          \(LorentzIndex[\(\[Rho], D\)]\), 
                          \(LorentzIndex[\(\[Sigma], D\)]\)\)]\)\)], "Input", 
                  CellLabel -> "In[521]:=", CellTags -> "Eps"], 
                 Cell[BoxData[FormBox[SuperscriptBox["\[Epsilon]", RowBox[
                      {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Rho]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                         "TraditionalForm"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[521]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Contract[a1a1]\)], 
                  "Input", CellLabel -> "In[522]:=", CellTags -> "Eps"], 
                 Cell[BoxData[\(TraditionalForm\`a1a1\)], "Output", 
                  CellLabel -> "Out[522]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(Eps, \(Dimension \[Rule] D\)\)]\) ;\)], 
               "Input", CellLabel -> "In[523]:=", CellTags -> "Eps"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(a2\ = \(Eps[\(\(LorentzIndex[\(\[Mu], D\)]\), 
                          \(LorentzIndex[\(\[Nu], D\)]\), 
                          \(LorentzIndex[\(\[Rho], D\)]\), 
                          \(LorentzIndex[\(\[Sigma], D\)]\)\)]\)\)], "Input", 
                  CellLabel -> "In[524]:=", CellTags -> "Eps"], 
                 Cell[BoxData[FormBox[SuperscriptBox["\[Epsilon]", RowBox[
                      {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Rho]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                         "TraditionalForm"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[524]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Contract[a2a2]\)//Factor2\)], "Input", CellLabel -> 
                   "In[525]:=", CellTags -> "Eps"], Cell[BoxData[
                   \(TraditionalForm\`a2a2\)], "Output", CellLabel -> 
                   "Out[525]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\ \(\(LCD[\(\[Mu], \[Nu], \[Rho], \[Alpha]\)]\) . 
                        \(GAD[\(\[Mu], \[Nu], \[Rho], \[Alpha]\)]\)\)\)], 
                  "Input", CellLabel -> "In[526]:="], Cell[BoxData[
                   \(TraditionalForm\`\(\[Epsilon]\^
                         \(\[Mu]\[Nu]\[Rho]\[Alpha]\) . \[Gamma]\^\[Mu] . 
                        \[Gamma]\^\[Nu] . \[Gamma]\^\[Rho] . 
                        \[Gamma]\^\[Alpha]\)\)], "Output", CellLabel -> 
                   "Out[526]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//FCI\)], "Input", CellLabel -> "In[527]:="], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                       RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"]}]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Rho]", 
                         "TraditionalForm"], "TraditionalForm"]], ".", 
                      SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Alpha]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[527]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(g5 = \(\(\(-\(\[ImaginaryI]\/24\)\) 
                          \(\(LCD[\(\[Mu], \[Nu], \[Rho], \[Alpha]\)]\) . 
                            \(GAD[\(\[Mu], \[Nu], \[Rho], \[Alpha]\)]\)\)\)//
                        FCI\)\)], "Input", CellLabel -> "In[528]:=", 
                  CellTags -> "Eps"], Cell[BoxData[FormBox[RowBox[{
                      \(-\(1\/24\)\), " ", "\[ImaginaryI]", " ", RowBox[
                       {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]}]], ".", SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[528]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(g5p = \(\(\(-\(\[ImaginaryI]\/24\)\)\ 
                          \(\(LCD[\(\*SuperscriptBox["\[Mu]", "\[Prime]", 
                                  Rule[MultilineFunction, None]], 
                                \*SuperscriptBox["\[Nu]", "\[Prime]", 
                                  Rule[MultilineFunction, None]], 
                                \*SuperscriptBox["\[Rho]", "\[Prime]", 
                                  Rule[MultilineFunction, None]], 
                                \*SuperscriptBox["\[Alpha]", "\[Prime]", 
                                  Rule[MultilineFunction, None]]\)]\) . 
                            \(GAD[\(\*SuperscriptBox["\[Mu]", "\[Prime]", 
                                  Rule[MultilineFunction, None]], 
                                \*SuperscriptBox["\[Nu]", "\[Prime]", 
                                  Rule[MultilineFunction, None]], 
                                \*SuperscriptBox["\[Rho]", "\[Prime]", 
                                  Rule[MultilineFunction, None]], 
                                \*SuperscriptBox["\[Alpha]", "\[Prime]", 
                                  Rule[MultilineFunction, None]]\)]\)\)\)//
                        FCI\)\)], "Input", CellLabel -> "In[529]:=", 
                  CellTags -> "Eps"], Cell[BoxData[FormBox[RowBox[{
                      \(-\(1\/24\)\), " ", "\[ImaginaryI]", " ", RowBox[
                       {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          SuperscriptBox["\[Mu]", "\[Prime]", 
                            Rule[MultilineFunction, None]], 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[
                          SuperscriptBox["\[Nu]", "\[Prime]", 
                            Rule[MultilineFunction, None]], 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[
                          SuperscriptBox["\[Rho]", "\[Prime]", 
                            Rule[MultilineFunction, None]], 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[
                          SuperscriptBox["\[Alpha]", "\[Prime]", 
                            Rule[MultilineFunction, None]], 
                          "TraditionalForm"], "TraditionalForm"]}]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          SuperscriptBox["\[Mu]", "\[Prime]", 
                            Rule[MultilineFunction, None]], 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          SuperscriptBox["\[Nu]", "\[Prime]", 
                            Rule[MultilineFunction, None]], 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          SuperscriptBox["\[Rho]", "\[Prime]", 
                            Rule[MultilineFunction, None]], 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          SuperscriptBox["\[Alpha]", "\[Prime]", 
                            Rule[MultilineFunction, None]], 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[529]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(g52 = \(Factor2[\(Calc[\(g5 . g5p\)]\)]\)\)], "Input", 
                  CellLabel -> "In[530]:=", CellTags -> "Eps"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-\(1\/24\)\)\ \((1 - D)\)\ 
                        \((2 - D)\)\ \((3 - D)\)\ D\)\)], "Output", 
                  CellLabel -> "Out[530]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(g52/.\(D \[Rule] 4\)\)], "Input", 
                  CellLabel -> "In[531]:=", CellTags -> "Eps"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[531]="]}, Open]], Cell[BoxData[
                \(Clear[\(a1, a2, g5, g5p, g52\)]\)], "Input", CellLabel -> 
                "In[532]:=", CellTags -> "Eps"]}, Open]], Cell["EpsChisholm", 
            "ObjectName", CellTags -> "EpsChisholm"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "EpsChisholm"], Cell["EpsChisholm[expr] \
substitutes for a gamma matrix contracted with a Levi-Civita tensor (Eps) the \
Chisholm identity.", "Text", CellTags -> "EpsChisholm"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Chisholm", RuleDelayed[ButtonData, "Chisholm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Chisholm"]], "."}], "Text", CellTags -> 
                "EpsChisholm"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "EpsChisholm"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Chisholm[\(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)]\)], 
                  "Input", CellLabel -> "In[533]:=", CellTags -> 
                   "EpsChisholm"], Cell[BoxData[FormBox[RowBox[{RowBox[{
                        \(-\[ImaginaryI]\), " ", RowBox[{SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["$MU$789", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["$MU$789", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Rho]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(g\^\(\[Mu]\[Nu]\)\)}]
                        , "-", RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(g\^\(\[Mu]\[Rho]\)\)}], "+", RowBox[{RowBox[
                         {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(g\^\(\[Nu]\[Rho]\)\)}]
                        }], TraditionalForm]], "Output", CellLabel -> 
                   "Out[533]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(EpsChisholm[%]\)], "Input", CellLabel -> "In[534]:=", 
                  CellTags -> "EpsChisholm"], Cell[BoxData[FormBox[
                    RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                      ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                         "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                      ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                         "\[Rho]", "TraditionalForm"], "TraditionalForm"]], 
                      ".", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                         "\[Sigma]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[534]="]}, Open]]}, Open]], 
           Cell["EpsContract", "ObjectName", CellTags -> "EpsContract"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "EpsContract"], Cell["EpsContract is an option of \
Contract specifying whether Levi-Civita tensors Eps[...] will be contracted, \
i.e., products of two  Eps are replaced via the determinant formula.", 
               "Text", CellTags -> "EpsContract"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Eps", RuleDelayed[ButtonData, "Eps"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Eps"]], 
                 ", ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], "."}], "Text", CellTags -> 
                "EpsContract"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "EpsContract"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(a1\ = \(Eps[\(\(LorentzIndex[\(\[Mu], D\)]\), 
                          \(LorentzIndex[\(\[Nu], D\)]\), 
                          \(LorentzIndex[\(\[Rho], D\)]\), 
                          \(LorentzIndex[\(\[Sigma], D\)]\)\)]\)\)], "Input", 
                  CellLabel -> "In[535]:=", CellTags -> "EpsContract"], 
                 Cell[BoxData[FormBox[SuperscriptBox["\[Epsilon]", RowBox[
                      {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Rho]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                         "TraditionalForm"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[535]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Contract[\(\(a1\ a1\), \(EpsContract \[Rule] False\)\)]
                     \)], "Input", CellLabel -> "In[536]:=", CellTags -> 
                   "EpsContract"], Cell[BoxData[FormBox[SuperscriptBox[
                     RowBox[{"(", SuperscriptBox["\[Epsilon]", RowBox[
                         {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], ")"}], 
                     "2"], TraditionalForm]], "Output", CellLabel -> 
                   "Out[536]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Contract[\(\(a1\ a1\), \(EpsContract \[Rule] True\)\)]\)]\
, "Input", CellLabel -> "In[537]:=", CellTags -> "EpsContract"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-D\^4\) + \(6\ D\^3\) - 
                        \(11\ D\^2\) + \(6\ D\)\)\)], "Output", CellLabel -> 
                   "Out[537]="]}, Open]], Cell[BoxData[\(Clear[a1]\)], 
               "Input", CellLabel -> "In[538]:="]}, Open]], 
           Cell["EpsDiscard", "ObjectName", CellTags -> "EpsDiscard"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "EpsDiscard"], Cell["EpsDiscard is an option for \
FeynCalc2FORM. If set to True all Levi-Civita tensors are replaced by 0 after \
contraction.", "Text", CellTags -> "EpsDiscard"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FeynCalc2FORM", 
                   RuleDelayed[ButtonData, "FeynCalc2FORM"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalc2FORM"]], "."}], "Text", 
               CellTags -> "EpsDiscard"]}, Open]], Cell["EpsEvaluate", 
            "ObjectName", CellTags -> "EpsEvaluate"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "EpsEvaluate"], Cell["EpsEvaluate[expr] applies \
total antisymmetry and linearity (w.r.t. Momentum's) to all Levi-Civita \
tensors (Eps') in expr.", "Text", CellTags -> "EpsEvaluate"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], ", ", 
                 ButtonBox["Eps", RuleDelayed[ButtonData, "Eps"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Eps"]], 
                 ", ", 
                 ButtonBox["LeviCivita", RuleDelayed[ButtonData, 
                    "LeviCivita"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeviCivita"]], ", ", 
                 ButtonBox["Trick", RuleDelayed[ButtonData, "Trick"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Trick"]], "."}], "Text", CellTags -> 
                "EpsEvaluate"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "EpsEvaluate"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Trick[\(\(LeviCivita[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]
                         \)\ \(FourVector[\(\(p + q\), \[Sigma]\)]\)\)]\)], 
                  "Input", CellLabel -> "In[539]:=", CellTags -> 
                   "EpsEvaluate"], Cell[BoxData[FormBox[SuperscriptBox[
                     "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        \(p + q\), "TraditionalForm"]}]], TraditionalForm]], 
                  "Output", CellLabel -> "Out[539]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(EpsEvaluate[%]\)], "Input", 
                  CellLabel -> "In[540]:=", CellTags -> "EpsEvaluate"], 
                 Cell[BoxData[FormBox[SuperscriptBox["\[Epsilon]", RowBox[
                      {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Rho]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[\(p + q\), 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[540]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(StandardForm[%]\)], "Input", CellLabel -> 
                   "In[541]:=", CellTags -> "EpsEvaluate"], Cell[BoxData[
                   \(Eps[\(\(LorentzIndex[\(\[Mu], D\)]\), 
                        \(LorentzIndex[\(\[Nu], D\)]\), 
                        \(LorentzIndex[\(\[Rho], D\)]\), 
                        \(Momentum[\(p + q\)]\)\)]\)], "Output", CellLabel -> 
                   "Out[541]//StandardForm="]}, Open]]}, Open]], 
           Cell["EpsUncontract", "ObjectName", CellTags -> "EpsUncontract"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "EpsUncontract"], Cell["EpsUncontract does \
Uncontract on scalar products involving Eps.", "Text", CellTags -> 
                "EpsUncontract"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Eps", RuleDelayed[ButtonData, "Eps"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Eps"]], 
                 ", ", 
                 ButtonBox["Uncontract", RuleDelayed[ButtonData, 
                    "Uncontract"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Uncontract"]], "."}], "Text", 
               CellTags -> "EpsUncontract"]}, Open]], Cell["Epsilon", 
            "ObjectName", CellTags -> "Epsilon"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Epsilon"], Cell[TextData[{"Epsilon is (", 
                 StyleBox["n", Rule[FontSlant, "Italic"]], "-4), where ", 
                 StyleBox["n", Rule[FontSlant, "Italic"]], " is the \
space-time dimension. Epsilon stands for a small positive number."}], "Text", 
               CellTags -> "Epsilon"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Series2", RuleDelayed[ButtonData, "Series2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Series2"]], "."}], "Text", CellTags -> 
                "Epsilon"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Epsilon"], 
              Cell[CellGroupData[{Cell[BoxData["Epsilon"], "Input", 
                  CellLabel -> "In[542]:=", CellTags -> "Epsilon"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*TagBox["\[CurlyEpsilon]", 
                         TraditionalForm]\)\)], "Output", CellLabel -> 
                   "Out[542]="]}, Open]], Cell["Epsilon has no functional \
properties, but some upvalues are changed:", "Text", CellTags -> "Epsilon"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \({\(\(Re[Epsilon]\)\ >\ \(-4\)\), 
                       \(\(Re[Epsilon]\)\ >\ \(-3\)\), 
                       \(\(Re[Epsilon]\)\ >\ \(-2\)\), 
                       \(\(Re[Epsilon]\)\ >\ \(-1\)\), 
                       \(\(Re[Epsilon]\)\ >\ 0\)}\)], "Input", CellLabel -> 
                   "In[543]:=", CellTags -> "Epsilon"], Cell[BoxData[
                   \(TraditionalForm\`\({True, True, True, True, True}\)\)], 
                  "Output", CellLabel -> "Out[543]="]}, Open]]}, Open]], 
           Cell["EpsilonOrder", "ObjectName", CellTags -> "EpsilonOrder"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "EpsilonOrder"], Cell[TextData[{"EpsilonOrder is \
an option of OPEIntDelta and RHI. The setting determines the order ", "n", 
                 " (", Cell[BoxData[
                   \(TraditionalForm\`\(Epsilon\^
                        \*StyleBox["n", Rule[FontSlant, "Plain"]]\)\)]], 
                 ") which should be kept."}], "Text", CellTags -> 
                "EpsilonOrder"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OPEIntDelta", 
                   RuleDelayed[ButtonData, "OPEIntDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPEIntDelta"]], ", ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "EpsilonOrder"]}, Open]], 
           Cell["Expanding", "ObjectName", CellTags -> "Expanding"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Expanding"], Cell["Expanding is an option for \
Calc, Contract, DiracSimplify,DotSimplify, SUNSimplify, etc. As option for \
Contract it specifies whether expansion w.r.t. LorentzIndex is done BEFORE \
contraction. If set to False in DiracSimplify or SUNSimplify, only a limited \
set of simplifications (multiplicative linearity etc.) is performed.", 
               "Text", CellTags -> "Expanding"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DotSimplify", 
                   RuleDelayed[ButtonData, "DotSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotSimplify"]], ", ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], "."}], "Text", 
               CellTags -> "Expanding"]}, Open]], Cell["ExpandPartialD", 
            "ObjectName", CellTags -> "ExpandPartialD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ExpandPartialD"], Cell["ExpandPartialD[exp] \
expands all products of QuantumField's and partial differentiation operators \
in exp and applies the Leibniz rule.", "Text", CellTags -> "ExpandPartialD"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[ExpandPartialD]\)], 
                  "Input", CellLabel -> "In[544]:="], Cell[BoxData[
                   FormBox[RowBox[{"{", RowBox[{"PartialDRelations", 
                        "\[Rule]", RowBox[{"{", RowBox[{RowBox[{"a$___", ".", 
                          RowBox[{"\[PartialD]", "/", "\[PartialD]", 
                          SuperscriptBox[FormBox["x$_", "TraditionalForm"], 
                          FormBox[FormBox["mu$_", "TraditionalForm"], 
                          "TraditionalForm"]]}], ".", "b$___"}], 
                          "\[RuleDelayed]", RowBox[{"a$", ".", RowBox[
                          {SubscriptBox[
                          TagBox[StyleBox["\"\[PartialD]\"", 
                             Rule[FontSlant, "Italic"]], 
                            Function[StyleForm[Slot[1], 
                              Rule[FontSlant, "Italic"]]]], TagBox[FormBox[
                          FormBox["mu$", "TraditionalForm"], 
                          "TraditionalForm"], TraditionalForm, Editable -> 
                          True]], "(", TagBox[FormBox[\(Dot[b$]\), 
                          "TraditionalForm"], TraditionalForm, Editable -> 
                          True], ")"}]}]}], "}"}]}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[544]="]}, 
                Open]], Cell[TextData[{"See also: ", 
                 ButtonBox["ExplicitPartialD", 
                   RuleDelayed[ButtonData, "ExplicitPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExplicitPartialD"]], ", ", 
                 ButtonBox["LeftPartialD", 
                   RuleDelayed[ButtonData, "LeftPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftPartialD"]], ", ", 
                 ButtonBox["LeftRightPartialD", 
                   RuleDelayed[ButtonData, "LeftRightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftRightPartialD"]], ", ", 
                 ButtonBox["PartialDRelations", 
                   RuleDelayed[ButtonData, "PartialDRelations"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PartialDRelations"]], ", ", 
                 ButtonBox["RightPartialD", 
                   RuleDelayed[ButtonData, "RightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RightPartialD"]], "."}], "Text", 
               CellTags -> "ExpandPartialD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ExpandPartialD"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(RightPartialD[\[Mu]]\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Nu]]\)\)]\)\)], 
                  "Input", CellLabel -> "In[545]:=", CellTags -> 
                   "ExpandPartialD"], Cell[BoxData[FormBox[RowBox[
                     {SubscriptBox[\(\[PartialD]\&\[RightArrow]\), FormBox[
                        FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", \(A\_\[Mu]\), ".", 
                      \(A\_\[Nu]\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[545]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ExpandPartialD[%]\)], "Input", CellLabel -> 
                   "In[546]:=", CellTags -> "ExpandPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(A\_\[Mu]\), ".", 
                        RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}]}], "+", RowBox[{RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ".", \(A\_\[Nu]\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[546]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[547]:=", CellTags -> 
                   "ExpandPartialD"], Cell[BoxData[
                   \(\(\(QuantumField[\(A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                        \(QuantumField[\(\(PartialD[\(LorentzIndex[\[Mu]]\)]
                             \), A, \(LorentzIndex[\[Nu]]\)\)]\)\) + 
                      \(\(QuantumField[\(\(PartialD[\(LorentzIndex[\[Mu]]\)]
                             \), A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                        \(QuantumField[\(A, \(LorentzIndex[\[Nu]]\)\)]\)\)\)]\
, "Output", CellLabel -> "Out[547]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(LeftRightPartialD[\[Mu]]\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Nu]]\)\)]\)\)], 
                  "Input", CellLabel -> "In[548]:=", CellTags -> 
                   "ExpandPartialD"], Cell[BoxData[FormBox[RowBox[
                     {SubscriptBox[\(\[PartialD]\&\[LeftRightArrow]\), 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", \(A\_\[Nu]\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[548]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(ExpandPartialD[%]\)
                   ], "Input", CellLabel -> "In[549]:=", CellTags -> 
                   "ExpandPartialD"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}], "2"], "-", 
                      RowBox[{\(1\/2\), " ", RowBox[{SubscriptBox[
                          \(\[PartialD]\&\[LeftArrow]\), FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", \(A\_\[Nu]\)}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[549]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(QuantumField[\(A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                      \((\(LeftRightPartialD[OPEDelta]\)^2)\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Rho]]\)\)]\)\)], 
                  "Input", CellLabel -> "In[550]:=", CellTags -> 
                   "ExpandPartialD"], Cell[BoxData[FormBox[RowBox[{
                      \(A\_\[Mu]\), ".", SubsuperscriptBox[
                       \(\[PartialD]\&\[LeftRightArrow]\), FormBox[
                        "\[CapitalDelta]", "TraditionalForm"], "2"], ".", 
                      \(A\_\[Rho]\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[550]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ExpandPartialD[%]\)], "Input", CellLabel -> 
                   "In[551]:=", CellTags -> "ExpandPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(1\/4\), " ", RowBox[{
                          \(A\_\[Mu]\), ".", RowBox[{"(", RowBox[{RowBox[
                          {FormBox[SubscriptBox["\[PartialD]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ")"}]}]}], "-", RowBox[{\(1\/2\), 
                        " ", RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}]}]}], "+", RowBox[{
                        \(1\/4\), " ", RowBox[{RowBox[{"(", RowBox[{RowBox[
                          {FormBox[SubscriptBox["\[PartialD]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ")"}], ".", \(A\_\[Rho]\)}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[551]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(8\ \(\(LeftRightPartialD[OPEDelta]\)^3\)\)], "Input", 
                  CellLabel -> "In[552]:=", CellTags -> "ExpandPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{"8", " ", SubsuperscriptBox[
                       \(\[PartialD]\&\[LeftRightArrow]\), FormBox[
                        "\[CapitalDelta]", "TraditionalForm"], "3"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[552]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExplicitPartialD[%]\)], "Input", CellLabel -> 
                   "In[553]:=", CellTags -> "ExpandPartialD"], 
                 Cell[BoxData[FormBox[SuperscriptBox[RowBox[{"(", RowBox[
                        {SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                         "-", SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]]}], 
                       ")"}], "3"], TraditionalForm]], "Output", CellLabel -> 
                   "Out[553]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandPartialD[%]\)], "Input", CellLabel -> "In[554]:=", 
                  CellTags -> "ExpandPartialD"], Cell[BoxData[FormBox[
                    RowBox[{RowBox[{"-", RowBox[{SubscriptBox[
                          \(\[PartialD]\&\[LeftArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ".", 
                          SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ".", 
                          SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]]}]}], "+", 
                      RowBox[{"3", " ", RowBox[{SubscriptBox[
                          \(\[PartialD]\&\[LeftArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ".", 
                          SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ".", 
                          SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]]}]}], 
                      "-", RowBox[{"3", " ", RowBox[{SubscriptBox[
                          \(\[PartialD]\&\[LeftArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], ".", 
                          SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                          ".", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]]}]}], 
                      "+", RowBox[{SubscriptBox[\(\[PartialD]\&\[RightArrow]\)
                         , FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                        ".", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                         FormBox["\[CapitalDelta]", "TraditionalForm"]], ".", 
                        SubscriptBox[\(\[PartialD]\&\[RightArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[554]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(LeviCivita[\(\[Mu], \[Nu], \[Rho], \[Tau]\)]\)\ 
                      \(RightPartialD[\(\[Alpha], \[Mu], \[Beta], \[Nu]\)]\)\
\)], "Input", CellLabel -> "In[555]:=", CellTags -> "ExpandPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox[
                         \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        ".", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                         FormBox[FormBox["\[Beta]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox[
                         \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]]}], 
                      " ", SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[555]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(ExpandPartialD[%]\)
                   ], "Input", CellLabel -> "In[556]:=", CellTags -> 
                   "ExpandPartialD"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[556]="]}, Open]]}, Open]], 
           Cell["ExpandScalarProduct, ScalarProductExpand", "ObjectName", 
            CellTags -> {"ScalarProductCancel", "ExpandScalarProduct"}], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> {"ScalarProductCancel", "ExpandScalarProduct"}], 
              Cell["ExpandScalarProduct[expr] expands scalar products of sums \
of momenta in expr. ExpandScalarProduct does not use Expand on \
expr.\nScalarProductExpand=ExpandScalarProduct.", "Text", CellTags -> 
                {"ScalarProductCancel", "ExpandScalarProduct"}], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct//Options\)], "Input", CellLabel -> 
                   "In[557]:=", CellTags -> {"ScalarProductCancel", 
                    "ExpandScalarProduct"}], Cell[BoxData[
                   \(TraditionalForm\`\({FeynCalcInternal \[Rule] True}\)\)], 
                  "Output", CellLabel -> "Out[557]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["MomentumExpand", 
                   RuleDelayed[ButtonData, "MomentumExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MomentumExpand"]], ", ", 
                 ButtonBox["MomentumCombine", 
                   RuleDelayed[ButtonData, "MomentumCombine"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MomentumCombine"]], "."}], "Text", 
               CellTags -> {"ScalarProductCancel", "ExpandScalarProduct"}]}, 
             Open]], Cell[CellGroupData[{Cell["Examples", "Subsubsection", 
               CellTags -> {"ScalarProductCancel", "ExpandScalarProduct"}], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\ \(SP[\(\(p1 + p2 + p3\), \(p4 + p5 + p6\)\)]\)\)], 
                  "Input", CellLabel -> "In[558]:=", CellTags -> 
                   {"ScalarProductCancel", "ExpandScalarProduct"}], 
                 Cell[BoxData[FormBox[RowBox[{"(", FormBox[\(p1 + p2 + p3\), 
                       "TraditionalForm"], ")", "\[CenterDot]", "(", FormBox[
                       \(p4 + p5 + p6\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[558]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//ScalarProductExpand\)], "Input", CellLabel -> 
                   "In[559]:=", CellTags -> {"ScalarProductCancel", 
                    "ExpandScalarProduct"}], Cell[BoxData[FormBox[RowBox[
                     {"(", FormBox[\(p1 + p2 + p3\), "TraditionalForm"], ")", 
                      "\[CenterDot]", "(", FormBox[\(p4 + p5 + p6\), 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[559]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SP[\(p, \(p - q\)\)]\)], 
                  "Input", CellLabel -> "In[560]:=", CellTags -> 
                   {"ScalarProductCancel", "ExpandScalarProduct"}], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["p", 
                       "TraditionalForm"], "\[CenterDot]", "(", FormBox[
                       \(p - q\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[560]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct[%]\)], "Input", CellLabel -> 
                   "In[561]:=", CellTags -> {"ScalarProductCancel", 
                    "ExpandScalarProduct"}], Cell[BoxData[FormBox[RowBox[
                     {FormBox["p", "TraditionalForm"], "\[CenterDot]", "(", 
                      FormBox[\(p - q\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[561]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FV[\(\(p - q\), \[Mu]\)]\)], "Input", CellLabel -> 
                   "In[562]:=", CellTags -> {"ScalarProductCancel", 
                    "ExpandScalarProduct"}], Cell[BoxData[FormBox[
                    SuperscriptBox[FormBox[\(p - q\), "TraditionalForm"], 
                     "\[Mu]"], TraditionalForm]], "Output", CellLabel -> 
                   "Out[562]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct[%]\)], "Input", CellLabel -> 
                   "In[563]:=", CellTags -> {"ScalarProductCancel", 
                    "ExpandScalarProduct"}], Cell[BoxData[FormBox[
                    SuperscriptBox[FormBox[\(p - q\), "TraditionalForm"], 
                     "\[Mu]"], TraditionalForm]], "Output", CellLabel -> 
                   "Out[563]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SP[\(\(p - q\), \(q - r\)\)]\)//FCI\)], "Input", 
                  CellLabel -> "In[564]:=", CellTags -> 
                   {"ScalarProductCancel", "ExpandScalarProduct"}], 
                 Cell[BoxData[FormBox[RowBox[{"(", FormBox[\(p - q\), 
                       "TraditionalForm"], ")", "\[CenterDot]", "(", FormBox[
                       \(q - r\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[564]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%/.\(Pair \[Rule] ExpandScalarProduct\)\)], "Input", 
                  CellLabel -> "In[565]:=", CellTags -> 
                   {"ScalarProductCancel", "ExpandScalarProduct"}], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{FormBox["p", 
                         "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                         "TraditionalForm"]}], "-", RowBox[{FormBox["p", 
                         "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                         "TraditionalForm"]}], "-", SuperscriptBox[FormBox[
                        "q", "TraditionalForm"], "2"], "+", RowBox[
                       {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["r", "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[565]="]}, 
                Open]]}, Open]], Cell["Expand2", "ObjectName", 
            CellTags -> "Expand2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Expand2"], 
              Cell["Expand2[exp, x] expands all sums containing x. \
Expand2[exp, {x1, x2, ...}]  expands all sums containing x1, x2, ....", 
               "Text", CellTags -> "Expand2"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Expand2"], Cell[CellGroupData[{Cell[BoxData[
                   \(Expand2[\(\(\(\((x1 + x2 + x3)\) \((\(2x1\) + \(3x2\))\)
                           \) + \(\((y1 + y2 + y3)\) \((\(2y1\) + \(3y2\))\)
                           \)\), \({x1, x2}\)\)]\)], "Input", CellLabel -> 
                   "In[566]:=", CellTags -> "Expand2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(2\ x1\^2\) + \(5\ x2\ x1\) + 
                        \(2\ x3\ x1\) + \(3\ x2\^2\) + \(3\ x2\ x3\) + 
                        \(\((\(2\ y1\) + \(3\ y2\))\)\ \((y1 + y2 + y3)\)\)\)
                   \)], "Output", CellLabel -> "Out[566]="]}, Open]]}, 
             Open]], Cell["Explicit", "ObjectName", CellTags -> "Explicit"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Explicit"], Cell[TextData[{"Explicit is an option \
for FieldStrength, GluonVertex, SUNF, and Twist2GluonOperator. If set to True \
the full form of the operator is inserted. ", 
                 StyleBox["Explicit[exp]", 
                   Rule[FontVariations, List[Rule["CompatibilityType", 0]]]], 
                 " inserts explicit expressions of GluonVertex, \
Twist2GluonOperator, etc., in exp. SUNF's are replaced by SUNTrace objects."}]\
, "Text", CellTags -> "Explicit"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GluonVertex", 
                   RuleDelayed[ButtonData, "GluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonVertex"]], ", ", 
                 ButtonBox["Twist2GluonOperator", 
                   RuleDelayed[ButtonData, "Twist2GluonOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2GluonOperator"]], "."}], "Text", 
               CellTags -> "Explicit"], Cell[CellGroupData[{Cell[BoxData[
                   \(Explicit//Options\)], "Input", CellLabel -> 
                   "In[567]:="], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Gauge \[Rule] 1\), 
                         \(\[CapitalOmega] \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[567]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Explicit"], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonPropagator[\(p, \[Mu], \[Nu]\)]\)], "Input", 
                  CellLabel -> "In[568]:="], Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalPi]\_g\%\(\[Mu]\[Nu]\)(p)\)
                     \)], "Output", CellLabel -> "Out[568]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Explicit[%]\)], "Input", 
                  CellLabel -> "In[569]:="], Cell[BoxData[
                   \(TraditionalForm\`\(-\(
                         \(\[ImaginaryI]\ g\^\(\[Mu]\[Nu]\)\)\/p\^2\)\)\)], 
                  "Output", CellLabel -> "Out[569]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Explicit[\(\(GluonPropagator[\(p, \[Mu], \[Nu]\)]\), 
                        \(Gauge \[Rule] \[Xi]\)\)]\)], "Input", CellLabel -> 
                   "In[570]:="], Cell[BoxData[FormBox[FractionBox[RowBox[
                      {"\[ImaginaryI]", " ", RowBox[{"(", RowBox[{FractionBox[
                          RowBox[{\((1 - \[Xi])\), " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], \(p\^2\)]
                          , "-", \(g\^\(\[Mu]\[Nu]\)\)}], ")"}]}], \(p\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[570]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonVertex[\(p, \[Mu], a,\ q, \[Nu], b, r, \[Rho], c\)]
                     \)], "Input", CellLabel -> "In[571]:=", CellTags -> 
                   "Explicit"], Cell[BoxData[FormBox[RowBox[{RowBox[
                       {SuperscriptBox["V", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]}]], "(", 
                        RowBox[{FormBox["p", "TraditionalForm"], \(,\ \), 
                          FormBox["q", "TraditionalForm"], \(,\ \), FormBox[
                          "r", "TraditionalForm"]}], ")"}], " ", SubscriptBox[
                       "f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[571]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Explicit[%]\)], "Input", 
                  CellLabel -> "In[572]:=", CellTags -> "Explicit"], 
                 Cell[BoxData[FormBox[RowBox[{\(g\_s\), " ", RowBox[
                       {"(", RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", SuperscriptBox[FormBox[
                          "r", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}], 
                          " ", \(g\^\(\[Nu]\[Rho]\)\)}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["r", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                          "+", RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], "-", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}]}], ")"}], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[572]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(p, \[Mu], a, \[Nu], b\)]\)], 
                  "Input", CellLabel -> "In[573]:=", CellTags -> "Explicit"], 
                 Cell[BoxData[FormBox[RowBox[{\(1\/2\), " ", RowBox[
                       {"(", RowBox[{FormBox[\(\((\(-1\))\)\^m\), 
                          "TraditionalForm"], "+", "1"}], ")"}], " ", 
                      SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                         {SubsuperscriptBox["O", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]}], "G2"], 
                          "(", FormBox["p", "TraditionalForm"], ")"}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[573]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Explicit[%]\)], "Input", CellLabel -> "In[574]:=", 
                  CellTags -> "Explicit"], Cell[BoxData[FormBox[RowBox[{
                      \(1\/2\), " ", RowBox[{"(", RowBox[{RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{RowBox[{"(", RowBox[{RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], ")"}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"]}]}], ")"}], " ", 
                      RowBox[{"(", RowBox[{FormBox[\(\((\(-1\))\)\^m\), 
                          "TraditionalForm"], "+", "1"}], ")"}], " ", 
                      FormBox[SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 2\)], "TraditionalForm"], " ", 
                      SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[574]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FieldStrength[\(\[Mu], \[Nu], a\)]\)], "Input", 
                  CellLabel -> "In[575]:=", CellTags -> "Explicit"], 
                 Cell[BoxData[\(TraditionalForm\`F\_\(\[Mu]\[Nu]\)\%a\)], 
                  "Output", CellLabel -> "Out[575]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Explicit[%]\)], "Input", 
                  CellLabel -> "In[576]:=", CellTags -> "Explicit"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                      RowBox[{\(g\_s\), " ", RowBox[{SubsuperscriptBox[
                          FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b1", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c16", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c16", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[576]="]}, Open]]}, Open]], 
           Cell["ExplicitLorentzIndex", "ObjectName", CellTags -> 
             "ExplicitLorentzIndex"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ExplicitLorentzIndex"], Cell["ExplicitLorentzIndex[ind] is \
an explicit Lorentz index, i.e., ind is an integer.", "Text", CellTags -> 
                "ExplicitLorentzIndex"], Cell[TextData[{"See also: ", 
                 ButtonBox["LorentzIndex", 
                   RuleDelayed[ButtonData, "LorentzIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LorentzIndex"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, "."}], "Text", CellTags -> "ExplicitLorentzIndex"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ExplicitLorentzIndex"], Cell[CellGroupData[{Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[1]\), \(LorentzIndex[\[Mu]]\)\)]\)]\
, "Input", CellLabel -> "In[577]:=", CellTags -> "ExplicitLorentzIndex"], 
                 Cell[BoxData[FormBox[SuperscriptBox["g", RowBox[
                      {FormBox["1", "TraditionalForm"], "\[Mu]"}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[577]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[578]:=", CellTags -> 
                   "ExplicitLorentzIndex"], Cell[BoxData[
                   \(Pair[\(\(ExplicitLorentzIndex[1]\), 
                        \(LorentzIndex[\[Mu]]\)\)]\)], "Output", CellLabel -> 
                   "Out[578]//StandardForm="]}, Open]]}, Open]], 
           Cell["ExplicitPartialD", "ObjectName", CellTags -> 
             "ExplicitPartialD"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ExplicitPartialD"], Cell["ExplicitPartialD[exp] inserts in \
exp the definition for LeftRightPartialD[z] (and LeftRightPartialD2[z]).", 
               "Text", CellTags -> "ExplicitPartialD"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], ", ", 
                 ButtonBox["LeftRightPartialD", 
                   RuleDelayed[ButtonData, "LeftRightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftRightPartialD"]], ", ", 
                 ButtonBox["LeftRightPartialD2", 
                   RuleDelayed[ButtonData, "LeftRightPartialD2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftRightPartialD2"]], "."}], "Text", 
               CellTags -> "ExplicitPartialD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ExplicitPartialD"], Cell[CellGroupData[{Cell[BoxData[
                   \(ExplicitPartialD[\ \(LeftRightPartialD[\[Mu]]\)\ ]\)], 
                  "Input", CellLabel -> "In[579]:=", CellTags -> 
                   "ExplicitPartialD"], Cell[BoxData[FormBox[RowBox[{\(1\/2\)
                      , " ", RowBox[{"(", RowBox[{SubscriptBox[
                          \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "-", SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[579]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ExplicitPartialD[\ \(LeftRightPartialD2[\[Mu]]\)\ ]\)], 
                  "Input", CellLabel -> "In[580]:=", CellTags -> 
                   "ExplicitPartialD"], Cell[BoxData[FormBox[RowBox[
                     {SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), FormBox[
                        FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], "+", SubscriptBox[
                       \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[580]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExplicitPartialD[\ \(LeftRightPartialD[OPEDelta]\)\ ]\)]\
, "Input", CellLabel -> "In[581]:=", CellTags -> "ExplicitPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{\(1\/2\), " ", RowBox[
                       {"(", RowBox[{SubscriptBox[
                          \(\[PartialD]\&\[RightArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], "-", 
                          SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[581]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(16\ \(\(LeftRightPartialD[OPEDelta]\)^4\)\)], "Input", 
                  CellLabel -> "In[582]:=", CellTags -> "ExplicitPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{"16", " ", SubsuperscriptBox[
                       \(\[PartialD]\&\[LeftRightArrow]\), FormBox[
                        "\[CapitalDelta]", "TraditionalForm"], "4"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[582]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExplicitPartialD[%]\)], "Input", CellLabel -> 
                   "In[583]:=", CellTags -> "ExplicitPartialD"], 
                 Cell[BoxData[FormBox[SuperscriptBox[RowBox[{"(", RowBox[
                        {SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                         "-", SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]]}], 
                       ")"}], "4"], TraditionalForm]], "Output", CellLabel -> 
                   "Out[583]="]}, Open]]}, Open]], Cell["ExplicitSUNIndex", 
            "ObjectName", CellTags -> "ExplicitSUNIndex"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ExplicitSUNIndex"], Cell[TextData[
                {"ExplicitSUNIndex[ind] is a specific SU(", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], 
                 ") index, i.e., ind is an integer."}], "Text", CellTags -> 
                "ExplicitSUNIndex"], Cell[TextData[{"See also: ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["SUNDelta", RuleDelayed[ButtonData, "SUNDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNDelta"]], ", ", 
                 ButtonBox["SUNF", RuleDelayed[ButtonData, "SUNF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUNF"]]\
, ", ", 
                 ButtonBox["SUNIndex", RuleDelayed[ButtonData, "SUNIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNIndex"]], "."}], "Text", CellTags -> 
                "ExplicitSUNIndex"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> 
                "ExplicitSUNIndex"], Cell[CellGroupData[{Cell[BoxData[
                   \(ExplicitSUNIndex[1]\)], "Input", CellLabel -> 
                   "In[584]:=", CellTags -> "ExplicitSUNIndex"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[584]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(SUNDelta[\(1, a\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[585]:="], Cell[BoxData[
                   \(SUNDelta[\(\(ExplicitSUNIndex[1]\), \(SUNIndex[a]\)\)]\)]\
, "Output", CellLabel -> "Out[585]//StandardForm="]}, Open]]}, Open]], 
           Cell["ExtraFactor", "ObjectName", CellTags -> "ExtraFactor"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ExtraFactor"], Cell["ExtraFactor is an option for \
FermionSpinSum. The setting ExtraFactor \[Rule] fa  multiplies the whole \
amplitude with the factor fa before squaring.", "Text", CellTags -> 
                "ExtraFactor"], Cell[TextData[{"See also: ", 
                 ButtonBox["FermionSpinSum", 
                   RuleDelayed[ButtonData, "FermionSpinSum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FermionSpinSum"]], "."}], "Text", 
               CellTags -> "ExtraFactor"]}, Open]], Cell["ExtraVariables", 
            "ObjectName", CellTags -> "ExtraVariables"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ExtraVariables"], Cell["ExtraVariables is an \
option for OneLoopSum; it may be set to a list of variables which are also \
bracketed out in the result, just like B0, C0, D0 and  PaVe.", "Text", 
               CellTags -> "ExtraVariables"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], "."}], "Text", 
               CellTags -> "ExtraVariables"]}, Open]], Cell["FactorFull", 
            "ObjectName", CellTags -> "FactorFull"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FactorFull"], Cell[TextData[{"FactorFull is an \
option of Factor2 (default False). If set to False, products like (", 
                 StyleBox["a", Rule[FontSlant, "Italic"]], "-", 
                 StyleBox["b", Rule[FontSlant, "Italic"]], ") (", 
                 StyleBox["a", Rule[FontSlant, "Italic"]], "+", 
                 StyleBox["b", Rule[FontSlant, "Italic"]], 
                 ") will be replaced by (", Cell[BoxData[
                   \(TraditionalForm\`\(a\^2\)\)]], "-", Cell[BoxData[
                   \(TraditionalForm\`\(b\^2\)\)]], ")."}], "Text", 
               CellTags -> "FactorFull"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Factor2", RuleDelayed[ButtonData, "Factor2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Factor2"]], "."}], "Text", CellTags -> 
                "FactorFull"]}, Open]], Cell["Factoring", "ObjectName", 
            CellTags -> "Factoring"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Factoring"], 
              Cell["Factoring is an option for Collect2, Contract, Tr and \
more functions. If set to True, the result will be factored, using Factor2. \
If set to any function f, this function will be used.", "Text", CellTags -> 
                "Factoring"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Collect2", RuleDelayed[ButtonData, "Collect2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Collect2"]], ", ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], ", ", 
                 ButtonBox["Tr", RuleDelayed[ButtonData, "Tr"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr"]], 
                 "."}], "Text", CellTags -> "Factoring"]}, Open]], 
           Cell["Factorout", "ObjectName", CellTags -> "Factorout"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Factorout"], Cell[
               "Factorout is an option for OPEInt.", "Text", CellTags -> 
                "Factorout"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OPEInt", RuleDelayed[ButtonData, "OPEInt"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPEInt"]], "."}], "Text", CellTags -> 
                "Factorout"]}, Open]], Cell["FactorTime", "ObjectName", 
            CellTags -> "FactorTime"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "FactorTime"], 
              Cell["FactorTime is an option for Factor2. It denotes the \
maximum time (in seconds) during which Factor2 tries to factor.", "Text", 
               CellTags -> "FactorTime"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Factor2", RuleDelayed[ButtonData, "Factor2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Factor2"]], "."}], "Text", CellTags -> 
                "FactorTime"]}, Open]], Cell["Factor1", "ObjectName", 
            CellTags -> "Factor1"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Factor1"], 
              Cell["Factor1[poly] factorizes common terms  in the summands of \
poly. It uses basically PolynomialGCD.", "Text", CellTags -> "Factor1"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Factor2", RuleDelayed[ButtonData, "Factor2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Factor2"]], "."}], "Text", CellTags -> 
                "Factor1"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Factor1"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(\((a - x)\) \((b - x)\)\)\)], "Input", 
                  CellLabel -> "In[586]:=", CellTags -> "Factor1"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\((a - x)\)\ \((b - x)\)\)\)], 
                  "Output", CellLabel -> "Out[586]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \({\(Factor1[t1]\),\ \(Factor[t1]\)}\)\)], "Input", 
                  CellLabel -> "In[587]:=", CellTags -> "Factor1"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(\((a - x)\)\ \((b - x)\)\), 
                         \(\(-\((a - x)\)\)\ \((x - b)\)\)}\)\)], "Output", 
                  CellLabel -> "Out[587]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t3 = \(Expand[\(\((a - b)\) \((a + b)\)\)]\)\)
                   ], "Input", CellLabel -> "In[588]:=", CellTags -> 
                   "Factor1"], Cell[BoxData[
                   \(TraditionalForm\`\(a\^2 - b\^2\)\)], "Output", 
                  CellLabel -> "Out[588]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Factor[t3]\)], "Input", CellLabel -> 
                   "In[589]:=", CellTags -> "Factor1"], Cell[BoxData[
                   \(TraditionalForm\`\(\((a - b)\)\ \((a + b)\)\)\)], 
                  "Output", CellLabel -> "Out[589]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Factor1[t3]\)], "Input", 
                  CellLabel -> "In[590]:=", CellTags -> "Factor1"], 
                 Cell[BoxData[\(TraditionalForm\`\(a\^2 - b\^2\)\)], 
                  "Output", CellLabel -> "Out[590]="]}, Open]], Cell[BoxData[
                \(Clear[\(t1, t2, t3\)]\)], "Input", CellLabel -> 
                "In[591]:=", CellTags -> "Factor1"]}, Open]], 
           Cell["Factor2", "ObjectName", CellTags -> "Factor2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Factor2"], Cell["Factor2[poly] factors a \
polynomial in a standard way. Factor2 works sometimes better than Factor on \
polynomials involving rationals with sums in the denominator. Factor2 uses \
Factor internally and is in general slower than Factor. There are four \
possible settings of the option Method (0,1,2,3). In general Factor will work \
faster than Factor2.", "Text", CellTags -> "Factor2"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[Factor2]\)], "Input", CellLabel -> 
                   "In[592]:=", CellTags -> "Factor2"], Cell[BoxData[
                   \(TraditionalForm\`\({\(FactorFull \[Rule] False\), 
                         \(Method \[Rule] 3\)}\)\)], "Output", CellLabel -> 
                   "Out[592]="]}, Open]], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Collect2", RuleDelayed[ButtonData, "Collect2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Collect2"]], "."}], "Text", CellTags -> 
                "Factor2"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Factor2"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(\((a - x)\) \((b - x)\)\)\)], "Input", 
                  CellLabel -> "In[593]:=", CellTags -> "Factor2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\((a - x)\)\ \((b - x)\)\)\)], 
                  "Output", CellLabel -> "Out[593]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \({\(Factor2[t1]\),\ \(Factor[t1]\)}\)\)], "Input", 
                  CellLabel -> "In[594]:=", CellTags -> "Factor2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(\((a - x)\)\ \((b - x)\)\), 
                         \(\(-\((a - x)\)\)\ \((x - b)\)\)}\)\)], "Output", 
                  CellLabel -> "Out[594]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t3 = \(Expand[\(\((a - b)\) \((a + b)\)\)]\)\)
                   ], "Input", CellLabel -> "In[595]:=", CellTags -> 
                   "Factor2"], Cell[BoxData[
                   \(TraditionalForm\`\(a\^2 - b\^2\)\)], "Output", 
                  CellLabel -> "Out[595]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Factor[t3]\)], "Input", CellLabel -> 
                   "In[596]:=", CellTags -> "Factor2"], Cell[BoxData[
                   \(TraditionalForm\`\(\((a - b)\)\ \((a + b)\)\)\)], 
                  "Output", CellLabel -> "Out[596]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Factor2[t3]\)], "Input", 
                  CellLabel -> "In[597]:=", CellTags -> "Factor2"], 
                 Cell[BoxData[\(TraditionalForm\`\(a\^2 - b\^2\)\)], 
                  "Output", CellLabel -> "Out[597]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Factor2[\(t3, \(FactorFull \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[598]:=", CellTags -> "Factor2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\((a - b)\)\ \((a + b)\)\)\)], 
                  "Output", CellLabel -> "Out[598]="]}, Open]], Cell[BoxData[
                \(Clear[\(t1, t2, t3\)]\)], "Input", CellLabel -> 
                "In[599]:=", CellTags -> "Factor2"]}, Open]], 
           Cell["FAD", "ObjectName", CellTags -> "FAD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FAD"], Cell["FAD is the FeynCalc external form of \
FeynAmpDenominator and denotes an inverse propagator. FAD[q, q-p, ...] is \
1/(q^2 (q-p)^2 ...). FAD[{q1,m}, {q1-p,m}, q2, ...] is 1/( (q1^2 - m^2) ( \
(q1-p)^2 - m^2 ) q2^2 ... ). Translation into FeynCalc internal form is \
performed by FeynCalcInternal.", "Text", CellTags -> "FAD"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FAD", RuleDelayed[ButtonData, "FAD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FAD"]], 
                 ", ", 
                 ButtonBox["FCE", RuleDelayed[ButtonData, "FCE"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCE"]], 
                 ", ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["FeynAmpDenominator", 
                   RuleDelayed[ButtonData, "FeynAmpDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominator"]], ", ", 
                 ButtonBox["FeynAmpDenominatorSimplify", 
                   RuleDelayed[ButtonData, "FeynAmpDenominatorSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominatorSimplify"]], ", ", 
                 ButtonBox["PropagatorDenominator", 
                   RuleDelayed[ButtonData, "PropagatorDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PropagatorDenominator"]], "."}], "Text", 
               CellTags -> "FAD"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "FAD"], 
              Cell[CellGroupData[{Cell[BoxData[\(FAD[\(q, \(p - q\)\)]\)], 
                  "Input", CellLabel -> "In[600]:=", CellTags -> "FAD"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(\((\*InterpretationBox[\(
                               "["\[InvisibleSpace] \((p - q)\)\^2 
                                \[InvisibleSpace]"]"\), 
                              SequenceForm["[", 
                               Power[Plus[p, Times[-1, q]], 2], "]"], 
                              Rule[Editable, False]])\)\ 
                          \((\*InterpretationBox[\(
                               "["\[InvisibleSpace] q\^2 \[InvisibleSpac\
e]"]"\), SequenceForm["[", Power[q, 2], "]"], 
                              Rule[Editable, False]])\)\)\)\)], "Output", 
                  CellLabel -> "Out[600]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FAD[\(p, \({\(p - q\), m}\)\)]\)], "Input", 
                  CellLabel -> "In[601]:=", CellTags -> "FAD"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(\((\*InterpretationBox[\(
                               "["\[InvisibleSpace] p\^2 \[InvisibleSpac\
e]"]"\), SequenceForm["[", Power[p, 2], "]"], 
                              Rule[Editable, False]])\)\ 
                          \((\*InterpretationBox[\(
                               "["\[InvisibleSpace] \((p - q)\)\^2 
                                \[InvisibleSpace]"-"\[InvisibleSpace] m\^2 
                                \[InvisibleSpace]"]"\), 
                              SequenceForm["[", 
                               Power[Plus[p, Times[-1, q]], 2], "-", 
                               Power[m, 2], "]"], Rule[Editable, False]])\)\)
                   \)\)], "Output", CellLabel -> "Out[601]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(FAD[\(q, \(p - q\)\)]\)//FCI\)//FCE\)//
                      StandardForm\)], "Input", CellLabel -> "In[602]:=", 
                  CellTags -> "FAD"], Cell[BoxData[\(FAD[\(q, \(p - q\)\)]\)]
                   , "Output", CellLabel -> "Out[602]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(FAD[\(q, \(p - q\)\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[603]:=", CellTags -> "FAD"], 
                 Cell[BoxData[
                   \(FeynAmpDenominator[\(\(
                         PropagatorDenominator[\(\(Momentum[\(q, D\)]\), 0\)]
                         \), \(PropagatorDenominator[
                          \(\(\(Momentum[\(p, D\)]\) - \(Momentum[\(q, D\)]\)
                             \), 0\)]\)\)]\)], "Output", CellLabel -> 
                   "Out[603]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(\(FAD[p]\)\ \(FAD[\(p - q\)]\)\)\ //\ 
                        FeynAmpDenominatorCombine\)//StandardForm\)], 
                  "Input", CellLabel -> "In[604]:=", CellTags -> "FAD"], 
                 Cell[BoxData[
                   \(FeynAmpDenominator[\(\(
                         PropagatorDenominator[\(\(Momentum[\(p, D\)]\), 0\)]
                         \), \(PropagatorDenominator[
                          \(\(\(Momentum[\(p, D\)]\) - \(Momentum[\(q, D\)]\)
                             \), 0\)]\)\)]\)], "Output", CellLabel -> 
                   "Out[604]//StandardForm="]}, Open]]}, Open]], 
           Cell["FC", "ObjectName", CellTags -> "FC"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FC"], Cell["FC changes the output format to \
FeynCalcForm. To change to InputForm use FI.", "Text", CellTags -> "FC"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalcForm", 
                   RuleDelayed[ButtonData, "FeynCalcForm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcForm"]], ", ", 
                 ButtonBox["FI", RuleDelayed[ButtonData, "FI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FI"]], 
                 ", ", 
                 ButtonBox["FeynCalcExternal", 
                   RuleDelayed[ButtonData, "FeynCalcExternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcExternal"]], ", ", 
                 ButtonBox["FeynCalcInternal", 
                   RuleDelayed[ButtonData, "FeynCalcInternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcInternal"]], "."}], "Text", 
               CellTags -> "FC"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "FC"], 
              Cell[BoxData["FI"], "Input", CellLabel -> "In[605]:=", 
               CellTags -> "FC"], Cell[CellGroupData[{Cell[BoxData[
                   \({\(DiracGamma[5]\), \(DiracGamma[\(Momentum[p]\)]\)}\)], 
                  "Input", CellLabel -> "In[606]:=", CellTags -> "FC"], 
                 Cell["{DiracGamma[5], DiracGamma[Momentum[p]]}", "Output", 
                  CellLabel -> "Out[606]="]}, Open]], Cell[BoxData["FC"], 
               "Input", CellLabel -> "In[607]:=", CellTags -> "FC"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \({\(DiracGamma[5]\), \(DiracGamma[\(Momentum[p]\)]\)}\)], 
                  "Input", CellLabel -> "In[608]:=", CellTags -> "FC"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{\(\[Gamma]\^5\), 
                        ",", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "}"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[608]="]}, Open]]}, Open]], 
           Cell["FCE", "ObjectName", CellTags -> "FCE"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FCE"], Cell["FCE[exp] translates exp from the \
internal FeynCalc representation to a short form.", "Text", CellTags -> 
                "FCE"], Cell["FCE is equivalent to FeynCalcExternal.", 
               "Text", CellTags -> "FCE"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalcExternal", 
                   RuleDelayed[ButtonData, "FeynCalcExternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcExternal"]], ", ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["FeynCalcInternal", 
                   RuleDelayed[ButtonData, "FeynCalcInternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcInternal"]], "."}], "Text", 
               CellTags -> "FCE"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "FCE"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FCE[\({\(DiracGamma[5]\), 
                         \(DiracGamma[\(Momentum[p]\)]\)}\)]\)], "Input", 
                  CellLabel -> "In[609]:=", CellTags -> "FCE"], Cell[BoxData[
                   \(TraditionalForm\`\({\[Gamma]\^5, 
                         \(\[Gamma] \[CenterDot] p\)}\)\)], "Output", 
                  CellLabel -> "Out[609]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[610]:=", CellTags -> "FCE"], Cell[BoxData[
                   \({\(GA[5]\), \(GS[p]\)}\)], "Output", CellLabel -> 
                   "Out[610]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Input", CellLabel -> 
                   "In[611]:=", CellTags -> "FCE"], Cell[BoxData[FormBox[
                    RowBox[{"{", RowBox[{\(\[Gamma]\^\[Mu]\), ",", 
                        \(\[Gamma]\^\[Rho]\), ",", \(\[Gamma] \[CenterDot] p\)
                        , ",", FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], ",", 
                        \(g\^\(\[Alpha]\[Beta]\)\), ",", \(p\^\[Mu]\)}], 
                      "}"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[611]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//StandardForm\)], "Input", CellLabel -> "In[612]:=", 
                  CellTags -> "FCE"], Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Output", CellLabel -> 
                   "Out[612]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//FCI\)], "Input", CellLabel -> "In[613]:=", 
                  CellTags -> "FCE"], Cell[BoxData[FormBox[RowBox[{"{", 
                      RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        ",", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Rho]", "TraditionalForm"], "TraditionalForm"]], 
                        ",", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ",", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ",", 
                        \(g\^\(\[Alpha]\[Beta]\)\), ",", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]]}], 
                      "}"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[613]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//StandardForm\)], "Input", CellLabel -> "In[614]:=", 
                  CellTags -> "FCE"], Cell[BoxData[
                   \({\(DiracGamma[\(LorentzIndex[\[Mu]]\)]\), 
                       \(DiracGamma[\(\(LorentzIndex[\(\[Rho], D\)]\), D\)]\)
                       , \(DiracGamma[\(Momentum[p]\)]\), 
                       \(Pair[\(\(Momentum[p]\), \(Momentum[q]\)\)]\), 
                       \(Pair[\(\(LorentzIndex[\[Alpha]]\), 
                           \(LorentzIndex[\[Beta]]\)\)]\), 
                       \(Pair[\(\(LorentzIndex[\[Mu]]\), \(Momentum[p]\)\)]\)\
}\)], "Output", CellLabel -> "Out[614]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(\(FCE[%]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[615]:=", CellTags -> "FCE"], 
                 Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Output", CellLabel -> 
                   "Out[615]//StandardForm="]}, Open]]}, Open]], 
           Cell["FCI", "ObjectName", CellTags -> "FCI"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FCI"], Cell["FCI[exp] translates exp into the \
internal FeynCalc (datatype-)representation.FCI is equivalent to \
FeynCalcInternal.", "Text", CellTags -> "FCI"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["FeynCalcExternal", 
                   RuleDelayed[ButtonData, "FeynCalcExternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcExternal"]], ", ", 
                 ButtonBox["FeynCalcInternal", 
                   RuleDelayed[ButtonData, "FeynCalcInternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcInternal"]], ", ", 
                 ButtonBox["FCE", RuleDelayed[ButtonData, "FCE"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCE"]], 
                 "."}], "Text", CellTags -> "FCI"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FCI"], Cell[CellGroupData[{Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Input", CellLabel -> 
                   "In[616]:=", CellTags -> "FCI"], Cell[BoxData[FormBox[
                    RowBox[{"{", RowBox[{\(\[Gamma]\^\[Mu]\), ",", 
                        \(\[Gamma]\^\[Rho]\), ",", \(\[Gamma] \[CenterDot] p\)
                        , ",", FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], ",", 
                        \(g\^\(\[Alpha]\[Beta]\)\), ",", \(p\^\[Mu]\)}], 
                      "}"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[616]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//StandardForm\)], "Input", CellLabel -> "In[617]:=", 
                  CellTags -> "FCI"], Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Output", CellLabel -> 
                   "Out[617]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//FCI\)], "Input", CellLabel -> "In[618]:=", 
                  CellTags -> "FCI"], Cell[BoxData[FormBox[RowBox[{"{", 
                      RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        ",", SuperscriptBox["\[Gamma]", FormBox[FormBox[
                          "\[Rho]", "TraditionalForm"], "TraditionalForm"]], 
                        ",", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ",", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ",", 
                        \(g\^\(\[Alpha]\[Beta]\)\), ",", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]]}], 
                      "}"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[618]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//StandardForm\)], "Input", CellLabel -> "In[619]:=", 
                  CellTags -> "FCI"], Cell[BoxData[
                   \({\(DiracGamma[\(LorentzIndex[\[Mu]]\)]\), 
                       \(DiracGamma[\(\(LorentzIndex[\(\[Rho], D\)]\), D\)]\)
                       , \(DiracGamma[\(Momentum[p]\)]\), 
                       \(Pair[\(\(Momentum[p]\), \(Momentum[q]\)\)]\), 
                       \(Pair[\(\(LorentzIndex[\[Alpha]]\), 
                           \(LorentzIndex[\[Beta]]\)\)]\), 
                       \(Pair[\(\(LorentzIndex[\[Mu]]\), \(Momentum[p]\)\)]\)\
}\)], "Output", CellLabel -> "Out[619]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(\(FCE[%]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[620]:=", CellTags -> "FCI"], 
                 Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Output", CellLabel -> 
                   "Out[620]//StandardForm="]}, Open]]}, Open]], 
           Cell["FCIntegral", "ObjectName", CellTags -> "FCIntegral"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FCIntegral"], Cell["FCIntegral is the head of \
integrals in a setting of the option IntegralTable of \
FeynAmpDenominatorSimplify. Currently implemented only for 2-loop integrals."\
, "Text", CellTags -> "FCIntegral"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["IntegralTable", 
                   RuleDelayed[ButtonData, "IntegralTable"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "IntegralTable"]], ", ", 
                 ButtonBox["FeynAmpDenominatorSimplify", 
                   RuleDelayed[ButtonData, "FeynAmpDenominatorSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominatorSimplify"]], "."}], 
               "Text", CellTags -> "FCIntegral"]}, Open]], 
           Cell["FCIntegrate", "ObjectName", CellTags -> "FCIntegrate"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FCIntegrate"], Cell["FCIntegrate is an option of \
certain Feynman integral related functions. It determines which integration \
function is used to evaluate analytic integrals. Possible settings include \
Integrate, NIntegrate, (Dot[Integratedx@@#2, #1] &).", "Text", CellTags -> 
                "FCIntegrate"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FCNIntegrate", 
                   RuleDelayed[ButtonData, "FCNIntegrate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FCNIntegrate"]], "."}], "Text", 
               CellTags -> "FCIntegrate"]}, Open]], Cell["FCNIntegrate", 
            "ObjectName", CellTags -> "FCNIntegrate"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FCNIntegrate"], Cell["FCNIntegrate is an option \
of certain Feynman integral related functions which may return output \
containing both integrals that can be evaluated and integrals that can only \
be evaluated numerically. It then determines which integration function is \
used to evaluate numeric integrals. Possible settings include NIntegrate, \
(0*#1)&, (Dot[Integratedx@@#2, #1] &).", "Text", CellTags -> "FCNIntegrate"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FCIntegrate", 
                   RuleDelayed[ButtonData, "FCIntegrate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FCIntegrate"]], "."}], "Text", 
               CellTags -> "FCNIntegrate"]}, Open]], Cell["FC2RHI ", 
            "ObjectName", CellTags -> "FC2RHI"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "FC2RHI"], 
              Cell["FC2RHI[exp, k1, k2] transforms all 2-loop OPE-integrals \
in FeynAmpDenominator form to the RHI-integrals.  FC2RHI[exp] is equivalent \
to FC2RHI[exp,q1,q2]. The option IncludePair governs the inclusion  of scalar \
products p.k1, p.k2 and k1.k2 (setting True).", "Text", CellTags -> 
                "FC2RHI"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[FC2RHI]\)], "Input", CellLabel -> "In[621]:=", 
                  CellTags -> "FC2RHI"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(IncludePair \[Rule] True\), \(Do \[Rule] True\)}\)
                   \)], "Output", CellLabel -> "Out[621]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(\(\(FAD[\(q1, \(q1 - q2\), \(q2 - p\)\)]\)\ 
                          \(\(SP[\(q1, OPEDelta\)]\)^OPEm\)\)//FCI\)\)], 
                  "Input", CellLabel -> "In[622]:="], Cell[BoxData[
                   FormBox[FractionBox[SuperscriptBox[RowBox[{"(", RowBox[
                         {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", "TraditionalForm"]}], 
                        ")"}], "m"], 
                     \(q1\^2 . \((q1 - q2)\)\^2 . \((q2 - p)\)\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[622]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FC2RHI[\(t, q1, q2\)]\)], "Input", CellLabel -> 
                   "In[623]:="], Cell[BoxData[FormBox[SubsuperscriptBox[
                     StyleBox["T", Rule[FontFamily, "Times"], 
                       Rule[FontWeight, "Bold"]], 
                     StyleBox[\(10011\), Rule[FontColor, 
                        RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                        "TraditionalForm"], FormBox["0", "TraditionalForm"], 
                       FormBox["0", "TraditionalForm"], FormBox["0", 
                        "TraditionalForm"], FormBox["0", 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[623]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//InputForm\)], "Input", CellLabel -> 
                   "In[624]:="], Cell[
                  "RHI[{0, 0, OPEm, 0, 0}, {0, 1, 1, 0, 1}]", "Output", 
                  CellLabel -> "Out[624]//InputForm="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "FC2RHI"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FC2RHI"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[625]:=", CellTags -> "FC2RHI"]}, Open]], 
           Cell["FC2TLI ", "ObjectName", CellTags -> "FC2TLI"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FC2TLI"], Cell["FC2TLI[exp, k1, k2] transforms \
all 2-loop OPE-integrals in FeynAmpDenominator form to the TLI-integrals.  \
The option IncludePair governs the inclusion  of scalar products p.k1, p.k2 \
and k1.k2 (setting True).", "Text", CellTags -> "FC2TLI"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[FC2TLI]\)], "Input", CellLabel -> 
                   "In[626]:=", CellTags -> "FC2TLI"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(IncludePair \[Rule] True\), \(Do \[Rule] True\)}\)
                   \)], "Output", CellLabel -> "Out[626]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(? FAD\)], "Input", 
                  CellLabel -> "In[627]:="], Cell[BoxData["\"FAD[q, q-p, ...] \
denotes 1/(q^2 (q-p)^2 ...). FAD[{q1,m}, {q1-p,m}, q2, ...] is 1/( (q1^2 - \
m^2) ( (q1-p)^2 - m^2 ) q2^2 ... ). (Translation into FeynCalc internal form \
is performed by FeynCalcInternal.)\""], "Print", CellTags -> 
                   "Info3288620378-9315843"]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t = \(\(FAD[\(\({q1, m1}\), \(q2 - q1\), \(q2 - p\)\)]\)
                        \ \(\(SP[\(q1, OPEDelta\)]\)^OPEm\)\)\)], "Input", 
                  CellLabel -> "In[628]:="], Cell[BoxData[FormBox[RowBox[
                     {FormBox[
                       \(1\/\(\((\*InterpretationBox[\(
                                 "["\[InvisibleSpace] \((q2 - p)\)\^2 
                                  \[InvisibleSpace]"]"\), 
                                SequenceForm["[", 
                                 Power[Plus[Times[-1, p], q2], 2], "]"], 
                                Rule[Editable, False]])\)\ 
                            \((\*InterpretationBox[\(
                                 "["\[InvisibleSpace] \((q2 - q1)\)\^2 
                                  \[InvisibleSpace]"]"\), 
                                SequenceForm["[", 
                                 Power[Plus[Times[-1, q1], q2], 2], "]"], 
                                Rule[Editable, False]])\)\ 
                            \((\*InterpretationBox[\(
                                 "["\[InvisibleSpace] q1\^2 
                                  \[InvisibleSpace]"-"\[InvisibleSpace] 
                                  m1\^2 \[InvisibleSpace]"]"\), 
                                SequenceForm["[", Power[q1, 2], "-", 
                                 Power[m1, 2], "]"], Rule[Editable, False]])\
\)\)\), "TraditionalForm"], " ", SuperscriptBox[RowBox[{"(", FormBox[RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", "TraditionalForm"]}], 
                          "TraditionalForm"], ")"}], "m"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[628]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FC2TLI[\(t, q1, q2\)]\)], "Input", CellLabel -> 
                   "In[629]:="], Cell[BoxData[FormBox[SubsuperscriptBox[
                     StyleBox["T", Rule[FontFamily, "Times"], 
                       Rule[FontWeight, "Bold"]], 
                     \(\*StyleBox["1", Rule[FontWeight, "Bold"], 
                          Rule[FontColor, RGBColor[1.`, 0.`, 0.`]]]\*
                         StyleBox["0", Rule[FontColor, 
                           RGBColor[0.`, 0.`, 1.`]]]\*
                         StyleBox["0", Rule[FontColor, 
                           RGBColor[0.`, 0.`, 1.`]]]\*
                         StyleBox["1", Rule[FontColor, 
                           RGBColor[0.`, 0.`, 1.`]]]\*
                         StyleBox["1", Rule[FontColor, 
                           RGBColor[0.`, 0.`, 1.`]]]\), RowBox[{FormBox["m", 
                        "TraditionalForm"], FormBox["0", "TraditionalForm"], 
                       FormBox["0", "TraditionalForm"], FormBox["0", 
                        "TraditionalForm"], FormBox["0", 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[629]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//InputForm\)], "Input", CellLabel -> 
                   "In[630]:="], Cell[
                  "TLI[{OPEm, 0, 0, 0, 0}, {{1, m1}, 0, 0, 1, 1}]", "Output", 
                  CellLabel -> "Out[630]//InputForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(TLI2FC[%]\)], "Input", 
                  CellLabel -> "In[631]:="], Cell[BoxData[FormBox[FractionBox[
                     SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", "TraditionalForm"]}], 
                        ")"}], "m"], 
                     \(\((q2 - p)\)\^2 . \((q1\^2 - m1\^2)\) . 
                        \((q1 - q2)\)\^2\)], TraditionalForm]], "Output", 
                  CellLabel -> "Out[631]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["TLI", RuleDelayed[ButtonData, "TLI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TLI"]], 
                 "."}], "Text", CellTags -> "FC2TLI"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FC2TLI"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[632]:=", CellTags -> "FC2TLI"]}, Open]], 
           Cell["FDS", "ObjectName", CellTags -> "FDS"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FDS"], Cell[
               "FDS is shorthand for FeynAmpDenominatorSimplify.", "Text", 
               CellTags -> "FDS"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynAmpDenominatorSimplify", 
                   RuleDelayed[ButtonData, "FeynAmpDenominatorSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominatorSimplify"]], "."}], 
               "Text", CellTags -> "FDS"]}, Open]], Cell["FermionSpinSum", 
            "ObjectName", CellTags -> "FermionSpinSum"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FermionSpinSum"], Cell["FermionSpinSum[x] \
constructs the Traces out of squared ampliudes.", "Text", CellTags -> 
                "FermionSpinSum"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[FermionSpinSum]\)], "Input", CellLabel -> 
                   "In[633]:=", CellTags -> "FermionSpinSum"], Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          SpinPolarizationSum \[Rule] Identity\), 
                         \(SpinorCollect \[Rule] False\), 
                         \(ExtraFactor \[Rule] 1\)}\)\)], "Output", 
                  CellLabel -> "Out[633]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Spinor", RuleDelayed[ButtonData, "Spinor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Spinor"]], ", ", 
                 ButtonBox["ComplexConjugate", 
                   RuleDelayed[ButtonData, "ComplexConjugate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ComplexConjugate"]], ", ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], ", ", 
                 ButtonBox["Tr", RuleDelayed[ButtonData, "Tr"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr"]], 
                 "."}], "Text", CellTags -> "FermionSpinSum"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FermionSpinSum"], Cell[TextData[
                {"Spinors of fermions of mass ", 
                 StyleBox["m", Rule[FontSlant, "Italic"]], 
                 " are normalized to have square 2 ", 
                 StyleBox["m", Rule[FontSlant, "Italic"]], " or -2 ", 
                 StyleBox["m", Rule[FontSlant, "Italic"]], "."}], "Text", 
               CellTags -> "FermionSpinSum"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(SpinorUBar[\(\(Momentum[p]\), m\)]\) . 
                      \(SpinorU[\(\(Momentum[p]\), m\)]\)\)], "Input", 
                  CellLabel -> "In[634]:=", CellTags -> "FermionSpinSum"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{FormBox[\("u"\&_\), 
                         "TraditionalForm"], "(", FormBox["p", 
                         "TraditionalForm"], ",", "m", ")"}], ".", RowBox[
                       {"u", "(", FormBox["p", "TraditionalForm"], ",", "m", 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[634]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(%//FCI\)//FermionSpinSum\)], "Input", CellLabel -> 
                   "In[635]:=", CellTags -> "FermionSpinSum"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[RowBox[
                        {"m", "+", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[635]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%/.\(DiracTrace \[Rule] TR\)\)], "Input", CellLabel -> 
                   "In[636]:=", CellTags -> "FermionSpinSum"], Cell[BoxData[
                   \(TraditionalForm\`\(4\ m\)\)], "Output", CellLabel -> 
                   "Out[636]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SpinorVBar[\(\(Momentum[p]\), m\)]\) . 
                      \(SpinorV[\(\(Momentum[p]\), m\)]\)\)], "Input", 
                  CellLabel -> "In[637]:=", CellTags -> "FermionSpinSum"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{FormBox[\("v"\&_\), 
                         "TraditionalForm"], "(", FormBox["p", 
                         "TraditionalForm"], ",", "m", ")"}], ".", RowBox[
                       {"v", "(", FormBox["p", "TraditionalForm"], ",", "m", 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[637]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(%//FCI\)//FermionSpinSum\)], "Input", CellLabel -> 
                   "In[638]:=", CellTags -> "FermionSpinSum"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[RowBox[
                        {RowBox[{FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                         "-", "m"}], "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[638]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%/.\(DiracTrace \[Rule] TR\)\)], "Input", CellLabel -> 
                   "In[639]:=", CellTags -> "FermionSpinSum"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-4\)\ m\)\)], "Output", 
                  CellLabel -> "Out[639]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t = \(\(Spinor[\(k1, m\)]\) . \(DiracSlash[p]\) . 
                        \(GA[5]\) . \(Spinor[\(p1, m\)]\)\)\)], "Input", 
                  CellLabel -> "In[640]:=", CellTags -> "FermionSpinSum"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"\[CurlyPhi]", "(", 
                        FormBox["k1", "TraditionalForm"], ",", "m", ")"}], 
                      ".", RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], ".", \(\[Gamma]\^5\), 
                      ".", RowBox[{"\[CurlyPhi]", "(", FormBox["p1", 
                         "TraditionalForm"], ",", "m", ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[640]="]}, 
                Open]], Cell["Notice that SpinorUBar and SpinorU are only \
input functions. Internally they are converted to Spinor objects.", "Text", 
               CellTags -> "FermionSpinSum"], Cell[CellGroupData[
                {Cell[BoxData[\(ct = \(ComplexConjugate[t]\)\)], "Input", 
                  CellLabel -> "In[641]:=", CellTags -> "FermionSpinSum"], 
                 Cell[BoxData[FormBox[RowBox[{"-", RowBox[{RowBox[
                         {"\[CurlyPhi]", "(", FormBox["p1", 
                          "TraditionalForm"], ",", "m", ")"}], ".", 
                        \(\[Gamma]\^5\), ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["p", "TraditionalForm"]}], ")"}], ".", 
                        RowBox[{"\[CurlyPhi]", "(", FormBox["k1", 
                          "TraditionalForm"], ",", "m", ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[641]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FermionSpinSum[\(t\ ct\)]\)], "Input", CellLabel -> 
                   "In[642]:=", CellTags -> "FermionSpinSum"], 
                 Cell[BoxData[FormBox[RowBox[{"-", RowBox[{"tr", "(", 
                        FormBox[RowBox[{RowBox[{"(", RowBox[{"m", "+", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["k1", 
                          "TraditionalForm"]}]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], ".", \(\[Gamma]\^5\), ".", RowBox[{"(", 
                          RowBox[{"m", "+", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], ")"}], ".", \(\[Gamma]\^5\)
                          , ".", RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], "TraditionalForm"], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[642]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%\ /.\(DiracTrace \[Rule] TR\)\)], "Input", CellLabel -> 
                   "In[643]:=", CellTags -> "FermionSpinSum"], 
                 Cell[BoxData[FormBox[RowBox[{\(-4\), " ", RowBox[{"(", 
                        RowBox[{RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], " ", \(m\^2\)}], "+", 
                          RowBox[{RowBox[{FormBox["k1", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p1", "TraditionalForm"]}], 
                          " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}], "-", RowBox[{"2", " ", 
                          RowBox[{FormBox["k1", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[643]="]}, 
                Open]], Cell[BoxData[\(Clear[\(t,\ ct\)]\)], "Input", 
               CellLabel -> "In[644]:=", CellTags -> "FermionSpinSum"]}, 
             Open]], Cell["FeynAmp", "ObjectName", CellTags -> "FeynAmp"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FeynAmp"], Cell["FeynAmp[q, amp] is the head of a \
Feynman amplitude. amp denotes the analytical expression for the amplitude \
and q is the integration variable. FeynAmp[q1, q2, amp] denotes a two-loop \
amplitude.", "Text", CellTags -> "FeynAmp"], Cell["FeynAmp has no functional \
properties and serves just as a head. There are however special typesetting \
rules attached.", "Text", CellTags -> "FeynAmp"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Amplitude", RuleDelayed[ButtonData, 
                    "Amplitude"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Amplitude"]], "."}], "Text", CellTags -> 
                "FeynAmp"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "FeynAmp"], 
              Cell["This is a 1-loop gluon self-energy amplitude (ignoring \
factors of (2 \[Pi])).", "Text", CellTags -> "FeynAmp"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FeynAmp[\(q, \(\(GV[\(
                             p, \[Mu], a,\ \(q - p\), \[Alpha], c,\ \(-q\), 
                              \[Beta], e\)]\)\ 
                          \(GP[\(\(p - q\),\ \[Alpha], c,\ \[Rho], d\)]\) 
                          \(GV[\(\(-p\), \[Nu], b,\ \(p - q\), \[Rho], d,\ q,
                               \[Sigma], f\)]\)\ 
                          \(GP[\(q,\ \[Beta], e,\ \[Sigma], f\)]\)\)\)]\)], 
                  "Input", CellLabel -> "In[645]:=", CellTags -> "FeynAmp"], 
                 Cell[BoxData[FormBox[RowBox[{"\[Integral]", 
                      StyleBox[\(\[DifferentialD]\^D q\), 
                        Rule[ZeroWidthTimes, True]], "(", FormBox[RowBox[
                        {RowBox[{\(\[CapitalPi]\_\(cd\)\%\(\[Alpha]\[Rho]\)\)
                          , "(", FormBox[\(p - q\), "TraditionalForm"], 
                          ")"}], " ", 
                         \(\[CapitalPi]\_\(ef\)\%\(\[Beta]\[Sigma]\)(q)\), 
                         " ", RowBox[{SuperscriptBox["V", RowBox[{FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}]], "(", RowBox[{FormBox[\(-p\), 
                          "TraditionalForm"], \(,\ \), FormBox[\(p - q\), 
                          "TraditionalForm"], \(,\ \), FormBox["q", 
                          "TraditionalForm"]}], ")"}], " ", RowBox[
                          {SuperscriptBox["V", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]}]], "(", 
                          RowBox[{FormBox["p", "TraditionalForm"], \(,\ \), 
                          FormBox[\(q - p\), "TraditionalForm"], \(,\ \), 
                          FormBox[\(-q\), "TraditionalForm"]}], ")"}], " ", 
                         SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                         SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["f", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[645]="]}, Open]], 
              Cell["This is a generic 2-loop amplitude.", "Text", CellTags -> 
                "FeynAmp"], Cell[CellGroupData[{Cell[BoxData[
                   \(FeynAmp[\(q\_1, q\_2, anyexpression\)]\)], "Input", 
                  CellLabel -> "In[646]:=", CellTags -> "FeynAmp"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Integral] 
                        \(\*StyleBox[\(\[DifferentialD]\^D q\_1\), 
                            Rule[ZeroWidthTimes, True]] \[Integral] 
                          \(\[DifferentialD]\^D q\_2\)\) (anyexpression)\)\)]\
, "Output", CellLabel -> "Out[646]="]}, Open]]}, Open]], 
           Cell["FeynAmpDenominator", "ObjectName", CellTags -> 
             "FeynAmpDenominator"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FeynAmpDenominator"], Cell["FeynAmpDenominator[ \
PropagatorDenominator[ ... ], PropagatorDenominator[ ... ], ...] is the head \
of the denominators of the propagators, i.e., FeynAmpDenominator[x] is the \
representation of 1/x .", "Text", CellTags -> "FeynAmpDenominator"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FAD", RuleDelayed[ButtonData, "FAD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FAD"]], 
                 ", ", 
                 ButtonBox["FeynAmpDenominatorSimplify", 
                   RuleDelayed[ButtonData, "FeynAmpDenominatorSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominatorSimplify"]], "."}], 
               "Text", CellTags -> "FeynAmpDenominator"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynAmpDenominator"], Cell[CellGroupData[{Cell[BoxData[
                   \(FeynAmpDenominator[\(PropagatorDenominator[\(p, m\)]\)]
                     \)], "Input", CellLabel -> "In[647]:=", CellTags -> 
                   "FeynAmpDenominator"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/\(p\^2 - m\^2\)\)\)], "Output", 
                  CellLabel -> "Out[647]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FeynAmpDenominator[\(\(PropagatorDenominator[\(p, m\)]\)
                        , \(PropagatorDenominator[\(\(p - q\), m\)]\)\)]\)], 
                  "Input", CellLabel -> "In[648]:=", CellTags -> 
                   "FeynAmpDenominator"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(\((p\^2 - m\^2)\) . \((\((p - q)\)\^2 - m\^2)\)\)\)
                   \)], "Output", CellLabel -> "Out[648]="]}, Open]], 
              Cell[BoxData[
                \(\(t = \(FeynAmpDenominator[
                       \(PropagatorDenominator[\(p, m\)]\)]\)\) ;\)], 
               "Input", CellLabel -> "In[649]:=", CellTags -> 
                "FeynAmpDenominator"], Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(t//FCI\)]\)], "Input", CellLabel -> 
                   "In[650]:=", CellTags -> "FeynAmpDenominator"], 
                 Cell[BoxData[
                   \(FeynAmpDenominator[\(PropagatorDenominator[
                        \(\(Momentum[\(p, D\)]\), m\)]\)]\)], "Output", 
                  CellLabel -> "Out[650]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(StandardForm[\(t//FCE\)]\)], 
                  "Input", CellLabel -> "In[651]:=", CellTags -> 
                   "FeynAmpDenominator"], Cell[BoxData[\(FAD[\({p, m}\)]\)], 
                  "Output", CellLabel -> "Out[651]//StandardForm="]}, Open]], 
              Cell[BoxData[\(\(Clear[t]\) ;\)], "Input", CellLabel -> 
                "In[652]:=", CellTags -> "FeynAmpDenominator"]}, Open]], 
           Cell["FeynAmpDenominatorCombine", "ObjectName", 
            CellTags -> "FeynAmpDenominatorCombine"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FeynAmpDenominatorCombine"], Cell["FeynAmpDenomin\
atorCombine[expr] expands expr with respect to FeynAmpDenominator and \
combines products of FeynAmpDenominator in expr into one FeynAmpDenominator."\
, "Text", CellTags -> "FeynAmpDenominatorCombine"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FeynAmpDenominatorSplit", 
                   RuleDelayed[ButtonData, "FeynAmpDenominatorSplit"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominatorSplit"]], "."}], 
               "Text", CellTags -> "FeynAmpDenominatorCombine"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynAmpDenominatorCombine"], Cell[CellGroupData[
                {Cell[BoxData[\(t\ =\ \(\(FAD[q]\)\ \(FAD[\(q - p\)]\)\)\)], 
                  "Input", CellLabel -> "In[653]:=", CellTags -> 
                   "FeynAmpDenominatorCombine"], Cell[BoxData[FormBox[
                    RowBox[{FormBox[
                       \(1\/\*InterpretationBox[\(
                             "["\[InvisibleSpace] q\^2 \[InvisibleSpace]"]"
                             \), SequenceForm["[", Power[q, 2], "]"], 
                            Rule[Editable, False]]\), "TraditionalForm"], 
                      " ", FormBox[
                       \(1\/\*InterpretationBox[\(
                             "["\[InvisibleSpace] \((q - p)\)\^2 
                              \[InvisibleSpace]"]"\), 
                            SequenceForm["[", 
                             Power[Plus[Times[-1, p], q], 2], "]"], 
                            Rule[Editable, False]]\), "TraditionalForm"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[653]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(FeynAmpDenominatorCombine[%]\)//FCE\)//StandardForm
                     \)], "Input", CellLabel -> "In[654]:=", CellTags -> 
                   "FeynAmpDenominatorCombine"], Cell[BoxData[
                   \(FAD[\(q, \(\(-p\) + q\)\)]\)], "Output", CellLabel -> 
                   "Out[654]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(FeynAmpDenominatorSplit[%]\)//FCE\)//StandardForm\)]\
, "Input", CellLabel -> "In[655]:=", CellTags -> 
                   "FeynAmpDenominatorCombine"], Cell[BoxData[
                   \(\(FAD[q]\)\ \(FAD[\(\(-p\) + q\)]\)\)], "Output", 
                  CellLabel -> "Out[655]//StandardForm="]}, Open]]}, Open]], 
           Cell["FeynAmpDenominatorSimplify", "ObjectName", 
            CellTags -> "FeynAmpDenominatorSimplify"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FeynAmpDenominatorSimplify"], Cell["FeynAmpDenomi\
natorSimplify[exp] tries to simplify each PropagatorDenominator in a \
canonical way. FeynAmpDenominatorSimplify[exp, q1] simplifies all \
FeynAmpDenominator's in exp in a canonical way, including some translation of \
momenta. FeynAmpDenominatorSimplify[exp, q1, q2] additionally removes \
integrals with no mass scale.", "Text", CellTags -> 
                "FeynAmpDenominatorSimplify"], 
              Cell["FDS can be used as an alias.", "Text", CellTags -> 
                "FeynAmpDenominatorSimplify"], Cell[CellGroupData[
                {Cell[BoxData["FDS"], "Input", CellLabel -> "In[656]:=", 
                  CellTags -> "FeynAmpDenominatorSimplify"], Cell[BoxData[
                   \(TraditionalForm\`FeynAmpDenominatorSimplify\)], 
                  "Output", CellLabel -> "Out[656]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OneLoopSimplify", 
                   RuleDelayed[ButtonData, "OneLoopSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSimplify"]], "."}], "Text", 
               CellTags -> "FeynAmpDenominatorSimplify"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynAmpDenominatorSimplify"], Cell[TextData[
                {"The cornerstone of dimensional regularization is that ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\[Integral] 
                          \(d\^n k\ \(\(f(k)\)/k\^\(2m\)\)\)\) =\ \(0\ .\)\)\
\)]]}], "Text", CellTags -> "FeynAmpDenominatorSimplify"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FeynAmpDenominatorSimplify[
                      \(\(\(f[k]\)\ \(FAD[\(k, k\)]\)\), k\)]\)], "Input", 
                  CellLabel -> "In[657]:=", CellTags -> 
                   "FeynAmpDenominatorSimplify"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[657]="]}, Open]], Cell[TextData[{"This brings ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(1/\(
                         (\((k - p\_1)\)\^2\ \((k - p\_2)\)\^2)\)\)\)]], 
                 " into a standard form."}], "Text", CellTags -> 
                "FeynAmpDenominatorSimplify"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FeynAmpDenominatorSimplify[
                      \(\(FAD[\(\(k - p\_1\), \(k - p\_2\)\)]\), k\)]\)], 
                  "Input", CellLabel -> "In[658]:=", CellTags -> 
                   "FeynAmpDenominatorSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(k\^2 . \((k - p\_1 + p\_2)\)\^2\)\)\)], "Output", 
                  CellLabel -> "Out[658]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FeynAmpDenominatorSimplify[
                      \(\(FAD[\(k, k, \(k - q\)\)]\), k\)]\)], "Input", 
                  CellLabel -> "In[659]:=", CellTags -> 
                   "FeynAmpDenominatorSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/\(k\^2 . k\^2 . \((k - q)\)\^2\)\)
                     \)], "Output", CellLabel -> "Out[659]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FeynAmpDenominatorSimplify[
                      \(\(\(f[k]\) \(FAD[\(k, \(k - q\), \(k - q\)\)]\)\), k
                       \)]\)], "Input", CellLabel -> "In[660]:=", CellTags -> 
                   "FeynAmpDenominatorSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\(f(\(q - k\))\)\/
                        \(k\^2 . k\^2 . \((k - q)\)\^2\)\)\)], "Output", 
                  CellLabel -> "Out[660]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t = \(FeynAmpDenominatorSimplify[
                        \(\(\(FAD[\(\(k - p\_1\), \(k - p\_2\)\)]\)\ 
                            \(SPD[\(k, k\)]\)\), k\)]\)\)], "Input", 
                  CellLabel -> "In[661]:=", CellTags -> 
                   "FeynAmpDenominatorSimplify"], Cell[BoxData[FormBox[
                    RowBox[{FractionBox[SuperscriptBox[FormBox["k", 
                         "TraditionalForm"], "2"], 
                       \(k\^2 . \((k - p\_1 + p\_2)\)\^2\)], "+", FractionBox[
                       RowBox[{"2", " ", RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], 
                       \(k\^2 . \((k - p\_1 + p\_2)\)\^2\)], "+", 
                      \(p\_2\%2\/\(k\^2 . \((k - p\_1 + p\_2)\)\^2\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[661]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(r = \(SPC[\(t, k, \(FDS \[Rule] True\)\)]\)\)], "Input", 
                  CellLabel -> "In[662]:=", CellTags -> 
                   "FeynAmpDenominatorSimplify"], Cell[BoxData[FormBox[
                    RowBox[{\(p\_2\%2\/\(k\^2 . \((k - p\_1 + p\_2)\)\^2\)\), 
                      "-", FractionBox[RowBox[{"2", " ", RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], 
                       \(k\^2 . \((k + p\_1 - p\_2)\)\^2\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[662]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(OneLoopSimplify[\(r, k\)]\)], "Input", CellLabel -> 
                   "In[663]:=", CellTags -> "FeynAmpDenominatorSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{"2", " ", 
                         RowBox[{FormBox["k", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], 
                       \(k\^2 . \((k - p\_1 + p\_2)\)\^2\)], "+", 
                      \(p\_2\%2\/\(k\^2 . \((k - p\_1 + p\_2)\)\^2\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[663]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FDS[\(\(\(FAD[\(\(k - p1\), \(k - p2\)\)]\) 
                          \(\(SPD[\(k, OPEDelta\)]\)^2\)\), k\)]\)], "Input", 
                  CellLabel -> "In[664]:=", CellTags -> 
                   "FeynAmpDenominatorSimplify"], Cell[BoxData[FormBox[
                    RowBox[{FractionBox[SuperscriptBox[FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                         "TraditionalForm"], "2"], 
                       \(k\^2 . \((k - p1 + p2)\)\^2\)], "+", FractionBox[
                       RowBox[{"2", " ", RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], " ", 
                         RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], 
                       \(k\^2 . \((k - p1 + p2)\)\^2\)], "+", FractionBox[
                       SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", "TraditionalForm"]}], 
                         "TraditionalForm"], "2"], 
                       \(k\^2 . \((k - p1 + p2)\)\^2\)]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[664]="]}, Open]], Cell[BoxData[
                \(Clear[\(t, r\)]\)], "Input", CellLabel -> "In[665]:=", 
               CellTags -> "FeynAmpDenominatorSimplify"]}, Open]], 
           Cell["FeynAmpDenominatorSplit", "ObjectName", CellTags -> 
             "FeynAmpDenominatorSplit"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FeynAmpDenominatorSplit"], Cell["FeynAmpDenominatorSplit[exp\
r] splits all FeynAmpDenominator[a,b, ...] in expr into \
FeynAmpDenominator[a]*FeynAmpDenominator[b] ... . \
FeynAmpDenominatorSplit[expr, q1] splits all FeynAmpDenominator in expr into \
a product of two, one containing q1 and other momenta, the second without \
q1.", "Text", CellTags -> "FeynAmpDenominatorSplit"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FeynAmpDenominatorCombine", 
                   RuleDelayed[ButtonData, "FeynAmpDenominatorCombine"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominatorCombine"]], "."}], 
               "Text", CellTags -> "FeynAmpDenominatorSplit"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynAmpDenominatorSplit"], Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(\(FAD[\(q1, \(q1 - p\), \(q1 - q2\), q2, 
                            \(q2 - p\)\)]\)//FCI\)\)], "Input", CellLabel -> 
                   "In[666]:=", CellTags -> "FeynAmpDenominatorSplit"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(q1\^2 . \((q1 - p)\)\^2 . \((q1 - q2)\)\^2 . q2\^
                           2 . \((q2 - p)\)\^2\)\)\)], "Output", CellLabel -> 
                   "Out[666]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t//Head\)], "Input", CellLabel -> "In[667]:=", 
                  CellTags -> "FeynAmpDenominatorSplit"], Cell[BoxData[
                   \(TraditionalForm\`FeynAmpDenominator\)], "Output", 
                  CellLabel -> "Out[667]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FeynAmpDenominatorSplit[t]\)], "Input", 
                  CellLabel -> "In[668]:=", CellTags -> 
                   "FeynAmpDenominatorSplit"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(q1\^2\ \((q1 - p)\)\^2\ \((q1 - q2)\)\^2\ q2\^2\ 
                          \((q2 - p)\)\^2\)\)\)], "Output", CellLabel -> 
                   "Out[668]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(%//FCE\)//StandardForm\)], "Input", CellLabel -> 
                   "In[669]:=", CellTags -> "FeynAmpDenominatorSplit"], 
                 Cell[BoxData[
                   \(\(FAD[q1]\)\ \(FAD[\(\(-p\) + q1\)]\)\ 
                      \(FAD[\(q1 - q2\)]\)\ \(FAD[q2]\)\ 
                      \(FAD[\(\(-p\) + q2\)]\)\)], "Output", CellLabel -> 
                   "Out[669]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(FeynAmpDenominatorSplit[\(t, q1\)]\)//FCE\)//
                      StandardForm\)], "Input", CellLabel -> "In[670]:=", 
                  CellTags -> "FeynAmpDenominatorSplit"], Cell[BoxData[
                   \(\(FAD[\(q2, \(\(-p\) + q2\)\)]\)\ 
                      \(FAD[\(q1, \(\(-p\) + q1\), \(q1 - q2\)\)]\)\)], 
                  "Output", CellLabel -> "Out[670]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(FeynAmpDenominatorCombine[%]\)//FCE\)//StandardForm
                     \)], "Input", CellLabel -> "In[671]:=", CellTags -> 
                   "FeynAmpDenominatorSplit"], Cell[BoxData[
                   \(FAD[\(q1, q2, \(q1 - q2\), \(\(-p\) + q1\), 
                        \(\(-p\) + q2\)\)]\)], "Output", CellLabel -> 
                   "Out[671]//StandardForm="]}, Open]], Cell[BoxData[
                \(Clear[t]\)], "Input", CellLabel -> "In[672]:=", CellTags -> 
                "FeynAmpDenominatorSplit"]}, Open]], Cell["FeynAmpList", 
            "ObjectName", CellTags -> "FeynAmpList"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FeynAmpList"], Cell["FeynAmpList[info][FeynAmp[..\
.], FeynAmp[...], ...] is a head of a list of Feynman amplitudes.", "Text", 
               CellTags -> "FeynAmpList"], Cell["FeynAmpList has no \
functional properties and serves just as a head.", "Text", CellTags -> 
                "FeynAmpList"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynAmp", RuleDelayed[ButtonData, "FeynAmp"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmp"]], "."}], "Text", CellTags -> 
                "FeynAmpList"]}, Open]], Cell["FeynCalc", "ObjectName", 
            CellTags -> "FeynCalc"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "FeynCalc"], 
              Cell["FeynCalc is simply a symbol with a usage definition.", 
               "Text", CellTags -> "FeynCalc"], Cell[CellGroupData[
                {Cell[BoxData[\(? FeynCalc\)], "Input", CellLabel -> 
                   "In[673]:=", CellTags -> "FeynCalc"], Cell[BoxData["\"For \
installation notes visit www.feyncalc.org\\n For a list of availabe objects \
type $FeynCalcStuff, which contains a list of all functions and options in \
StringForm. You can get on-line information by ?function, e.g., ?Contract.\\n \
There are several useful functions for short input, type $FCS for a list of \
short commands. Then type, e.g., ?GA.\\n \\n To get rid of the start-up \
messages put the line \\n $FeynCalcStartupMessages = False; \\n  into your \
init.m or the HighEnergyPhysics/FeynCalcConfig.m file.\""], "Print", 
                  CellTags -> "Info3288620382-2498391"]}, Open]]}, Open]], 
           Cell["FeynCalcExternal", "ObjectName", CellTags -> 
             "FeynCalcExternal"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FeynCalcExternal"], Cell["FeynCalcExternal[exp] translates \
exp from the internal FeynCalc representation to a shorthand form.", "Text", 
               CellTags -> "FeynCalcExternal"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["FeynCalcInternal", 
                   RuleDelayed[ButtonData, "FeynCalcInternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcInternal"]], "."}], "Text", 
               CellTags -> "FeynCalcExternal"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynCalcExternal"], Cell[CellGroupData[{Cell[BoxData[
                   \(FeynCalcExternal[\(DiracGamma[5]\)]\)], "Input", 
                  CellLabel -> "In[674]:=", CellTags -> "FeynCalcExternal"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma]\^5\)\)], 
                  "Output", CellLabel -> "Out[674]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)], "Input", 
                  CellLabel -> "In[675]:=", CellTags -> "FeynCalcExternal"], 
                 Cell[BoxData[\(GA[5]\)], "Output", CellLabel -> 
                   "Out[675]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Input", CellLabel -> 
                   "In[676]:=", CellTags -> "FeynCalcExternal"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{\(\[Gamma]\^\[Mu]\)
                        , ",", \(\[Gamma]\^\[Rho]\), ",", 
                        \(\[Gamma] \[CenterDot] p\), ",", FormBox[RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], 
                         "TraditionalForm"], ",", \(g\^\(\[Alpha]\[Beta]\)\), 
                        ",", \(p\^\[Mu]\)}], "}"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[676]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)], "Input", 
                  CellLabel -> "In[677]:=", CellTags -> "FeynCalcExternal"], 
                 Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Output", CellLabel -> 
                   "Out[677]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//FeynCalcInternal\)], "Input", CellLabel -> 
                   "In[678]:=", CellTags -> "FeynCalcExternal"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ",", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], ",", 
                        RowBox[{FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                        ",", RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                        ",", \(g\^\(\[Alpha]\[Beta]\)\), ",", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]]}], 
                      "}"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[678]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//StandardForm\)], "Input", CellLabel -> "In[679]:=", 
                  CellTags -> "FeynCalcExternal"], Cell[BoxData[
                   \({\(DiracGamma[\(LorentzIndex[\[Mu]]\)]\), 
                       \(DiracGamma[\(\(LorentzIndex[\(\[Rho], D\)]\), D\)]\)
                       , \(DiracGamma[\(Momentum[p]\)]\), 
                       \(Pair[\(\(Momentum[p]\), \(Momentum[q]\)\)]\), 
                       \(Pair[\(\(LorentzIndex[\[Alpha]]\), 
                           \(LorentzIndex[\[Beta]]\)\)]\), 
                       \(Pair[\(\(LorentzIndex[\[Mu]]\), \(Momentum[p]\)\)]\)\
}\)], "Output", CellLabel -> "Out[679]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(FeynCalcExternal[%]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[680]:=", CellTags -> "FeynCalcExternal"], 
                 Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Output", CellLabel -> 
                   "Out[680]//StandardForm="]}, Open]]}, Open]], 
           Cell["FeynCalcForm", "ObjectName", CellTags -> "FeynCalcForm"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FeynCalcForm"], Cell[TextData[{"FeynCalcForm[expr\
] changes the printed output to a an easy-to-read form. It allows a readable \
output also when running a terminal based ", 
                 StyleBox["Mathematica", Rule[FontSlant, "Italic"]], " \
session. Whether the result of FeynCalcForm[expr] is displayed or not, \
depends on the setting of $PrePrint. $PrePrint = FeynCalcForm forces \
displaying everything after applying FeynCalcForm. In order to change to the \
normal (internal) Mathematica OutputForm, do: ($PrePrint=.)."}], "Text", 
               CellTags -> "FeynCalcForm"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FC", RuleDelayed[ButtonData, "FC"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FC"]], 
                 ", ", 
                 ButtonBox["FeynCalcExternal", 
                   RuleDelayed[ButtonData, "FeynCalcExternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcExternal"]], ", ", 
                 ButtonBox["FeynCalcInternal", 
                   RuleDelayed[ButtonData, "FeynCalcInternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcInternal"]], "."}], "Text", 
               CellTags -> "FeynCalcForm"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynCalcForm"], Cell["This is the normal notebook display:", 
               "Text", CellTags -> "FeynCalcForm"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SUNTrace[\(\(SUNT[a]\) . \(SUNT[b]\) . \(SUNT[c]\)\)]\)]\
, "Input", CellLabel -> "In[681]:=", CellTags -> "FeynCalcForm"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[RowBox[
                        {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[681]="]}, Open]], 
              Cell[
               "This is the shorthand (terminal) display (easy-to-read \
form):", "Text", CellTags -> "FeynCalcForm"], Cell[BoxData[
                \(\($PrePrint\ =\ FeynCalcForm\) ;\)], "Input", CellLabel -> 
                "In[682]:=", CellTags -> "FeynCalcForm"], Cell[BoxData[
                \(\(SetOptions[\($FrontEnd, 
                       \(Evaluate[\(\((\(
                               Options[\(
                                 $FrontEnd, "CommonDefaultFormatTypes"\)]\)/.
                              \(\(("Output" \[Rule] _)\) \[Rule] 
                                \(("Output" \[Rule] OutputForm)\)\))\)[
                           \([1]\)]\)]\)\)]\) ;\)], "Input", CellLabel -> 
                "In[683]:=", CellTags -> "FeynCalcForm"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SUNTrace[\(\(SUNT[a]\) . \(SUNT[b]\) . \(SUNT[c]\)\)]\)]\
, "Input", CellLabel -> "In[684]:=", CellTags -> "FeynCalcForm"], 
                 Cell[OutputFormData["SUNTrace[SUNT[SUNIndex[a]] . \
SUNT[SUNIndex[b]] . SUNT[SUNIndex[c]]]", "tr[T[a] T[b] T[c]]"], "Output", 
                  CellLabel -> "Out[684]="]}, Open]], 
              Cell["Reset to normal notebook display:", "Text", CellTags -> 
                "FeynCalcForm"], Cell[BoxData[\(\($PrePrint=.\) ;\)], 
               "Input", CellLabel -> "In[685]:=", CellTags -> 
                "FeynCalcForm"], Cell[BoxData[
                \(\(SetOptions[\($FrontEnd, 
                       \(Evaluate[\(\((\(
                               Options[\(
                                 $FrontEnd, "CommonDefaultFormatTypes"\)]\)/.
                              \(\(("Output" \[Rule] _)\) \[Rule] 
                                \(("Output" \[Rule] TraditionalForm)\)\))\)[
                           \([1]\)]\)]\)\)]\) ;\)], "Input", CellLabel -> 
                "In[686]:=", CellTags -> "FeynCalcForm"]}, Open]], 
           Cell["FeynCalcInternal", "ObjectName", CellTags -> 
             "FeynCalcInternal"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FeynCalcInternal"], Cell["FeynCalcInternal[exp] translates \
exp into the internal FeynCalc (abstract data-type) representation.", "Text", 
               CellTags -> "FeynCalcInternal"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["FeynCalcExternal", 
                   RuleDelayed[ButtonData, "FeynCalcExternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcExternal"]], ", ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["FCE", RuleDelayed[ButtonData, "FCE"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCE"]], 
                 "."}], "Text", CellTags -> "FeynCalcInternal"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynCalcInternal"], Cell[CellGroupData[{Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Input", CellLabel -> 
                   "In[687]:=", CellTags -> "FeynCalcInternal"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{\(\[Gamma]\^\[Mu]\)
                        , ",", \(\[Gamma]\^\[Rho]\), ",", 
                        \(\[Gamma] \[CenterDot] p\), ",", FormBox[RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], 
                         "TraditionalForm"], ",", \(g\^\(\[Alpha]\[Beta]\)\), 
                        ",", \(p\^\[Mu]\)}], "}"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[687]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)], "Input", 
                  CellLabel -> "In[688]:=", CellTags -> "FeynCalcInternal"], 
                 Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Output", CellLabel -> 
                   "Out[688]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//FeynCalcInternal\)], "Input", CellLabel -> 
                   "In[689]:=", CellTags -> "FeynCalcInternal"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ",", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], ",", 
                        RowBox[{FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                        ",", RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                        ",", \(g\^\(\[Alpha]\[Beta]\)\), ",", SuperscriptBox[
                         FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]]}], 
                      "}"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[689]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//StandardForm\)], "Input", CellLabel -> "In[690]:=", 
                  CellTags -> "FeynCalcInternal"], Cell[BoxData[
                   \({\(DiracGamma[\(LorentzIndex[\[Mu]]\)]\), 
                       \(DiracGamma[\(\(LorentzIndex[\(\[Rho], D\)]\), D\)]\)
                       , \(DiracGamma[\(Momentum[p]\)]\), 
                       \(Pair[\(\(Momentum[p]\), \(Momentum[q]\)\)]\), 
                       \(Pair[\(\(LorentzIndex[\[Alpha]]\), 
                           \(LorentzIndex[\[Beta]]\)\)]\), 
                       \(Pair[\(\(LorentzIndex[\[Mu]]\), \(Momentum[p]\)\)]\)\
}\)], "Output", CellLabel -> "Out[690]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(FeynCalcExternal[%]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[691]:=", CellTags -> "FeynCalcInternal"], 
                 Cell[BoxData[
                   \({\(GA[\[Mu]]\), \(GAD[\[Rho]]\), \(GS[p]\), 
                       \(SP[\(p, q\)]\), \(MT[\(\[Alpha], \[Beta]\)]\), 
                       \(FV[\(p, \[Mu]\)]\)}\)], "Output", CellLabel -> 
                   "Out[691]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FCI[\({\(SD[\(a, b\)]\), \(SUND[\(a, b, c\)]\), 
                         \(SUNF[\(a, b, c\)]\), \(FAD[q]\), 
                         \(LC[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)}\)]\)], 
                  "Input", CellLabel -> "In[692]:=", CellTags -> 
                   "FeynCalcInternal"], Cell[BoxData[FormBox[RowBox[
                     {"{", RowBox[{SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], ",", 
                        SubscriptBox["d", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]], ",", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]], ",", 
                        \(1\/q\^2\), ",", SuperscriptBox["\[Epsilon]", 
                         RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[692]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[693]:=", CellTags -> 
                   "FeynCalcInternal"], Cell[BoxData[
                   \({\(SUNDelta[\(\(SUNIndex[a]\), \(SUNIndex[b]\)\)]\), 
                       \(SUND[\(\(SUNIndex[a]\), \(SUNIndex[b]\), 
                           \(SUNIndex[c]\)\)]\), 
                       \(SUNF[\(\(SUNIndex[a]\), \(SUNIndex[b]\), 
                           \(SUNIndex[c]\)\)]\), 
                       \(FeynAmpDenominator[
                         \(PropagatorDenominator[
                           \(\(Momentum[\(q, D\)]\), 0\)]\)]\), 
                       \(Eps[\(\(LorentzIndex[\[Mu]]\), 
                           \(LorentzIndex[\[Nu]]\), \(LorentzIndex[\[Rho]]\),
                            \(LorentzIndex[\[Sigma]]\)\)]\)}\)], "Output", 
                  CellLabel -> "Out[693]//StandardForm="]}, Open]]}, Open]], 
           Cell["FeynCalc2FORM", "ObjectName", CellTags -> "FeynCalc2FORM"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FeynCalc2FORM"], Cell["FeynCalc2FORM[expr] \
displays expr in FORM syntax. FeynCalc2FORM[file, x] writes x in FORM syntax \
to a file. FeynCalc2FORM[file, x==y] writes x=y to a file in FORM syntax.", 
               "Text", CellTags -> "FeynCalc2FORM"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FORM2FeynCalc", 
                   RuleDelayed[ButtonData, "FORM2FeynCalc"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FORM2FeynCalc"]], "."}], "Text", 
               CellTags -> "FeynCalc2FORM"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[FeynCalc2FORM]\)], "Input", CellLabel -> 
                   "In[694]:=", CellTags -> "FeynCalc2FORM"], Cell[BoxData[
                   \(TraditionalForm\`\({\(EpsDiscard \[Rule] False\), 
                         \(FORMEpilog \[Rule] ""\), 
                         \(FORMProlog \[Rule] "write statistics;"\), 
                         \(Replace \[Rule] 
                           \({\("\\[Alpha]" \[Rule] "al"\), 
                              \("\\[Beta]" \[Rule] "be"\), 
                              \("\\[Gamma]" \[Rule] "ga"\), 
                              \("\\[Delta]" \[Rule] "de"\), 
                              \("\\[Mu]" \[Rule] "mu"\), 
                              \("\\[Nu]" \[Rule] "nu"\), 
                              \("\\[Rho]" \[Rule] "ro"\), 
                              \("\\[Sigma]" \[Rule] "si"\)}\)\), 
                         \(TraceDimension \[Rule] 4\)}\)\)], "Output", 
                  CellLabel -> "Out[694]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynCalc2FORM"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(MT[\(\[Mu], \[Nu]\)]\) \(FV[\(p, \[Rho]\)]\)\ 
                      \(\(y^2\)/d\)\)], "Input", CellLabel -> "In[695]:=", 
                  CellTags -> "FeynCalc2FORM"], Cell[BoxData[
                   \(TraditionalForm\`\(\(y\^2\ p\^\[Rho]\ g\^\(\[Mu]\[Nu]\)
                         \)\/d\)\)], "Output", CellLabel -> "Out[695]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(FeynCalc2FORM[%]\) ;\)], "Input", CellLabel -> 
                   "In[696]:=", CellTags -> "FeynCalc2FORM"], 
                 Cell["(y^2*d_(mu,nu)*p(ro))/d", "Print"]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\ \(LC[\(\[Alpha], \[Beta], \[Delta], \[Rho]\)]\)\)], 
                  "Input", CellLabel -> "In[697]:=", CellTags -> 
                   "FeynCalc2FORM"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Epsilon]\^
                        \(\[Alpha]\[Beta]\[Delta]\[Rho]\)\)\)], "Output", 
                  CellLabel -> "Out[697]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(FeynCalc2FORM[%]\) ;\)], "Input", 
                  CellLabel -> "In[698]:=", CellTags -> "FeynCalc2FORM"], 
                 Cell["(-i_)*e_(al,be,de,ro)", "Print"]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DiracTrace[\(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)]\)]\
, "Input", CellLabel -> "In[699]:=", CellTags -> "FeynCalc2FORM"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[
                       \(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . \[Gamma]\^\[Rho]
                           . \[Gamma]\^\[Sigma]\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[699]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(FeynCalc2FORM[%]\) ;\)], "Input", CellLabel -> 
                   "In[700]:=", CellTags -> "FeynCalc2FORM"], 
                 Cell["g_(0,mu)*g_(0,nu)*g_(0,ro)*g_(0,si)", "Print"]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracTrace[\(GA[\(\[Mu], \[Nu]\)]\)]\) 
                      \(DiracTrace[\(GA[\(\[Mu], \[Rho]\)]\)]\)\)], "Input", 
                  CellLabel -> "In[701]:=", CellTags -> "FeynCalc2FORM"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"tr", "(", FormBox[
                         \(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\), 
                         "TraditionalForm"], ")"}], " ", RowBox[{"tr", "(", 
                        FormBox[\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Rho]\), 
                         "TraditionalForm"], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[701]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(\(FeynCalc2FORM[%]\) ;\)], 
                  "Input", CellLabel -> "In[702]:=", CellTags -> 
                   "FeynCalc2FORM"], Cell[
                  "g_(0,mu)*g_(0,nu)*g_(1,mu)*g_(1,ro)", "Print"]}, Open]], 
              Cell[BoxData[
                \(\(FeynCalc2FORM[\("fc2ftest.f", 
                       \(\(MT[\(\[Mu], \[Nu]\)]\) \(FV[\(p, \[Mu]\)]\)\)\)]\)\
 ;\)], "Input", CellLabel -> "In[703]:=", CellTags -> "FeynCalc2FORM"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ReadList[\(\(\(If[\(\($OperatingSystem === "MacOS"
                               \), ":", ""\)]\) <> "fc2ftest.f"\), String\)]\
\)], "Input", CellLabel -> "In[704]:=", CellTags -> "FeynCalc2FORM"], 
                 Cell[BoxData[\(TraditionalForm\`\({"d_(mu,nu)*p(mu)"}\)\)], 
                  "Output", CellLabel -> "Out[704]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(TR[\(\(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\) . 
                          \(GS[\(p, q\)]\)\)]\)\)], "Input", CellLabel -> 
                   "In[705]:=", CellTags -> "FeynCalc2FORM"], 
                 Cell[BoxData[FormBox[RowBox[{"4", " ", RowBox[{"(", 
                        RowBox[{RowBox[{SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Rho]\[Sigma]\)\)}
                          ], "-", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Rho]\[Sigma]\)\)}
                          ], "+", RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], " ", 
                          \(g\^\(\[Rho]\[Sigma]\)\)}], "-", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Sigma]\)\), 
                          " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{\(g\^\(\[Mu]\[Sigma]\)\), " ", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(g\^\(\[Nu]\[Sigma]\)\), " ", SuperscriptBox[
                          FormBox["q", "TraditionalForm"], FormBox[FormBox[
                          "\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Sigma]\)\), " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(g\^\(\[Nu]\[Rho]\)\), " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(g\^\(\[Nu]\[Rho]\)\), " ", SuperscriptBox[
                          FormBox["q", "TraditionalForm"], FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Sigma]\)\), " ", 
                          \(g\^\(\[Nu]\[Rho]\)\), " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", 
                          \(g\^\(\[Nu]\[Sigma]\)\), " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[705]="]}, 
                Open]], Cell[BoxData[
                \(\(FeynCalc2FORM[\("fc2ftest.f", \(L\ == t\)\)]\) ;\)], 
               "Input", CellLabel -> "In[706]:=", CellTags -> 
                "FeynCalc2FORM"], Cell[CellGroupData[{Cell[BoxData[
                   \(TableForm[\(ReadList[\(
                         \(\(If[\(\($OperatingSystem === "MacOS"\), ":", ""\)
                              ]\) <> "fc2ftest.f"\), String\)]\)]\)], 
                  "Input", CellLabel -> "In[707]:=", CellTags -> 
                   "FeynCalc2FORM"], Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[GridBox[
                          {{"\"Indices \
\\\\[Mu],\\\\[Nu],\\\\[Rho],\\\\[Sigma];\""}, 
                           {"\"Vectors p,q;\""}, {"\"\""}, 
                           {"\"write statistics;\""}, {"\"\""}, 
                           {"\"Local L = ( \""}, 
                           {"\"4*(d_(mu,si)*d_(nu,ro)*q.p-d_(mu,ro)*d_(nu\
,si)*q.p+d_(\
mu,nu)*d_(ro,si)*q.p+\""}, 
                           {"\"d_(ro,si)*p(nu)*q(mu)-d_(nu,si)*p(ro)*q(mu\
)+d_(nu,ro)*\
p(si)*q(mu)-\""}, 
                           {"\"d_(ro,si)*p(mu)*q(nu)+d_(mu,si)*p(ro)*q(nu\
)-d_(mu,ro)*\
p(si)*q(nu)+\""}, 
                           {"\"d_(nu,si)*p(mu)*q(ro)-d_(mu,si)*p(nu)*q(ro\
)+d_(mu,nu)*\
p(si)*q(ro)-\""}, 
                           {"\"d_(nu,ro)*p(mu)*q(si)+d_(mu,ro)*p(nu)*q(si\
)-d_(mu,nu)*\
p(ro)*q(si)) ); \""}, {"\"   \""}, 
                           {"\"Print; \""}, {"\".end\""}}, 
                          RowSpacings -> 1., ColumnSpacings -> 3., 
                          RowAlignments -> Baseline, 
                          ColumnAlignments -> {Left}], 
                         TableForm[List["Indices \
\\[Mu],\\[Nu],\\[Rho],\\[Sigma];", "Vectors p,q;", "", 
                           "write statistics;", "", "Local L = ( ", 
                           "4*(d_(mu,si)*d_(nu,ro)*q.p-d_(mu,ro)*d_(nu,si)*q\
.p+d_(mu,nu)*d_(ro,si)*q.p+", 
                           "d_(ro,si)*p(nu)*q(mu)-d_(nu,si)*p(ro)*q(mu)+d_(n\
u,ro)*p(si)*q(mu)-", "d_(ro,si)*p(mu)*q(nu)+d_(mu,si)*p(r\
o)*q(nu)-d_(mu,ro)*p(si)*q(nu)+", 
                           "d_(nu,si)*p(mu)*q(ro)-d_(mu,si)*p(nu)*q(ro)+d_(m\
u,nu)*p(si)*q(ro)-", "d_(nu,ro)*p(mu)*q(si)+d_(mu,ro)*p(n\
u)*q(si)-d_(mu,nu)*p(ro)*q(si)) ); ", "   ", "Print; ", 
                           ".end"]]]\)\)], "Output", CellLabel -> 
                   "Out[707]//TableForm="]}, Open]], Cell[BoxData[
                \(\(If[\(\(\(FileNames["fc2ftest.f"]\) =!= \({}\)\), 
                       \(DeleteFile["fc2ftest.f"]\)\)]\) ;\)], "Input", 
               CellLabel -> "In[708]:=", CellTags -> "FeynCalc2FORM"], 
              Cell[BoxData[\(\(Clear[t]\) ;\)], "Input", CellLabel -> 
                "In[709]:=", CellTags -> "FeynCalc2FORM"]}, Open]], 
           Cell["FeynCalcToLaTeX", "ObjectName", CellTags -> 
             "FeynCalcToLaTeX"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "FeynCalcToLaTeX"], 
              Cell["FeynCalcToLaTeX[expr] generates LaTeX with line-breaking  \
for expr. \nFeynCalcToLaTeX[expr, 500] generates LaTeX for expr where 500 is \
the Window width  setting for the Mathematica frontend. Increasing its value \
will generate less line breaks.", "Text", CellTags -> "FeynCalcToLaTeX"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonPropagator[\(p, 1, 2\)]\)//Explicit\)], "Input", 
                  CellLabel -> "In[710]:="], Cell[BoxData[FormBox[RowBox[
                     {"-", FractionBox[RowBox[{"\[ImaginaryI]", " ", 
                         \(g\^\(li1li2\)\), " ", SubscriptBox["\[Delta]", 
                          RowBox[{FormBox[FormBox["ci1", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["ci2", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                       \(p\^2\)]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[710]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FeynCalcToLaTeX[%]\)], "Input", CellLabel -> 
                   "In[711]:="], Cell[BoxData[
                   \(TraditionalForm\`"-\\frac{\\ImaginaryI \\multsp \
{g^{\\Mvariable{li1}\\Mvariable{li2}}}\\multsp {{\\delta \
}_{\\Mvariable{ci1}\\Mvariable{ci2}}}}{{p^2}}"\)], "Output", CellLabel -> 
                   "Out[711]="]}, Open]]}, Open]], 
           Cell["FeynmanParameterNames", "ObjectName", CellTags -> 
             "FeynmanParameterNames"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FeynmanParameterNames"], Cell["FeynmanParameterNames is an \
option for FeynmanParametrize and FeynmanParametrize.", "Text", CellTags -> 
                "FeynmanParameterNames"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynmanParametrize", 
                   RuleDelayed[ButtonData, "FeynmanParametrize"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynmanParametrize"]], ", ", 
                 ButtonBox["FeynmanParametrize", 
                   RuleDelayed[ButtonData, "FeynmanParametrize"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynmanParametrize"]], "."}], "Text", 
               CellTags -> "FeynmanParameterNames"]}, Open]], 
           Cell["FeynmanParametrize ***unfinished***", "ObjectName", 
            CellTags -> "FeynmanParametrize"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FeynmanParametrize"], Cell["FeynmanParametrize[exp,k] \
introduces feynman parameters for all one-loop integrals in exp (k = \
integration momentum).", "Text", CellTags -> "FeynmanParametrize"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[FeynmanParametrize]\)
                   ], "Input", CellLabel -> "In[712]:=", CellTags -> 
                   "FeynmanParametrize"], Cell[BoxData[
                   \(TraditionalForm\`\({FeynmanParameterNames \[Rule] 
                         \({x, y, z}\)}\)\)], "Output", CellLabel -> 
                   "Out[712]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynmanParametrize"], Cell[BoxData[""], "Input", 
               CellLabel -> "In[713]:=", CellTags -> "FeynmanParametrize"]}, 
             Open]], Cell["FeynRule", "ObjectName", CellTags -> "FeynRule"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FeynRule"], Cell["FeynRule[lag, {fields}] derives \
the Feynman rule corresponding to the field configuration fields of the \
lagrangian lag.", "Text", CellTags -> "FeynRule"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[FeynRule]\)], "Input", CellLabel -> 
                   "In[714]:=", CellTags -> "FeynRule"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Anti5 \[Rule] \(-\[Infinity]\)\), 
                         \(Contract \[Rule] False\), 
                         \(Factor1 \[Rule] False\), 
                         \(FinalSubstitutions \[Rule] \({}\)\), 
                         \(PartialD \[Rule] RightPartialD\), 
                         \(Schouten \[Rule] False\), 
                         \(ZeroMomentumInsertion \[Rule] True\), 
                         \(InitialFunction \[Rule] Identity\)}\)\)], 
                  "Output", CellLabel -> "Out[714]="]}, Open]], 
              Cell["FeynRule does not calculate propagator Feynman rules.", 
               "Text", CellTags -> "FeynRule"], Cell["The option \
ZeroMomentumInsertion can be used for twist-2 and higher twist operators.", 
               "Text", CellTags -> "FeynRule"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["Lagrangian", RuleDelayed[ButtonData, 
                    "Lagrangian"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Lagrangian"]], "."}], "Text", 
               CellTags -> "FeynRule"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "FeynRule"], 
              Cell[CellGroupData[{Cell[BoxData[\(gou = \(Lagrangian["ogu"]\)\)
                   ], "Input", CellLabel -> "In[715]:=", CellTags -> 
                   "FeynRule"], Cell[BoxData[FormBox[RowBox[{\(1\/2\), " ", 
                      \(\[ImaginaryI]\^\(m - 1\)\), " ", RowBox[
                       {SubsuperscriptBox["F", RowBox[{"\[Alpha]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], "a"], ".", 
                        SuperscriptBox[RowBox[{"(", SubsuperscriptBox["D", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          \(ab\)], ")"}], \(m - 2\)], ".", SubsuperscriptBox[
                         "F", RowBox[{"\[Alpha]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], "b"]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[715]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(gop = \(Lagrangian["ogp"]\)\)
                   ], "Input", CellLabel -> "In[716]:=", CellTags -> 
                   "FeynRule"], Cell[BoxData[FormBox[RowBox[{\(1\/2\), " ", 
                      \(\[ImaginaryI]\^m\), " ", RowBox[{SuperscriptBox[
                         "\[Epsilon]", RowBox[{FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Beta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Gamma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}]], ".", 
                        \(F\_\(\[Beta]\[Gamma]\)\%a\), ".", SuperscriptBox[
                         RowBox[{"(", SubsuperscriptBox["D", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], \(ab\)], 
                          ")"}], \(m - 2\)], ".", SubsuperscriptBox["F", 
                         RowBox[{"\[Alpha]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], "b"]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[716]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Explicit[gop]\)], "Input", 
                  CellLabel -> "In[717]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{\(1\/2\), " ", 
                      \(\[ImaginaryI]\^m\), " ", RowBox[{SuperscriptBox[
                         "\[Epsilon]", RowBox[{FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Beta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Gamma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}]], ".", 
                        RowBox[{"(", RowBox[{RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                          FormBox[FormBox["\[Gamma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Gamma]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{\(g\_s\), " ", 
                          RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b2", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox[FormBox[
                          "\[Gamma]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["c17", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c17", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], ")"}], ".", 
                        SuperscriptBox[RowBox[{"(", SubsuperscriptBox["D", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          \(ab\)], ")"}], \(m - 2\)], ".", RowBox[{"(", 
                          RowBox[{RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], 
                          SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]], SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{\(g\_s\), " ", 
                          RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b3", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["c18", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b3", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c18", 
                          "TraditionalForm"], "TraditionalForm"]}]]}]}], 
                          ")"}]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[717]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Cases2[\(%, QuantumField\)]\)], "Input", 
                  CellLabel -> "In[718]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{SubsuperscriptBox[
                         FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["b3", "TraditionalForm"], 
                          "TraditionalForm"]], ",", SubsuperscriptBox[
                         FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "\[Beta]", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["b2", "TraditionalForm"], 
                          "TraditionalForm"]], ",", SubsuperscriptBox[
                         FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "\[Gamma]", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["c17", "TraditionalForm"], 
                          "TraditionalForm"]], ",", SubsuperscriptBox[
                         FormBox["A", "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["c18", "TraditionalForm"], 
                          "TraditionalForm"]], ",", RowBox[{FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], 
                          SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], ",", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                          FormBox[FormBox["\[Gamma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], ",", 
                        RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Gamma]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Beta]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], ",", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]], SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], "}"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[718]="]}, Open]], 
              Cell["2-gluon Feynman rules (unpolarized)", "Text", CellTags -> 
                "FeynRule"], Cell[CellGroupData[{Cell[BoxData[
                   \(fi = \({\(\(QuantumField[
                             \(GaugeField, \({\[Mu]}\), \({a}\)\)]\)[p]\), 
                         \(\(QuantumField[\(GaugeField, \({\[Nu]}\), \({b}\)
                              \)]\)[q]\)}\)\)], "Input", CellLabel -> 
                   "In[719]:=", CellTags -> "FeynRule"], Cell[BoxData[
                   FormBox[RowBox[{"{", RowBox[{RowBox[{SubsuperscriptBox[
                          FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "p", ")"}], ",", 
                        RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "q", ")"}]}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[719]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(f2u = \(FullSimplify/@
                        \(Factor2[\(FeynRule[
                            \(gou, fi, \(ZeroMomentumInsertion \[Rule] False
                               \)\)]\)]\)\)\)], "Input", CellLabel -> 
                   "In[720]:=", CellTags -> "FeynRule"], Cell[BoxData[
                   FormBox[FractionBox[RowBox[{RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], "m"]}], "+", RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], "m"], " ", SuperscriptBox[FormBox[RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}]}], ")"}], " ", RowBox[
                        {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}]}], ")"}], " ", 
                       SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], RowBox[{"2", " ", 
                       SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                         "TraditionalForm"], "2"], " ", SuperscriptBox[
                        FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[720]="]}, 
                Open]], Cell["2-gluon Feynman rules (polarized)", "Text", 
               CellTags -> "FeynRule"], Cell[CellGroupData[{Cell[BoxData[
                   \(fi = \({\(\(QuantumField[
                             \(GaugeField, \({\[Mu]}\), \({a}\)\)]\)[p]\), 
                         \(\(QuantumField[\(GaugeField, \({\[Nu]}\), \({b}\)
                              \)]\)[q]\)}\)\)], "Input", CellLabel -> 
                   "In[721]:=", CellTags -> "FeynRule"], Cell[BoxData[
                   FormBox[RowBox[{"{", RowBox[{RowBox[{SubsuperscriptBox[
                          FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "p", ")"}], ",", 
                        RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "q", ")"}]}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[721]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(f2p = \(FullSimplify/@
                        \(Factor2[\(FeynRule[
                            \(gop, fi, \(ZeroMomentumInsertion \[Rule] False
                               \)\)]\)]\)\)\)], "Input", CellLabel -> 
                   "In[722]:=", CellTags -> "FeynRule"], Cell[BoxData[
                   FormBox[RowBox[{"-", FractionBox[RowBox[{"\[ImaginaryI]", 
                         " ", RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], "m"], " ", RowBox[
                          {"(", RowBox[{RowBox[{SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "p", "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]}], ")"}], " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}], "-", RowBox[
                          {SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "m"], " ", RowBox[
                          {"(", RowBox[{RowBox[{SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "p", "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}]}], ")"}], " ", 
                         SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], RowBox[{SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                         " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[722]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Factor2[\(Calc[\(f2p/.\(p \[Rule] \(-q\)\)\)]\)]\)], 
                  "Input", CellLabel -> "In[723]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{\(-\[ImaginaryI]\), " ", 
                      \((1 - \((\(-1\))\)\^m)\), " ", SuperscriptBox[
                       "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[
                       RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)], " ", 
                      SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[723]="]}, Open]], 
              Cell["Compare with the Feynman rule tabulated in \
Twist2GluonOperator.", "Text", CellTags -> "FeynRule"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       q, \({\[Mu], a}\), \({\[Nu], b}\), 
                        \(Polarization \[Rule] 1\), \(Explicit \[Rule] True\)
                   \)]\)], "Input", CellLabel -> "In[724]:=", CellTags -> 
                   "FeynRule"], Cell[BoxData[FormBox[RowBox[{"\[ImaginaryI]", 
                      " ", SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                         {"1", "-", FormBox[\(\((\(-1\))\)\^m\), 
                          "TraditionalForm"]}], ")"}], " ", FormBox[
                       SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(m - 1\)], "TraditionalForm"], " ", 
                      SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[724]="]}, Open]], 
              Cell["quark-quark Feynman rule (unpolarized)", "Text", 
               CellTags -> "FeynRule"], Cell[CellGroupData[{Cell[BoxData[
                   \(qo = \(Lagrangian["oqu"]\)\)], "Input", CellLabel -> 
                   "In[725]:=", CellTags -> "FeynRule"], Cell[BoxData[
                   FormBox[RowBox[{\(\[ImaginaryI]\^m\), " ", RowBox[{FormBox[
                         \(\[Psi]\&_\), "TraditionalForm"], ".", RowBox[
                         {"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}], 
                        ".", SuperscriptBox[SubscriptBox["D", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], \(m - 1\)], 
                        ".", FormBox["\[Psi]", "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[725]="]}, 
                Open]], Cell[
               "quark-quark -gluon-gluon Feynman rule (unpolarized)", "Text", 
               CellTags -> "FeynRule"], Cell[CellGroupData[{Cell[BoxData[
                   \(qo = \(Lagrangian["oqu"]\)\)], "Input", CellLabel -> 
                   "In[726]:=", CellTags -> "FeynRule"], Cell[BoxData[
                   FormBox[RowBox[{\(\[ImaginaryI]\^m\), " ", RowBox[{FormBox[
                         \(\[Psi]\&_\), "TraditionalForm"], ".", RowBox[
                         {"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}], 
                        ".", SuperscriptBox[SubscriptBox["D", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], \(m - 1\)], 
                        ".", FormBox["\[Psi]", "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[726]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(qggf = \({\(\(QuantumField[QuarkField]\)[p]\), 
                         \(\(QuantumField[AntiQuarkField]\)[q]\), 
                         \(\(QuantumField[\(GaugeField, \({\[Mu]}\), \({a}\)
                              \)]\)[r]\), \(
                          \(QuantumField[\(GaugeField, \({\[Nu]}\), \({b}\)\)
                             ]\)[s]\)}\)\)], "Input", CellLabel -> 
                   "In[727]:=", CellTags -> "FeynRule"], Cell[BoxData[
                   FormBox[RowBox[{"{", RowBox[{RowBox[{FormBox["\[Psi]", 
                          "TraditionalForm"], "(", "p", ")"}], ",", RowBox[
                         {FormBox[\(\[Psi]\&_\), "TraditionalForm"], "(", 
                          "q", ")"}], ",", RowBox[{SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "r", ")"}], ",", 
                        RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "s", ")"}]}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[727]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(n4 = \(FeynRule[\(qo, qggf, 
                          \(ZeroMomentumInsertion \[Rule] True\)\)]\)\)], 
                  "Input", CellLabel -> "In[728]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(g\_s\%2\), " ", 
                        RowBox[{SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}]}], 
                        " ", RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 3\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{\(\((\(-1\))\)\^j\), " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(\(-j\) + m - 3\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], "i"], " ", SuperscriptBox[RowBox[{"(", 
                          RowBox[{RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                        \(\((\(-1\))\)\^m\), " ", \(g\_s\%2\), " ", RowBox[
                         {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}]}], 
                        " ", RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 3\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{\(\((\(-1\))\)\^j\), " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[728]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t4 = \(Twist2QuarkOperator[
                        \(\({p}\), \({q}\), \({r, \[Mu], a}\), 
                          \({s, \[Nu], b}\), \(Polarization \[Rule] 0\)\)]\)\
\)], "Input", CellLabel -> "In[729]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{\(-\((\(-1\))\)\^m\), " ", 
                      \(g\_s\%2\), " ", RowBox[{RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{RowBox[{RowBox[{SubscriptBox["T", FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox["T", FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", RowBox[{"(", RowBox[
                          {FormBox[
                          TagBox[\(\[Sum]\+\(i = 0\)\%\(m - 3\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((i + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], ")"}], 
                          \(\(-i\) + m - 3\)], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "j"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], \(i - j\)]}], 
                          "TraditionalForm"]}], ")"}]}], "+", RowBox[
                          {RowBox[{SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(i = 0\)\%\(m - 3\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((i + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], ")"}], 
                          \(\(-i\) + m - 3\)], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "j"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(i - j\)]}], 
                          "TraditionalForm"]}], ")"}]}]}], ")"}]}], " ", 
                      SuperscriptBox[FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[729]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\(\(\(\(n4 - t4\)/.\(OPEm \[Rule] 5\)\)/.
                          \(s \[Rule] \(\(-p\) - q - r\)\)\)/.\(D \[Rule] 4\)
                   \)]\)], "Input", CellLabel -> "In[730]:=", CellTags -> 
                   "FeynRule"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[730]="]}, Open]], 
              Cell[" In general equality can be shown by Timing[Factor2[ \
FCE[Calc[ChangeDimension[FCE[OPESumExplicit[n4-t4]],4]/.s\[Rule]-p-q-r]]]] \
but it is a little bit slow ...", "Text", CellTags -> "FeynRule"], 
              Cell[BoxData[\(Clear[\(qggf, n2, n4\)]\)], "Input", 
               CellLabel -> "In[731]:=", CellTags -> "FeynRule"], 
              Cell["QCD vertices", "Text", CellTags -> "FeynRule"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(fii = \({\(\(QuantumField[
                             \(GaugeField, \({\[Mu]}\), \({a}\)\)]\)[p]\), 
                         \(\(QuantumField[\(GaugeField, \({\[Nu]}\), \({b}\)
                              \)]\)[q]\), \(
                          \(QuantumField[\(GaugeField, \({\[Rho]}\), \({c}\)
                              \)]\)[r]\)}\)\)], "Input", CellLabel -> 
                   "In[732]:=", CellTags -> "FeynRule"], Cell[BoxData[
                   FormBox[RowBox[{"{", RowBox[{RowBox[{SubsuperscriptBox[
                          FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "p", ")"}], ",", 
                        RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "q", ")"}], ",", 
                        RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "r", ")"}]}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[732]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(g3 = \(FeynRule[\(\(Lagrangian["QCD"]\), fii\)]\)\)], 
                  "Input", CellLabel -> "In[733]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{\(g\_s\), " ", RowBox[
                       {"(", RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", SuperscriptBox[FormBox[
                          "r", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}], 
                          " ", \(g\^\(\[Nu]\[Rho]\)\)}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", SuperscriptBox[FormBox[
                          "r", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                          "+", RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], "-", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}]}], ")"}], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[733]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonVertex[\(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\), \(Explicit \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[734]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{\(g\_s\), " ", RowBox[
                       {"(", RowBox[{RowBox[{SuperscriptBox[RowBox[{"(", 
                          FormBox[\(q - r\), "TraditionalForm"], ")"}], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Rho]\)\)}], 
                          "+", RowBox[{\(g\^\(\[Mu]\[Rho]\)\), " ", 
                          SuperscriptBox[RowBox[{"(", FormBox[\(r - p\), 
                          "TraditionalForm"], ")"}], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[
                          RowBox[{"(", FormBox[\(p - q\), "TraditionalForm"], 
                          ")"}], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], ")"}], 
                      " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[734]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\(g3 - \(ChangeDimension[\(%, 4\)]\)\)]\)], 
                  "Input", CellLabel -> "In[735]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[735]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(fi4 = \({\(\(QuantumField[
                             \(GaugeField, \({\[Mu]}\), \({a}\)\)]\)[p]\), 
                         \(\(QuantumField[\(GaugeField, \({\[Nu]}\), \({b}\)
                              \)]\)[q]\), \(
                          \(QuantumField[\(GaugeField, \({\[Rho]}\), \({c}\)
                              \)]\)[r]\), \(
                          \(QuantumField[\(
                              GaugeField, \({\[Sigma]}\), \({d}\)\)]\)[s]\)}\
\)\)], "Input", CellLabel -> "In[736]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{RowBox[
                         {SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], "(", "p", 
                          ")"}], ",", RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "q", ")"}], ",", 
                        RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "r", ")"}], ",", 
                        RowBox[{SubsuperscriptBox[FormBox["A", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "s", ")"}]}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[736]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(g4 = \(FeynRule[\(\(Lagrangian["QCD"]\), fi4\)]\)\)], 
                  "Input", CellLabel -> "In[737]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"\[ImaginaryI]", " ", 
                        \((\(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\) - 
                            \(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\))\), 
                        " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["si1", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["si1", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        \(g\_s\%2\)}], "+", RowBox[{"\[ImaginaryI]", " ", 
                        \((\(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\) - 
                            \(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\))\), 
                        " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["si1", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["si1", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        \(g\_s\%2\)}], "+", RowBox[{"\[ImaginaryI]", " ", 
                        \((\(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\) - 
                            \(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\))\), 
                        " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["si1", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["si1", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        \(g\_s\%2\)}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[737]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(GluonVertex[\(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\), \({s, \[Sigma], d}\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[738]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[FormBox[RowBox[{\(-\[ImaginaryI]\), " ", 
                      \(g\_s\%2\), " ", RowBox[{"(", RowBox[{RowBox[{
                          \((\(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\) - 
                              \(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\))\)\
, " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u8", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u8", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                          \((\(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\) - 
                              \(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\))\)\
, " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u8", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u8", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                          \((\(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\) - 
                              \(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\))\)\
, " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u8", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u8", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[738]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\(g4 - \(ChangeDimension[\(%, 4\)]\)\)]\)], 
                  "Input", CellLabel -> "In[739]:=", CellTags -> "FeynRule"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[739]="]}, Open]], Cell[BoxData[
                \(Clear[\(f2p, f2u, f3, f32, fi, fi4, fii, g3, g4, gop, gou, 
                     n3, nf3, n4, np2, npf3, p33, pf3, pn3, pqo, qf, qp, qgf,
                      qo, t4\)]\)], "Input", CellLabel -> "In[740]:=", 
               CellTags -> "FeynRule"]}, Open]], Cell["FI", "ObjectName", 
            CellTags -> "FI"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "FI"], Cell["FI changes the \
output format to InputForm. This is useful to see the internal representation \
of FeynCalc objects. To change back to FeynCalcForm use FC.", "Text", 
               CellTags -> "FI"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalcForm", 
                   RuleDelayed[ButtonData, "FeynCalcForm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcForm"]], ", ", 
                 ButtonBox["FC", RuleDelayed[ButtonData, "FC"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FC"]], 
                 ", ", 
                 ButtonBox["FeynCalcExternal", 
                   RuleDelayed[ButtonData, "FeynCalcExternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcExternal"]], ", ", 
                 ButtonBox["FeynCalcInternal", 
                   RuleDelayed[ButtonData, "FeynCalcInternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcInternal"]], "."}], "Text", 
               CellTags -> "FI"]}, Open]], Cell["FieldDerivative", 
            "ObjectName", CellTags -> "FieldDerivative"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FieldDerivative"], Cell["FieldDerivative[f[x],x,l\
i1,li2,...] is the derivative of f[x] with respect to space-time variables x \
and with Lorentz indices li1, li2, ..., where li1, li2, ... have head \
LorentzIndex. FieldDerivative[f[x],x,li1,li2,...] can be given as \
FieldDerivative[f[x],x,{l1,l2,...}], where l1 is li1 without the head, ... \
FieldDerivative is defined only for objects with head QuantumField[...]. If \
the space-time derivative of other objects is wanted, the corresponding rule \
must be specified.", "Text", CellTags -> "FieldDerivative"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["PartialD", RuleDelayed[ButtonData, "PartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PartialD"]], ", ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], "."}], "Text", 
               CellTags -> "FieldDerivative"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FieldDerivative"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(QuantumField[\(A, \({\[Mu]}\)\)]\)[x]\) . 
                      \(\(QuantumField[\(B, \({\[Nu]}\)\)]\)[y]\) . 
                      \(\(QuantumField[\(C, \({\[Rho]}\)\)]\)[x]\) . 
                      \(\(QuantumField[\(D, \({\[Sigma]}\)\)]\)[y]\)\)], 
                  "Input", CellLabel -> "In[741]:=", CellTags -> 
                   "FieldDerivative"], Cell[BoxData[FormBox[RowBox[{
                      \(A\_\[Mu](x)\), ".", \(B\_\[Nu](y)\), ".", RowBox[
                       {SubscriptBox[FormBox["C", "TraditionalForm"], 
                         "\[Rho]"], "(", "x", ")"}], ".", RowBox[
                       {SubscriptBox[FormBox["D", "TraditionalForm"], 
                         "\[Sigma]"], "(", "y", ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[741]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(FieldDerivative[\(%, x, \({\[Mu]}\)\)]\)//DotExpand\)]\
, "Input", CellLabel -> "In[742]:=", CellTags -> "FieldDerivative"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(A\_\[Mu](x)\), ".", 
                        \(B\_\[Nu](y)\), ".", RowBox[{RowBox[{"(", RowBox[
                          {SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox[FormBox["C", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}], ")"}], 
                          "\[InvisibleApplication]", \((x)\)}], ".", 
                        RowBox[{SubscriptBox[FormBox["D", "TraditionalForm"], 
                          "\[Sigma]"], "(", "y", ")"}]}], "+", RowBox[
                       {RowBox[{RowBox[{"(", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ")"}], "\[InvisibleApplication]", 
                          \((x)\)}], ".", \(B\_\[Nu](y)\), ".", RowBox[
                         {SubscriptBox[FormBox["C", "TraditionalForm"], 
                          "\[Rho]"], "(", "x", ")"}], ".", RowBox[
                         {SubscriptBox[FormBox["D", "TraditionalForm"], 
                          "\[Sigma]"], "(", "y", ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[742]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(FieldDerivative[\(%, y, \({\[Nu]}\)\)]\)//DotExpand\)]\
, "Input", CellLabel -> "In[743]:=", CellTags -> "FieldDerivative"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(A\_\[Mu](x)\), ".", 
                        \(B\_\[Nu](y)\), ".", RowBox[{RowBox[{"(", RowBox[
                          {SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox[FormBox["C", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}], ")"}], 
                          "\[InvisibleApplication]", \((x)\)}], ".", 
                        RowBox[{RowBox[{"(", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox[FormBox["D", "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}], ")"}], 
                          "\[InvisibleApplication]", \((y)\)}]}], "+", 
                      RowBox[{\(A\_\[Mu](x)\), ".", RowBox[{RowBox[{"(", 
                          RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["B", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ")"}], "\[InvisibleApplication]", 
                          \((y)\)}], ".", RowBox[{RowBox[{"(", RowBox[
                          {SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox[FormBox["C", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}], ")"}], 
                          "\[InvisibleApplication]", \((x)\)}], ".", 
                        RowBox[{SubscriptBox[FormBox["D", "TraditionalForm"], 
                          "\[Sigma]"], "(", "y", ")"}]}], "+", RowBox[
                       {RowBox[{RowBox[{"(", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ")"}], "\[InvisibleApplication]", 
                          \((x)\)}], ".", \(B\_\[Nu](y)\), ".", RowBox[
                         {SubscriptBox[FormBox["C", "TraditionalForm"], 
                          "\[Rho]"], "(", "x", ")"}], ".", RowBox[
                         {RowBox[{"(", RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox[FormBox["D", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ")"}], "\[InvisibleApplication]", 
                          \((y)\)}]}], "+", RowBox[{RowBox[{RowBox[{"(", 
                          RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ")"}], "\[InvisibleApplication]", 
                          \((x)\)}], ".", RowBox[{RowBox[{"(", RowBox[
                          {SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["B", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ")"}], "\[InvisibleApplication]", 
                          \((y)\)}], ".", RowBox[{SubscriptBox[FormBox["C", 
                          "TraditionalForm"], "\[Rho]"], "(", "x", ")"}], 
                        ".", RowBox[{SubscriptBox[FormBox["D", 
                          "TraditionalForm"], "\[Sigma]"], "(", "y", 
                          ")"}]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[743]="]}, Open]]}, Open]], 
           Cell["FieldStrength", "ObjectName", CellTags -> "FieldStrength"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FieldStrength"], Cell[TextData[
                {"FieldStrength[\[Mu], \[Nu], a] is the field strength tensor \
", Cell[BoxData[
                   \(TraditionalForm\`\(\(\[PartialD]\_\[Mu] A\_\[Nu]\%a\) - 
                        \(\[PartialD]\_\[Nu] A\_\[Mu]\%a\) + 
                        \(g\_s\ A\_\[Mu]\%b1 A\_\[Nu]\%c1\)\)\)]], 
                 Cell[BoxData[\(TraditionalForm\`\(\ f\^\(a\ b1\ c1\)\)\)]], 
                 ". FieldStrength[\[Mu], \[Nu]] is the field strength tensor \
", Cell[BoxData[
                   \(TraditionalForm\`\(\(\[PartialD]\_\[Mu] 
                          A\_\[Nu]\%\[Null]\) - 
                        \(\(\[PartialD]\_\[Nu] A\_\[Mu]\%\[Null]\) .\)\)\)]], 
                 " The name of the field (A) and the coupling constant (g) \
can be set through the options or by additional arguments. The first two \
indices are interpreted as type LorentzIndex, except OPEDelta, which is \
converted to Momentum[OPEDelta]."}], "Text", CellTags -> "FieldStrength"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[FieldStrength]\)], 
                  "Input", CellLabel -> "In[744]:=", CellTags -> 
                   "FieldStrength"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Explicit \[Rule] False\), 
                         \(HighEnergyPhysics`fctools`IndexPosition`IndexPosi\
tion \[Rule] \({0, 0}\)\), \(Symbol \[Rule] "F"\), 
                         \(QuantumField \[Rule] A\)}\)\)], "Output", 
                  CellLabel -> "Out[744]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["QuantumField", 
                   RuleDelayed[ButtonData, "QuantumField"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuantumField"]], "."}], "Text", 
               CellTags -> "FieldStrength"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FieldStrength"], Cell[CellGroupData[{Cell[BoxData[
                   \(FieldStrength[\(\[Mu], \[Nu]\)]\)], "Input", 
                  CellLabel -> "In[745]:=", CellTags -> "FieldStrength"], 
                 Cell[BoxData[\(TraditionalForm\`F\_\(\[Mu]\[Nu]\)\%\[Null]\)]
                   , "Output", CellLabel -> "Out[745]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FieldStrength[\(\[Mu], \[Nu], a\)]\)], "Input", 
                  CellLabel -> "In[746]:=", CellTags -> "FieldStrength"], 
                 Cell[BoxData[\(TraditionalForm\`F\_\(\[Mu]\[Nu]\)\%a\)], 
                  "Output", CellLabel -> "Out[746]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FieldStrength[\(\[Mu], \[Nu], \(Explicit \[Rule] True\)
                       \)]\)], "Input", CellLabel -> "In[747]:=", CellTags -> 
                   "FieldStrength"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}], "-", RowBox[
                       {SubscriptBox["\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[747]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FieldStrength[\(\[Mu], \[Nu], a, 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[748]:=", CellTags -> "FieldStrength"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                      RowBox[{\(g\_s\), " ", RowBox[{SubsuperscriptBox[
                          FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b12", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c61", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(f\_\(ab12c61\)\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[748]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FieldStrength[
                        \(\[Mu], \[Nu], \(Explicit \[Rule] True\)\)]\)]\)], 
                  "Input", CellLabel -> "In[749]:=", CellTags -> 
                   "FieldStrength"], Cell[BoxData[
                   \(\(QuantumField[\(\(PartialD[\(LorentzIndex[\[Mu]]\)]\), 
                          GaugeField, \(LorentzIndex[\[Nu]]\)\)]\) - 
                      \(QuantumField[\(\(PartialD[\(LorentzIndex[\[Nu]]\)]\),
                           GaugeField, \(LorentzIndex[\[Mu]]\)\)]\)\)], 
                  "Output", CellLabel -> "Out[749]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FieldStrength[
                        \(\[Mu], OPEDelta, \(Explicit \[Rule] True\)\)]\)]\)]\
, "Input", CellLabel -> "In[750]:=", CellTags -> "FieldStrength"], 
                 Cell[BoxData[
                   \(\(QuantumField[\(\(PartialD[\(LorentzIndex[\[Mu]]\)]\), 
                          GaugeField, \(Momentum[OPEDelta]\)\)]\) - 
                      \(QuantumField[\(\(PartialD[\(Momentum[OPEDelta]\)]\), 
                          GaugeField, \(LorentzIndex[\[Mu]]\)\)]\)\)], 
                  "Output", CellLabel -> "Out[750]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FieldStrength[\(\[Mu], \[Nu], a, 
                        \(CouplingConstant \[Rule] \(-Gstrong\)\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[751]:=", CellTags -> "FieldStrength"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{\(g\_s\), " ", RowBox[{SubsuperscriptBox[
                          FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b13", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox[FormBox[
                          "A", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c62", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", \(f\_\(ab13c62\)\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[751]="]}, 
                Open]]}, Open]], Cell["FinalFunction", "ObjectName", 
            CellTags -> "FinalFunction"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FinalFunction"], Cell[
               "FinalFunction is an option for OneLoopSum.", "Text", 
               CellTags -> "FinalFunction"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], "."}], "Text", 
               CellTags -> "FinalFunction"]}, Open]], 
           Cell["FinalSubstitutions", "ObjectName", CellTags -> 
             "FinalSubstitutions"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FinalSubstitutions"], Cell["FinalSubstitutions is an option \
for OneLoop and OneLoopSum and Write2. All substitutions indicated hereby are \
done at the end of the calculation.", "Text", CellTags -> 
                "FinalSubstitutions"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], ", ", 
                 ButtonBox["Write2", RuleDelayed[ButtonData, "Write2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Write2"]], "."}], "Text", CellTags -> 
                "FinalSubstitutions"]}, Open]], Cell["FORM", "ObjectName", 
            CellTags -> "FORM"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "FORM"], Cell["FORM is an option \
for RHI. If set to True a FORM file is generated and run from Mathematica \
(provided R. Hamberg's FORM-program is installed correctly ... ).", "Text", 
               CellTags -> "FORM"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 ", ", 
                 ButtonBox["FeynCalc2FORM", 
                   RuleDelayed[ButtonData, "FeynCalc2FORM"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalc2FORM"]], "."}], "Text", 
               CellTags -> "FORM"]}, Open]], Cell["FORMEpilog", "ObjectName", 
            CellTags -> "FORMEpilog"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "FORMEpilog"], 
              Cell["FORMEpilog is an option for FeynCalc2FORM. It may be set \
to a string which is put at the end of the FORM-file.", "Text", CellTags -> 
                "FORMEpilog"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalc2FORM", 
                   RuleDelayed[ButtonData, "FeynCalc2FORM"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalc2FORM"]], ", ", 
                 ButtonBox["FORMProlog", RuleDelayed[ButtonData, 
                    "FORMProlog"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FORMProlog"]], "."}], "Text", 
               CellTags -> "FORMEpilog"]}, Open]], Cell["FORMProlog", 
            "ObjectName", CellTags -> "FORMProlog"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FORMProlog"], Cell["FORMProlog is an option for \
FeynCalc2FORM. It may be set to a string which is put after the type \
declarations of the FORM-file.", "Text", CellTags -> "FORMProlog"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalc2FORM", 
                   RuleDelayed[ButtonData, "FeynCalc2FORM"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalc2FORM"]], ", ", 
                 ButtonBox["FORMEpilog", RuleDelayed[ButtonData, 
                    "FORMEpilog"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FORMEpilog"]], "."}], "Text", 
               CellTags -> "FORMProlog"]}, Open]], Cell["FORM2FeynCalc", 
            "ObjectName", CellTags -> "FORM2FeynCalc"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FORM2FeynCalc"], Cell["FORM2FeynCalc[expr] \
translates the FORM expr into FeynCalc notation. FORM2FeynCalc[file] \
translates the FORM expresssions in file into FeynCalcnotation. \
FORM2FeynCalc[file, x1, x2, ...] reads in a file in FORM-format and \
translates the assignments for the variables a, b, ... into FeynCalc syntax. \
If the option Set is True, the variables x1, x2 are assigned to the right \
hand sides defined in the FORM-file.", "Text", CellTags -> "FORM2FeynCalc"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalc2FORM", 
                   RuleDelayed[ButtonData, "FeynCalc2FORM"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalc2FORM"]], "."}], "Text", 
               CellTags -> "FORM2FeynCalc"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[FORM2FeynCalc]\)], "Input", CellLabel -> 
                   "In[752]:=", CellTags -> "FORM2FeynCalc"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] 4\), 
                         \(FinalSubstitutions \[Rule] \({}\)\), 
                         \(Dot \[Rule] Dot\), \(HoldForm \[Rule] True\), 
                         \(LorentzIndex \[Rule] \({mu, nu, al, be}\)\), 
                         \(Set \[Rule] False\), \(Replace \[Rule] \({}\)\), 
                         \(Vectors \[Rule] Automatic\)}\)\)], "Output", 
                  CellLabel -> "Out[752]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FORM2FeynCalc"], Cell[CellGroupData[{Cell[BoxData[
                   \(FORM2FeynCalc["p.q + 2*x m^2"]\)], "Input", CellLabel -> 
                   "In[753]:=", CellTags -> "FORM2FeynCalc"], 
                 Cell[BoxData[FormBox[RowBox[{\(2\ \(x . m\^2\)\), "+", 
                      FormBox[RowBox[{FormBox["p", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[753]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[754]:=", CellTags -> "FORM2FeynCalc"], Cell[BoxData[
                   \(\(2\ \(x . m\^2\)\) + \(SP[\(p, q\)]\)\)], "Output", 
                  CellLabel -> "Out[754]//StandardForm="]}, Open]], 
              Cell["Functions are automatically converted right, but \
bracketed expressions need to be substituted explicitly.", "Text", 
               CellTags -> "FORM2FeynCalc"], Cell[CellGroupData[{Cell[BoxData[
                   \(FORM2FeynCalc[\("x +f(z)+ log(x)^2+[li2(1-x)]", 
                        \(Replace \[Rule] \(
                           {"[li2(1-x)]" \[Rule] "PolyLog[2,1-x]"}\)\)\)]\)], 
                  "Input", CellLabel -> "In[755]:=", CellTags -> 
                   "FORM2FeynCalc"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(log\^2\)(x)\) + x + \(f(z)\) + 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(1 - x\))\)\)\)], "Output", CellLabel -> 
                   "Out[755]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//StandardForm\)], "Input", CellLabel -> "In[756]:=", 
                  CellTags -> "FORM2FeynCalc"], Cell[BoxData[
                   \(x + \(f[z]\) + \(Log[x]\)\^2 + 
                      \(PolyLog[\(2, \(1 - x\)\)]\)\)], "Output", 
                  CellLabel -> "Out[756]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FORM2FeynCalc["x + [(1)]*y -[(-1)^m]"]\)], "Input", 
                  CellLabel -> "In[757]:=", CellTags -> "FORM2FeynCalc"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(x + \(\(Hold[1]\) . y\) - 
                        \(Hold[\(\((\(-1\))\)\^m\)]\)\)\)], "Output", 
                  CellLabel -> "Out[757]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ReleaseHold[%]\)], "Input", CellLabel -> 
                   "In[758]:=", CellTags -> "FORM2FeynCalc"], Cell[BoxData[
                   \(TraditionalForm\`\(x - \((\(-1\))\)\^m + \(1 . y\)\)\)], 
                  "Output", CellLabel -> "Out[758]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FORM2FeynCalc["p(mu)*q(nu)+d_(mu,nu)"]\)], "Input", 
                  CellLabel -> "In[759]:=", CellTags -> "FORM2FeynCalc"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(p\^mu . q\^nu\) + g\^\(munu\)\)\)], 
                  "Output", CellLabel -> "Out[759]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)], "Input", 
                  CellLabel -> "In[760]:=", CellTags -> "FORM2FeynCalc"], 
                 Cell[BoxData[
                   \(\(\(FV[\(p, mu\)]\) . \(FV[\(q, nu\)]\)\) + 
                      \(MT[\(mu, nu\)]\)\)], "Output", CellLabel -> 
                   "Out[760]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FORM2FeynCalc[\("p(mu)*q(nu)+d_(mu,nu)", 
                        \(Replace \[Rule] \(
                           {\(mu \[Rule] \[Mu]\), \(nu \[Rule] \[Nu]\)}\)\)\)\
]\)], "Input", CellLabel -> "In[761]:=", CellTags -> "FORM2FeynCalc"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(p\^\[Mu] . q\^\[Nu]\) + 
                        g\^\(\[Mu]\[Nu]\)\)\)], "Output", CellLabel -> 
                   "Out[761]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FORM2FeynCalc["i_*az*bz*aM^2*D1*[(1)]*b_G1 * ( \
4*eperp(mu,nu)*avec.bvec*blam )"]\)], "Input", CellLabel -> "In[762]:=", 
                  CellTags -> "FORM2FeynCalc"], Cell[BoxData[FormBox[RowBox[{
                      \((4\ \[ImaginaryI])\), ".", "az", ".", "bz", ".", 
                      \(aM\^2\), ".", "D1", ".", \(Hold[1]\), ".", "b$G1", 
                      ".", \(eperp(mu, nu)\), ".", RowBox[{"(", FormBox[
                         RowBox[{FormBox["avec", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["bvec", 
                          "TraditionalForm"]}], "TraditionalForm"], ")"}], 
                      ".", "blam"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[762]="]}, Open]]}, Open]], 
           Cell["FourDivergence", "ObjectName", CellTags -> 
             "FourDivergence"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "FourDivergence"], 
              Cell["FourDivergence[exp, FourVector[p, mu]] calculates the \
partial derivative of exp w.r.t. p(mu). FourDivergence[exp, FourVector[p, \
mu], FourVector[p,nu], ...]gives the multiple derivative.", "Text", 
               CellTags -> "FourDivergence"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["RussianTrick", 
                   RuleDelayed[ButtonData, "RussianTrick"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RussianTrick"]], "."}], "Text", 
               CellTags -> "FourDivergence"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FourDivergence"], Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(ScalarProduct[\(p, q\)]\)\)], "Input", 
                  CellLabel -> "In[763]:=", CellTags -> "FourDivergence"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["p", 
                       "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[763]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FourDivergence[\(t, \(FourVector[\(q, \[Mu]\)]\)\)]\)], 
                  "Input", CellLabel -> "In[764]:=", CellTags -> 
                   "FourDivergence"], Cell[BoxData[FormBox[SuperscriptBox[
                     FormBox["p", "TraditionalForm"], FormBox[FormBox[
                       "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[764]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(ScalarProduct[\(\(p - k\), q\)]\)\)], "Input", 
                  CellLabel -> "In[765]:=", CellTags -> "FourDivergence"], 
                 Cell[BoxData[FormBox[RowBox[{"(", FormBox[\(p - k\), 
                       "TraditionalForm"], ")", "\[CenterDot]", FormBox["q", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[765]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FourDivergence[\(t, \(FourVector[\(\(k - p\), \[Mu]\)]\)
                       \)]\)], "Input", CellLabel -> "In[766]:=", CellTags -> 
                   "FourDivergence"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[766]="]}, Open]], Cell[BoxData[
                \(Clear[t]\)], "Input", CellLabel -> "In[767]:=", CellTags -> 
                "FourDivergence"]}, Open]], Cell["FourLaplacian", 
            "ObjectName", CellTags -> "FourLaplacian"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FourLaplacian"], Cell[TextData[
                {"FourLaplacian[exp, p, q] is ", Cell[BoxData[
                   \(TraditionalForm\`\(\[PartialD]
                        \(/\(\[PartialD] p\_\[Mu]\)\)\ \)\)]], Cell[BoxData[
                   \(TraditionalForm\`\(\[PartialD]
                        \(/\(\[PartialD] q\_\[Mu]\)\)\ \)\)]], "exp."}], 
               "Text", CellTags -> "FourLaplacian"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[FourLaplacian]\)], "Input", 
                  CellLabel -> "In[768]:=", CellTags -> "FourLaplacian"], 
                 Cell[BoxData[\(TraditionalForm\`\({Dimension \[Rule] D}\)\)]
                   , "Output", CellLabel -> "Out[768]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FourDivergence", 
                   RuleDelayed[ButtonData, "FourDivergence"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FourDivergence"]], ", ", 
                 ButtonBox["RussianTrick", 
                   RuleDelayed[ButtonData, "RussianTrick"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RussianTrick"]], "."}], "Text", 
               CellTags -> "FourLaplacian"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FourLaplacian"], Cell[CellGroupData[{Cell[BoxData[
                   \(SP[\(q, q\)]\)], "Input", CellLabel -> "In[769]:=", 
                  CellTags -> "FourLaplacian"], Cell[BoxData[FormBox[
                    SuperscriptBox[FormBox["q", "TraditionalForm"], "2"], 
                    TraditionalForm]], "Output", CellLabel -> "Out[769]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FourLaplacian[\(%, q, q\)]\)], "Input", CellLabel -> 
                   "In[770]:=", CellTags -> "FourLaplacian"], Cell[BoxData[
                   \(TraditionalForm\`\(2\ D\)\)], "Output", CellLabel -> 
                   "Out[770]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(SOD[q]\)^OPEm\)\(FAD[\(q, \(q - p\)\)]\)\)//FCI\)]\
, "Input", CellLabel -> "In[771]:=", CellTags -> "FourLaplacian"], 
                 Cell[BoxData[FormBox[FractionBox[SuperscriptBox[RowBox[
                       {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "m"], 
                     \(q\^2 . \((q - p)\)\^2\)], TraditionalForm]], "Output", 
                  CellLabel -> "Out[771]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FourLaplacian[\(%, q,\ q\)]\)], "Input", 
                  CellLabel -> "In[772]:=", CellTags -> "FourLaplacian"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"-", FractionBox[
                         RowBox[{"4", " ", "m", " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)], " ", 
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "-", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], ")"}]}], 
                         \(q\^2 . \((q - p)\)\^2 . \((q - p)\)\^2\)]}], "-", 
                      FractionBox[RowBox[{"2", " ", "D", " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "m"]}], 
                       \(q\^2 . q\^2 . \((q - p)\)\^2\)], "-", FractionBox[
                       RowBox[{"4", " ", "m", " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "m"]}], 
                       \(q\^2 . q\^2 . \((q - p)\)\^2\)], "+", FractionBox[
                       RowBox[{"12", " ", SuperscriptBox[RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], "m"]}], \(q\^2 . q\^2 . \((q - p)\)\^2\)], 
                      "-", FractionBox[RowBox[{"2", " ", "D", " ", 
                         SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], "m"]}], 
                       \(q\^2 . \((q - p)\)\^2 . \((q - p)\)\^2\)], "+", 
                      FractionBox[RowBox[{"12", " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "m"]}], 
                       \(q\^2 . \((q - p)\)\^2 . \((q - p)\)\^2\)], "-", 
                      FractionBox[RowBox[{"4", " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "m"], " ", 
                         SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"]}], 
                       \(q\^2 . q\^2 . \((q - p)\)\^2 . \((q - p)\)\^2\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[772]="]}, 
                Open]]}, Open]], Cell["FourVector", "ObjectName", 
            CellTags -> "FourVector"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "FourVector"], 
              Cell[TextData[{"FourVector[p, ", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], 
                 "] is the four-dimensional vector p with Lorentz index ", 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], ". A vector with \
space-time Dimension D is obtained by supplying the option Dimension \[Rule] \
D."}], "Text", CellTags -> "FourVector"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FV", RuleDelayed[ButtonData, "FV"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FV"]], 
                 ", ", 
                 ButtonBox["FVD", RuleDelayed[ButtonData, "FVD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FVD"]], 
                 ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, "."}], "Text", CellTags -> "FourVector"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FourVector"], Cell[CellGroupData[{Cell[BoxData[
                   \(FourVector[\(p, \[Mu]\)]\)], "Input", CellLabel -> 
                   "In[773]:=", CellTags -> "FourVector"], Cell[BoxData[
                   \(TraditionalForm\`p\_\[Mu]\)], "Output", CellLabel -> 
                   "Out[773]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FourVector[\(\(p - q\), \[Mu]\)]\)], "Input", 
                  CellLabel -> "In[774]:=", CellTags -> "FourVector"], 
                 Cell[BoxData[FormBox[SubscriptBox[RowBox[{"(", FormBox[
                        TagBox[\(p - q\), HoldForm], "TraditionalForm"], 
                       ")"}], "\[Mu]"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[774]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(StandardForm[\(FourVector[\(p, \[Mu]\)]\)]\)]
                   , "Input", CellLabel -> "In[775]:=", CellTags -> 
                   "FourVector"], Cell[BoxData[\(FourVector[\(p, \[Mu]\)]\)], 
                  "Output", CellLabel -> "Out[775]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FourVector[
                        \(p, \[Mu], \(Dimension \[Rule] D\)\)]\)]\)], 
                  "Input", CellLabel -> "In[776]:=", CellTags -> 
                   "FourVector"], Cell[BoxData[
                   \(FourVector[\(p, \[Mu], \(Dimension \[Rule] D\)\)]\)], 
                  "Output", CellLabel -> "Out[776]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FCE[\(FourVector[\(p, \[Mu]\)]\)]\)]\)], 
                  "Input", CellLabel -> "In[777]:=", CellTags -> 
                   "FourVector"], Cell[BoxData[\(FourVector[\(p, \[Mu]\)]\)], 
                  "Output", CellLabel -> "Out[777]//StandardForm="]}, Open]], 
              Cell["There is no special function to expand momenta in \
FourVector. Since FourVector is turned into Pair internally \
ExpandScalarProduct may be used.", "Text", CellTags -> "FourVector"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct[\(FourVector[\(\(p - q\), \[Mu]\)]\)
                      ]\)], "Input", CellLabel -> "In[778]:=", CellTags -> 
                   "FourVector"], Cell[BoxData[FormBox[SubscriptBox[
                     RowBox[{"(", FormBox[TagBox[\(p - q\), HoldForm], 
                        "TraditionalForm"], ")"}], "\[Mu]"], 
                    TraditionalForm]], "Output", CellLabel -> "Out[778]="]}, 
                Open]]}, Open]], Cell["FreeIndex", "ObjectName", 
            CellTags -> "FreeIndex"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "FreeIndex"], 
              Cell["FreeIndex is a datatype which is recognized by Contract. \
Possible use: DataType[mu, FreeIndex] = True.", "Text", CellTags -> 
                "FreeIndex"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], ", ", 
                 ButtonBox["DataType", RuleDelayed[ButtonData, "DataType"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DataType"]], "."}], "Text", CellTags -> 
                "FreeIndex"]}, Open]], Cell["FreeQ2", "ObjectName", 
            CellTags -> "FreeQ2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "FreeQ2"], 
              Cell["FreeQ2[expr, {form1, form2, ...}] yields True if expr \
does not contain any occurence of form1, form2, ... and False otherwise. \
FreeQ2[expr, form] is the same as FreeQ[expr, form].", "Text", CellTags -> 
                "FreeQ2"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SelectFree", RuleDelayed[ButtonData, 
                    "SelectFree"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SelectFree"]], ", ", 
                 ButtonBox["SelectNotFree", 
                   RuleDelayed[ButtonData, "SelectNotFree"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SelectNotFree"]], "."}], "Text", 
               CellTags -> "FreeQ2"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "FreeQ2"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FreeQ2[\(\(x + \(f[x]\) + y\),\ \({a, x}\)\)]\)], 
                  "Input", CellLabel -> "In[779]:=", CellTags -> "FreeQ2"], 
                 Cell[BoxData[\(TraditionalForm\`False\)], "Output", 
                  CellLabel -> "Out[779]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FreeQ2[\(\(x + \(f[x]\) + y\), \({a, b}\)\)]\)
                   ], "Input", CellLabel -> "In[780]:=", CellTags -> 
                   "FreeQ2"], Cell[BoxData[\(TraditionalForm\`True\)], 
                  "Output", CellLabel -> "Out[780]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(FreeQ2[\(x,\ y\)]\)], 
                  "Input", CellLabel -> "In[781]:=", CellTags -> "FreeQ2"], 
                 Cell[BoxData[\(TraditionalForm\`True\)], "Output", 
                  CellLabel -> "Out[781]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FreeQ2[\(\(f[x]\),\ f\)]\)], "Input", 
                  CellLabel -> "In[782]:=", CellTags -> "FreeQ2"], 
                 Cell[BoxData[\(TraditionalForm\`False\)], "Output", 
                  CellLabel -> "Out[782]="]}, Open]]}, Open]], 
           Cell["FRH", "ObjectName", CellTags -> "FRH"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FRH"], Cell["FRH[exp_] := FixedPoint[ReleaseHold, \
exp], i.e., FRH removes all HoldForm and Hold in exp.", "Text", CellTags -> 
                "FRH"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Isolate", RuleDelayed[ButtonData, "Isolate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Isolate"]], "."}], "Text", CellTags -> 
                "FRH"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "FRH"], Cell[CellGroupData[
                {Cell[BoxData[\(Hold[\(1 - 1\ -\ \(Hold[\(2 - 2\)]\)\)]\)], 
                  "Input", CellLabel -> "In[783]:=", CellTags -> "FRH"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(Hold[
                        \(\(-\(Hold[\(2 - 2\)]\)\) + 1 - 1\)]\)\)], "Output", 
                  CellLabel -> "Out[783]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FRH[%]\)], "Input", CellLabel -> "In[784]:=", 
                  CellTags -> "FRH"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[784]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Isolate[\(\(Solve[\(\(\(x^3\) - x - 1\) == 0\)]\), x, 
                        \(IsolateNames \[Rule] HH\)\)]\)], "Input", 
                  CellLabel -> "In[785]:=", CellTags -> "FRH"], Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          {x \[Rule] \*TagBox[\(HH(3)\), HoldForm]}\), 
                         \({x \[Rule] \*TagBox[\(HH(6)\), HoldForm]}\), 
                         \({x \[Rule] \*TagBox[\(HH(7)\), HoldForm]}\)}\)\)], 
                  "Output", CellLabel -> "Out[785]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(FRH[\(HH[3]\)]\)], "Input", 
                  CellLabel -> "In[786]:=", CellTags -> "FRH"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/3\ 
                          \@\(27\/2 - \(3\ \@69\)\/2\)\%3\) + 
                        \@\(1\/2\ \((9 + \@69)\)\)\%3\/3\^\(2/3\)\)\)], 
                  "Output", CellLabel -> "Out[786]="]}, Open]]}, Open]], 
           Cell["FromTFI", "ObjectName", CellTags -> "FromTFi"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FromTFi"], Cell["FromTFi[expr, q1, q2, p] \
translates the TFi notatation from the TARCER package to the usual FeynCalc \
notation. See TFi for details on the conventions.", "Text", CellTags -> 
                "FromTFi"], Cell[TextData[{"See also: ", 
                 ButtonBox["TFI", RuleDelayed[ButtonData, "TFI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TFI"]], 
                 ", ", 
                 ButtonBox["ToTFI", RuleDelayed[ButtonData, "ToTFI"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ToTFI"]], "."}], "Text", CellTags -> 
                "FromTFI"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "FromTFi"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ToTFI[\(\(FAD[\(q1, \(q1 - p\), \({q2, M}\), 
                            \({\(q2 - p\), m}\), \(q1 - q2\)\)]\), q1, q2, p\
\)]\)], "Input", CellLabel -> "In[787]:=", CellTags -> "FromTFi"], 
                 Cell[BoxData[FormBox[InterpretationBox[SubsuperscriptBox[
                      StyleBox["F", Rule[SingleLetterItalics, False], 
                        Rule[FontWeight, "Bold"]], RowBox[{FormBox[\({1, 0}\)
                         , "TraditionalForm"], FormBox[\({1, M}\), 
                         "TraditionalForm"], FormBox[\({1, 0}\), 
                         "TraditionalForm"], FormBox[\({1, m}\), 
                         "TraditionalForm"], FormBox[\({1, 0}\), 
                         "TraditionalForm"]}], RowBox[{"(", FormBox["D", 
                         "TraditionalForm"], ")"}]], TFI[D, m^2, {{1, 0}, 
                       {1, M}, {1, 0}, {1, m}, {1, 0}}], Editable -> True], 
                    TraditionalForm]], "Output", CellLabel -> "Out[787]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FromTFI[\(\(TFI[\(D, \(SPD[\(p, p\)]\), \(SOD[p]\), 
                            \({\({1, 0}\), \({1, M}\), \({1, 0}\), \({1, m}\)
                               , \({1, 0}\)}\)\)]\), q1, q2, p\)]\)], 
                  "Input", CellLabel -> "In[788]:=", CellTags -> "FromTFi"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(q2\^2 . \((\((q1 - p)\)\^2 - M\^2)\) . 
                          \((q2 - p)\)\^2 . \((q1 - q2)\)\^2 . 
                          \((q1\^2 - m\^2)\)\)\)\)], "Output", CellLabel -> 
                   "Out[788]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FromTFI[\(\(TFI[\(D, \(SPD[\(p, p\)]\), \(SOD[p]\), 
                            \({0, 1}\), \({
                              \({1, m}\), \({1, M}\), \({1, 0}\), \({1, m}\),
                                \({1, 0}\)}\)\)]\), q1, q2, p\)]\)], "Input", 
                  CellLabel -> "In[789]:=", CellTags -> "FromTFi"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{FormBox[
                        "\[CapitalDelta]", "TraditionalForm"], 
                       "\[CenterDot]", FormBox["q2", "TraditionalForm"]}], 
                     \(\((q1 - q2)\)\^2 . \((q2\^2 - M\^2)\) . 
                        \((\((q2 - p)\)\^2 - m\^2)\) . \((q1\^2 - m\^2)\) . 
                        \((q1 - p)\)\^2\)], TraditionalForm]], "Output", 
                  CellLabel -> "Out[789]="]}, Open]]}, Open]], 
           Cell["FUNCTION", "ObjectName", CellTags -> "FUNCTION"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FUNCTION"], Cell["FUNCTION[exp, string] is a head \
of an expression to be declared a function (of type string), if used in \
Write2.", "Text", CellTags -> "FUNCTION"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Write2", RuleDelayed[ButtonData, "Write2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Write2"]], "."}], "Text", CellTags -> 
                "FUNCTION"]}, Open]], Cell["FunctionalD", "ObjectName", 
            CellTags -> "FunctionalD"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FunctionalD"], Cell["FunctionalD[expr, {QuantumField[name, \
{mu}, {a}][p], ...}] calculates the functional derivative of expr with \
respect to the field list (with incoming momenta p, etc.) and does the \
fourier transform. FunctionalD[expr, {QuantumField[name, {mu},{a}], ...}] \
calculates the functional derivative and does partial integration but omits \
the x-space delta functions.", "Text", CellTags -> "FunctionalD"], 
              Cell["FunctionalD is a low level function used in FeynRule.", 
               "Text", CellTags -> "FunctionalD"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FeynRule", RuleDelayed[ButtonData, "FeynRule"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynRule"]], ", ", 
                 ButtonBox["QuantumField", 
                   RuleDelayed[ButtonData, "QuantumField"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuantumField"]], "."}], "Text", 
               CellTags -> "FunctionalD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FunctionalD"], Cell[TextData[{"Instead of the usual ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(\[Delta]\[Phi](x)\)/
                          \(\[Delta]\[Phi](y)\)\) = 
                        \(\(\[Delta]\^\((D)\)\)(\(x - y\))\)\)\)]], " the \
arguments and the \[Delta] function are omitted, i.e., for the program for \
simplicity: ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\[Delta]\[Phi]/\[Delta]\[Phi]\) = 1
                       \)\)]]}], "Text", CellTags -> "FunctionalD"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FunctionalD[\(\(QuantumField[\[Phi]]\), 
                        \(QuantumField[\[Phi]]\)\)]\)], "Input", CellLabel -> 
                   "In[790]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[790]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FunctionalD[\(\(\(QuantumField[\[Phi]]\)^2\), 
                        \(QuantumField[\[Phi]]\)\)]\)], "Input", CellLabel -> 
                   "In[791]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   \(TraditionalForm\`\(2\ \[Phi]\)\)], "Output", 
                  CellLabel -> "Out[791]="]}, Open]], Cell[TextData[
                {"Instead of the usual ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                           (\[Delta]\ \(\[PartialD]\_\[Mu] \(\[Phi](x)\)\))\)\
/\(\[Delta]\[Phi](y)\)\) = 
                        \(\[PartialD]\_\[Mu] 
                          \(\(\[Delta]\^\((D)\)\)(\(x - y\))\)\)\)\)]], 
                 " the arguments are omitted, and the ", Cell[BoxData[
                   \(TraditionalForm\`\[PartialD]\_\[Mu]\)]], "operator is \
specified by default to be an integration by parts operator, i.e., the right \
hand side will be just ", Cell[BoxData[FormBox[RowBox[{RowBox[{"-", FormBox[
                         \(\[PartialD]\_\[Mu]\), "TraditionalForm"]}], ","}], 
                    TraditionalForm]]], " or, more precisely (by default) ", 
                 Cell[BoxData[FormBox[RowBox[{"-", SubscriptBox[
                       \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]]], "."}], "Text", ZeroWidthTimes -> 
                True, CellTags -> "FunctionalD"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(FunctionalD[\(\(QuantumField[
                          \(\(PartialD[\[Mu]]\), \[Phi]\)]\), 
                        \(QuantumField[\[Phi]]\)\)]\)], "Input", CellLabel -> 
                   "In[792]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   FormBox[RowBox[{"-", SubscriptBox[
                       \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[792]="]}, 
                Open]], Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(\(S[\[Phi]]\)\ = 
                       \(\(1/2\) \(\[Integral]\ 
                           \(d\^D \(x\ [\ 
                               \(\(\(\[PartialD]\_\[Mu] \(\[Phi](x)\)\)\ 
                                   \(\[PartialD]\^\[Mu] \(\[Phi](x)\)\)\) - 
                                 \(m\^2 \(\[Phi](x)\)\ \(\[Phi](y)\)\)\)]\)\)
                  \)\)\)\)]]], "Text", ZeroWidthTimes -> True, CellTags -> 
                "FunctionalD"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(s[\[Phi]]\) = \(\((\(
                            \(QuantumField[\(\(PartialD[\[Mu]]\), \[Phi]\)]\)
                              . \(QuantumField[
                               \(\(PartialD[\[Mu]]\), \[Phi]\)]\)\) - 
                           \(\(m^2\)\ \(\(QuantumField[\[Phi]]\) . 
                               \(QuantumField[\[Phi]]\)\)\))\)/2\)\)], 
                  "Input", CellLabel -> "In[793]:=", CellTags -> 
                   "FunctionalD"], Cell[BoxData[FormBox[RowBox[{\(1\/2\), 
                      " ", RowBox[{"(", RowBox[{RowBox[{RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          \(\[Phi]\_\[Null]\%\[Null]\)}], ".", RowBox[
                          {SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          \(\[Phi]\_\[Null]\%\[Null]\)}]}], "-", 
                          \(m\^2\ \(\[Phi] . \[Phi]\)\)}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[793]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FunctionalD[\(\(s[\[Phi]]\), \(QuantumField[\[Phi]]\)\)]
                     \)], "Input", CellLabel -> "In[794]:=", CellTags -> 
                   "FunctionalD"], Cell[BoxData[FormBox[RowBox[{
                      \(\(-\[Phi]\)\ m\^2\), "-", RowBox[{RowBox[{FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], \(\[Phi]\_\[Null]\%\[Null]\)}]
                        }], TraditionalForm]], "Output", CellLabel -> 
                   "Out[794]="]}, Open]], Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(\(S[A]\)\ =\ 
                       \(-\(\[Integral]\ \(
                            d\^D x\ 1\/4\ \(F\_a\%\[Mu]\[Nu](x)\)\ 
                             \(F\_\[Mu]\[Nu]a(x)\)\)\)\)\)\)]]], "Text", 
               ZeroWidthTimes -> True, CellTags -> "FunctionalD"], 
              Cell[TextData[
                StyleBox["First approach", Rule[FontWeight, "Bold"]]], 
               "Text", CellTags -> "FunctionalD"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(F1 = \(FieldStrength[\(
                         \[Mu], \[Nu], a, \({A, b, c}\), 1, 
                          \(Explicit \[Rule] True\)\)]\)\)], "Input", 
                  CellLabel -> "In[795]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SubscriptBox[
                         "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[
                         {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(f\_\(abc\)\)}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[795]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(F2 = \(FieldStrength[\(
                         \[Mu], \[Nu], a, \({A, d, e}\), 1, 
                          \(Explicit \[Rule] True\)\)]\)\)], "Input", 
                  CellLabel -> "In[796]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SubscriptBox[
                         "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[
                         {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                        \(f\_\(ade\)\)}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[796]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(S[A]\) = \(\(-\(1/4\)\)\(F1 . F2\)\)\)], 
                  "Input", CellLabel -> "In[797]:=", CellTags -> 
                   "FunctionalD"], Cell[BoxData[FormBox[RowBox[{\(-\(1\/4\)\)
                      , " ", RowBox[{RowBox[{"(", RowBox[{RowBox[
                          {SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[
                          {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(f\_\(abc\)\)}]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{RowBox[{SubscriptBox["\[PartialD]", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[
                          {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(f\_\(ade\)\)}]}], ")"}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[797]="]}, Open]], 
              Cell[TextData[{"In order to derive the equation of motion the \
functional derivative of ", Cell[BoxData[\(TraditionalForm\`S\)]], 
                 " with respect to ", Cell[BoxData[
                   \(TraditionalForm\`A\_\[Sigma]\%g\)]], "has to be set to \
zero. Bearing in mind that for FeynCalc we have to be precise as to where \
which operators (coming from the substitution of the derivative of the \
\[Delta] function) act:, act with the functional derivative operator on the \
first field strength:"}], "Text", CellTags -> "FunctionalD"], 
              Cell[TextData[{Cell[BoxData[FormBox[RowBox[{RowBox[
                       {FormBox[RowBox[{FormBox[RowBox[{FormBox[RowBox[{"0", 
                          " ", "=", " ", RowBox[{FormBox[
                          \(\((\[Delta]S)\)/\((\[Delta] \(A\_\[Sigma]\%g(y)\)
                               )\)\), "TraditionalForm"], "=", \(-\(2/4\)\)}]}
                          ], "TraditionalForm"], \(\[Integral] \(d\^D x\)\)}]
                          , "TraditionalForm"], " ", 
                          \((\[Delta]/\((\[Delta] \(A\_\[Sigma]\%g(y)\))\)\)}]\
, "TraditionalForm"], " ", \(F\_\[Mu]\[Nu]a(x)\)}], ")"}], 
                    TraditionalForm]]], Cell[BoxData[FormBox[RowBox[{FormBox[
                       \(\ F\_a\%\(, \[Mu]\[Nu]\)\), "TraditionalForm"], "(", 
                      "x", ")"}], TraditionalForm]]]}], "Text", 
               ZeroWidthTimes -> True, CellTags -> "FunctionalD"], 
              Cell[TextData[Cell[BoxData[FormBox[RowBox[{"See", " ", "what", 
                     " ", "happens", " ", "with", " ", "just", RowBox[
                      {FormBox[
                        \(\((\[Delta]\(S[A]\))\)/
                           \((\[Delta] A\_\[Sigma]\%g)\)\), 
                        "TraditionalForm"], "."}]}], TraditionalForm]]]], 
               "Text", CellTags -> "FunctionalD"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Ag = \(QuantumField[\(A, \({\[Sigma]}\), \({g}\)\)]\)\)]\
, "Input", CellLabel -> "In[798]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[SubsuperscriptBox["A", FormBox[
                      FormBox["\[Sigma]", "TraditionalForm"], 
                      "TraditionalForm"], FormBox[FormBox["g", 
                       "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[798]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(FunctionalD[\(F1, Ag\)]\)\)], "Input", 
                  CellLabel -> "In[799]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{
                        \(-g\^\(\[Nu]\[Sigma]\)\), " ", SubscriptBox[
                         \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        " ", SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                        \(g\^\(\[Mu]\[Sigma]\)\), " ", SubscriptBox[
                         \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                        " ", SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                        \(g\^\(\[Nu]\[Sigma]\)\), " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "-", 
                      RowBox[{\(g\^\(\[Mu]\[Sigma]\)\), " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[799]="]}, Open]], 
              Cell["In order to minimize the number of dummy indices, replace \
b \[Rule] c.", "Text", CellTags -> "FunctionalD"], Cell[CellGroupData[
                {Cell[BoxData[\(t1\ =\ \(t1\ /.\ \(b \[Rule] c\)\)\)], 
                  "Input", CellLabel -> "In[800]:=", CellTags -> 
                   "FunctionalD"], Cell[BoxData[FormBox[RowBox[{RowBox[{
                        \(-g\^\(\[Nu]\[Sigma]\)\), " ", SubscriptBox[
                         \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        " ", SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                        \(g\^\(\[Mu]\[Sigma]\)\), " ", SubscriptBox[
                         \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                        " ", SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                        \(g\^\(\[Nu]\[Sigma]\)\), " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "-", 
                      RowBox[{\(g\^\(\[Mu]\[Sigma]\)\), " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[800]="]}, Open]], 
              Cell[TextData[
                {"Instead of inserting the definition for the second ", 
                 Cell[BoxData[\(TraditionalForm\`F\_a\%\[Mu]\[Nu]\)]], ", \
introduce a QuantumField object with antisymmetry built into the Lorentz \
indices:"}], "Text", CellTags -> "FunctionalD"], Cell[BoxData[
                \(F/:\ \(QuantumField[\(pard___, F, \[Beta]_, \[Alpha]_, s_\)
                     ]\) := \(\(-\(QuantumField[
                         \(pard, F, \[Alpha], \[Beta], s\)]\)\)/;
                     \(! \(OrderedQ[\({\[Beta], \[Alpha]}\)]\)\)\)\)], 
               "Input", CellLabel -> "In[801]:=", CellTags -> "FunctionalD"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[\(F, \({\[Mu], \[Nu]}\), \({a}\)\)]\)], 
                  "Input", CellLabel -> "In[802]:=", CellTags -> 
                   "FunctionalD"], Cell[BoxData[FormBox[SubsuperscriptBox[
                     "F", RowBox[{FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"]}], FormBox[FormBox["a", 
                       "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[802]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%/.\({\(\[Mu] \[RuleDelayed] \[Nu]\), 
                         \(\[Nu] \[RuleDelayed] \[Mu]\)}\)\)], "Input", 
                  CellLabel -> "In[803]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{"-", SubsuperscriptBox["F", 
                       RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]}], FormBox[
                        FormBox["a", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[803]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t2 = \(\(Contract[\(ExpandPartialD[
                            \(\(-\(1/2\)\)\ 
                              \(t1 . \(QuantumField[
                                  \(F, \(LorentzIndex[\[Mu]]\), 
                                    \(LorentzIndex[\[Nu]]\), \(SUNIndex[a]\)\
\)]\)\)\)]\)]\)/.\(Dot \[Rule] Times\)\)\)], "Input", CellLabel -> 
                   "In[804]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{\(1\/2\), " ", RowBox[
                         {SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["F", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], "+", 
                      RowBox[{\(1\/2\), " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["F", RowBox[{FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], "-", 
                      RowBox[{\(1\/2\), " ", SubsuperscriptBox["A", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["F", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "-", 
                      RowBox[{\(1\/2\), " ", SubsuperscriptBox["A", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["F", RowBox[{FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]}]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[804]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t3\ =\ \(t2\ /.\ \(\[Nu] \[Rule] \[Mu]\)\)\)], "Input", 
                  CellLabel -> "In[805]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox["F", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["F", 
                         RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[805]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t4 = \(\(FCE[t3]\)/.\ 
                        \(\(SUNF[\(a, c, g\)]\) \[Rule] 
                          \(-\(SUNF[\(g, c, a\)]\)\)\)\)\)], "Input", 
                  CellLabel -> "In[806]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox["F", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                      RowBox[{SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["F", 
                         RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(f\_\(gca\)\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[806]="]}, 
                Open]], Cell[TextData[{"Since the variational derivative \
vanishes t4 implies that 0 = ", Cell[BoxData[
                   \(TraditionalForm\`\(D\_\[Mu] F\_g\%\[Mu]\[Sigma]\)\)]], 
                 " ."}], "Text", CellTags -> "FunctionalD"], Cell[TextData[
                StyleBox["Second approach", Rule[FontWeight, "Bold"]]], 
               "Text", CellTags -> "FunctionalD"], Cell["It is of course also \
possible to do the functional deriviate on the S[A] with both field strength \
tensors inserted.", "Text", CellTags -> "FunctionalD"], Cell[CellGroupData[
                {Cell[BoxData[\(S[A]\)], "Input", CellLabel -> "In[807]:=", 
                  CellTags -> "FunctionalD"], Cell[BoxData[FormBox[RowBox[{
                      \(-\(1\/4\)\), " ", RowBox[{RowBox[{"(", RowBox[
                          {RowBox[{SubscriptBox["\[PartialD]", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[
                          {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(f\_\(abc\)\)}]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{RowBox[{SubscriptBox["\[PartialD]", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[
                          {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          \(f\_\(ade\)\)}]}], ")"}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[807]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(r1 = \(FunctionalD[\(\(S[A]\), Ag\)]\)\)], "Input", 
                  CellLabel -> "In[808]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(1\/2\), " ", 
                        RowBox[{"(", RowBox[{RowBox[{FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                      "-", RowBox[{\(1\/2\), " ", RowBox[{"(", RowBox[
                          {RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}], "+", RowBox[{
                        \(1\/2\), " ", RowBox[{"(", RowBox[{RowBox[{FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                      "-", RowBox[{\(1\/2\), " ", RowBox[{"(", RowBox[
                          {RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}], "-", RowBox[{
                        \(1\/4\), " ", RowBox[{SubsuperscriptBox["A", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]]}], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]]}], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", RowBox[{SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/4\), 
                        " ", RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]]}], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]]}], ".", 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[808]="]}, Open]], 
              Cell["This is just funcional derivation and partial integration \
and simple contraction of indices. No attempt is made to rename dummy indices \
(since this is difficult in general).", "Text", CellTags -> "FunctionalD"], 
              Cell["With a general replacement rule only valid for commuting \
fields the color indices can be canonicalized a bit more. The idea is to use \
the commutative properties of the vector fields, and canonicalize the color \
indices by a trick. This function will work on any commuting product of \
fields.", "Text", CellTags -> "FunctionalD"], Cell[BoxData[
                \(\(Clear[symfun]\) ;\)], "Input", CellLabel -> "In[809]:=", 
               CellTags -> "FunctionalD"], Cell[BoxData[
                \(\(symfun[\(z_, fieldname_Symbol\)]\) := 
                   \(Expand[\(SUNSimplify[
                       \(FixedPoint[\(\(\(
                              Collect2[\(
                                \(\(\(DotSimplify[
                                     \(#1/.\(Times \[Rule] Dot\)\)]\)/.
                                     \(\(
                                     (\((
                                     \((qi___)\) . 
                                     \(QuantumField[
                                     \(par1___, fieldname, li1_, sui1_\)]\) .
                                      \(QuantumField[
                                     \(par2___, fieldname, li2_, sui2_\)]\) .
                                      qf___\ )\) any_)\) \[RuleDelayed] 
                                     \(\(
                                     (\((
                                     qi . 
                                     \(QuantumField[\(par1, A, li1, sui2\)]\)
                                      . \(
                                     QuantumField[
                                     \(par2, fieldname, li2, sui1\)]\) . qf\ 
                                     )\) 
                                     \((any/.
                                     \({\(sui1 \[RuleDelayed] sui2\), 
                                     \(sui2 \[RuleDelayed] sui1\)}\))\))\)/;
                                     \(\(
                                     (\(! 
                                     \((\(FreeQ2[\(any, \({sui1, su2}\)\)]\))
                                     \)\))\) && 
                                     \(! \((\(OrderedQ[\({sui1, sui2}\)]\))\)
                                     \)\)\)\)\)/.\(Dot \[Rule] Times\)\), 
                                 QuantumField\)]\) &\), z, 42\)]\)]\)]\)\)], 
               "Input", CellLabel -> "In[810]:=", CellTags -> "FunctionalD"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(r2\ =\ \(symfun[\(r1, A\)]\)\)], "Input", CellLabel -> 
                   "In[811]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{\(1\/2\), " ", RowBox[{"(", 
                          RowBox[{RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                      "-", RowBox[{\(1\/2\), " ", RowBox[{"(", RowBox[
                          {RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}], "+", RowBox[{
                        \(1\/2\), " ", RowBox[{"(", RowBox[{RowBox[{FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                      "-", RowBox[{\(1\/2\), " ", RowBox[{"(", RowBox[
                          {RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}], "-", RowBox[{
                        \(1\/2\), " ", SubsuperscriptBox["A", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/2\), 
                        " ", SubsuperscriptBox["A", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/2\), 
                        " ", SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/2\), 
                        " ", SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/2\), 
                        " ", SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[811]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(r3 = \(r2/.\(\[Nu] \[Rule] \[Mu]\)\)\)], "Input", 
                  CellLabel -> "In[812]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{RowBox[{FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{"2", " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(3\/4\), 
                        " ", SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/4\), 
                        " ", SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[812]="]}, Open]], 
              Cell[TextData[{"Inspection reveals that still terms are the \
same. Gather the terms with two ", Cell[BoxData[\(TraditionalForm\`\(f\ \)\)]]
                   , "'s:"}], "Text", CellTags -> "FunctionalD"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(twof = \(Select[\(r3, 
                          \(\(\(Count[\(#, \(SUNF[__]\)\)]\) === 2\) &\)\)]\)
                   \)], "Input", CellLabel -> "In[813]:=", CellTags -> 
                   "FunctionalD"], Cell[BoxData[FormBox[RowBox[{RowBox[{
                        \(-\(3\/4\)\), " ", SubsuperscriptBox["A", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "-", 
                      RowBox[{\(1\/4\), " ", SubsuperscriptBox["A", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]}]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[813]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(twofnew = \(\((\(twof \[LeftDoubleBracket] 1 
                             \[RightDoubleBracket]\) + 
                           \((\(twof[\([2]\)]\)/.
                              \({\(b \[RuleDelayed] c\), 
                                 \(c \[RuleDelayed] b\)}\))\))\)/.
                        \({\(a \[RuleDelayed] c\), \(c \[RuleDelayed] a\)}\)\
\)\)], "Input", CellLabel -> "In[814]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"-", SubsuperscriptBox[
                         "A", FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                      SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["b", "TraditionalForm"], "TraditionalForm"]], 
                      " ", SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["e", "TraditionalForm"], "TraditionalForm"]], 
                      " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[814]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(r4\ =\ \(r3 - twof + twofnew\)\)], "Input", CellLabel -> 
                   "In[815]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{RowBox[{FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{"2", " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[815]="]}, Open]], 
              Cell["Check that this is now indeed the same as the t4 result \
from the first attempt.", "Text", CellTags -> "FunctionalD"], 
              Cell[CellGroupData[{Cell[BoxData["t4"], "Input", CellLabel -> 
                   "In[816]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{SubscriptBox["\[PartialD]", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["F", 
                         RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["F", 
                         RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(f\_\(gca\)\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[816]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(w0 = \(\(\(RightPartialD[\[Mu]]\) . 
                          \(FieldStrength[\(
                             \[Mu], \[Sigma], g, \({A, a, b}\), 1\)]\)\) + 
                        \(\(QuantumField[\(
                             A, \(LorentzIndex[\[Mu]]\), \(SUNIndex[c]\)\)]\)\
 \(FieldStrength[\(\[Mu], \[Sigma], a, \({A, b, d}\), 1\)]
                           \) \(SUNF[\(g, c, a\)]\)\)\)\)], "Input", 
                  CellLabel -> "In[817]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        ".", SubsuperscriptBox["F", \(\[Mu]\[Sigma]\), 
                         RowBox[{"g", FormBox[\({A, a, b}\), 
                          "TraditionalForm"], FormBox["1", 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["F", \(\[Mu]\[Sigma]\), RowBox[
                          {"a", FormBox[\({A, b, d}\), "TraditionalForm"], 
                          FormBox["1", "TraditionalForm"]}]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(f\_\(gca\)\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[817]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(w1 = \(Explicit[w0]\)\)], "Input", CellLabel -> 
                   "In[818]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{SubscriptBox[
                         \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        ".", RowBox[{"(", RowBox[{RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[
                          {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]}]]}]}], 
                          ")"}]}], "-", RowBox[{SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        RowBox[{"(", RowBox[{RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[
                          {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]]}]}], 
                          ")"}], " ", SubscriptBox["f", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[818]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(w2 = \(\(ExpandPartialD[w1]\)/.\(Dot \[Rule] Times\)\)\)]\
, "Input", CellLabel -> "In[819]:=", CellTags -> "FunctionalD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{RowBox[{FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[819]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(dif1\ =\ \(w2 - r4\)\)], 
                  "Input", CellLabel -> "In[820]:=", CellTags -> 
                   "FunctionalD"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"-", RowBox[{"(", RowBox[{RowBox[{FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                      "+", RowBox[{RowBox[{FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                      RowBox[{RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{"2", " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[820]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(dif2 = \(symfun[\(dif1, A\)]\)\)], "Input", CellLabel -> 
                   "In[821]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"-", RowBox[{"(", RowBox[
                          {RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                      "+", RowBox[{RowBox[{FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"], FormBox[SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                      RowBox[{RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "TraditionalForm"]}], SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["g", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                      RowBox[{RowBox[{FormBox[SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"], FormBox[
                          SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], "TraditionalForm"]}], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{"2", " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{"2", " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[
                       {SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["A", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["g", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[821]="]}, Open]], 
              Cell["quod erat demonstrandum.", "Text", CellTags -> 
                "FunctionalD"], Cell[BoxData[
                \(\(Unset[\(s[\[Phi]]\)]\) ; \(Unset[\(S[A]\)]\) ; 
                   \(Clear[\(Ag, F1, F2, t1, t2, t3, t4, F, r1, r2, r3, r4, 
                       symfun, twof, twofnew, w0, w1, w2, dif1, dif2, dif3\)]
                \)\)], "Input", CellLabel -> "In[822]:=", CellTags -> 
                "FunctionalD"]}, Open]], Cell[CellGroupData[
             {Cell["Examples of funcional differentiation as used in \
FeynRule", "Subsubsection", CellTags -> "FunctionalD"], 
              Cell["This is a part of the QCD Lagrangian.", "Text", 
               CellTags -> "FunctionalD"], Cell[CellGroupData[{Cell[BoxData[
                   \(\((Gstrong * \(\(QuantumField[
                             \(GaugeField,\ \(LorentzIndex[li1]\),\(\ \ \)
                               \(SUNIndex[si2]\)\)]\) .\(\ \ \)
                           \(QuantumField[\(
                              GaugeField,\ \(LorentzIndex[li2]\),\(\ \ \ \)
                               \(SUNIndex[si4]\)\)]\)\ .\(\ \ \)
                           \(QuantumField[\(
                              \(PartialD[\(LorentzIndex[li1]\)]\),\ 
                               GaugeField,\(\ \ \ \)\(LorentzIndex[li2]\),\ 
                               \(SUNIndex[si1]\)\)]\)\) *\(\ \ \)
                         \(SUNF[\(\(SUNIndex[si1]\),\ \(SUNIndex[si2]\),\ 
                             \(SUNIndex[si4]\)\)]\))\)/4\)], "Input", 
                  CellLabel -> "In[823]:="], Cell[BoxData[FormBox[RowBox[{
                      \(1\/4\), " ", \(g\_s\), " ", RowBox[{SubsuperscriptBox[
                         FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "li1", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["si2", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubsuperscriptBox[
                         FormBox["A", "TraditionalForm"], FormBox[FormBox[
                          "li2", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["si4", "TraditionalForm"], 
                          "TraditionalForm"]], ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["li1", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                          FormBox[FormBox["li2", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["si1", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["si1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si2", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["si4", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[823]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FunctionalD[\(%,\ \({\(
                            \(QuantumField[
                               \(GaugeField, \({\[Mu]}\), \({a}\)\)]\)[p]\),
                           \ \(\(QuantumField[
                               \(GaugeField, \({\[Nu]}\), \({b}\)\)]\)[q]\),
                           \ \(\(QuantumField[
                               \(GaugeField, \({\[Rho]}\), \({c}\)\)]\)[r]\)}
                   \)\)]\)], "Input", CellLabel -> "In[824]:=", CellTags -> 
                   "FunctionalD"], Cell[BoxData[FormBox[RowBox[{\(1\/4\), 
                      " ", \(g\_s\), " ", RowBox[{"(", RowBox[{RowBox[
                          {RowBox[{"(", RowBox[{\(g\^\(li1\[Mu]\)\), " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["si2", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(g\^\(li2\[Nu]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si4", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(-\[ImaginaryI]\), " ", SuperscriptBox[
                          FormBox["r", "TraditionalForm"], FormBox[FormBox[
                          "li1", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(g\^\(li2\[Rho]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si1", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}]}], "+", RowBox[
                          {RowBox[{"(", RowBox[{\(g\^\(li1\[Mu]\)\), " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["si2", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(g\^\(li2\[Rho]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si4", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(-\[ImaginaryI]\), " ", SuperscriptBox[
                          FormBox["q", "TraditionalForm"], FormBox[FormBox[
                          "li1", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(g\^\(li2\[Nu]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si1", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}]}], "+", RowBox[
                          {RowBox[{"(", RowBox[{\(g\^\(li1\[Nu]\)\), " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "b", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["si2", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(g\^\(li2\[Mu]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si4", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(-\[ImaginaryI]\), " ", SuperscriptBox[
                          FormBox["r", "TraditionalForm"], FormBox[FormBox[
                          "li1", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(g\^\(li2\[Rho]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si1", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}]}], "+", RowBox[
                          {RowBox[{"(", RowBox[{\(g\^\(li1\[Nu]\)\), " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "b", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["si2", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(g\^\(li2\[Rho]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si4", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(-\[ImaginaryI]\), " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "li1", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(g\^\(li2\[Mu]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si1", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}]}], "+", RowBox[
                          {RowBox[{"(", RowBox[{\(g\^\(li1\[Rho]\)\), " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "c", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["si2", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(g\^\(li2\[Mu]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si4", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(-\[ImaginaryI]\), " ", SuperscriptBox[
                          FormBox["q", "TraditionalForm"], FormBox[FormBox[
                          "li1", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(g\^\(li2\[Nu]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si1", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}]}], "+", RowBox[
                          {RowBox[{"(", RowBox[{\(g\^\(li1\[Rho]\)\), " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "c", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["si2", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(g\^\(li2\[Nu]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si4", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{\(-\[ImaginaryI]\), " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "li1", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(g\^\(li2\[Mu]\)\), " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si1", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}]}]}], ")"}], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["si1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["si2", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["si4", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[824]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Calc[\(%//Calc\)]\)//Factor\)], "Input", CellLabel -> 
                   "In[825]:=", CellTags -> "FunctionalD"], Cell[BoxData[
                   FormBox[RowBox[{\(1\/4\), " ", "\[ImaginaryI]", " ", 
                      \(g\_s\), " ", RowBox[{"(", RowBox[{RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Rho]\)\)}], 
                          "-", RowBox[{SuperscriptBox[FormBox["r", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(g\^\(\[Nu]\[Rho]\)\)}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{\(g\^\(\[Mu]\[Rho]\)\), " ", SuperscriptBox[
                          FormBox["r", "TraditionalForm"], FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]]}], 
                          "+", RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], ")"}], 
                      " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[825]="]}, 
                Open]]}, Open]], Cell["FV", "ObjectName", CellTags -> "FV"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FV"], Cell[TextData[{"FV[", 
                 StyleBox["p", Rule[FontSlant, "Italic"]], ", ", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], 
                 "] is the four-dimensional vector ", Cell[BoxData[
                   \(TraditionalForm\`\(p\^\[Mu]\)\)]], ". "}], "Text", 
               CellTags -> "FV"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FCE", RuleDelayed[ButtonData, "FCE"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCE"]], 
                 ", ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["FVD", RuleDelayed[ButtonData, "FVD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FVD"]], 
                 ", ", 
                 ButtonBox["FourVector", RuleDelayed[ButtonData, 
                    "FourVector"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FourVector"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, "."}], "Text", CellTags -> "FV"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "FV"], 
              Cell[CellGroupData[{Cell[BoxData[\(FV[\(p, \[Mu]\)]\)], 
                  "Input", CellLabel -> "In[826]:=", CellTags -> "FV"], 
                 Cell[BoxData[\(TraditionalForm\`\(p\^\[Mu]\)\)], "Output", 
                  CellLabel -> "Out[826]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FV[\(\(p - q\), \[Mu]\)]\)], "Input", 
                  CellLabel -> "In[827]:=", CellTags -> "FV"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox[\(p - q\), 
                      "TraditionalForm"], "\[Mu]"], TraditionalForm]], 
                  "Output", CellLabel -> "Out[827]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(FV[\(p, \[Mu]\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[828]:=", CellTags -> "FV"], Cell[BoxData[
                   \(FV[\(p, \[Mu]\)]\)], "Output", CellLabel -> 
                   "Out[828]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(FCI[\(FV[\(p, \[Mu]\)]\)]\)//StandardForm\)]
                   , "Input", CellLabel -> "In[829]:=", CellTags -> "FV"], 
                 Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[\[Mu]]\), \(Momentum[p]\)\)]\)], 
                  "Output", CellLabel -> "Out[829]//StandardForm="]}, Open]], 
              Cell["There is no special function to expand momenta in FV; \
ExpandScalarProduct does the job.", "Text", CellTags -> "FV"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct[\(FV[\(\(p - q\), \[Mu]\)]\)]\)], 
                  "Input", CellLabel -> "In[830]:=", CellTags -> "FV"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox[\(p - q\), 
                      "TraditionalForm"], "\[Mu]"], TraditionalForm]], 
                  "Output", CellLabel -> "Out[830]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(StandardForm[%]\)], "Input", 
                  CellLabel -> "In[831]:=", CellTags -> "FV"], Cell[BoxData[
                   \(FV[\(\(p - q\), \[Mu]\)]\)], "Output", CellLabel -> 
                   "Out[831]//StandardForm="]}, Open]]}, Open]], 
           Cell["FVD", "ObjectName", CellTags -> "FVD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FVD"], Cell[TextData[{"FVD[", 
                 StyleBox["p", Rule[FontSlant, "Italic"]], ", ", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], 
                 "] is the D-dimensional vector ", 
                 StyleBox["p", Rule[FontSlant, "Italic"]], 
                 " with Lorentz index ", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], "."}], "Text", CellTags -> 
                "FVD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FCE", RuleDelayed[ButtonData, "FCE"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCE"]], 
                 ", ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["FV", RuleDelayed[ButtonData, "FV"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FV"]], 
                 ", ", 
                 ButtonBox["FourVector", RuleDelayed[ButtonData, 
                    "FourVector"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FourVector"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, "."}], "Text", CellTags -> "FVD"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "FVD"], 
              Cell[CellGroupData[{Cell[BoxData[\(FVD[\(p, \[Mu]\)]\)], 
                  "Input", CellLabel -> "In[832]:=", CellTags -> "FVD"], 
                 Cell[BoxData[\(TraditionalForm\`\(p\^\[Mu]\)\)], "Output", 
                  CellLabel -> "Out[832]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FVD[\(\(p - q\), \[Mu]\)]\)], "Input", 
                  CellLabel -> "In[833]:=", CellTags -> "FVD"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox[\(p - q\), 
                      "TraditionalForm"], "\[Mu]"], TraditionalForm]], 
                  "Output", CellLabel -> "Out[833]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(FVD[\(p, \[Mu]\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[834]:=", CellTags -> "FVD"], Cell[BoxData[
                   \(FVD[\(p, \[Mu]\)]\)], "Output", CellLabel -> 
                   "Out[834]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(FCI[\(FVD[\(p, \[Mu]\)]\)]\)//StandardForm\)
                   ], "Input", CellLabel -> "In[835]:=", CellTags -> "FVD"], 
                 Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[\(\[Mu], D\)]\), 
                        \(Momentum[\(p, D\)]\)\)]\)], "Output", CellLabel -> 
                   "Out[835]//StandardForm="]}, Open]], 
              Cell["There is no special function to expand momenta in FVD.", 
               "Text", CellTags -> "FVD"], Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct[\(FVD[\(\(p - q\), \[Mu]\)]\)]\)], 
                  "Input", CellLabel -> "In[836]:=", CellTags -> "FVD"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox[\(p - q\), 
                      "TraditionalForm"], "\[Mu]"], TraditionalForm]], 
                  "Output", CellLabel -> "Out[836]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(StandardForm[%]\)], "Input", 
                  CellLabel -> "In[837]:=", CellTags -> "FVD"], Cell[BoxData[
                   \(FVD[\(\(p - q\), \[Mu]\)]\)], "Output", CellLabel -> 
                   "Out[837]//StandardForm="]}, Open]]}, Open]], 
           Cell["GA", "ObjectName", CellTags -> "GA"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "GA"], Cell[TextData[{"GA[", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], 
                 "] can be used as input for a 4-dimensional ", Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(\[Mu]\ \)\)]], 
                 "and is transformed into DiracGamma[LorentzIndex[", 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], 
                 "]] by FeynCalcInternal (=FCI).GA[", Cell[BoxData[
                   \(TraditionalForm\`\(\[Mu], \[Nu],\)\)]], 
                 " ...] is a short form for GA[", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], "].GA[", Cell[BoxData[
                   \(TraditionalForm\`\[Nu]\)]], "]. ... ."}], "Text", 
               CellTags -> "GA"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracMatrix", 
                   RuleDelayed[ButtonData, "DiracMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracMatrix"]], ", ", 
                 ButtonBox["GAD", RuleDelayed[ButtonData, "GAD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GAD"]], 
                 ", ", 
                 ButtonBox["GS", RuleDelayed[ButtonData, "GS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GS"]], 
                 "."}], "Text", CellTags -> "GA"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GA"], Cell[CellGroupData[{Cell[BoxData[\(GA[\[Mu]]\)], 
                  "Input", CellLabel -> "In[838]:=", CellTags -> "GA"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma]\^\[Mu]\)\)], 
                  "Output", CellLabel -> "Out[838]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(GA[\(\[Mu], \[Nu]\)]\) - \(GA[\(\[Nu], \[Mu]\)]\)\)], 
                  "Input", CellLabel -> "In[839]:=", CellTags -> "GA"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\)
                         - \(\[Gamma]\^\[Nu] . \[Gamma]\^\[Mu]\)\)\)], 
                  "Output", CellLabel -> "Out[839]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FCI[\(GA[\[Mu]]\)]\)]\)], "Input", 
                  CellLabel -> "In[840]:=", CellTags -> "GA"], Cell[BoxData[
                   \(DiracGamma[\(LorentzIndex[\[Mu]]\)]\)], "Output", 
                  CellLabel -> "Out[840]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)], "Input", 
                  CellLabel -> "In[841]:=", CellTags -> "GA"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Rho] . \[Gamma]\^\[Sigma]\)\)], "Output", 
                  CellLabel -> "Out[841]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(StandardForm[\(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)]
                     \)], "Input", CellLabel -> "In[842]:=", CellTags -> 
                   "GA"], Cell[BoxData[
                   \(\(GA[\[Mu]]\) . \(GA[\[Nu]]\) . \(GA[\[Rho]]\) . 
                      \(GA[\[Sigma]]\)\)], "Output", CellLabel -> 
                   "Out[842]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(GA[\[Alpha]]\) . \((\(GS[p]\) + m)\) . \(GA[\[Beta]]\)
                     \)], "Input", CellLabel -> "In[843]:=", CellTags -> 
                   "GA"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Alpha] . 
                        \((m + \(\[Gamma] \[CenterDot] p\))\) . 
                        \[Gamma]\^\[Beta]\)\)], "Output", CellLabel -> 
                   "Out[843]="]}, Open]]}, Open]], Cell["GAD", "ObjectName", 
            CellTags -> "GAD"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "GAD"], Cell[TextData[
                {"GAD[", Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], 
                 "] can be used as input for a D-dimensional ", Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\(\[Mu]\ \)\)]], 
                 "and is transformed into DiracGamma[LorentzIndex[", 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], 
                 ",D],D] by FeynCalcInternal (=FCI).GAD[", Cell[BoxData[
                   \(TraditionalForm\`\(\[Mu], \[Nu],\ ...\)\)]], 
                 "] is a short form for GAD[", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], "].GAD[", Cell[BoxData[
                   \(TraditionalForm\`\[Nu]\)]], "]. ... ."}], "Text", 
               CellTags -> "GAD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracMatrix", 
                   RuleDelayed[ButtonData, "DiracMatrix"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracMatrix"]], ", ", 
                 ButtonBox["GA", RuleDelayed[ButtonData, "GA"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GA"]], 
                 ", ", 
                 ButtonBox["GS", RuleDelayed[ButtonData, "GS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GS"]], 
                 "."}], "Text", CellTags -> "GAD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GAD"], Cell[CellGroupData[{Cell[BoxData[\(GAD[\[Mu]]\)], 
                  "Input", CellLabel -> "In[844]:=", CellTags -> "GAD"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma]\^\[Mu]\)\)], 
                  "Output", CellLabel -> "Out[844]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(GAD[\(\[Mu], \[Nu]\)]\) - \(GAD[\(\[Nu], \[Mu]\)]\)\)]\
, "Input", CellLabel -> "In[845]:=", CellTags -> "GAD"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\)
                         - \(\[Gamma]\^\[Nu] . \[Gamma]\^\[Mu]\)\)\)], 
                  "Output", CellLabel -> "Out[845]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FCI[\(GAD[\[Mu]]\)]\)]\)], "Input", 
                  CellLabel -> "In[846]:=", CellTags -> "GAD"], Cell[BoxData[
                   \(DiracGamma[\(\(LorentzIndex[\(\[Mu], D\)]\), D\)]\)], 
                  "Output", CellLabel -> "Out[846]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(GAD[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)], "Input", 
                  CellLabel -> "In[847]:=", CellTags -> "GAD"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu] . 
                        \[Gamma]\^\[Rho] . \[Gamma]\^\[Sigma]\)\)], "Output", 
                  CellLabel -> "Out[847]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(StandardForm[\(GAD[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)
                      ]\)], "Input", CellLabel -> "In[848]:=", CellTags -> 
                   "GAD"], Cell[BoxData[
                   \(\(GAD[\[Mu]]\) . \(GAD[\[Nu]]\) . \(GAD[\[Rho]]\) . 
                      \(GAD[\[Sigma]]\)\)], "Output", CellLabel -> 
                   "Out[848]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(GAD[\[Alpha]]\) . \((\(GSD[p]\) + m)\) . 
                      \(GAD[\[Beta]]\)\)], "Input", CellLabel -> "In[849]:=", 
                  CellTags -> "GAD"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Alpha] . 
                        \((m + \(\[Gamma] \[CenterDot] p\))\) . 
                        \[Gamma]\^\[Beta]\)\)], "Output", CellLabel -> 
                   "Out[849]="]}, Open]]}, Open]], Cell["GammaEpsilon", 
            "ObjectName", CellTags -> "GammaEpsilon"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "GammaEpsilon"], Cell["GammaEpsilon[exp] gives a \
series expansion of Gamma[exp] in Epsilon up to order 6 (where EulerGamma is \
neglected).", "Text", CellTags -> "GammaEpsilon"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["GammaExpand", 
                   RuleDelayed[ButtonData, "GammaExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GammaExpand"]], ", ", 
                 ButtonBox["Series2", RuleDelayed[ButtonData, "Series2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Series2"]], "."}], "Text", CellTags -> 
                "GammaEpsilon"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "GammaEpsilon"], 
              Cell["If the argument is of the form (1+a Epsilon) the result \
is not calculated but tabulated.", "Text", CellTags -> "GammaEpsilon"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(GammaEpsilon[\(1 + \(a\ Epsilon\)\)]\)], "Input", 
                  CellLabel -> "In[850]:=", CellTags -> "GammaEpsilon"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(C$1702\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^6\) +
                         \(\((\(\(-\(1\/5\)\)\ 
                               \*TagBox[\(
                                  \[Zeta](
                                   \(\*TagBox["5", Zeta, 
                                      Rule[Editable, True]]\))\), 
                                 InterpretTemplate[Function[BoxForm`e$, 
                                   Zeta[BoxForm`e$]]]]\ a\^5\) - 
                             \(1\/36\ \[Pi]\^2\ 
                               \*TagBox[\(
                                  \[Zeta](
                                   \(\*TagBox["3", Zeta, 
                                      Rule[Editable, True]]\))\), 
                                 InterpretTemplate[Function[BoxForm`e$, 
                                   Zeta[BoxForm`e$]]]]\ a\^5\))\)\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^5\) +
                         \(1\/160\ a\^4\ \[Pi]\^4\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^4\) -
                         \(1\/3\ a\^3\ \*TagBox[\(
                             \[Zeta](\(\*TagBox["3", Zeta, 
                                 Rule[Editable, True]]\))\), 
                            InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\) +
                         \(1\/12\ a\^2\ \[Pi]\^2\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^2\) +
                         1\)\)], "Output", CellLabel -> "Out[850]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GammaEpsilon[\(1 - \(Epsilon/2\)\)]\)], "Input", 
                  CellLabel -> "In[851]:=", CellTags -> "GammaEpsilon"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(C$1703\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^6\) +
                         \(\((\(\[Pi]\^2\ \*
                                 TagBox[\(
                                   \[Zeta](
                                    \(\*TagBox["3", Zeta, 
                                       Rule[Editable, True]]\))\), 
                                  InterpretTemplate[Function[BoxForm`e$, 
                                    Zeta[BoxForm`e$]]]]\)\/1152 + 
                             \*TagBox[\(\[Zeta](
                                  \(\*TagBox["5", Zeta, 
                                     Rule[Editable, True]]\))\), 
                                InterpretTemplate[Function[BoxForm`e$, 
                                  Zeta[BoxForm`e$]]]]\/160)\)\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^5\) +
                         \(\[Pi]\^4\ \*TagBox["\[CurlyEpsilon]", 
                              TraditionalForm]\^4\)\/2560 + 
                        \(1\/24\ \*TagBox[\(
                             \[Zeta](\(\*TagBox["3", Zeta, 
                                 Rule[Editable, True]]\))\), 
                            InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\) +
                         \(\[Pi]\^2\ \*TagBox["\[CurlyEpsilon]", 
                              TraditionalForm]\^2\)\/48 + 1\)\)], "Output", 
                  CellLabel -> "Out[851]="]}, Open]], 
              Cell["For other arguments the expansion is calculated.", 
               "Text", CellTags -> "GammaEpsilon"], Cell[CellGroupData[
                {Cell[BoxData[\(GammaEpsilon[Epsilon]\)], "Input", 
                  CellLabel -> "In[852]:=", CellTags -> "GammaEpsilon"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(C$1707\ \*TagBox["\[CurlyEpsilon]", TraditionalForm]
                          \^6\), "+", 
                      \(\(\((\(21\/4\ \[Pi]\^4\ 
                                \(\*TagBox["\[Psi]", PolyGamma]\^\((2)\)(1)\)
                      \) + \(\*TagBox["\[Psi]", PolyGamma]\^\((6)\)(1)\) - 
                              \(84\ \[Pi]\^2\ 
                                \*TagBox[\(\[Zeta](
                                    \*TagBox["5", Zeta, 
                                      Rule[Editable, True]])\), 
                                  InterpretTemplate[Function[BoxForm`e$, 
                                    Zeta[BoxForm`e$]]]]\))\)\ 
                           \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^6\)\
\/5040\), "+", 
                      \(1\/720\ \((\(61\ \[Pi]\^6\)\/168 + 
                            \(10\ \(\*TagBox["\[Psi]", PolyGamma]\^\((2)\)(1)
                                \)\^2\))\)\ \*
                           TagBox["\[CurlyEpsilon]", TraditionalForm]\^5\), 
                      "+", 
                      \(1\/120\ \((\(5\/3\ \[Pi]\^2\ 
                              \(\*TagBox["\[Psi]", PolyGamma]\^\((2)\)(1)\)\)\
 - \(24\ \*TagBox[\(\[Zeta](
                                  \*TagBox["5", Zeta, Rule[Editable, True]])
                      \), InterpretTemplate[Function[BoxForm`e$, 
                                  Zeta[BoxForm`e$]]]]\))\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^4\), 
                      "+", 
                      \(\(\[Pi]\^4\ \*TagBox["\[CurlyEpsilon]", 
                              TraditionalForm]\^3\)\/160\), "+", 
                      \(1\/6\ \(\*TagBox["\[Psi]", PolyGamma]\^\((2)\)(1)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^2\), 
                      "+", 
                      \(\(\[Pi]\^2\ \*TagBox["\[CurlyEpsilon]", 
                             TraditionalForm]\)\/12\), "+", FractionBox["1", 
                       FormBox[TagBox["\[CurlyEpsilon]", TraditionalForm], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[852]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(GammaEpsilon[x]\)], "Input", CellLabel -> 
                   "In[853]:=", CellTags -> "GammaEpsilon"], Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalGamma](x)\)\)], "Output", 
                  CellLabel -> "Out[853]="]}, Open]]}, Open]], 
           Cell["GammaExpand", "ObjectName", CellTags -> "GammaExpand"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "GammaExpand"], Cell["GammaExpand[exp] rewrites \
Gamma[n + m] in exp (where n has Head Integer).", "Text", CellTags -> 
                "GammaExpand"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GammaEpsilon", 
                   RuleDelayed[ButtonData, "GammaEpsilon"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GammaEpsilon"]], "."}], "Text", 
               CellTags -> "GammaExpand"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GammaExpand"], Cell[CellGroupData[{Cell[BoxData[
                   \(GammaExpand[\(Gamma[\(2\ +\ Epsilon\)]\)]\)], "Input", 
                  CellLabel -> "In[854]:=", CellTags -> "GammaExpand"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\((
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm] + 1)\)
                   \ \(\[CapitalGamma](\(\*
                             TagBox["\[CurlyEpsilon]", TraditionalForm] + 1\)\
)\)\)\)], "Output", CellLabel -> "Out[854]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(GammaExpand[\(Gamma[\(\(-3\) + Epsilon\)]\)]\)
                   ], "Input", CellLabel -> "In[855]:=", CellTags -> 
                   "GammaExpand"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\[CapitalGamma](
                          \(\*TagBox["\[CurlyEpsilon]", TraditionalForm] + 1
                           \))\)\/\(\((\*TagBox["\[CurlyEpsilon]", 
                               TraditionalForm] - 3)\)\ 
                          \((\*TagBox["\[CurlyEpsilon]", TraditionalForm] - 2
                            )\)\ \((\*TagBox["\[CurlyEpsilon]", 
                               TraditionalForm] - 1)\)\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\)\)\)]\
, "Output", CellLabel -> "Out[855]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(GammaExpand[\(Gamma[\(1\ +\ Epsilon\)]\)]\)], 
                  "Input", CellLabel -> "In[856]:=", CellTags -> 
                   "GammaExpand"], Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalGamma](
                        \(\*TagBox["\[CurlyEpsilon]", TraditionalForm] + 1\))
                   \)\)], "Output", CellLabel -> "Out[856]="]}, Open]]}, 
             Open]], Cell["Gamma1", "ObjectName", CellTags -> "Gamma1"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Gamma1"], Cell["Gamma1[al,ga, be,de] is a special \
product of Gamma functions expanded up to order Epsilon^2.", "Text", 
               CellTags -> "Gamma1"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Gamma2", RuleDelayed[ButtonData, "Gamma2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Gamma2"]], ", ", 
                 ButtonBox["Gamma3", RuleDelayed[ButtonData, "Gamma3"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Gamma3"]], "."}], "Text", CellTags -> 
                "Gamma1"]}, Open]], Cell["Gamma2", "ObjectName", 
            CellTags -> "Gamma2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Gamma2"], 
              Cell["Gamma2[x,y] is a special product of Gamma functions \
expanded up to order Epsilon^3 when positive integer arguments are given.", 
               "Text", CellTags -> "Gamma2"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["Gamma1", RuleDelayed[ButtonData, "Gamma1"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Gamma1"]], ", ", 
                 ButtonBox["Gamma3", RuleDelayed[ButtonData, "Gamma3"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Gamma3"]], "."}], "Text", CellTags -> 
                "Gamma2"]}, Open]], Cell["Gamma3", "ObjectName", 
            CellTags -> "Gamma3"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Gamma3"], 
              Cell["Gamma3[al,be,ga,ep] is a special product of Gamma \
functions expanded up to order Epsilon^n when positive integer arguments are \
given (the order n is determined by the option EpsilonOrder).", "Text", 
               CellTags -> "Gamma3"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Gamma1", RuleDelayed[ButtonData, "Gamma1"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Gamma1"]], ", ", 
                 ButtonBox["Gamma2", RuleDelayed[ButtonData, "Gamma2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Gamma2"]], "."}], "Text", CellTags -> 
                "Gamma3"]}, Open]], Cell["Gauge", "ObjectName", 
            CellTags -> "Gauge"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Gauge"], 
              Cell["Gauge is an option for GluonProgagator. If set to 1 the \
't Hooft Feynman gauge is used.", "Text", CellTags -> "Gauge"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["$Gauge", RuleDelayed[ButtonData, "$Gauge"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$Gauge"]], ", ", 
                 ButtonBox["GluonProgagator", 
                   RuleDelayed[ButtonData, "GluonProgagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonProgagator"]], "."}], "Text", 
               CellTags -> "Gauge"]}, Open]], Cell["GaugeField", 
            "ObjectName", CellTags -> "GaugeField"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "GaugeField"], Cell["GaugeField is just a name. No \
functional properties are associated with it. GaugeField is used as default \
setting for the option QuantumField of FieldStrength.", "Text", CellTags -> 
                "GaugeField"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FieldStrength", 
                   RuleDelayed[ButtonData, "FieldStrength"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FieldStrength"]], ", ", 
                 ButtonBox["QuantumField", 
                   RuleDelayed[ButtonData, "QuantumField"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuantumField"]], "."}], "Text", 
               CellTags -> "GaugeField"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GaugeField"], Cell[CellGroupData[{Cell[BoxData[
                   "GaugeField"], "Input", CellLabel -> "In[857]:=", 
                  CellTags -> "GaugeField"], Cell[BoxData[
                   \(TraditionalForm\`A\)], "Output", CellLabel -> 
                   "Out[857]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[\(GaugeField, \(LorentzIndex[\[Mu]]\), 
                        \(SUNIndex[a]\)\)]\)], "Input", CellLabel -> 
                   "In[858]:=", CellTags -> "GaugeField"], Cell[BoxData[
                   FormBox[SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                     FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                      "TraditionalForm"], FormBox[FormBox["a", 
                       "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[858]="]}, 
                Open]]}, Open]], Cell["GaugeXi", "ObjectName", 
            CellTags -> "GaugeXi"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "GaugeXi"], 
              Cell["GaugeXi is a head for gauge parameters.", "Text", 
               CellTags -> "GaugeXi"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Gauge", RuleDelayed[ButtonData, "Gauge"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Gauge"]], ", ", 
                 ButtonBox["GaugeField", RuleDelayed[ButtonData, 
                    "GaugeField"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GaugeField"]], "."}], "Text", 
               CellTags -> "GaugeXi"]}, Open]], Cell["GA5", "ObjectName", 
            CellTags -> "GA5"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "GA5"], 
              Cell["GA5 is equivalent to DiracGamma[5] and denotes gamma5.", 
               "Text", CellTags -> "GA5"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["GA", RuleDelayed[ButtonData, "GA"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GA"]], 
                 ", ", 
                 ButtonBox["GS", RuleDelayed[ButtonData, "GS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GS"]], 
                 "."}], "Text", CellTags -> "GA5"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GA5"], Cell[CellGroupData[{Cell[BoxData["GA5"], "Input", 
                  CellLabel -> "In[859]:=", CellTags -> "GA5"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)], "Output", 
                  CellLabel -> "Out[859]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//Tr\)], "Input", CellLabel -> "In[860]:=", 
                  CellTags -> "GA5"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[860]="]}, Open]]}, Open]], 
           Cell["GGV", "ObjectName", CellTags -> "GGV"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "GGV"], Cell[
               "GGV is equivalent to GluonGhostVertex.", "Text", CellTags -> 
                "GGV"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GluonGhostVertex", 
                   RuleDelayed[ButtonData, "GluonGhostVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonGhostVertex"]], "."}], "Text", 
               CellTags -> "GGV"]}, Open]], Cell["GhostPropagator", 
            "ObjectName", CellTags -> "GhostPropagator"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "GhostPropagator"], Cell[TextData[{"GhostPropagato\
r[p, a, b] gives the ghost propagator where \"a\" and \"b\" are the color \
indices. GhostPropagator[p] omits the ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Delta]\_\(a\[NoBreak]b\) .\)\)]]}], 
               "Text", CellTags -> "GhostPropagator"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["GHP", RuleDelayed[ButtonData, "GHP"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GHP"]], 
                 ", ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], ", ", 
                 ButtonBox["GluonGhostVertex", 
                   RuleDelayed[ButtonData, "GluonGhostVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonGhostVertex"]], "."}], "Text", 
               CellTags -> "GhostPropagator"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[GhostPropagator]\)], "Input", 
                  CellLabel -> "In[861]:="], Cell[BoxData[
                   \(TraditionalForm\`\({Explicit \[Rule] False}\)\)], 
                  "Output", CellLabel -> "Out[861]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GhostPropagator"], Cell[CellGroupData[{Cell[BoxData[
                   \(GhostPropagator[\(p, a, b\)]\)], "Input", CellLabel -> 
                   "In[862]:=", CellTags -> "GhostPropagator"], Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalPi]\_\(ab\)(p)\)\)], 
                  "Output", CellLabel -> "Out[862]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(GhostPropagator[\(p, a, b, \(Explicit \[Rule] True\)\)]
                     \)], "Input", CellLabel -> "In[863]:=", CellTags -> 
                   "GhostPropagator"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{"\[ImaginaryI]", " ", SubscriptBox["\[Delta]", 
                        RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                     \(p\^2\)], TraditionalForm]], "Output", CellLabel -> 
                   "Out[863]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GhostPropagator[p]\)], "Input", CellLabel -> 
                   "In[864]:=", CellTags -> "GhostPropagator"], Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalPi]\_u(p)\)\)], "Output", 
                  CellLabel -> "Out[864]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(GhostPropagator[\(p, 1, 2\)]\)//Explicit\)]
                   , "Input", CellLabel -> "In[865]:=", CellTags -> 
                   "GhostPropagator"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{"\[ImaginaryI]", " ", SubscriptBox["\[Delta]", 
                        RowBox[{FormBox[FormBox["ci1", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["ci2", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                     \(p\^2\)], TraditionalForm]], "Output", CellLabel -> 
                   "Out[865]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(GhostPropagator[\(\(-k\), 3, 4\)]\)//Explicit\)//
                        \ FCE\)//StandardForm\)], "Input", CellLabel -> 
                   "In[866]:=", CellTags -> "GhostPropagator"], Cell[BoxData[
                   \(\[ImaginaryI]\ \(FAD[k]\)\ \(SD[\(ci3, ci4\)]\)\)], 
                  "Output", CellLabel -> "Out[866]//StandardForm="]}, 
                Open]]}, Open]], Cell["GHP", "ObjectName", 
            CellTags -> "GHP"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "GHP"], Cell[TextData[
                {"GHP[p, a, b] gives the ghost propagator where \"a\" and \
\"b\" are the color indices. GHP[p] omits the ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Delta]\_\(a\[NoBreak]b\) .\)\)]]}], 
               "Text", CellTags -> "GHP"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GhostPropagator", 
                   RuleDelayed[ButtonData, "GhostPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GhostPropagator"]], ", ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], ", ", 
                 ButtonBox["GluonGhostVertex", 
                   RuleDelayed[ButtonData, "GluonGhostVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonGhostVertex"]], "."}], "Text", 
               CellTags -> "GHP"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "GHP"], 
              Cell[CellGroupData[{Cell[BoxData[\(GHP[\(p, a, b\)]\)], 
                  "Input", CellLabel -> "In[867]:=", CellTags -> "GHP"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[CapitalPi]\_\(ab\)(p)\)\)
                   ], "Output", CellLabel -> "Out[867]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(\(GHP[p]\)//Explicit\)], 
                  "Input", CellLabel -> "In[868]:=", CellTags -> "GHP"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[ImaginaryI]\/p\^2\)\)], 
                  "Output", CellLabel -> "Out[868]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(GHP[\(p, 1, 2\)]\)], 
                  "Input", CellLabel -> "In[869]:=", CellTags -> "GHP"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalPi]\_\(ci1ci2\)(p)\)\)], 
                  "Output", CellLabel -> "Out[869]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FCE[\(\(GHP[\(\(-k\), 3, 4\)]\)//Explicit
                         \)]\)]\)], "Input", CellLabel -> "In[870]:=", 
                  CellTags -> "GHP"], Cell[BoxData[
                   \(\[ImaginaryI]\ \(FAD[k]\)\ \(SD[\(ci3, ci4\)]\)\)], 
                  "Output", CellLabel -> "Out[870]//StandardForm="]}, 
                Open]]}, Open]], Cell["GluonField", "ObjectName", 
            CellTags -> "GluonField"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "GluonField"], 
              Cell["GluonField is a name of a gauge field.", "Text", 
               CellTags -> "GluonField"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GaugeField", RuleDelayed[ButtonData, 
                    "GaugeField"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GaugeField"]], "."}], "Text", 
               CellTags -> "GluonField"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GluonField"], Cell[CellGroupData[{Cell[BoxData[
                   "GluonField"], "Input", CellLabel -> "In[871]:=", 
                  CellTags -> "GluonField"], Cell[BoxData[
                   \(TraditionalForm\`A\)], "Output", CellLabel -> 
                   "Out[871]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[\(GluonField, \(LorentzIndex[\[Mu]]\), 
                        \(SUNIndex[a]\)\)]\)], "Input", CellLabel -> 
                   "In[872]:=", CellTags -> "GluonField"], Cell[BoxData[
                   FormBox[SubsuperscriptBox[FormBox["A", "TraditionalForm"], 
                     FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                      "TraditionalForm"], FormBox[FormBox["a", 
                       "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[872]="]}, 
                Open]]}, Open]], Cell["GluonGhostVertex", "ObjectName", 
            CellTags -> "GluonGhostVertex"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "GluonGhostVertex"], Cell["GluonGhostVertex[{p,mu,a}, \
{q,nu,b}, {k,rho,c}] or GluonGhostVertex[ p,mu,a , q,nu,b , k,rho,c ] yields \
the Gluon-Ghost vertex. The first argument represents the gluon and the third \
argument the outgoing ghost field (but incoming four-momentum). The dimension \
and the name of the coupling constant are determined by the options Dimension \
and CouplingConstant.", "Text", CellTags -> "GluonGhostVertex"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], ", ", 
                 ButtonBox["GluonSelfEnergy", 
                   RuleDelayed[ButtonData, "GluonSelfEnergy"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonSelfEnergy"]], ", ", 
                 ButtonBox["GhostPropagator", 
                   RuleDelayed[ButtonData, "GhostPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GhostPropagator"]], ", ", 
                 ButtonBox["GluonVertex", 
                   RuleDelayed[ButtonData, "GluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonVertex"]], "."}], "Text", 
               CellTags -> "GluonGhostVertex"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[GluonGhostVertex]\)], "Input", 
                  CellLabel -> "In[873]:=", CellTags -> "GluonGhostVertex"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Explicit \[Rule] False\)}
                   \)\)], "Output", CellLabel -> "Out[873]="]}, Open]]}, 
             Open]], Cell[CellGroupData[{Cell["Examples", "Subsubsection", 
               CellTags -> "GluonGhostVertex"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(GluonGhostVertex[\(\({p, \[Mu], a}\), \({q, \[Nu], b}\),
                         \({k, \[Rho], c}\)\)]\)], "Input", CellLabel -> 
                   "In[874]:=", CellTags -> "GluonGhostVertex"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(\(\[CapitalLambda]\&~\)\^\[Mu](k)\), " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[874]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Explicit[%]\)], 
                  "Input", CellLabel -> "In[875]:="], Cell[BoxData[
                   FormBox[RowBox[{\(-g\_s\), " ", SuperscriptBox[FormBox[
                        "k", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[875]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonGhostVertex[\(k, \[Mu]\)]\)], "Input", CellLabel -> 
                   "In[876]:="], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(\[CapitalLambda]\&~\)\^\[Mu]\)(k)
                       \)\)], "Output", CellLabel -> "Out[876]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Explicit[%]\)], "Input", 
                  CellLabel -> "In[877]:="], Cell[BoxData[FormBox[RowBox[{
                      \(-g\_s\), " ", SuperscriptBox[FormBox["k", 
                        "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[877]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(%//Explicit\)//StandardForm\)], "Input", CellLabel -> 
                   "In[878]:=", CellTags -> "GluonGhostVertex"], Cell[BoxData[
                   \(\(-Gstrong\)\ \(Pair[\(
                         \(LorentzIndex[\(\[Mu], D\)]\), 
                          \(Momentum[\(k, D\)]\)\)]\)\)], "Output", 
                  CellLabel -> "Out[878]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(GluonGhostVertex[\(p, 1, q, 2, k, 3\)]\)], "Input", 
                  CellLabel -> "In[879]:=", CellTags -> "GluonGhostVertex"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(\(\[CapitalLambda]\&~\)\^li1(k)\), " ", SubscriptBox[
                       "f", RowBox[{FormBox[FormBox["ci1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ci2", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["ci3", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[879]="]}, 
                Open]]}, Open]], Cell["GluonPropagator", "ObjectName", 
            CellTags -> "GluonPropagator"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "GluonPropagator"], Cell[TextData[{"GluonPropagator[p, {mu, \
a}, {nu, b}] or GluonPropagator[p, mu, a , nu, b ] yields the gluon \
propagator. GluonPropagator[p, {mu}, {nu}] or GluonPropagator[p, mu, nu] \
omits the SUNDelta. The gauge and the dimension is determined by the option \
Gauge and Dimension. The following settings of Gauge are possible: 1 for the \
Feynman gauge; ", Cell[BoxData[\(TraditionalForm\`\[Alpha]\)]], 
                 " for the general covariant gauge; {Momentum[n] ,1} for the \
axial gauge."}], "Text", CellTags -> "GluonPropagator"], 
              Cell["GP can be used as an abbreviation of GluonPropagator.", 
               "Text", CellTags -> "GluonPropagator"], Cell[CellGroupData[
                {Cell[BoxData["GP"], "Input", CellLabel -> "In[880]:=", 
                  CellTags -> "GluonPropagator"], Cell[BoxData[
                   \(TraditionalForm\`GluonPropagator\)], "Output", 
                  CellLabel -> "Out[880]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Options[GluonPropagator]\)], "Input", 
                  CellLabel -> "In[881]:=", CellTags -> "GluonPropagator"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(CounterTerm \[Rule] False\), 
                         \(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Explicit \[Rule] False\),
                          \(Gauge \[Rule] 1\), 
                         \(\[CapitalOmega] \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[881]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["GluonSelfEnergy", 
                   RuleDelayed[ButtonData, "GluonSelfEnergy"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonSelfEnergy"]], ", ", 
                 ButtonBox["GluonVertex", 
                   RuleDelayed[ButtonData, "GluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonVertex"]], ", ", 
                 ButtonBox["GhostPropagator", 
                   RuleDelayed[ButtonData, "GhostPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GhostPropagator"]], ", ", 
                 ButtonBox["GluonGhostVertex", 
                   RuleDelayed[ButtonData, "GluonGhostVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonGhostVertex"]], "."}], "Text", 
               CellTags -> "GluonPropagator"]}, Open]], 
           Cell[CellGroupData[{Cell[BoxData["Examples"], "Subsubsection", 
               CellTags -> "GluonPropagator"], Cell[CellGroupData[
                {Cell[BoxData[\(GluonPropagator[\(p, \[Mu], a, \[Nu], b\)]\)]
                   , "Input", CellLabel -> "In[882]:=", CellTags -> 
                   "GluonPropagator"], Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalPi]\_\(ab\)\%\(\[Mu]\[Nu]\)(
                        p)\)\)], "Output", CellLabel -> "Out[882]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonPropagator[\(p, \[Mu], a, \[Nu], b\)]\)//Explicit
                     \)], "Input", CellLabel -> "In[883]:="], 
                 Cell[BoxData[FormBox[RowBox[{"-", FractionBox[RowBox[
                        {"\[ImaginaryI]", " ", \(g\^\(\[Mu]\[Nu]\)\), " ", 
                         SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(p\^2\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[883]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonPropagator[\(p, \[Mu], a, \[Nu], b, 
                          \(Gauge \[Rule] \[Alpha]\)\)]\)//Explicit\)], 
                  "Input", CellLabel -> "In[884]:=", CellTags -> 
                   "GluonPropagator"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{"\[ImaginaryI]", " ", RowBox[{"(", RowBox[
                          {FractionBox[RowBox[{\((1 - \[Alpha])\), " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], \(p\^2\)]
                          , "-", \(g\^\(\[Mu]\[Nu]\)\)}], ")"}], " ", 
                       SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(p\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[884]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonPropagator[\(p, \[Mu], a, \[Nu], b, 
                          \(Gauge \[Rule] \({\(Momentum[n]\), 1}\)\)\)]\)//
                      Explicit\)], "Input", CellLabel -> "In[885]:=", 
                  CellTags -> "GluonPropagator"], Cell[BoxData[FormBox[
                    FractionBox[RowBox[{"\[ImaginaryI]", " ", RowBox[
                        {"(", RowBox[{\(-g\^\(\[Mu]\[Nu]\)\), "-", 
                          FractionBox[RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "n", "TraditionalForm"], "2"]}], "-", RowBox[
                          {SuperscriptBox[FormBox["n", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "n", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"]}]}], SuperscriptBox[FormBox[RowBox[{FormBox[
                          "n", "TraditionalForm"], "\[CenterDot]", FormBox[
                          "p", "TraditionalForm"]}], "TraditionalForm"], 
                          "2"]], "+", FractionBox[RowBox[{RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "n", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{SuperscriptBox[FormBox["n", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], RowBox[{FormBox["n", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]]}], ")"}], " ", SubscriptBox[
                        "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(p\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[885]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonPropagator[\(p, \[Mu], \[Nu]\)]\)//Explicit\)], 
                  "Input", CellLabel -> "In[886]:=", CellTags -> 
                   "GluonPropagator"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(
                         \(\[ImaginaryI]\ g\^\(\[Mu]\[Nu]\)\)\/p\^2\)\)\)], 
                  "Output", CellLabel -> "Out[886]="]}, Open]], 
              Cell["This is a convenient way to enter amplitudes by hand (GP \
is an abbreviation GluonPropagator).", "Text", CellTags -> 
                "GluonPropagator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Explicit[\(\(GP[\(p, 1, 2\)]\), \(Gauge \[Rule] \[Xi]\)
                       \)]\)], "Input", CellLabel -> "In[887]:=", CellTags -> 
                   "GluonPropagator"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{"\[ImaginaryI]", " ", RowBox[{"(", RowBox[
                          {FractionBox[RowBox[{\((1 - \[Xi])\), " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["li1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["li2", 
                          "TraditionalForm"], "TraditionalForm"]]}], \(p\^2\)]
                          , "-", \(g\^\(li1li2\)\)}], ")"}], " ", 
                       SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "ci1", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["ci2", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(p\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[887]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(GP[\(\(-k\), 3, 4\)]\)//Explicit\)//FCE\)//
                      StandardForm\)], "Input", CellLabel -> "In[888]:=", 
                  CellTags -> "GluonPropagator"], Cell[BoxData[
                   \(\(-\[ImaginaryI]\)\ \(FAD[k]\)\ \(MTD[\(li3, li4\)]\)\ 
                      \(SD[\(ci3, ci4\)]\)\)], "Output", CellLabel -> 
                   "Out[888]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(GluonPropagator[\(p, \[Mu], a, \[Nu], b, 
                          \(CounterTerm \[Rule]\ 1\)\)]\)//Explicit\)], 
                  "Input", CellLabel -> "In[889]:=", CellTags -> 
                   "GluonPropagator"], Cell[BoxData[FormBox[RowBox[
                     {"-", FractionBox[RowBox[{"\[ImaginaryI]", " ", \(C\_A\)
                         , " ", \(g\_s\%2\), " ", \(S\_n\), " ", RowBox[
                          {"(", RowBox[{FractionBox[RowBox[{"11", " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "3"], 
                          "-", RowBox[{\(19\/6\), " ", \(g\^\(\[Mu]\[Nu]\)\), 
                          " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}]}], ")"}], " ", 
                         SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], 
                       TagBox["\[CurlyEpsilon]", TraditionalForm]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[889]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonPropagator[\(p, \[Mu], a, \[Nu], b, 
                          \(CounterTerm \[Rule]\ 2\)\)]\)//Explicit\)], 
                  "Input", CellLabel -> "In[890]:=", CellTags -> 
                   "GluonPropagator"], Cell[BoxData[FormBox[RowBox[
                     {"-", FractionBox[RowBox[{"\[ImaginaryI]", " ", \(C\_A\)
                         , " ", \(g\_s\%2\), " ", \(S\_n\), " ", RowBox[
                          {"(", RowBox[{RowBox[{\(-\(1\/3\)\), " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{\(1\/6\), " ", \(g\^\(\[Mu]\[Nu]\)\), " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"]}]}], ")"}], " ", SubscriptBox["\[Delta]", 
                          RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                       TagBox["\[CurlyEpsilon]", TraditionalForm]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[890]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonPropagator[\(p, \[Mu], a, \[Nu], b, 
                          \(CounterTerm \[Rule]\ 3\)\)]\)//Explicit\)], 
                  "Input", CellLabel -> "In[891]:=", CellTags -> 
                   "GluonPropagator"], Cell[BoxData[FormBox[RowBox[
                     {"-", FractionBox[RowBox[{"2", " ", "\[ImaginaryI]", 
                         " ", \(g\_s\%2\), " ", \(S\_n\), " ", \(T\_f\), " ", 
                         RowBox[{"(", RowBox[{RowBox[{\(4\/3\), " ", 
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"]}], "-", FractionBox[
                          RowBox[{"4", " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "3"]}], ")"}], " ", 
                         SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], 
                       TagBox["\[CurlyEpsilon]", TraditionalForm]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[891]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonPropagator[\(p, \[Mu], a, \[Nu], b, 
                          \(CounterTerm \[Rule]\ 4\)\)]\)//Explicit\)], 
                  "Input", CellLabel -> "In[892]:=", CellTags -> 
                   "GluonPropagator"], Cell[BoxData[FormBox[RowBox[
                     {"-", FractionBox[RowBox[{"\[ImaginaryI]", " ", \(C\_A\)
                         , " ", \(g\_s\%2\), " ", \(S\_n\), " ", RowBox[
                          {"(", RowBox[{FractionBox[RowBox[{"10", " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "3"], 
                          "-", RowBox[{\(10\/3\), " ", \(g\^\(\[Mu]\[Nu]\)\), 
                          " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}]}], ")"}], " ", 
                         SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], 
                       TagBox["\[CurlyEpsilon]", TraditionalForm]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[892]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonPropagator[\(p, \[Mu], a, \[Nu], b, 
                          \(CounterTerm \[Rule]\ 5\)\)]\)//Explicit\)], 
                  "Input", CellLabel -> "In[893]:=", CellTags -> 
                   "GluonPropagator"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{"\[ImaginaryI]", " ", \(C\_A\), 
                         " ", \(S\_n\), " ", RowBox[{"(", RowBox[{FractionBox[
                          RowBox[{"10", " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "3"], "-", RowBox[{\(10\/3\)
                          , " ", \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"]}]}], ")"}], 
                         " ", SubscriptBox["\[Delta]", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                         \(g\_s\%2\)}], 
                       TagBox["\[CurlyEpsilon]", TraditionalForm]], "+", 
                      FractionBox[RowBox[{"\[ImaginaryI]", " ", \(S\_n\), 
                         " ", \(T\_f\), " ", RowBox[{"(", RowBox[{RowBox[{
                          \(4\/3\), " ", \(g\^\(\[Mu]\[Nu]\)\), " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"]}], "-", FractionBox[RowBox[{"4", " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "3"]}], 
                          ")"}], " ", SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                         \(g\_s\%2\)}], 
                       TagBox["\[CurlyEpsilon]", TraditionalForm]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[893]="]}, 
                Open]]}, Open]], Cell["GluonSelfEnergy", "ObjectName", 
            CellTags -> "GluonSelfEnergy"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "GluonSelfEnergy"], Cell["GluonSelfEnergy[{mu, a}, {nu,b}] \
yields the 1-loop Gluon selfenergy.", "Text", CellTags -> "GluonSelfEnergy"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[GluonSelfEnergy]\)], 
                  "Input", CellLabel -> "In[894]:=", CellTags -> 
                   "GluonSelfEnergy"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(CouplingConstant \[Rule] g\_s\), 
                         \(FinalSubstitutions \[Rule] 
                           \({\(\(log(\(\[Mu]\^2\ _\))\) \[RuleDelayed] 0\), 
                              \(\*TagBox["\[DoubledGamma]", 
                                  Function[List[], EulerGamma]] 
                                \[RuleDelayed] \(log(\(4\ \[Pi]\))\)\)}\)\), 
                         \(Gauge \[Rule] 1\), \(Momentum \[Rule] p\)}\)\)], 
                  "Output", CellLabel -> "Out[894]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], ", ", 
                 ButtonBox["GluonVertex", 
                   RuleDelayed[ButtonData, "GluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonVertex"]], ", ", 
                 ButtonBox["GhostPropagator", 
                   RuleDelayed[ButtonData, "GhostPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GhostPropagator"]], ", ", 
                 ButtonBox["GluonGhostVertex", 
                   RuleDelayed[ButtonData, "GluonGhostVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonGhostVertex"]], "."}], "Text", 
               CellTags -> "GluonSelfEnergy"]}, Open]], 
           Cell[CellGroupData[{Cell[BoxData["Examples"], "Subsubsection", 
               CellTags -> "GluonSelfEnergy"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(GluonSelfEnergy[\(\({\[Mu], a}\), \({\[Nu], b}\)\)]\)], 
                  "Input", CellLabel -> "In[895]:=", CellTags -> 
                   "GluonSelfEnergy"], Cell[BoxData[FormBox[RowBox[{RowBox[{
                        \(1\/2\), " ", "\[ImaginaryI]", " ", \(C\_A\), " ", 
                        \((20\/\(3\ \*TagBox["\[CurlyEpsilon]", 
                                 TraditionalForm]\) - 62\/9)\), " ", 
                        RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"]}]}], ")"}], " ", 
                        SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\_s\%2\)}], "+", 
                      RowBox[{"\[ImaginaryI]", " ", 
                        \((20\/9 - 8\/\(3\ \*TagBox["\[CurlyEpsilon]", 
                                 TraditionalForm]\))\), " ", \(T\_f\), " ", 
                        RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"]}]}], ")"}], " ", 
                        SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\_s\%2\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[895]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonSelfEnergy[\(\({\[Mu], a}\), \({\[Nu], b}\), 
                        \(Gauge \[Rule] \[Xi]\)\)]\)], "Input", CellLabel -> 
                   "In[896]:=", CellTags -> "GluonSelfEnergy"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"\[ImaginaryI]", " ", 
                        \((20\/9 - 8\/\(3\ \*TagBox["\[CurlyEpsilon]", 
                                 TraditionalForm]\))\), " ", \(T\_f\), " ", 
                        RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"]}]}], ")"}], " ", 
                        SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\_s\%2\)}], "+", 
                      RowBox[{\(1\/2\), " ", "\[ImaginaryI]", " ", \(C\_A\), 
                        " ", 
                        \((\(\(-\(1\/2\)\)\ \((1 - \[Xi])\)\^2\) + 
                            \(2\ \((1 - \[Xi])\)\) + 
                            \(2\ \((13\/3 - \[Xi])\)\)\/
                             \*TagBox["\[CurlyEpsilon]", TraditionalForm] - 
                            62\/9)\), " ", RowBox[{"(", RowBox[{RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"]}]}], ")"}], 
                        " ", SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", \(g\_s\%2\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[896]="]}, 
                Open]]}, Open]], Cell["GluonVertex", "ObjectName", 
            CellTags -> "GluonVertex"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "GluonVertex"], Cell[
               "Note: All momenta are flowing into the vertex.", "Text", 
               CellTags -> "GluonVertex"], Cell["GluonVertex[{p,mu,a}, \
{q,nu,b}, {k,la,c}] or GluonVertex[p,mu,a , q,nu,b , k,la,c ] yields the \
3-gluon vertex. GluonVertex[{p,mu}, {q,nu}, {k,la}] yields the 3-gluon vertex \
without color structure and the coupling constant. GluonVertex[{p,mu,a}, \
{q,nu,b}, {k,la,c}, {s,si,d}] or GluonVertex[{mu,a}, {nu,b}, {la,c}, {si,d}] \
or GluonVertex[p,mu,a , q,nu,b , k,la,c , s,si,d] or GluonVertex[ mu,a , nu,b \
, la,c , si,d ] yields the 4-gluon vertex. The dimension and the name of the \
coupling constant are determined by the options Dimension and \
CouplingConstant.", "Text", CellTags -> "GluonVertex"], 
              Cell["GV can be used as an abbreviation of GluonVertex.", 
               "Text", CellTags -> "GluonVertex"], Cell[CellGroupData[
                {Cell[BoxData["GV"], "Input", CellLabel -> "In[897]:=", 
                  CellTags -> "GluonVertex"], Cell[BoxData[
                   \(TraditionalForm\`GluonVertex\)], "Output", CellLabel -> 
                   "Out[897]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[GluonVertex]\)], "Input", CellLabel -> 
                   "In[898]:=", CellTags -> "GluonVertex"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Explicit \[Rule] False\),
                          \(\[CapitalOmega] \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[898]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["GluonGhostVertex", 
                   RuleDelayed[ButtonData, "GluonGhostVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonGhostVertex"]], ", ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], "."}], "Text", 
               CellTags -> "GluonVertex"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GluonVertex"], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonVertex[\(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\)\)]\)], "Input", CellLabel -> 
                   "In[899]:=", CellTags -> "GluonVertex"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{SuperscriptBox["V", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]}]], "(", RowBox[{FormBox["p", 
                          "TraditionalForm"], \(,\ \), FormBox["q", 
                          "TraditionalForm"], \(,\ \), FormBox["r", 
                          "TraditionalForm"]}], ")"}], " ", SubscriptBox["f", 
                       RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[899]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonVertex[\(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                          \({r, \[Rho], c}\)\)]\)//Explicit\)], "Input", 
                  CellLabel -> "In[900]:=", CellTags -> "GluonVertex"], 
                 Cell[BoxData[FormBox[RowBox[{\(g\_s\), " ", RowBox[
                       {"(", RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", SuperscriptBox[FormBox[
                          "r", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}], 
                          " ", \(g\^\(\[Nu]\[Rho]\)\)}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["r", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                          "+", RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], "-", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}]}], ")"}], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[900]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonVertex[\(\({p, \[Mu]}\), \({q, \[Nu]}\), 
                        \({r, \[Rho]}\)\)]\)], "Input", CellLabel -> 
                   "In[901]:=", CellTags -> "GluonVertex"], Cell[BoxData[
                   \(TraditionalForm\`\(\(V\^\(\[Mu]\[Nu]\[Rho]\)\)(
                        \(p\(,\ \)q\(,\ \)r\))\)\)], "Output", CellLabel -> 
                   "Out[901]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonVertex[\(\({p, \[Mu]}\), \({q, \[Nu]}\), 
                          \({r, \[Rho]}\)\)]\)//Explicit\)], "Input", 
                  CellLabel -> "In[902]:=", CellTags -> "GluonVertex"], 
                 Cell[BoxData[FormBox[RowBox[{\(g\_s\), " ", RowBox[
                       {"(", RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", SuperscriptBox[FormBox[
                          "r", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}], 
                          " ", \(g\^\(\[Nu]\[Rho]\)\)}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox["r", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], "-", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], ")"}]}], 
                          "+", RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], "-", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[902]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonVertex[\(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\), \({s, \[Sigma], d}\)\)]\)], 
                  "Input", CellLabel -> "In[903]:=", CellTags -> 
                   "GluonVertex"], Cell[BoxData[
                   \(TraditionalForm\`\(V\_\(abcd\)\%
                         \(\[Mu]\[Nu]\[Rho]\[Sigma]\)(
                        \(p\(,\ \)q\(,\ \)r\(,\ \)s\))\)\)], "Output", 
                  CellLabel -> "Out[903]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(GluonVertex[\(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                          \({r, \[Rho], c}\), \({s, \[Sigma], d}\)\)]\)//
                      Explicit\)], "Input", CellLabel -> "In[904]:="], 
                 Cell[BoxData[FormBox[RowBox[{\(-\[ImaginaryI]\), " ", 
                      \(g\_s\%2\), " ", RowBox[{"(", RowBox[{RowBox[{
                          \((\(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\) - 
                              \(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\))\)\
, " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u9", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u9", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                          \((\(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\) - 
                              \(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\))\)\
, " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u9", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u9", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                          \((\(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\) - 
                              \(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\))\)\
, " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u9", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u9", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[904]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(GluonVertex[\(\({\[Mu], a}\), \({\[Nu], b}\), 
                        \({\[Rho], c}\), \({\[Sigma], d}\)\)]\)], "Input", 
                  CellLabel -> "In[905]:=", CellTags -> "GluonVertex"], 
                 Cell[BoxData[\(TraditionalForm\`\(W\^\(abcd\)\)\)], 
                  "Output", CellLabel -> "Out[905]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(GluonVertex[\(\[Mu], a, \[Nu], b, \[Rho], c, \[Sigma],
                           d\)]\)//Explicit\)], "Input", CellLabel -> 
                   "In[906]:=", CellTags -> "GluonVertex"], Cell[BoxData[
                   FormBox[RowBox[{\(-\[ImaginaryI]\), " ", \(g\_s\%2\), " ", 
                      RowBox[{"(", RowBox[{RowBox[{
                          \((\(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\) - 
                              \(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\))\)\
, " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u10", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u10", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                          \((\(g\^\(\[Mu]\[Nu]\)\ g\^\(\[Rho]\[Sigma]\)\) - 
                              \(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\))\)\
, " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u10", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u10", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{
                          \((\(g\^\(\[Mu]\[Rho]\)\ g\^\(\[Nu]\[Sigma]\)\) - 
                              \(g\^\(\[Mu]\[Sigma]\)\ g\^\(\[Nu]\[Rho]\)\))\)\
, " ", SubscriptBox["f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u10", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["u10", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[906]="]}, 
                Open]], Cell["A very convenient way to enter diagrams by hand \
is to label each line hitting a vertex by a number and put this number after \
the inflowing momentum.", "Text", CellTags -> "GluonVertex"], 
              Cell[CellGroupData[{Cell[BoxData[\(GV[\(p, 1, q, 2, r, 3\)]\)], 
                  "Input", CellLabel -> "In[907]:=", CellTags -> 
                   "GluonVertex"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SuperscriptBox["V", RowBox[{FormBox[FormBox[
                          "li1", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["li2", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["li3", 
                          "TraditionalForm"], "TraditionalForm"]}]], "(", 
                        RowBox[{FormBox["p", "TraditionalForm"], \(,\ \), 
                          FormBox["q", "TraditionalForm"], \(,\ \), FormBox[
                          "r", "TraditionalForm"]}], ")"}], " ", SubscriptBox[
                       "f", RowBox[{FormBox[FormBox["ci1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ci2", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["ci3", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[907]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(GV[\(p, 1, q, 2, r, 3, s, 4\)]\)//Explicit\)], 
                  "Input", CellLabel -> "In[908]:=", CellTags -> 
                   "GluonVertex"], Cell[BoxData[FormBox[RowBox[{
                      \(-\[ImaginaryI]\), " ", \(g\_s\%2\), " ", RowBox[
                       {"(", RowBox[{RowBox[{
                          \((\(g\^\(li1li2\)\ g\^\(li3li4\)\) - 
                              \(g\^\(li1li3\)\ g\^\(li2li4\)\))\), " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["ci1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ci4", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u11", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["ci2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ci3", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u11", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "+", 
                          RowBox[{
                          \((\(g\^\(li1li2\)\ g\^\(li3li4\)\) - 
                              \(g\^\(li1li4\)\ g\^\(li2li3\)\))\), " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["ci1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ci3", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u11", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["ci2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ci4", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u11", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "+", 
                          RowBox[{
                          \((\(g\^\(li1li3\)\ g\^\(li2li4\)\) - 
                              \(g\^\(li1li4\)\ g\^\(li2li3\)\))\), " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["ci1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ci2", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u11", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["ci3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ci4", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["u11", 
                          "TraditionalForm"], "TraditionalForm"]}]]}]}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[908]="]}, Open]]}, Open]], Cell["GO", "ObjectName", 
            CellTags -> "GO"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "GO"], 
              Cell["GO is equivalent to Twist2GluonOperator.", "Text", 
               CellTags -> "GO"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Twist2GluonOperator", 
                   RuleDelayed[ButtonData, "Twist2GluonOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2GluonOperator"]], "."}], "Text", 
               CellTags -> "GO"]}, Open]], Cell["GP", "ObjectName", 
            CellTags -> "GP"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "GP"], 
              Cell["GP is equivalent to GluonPropagator.", "Text", 
               CellTags -> "GP"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], "."}], "Text", 
               CellTags -> "GP"]}, Open]], Cell["GrassmannParity", 
            "ObjectName", CellTags -> "GrassmannParity"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "GrassmannParity"], Cell["GrassmannParity is a \
data type. E.g. DataType[F, GrassmannParity] = 1 declares F to be of bosonic \
type and DataType[F, GrassmannParity] = -1 of fermionic one.", "Text", 
               CellTags -> "GrassmannParity"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["DataType", RuleDelayed[ButtonData, "DataType"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DataType"]], "."}], "Text", CellTags -> 
                "GrassmannParity"]}, Open]], Cell["GS", "ObjectName", 
            CellTags -> "GS"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "GS"], Cell[TextData[
                {"GS[p] can be used as input for a 4-dimensional ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(p\(\ \[NegativeMediumSpace]\)
                        \[NegativeMediumSpace]\[NegativeMediumSpace]
                        \[NegativeMediumSpace]/\ 
                        \((\(= \(\[Gamma] . p\)\)\ =\ 
                           \(\[Gamma]\_\[Mu] p\^\[Mu]\))\)\)\)]], " and is \
transformed into DiracGamma[Momentum[p]] by FeynCalcInternal (=FCI). GS[p,q, \
...] is a short form for GS[p].GS[q]. ... ."}], "Text", CellTags -> "GS"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["DiracSlash", RuleDelayed[ButtonData, 
                    "DiracSlash"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSlash"]], ", ", 
                 ButtonBox["GA", RuleDelayed[ButtonData, "GA"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GA"]], 
                 ", ", 
                 ButtonBox["GAD", RuleDelayed[ButtonData, "GAD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GAD"]], 
                 "."}], "Text", CellTags -> "GS"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GS"], Cell[CellGroupData[{Cell[BoxData[\(GS[p]\)], "Input", 
                  CellLabel -> "In[909]:=", CellTags -> "GS"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma] \[CenterDot] p\)\)], 
                  "Output", CellLabel -> "Out[909]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(GS[p]\)//FCI\)//StandardForm\)], "Input", 
                  CellLabel -> "In[910]:=", CellTags -> "GS"], Cell[BoxData[
                   \(DiracGamma[\(Momentum[p]\)]\)], "Output", CellLabel -> 
                   "Out[910]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(GS[\(p, q, r, s\)]\)], "Input", CellLabel -> 
                   "In[911]:=", CellTags -> "GS"], Cell[BoxData[
                   \(TraditionalForm\`\(\((\[Gamma] \[CenterDot] p)\) . 
                        \((\[Gamma] \[CenterDot] q)\) . 
                        \((\[Gamma] \[CenterDot] r)\) . 
                        \((\[Gamma] \[CenterDot] s)\)\)\)], "Output", 
                  CellLabel -> "Out[911]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(GS[\(p, q, r, s\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[912]:=", CellTags -> "GS"], 
                 Cell[BoxData[
                   \(\(GS[p]\) . \(GS[q]\) . \(GS[r]\) . \(GS[s]\)\)], 
                  "Output", CellLabel -> "Out[912]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(GS[q]\) . \((\(GS[p]\) + m)\) . \(GS[q]\)\)], "Input", 
                  CellLabel -> "In[913]:=", CellTags -> "GS"], Cell[BoxData[
                   \(TraditionalForm\`\(\((\[Gamma] \[CenterDot] q)\) . 
                        \((m + \(\[Gamma] \[CenterDot] p\))\) . 
                        \((\[Gamma] \[CenterDot] q)\)\)\)], "Output", 
                  CellLabel -> "Out[913]="]}, Open]]}, Open]], 
           Cell["GSD", "ObjectName", CellTags -> "GSD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "GSD"], Cell[TextData[
                {"GSD[p] can be used as input for a D-dimensional ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(p\(\ \[NegativeMediumSpace]\)
                        \[NegativeMediumSpace]\[NegativeMediumSpace]
                        \[NegativeMediumSpace]/\ 
                        \((\(= \(\[Gamma] . p\)\)\ =\ 
                           \(\[Gamma]\_\[Mu] p\^\[Mu]\))\)\)\)]], " and is \
transformed into DiracGamma[Momentum[p,D],D] by FeynCalcInternal (=FCI). \
GSD[p,q, ...] is a short form for GSD[p].GSD[q]. ... ."}], "Text", 
               CellTags -> "GSD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["DiracSlash", RuleDelayed[ButtonData, 
                    "DiracSlash"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSlash"]], ", ", 
                 ButtonBox["GA", RuleDelayed[ButtonData, "GA"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GA"]], 
                 ", ", 
                 ButtonBox["GAD", RuleDelayed[ButtonData, "GAD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GAD"]], 
                 "."}], "Text", CellTags -> "GSD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "GSD"], Cell[CellGroupData[{Cell[BoxData[\(GSD[p]\)], 
                  "Input", CellLabel -> "In[914]:=", CellTags -> "GSD"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[Gamma] \[CenterDot] p\)\)
                   ], "Output", CellLabel -> "Out[914]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(GSD[p]\)//FCI\)//StandardForm\)], "Input", 
                  CellLabel -> "In[915]:=", CellTags -> "GSD"], Cell[BoxData[
                   \(DiracGamma[\(\(Momentum[\(p, D\)]\), D\)]\)], "Output", 
                  CellLabel -> "Out[915]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(GSD[\(p, q, r, s\)]\)], 
                  "Input", CellLabel -> "In[916]:=", CellTags -> "GSD"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\((\[Gamma] \[CenterDot] p)\) . 
                        \((\[Gamma] \[CenterDot] q)\) . 
                        \((\[Gamma] \[CenterDot] r)\) . 
                        \((\[Gamma] \[CenterDot] s)\)\)\)], "Output", 
                  CellLabel -> "Out[916]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(GSD[\(p, q, r, s\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[917]:=", CellTags -> "GSD"], 
                 Cell[BoxData[
                   \(\(GSD[p]\) . \(GSD[q]\) . \(GSD[r]\) . \(GSD[s]\)\)], 
                  "Output", CellLabel -> "Out[917]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(GSD[q]\) . \((\(GSD[p]\) + m)\) . \(GSD[q]\)\)], 
                  "Input", CellLabel -> "In[918]:=", CellTags -> "GSD"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\((\[Gamma] \[CenterDot] q)\) . 
                        \((m + \(\[Gamma] \[CenterDot] p\))\) . 
                        \((\[Gamma] \[CenterDot] q)\)\)\)], "Output", 
                  CellLabel -> "Out[918]="]}, Open]]}, Open]], 
           Cell["Gstrong", "ObjectName", CellTags -> "Gstrong"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Gstrong"], Cell[
               "Gstrong denotes the strong coupling constant.", "Text", 
               CellTags -> "Gstrong"], Cell[TextData[{"See also: ", 
                 ButtonBox["CovariantD", RuleDelayed[ButtonData, 
                    "CovariantD"], Rule[ButtonStyle, "AddOnsLink"]], ", ", 
                 ButtonBox["FieldStrength", 
                   RuleDelayed[ButtonData, "FieldStrength"], 
                   Rule[ButtonStyle, "AddOnsLink"]], ", ", 
                 ButtonBox["GluonVertex", 
                   RuleDelayed[ButtonData, "GluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"]], "."}], "Text", 
               CellTags -> "Gstrong"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Gstrong"], 
              Cell["Gstrong has no functional properties. Only a typesetting \
rule is defined.", "Text", CellTags -> "Gstrong"], Cell[CellGroupData[
                {Cell[BoxData["Gstrong"], "Input", CellLabel -> "In[919]:=", 
                  CellTags -> "Gstrong"], Cell[BoxData[
                   \(TraditionalForm\`g\_s\)], "Output", CellLabel -> 
                   "Out[919]="]}, Open]]}, Open]], Cell["GTI", "ObjectName", 
            CellTags -> "GTI"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "GTI"], 
              Cell["GTI is like RHI, but with no functional properties.", 
               "Text", CellTags -> "GTI"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "GTI"]}, Open]], 
           Cell["GV", "ObjectName", CellTags -> "GV"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "GV"], Cell["GV is equivalent to GluonVertex.", 
               "Text", CellTags -> "GV"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GluonVertex", 
                   RuleDelayed[ButtonData, "GluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonVertex"]], "."}], "Text", 
               CellTags -> "GV"]}, Open]], Cell["Hill", "ObjectName", 
            CellTags -> "Hill"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "Hill"], Cell["Hill[x, y] gives \
the Hill identity with arguments x and y. The returned object is 0.", "Text", 
               CellTags -> "Hill"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SimplifyPolyLog", 
                   RuleDelayed[ButtonData, "SimplifyPolyLog"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SimplifyPolyLog"]], "."}], "Text", 
               CellTags -> "Hill"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Hill"], 
              Cell[CellGroupData[{Cell[BoxData[\(Hill[\(a, b\)]\)], "Input", 
                  CellLabel -> "In[920]:=", CellTags -> "Hill"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(log(a)\)\ 
                          \((\(log(\(1 - a\))\) - \(log(\(1 - b\))\))\)\) + 
                        \(\(log(\(\(1 - a\)\/\(1 - b\)\))\)\ 
                          \((\(-\(log(a)\)\) + \(log(\(1 - b\))\) - 
                             \(log(\(\(a - b\)\/a\))\) + 
                             \(log(\(\(a - b\)\/\(1 - b\)\))\))\)\) - 
                        \(\((\(log(\(1 - b\))\) - \(log(\(\(a - b\)\/a\))\) +
                              \(log(\(\(a - b\)\/\(a\ \((1 - b)\)\)\))\))\)\ 
                          \(log(\(\(\((1 - a)\)\ b\)\/\(a\ \((1 - b)\)\)\))\)
                   \) + \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(a)\) + \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(\(1 - a\)\/\(1 - b\)\))\) - 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(b)\) + \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(b\/a\))\) - \(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(\(\((1 - a)\)\ b\)\/\(a\ \((1 - b)\)\)\))\) - 
                        \[Pi]\^2\/6\)\)], "Output", CellLabel -> 
                   "Out[920]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(%\ /.\ \(a \[RuleDelayed]\ .123\)\)\ /.\ 
                        \(b \[RuleDelayed]\ .656\)\)\ //\ Chop\)], "Input", 
                  CellLabel -> "In[921]:=", CellTags -> "Hill"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[921]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(Hill[\(x, \(x\ y\)\)]\)//PowerExpand\)//
                        SimplifyPolyLog\)//Expand\)], "Input", CellLabel -> 
                   "In[922]:=", CellTags -> "Hill"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\[Zeta](2)\) - 
                        \(\(log(\(1 - y\))\)\ \(log(y)\)\) - 
                        \(\(log(x)\)\ \(log(\(1 - \(x\ y\)\))\)\) - 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(1 - x\))\) - \(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(1 - y\))\) - \(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(x\ y\))\) + \(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(\(1 - x\)\/\(1 - \(x\ y\)\)\))\) - 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(\(\((1 - x)\)\ y\)\/\(1 - \(x\ y\)\)\))\)\)\)], 
                  "Output", CellLabel -> "Out[922]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(%\ /.\ \(x \[RuleDelayed]\ .34\)\)/.\ 
                          \(y \[Rule]\ .6\)\)//N\)//Chop\)], "Input", 
                  CellLabel -> "In[923]:=", CellTags -> "Hill"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[923]="]}, Open]]}, Open]], Cell["HypergeometricAC", 
            "ObjectName", CellTags -> "HypergeometricAC"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "HypergeometricAC"], Cell["HypergeometricAC[n][exp\
] analytically continues Hypergeometric2F1 functions in exp. The second \
argument n refers to the equation number (n) in chapter 2.10 of \"Higher \
Transcendental Functions\" by Ergelyi, Magnus, Oberhettinger, Tricomi. In \
case of eq. (6) (p.109) the last line is returned for \
HypergeometricAC[6][exp], while the first equality is given by \
HypergeometricAC[61][exp]. ((2.10.1) is identical to eq. (9.5.7) of \"Special \
Functions & their Applications\" by N.N.Lebedev).", "Text", CellTags -> 
                "HypergeometricAC"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[HypergeometricAC]\)], "Input", CellLabel -> 
                   "In[924]:=", CellTags -> "HypergeometricAC"], Cell[BoxData[
                   \(TraditionalForm\`\({Collect2 \[Rule] True}\)\)], 
                  "Output", CellLabel -> "Out[924]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["HypExplicit", 
                   RuleDelayed[ButtonData, "HypExplicit"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypExplicit"]], ", ", 
                 ButtonBox["HypergeometricIR", 
                   RuleDelayed[ButtonData, "HypergeometricIR"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricIR"]], ", ", 
                 ButtonBox["HypergeometricSE", 
                   RuleDelayed[ButtonData, "HypergeometricSE"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricSE"]], ", ", 
                 ButtonBox["ToHypergeometric", 
                   RuleDelayed[ButtonData, "ToHypergeometric"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ToHypergeometric"]], "."}], "Text", 
               CellTags -> "HypergeometricAC"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "HypergeometricAC"], Cell[
               "These are all transformation rules currently built in.", 
               "Text", CellTags -> "HypergeometricAC"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(HypergeometricAC[1]\)[
                      \(Hypergeometric2F1[\(\[Alpha], \[Beta], \[Gamma], z\)]
                       \)]\)], "Input", CellLabel -> "In[925]:=", CellTags -> 
                   "HypergeometricAC"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{
                         \(\[CapitalGamma](\[Alpha] + \[Beta] - \[Gamma])\), 
                         " ", \(\[CapitalGamma](\[Gamma])\), " ", TagBox[
                          TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(\[Gamma] - \[Alpha]\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(\[Gamma] - \[Beta]\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(
                                   \(-\[Alpha]\) - \[Beta] + \[Gamma] + 1
                                   \), Hypergeometric2F1, 
                                  Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", 
                         \(\((1 - z)\)\^\(\(-\[Alpha]\) - \[Beta] + \[Gamma]
                             \)\)}], 
                       \(\(\[CapitalGamma](\[Alpha])\)\ 
                          \(\[CapitalGamma](\[Beta])\)\)], "+", FractionBox[
                       RowBox[{\(\[CapitalGamma](\[Gamma])\), " ", 
                         \(\[CapitalGamma](\(-\[Alpha]\) - \[Beta] + \[Gamma]
                            )\), " ", TagBox[TagBox[RowBox[{RowBox[
                          {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                          "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["\[Alpha]", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["\[Beta]", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(
                                   \[Alpha] + \[Beta] - \[Gamma] + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}], 
                       \(\(\[CapitalGamma](\[Gamma] - \[Alpha])\)\ 
                          \(\[CapitalGamma](\[Gamma] - \[Beta])\)\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[925]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(HypergeometricAC[2]\)[
                      \(Hypergeometric2F1[\(\[Alpha], \[Beta], \[Gamma], z\)]
                       \)]\)], "Input", CellLabel -> "In[926]:=", CellTags -> 
                   "HypergeometricAC"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{
                         \(\[CapitalGamma](\[Beta] - \[Alpha])\), " ", 
                         \(\[CapitalGamma](\[Gamma])\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["\[Alpha]", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(\[Alpha] - \[Gamma] + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(
                                   \[Alpha] - \[Beta] + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", 
                         \(\((\(-z\))\)\^\(-\[Alpha]\)\)}], 
                       \(\(\[CapitalGamma](\[Beta])\)\ 
                          \(\[CapitalGamma](\[Gamma] - \[Alpha])\)\)], "+", 
                      FractionBox[RowBox[{
                         \(\[CapitalGamma](\[Alpha] - \[Beta])\), " ", 
                         \(\[CapitalGamma](\[Gamma])\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["\[Beta]", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(\[Beta] - \[Gamma] + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(
                                   \(-\[Alpha]\) + \[Beta] + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", 
                         \(\((\(-z\))\)\^\(-\[Beta]\)\)}], 
                       \(\(\[CapitalGamma](\[Alpha])\)\ 
                          \(\[CapitalGamma](\[Gamma] - \[Beta])\)\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[926]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(HypergeometricAC[3]\)[
                      \(Hypergeometric2F1[\(\[Alpha], \[Beta], \[Gamma], z\)]
                       \)]\)], "Input", CellLabel -> "In[927]:=", CellTags -> 
                   "HypergeometricAC"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{
                         \(\[CapitalGamma](\[Beta] - \[Alpha])\), " ", 
                         \(\[CapitalGamma](\[Gamma])\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["\[Alpha]", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(\[Gamma] - \[Beta]\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(
                                   \[Alpha] - \[Beta] + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", 
                         \(\((1 - z)\)\^\(-\[Alpha]\)\)}], 
                       \(\(\[CapitalGamma](\[Beta])\)\ 
                          \(\[CapitalGamma](\[Gamma] - \[Alpha])\)\)], "+", 
                      FractionBox[RowBox[{
                         \(\[CapitalGamma](\[Alpha] - \[Beta])\), " ", 
                         \(\[CapitalGamma](\[Gamma])\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["\[Beta]", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(\[Gamma] - \[Alpha]\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(
                                   \(-\[Alpha]\) + \[Beta] + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", 
                         \(\((1 - z)\)\^\(-\[Beta]\)\)}], 
                       \(\(\[CapitalGamma](\[Alpha])\)\ 
                          \(\[CapitalGamma](\[Gamma] - \[Beta])\)\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[927]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(HypergeometricAC[4]\)[
                      \(Hypergeometric2F1[\(\[Alpha], \[Beta], \[Gamma], z\)]
                       \)]\)], "Input", CellLabel -> "In[928]:=", CellTags -> 
                   "HypergeometricAC"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{\(\[CapitalGamma](\[Gamma])\), " ", 
                         \(\[CapitalGamma](\(-\[Alpha]\) - \[Beta] + \[Gamma]
                            )\), " ", TagBox[TagBox[RowBox[{RowBox[
                          {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                          "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["\[Alpha]", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(\[Alpha] - \[Gamma] + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(
                                   \[Alpha] + \[Beta] - \[Gamma] + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(\(1 - z\)\/z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                          Hypergeometric2F1], " ", \(z\^\(-\[Alpha]\)\)}], 
                       \(\(\[CapitalGamma](\[Gamma] - \[Alpha])\)\ 
                          \(\[CapitalGamma](\[Gamma] - \[Beta])\)\)], "+", 
                      FractionBox[RowBox[{
                         \(\((1 - z)\)\^\(\(-\[Alpha]\) - \[Beta] + \[Gamma]
                             \)\), " ", 
                         \(\[CapitalGamma](\[Alpha] + \[Beta] - \[Gamma])\), 
                         " ", \(\[CapitalGamma](\[Gamma])\), " ", TagBox[
                          TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(\[Gamma] - \[Alpha]\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(1 - \[Alpha]\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(
                                   \(-\[Alpha]\) - \[Beta] + \[Gamma] + 1
                                   \), Hypergeometric2F1, 
                                  Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(\(1 - z\)\/z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                          Hypergeometric2F1], " ", 
                         \(z\^\(\[Alpha] - \[Gamma]\)\)}], 
                       \(\(\[CapitalGamma](\[Alpha])\)\ 
                          \(\[CapitalGamma](\[Beta])\)\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[928]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(HypergeometricAC[6]\)[
                      \(Hypergeometric2F1[\(\[Alpha], \[Beta], \[Gamma], z\)]
                       \)]\)], "Input", CellLabel -> "In[929]:=", CellTags -> 
                   "HypergeometricAC"], Cell[BoxData[FormBox[RowBox[{
                      \(\((1 - z)\)\^\(-\[Beta]\)\), " ", TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["\[Beta]", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(\[Gamma] - \[Alpha]\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["\[Gamma]", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(z\/\(1 - z\)\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                       Hypergeometric2F1]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[929]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(HypergeometricAC[61]\)[
                      \(Hypergeometric2F1[\(\[Alpha], \[Beta], \[Gamma], z\)]
                       \)]\)], "Input", CellLabel -> "In[930]:=", CellTags -> 
                   "HypergeometricAC"], Cell[BoxData[FormBox[RowBox[{
                      \(\((1 - z)\)\^\(-\[Alpha]\)\), " ", TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["\[Alpha]", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(\[Gamma] - \[Beta]\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["\[Gamma]", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(z\/\(1 - z\)\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                       Hypergeometric2F1]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[930]="]}, Open]]}, Open]], 
           Cell["HypergeometricIR", "ObjectName", CellTags -> 
             "HypergeometricIR"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "HypergeometricIR"], Cell["HypergeometricIR[exp, t] \
substitutes for all Hypergeometric2F1[a,b,c,z] in exp by its Euler integral \
reprentation. The factor Integratedx[t, 0, 1] can be omitted by setting the \
option Integratedx \[Rule] False.", "Text", CellTags -> "HypergeometricIR"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["HypergeometricAC", 
                   RuleDelayed[ButtonData, "HypergeometricAC"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricAC"]], ", ", 
                 ButtonBox["HypergeometricSE", 
                   RuleDelayed[ButtonData, "HypergeometricSE"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricSE"]], ", ", 
                 ButtonBox["ToHypergeometric", 
                   RuleDelayed[ButtonData, "ToHypergeometric"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ToHypergeometric"]], "."}], "Text", 
               CellTags -> "HypergeometricIR"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[HypergeometricIR]\)], "Input", 
                  CellLabel -> "In[931]:=", CellTags -> "HypergeometricIR"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({Integratedx \[Rule] False}\)\)], 
                  "Output", CellLabel -> "Out[931]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "HypergeometricIR"], Cell[CellGroupData[{Cell[BoxData[
                   \(HypergeometricIR[\(\(Hypergeometric2F1[\(a, b, c, z\)]\)
                        , t\)]\)], "Input", CellLabel -> "In[932]:=", 
                  CellTags -> "HypergeometricIR"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\((1 - t)\)\^\(\(-b\) + c - 1\)\ 
                          t\^\(b - 1\)\ \((1 - \(t\ z\))\)\^\(-a\)\ 
                          \(\[CapitalGamma](c)\)\)\/
                        \(\(\[CapitalGamma](b)\)\ 
                          \(\[CapitalGamma](\(c - b\))\)\)\)\)], "Output", 
                  CellLabel -> "Out[932]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(ToHypergeometric[\(\(\(t^b\)\ \(\((1 - t)\)^c\)\ 
                          \(\((1 + \(t\ z\))\)^a\)\), t\)]\)], "Input", 
                  CellLabel -> "In[933]:=", CellTags -> "HypergeometricIR"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{
                       \(\[CapitalGamma](b + 1)\), " ", 
                       \(\[CapitalGamma](c + 1)\), " ", TagBox[TagBox[
                         RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(-a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(b + 1\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(b + c + 2\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}], 
                     \(\[CapitalGamma](b + c + 2)\)], TraditionalForm]], 
                  "Output", CellLabel -> "Out[933]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(HypergeometricIR[\(%, t\)]\)]
                   , "Input", CellLabel -> "In[934]:=", CellTags -> 
                   "HypergeometricIR"], Cell[BoxData[
                   \(TraditionalForm\`\(\((1 - t)\)\^c\ t\^b\ 
                        \((\(t\ z\) + 1)\)\^a\)\)], "Output", CellLabel -> 
                   "Out[934]="]}, Open]]}, Open]], Cell["HypergeometricSE", 
            "ObjectName", CellTags -> "HypergeometricSE"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "HypergeometricSE"], Cell[TextData[
                {"HypergeometricSE[exp, ", Cell[BoxData[
                   \(TraditionalForm\`\[Nu]\)]], "] expresses Hypergeometric \
functions by their series expansion in terms of a sum (the Sum is omitted and \
", Cell[BoxData[\(TraditionalForm\`\[Nu]\)]], ", running from 0 to ", 
                 Cell[BoxData[\(TraditionalForm\`\[Infinity]\)]], 
                 ", is the summation index)."}], "Text", CellTags -> 
                "HypergeometricSE"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[HypergeometricSE]\)], "Input", CellLabel -> 
                   "In[935]:=", CellTags -> "HypergeometricSE"], Cell[BoxData[
                   \(TraditionalForm\`\({Simplify \[Rule] FullSimplify}\)\)], 
                  "Output", CellLabel -> "Out[935]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["HypergeometricIR", 
                   RuleDelayed[ButtonData, "HypergeometricIR"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricIR"]], "."}], "Text", 
               CellTags -> "HypergeometricSE"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "HypergeometricSE"], Cell[CellGroupData[{Cell[BoxData[
                   \(HypergeometricSE[\(\(Hypergeometric2F1[\(a, b, c, z\)]\)
                        , \[Nu]\)]\)], "Input", CellLabel -> "In[936]:=", 
                  CellTags -> "HypergeometricSE"], Cell[BoxData[
                   \(TraditionalForm\`\(\(z\^\[Nu]\ \(\[CapitalGamma](c)\)\ 
                          \(\[CapitalGamma](\(a + \[Nu]\))\)\ 
                          \(\[CapitalGamma](\(b + \[Nu]\))\)\)\/
                        \(\(\[CapitalGamma](a)\)\ \(\[CapitalGamma](b)\)\ 
                          \(\[CapitalGamma](\(\[Nu] + 1\))\)\ 
                          \(\[CapitalGamma](\(c + \[Nu]\))\)\)\)\)], 
                  "Output", CellLabel -> "Out[936]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(HypergeometricSE[\(\(HypergeometricPFQ[
                          \(\({a, b, c}\), \({d, e}\), z\)]\), \[Nu]\)]\)], 
                  "Input", CellLabel -> "In[937]:=", CellTags -> 
                   "HypergeometricSE"], Cell[BoxData[
                   \(TraditionalForm\`\(\(z\^\[Nu]\ \(\[CapitalGamma](d)\)\ 
                          \(\[CapitalGamma](e)\)\ 
                          \(\[CapitalGamma](\(a + \[Nu]\))\)\ 
                          \(\[CapitalGamma](\(b + \[Nu]\))\)\ 
                          \(\[CapitalGamma](\(c + \[Nu]\))\)\)\/
                        \(\(\[CapitalGamma](a)\)\ \(\[CapitalGamma](b)\)\ 
                          \(\[CapitalGamma](c)\)\ 
                          \(\[CapitalGamma](\(\[Nu] + 1\))\)\ 
                          \(\[CapitalGamma](\(d + \[Nu]\))\)\ 
                          \(\[CapitalGamma](\(e + \[Nu]\))\)\)\)\)], 
                  "Output", CellLabel -> "Out[937]="]}, Open]]}, Open]], 
           Cell["HypExplicit", "ObjectName", CellTags -> "HypExplicit"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "HypExplicit"], Cell[TextData[
                {"HypExplicit[exp, ", Cell[BoxData[\(TraditionalForm\`\[Nu]\)]
                   ], "] expresses Hypergeometric functions in exp by their \
definition in terms of a sum (the Sum is omitted and ", Cell[BoxData[
                   \(TraditionalForm\`\[Nu]\)]], 
                 " is the summation index)."}], "Text", CellTags -> 
                "HypExplicit"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["HypergeometricIR", 
                   RuleDelayed[ButtonData, "HypergeometricIR"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricIR"]], "."}], "Text", 
               CellTags -> "HypExplicit"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "HypExplicit"], Cell[CellGroupData[{Cell[BoxData[
                   \(Hypergeometric2F1[\(a, b, c, z\)]\)], "Input", 
                  CellLabel -> "In[938]:=", CellTags -> "HypExplicit"], 
                 Cell[BoxData[FormBox[TagBox[TagBox[RowBox[{RowBox[
                         {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                        "\[InvisibleApplication]", 
                        \((\*TagBox[TagBox[\(
                                \*TagBox["a", Hypergeometric2F1, 
                                   Rule[Editable, True]], 
                                 \*TagBox["b", Hypergeometric2F1, 
                                   Rule[Editable, True]]\), 
                               InterpretTemplate[Function[List[SlotSequence[
                                   1]]]]], Hypergeometric2F1, 
                              Rule[Editable, False]] ; 
                            \*TagBox[TagBox[TagBox["c", Hypergeometric2F1, 
                                Rule[Editable, True]], 
                               InterpretTemplate[Function[List[SlotSequence[
                                   1]]]]], Hypergeometric2F1, 
                              Rule[Editable, False]] ; 
                            \*TagBox["z", Hypergeometric2F1, 
                              Rule[Editable, True]])\)}], InterpretTemplate[
                       HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                     Hypergeometric2F1], TraditionalForm]], "Output", 
                  CellLabel -> "Out[938]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(HypExplicit[\(%, \[Nu]\)]\)], "Input", 
                  CellLabel -> "In[939]:=", CellTags -> "HypExplicit"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(z\^\[Nu]\ \(\[CapitalGamma](c)\)\ 
                          \(\[CapitalGamma](\(a + \[Nu]\))\)\ 
                          \(\[CapitalGamma](\(b + \[Nu]\))\)\)\/
                        \(\(\[CapitalGamma](a)\)\ \(\[CapitalGamma](b)\)\ 
                          \(\[CapitalGamma](\(\[Nu] + 1\))\)\ 
                          \(\[CapitalGamma](\(c + \[Nu]\))\)\)\)\)], 
                  "Output", CellLabel -> "Out[939]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(HypergeometricPFQ[\(\({a, b, c}\), \({d, e}\), z\)]\)], 
                  "Input", CellLabel -> "In[940]:=", CellTags -> 
                   "HypExplicit"], Cell[BoxData[FormBox[TagBox[TagBox[
                      RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["3", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["2", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                        \((\*TagBox[TagBox[\(
                                \*TagBox["a", HypergeometricPFQ, 
                                   Rule[Editable, True]], 
                                 \*TagBox["b", HypergeometricPFQ, 
                                   Rule[Editable, True]], 
                                 \*TagBox["c", HypergeometricPFQ, 
                                   Rule[Editable, True]]\), 
                               InterpretTemplate[Function[List[SlotSequence[
                                   1]]]]], HypergeometricPFQ, 
                              Rule[Editable, False]] ; 
                            \*TagBox[TagBox[\(
                                \*TagBox["d", HypergeometricPFQ, 
                                   Rule[Editable, True]], 
                                 \*TagBox["e", HypergeometricPFQ, 
                                   Rule[Editable, True]]\), 
                               InterpretTemplate[Function[List[SlotSequence[
                                   1]]]]], HypergeometricPFQ, 
                              Rule[Editable, False]] ; 
                            \*TagBox["z", HypergeometricPFQ, 
                              Rule[Editable, True]])\)}], InterpretTemplate[
                       HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                     HypergeometricPFQ], TraditionalForm]], "Output", 
                  CellLabel -> "Out[940]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(HypExplicit[\(%, \[Nu]\)]\)], "Input", 
                  CellLabel -> "In[941]:=", CellTags -> "HypExplicit"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(z\^\[Nu]\ \(\[CapitalGamma](d)\)\ 
                          \(\[CapitalGamma](e)\)\ 
                          \(\[CapitalGamma](\(a + \[Nu]\))\)\ 
                          \(\[CapitalGamma](\(b + \[Nu]\))\)\ 
                          \(\[CapitalGamma](\(c + \[Nu]\))\)\)\/
                        \(\(\[CapitalGamma](a)\)\ \(\[CapitalGamma](b)\)\ 
                          \(\[CapitalGamma](c)\)\ 
                          \(\[CapitalGamma](\(\[Nu] + 1\))\)\ 
                          \(\[CapitalGamma](\(d + \[Nu]\))\)\ 
                          \(\[CapitalGamma](\(e + \[Nu]\))\)\)\)\)], 
                  "Output", CellLabel -> "Out[941]="]}, Open]]}, Open]], 
           Cell["HypInt", "ObjectName", CellTags -> "HypInt"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "HypInt"], Cell["HypInt[exp, t]  substitutes for \
all  Hypergeometric2F1[a,b,c,z] in exp Gamma[c]/(Gamma[b] Gamma[c-b]) \
Integratedx[t,0,1]  t^(b-1) (1-t)^(c-b-1) (1-t z)^(-a).", "Text", CellTags -> 
                "HypInt"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "HypInt"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Hypergeometric2F1[\(a, b, c, z\)]\)], "Input", 
                  CellLabel -> "In[942]:=", CellTags -> "HypInt"], 
                 Cell[BoxData[FormBox[TagBox[TagBox[RowBox[{RowBox[
                         {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                        "\[InvisibleApplication]", 
                        \((\*TagBox[TagBox[\(
                                \*TagBox["a", Hypergeometric2F1, 
                                   Rule[Editable, True]], 
                                 \*TagBox["b", Hypergeometric2F1, 
                                   Rule[Editable, True]]\), 
                               InterpretTemplate[Function[List[SlotSequence[
                                   1]]]]], Hypergeometric2F1, 
                              Rule[Editable, False]] ; 
                            \*TagBox[TagBox[TagBox["c", Hypergeometric2F1, 
                                Rule[Editable, True]], 
                               InterpretTemplate[Function[List[SlotSequence[
                                   1]]]]], Hypergeometric2F1, 
                              Rule[Editable, False]] ; 
                            \*TagBox["z", Hypergeometric2F1, 
                              Rule[Editable, True]])\)}], InterpretTemplate[
                       HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                     Hypergeometric2F1], TraditionalForm]], "Output", 
                  CellLabel -> "Out[942]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(HypInt[\(%, t\)]\)], "Input", CellLabel -> 
                   "In[943]:=", CellTags -> "HypInt"], Cell[BoxData[
                   FormBox[FractionBox[RowBox[{
                       \(\((1 - t)\)\^\(\(-b\) + c - 1\)\), " ", 
                       \(t\^\(b - 1\)\), " ", \(\((1 - \(t\ z\))\)\^\(-a\)\), 
                       " ", \(\[CapitalGamma](c)\), " ", RowBox[
                        {SubsuperscriptBox["\[Integral]", FormBox["0", 
                          "TraditionalForm"], FormBox["1", 
                          "TraditionalForm"]], "\[DifferentialD]", TagBox[
                          FormBox["t", "TraditionalForm"], TraditionalForm, 
                          Editable -> True], "\[VeryThinSpace]"}]}], 
                     \(\(\[CapitalGamma](b)\)\ \(\[CapitalGamma](c - b)\)\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[943]="]}, 
                Open]]}, Open]], Cell["IFPD", "ObjectName", 
            CellTags -> "IFPD"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "IFPD"], 
              Cell["IFPD[p, m] denotes (p^2 - m^2).", "Text", CellTags -> 
                "IFPD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PropagatorDenominator", 
                   RuleDelayed[ButtonData, "PropagatorDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PropagatorDenominator"]], "."}], "Text", 
               CellTags -> "IFPD"]}, Open]], Cell["IFPDOff", "ObjectName", 
            CellTags -> "IFPDOff"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "IFPDOff"], 
              Cell["IFPDOff[exp_,q1_, q2_, ...] changes from IFPD \
representation to FeynAmpDenominator[ ...]. The q1, q2, ... are the \
integration momenta.", "Text", CellTags -> "IFPDOff"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["IFPD", RuleDelayed[ButtonData, "IFPD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "IFPD"]]\
, ", ", 
                 ButtonBox["IFPDOn", RuleDelayed[ButtonData, "IFPDOn"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "IFPDOn"]], "."}], "Text", CellTags -> 
                "IFPDOff"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "IFPDOff"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(IFPD[\(\(Momentum[p]\), m\)]\)], "Input", CellLabel -> 
                   "In[944]:=", CellTags -> "IFPDOff"], Cell[BoxData[
                   FormBox[RowBox[{FormBox["\"(\"", "TraditionalForm"], 
                      FormBox[\(p\^2\), "TraditionalForm"], FormBox[
                       "\" - \"", "TraditionalForm"], FormBox[\(m\^2\), 
                       "TraditionalForm"], FormBox["\")\"", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[944]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[945]:=", CellTags -> "IFPDOff"], Cell[BoxData[
                   \(IFPD[\(\(Momentum[p]\), m\)]\)], "Output", CellLabel -> 
                   "Out[945]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(IFPDOff[\(%, p\)]\)], "Input", CellLabel -> 
                   "In[946]:=", CellTags -> "IFPDOff"], Cell[BoxData[
                   FormBox[RowBox[{SuperscriptBox[FormBox["p", 
                        "TraditionalForm"], "2"], "-", \(m\^2\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[946]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[947]:=", CellTags -> 
                   "IFPDOff"], Cell[BoxData[
                   \(\(-m\^2\) + \(Pair[\(\(Momentum[p]\), \(Momentum[p]\)\)]
                       \)\)], "Output", CellLabel -> 
                   "Out[947]//StandardForm="]}, Open]]}, Open]], 
           Cell["IFPDOn", "ObjectName", CellTags -> "IFPDOn"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "IFPDOn"], Cell["IFPDOn[exp_,q1_, q2_, ...] \
changes from FeynAmpDenominator[ ...] representation to the IFPD one (Inverse \
Feynman Propagator Denominator). I.e., \
FeynAmpDenominator[PropagatorDenominator[a,b]] is replaced by 1/IFPD[a,b] and \
The q1, q2, ... are the integration momenta.", "Text", CellTags -> "IFPDOn"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["IFPD", RuleDelayed[ButtonData, "IFPD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "IFPD"]]\
, ", ", 
                 ButtonBox["IFPDOff", RuleDelayed[ButtonData, "IFPDOff"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "IFPDOff"]], "."}], "Text", CellTags -> 
                "IFPDOn"]}, Open]], Cell["IncludePair", "ObjectName", 
            CellTags -> "IncludePair"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "IncludePair"], Cell["IncludePair is an option for FC2RHI. \
Possible settings are True and False.", "Text", CellTags -> "IncludePair"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FC2RHI", RuleDelayed[ButtonData, "FC2RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FC2RHI"]], "."}], "Text", CellTags -> 
                "IncludePair"]}, Open]], Cell["IndexPosition", "ObjectName", 
            CellTags -> "IndexPosition"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "IndexPosition"], Cell[
               "IndexPosition is an option for FieldStrength.", "Text", 
               CellTags -> "IndexPosition"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["FieldStrength", 
                   RuleDelayed[ButtonData, "FieldStrength"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FieldStrength"]], "."}], "Text", 
               CellTags -> "IndexPosition"]}, Open]], Cell["Indices", 
            "ObjectName", CellTags -> "Indices"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Indices"], Cell["Indices is an option for \
FORM2FeynCalc. Its default setting is Automatic. It may be set to a list, if \
the FORM-file does not contain a I(ndices) statement.", "Text", CellTags -> 
                "Indices"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FORM2FeynCalc", 
                   RuleDelayed[ButtonData, "FORM2FeynCalc"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FORM2FeynCalc"]], "."}], "Text", 
               CellTags -> "Indices"]}, Open]], Cell["InitialFunction", 
            "ObjectName", CellTags -> "InitialFunction"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "InitialFunction"], Cell["InitialFunction is an \
option of FeynRule the setting of which is applied to the first argument of \
FeynRule before anything else", "Text", CellTags -> "InitialFunction"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynRule", RuleDelayed[ButtonData, "FeynRule"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynRule"]], "."}], "Text", CellTags -> 
                "InitialFunction"]}, Open]], Cell["InitialSubstitutions", 
            "ObjectName", CellTags -> "InitialSubstitutions"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "InitialSubstitutions"], Cell["InitialSubstitution\
s is an option for OneLoop and OneLoopSum and Write2. All substitutions \
indicated hereby are done at the end of the calculation.", "Text", 
               CellTags -> "InitialSubstitutions"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], ", ", 
                 ButtonBox["Write2", RuleDelayed[ButtonData, "Write2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Write2"]], "."}], "Text", CellTags -> 
                "InitialSubstitutions"]}, Open]], Cell["InsideDiracTrace", 
            "ObjectName", CellTags -> "InsideDiracTrace"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "InsideDiracTrace"], Cell["InsideDiracTrace is and \
option of DiracSimplify. If set to True, DiracSimplify assumes to operate \
inside a DiracTrace, i.e., products of an odd number of Dirac matrices are \
discarded. Furthermore simple traces are calculated (but divided by a factor \
4, i.e. :  DiracSimplify[DiracMatrix[a,b], InsideDiracTrace\[Rule]True]  \
yields ScalarProduct[a,b]) Traces involving more than four DiracGamma's and \
DiracGamma[5] are not performed.", "Text", CellTags -> "InsideDiracTrace"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], "."}], "Text", 
               CellTags -> "InsideDiracTrace"]}, Open]], 
           Cell["IntegralTable", "ObjectName", CellTags -> "IntegralTable"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "IntegralTable"], Cell["IntegralTable is an option \
of OneLoopSimplify, TwoLoopSimplify and FeynAmpDenominatorSimplify. It may be \
set to a list of the form : {FCIntegral[ ... ] \[RuleDelayed] bla, ...}.", 
               "Text", CellTags -> "IntegralTable"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["OneLoopSimplify", 
                   RuleDelayed[ButtonData, "OneLoopSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSimplify"]], ", ", 
                 ButtonBox["TwoLoopSimplify", 
                   RuleDelayed[ButtonData, "TwoLoopSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "TwoLoopSimplify"]], ", ", 
                 ButtonBox["FeynAmpDenominatorSimplify", 
                   RuleDelayed[ButtonData, "FeynAmpDenominatorSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominatorSimplify"]], "."}], 
               "Text", CellTags -> "IntegralTable"]}, Open]], 
           Cell["IntegrateByParts", "ObjectName", CellTags -> 
             "IntegrateByParts"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "IntegrateByParts"], Cell["IntegrateByParts[(1-t)^(a Epsilon \
-1) g[t], deriv, t] does an integration by parts of the definite integral \
over t from 0 to 1.", "Text", CellTags -> "IntegrateByParts"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[IntegrateByParts]\)]
                   , "Input", CellLabel -> "In[948]:=", CellTags -> 
                   "IntegrateByParts"], Cell[BoxData[
                   \(TraditionalForm\`\({Hold \[Rule] False}\)\)], "Output", 
                  CellLabel -> "Out[948]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "IntegrateByParts"], Cell[CellGroupData[{Cell[BoxData[
                   \(IntegrateByParts[\(\(\(
                           \((1 - t)\)^\((\(a\ Epsilon\) - 1)\)\)\ \(g[t]\)\)\
, \(\((1 - t)\)^\((\(a\ Epsilon\) - 1)\)\), t\)]\)], "Input", CellLabel -> 
                   "In[949]:=", CellTags -> "IntegrateByParts"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            \(\*SuperscriptBox["g", "\[Prime]", 
                                Rule[MultilineFunction, None]]\)(t)\)\ 
                           \((1 - t)\)\^\(a\ 
                              \*TagBox["\[CurlyEpsilon]", TraditionalForm]\)\
\)\/\(a\ \*TagBox["\[CurlyEpsilon]", TraditionalForm]\) + 
                        \(g(0)\)\/\(a\ \*TagBox["\[CurlyEpsilon]", 
                             TraditionalForm]\)\)\)], "Output", CellLabel -> 
                   "Out[949]="]}, Open]]}, Open]], Cell["Integratedx", 
            "ObjectName", CellTags -> "Integratedx"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Integratedx"], Cell["Integratedx[x, low, up] is a \
variable representing the integration operator Integrate[#, {x,low,up}]&.", 
               "Text", CellTags -> "Integratedx"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FeynmanParametrize", 
                   RuleDelayed[ButtonData, "FeynmanParametrize"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynmanParametrize"]], ", ", 
                 ButtonBox["CalculateCounterTerm", 
                   RuleDelayed[ButtonData, "CalculateCounterTerm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CalculateCounterTerm"]], ", ", 
                 ButtonBox["TimedIntegrate", 
                   RuleDelayed[ButtonData, "TimedIntegrate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "TimedIntegrate"]], ", ", 
                 ButtonBox["HypergeometricIR", 
                   RuleDelayed[ButtonData, "HypergeometricIR"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricIR"]], ", ", 
                 ButtonBox["HypInt", RuleDelayed[ButtonData, "HypInt"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypInt"]], ", ", 
                 ButtonBox["TimedIntegrate", 
                   RuleDelayed[ButtonData, "TimedIntegrate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "TimedIntegrate"]], "."}], "Text", 
               CellTags -> "Integratedx"]}, Open]], Cell["Integrate2", 
            "ObjectName", CellTags -> "Integrate2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Integrate2"], Cell[TextData[{"Integrate2 is like \
Integrate, but : Integrate2[a_Plus, b__] := Map[Integrate2[#, b]&, a] ( more \
linear algebra and partial fraction decomposition is done) Integrate2[f[x] \
DeltaFunction[x], x] \[Rule] f[0] Integrate2[f[x] DeltaFunction[x0-x], x] \
\[Rule] f[x0]. Integrate2[f[x] DeltaFunction[a + b x], x] \[Rule] \
Integrate[f[x] (1/Abs[b]) DeltaFunction[a/b + x], x], where abs[b] \[Rule] b, \
if b is a Symbol, and if b = -c, then abs[-c] \[Rule] c, i.e., the variable \
contained in b is supposed to be positive. ", Cell[BoxData[
                   \(TraditionalForm\`\(\ \[Pi]\^2\)\)]], " is replaced by 6 \
Zeta2. Integrate2[1/(1-y),{y,x,1}] is intepreted as distribution, i.e. as \
Integrate2[-1/(1-y)],{y, 0, x}] \[Rule] Log[1-y]. Integrate2[1/(1-x),{x,0,1}] \
\[Rule] 0."}], "Text", CellTags -> "Integrate2"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["DeltaFunction", 
                   RuleDelayed[ButtonData, "DeltaFunction"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeltaFunction"]], ", ", 
                 ButtonBox["Integrate3", RuleDelayed[ButtonData, 
                    "Integrate3"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Integrate3"]], ", ", 
                 ButtonBox["SumS", RuleDelayed[ButtonData, "SumS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumS"]]\
, ", ", 
                 ButtonBox["SumT", RuleDelayed[ButtonData, "SumT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumT"]]\
, "."}], "Text", CellTags -> "Integrate2"], Cell["NOTE: Since Integrate2 does \
do a reordering and partial fraction decomposition before calling the \
integral table of Integrate3 it will in general be slower compared to \
Integrate3 for sums of integrals. I.e., if the integrand has already an \
expanded form and if partial fraction decomposition is not necessary it is \
more effective to use Integrate3.", "Text", CellTags -> "Integrate2"]}, 
             Open]], Cell[CellGroupData[{Cell["Examples", "Subsubsection", 
               CellTags -> "Integrate2"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Integrate2[\(\(\(Log[\(1 + x\)]\) 
                            \(\(Log[x]\)/\((1 - x)\)\)\), \({x, 0, 1}\)\)]\)\
//Timing\)], "Input", CellLabel -> "In[950]:=", CellTags -> "Integrate2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(0.05999999999999773`\ Second\), 
                         \(\*TagBox[\(\[Zeta](
                               \(\*TagBox["3", Zeta, Rule[Editable, True]]\)
                               )\), InterpretTemplate[Function[BoxForm`e$, 
                               Zeta[BoxForm`e$]]]] - 
                           \(3\/2\ \(\[Zeta](2)\)\ \(log(2)\)\)\)}\)\)], 
                  "Output", CellLabel -> "Out[950]="]}, Open]], 
              Cell[TextData[{"Since Integrate2 uses table-look-up methods it \
is much faster than ", StyleBox["Mathematica", Rule[FontSlant, "Italic"]], 
                 "'s Integrate."}], "Text", CellTags -> "Integrate2"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(PolyLog[\(2, \(x^2\)\)]\), \({x, 0, 1}\)
                       \)]\)], "Input", CellLabel -> "In[951]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\[Zeta](2)\) + \(4\ \(log(2)\)\) - 
                        4\)\)], "Output", CellLabel -> "Out[951]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(PolyLog[\(3, \(-x\)\)]\), \({x, 0, 1}\)\)
                      ]\)], "Input", CellLabel -> "In[952]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\[Zeta](2)\)\/2 - 
                        \(3\ \*TagBox[\(\[Zeta](
                               \(\*TagBox["3", Zeta, Rule[Editable, True]]\)
                               )\), InterpretTemplate[Function[BoxForm`e$, 
                               Zeta[BoxForm`e$]]]]\)\/4 - \(2\ \(log(2)\)\) +
                         1\)\)], "Output", CellLabel -> "Out[952]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(PolyLog[\(3, \(1/\((1 + x)\)\)\)]\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[953]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(log(2)\)\)\ \(\[Zeta](2)\)\) +
                         \(3\ \*TagBox[\(\[Zeta](
                               \(\*TagBox["3", Zeta, Rule[Editable, True]]\)
                               )\), InterpretTemplate[Function[BoxForm`e$, 
                               Zeta[BoxForm`e$]]]]\)\/4 + 
                        \(\(log\^3\)(2)\)\/3 - \(\(log\^2\)(2)\) + 
                        \(2\ \(log(2)\)\)\)\)], "Output", CellLabel -> 
                   "Out[953]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\(DeltaFunction[\(1 - x\)]\)\ \(f[x]\)\),
                         \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[954]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(f(1)\)\)], "Output", CellLabel -> 
                   "Out[954]="]}, Open]], Cell[TextData[
                {"Integrate2 does integration in a Hadamard sense, i.e., ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Integral]\_0\%1 
                        \(\(f(x)\) \(\[DifferentialD] x\)\)\ \)\)]], 
                 " means acutally expanding the result of ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Integral]\_\[Delta]\%
                         \(1 - \[Delta]\) \(\(f(x)\) \(\[DifferentialD] x\)\)
                        \ \)\)]], "up do ", Cell[BoxData[
                   \(TraditionalForm\`\(O(\[Delta])\)\)]], 
                 " and neglecting all ", Cell[BoxData[
                   \(TraditionalForm\`\[Delta]\)]], 
                 "-dependent terms. E.g. ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\[Integral]\_\[Delta]\%
                           \(1 - \[Delta]\) 
                          \(\(1/\((1 - x)\)\) \(\[DifferentialD] x\)\)\)\ =\ 
                        \(\(\(\(-log\) \((1 - x)\)\) 
                            \[VerticalSeparator]\_\[Delta]\%\(1 - \[Delta]\)\
\) = \(\(\(-\(log(\[Delta])\)\) + \(log(1)\)\) \[Implies] 
                            0.\)\)\ \)\)]]}], "Text", ZeroWidthTimes -> 
                False, CellTags -> "Integrate2"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(1/\((1 - x)\)\), \({x, 0, 1}\)\)]\)], 
                  "Input", CellLabel -> "In[955]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[955]="]}, Open]], 
              Cell[TextData[{"In the physics literature sometimes the \"+\" \
notation is used. In FeynCalc the ", Cell[BoxData[
                   \(TraditionalForm\`\((1\/\(1 - x\))\)\_+\)]], 
                 " is represented by ", Cell[BoxData[
                   \(TraditionalForm\`\(PlusDistribution[\(1/\((1 - x)\)\)]\)
                     \)]], " or just ", Cell[BoxData[
                   \(TraditionalForm\`\(1/\(\((1 - x)\)\ .\)\)\)]]}], "Text", 
               CellTags -> "Integrate2"], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(PlusDistribution[\(1/\((1 - x)\)\)]\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[956]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[956]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\(PolyLog[\(2, \(1 - x\)\)]\)/
                          \(\((1 - x)\)^2\)\), \({x, 0, 1}\)\)]\)], "Input", 
                  CellLabel -> "In[957]:=", CellTags -> "Integrate2"], 
                 Cell[BoxData[\(TraditionalForm\`\(2 - \(\[Zeta](2)\)\)\)], 
                  "Output", CellLabel -> "Out[957]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\((\(Log[x]\)\ \(Log[\(1 + x\)]\))\)/
                          \((1 + x)\)\), \({x, 0, 1}\)\)]\)], "Input", 
                  CellLabel -> "In[958]:=", CellTags -> "Integrate2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(-\(
                         \*TagBox[\(\[Zeta](
                              \(\*TagBox["3", Zeta, Rule[Editable, True]]\))
                   \), InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]\/8\)\)\)], "Output", 
                  CellLabel -> "Out[958]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(\(\(Log[x]\)^2\)/\((1 - x)\)\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[959]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(2\ 
                        \*TagBox[\(\[Zeta](
                            \(\*TagBox["3", Zeta, Rule[Editable, True]]\))\)\
, InterpretTemplate[Function[BoxForm`e$, 
                            Zeta[BoxForm`e$]]]]\)\)], "Output", CellLabel -> 
                   "Out[959]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\(PolyLog[\(2, \(-x\)\)]\)/\((1 + x)\)\),
                         \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[960]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(\*TagBox[\(
                            \[Zeta](\(\*TagBox["3", Zeta, 
                                Rule[Editable, True]]\))\), 
                           InterpretTemplate[Function[BoxForm`e$, 
                             Zeta[BoxForm`e$]]]]\/4 - 
                        \(1\/2\ \(\[Zeta](2)\)\ \(log(2)\)\)\)\)], "Output", 
                  CellLabel -> "Out[960]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(\(Log[x]\)\ \(PolyLog[\(2, x\)]\)\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[961]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(3 - \(2\ \(\[Zeta](2)\)\)\)\)], 
                  "Output", CellLabel -> "Out[961]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(x\ \(PolyLog[\(3, x\)]\)\), \({x, 0, 1}\)
                       \)]\)], "Input", CellLabel -> "In[962]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-\(\(\[Zeta](2)\)\/4\)\) + 
                        \*TagBox[\(\[Zeta](
                             \(\*TagBox["3", Zeta, Rule[Editable, True]]\))\
\), InterpretTemplate[Function[BoxForm`e$, 
                             Zeta[BoxForm`e$]]]]\/2 + 3\/16\)\)], "Output", 
                  CellLabel -> "Out[962]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(\((\(\(Log[x]\)^2\)\ \(Log[\(1 - x\)]\))
                           \)/\((1 + x)\)\), \({x, 0, 1}\)\)]\)], "Input", 
                  CellLabel -> "In[963]:=", CellTags -> "Integrate2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(\(log\^2\)(2)\)\ \(\[Zeta](2)\)\)
                         - \(4\ \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_4(\(1\/2\))\)\) -
                         \(\(log\^4\)(2)\)\/6 + \[Pi]\^4\/90\)\)], "Output", 
                  CellLabel -> "Out[963]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(\(PolyLog[
                            \(2, \(\((\((\(x\ \((1 - z)\)\) + z)\)\ 
                                   \((1 - x + \(x\ z\))\))\)/z\)\)]\)/
                          \((1 - x + \(x\ z\))\)\), \({x, 0, 1}\)\)]\)], 
                  "Input", CellLabel -> "In[964]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[FormBox[RowBox[{
                      \(\(log\^3(z)\)\/\(6\ \((1 - z)\)\)\), "-", 
                      \(\(\(log(1 - z)\)\ \(log\^2(z)\)\)\/\(1 - z\)\), "-", 
                      \(\(\(log(z + 1)\)\ \(log\^2(z)\)\)\/\(1 - z\)\), "-", 
                      \(\(\[ImaginaryI]\ \[Pi]\ \(log\^2(z)\)\)\/
                         \(2\ \((1 - z)\)\)\), "-", 
                      \(\(\(\[Zeta](2)\)\ \(log(z)\)\)\/\(1 - z\)\), "+", 
                      \(\(4\ \(log(1 - z)\)\ \(log(z + 1)\)\ \(log(z)\)\)\/
                         \(1 - z\)\), "+", 
                      \(\(2\ \[ImaginaryI]\ \[Pi]\ \(log(z + 1)\)\ \(log(z)\)
                          \)\/\(1 - z\)\), "-", 
                      \(\(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(1 - z)\)\ 
                           \(log(z)\)\)\/\(1 - z\)\), "-", 
                      \(\(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(\(-z\))\)\ 
                           \(log(z)\)\)\/\(1 - z\)\), "-", 
                      \(\(2\ \(log\^3(z + 1)\)\)\/\(3\ \((1 - z)\)\)\), "+", 
                      \(\(\[ImaginaryI]\ \[Pi]\ \(\[Zeta](2)\)\)\/\(1 - z\)\)\
, "+", \(\(2\ \(\[Zeta](2)\)\ \(log(1 - z)\)\)\/\(1 - z\)\), "+", 
                      \(\(2\ \(\[Zeta](2)\)\ \(log(z + 1)\)\)\/\(1 - z\)\), 
                      "-", FractionBox[RowBox[{"2", " ", RowBox[{SubscriptBox[
                          "S", RowBox[{FormBox["1", "TraditionalForm"], 
                          FormBox["2", "TraditionalForm"]}]], "(", FormBox[
                          \(1 - z\), "TraditionalForm"], ")"}]}], \(1 - z\)], 
                      "+", 
                      \(\(4\ \(log(1 - z)\)\ 
                           \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(\(-z\))\)\)\/
                         \(1 - z\)\), "+", 
                      \(\(2\ \[ImaginaryI]\ \[Pi]\ 
                           \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(\(-z\))\)\)\/
                         \(1 - z\)\), "+", 
                      \(\(4\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_3(1 - z)\)\)\/
                         \(1 - z\)\), "+", 
                      \(\(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_3(\(-z\))\)\)\/
                         \(1 - z\)\), "+", 
                      \(\(4\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_3(1\/\(z + 1\))\
\)\)\/\(1 - z\)\), "+", 
                      \(\(4\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_3(
                             \(-\(\(1 - z\)\/\(z + 1\)\)\))\)\)\/\(1 - z\)\), 
                      "-", 
                      \(\(4\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_3(
                             \(1 - z\)\/\(z + 1\))\)\)\/\(1 - z\)\), "-", 
                      \(\(2\ \*TagBox[\(\[Zeta](
                               \*TagBox["3", Zeta, Rule[Editable, True]])\), 
                             InterpretTemplate[Function[BoxForm`e$, 
                               Zeta[BoxForm`e$]]]]\)\/\(1 - z\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[964]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Apart[\(\(Integrate2[\(
                           \(\(x^\((OPEm - 1)\)\)\ 
                              \(PolyLog[\(3, \(1 - x\)\)]\)\), \({x, 0, 1}\)\
\)]\), OPEm\)]\)], "Input", CellLabel -> "In[965]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[FormBox[RowBox[{
                      \(-\(\(\[Zeta](2)\)\/\(m - 1\)\)\), "-", 
                      \(\(\[Zeta](2)\)\/m\^2\), "+", FractionBox[RowBox[
                        {RowBox[{RowBox[{"-", RowBox[{\(S\_1\), "(", FormBox[
                          \(m - 2\), "TraditionalForm"], ")"}]}], " ", 
                          \(\[Zeta](2)\)}], "+", \(\[Zeta](2)\), "+", RowBox[{
                          \(S\_12\), "(", FormBox["m", "TraditionalForm"], 
                          ")"}], "+", 
                         TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                               Rule[Editable, True]])\), 
                           InterpretTemplate[Function[BoxForm`e$, 
                             Zeta[BoxForm`e$]]]]}], "m"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[965]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Integrate2[\(\(\(x^\((OPEm - 1)\)\)\ 
                            \(Log[\(1 - x\)]\)\ \(Log[x]\)\ 
                            \(Log[\(1 + x\)]\)\/\(1 + x\)\), \({x, 0, 1}\)\)]
                   \)//Simplify\)], "Input", CellLabel -> "In[966]:=", 
                  CellTags -> "Integrate2"], Cell[BoxData[FormBox[RowBox[{
                      \(1\/360\), " ", \(\((\(-1\))\)\^m\), " ", RowBox[
                       {"(", RowBox[{RowBox[{"90", " ", \(\[Zeta](2)\), " ", 
                          RowBox[{\(S\_\(-1\)\%2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "+", RowBox[{"180", 
                          " ", 
                          \((\(\(\[Zeta](2)\)\ \(log(8)\)\) - 
                              \(2\ \*TagBox[\(\[Zeta](
                                    \*TagBox["3", Zeta, 
                                      Rule[Editable, True]])\), 
                                  InterpretTemplate[Function[BoxForm`e$, 
                                    Zeta[BoxForm`e$]]]]\))\), " ", RowBox[{
                          \(S\_\(-1\)\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", RowBox[{"180", 
                          " ", RowBox[{\(S\_\(-2\)\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}], " ", RowBox[{"(", 
                          RowBox[{\(\[Zeta](2)\), "-", RowBox[{\(log(4)\), 
                          " ", RowBox[{\(S\_\(-1\)\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", \(log\^2(2)\)}], 
                          ")"}]}], "-", RowBox[{"540", " ", \(\[Zeta](2)\), 
                          " ", \(log(2)\), " ", RowBox[{\(S\_1\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          "+", RowBox[{"270", " ", \(\[Zeta](2)\), " ", 
                          RowBox[{\(S\_2\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", RowBox[{"180", 
                          " ", \(log\^2(2)\), " ", RowBox[{\(S\_2\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          "+", RowBox[{"360", " ", \(log(2)\), " ", RowBox[{
                          \(S\_3\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", RowBox[{"360", 
                          " ", \(log(2)\), " ", RowBox[{\(S\_\(-21\)\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          "-", RowBox[{"360", " ", \(log(2)\), " ", RowBox[{
                          \(S\_\(-12\)\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "-", RowBox[{"360", 
                          " ", \(\[Zeta](2)\), " ", RowBox[{\(S\_\(1 - 1\)\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], "+", RowBox[{"360", " ", RowBox[{
                          \(S\_\(\(-2\) - 1 - 1\)\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "+", RowBox[{"360", 
                          " ", RowBox[{\(S\_\(\(-1\) - 2 - 1\)\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          "+", RowBox[{"360", " ", RowBox[{
                          \(S\_\(\(-1\) - 1 - 2\)\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}], "+", RowBox[{"360", 
                          " ", RowBox[{\(S\_\(1 - 21\)\), "(", FormBox[
                          \(m - 1\), "TraditionalForm"], ")"}]}], "+", 
                          RowBox[{"360", " ", RowBox[{\(S\_\(1 - 12\)\), "(", 
                          FormBox[\(m - 1\), "TraditionalForm"], ")"}]}], 
                          "+", RowBox[{"360", " ", RowBox[{\(S\_\(2 - 11\)\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], 
                          ")"}]}], "+", RowBox[{"585", " ", RowBox[{\(S\_1\), 
                          "(", FormBox[\(m - 1\), "TraditionalForm"], ")"}], 
                          " ", 
                          TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                                Rule[Editable, True]])\), 
                            InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]}], "-", 
                          \(945\ \(log(2)\)\ \*
                              TagBox[\(\[Zeta](
                                 \*TagBox["3", Zeta, Rule[Editable, True]])\
\), InterpretTemplate[Function[BoxForm`e$, 
                                 Zeta[BoxForm`e$]]]]\), "-", 
                          \(720\ \(\(\*InterpretationBox["Li", PolyLog, 
                                   Rule[Editable, False], 
                                   Rule[Selectable, False]]\)\_4(1\/2)\)\), 
                          "-", \(30\ \(log\^4(2)\)\), "+", 
                          \(450\ \(\[Zeta](2)\)\ \(log\^2(2)\)\), "+", 
                          \(8\ \[Pi]\^4\)}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[966]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%\ /.\ \(OPEm \[Rule] 2\)\)]
                   , "Input", CellLabel -> "In[967]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/360\ 
                        \((\(450\ \(\(log\^2\)(2)\)\ \(\[Zeta](2)\)\) - 
                           \(540\ \(log(2)\)\ \(\[Zeta](2)\)\) + 
                           \(720\ \(\[Zeta](2)\)\) + 
                           \(180\ \((\(\[Zeta](2)\) + \(log(4)\) - 
                                \(\(log\^2\)(2)\))\)\) - 
                           \(180\ \((\(\(\[Zeta](2)\)\ \(log(8)\)\) - 
                                \(2\ \*TagBox[\(
                                     \[Zeta](
                                      \(\*
                                       TagBox["3", Zeta, 
                                       Rule[Editable, True]]\))\), 
                                    InterpretTemplate[Function[BoxForm`e$, 
                                      Zeta[BoxForm`e$]]]]\))\)\) - 
                           \(945\ \(log(2)\)\ 
                             \*TagBox[\(\[Zeta](
                                 \(\*TagBox["3", Zeta, Rule[Editable, True]]
                                  \))\), InterpretTemplate[Function[
                                 BoxForm`e$, Zeta[BoxForm`e$]]]]\) + 
                           \(585\ \*TagBox[\(
                                \[Zeta](\(
                                  \*TagBox["3", Zeta, Rule[Editable, True]]
                                  \))\), InterpretTemplate[Function[
                                 BoxForm`e$, Zeta[BoxForm`e$]]]]\) - 
                           \(720\ \(\(\*InterpretationBox["Li", PolyLog, 
                                   Rule[Editable, False], 
                                   Rule[Selectable, False]]\)\_4(\(1\/2\))\)\
\) - \(30\ \(\(log\^4\)(2)\)\) - 
                           \(180\ \(\(log\^2\)(2)\)\) + \(1080\ \(log(2)\)\) 
                           + \(8\ \[Pi]\^4\) - 2160)\)\)\)], "Output", 
                  CellLabel -> "Out[967]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(N[%]\)], "Input", CellLabel -> "In[968]:=", 
                  CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`0.05051383540274514`\)], "Output", 
                  CellLabel -> "Out[968]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(NIntegrate[\ \(\(x\ \(Log[\(1 - x\)]\)\ \(Log[x]\)\ 
                          \(Log[\(1 + x\)]\)\/\(1 + x\)\), \({x, 0, 1}\)\)]\)]\
, "Input", CellLabel -> "In[969]:="], Cell[BoxData[
                   \(TraditionalForm\`0.050513835398271964`\)], "Output", 
                  CellLabel -> "Out[969]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(\(x^\((OPEm - 1)\)\)\ 
                          \((\(PolyLog[\(3, \(1 - x\)\/\(1 + x\)\)]\) - 
                             \(PolyLog[\(3, \(-\(\(1 - x\)\/\(1 + x\)\)\)\)]
                              \))\)\), \({x, 0, 1}\)\)]\)], "Input", 
                  CellLabel -> "In[970]:=", CellTags -> "Integrate2"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{
                         \(\((\(-1\))\)\^m\), " ", RowBox[{\(S\_\(-1\)\), 
                          "(", FormBox["m", "TraditionalForm"], ")"}], " ", 
                         \(\[Zeta](2)\)}], "m"], "-", FractionBox[RowBox[
                        {RowBox[{\(S\_\(-1\)\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}], " ", \(\[Zeta](2)\)}], 
                       \(2\ m\)], "+", FractionBox[RowBox[{\(\((\(-1\))\)\^m\)
                         , " ", RowBox[{\(S\_1\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}], " ", \(\[Zeta](2)\)}], 
                       \(2\ m\)], "-", FractionBox[RowBox[{RowBox[{\(S\_1\), 
                          "(", FormBox["m", "TraditionalForm"], ")"}], " ", 
                         \(\[Zeta](2)\)}], "m"], "+", 
                      \(\(3\ \((\(-1\))\)\^m\ \(log(2)\)\ \(\[Zeta](2)\)\)\/
                         \(2\ m\)\), "-", 
                      \(\(3\ \(log(2)\)\ \(\[Zeta](2)\)\)\/\(2\ m\)\), "+", 
                      FractionBox[RowBox[{\(\((\(-1\))\)\^m\), " ", RowBox[{
                          \(S\_\(-3\)\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], "m"], "+", FractionBox[
                       RowBox[{\(\((\(-1\))\)\^m\), " ", RowBox[{\(S\_\(-2\)\)
                          , "(", FormBox["m", "TraditionalForm"], ")"}], " ", 
                         RowBox[{\(S\_1\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], "m"], "+", FractionBox[
                       RowBox[{RowBox[{\(S\_1\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}], " ", RowBox[{\(S\_2\), 
                          "(", FormBox["m", "TraditionalForm"], ")"}]}], 
                       "m"], "+", FractionBox[RowBox[{\(S\_3\), "(", FormBox[
                          "m", "TraditionalForm"], ")"}], "m"], "-", 
                      FractionBox[RowBox[{\(\((\(-1\))\)\^m\), " ", RowBox[{
                          \(S\_\(-21\)\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], "m"], "-", FractionBox[
                       RowBox[{\(S\_\(\(-1\) - 2\)\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}], "m"], "-", FractionBox[
                       RowBox[{\(\((\(-1\))\)\^m\), " ", RowBox[{
                          \(S\_\(-12\)\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], "m"], "-", FractionBox[
                       RowBox[{\(S\_21\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}], "m"], "-", 
                      \(\(7\ \((\(-1\))\)\^m\ 
                           \*TagBox[\(\[Zeta](
                               \*TagBox["3", Zeta, Rule[Editable, True]])\), 
                             InterpretTemplate[Function[BoxForm`e$, 
                               Zeta[BoxForm`e$]]]]\)\/\(8\ m\)\), "+", 
                      \(\(21\ \*TagBox[\(\[Zeta](
                               \*TagBox["3", Zeta, Rule[Editable, True]])\), 
                             InterpretTemplate[Function[BoxForm`e$, 
                               Zeta[BoxForm`e$]]]]\)\/\(8\ m\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[970]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%/.\(OPEm \[Rule] 3\)\)], "Input", CellLabel -> 
                   "In[971]:="], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(log(2)\)\)\ \(\[Zeta](2)\)\) -
                         \(\[Zeta](2)\)\/2 + 
                        \(7\ \*TagBox[\(\[Zeta](
                               \(\*TagBox["3", Zeta, Rule[Editable, True]]\)
                               )\), InterpretTemplate[Function[BoxForm`e$, 
                               Zeta[BoxForm`e$]]]]\)\/6 + 2\/3\)\)], 
                  "Output", CellLabel -> "Out[971]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(N[%]\)], "Input", 
                  CellLabel -> "In[972]:="], Cell[BoxData[
                   \(TraditionalForm\`0.10641794295256068`\)], "Output", 
                  CellLabel -> "Out[972]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(NIntegrate[\(\(\(x^\((3 - 1)\)\)\ 
                          \((\(PolyLog[\(3, \(1 - x\)\/\(1 + x\)\)]\) - 
                             \(PolyLog[\(3, \(-\(\(1 - x\)\/\(1 + x\)\)\)\)]
                              \))\)\), \({x, 0, 1}\)\)]\)], "Input", 
                  CellLabel -> "In[973]:="], Cell[BoxData[
                   \(TraditionalForm\`0.10641794295771248`\)], "Output", 
                  CellLabel -> "Out[973]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(DataType[\(OPEm, PositiveInteger\)]\)], 
                  "Input", CellLabel -> "In[974]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[\(TraditionalForm\`True\)], 
                  "Output", CellLabel -> "Out[974]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(\(x^\((OPEm - 1)\)\)\ 
                          \(DeltaFunction[\(1 - x\)]\)\), \({x, 0, 1}\)\)]\)]\
, "Input", CellLabel -> "In[975]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[975]="]}, Open]], Cell["This is the polarized \
non-singlet spin splitting function whose first moment vanishes.", "Text", 
               CellTags -> "Integrate2"], Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(SplittingFunction[PQQNS]\)\)], "Input", 
                  CellLabel -> "In[976]:=", CellTags -> "Integrate2"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{RowBox[{"(", RowBox[{
                          \(\(-4\)\ \((x + 1)\)\ \(log\^2(x)\)\), "-", 
                          \(8\ \((\(2\ x\) + 3\/\(1 - x\))\)\ \(log(x)\)\), 
                          "-", 
                          \(\(16\ \((x\^2 + 1)\)\ \(log(1 - x)\)\ \(log(x)\)
                              \)\/\(1 - x\)\), "-", \(40\ \((1 - x)\)\), "+", 
                          RowBox[{RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], " ", 
                          \((\(\(-24\)\ \(\[Zeta](2)\)\) + 
                              \(48\ \*TagBox[\(
                                   \[Zeta](\*TagBox["3", Zeta, 
                                      Rule[Editable, True]])\), 
                                  InterpretTemplate[Function[BoxForm`e$, 
                                    Zeta[BoxForm`e$]]]]\) + 3)\)}]}], ")"}], 
                        " ", \(C\_F\%2\)}], "+", RowBox[{\(N\_f\), " ", 
                        RowBox[{"(", RowBox[{\(\(88\ x\)\/9\), "+", RowBox[{
                          \((\(-\(\(16\ \(\[Zeta](2)\)\)\/3\)\) - 2\/3)\), 
                          " ", RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}]}], "-", 
                          \(\(8\ \((x\^2 + 1)\)\ \(log(x)\)\)\/
                             \(3\ \((1 - x)\)\)\), "-", 
                          \(80\/9\ \(\((1\/\(1 - x\))\)\_+\)\), "-", \(8\/9\)}
                          ], ")"}], " ", \(C\_F\)}], "-", 
                      \(8\ \((C\_F - C\_A\/2)\)\ 
                         \((\(4\ \((1 - x)\)\) + 
                            \(2\ \((x + 1)\)\ \(log(x)\)\) + 
                            \(\((x\^2 + 1)\)\ 
                               \((\(log\^2(x)\) - 
                                  \(4\ \(log(x + 1)\)\ \(log(x)\)\) - 
                                  \(2\ \(\[Zeta](2)\)\) - 
                                  \(4\ \(\(\*
                                         InterpretationBox["Li", PolyLog, 
                                         Rule[Editable, False], 
                                         Rule[Selectable, False]]\)\_2(\(-x\)
                                      )\)\))\)\)\/\(x + 1\))\)\ C\_F\), "+", 
                      RowBox[{\(C\_A\), " ", RowBox[{"(", RowBox[{
                          \(\(4\ \((x\^2 + 1)\)\ \(log\^2(x)\)\)\/\(1 - x\)\)\
, "-", 
                          \(4\/3\ \((\(5\ x\) - 22\/\(1 - x\) + 5)\)\ 
                             \(log(x)\)\), "+", 
                          \(4\/9\ \((53 - \(187\ x\))\)\), "+", 
                          \(8\ \((x + 1)\)\ \(\[Zeta](2)\)\), "+", 
                          \(\((536\/9 - \(16\ \(\[Zeta](2)\)\))\)\ 
                             \(\((1\/\(1 - x\))\)\_+\)\), "+", RowBox[
                          {RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], " ", 
                          \((\(88\ \(\[Zeta](2)\)\)\/3 - 
                              \(24\ \*TagBox[\(
                                   \[Zeta](\*TagBox["3", Zeta, 
                                      Rule[Editable, True]])\), 
                                  InterpretTemplate[Function[BoxForm`e$, 
                                    Zeta[BoxForm`e$]]]]\) + 17\/3)\)}]}], 
                          ")"}], " ", \(C\_F\)}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[976]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Integrate2[\(t, \({x, 0, 1}\)\)]\)//Timing\)], 
                  "Input", CellLabel -> "In[977]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\({\(0.5200000000000068`\ Second\), 0}
                       \)\)], "Output", CellLabel -> "Out[977]="]}, Open]], 
              Cell["Expanding t with respect to x yields a form already \
suitable for Integrate3 and therefore the following is faster:", "Text", 
               CellTags -> "Integrate2"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(Integrate3[\(\(Expand[\(t, x\)]\), \({x, 0, 1}\)\)]
                         \)//Expand\)//Timing\)], "Input", CellLabel -> 
                   "In[978]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\({\(0.1199999999999966`\ Second\), 0}
                       \)\)], "Output", CellLabel -> "Out[978]="]}, Open]], 
              Cell[BoxData[\(\(Clear[t]\) ;\)], "Input", CellLabel -> 
                "In[979]:=", CellTags -> "Integrate2"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(\(DeltaFunction[\(1 - x\)]\)\ \(f[x]\)\),
                         \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[980]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(f(1)\)\)], "Output", CellLabel -> 
                   "Out[980]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(x\^5 \(\(Log[\(1 + x\)]\)^2\)\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[981]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-\(6959\/10800\)\) + 
                        \(46\ \(log(2)\)\)\/45\)\)], "Output", CellLabel -> 
                   "Out[981]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(N @ %\)], "Input", CellLabel -> "In[982]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`0.06419859938720329`\)], "Output", 
                  CellLabel -> "Out[982]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(NIntegrate[\(\(x\^5 \(\(Log[\(1 + x\)]\)^2\)\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[983]:=", CellTags -> "Integrate2"], Cell[BoxData[
                   \(TraditionalForm\`0.06419859938720235`\)], "Output", 
                  CellLabel -> "Out[983]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(\(x^\((OPEm - 1)\)\) 
                          \(Log[\(1 + x\)]\)\^2\), \({x, 0, 1}\)\)]\)], 
                  "Input", CellLabel -> "In[984]:=", CellTags -> 
                   "Integrate2"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"-", FractionBox[RowBox[{"2", " ", 
                          \(\((\(-1\))\)\^m\), " ", RowBox[{\(S\_1\%2\), "(", 
                          FormBox["m", "TraditionalForm"], ")"}]}], "m"]}], 
                      "+", FractionBox[RowBox[{\(\((\(-1\))\)\^m\), " ", 
                         RowBox[{\(S\_1\), "(", FormBox[\(\(m - 1\)\/2\), 
                          "TraditionalForm"], ")"}], " ", RowBox[{\(S\_1\), 
                          "(", FormBox["m", "TraditionalForm"], ")"}]}], 
                       "m"], "-", FractionBox[RowBox[{RowBox[{\(S\_1\), "(", 
                          FormBox[\(\(m - 1\)\/2\), "TraditionalForm"], 
                          ")"}], " ", RowBox[{\(S\_1\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], "m"], "+", FractionBox[
                       RowBox[{\(\((\(-1\))\)\^m\), " ", RowBox[{\(S\_1\), 
                          "(", FormBox[\(m\/2\), "TraditionalForm"], ")"}], 
                         " ", RowBox[{\(S\_1\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], "m"], "+", FractionBox[
                       RowBox[{RowBox[{\(S\_1\), "(", FormBox[\(m\/2\), 
                          "TraditionalForm"], ")"}], " ", RowBox[{\(S\_1\), 
                          "(", FormBox["m", "TraditionalForm"], ")"}]}], 
                       "m"], "+", FractionBox[RowBox[{"4", " ", 
                         \(\((\(-1\))\)\^m\), " ", \(log(2)\), " ", RowBox[{
                          \(S\_1\), "(", FormBox["m", "TraditionalForm"], 
                          ")"}]}], "m"], "-", FractionBox[RowBox[{
                         \(\((\(-1\))\)\^m\), " ", \(log(2)\), " ", RowBox[{
                          \(S\_1\), "(", FormBox[\(\(m - 1\)\/2\), 
                          "TraditionalForm"], ")"}]}], "m"], "+", FractionBox[
                       RowBox[{\(log(2)\), " ", RowBox[{\(S\_1\), "(", 
                          FormBox[\(\(m - 1\)\/2\), "TraditionalForm"], 
                          ")"}]}], "m"], "-", FractionBox[RowBox[{
                         \(\((\(-1\))\)\^m\), " ", \(log(2)\), " ", RowBox[{
                          \(S\_1\), "(", FormBox[\(m\/2\), 
                          "TraditionalForm"], ")"}]}], "m"], "-", FractionBox[
                       RowBox[{\(log(2)\), " ", RowBox[{\(S\_1\), "(", 
                          FormBox[\(m\/2\), "TraditionalForm"], ")"}]}], 
                       "m"], "+", FractionBox[RowBox[{\(\((\(-1\))\)\^m\), 
                         " ", RowBox[{\(S\_2\), "(", FormBox[\(\(m - 1\)\/2\)
                          , "TraditionalForm"], ")"}]}], \(2\ m\)], "-", 
                      FractionBox[RowBox[{\(S\_2\), "(", FormBox[
                          \(\(m - 1\)\/2\), "TraditionalForm"], ")"}], 
                       \(2\ m\)], "+", FractionBox[RowBox[{\(\((\(-1\))\)\^m\)
                         , " ", RowBox[{\(S\_2\), "(", FormBox[\(m\/2\), 
                          "TraditionalForm"], ")"}]}], \(2\ m\)], "+", 
                      FractionBox[RowBox[{\(S\_2\), "(", FormBox[\(m\/2\), 
                          "TraditionalForm"], ")"}], \(2\ m\)], "-", 
                      FractionBox[RowBox[{"2", " ", \(\((\(-1\))\)\^m\), " ", 
                         RowBox[{\(S\_2\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], "m"], "-", FractionBox[
                       RowBox[{"2", " ", \(\((\(-1\))\)\^m\), " ", RowBox[{
                          \(S\_\(-11\)\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], "m"], "-", 
                      \(\(\((\(-1\))\)\^m\ \(log\^2(2)\)\)\/m\), "+", 
                      \(\(log\^2(2)\)\/m\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[984]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%/.\(OPEm \[Rule] 4\)\)], "Input", 
                  CellLabel -> "In[985]:="], Cell[BoxData[
                   \(TraditionalForm\`\(\(-\(241\/288\)\) + 
                        \(4\ \(log(2)\)\)\/3\)\)], "Output", CellLabel -> 
                   "Out[985]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(N[%]\)], "Input", CellLabel -> "In[986]:="], 
                 Cell[BoxData[\(TraditionalForm\`0.0873906851910381`\)], 
                  "Output", CellLabel -> "Out[986]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(NIntegrate[\(\(\(x^\((4 - 1)\)\) \(Log[\(1 + x\)]\)\^2\)
                        , \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[987]:="], Cell[BoxData[
                   \(TraditionalForm\`0.08739068519103732`\)], "Output", 
                  CellLabel -> "Out[987]="]}, Open]]}, Open]], 
           Cell["Integrate3", "ObjectName", CellTags -> "Integrate3"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Integrate3"], Cell["Integrate3 contains the \
integral table used by Integrate2. Integration is performed in a \
distributional sense. Integrate3 works more effectively on a sum of \
expressions if they are expanded or collected with respect to the integration \
variable. See the examples in Integrate2.", "Text", CellTags -> 
                "Integrate3"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Integrate2", RuleDelayed[ButtonData, 
                    "Integrate2"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Integrate2"]], "."}], "Text", 
               CellTags -> "Integrate3"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Integrate3"], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate3[\(\(x\^OPEm\ \(Log[x]\)\), \({x, 0, 1}\)\)]\)]\
, "Input", CellLabel -> "In[988]:=", CellTags -> "Integrate3"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(1\/\((m + 1)\)\^2\)\)\)], 
                  "Output", CellLabel -> "Out[988]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate3[\(\(x\^OPEm\ \(Log[x]\)\ \(Log[\(1 - x\)]\)\)
                         \/\(1 - x\), \({x, 0, 1}\)\)]\)], "Input", 
                  CellLabel -> "In[989]:=", CellTags -> "Integrate3"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(\[Zeta](2)\), " ", 
                        RowBox[{\(S\_1\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], "-", RowBox[{\(S\_12\)
                        , "(", FormBox["m", "TraditionalForm"], ")"}], "-", 
                      RowBox[{\(S\_21\), "(", FormBox["m", 
                         "TraditionalForm"], ")"}], "+", 
                      TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                            Rule[Editable, True]])\), 
                        InterpretTemplate[Function[BoxForm`e$, 
                          Zeta[BoxForm`e$]]]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[989]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate3[\(\(\(a \(x\^OPEm\ \(Log[x]\)\ 
                               \(Log[\(1 - x\)]\)\)\/\(1 - x\)\) + 
                          \(b \(x\^OPEm \(PolyLog[\(3, \(-x\)\)]\)\)\/
                             \(1 + x\)\)\), \({x, 0, 1}\)\)]\)], "Input", 
                  CellLabel -> "In[990]:=", CellTags -> "Integrate3"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"a", " ", RowBox[
                         {"(", RowBox[{RowBox[{\(\[Zeta](2)\), " ", RowBox[{
                          \(S\_1\), "(", FormBox["m", "TraditionalForm"], 
                          ")"}]}], "-", RowBox[{\(S\_12\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}], "-", RowBox[{\(S\_21\), 
                          "(", FormBox["m", "TraditionalForm"], ")"}], "+", 
                          TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                                Rule[Editable, True]])\), 
                            InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]}], ")"}]}], "+", RowBox[{
                        \(\((\(-1\))\)\^m\), " ", "b", " ", RowBox[{"(", 
                          RowBox[{\(\(\[Zeta](2)\)\^2\/8\), "+", RowBox[{
                          \(1\/2\), " ", RowBox[{\(S\_\(-2\)\), "(", FormBox[
                          "m", "TraditionalForm"], ")"}], " ", \(\[Zeta](2)\)}
                          ], "+", RowBox[{\(log(2)\), " ", RowBox[{"(", 
                          RowBox[{RowBox[{\(S\_3\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}], "-", RowBox[{
                          \(S\_\(-3\)\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}]}], ")"}]}], "+", RowBox[{
                          \(S\_\(3 - 1\)\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}], "-", RowBox[{\(3\/4\), 
                          " ", RowBox[{\(S\_\(-1\)\), "(", FormBox["m", 
                          "TraditionalForm"], ")"}], " ", 
                          TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                                Rule[Editable, True]])\), 
                            InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]}], "-", 
                          \(3\/4\ \(log(2)\)\ \*
                              TagBox[\(\[Zeta](
                                 \*TagBox["3", Zeta, Rule[Editable, True]])\
\), InterpretTemplate[Function[BoxForm`e$, 
                                 Zeta[BoxForm`e$]]]]\)}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[990]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate3[\(\(DeltaFunctionPrime[\(1 - x\)]\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[991]:=", CellTags -> "Integrate3"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[991]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate3[\(\(\(f[x]\)\ 
                          \(DeltaFunctionPrime[\(1 - x\)]\)\), \({x, 0, 1}\)\
\)]\)], "Input", CellLabel -> "In[992]:=", CellTags -> "Integrate3"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\*
                          SuperscriptBox["f", "\[Prime]", 
                           Rule[MultilineFunction, None]]\)(1)\)\)], 
                  "Output", CellLabel -> "Out[992]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate3[\(\(1/\((1 - x)\)\), \({x, 0, 1}\)\)]\)], 
                  "Input", CellLabel -> "In[993]:=", CellTags -> 
                   "Integrate3"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[993]="]}, Open]]}, Open]], 
           Cell["IntermediateSubstitutions", "ObjectName", 
            CellTags -> "IntermediateSubstitutions"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "IntermediateSubstitutions"], Cell["IntermediateSu\
bstitutions is an option for OneLoop. All substitutions indicated hereby are \
done at an intermediate stage of the calculation.", "Text", CellTags -> 
                "IntermediateSubstitutions"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], "."}], "Text", CellTags -> 
                "IntermediateSubstitutions"]}, Open]], Cell["InverseMellin", 
            "ObjectName", CellTags -> "InverseMellin"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "InverseMellin"], Cell[TextData[{"InverseMellin[ex\
p, y] performs the inverse Mellin transform of polynomials in OPEm. The \
inverse transforms are not calculated but a table-lookup is done. WARNING: do \
not \"trust\" the results for the inverse Mellin transform involving SumT's; \
there is an unresolved inconsistency here (related to ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\((\(-1\))\)^m)\) .\)\)]]}], 
               "Text", CellTags -> "InverseMellin"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["DeltaFunction", 
                   RuleDelayed[ButtonData, "DeltaFunction"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeltaFunction"]], ", ", 
                 ButtonBox["Integrate2", RuleDelayed[ButtonData, 
                    "Integrate2"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Integrate2"]], ", ", 
                 ButtonBox["OPEm", RuleDelayed[ButtonData, "OPEi"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumS"]]\
, ", ", 
                 ButtonBox["SumS", RuleDelayed[ButtonData, "SumS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumS"]]\
, ", ", 
                 ButtonBox["SumT", RuleDelayed[ButtonData, "SumT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumT"]]\
, "."}], "Text", CellTags -> "InverseMellin"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "InverseMellin"], Cell[CellGroupData[{Cell[BoxData[
                   \(InverseMellin[\(\(1/OPEm\), y\)]\)], "Input", 
                  CellLabel -> "In[994]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[\(TraditionalForm\`\(y\^\(m - 1\)\)\)], 
                  "Output", CellLabel -> "Out[994]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(InverseMellin[\(\(1/\((OPEm + 3)\)\), y\)]\)], "Input", 
                  CellLabel -> "In[995]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[\(TraditionalForm\`\(y\^\(m + 2\)\)\)], 
                  "Output", CellLabel -> "Out[995]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(InverseMellin[\(1, y\)]\)], 
                  "Input", CellLabel -> "In[996]:=", CellTags -> 
                   "InverseMellin"], Cell[BoxData[FormBox[RowBox[{
                      \(y\^\(m - 1\)\), " ", RowBox[{"\[Delta]", "(", FormBox[
                         \(1 - y\), "TraditionalForm"], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[996]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(InverseMellin[\(\(1/\(OPEm^4\)\), y\)]\)], "Input", 
                  CellLabel -> "In[997]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(-\(1\/6\)\)\ y\^\(m - 1\)\ 
                        \(\(log\^3\)(y)\)\)\)], "Output", CellLabel -> 
                   "Out[997]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(InverseMellin[\(\(\(1/OPEm\) + 1\), y\)]\)], "Input", 
                  CellLabel -> "In[998]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{RowBox[{"\[Delta]", 
                          "(", FormBox[\(1 - y\), "TraditionalForm"], ")"}], 
                        " ", \(y\^\(m - 1\)\)}], "+", \(y\^\(m - 1\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[998]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(InverseMellin[\(\(\(1/i\) + 1\), y, i\)]\)], "Input", 
                  CellLabel -> "In[999]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{RowBox[{"\[Delta]", 
                          "(", FormBox[\(1 - y\), "TraditionalForm"], ")"}], 
                        " ", \(y\^\(i - 1\)\)}], "+", \(y\^\(i - 1\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[999]="]}, 
                Open]], Cell["The inverse operation to InverseMellin is done \
by Integrate2.", "Text", CellTags -> "InverseMellin"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(InverseMellin[\(\(1/OPEm\), y\)]\), 
                        \({y, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[1000]:=", CellTags -> "InverseMellin"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/m\)\)], "Output", CellLabel -> 
                   "Out[1000]="]}, Open]], Cell["Below is a list of all \
built-in basic inverse Mellin transforms .", "Text", CellTags -> 
                "InverseMellin"], Cell[BoxData[
                \(\(list = \({1, 1\/\(OPEm + n\), 1\/\(\(-OPEm\) + n\), 
                        \(PolyGamma[\(0, OPEm\)]\), 
                        \(SumS[\(1, \(\(-1\) + OPEm\)\)]\), 
                        \(SumS[\(1, \(\(-1\) + OPEm\)\)]\)\/\(OPEm - 1\), 
                        \(SumS[\(1, \(\(-1\) + OPEm\)\)]\)\/\(1 - OPEm\), 
                        \(SumS[\(1, \(\(-1\) + OPEm\)\)]\)\/\(OPEm + 1\), 
                        \(SumS[\(1, \(\(-1\) + OPEm\)\)]\)\/OPEm\^2, 
                        \(SumS[\(1, \(\(-1\) + OPEm\)\)]\)\/OPEm, 
                        \(SumS[\(1, \(\(-1\) + OPEm\)\)]\)\^2\/OPEm, 
                        \(SumS[\(2, \(\(-1\) + OPEm\)\)]\), 
                        \(SumS[\(2, \(\(-1\) + OPEm\)\)]\)\/OPEm, 
                        \(SumS[\(3, \(\(-1\) + OPEm\)\)]\), 
                        \(SumS[\(1, 1, \(\(-1\) + OPEm\)\)]\), 
                        \(SumS[\(1, \(OPEm - 1\)\)]\)\^2, 
                        \(SumS[\(1, 2, \(\(-1\) + OPEm\)\)]\), 
                        \(SumS[\(2, 1, \(\(-1\) + OPEm\)\)]\), 
                        \(SumS[\(1, \(\(-1\) + OPEm\)\)]\)\^3, 
                        \(\(SumS[\(1, \(\(-1\) + OPEm\)\)]\)\ 
                          \(SumS[\(2, \(\(-1\) + OPEm\)\)]\)\), 
                        \(SumS[\(1, 1, 1, \(\(-1\) + OPEm\)\)]\)}\)\) ;\)], 
               "Input", CellLabel -> "In[1001]:=", CellTags -> 
                "InverseMellin"], Cell[BoxData[
                \(\(im[z_]\) := \(z\ \[LongRightArrow] 
                     \(InverseMellin[\(z, y\)]\)\)\)], "Input", CellLabel -> 
                "In[1002]:=", CellTags -> "InverseMellin"], 
              Cell[CellGroupData[{Cell[BoxData[\(im[\(OPEm^\((\(-3\))\)\)]\)]
                   , "Input", CellLabel -> "In[1003]:=", CellTags -> 
                   "InverseMellin"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/m\^3\) \[LongRightArrow] 
                        \((1\/2\ y\^\(m - 1\)\ \(\(log\^2\)(y)\))\)\)\)], 
                  "Output", CellLabel -> "Out[1003]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(im[\(OPEm^\((\(-2\))\)\)]\)]
                   , "Input", CellLabel -> "In[1004]:=", CellTags -> 
                   "InverseMellin"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/m\^2\) \[LongRightArrow] 
                        \((\(-y\^\(m - 1\)\)\ \(log(y)\))\)\)\)], "Output", 
                  CellLabel -> "Out[1004]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(im[\(PolyGamma[\(0, OPEm\)]\)]\)], "Input", 
                  CellLabel -> "In[1005]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(\*TagBox["\[Psi]", PolyGamma]\^\((0)\)(m)\), 
                      "\[LongRightArrow]", RowBox[{"(", RowBox[{RowBox[{
                          \(-\*TagBox["\[DoubledGamma]", 
                               Function[List[], EulerGamma]]\), " ", RowBox[
                          {"\[Delta]", "(", FormBox[\(1 - y\), 
                          "TraditionalForm"], ")"}], " ", \(y\^\(m - 1\)\)}], 
                          "-", \(\(\((1\/\(1 - y\))\)\_+\)\ y\^\(m - 1\)\)}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1005]="]}, Open]], Cell[BoxData[" "], "Input", 
               CellLabel -> "In[1006]:=", CellTags -> "InverseMellin"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(SumS[\(1, \(OPEm - 1\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1007]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_1\), "(", FormBox[
                         \(m - 1\), "TraditionalForm"], ")"}], 
                      "\[LongRightArrow]", 
                      \((\(-y\^\(m - 1\)\)\ \(\((1\/\(1 - y\))\)\_+\))\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1007]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(\(SumS[\(1, \(OPEm - 1\)\)]\)/\((OPEm - 1)\)\)]\)], 
                  "Input", CellLabel -> "In[1008]:=", CellTags -> 
                   "InverseMellin"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{\(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}], \(m - 1\)], 
                      "\[LongRightArrow]", 
                      \((\(-y\^\(m - 2\)\)\ \(log(1 - y)\))\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1008]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(\(SumS[\(1, \(OPEm - 1\)\)]\)/\((OPEm + 1)\)\)]\)], 
                  "Input", CellLabel -> "In[1009]:=", CellTags -> 
                   "InverseMellin"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{\(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}], \(m + 1\)], 
                      "\[LongRightArrow]", 
                      \((\(-y\^\(m - 1\)\) - \(\(log(1 - y)\)\ y\^m\) + 
                          \(\(log(y)\)\ y\^m\) + y\^m)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1009]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(\(SumS[\(1, \(\(-1\) + OPEm\)\)]\)/\(OPEm^2\)\)]\)]\
, "Input", CellLabel -> "In[1010]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{\(S\_1\), 
                         "(", FormBox[\(m - 1\), "TraditionalForm"], ")"}], 
                       \(m\^2\)], "\[LongRightArrow]", 
                      \((y\^\(m - 1\)\ \((\(\(-\(1\/2\)\)\ \(log\^2(y)\)\) + 
                             \(\[Zeta](2)\) - 
                             \(\(\*InterpretationBox["Li", PolyLog, 
                                   Rule[Editable, False], 
                                   Rule[Selectable, False]]\)\_2(y)\))\))\)}]\
, TraditionalForm]], "Output", CellLabel -> "Out[1010]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(\(SumS[\(1, \(\(-1\) + OPEm\)\)]\)/OPEm\)]\)], 
                  "Input", CellLabel -> "In[1011]:=", CellTags -> 
                   "InverseMellin"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{\(S\_1\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}], "m"], 
                      "\[LongRightArrow]", 
                      \((y\^\(m - 1\)\ \((\(log(y)\) - \(log(1 - y)\))\))\)}]\
, TraditionalForm]], "Output", CellLabel -> "Out[1011]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(\(\(SumS[\(1, \(\(-1\) + OPEm\)\)]\)^2\)/OPEm\)]\)]\
, "Input", CellLabel -> "In[1012]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{\(S\_1\%2\)
                         , "(", FormBox[\(m - 1\), "TraditionalForm"], ")"}], 
                       "m"], "\[LongRightArrow]", 
                      \((y\^\(m - 1\)\ \((\(log\^2(1 - y)\) + 
                             \(log\^2(y)\)\/2 - \(3\ \(\[Zeta](2)\)\) + 
                             \(\(\*InterpretationBox["Li", PolyLog, 
                                   Rule[Editable, False], 
                                   Rule[Selectable, False]]\)\_2(1 - y)\) + 
                             \(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                     Rule[Editable, False], 
                                     Rule[Selectable, False]]\)\_2(y)\)\))\))
                      \)}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1012]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(SumS[\(2, \(OPEm - 1\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1013]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_2\), "(", FormBox[
                         \(m - 1\), "TraditionalForm"], ")"}], 
                      "\[LongRightArrow]", RowBox[{"(", RowBox[{
                          \(y\^\(m - 1\)\), " ", RowBox[{"(", RowBox[{RowBox[{
                          \(\[Zeta](2)\), " ", RowBox[{"\[Delta]", "(", 
                          FormBox[\(1 - y\), "TraditionalForm"], ")"}]}], 
                          "+", \(\(log(y)\)\/\(1 - y\)\)}], ")"}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1013]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(\(SumS[\(2, \(OPEm - 1\)\)]\)/OPEm\)]\)], "Input", 
                  CellLabel -> "In[1014]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{\(S\_2\), 
                         "(", FormBox[\(m - 1\), "TraditionalForm"], ")"}], 
                       "m"], "\[LongRightArrow]", 
                      \((y\^\(m - 1\)\ \((\(\(-\(1\/2\)\)\ \(log\^2(y)\)\) + 
                             \(\[Zeta](2)\) - 
                             \(\(\*InterpretationBox["Li", PolyLog, 
                                   Rule[Editable, False], 
                                   Rule[Selectable, False]]\)\_2(1 - y)\))\))
                      \)}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1014]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(SumS[\(3, \(OPEm - 1\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1015]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_3\), "(", FormBox[
                         \(m - 1\), "TraditionalForm"], ")"}], 
                      "\[LongRightArrow]", RowBox[{"(", RowBox[{
                          \(y\^\(m - 1\)\), " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"\[Delta]", "(", FormBox[\(1 - y\)
                          , "TraditionalForm"], ")"}], " ", 
                          TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                                Rule[Editable, True]])\), 
                            InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]}], "-", 
                          \(\(log\^2(y)\)\/\(2\ \((1 - y)\)\)\)}], ")"}]}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1015]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(SumS[\(1, 1, \(OPEm - 1\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1016]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_11\), "(", FormBox[
                         \(m - 1\), "TraditionalForm"], ")"}], 
                      "\[LongRightArrow]", 
                      \((y\^\(m - 1\)\ \(\((\(log(1 - y)\)\/\(1 - y\))\)\_+\)
                         )\)}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1016]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\ \(im[\(SumS[\(1, 2, \(OPEm - 1\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1017]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_12\), "(", FormBox[
                         \(m - 1\), "TraditionalForm"], ")"}], 
                      "\[LongRightArrow]", RowBox[{"(", RowBox[{
                          \(y\^\(m - 1\)\), " ", RowBox[{"(", RowBox[{RowBox[{
                          \(-\*TagBox[\(\[Zeta](
                                 \*TagBox["3", Zeta, Rule[Editable, True]])\
\), InterpretTemplate[Function[BoxForm`e$, 
                                 Zeta[BoxForm`e$]]]]\), " ", RowBox[
                          {"\[Delta]", "(", FormBox[\(1 - y\), 
                          "TraditionalForm"], ")"}]}], "-", 
                          \(\(\[Zeta](2)\)\ \(\((1\/\(1 - y\))\)\_+\)\), "+", 
                          \(\(\(\*InterpretationBox["Li", PolyLog, 
                                   Rule[Editable, False], 
                                   Rule[Selectable, False]]\)\_2(1 - y)\)\/
                             \(1 - y\)\)}], ")"}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1017]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\ \(im[\(SumS[\(2, 1, \(OPEm - 1\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1018]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_21\), "(", FormBox[
                         \(m - 1\), "TraditionalForm"], ")"}], 
                      "\[LongRightArrow]", RowBox[{"(", RowBox[{
                          \(y\^\(m - 1\)\), " ", RowBox[{"(", RowBox[
                          {RowBox[{"2", " ", 
                          TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                                Rule[Editable, True]])\), 
                            InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]], " ", RowBox[{"\[Delta]", 
                          "(", FormBox[\(1 - y\), "TraditionalForm"], 
                          ")"}]}], "-", 
                          \(\(\[Zeta](2)\)\ \(\((1\/\(1 - y\))\)\_+\)\), "+", 
                          \(\(\(\*InterpretationBox["Li", PolyLog, 
                                   Rule[Editable, False], 
                                   Rule[Selectable, False]]\)\_2(y)\)\/
                             \(1 - y\)\)}], ")"}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1018]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(im[\(SumS[\(1, 1, 1, \(OPEm - 1\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1019]:=", CellTags -> "InverseMellin"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_111\), "(", 
                        FormBox[\(m - 1\), "TraditionalForm"], ")"}], 
                      "\[LongRightArrow]", 
                      \((\(-\(1\/2\)\)\ y\^\(m - 1\)\ 
                          \(\((\(log\^2(1 - y)\)\/\(1 - y\))\)\_+\))\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1019]="]}, 
                Open]], Cell[BoxData[\(\(Clear[\(im, list\)]\) ;\)], "Input", 
               CellLabel -> "In[1020]:=", CellTags -> "InverseMellin"]}, 
             Open]], Cell["Isolate", "ObjectName", CellTags -> "Isolate"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Isolate"], Cell["Isolate[expr] substitutes \
abbreviations KK[i] for all Plus[...] (sub-sums) in expr. The inserted KK[i] \
have head HoldForm. Isolate[expr, varlist] substitutes KK[i] for all subsums \
in expr which are free of any occurence of a member of the list varlist. \
Instead of KK any other head or a list of names of the abbreviations may be \
specified with the option IsolateNames.", "Text", CellTags -> "Isolate"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[Isolate]\)], 
                  "Input", CellLabel -> "In[1021]:=", CellTags -> "Isolate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(IsolateNames \[Rule] KK\), 
                         \(HighEnergyPhysics`FeynCalc`IsolatePrint`IsolatePr\
int \[Rule] False\), \(HighEnergyPhysics`FeynCalc`Isolate\
Split`IsolateSplit \[Rule] \[Infinity]\)}\)\)], "Output", CellLabel -> 
                   "Out[1021]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Isolate"], Cell[CellGroupData[{Cell[BoxData[
                   \(t0 = \(Isolate[\(a + b\)]\)\)], "Input", CellLabel -> 
                   "In[1022]:=", CellTags -> "Isolate"], Cell[BoxData[
                   \(TraditionalForm\`\(\*TagBox[\(KK(1)\), HoldForm]\)\)], 
                  "Output", CellLabel -> "Out[1022]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(Isolate[\(\(\(\((a + b)\)\ f\)\ +\ 
                            \(\((c + d)\)\ f\)\ +\ e\), f\)]\)\)], "Input", 
                  CellLabel -> "In[1023]:=", CellTags -> "Isolate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(e + 
                        \(f\ \*TagBox[\(KK(1)\), HoldForm]\) + 
                        \(f\ \*TagBox[\(KK(2)\), HoldForm]\)\)\)], "Output", 
                  CellLabel -> "Out[1023]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(StandardForm[t1]\)], "Input", CellLabel -> 
                   "In[1024]:=", CellTags -> "Isolate"], Cell[BoxData[
                   \(e + \(f\ \*TagBox[\(KK[1]\), HoldForm]\) + 
                      \(f\ \*TagBox[\(KK[2]\), HoldForm]\)\)], "Output", 
                  CellLabel -> "Out[1024]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \({t0,\ t1,\ \(ReleaseHold[t1]\)}\)], "Input", 
                  CellLabel -> "In[1025]:=", CellTags -> "Isolate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\*TagBox[\(KK(1)\), HoldForm], 
                         \(e + \(f\ \*TagBox[\(KK(1)\), HoldForm]\) + 
                           \(f\ \*TagBox[\(KK(2)\), HoldForm]\)\), 
                         \(e + \(\((a + b)\)\ f\) + \(\((c + d)\)\ f\)\)}\)\)]\
, "Output", CellLabel -> "Out[1025]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Isolate[\(\(\(\(a[z]\)\ \((b + \(c\ \((y + z)\)\))\)\) +
                           \(\(d[z]\)\ \((y + z)\)\)\), \({a, d}\), 
                        \(IsolateNames \[Rule] fF\)\)]\)], "Input", 
                  CellLabel -> "In[1026]:=", CellTags -> "Isolate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(d(z)\)\ 
                          \*TagBox[\(fF(1)\), HoldForm]\) + 
                        \(\(a(z)\)\ \*TagBox[\(fF(2)\), HoldForm]\)\)\)], 
                  "Output", CellLabel -> "Out[1026]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(??fF\)], "Input", 
                  CellLabel -> "In[1027]:=", CellTags -> "Isolate"], 
                 Cell["Global`fF", "Print", CellTags -> 
                   "Info3288620452-3909920"], Cell[BoxData[
                   InterpretationBox[GridBox[{{GridBox[{{\(
                            \(fF[1]\) = \(y + z\)\)}, {" "}, 
                          {\(\(fF[2]\) = \(
                              b + \(c\ \("HoldForm"[\(fF[1]\)]\)\)\)\)}}, 
                         GridBaseline -> {Baseline, {1, 1}}, 
                         ColumnWidths -> 0.9990000128746033, 
                         ColumnAlignments -> {Left}]}}, 
                      GridBaseline -> {Baseline, {1, 1}}, 
                      ColumnAlignments -> {Left}], Definition["fF"], 
                     Rule[Editable, False]]], "Print", CellTags -> 
                   "Info3288620452-3909920"]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Isolate[\(\(a - b - c - d - e\), 
                        \(IsolateNames \[Rule] L\), 
                        \(IsolateSplit \[Rule] 15\)\)]\)], "Input", 
                  CellLabel -> "In[1028]:=", CellTags -> "Isolate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*TagBox[\(L(3)\), HoldForm]\)\)], 
                  "Output", CellLabel -> "Out[1028]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\({\(L[2]\), \(L[1]\)}\)], 
                  "Input", CellLabel -> "In[1029]:=", CellTags -> "Isolate"], 
                 Cell[BoxData[\(TraditionalForm\`\({\(a - b\), \(L(1)\)}\)\)]
                   , "Output", CellLabel -> "Out[1029]="]}, Open]], 
              Cell[BoxData[\(Clear[\(t0, t1, L, fF\)]\)], "Input", 
               CellLabel -> "In[1030]:=", CellTags -> "Isolate"]}, Open]], 
           Cell["IsolateHead", "ObjectName", CellTags -> "IsolateHead"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "IsolateHead"], Cell[
               "IsolateHead is equivalent to IsolateNames.", "Text", 
               CellTags -> "IsolateHead"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["IsolateNames", 
                   RuleDelayed[ButtonData, "IsolateNames"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "IsolateNames"]], "."}], "Text", 
               CellTags -> "IsolateHead"]}, Open]], Cell["IsolateNames", 
            "ObjectName", CellTags -> "IsolateNames"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "IsolateNames"], Cell["IsolateNames is an option \
for Isolate and Collect2. Its default setting is KK. Instead of a symbol the \
setting may also be a list with the names of the abbrevations.", "Text", 
               CellTags -> "IsolateNames"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Isolate", RuleDelayed[ButtonData, "Isolate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Isolate"]], ", ", 
                 ButtonBox["Collect2", RuleDelayed[ButtonData, "Collect2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Collect2"]], "."}], "Text", CellTags -> 
                "IsolateNames"]}, Open]], Cell["IsolatePrint", "ObjectName", 
            CellTags -> "IsolatePrint"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "IsolatePrint"], Cell["IsolatePrint is an option of Isolate. \
If it is set to OutputForm (or any other *Form) the definitions of the \
abbreviations are printed during the operation of Isolate. The setting \
IsolatePrint \[Rule] False suppresses printing.", "Text", CellTags -> 
                "IsolatePrint"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Isolate", RuleDelayed[ButtonData, "Isolate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Isolate"]], "."}], "Text", CellTags -> 
                "IsolatePrint"]}, Open]], Cell["IsolateSplit", "ObjectName", 
            CellTags -> "IsolateSplit"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "IsolateSplit"], Cell["IsolateSplit is an option for Isolate. \
Its setting determines the maximum number of characters of FortranForm[expr] \
which are abbreviated by Isolate. If the expression is larger than the \
indicated number, it is split into smaller pieces and onto each subsum \
Isolate is applied. With the default setting IsolateSplit \[Rule] Infinity no \
splitting is done.", "Text", CellTags -> "IsolateSplit"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Isolate", RuleDelayed[ButtonData, "Isolate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Isolate"]], "."}], "Text", CellTags -> 
                "IsolateSplit"]}, Open]], Cell["KeepOnly", "ObjectName", 
            CellTags -> "KeepOnly"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "KeepOnly"], 
              Cell["KeepOnly is an option of OneLoop. It may be set to B0, \
C0, D0 keeping only the corresponding coefficients. The default setting is \
False. If KeepOnly is set to {} then the part of the amplitude which is not \
coefficient of B0, C0, D0 is kept.", "Text", CellTags -> "KeepOnly"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["C0", RuleDelayed[ButtonData, "C0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "C0"]], 
                 ", ", 
                 ButtonBox["D0", RuleDelayed[ButtonData, "D0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "D0"]], 
                 "."}], "Text", CellTags -> "KeepOnly"]}, Open]], 
           Cell["KK", "ObjectName", CellTags -> "KK"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "KK"], Cell["KK[i] is the default setting of \
IsolateNames, which is the head of abbreviations used by Isolate. A KK[i] \
returned by Isolate is given in HoldForm and can be recovered by \
ReleaseHold[KK[i]].", "Text", CellTags -> "KK"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["Isolate", RuleDelayed[ButtonData, "Isolate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Isolate"]], ", ", 
                 ButtonBox["IsolateNames", 
                   RuleDelayed[ButtonData, "IsolateNames"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "IsolateNames"]], "."}], "Text", 
               CellTags -> "KK"]}, Open]], Cell["Kummer", "ObjectName", 
            CellTags -> "Kummer"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Kummer"], 
              Cell["Kummer[i][exp] applies Kummer relation number i (i =1, \
... 24, 94,95,96) to all Hypergeometric2F1 in exp. i = 94 corresponds to eq. \
9.131.2, i = 95 to eq. 9.132.1 and i = 96 to eq. 9.132.2 in Gradsteyn & \
Ryzhik.", "Text", CellTags -> "Kummer"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["HypergeometricAC", 
                   RuleDelayed[ButtonData, "HypergeometricAC"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricAC"]], "."}], "Text", 
               CellTags -> "Kummer"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Kummer"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, z\)]\) == 
                      \(\(Kummer[2]\)[\(Hypergeometric2F1[\(a, b, c, z\)]\)]
                       \)\)], "Input", CellLabel -> "In[1031]:=", CellTags -> 
                   "Kummer"], Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-a\) - b + c\)\), " ", TagBox[
                         TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1031]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, z\)]\) == 
                      \(\(Kummer[3]\)[\(Hypergeometric2F1[\(a, b, c, z\)]\)]
                       \)\)], "Input", CellLabel -> "In[1032]:=", CellTags -> 
                   "Kummer"], Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(-a\)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(z\/\(1 - z\)\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1032]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, z\)]\) == 
                      \(\(Kummer[4]\)[\(Hypergeometric2F1[\(a, b, c, z\)]\)]
                       \)\)], "Input", CellLabel -> "In[1033]:=", CellTags -> 
                   "Kummer"], Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(-b\)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(z\/\(1 - z\)\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1033]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(1 - z\)\)]\) == 
                      \(\(Kummer[6]\)[\(Hypergeometric2F1[
                          \(a, b, c, \(1 - z\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1034]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(\(-a\) - b + c\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1034]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, \(a + b + 1 - c\), \(1 - z\)
                         \)]\) == \(\(Kummer[6]\)[
                        \(Hypergeometric2F1[
                          \(a, b, \(a + b + 1 - c\), \(1 - z\)\)]\)]\)\)], 
                  "Input", CellLabel -> "In[1035]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a + b - c + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(1 - c\)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a + b - c + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1035]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(1 - z\)\)]\) == 
                      \(\(Kummer[7]\)[\(Hypergeometric2F1[
                          \(a, b, c, \(1 - z\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1036]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(-a\)\), " ", TagBox[TagBox[RowBox[{RowBox[
                          {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                          "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(\(1 - z\)\/z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1036]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, \(a + b + 1 - c\), \(1 - z\)
                         \)]\) == \(\(Kummer[7]\)[
                        \(Hypergeometric2F1[
                          \(a, b, \(a + b + 1 - c\), \(1 - z\)\)]\)]\)\)], 
                  "Input", CellLabel -> "In[1037]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a + b - c + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(-a\)\), " ", TagBox[TagBox[RowBox[{RowBox[
                          {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                          "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a + b - c + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(\(1 - z\)\/z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1037]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(1 - z\)\)]\) == 
                      \(\(Kummer[8]\)[\(Hypergeometric2F1[
                          \(a, b, c, \(1 - z\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1038]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(-b\)\), " ", TagBox[TagBox[RowBox[{RowBox[
                          {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                          "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(\(1 - z\)\/z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1038]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, \(a + b + 1 - c\), \(1 - z\)
                         \)]\) == \(\(Kummer[8]\)[
                        \(Hypergeometric2F1[
                          \(a, b, \(a + b + 1 - c\), \(1 - z\)\)]\)]\)\)], 
                  "Input", CellLabel -> "In[1039]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a + b - c + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(-b\)\), " ", TagBox[TagBox[RowBox[{RowBox[
                          {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                          "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a + b - c + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(\(1 - z\)\/z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1039]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\) 
                      == \(\(Kummer[10]\)[\(
                         Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\)\
]\)\)], "Input", CellLabel -> "In[1040]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-a\) - b + c\)\), " ", 
                        \(\((\(-z\))\)\^\(a + b - c\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1040]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         a, \(a + 1 - c\), \(a + 1 - b\), \(z^\((\(-1\))\)\)
                         \)]\) == \(\(Kummer[10]\)[
                        \(Hypergeometric2F1[
                          \(a, \(a + 1 - c\), \(a + 1 - b\), 
                            \(z^\((\(-1\))\)\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1041]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a - b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-a\) - b + c\)\), " ", 
                        \(\((\(-z\))\)\^\(a + b - c\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(1 - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a - b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1041]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\) 
                      == \(\(Kummer[11]\)[\(
                         Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\)\
]\)\)], "Input", CellLabel -> "In[1042]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((\(-\(\(1 - z\)\/z\)\))\)\^\(-a\)\), " ", 
                        \(\((\(-z\))\)\^a\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1042]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         a, \(a + 1 - c\), \(a + 1 - b\), \(z^\((\(-1\))\)\)
                         \)]\) == \(\(Kummer[11]\)[
                        \(Hypergeometric2F1[
                          \(a, \(a + 1 - c\), \(a + 1 - b\), 
                            \(z^\((\(-1\))\)\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1043]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a - b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((\(-\(\(1 - z\)\/z\)\))\)\^\(-a\)\), " ", 
                        \(\((\(-z\))\)\^a\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a - b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1043]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\) 
                      == \(\(Kummer[12]\)[\(
                         Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\)\
]\)\)], "Input", CellLabel -> "In[1044]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(-b\)\), " ", 
                        \(\((\(-z\))\)\^\(b - a\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1044]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         a, \(a + 1 - c\), \(a + 1 - b\), \(z^\((\(-1\))\)\)
                         \)]\) == \(\(Kummer[12]\)[
                        \(Hypergeometric2F1[
                          \(a, \(a + 1 - c\), \(a + 1 - b\), 
                            \(z^\((\(-1\))\)\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1045]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a - b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-a\) + c - 1\)\), " ", 
                        \(\((\(-z\))\)\^\(1 - c\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(1 - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a - b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1045]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\) 
                      == \(\(Kummer[14]\)[\(
                         Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\)\
]\)\)], "Input", CellLabel -> "In[1046]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-a\) - b + c\)\), " ", 
                        \(\((\(-z\))\)\^\(a + b - c\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1046]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         \(b + 1 - c\), b, \(b + 1 - a\), \(z^\((\(-1\))\)\)
                         \)]\) == \(\(Kummer[14]\)[
                        \(Hypergeometric2F1[
                          \(\(b + 1 - c\), b, \(b + 1 - a\), 
                            \(z^\((\(-1\))\)\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1047]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) + b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-a\) - b + c\)\), " ", 
                        \(\((\(-z\))\)\^\(a + b - c\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(1 - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) + b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1047]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\) 
                      == \(\(Kummer[15]\)[\(
                         Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\)\
]\)\)], "Input", CellLabel -> "In[1048]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(-b\)\), " ", \(\((\(-z\))\)\^b\), 
                        " ", TagBox[TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1048]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         \(b + 1 - c\), b, \(b + 1 - a\), \(z^\((\(-1\))\)\)
                         \)]\) == \(\(Kummer[15]\)[
                        \(Hypergeometric2F1[
                          \(\(b + 1 - c\), b, \(b + 1 - a\), 
                            \(z^\((\(-1\))\)\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1049]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) + b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(-b\)\), " ", \(\((\(-z\))\)\^b\), 
                        " ", TagBox[TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) + b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1049]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\) 
                      == \(\(Kummer[16]\)[\(
                         Hypergeometric2F1[\(a, b, c, \(z^\((\(-1\))\)\)\)]\)\
]\)\)], "Input", CellLabel -> "In[1050]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(-a\)\), " ", \(\((\(-z\))\)\^a\), 
                        " ", TagBox[TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1050]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         \(b + 1 - c\), b, \(b + 1 - a\), \(z^\((\(-1\))\)\)
                         \)]\) == \(\(Kummer[16]\)[
                        \(Hypergeometric2F1[
                          \(\(b + 1 - c\), b, \(b + 1 - a\), 
                            \(z^\((\(-1\))\)\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1051]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) + b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-b\) + c - 1\)\), " ", 
                        \(\((\(-z\))\)\^\(b - c + 1\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(1 - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) + b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1051]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         \(a + 1 - c\), \(b + 1 - c\), \(2 - c\), z\)]\) == 
                      \(\(Kummer[18]\)[\(Hypergeometric2F1[
                          \(\(a + 1 - c\), \(b + 1 - c\), \(2 - c\), z\)]\)]\
\)\)], "Input", CellLabel -> "In[1052]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(2 - c\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-a\) - b + c\)\), " ", TagBox[
                         TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(1 - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(1 - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(2 - c\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1052]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, z\)]\) == 
                      \(\(Kummer[18]\)[\(Hypergeometric2F1[\(a, b, c, z\)]\)]
                       \)\)], "Input", CellLabel -> "In[1053]:=", CellTags -> 
                   "Kummer"], Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-a\) - b + c\)\), " ", TagBox[
                         TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1053]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         \(a + 1 - c\), \(b + 1 - c\), \(2 - c\), z\)]\) == 
                      \(\(Kummer[19]\)[\(Hypergeometric2F1[
                          \(\(a + 1 - c\), \(b + 1 - c\), \(2 - c\), z\)]\)]\
\)\)], "Input", CellLabel -> "In[1054]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(2 - c\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-a\) + c - 1\)\), " ", TagBox[
                         TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(1 - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(2 - c\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(z\/\(z - 1\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1054]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, z\)]\) == 
                      \(\(Kummer[19]\)[\(Hypergeometric2F1[\(a, b, c, z\)]\)]
                       \)\)], "Input", CellLabel -> "In[1055]:=", CellTags -> 
                   "Kummer"], Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(-a\)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(z\/\(z - 1\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1055]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         \(a + 1 - c\), \(b + 1 - c\), \(2 - c\), z\)]\) == 
                      \(\(Kummer[20]\)[\(Hypergeometric2F1[
                          \(\(a + 1 - c\), \(b + 1 - c\), \(2 - c\), z\)]\)]\
\)\)], "Input", CellLabel -> "In[1056]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(2 - c\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(\(-b\) + c - 1\)\), " ", TagBox[
                         TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(1 - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(2 - c\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(z\/\(z - 1\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1056]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, z\)]\) == 
                      \(\(Kummer[20]\)[\(Hypergeometric2F1[\(a, b, c, z\)]\)]
                       \)\)], "Input", CellLabel -> "In[1057]:=", CellTags -> 
                   "Kummer"], Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(-b\)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(z\/\(z - 1\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1057]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         \(c - a\), \(c - b\), \(c + 1 - a - b\), \(1 - z\)\)\
]\) == \(\(Kummer[22]\)[
                        \(Hypergeometric2F1[
                          \(\(c - a\), \(c - b\), \(c + 1 - a - b\), 
                            \(1 - z\)\)]\)]\)\)], "Input", CellLabel -> 
                   "In[1058]:=", CellTags -> "Kummer"], Cell[BoxData[
                   FormBox[RowBox[{TagBox[TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) - b + c + 1
                                   \), Hypergeometric2F1, 
                                  Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(1 - c\)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(1 - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(1 - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) - b + c + 1
                                   \), Hypergeometric2F1, 
                                  Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1058]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(1 - z\)\)]\) == 
                      \(\(Kummer[22]\)[\(Hypergeometric2F1[
                          \(a, b, c, \(1 - z\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1059]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(\(-a\) - b + c\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1059]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         \(c - a\), \(c - b\), \(c + 1 - a - b\), \(1 - z\)\)\
]\) == \(\(Kummer[23]\)[
                        \(Hypergeometric2F1[
                          \(\(c - a\), \(c - b\), \(c + 1 - a - b\), 
                            \(1 - z\)\)]\)]\)\)], "Input", CellLabel -> 
                   "In[1060]:=", CellTags -> "Kummer"], Cell[BoxData[
                   FormBox[RowBox[{TagBox[TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) - b + c + 1
                                   \), Hypergeometric2F1, 
                                  Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(a - c\)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(1 - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) - b + c + 1
                                   \), Hypergeometric2F1, 
                                  Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - 1\/\(1 - z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1060]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(1 - z\)\)]\) == 
                      \(\(Kummer[23]\)[\(Hypergeometric2F1[
                          \(a, b, c, \(1 - z\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1061]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(\((1 - z)\)\^\(-a\)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - 1\/\(1 - z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1061]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(
                         \(c - a\), \(c - b\), \(c + 1 - a - b\), \(1 - z\)\)\
]\) == \(\(Kummer[24]\)[
                        \(Hypergeometric2F1[
                          \(\(c - a\), \(c - b\), \(c + 1 - a - b\), 
                            \(1 - z\)\)]\)]\)\)], "Input", CellLabel -> 
                   "In[1062]:=", CellTags -> "Kummer"], Cell[BoxData[
                   FormBox[RowBox[{TagBox[TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) - b + c + 1
                                   \), Hypergeometric2F1, 
                                  Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(b - c\)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(1 - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) - b + c + 1
                                   \), Hypergeometric2F1, 
                                  Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(\(1 - z\)\/z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1062]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, \(1 - z\)\)]\) == 
                      \(\(Kummer[24]\)[\(Hypergeometric2F1[
                          \(a, b, c, \(1 - z\)\)]\)]\)\)], "Input", 
                  CellLabel -> "In[1063]:=", CellTags -> "Kummer"], 
                 Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[RowBox[
                         {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[{
                        \(z\^\(-b\)\), " ", TagBox[TagBox[RowBox[{RowBox[
                          {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                          "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(\(1 - z\)\/z\)\), 
                                Hypergeometric2F1, Rule[Editable, True]])\)}]\
, InterpretTemplate[HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                         Hypergeometric2F1]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1063]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, z\)]\) == 
                      \(\(Kummer[94]\)[\(Hypergeometric2F1[\(a, b, c, z\)]\)]
                       \)\)], "Input", CellLabel -> "In[1064]:=", CellTags -> 
                   "Kummer"], Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[
                       {FractionBox[RowBox[{\(\[CapitalGamma](a + b - c)\), 
                          " ", \(\[CapitalGamma](c)\), " ", TagBox[TagBox[
                          RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) - b + c + 1
                                   \), Hypergeometric2F1, 
                                  Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", 
                          \(\((1 - z)\)\^\(\(-a\) - b + c\)\)}], 
                         \(\(\[CapitalGamma](a)\)\ \(\[CapitalGamma](b)\)\)], 
                        "+", FractionBox[RowBox[{\(\[CapitalGamma](c)\), " ", 
                          \(\[CapitalGamma](\(-a\) - b + c)\), " ", TagBox[
                          TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a + b - c + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1 - z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}], 
                         \(\(\[CapitalGamma](c - a)\)\ 
                            \(\[CapitalGamma](c - b)\)\)]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1064]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, z\)]\) == 
                      \(\(Kummer[95]\)[\(Hypergeometric2F1[\(a, b, c, z\)]\)]
                       \)\)], "Input", CellLabel -> "In[1065]:=", CellTags -> 
                   "Kummer"], Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[
                       {FractionBox[RowBox[{\(\[CapitalGamma](b - a)\), " ", 
                          \(\[CapitalGamma](c)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - b\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a - b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", 
                          \(\((1 - z)\)\^\(-a\)\)}], 
                         \(\(\[CapitalGamma](b)\)\ \(\[CapitalGamma](c - a)\)
                           \)], "+", FractionBox[RowBox[{
                          \(\[CapitalGamma](a - b)\), " ", 
                          \(\[CapitalGamma](c)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(c - a\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) + b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/\(1 - z\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", 
                          \(\((1 - z)\)\^\(-b\)\)}], 
                         \(\(\[CapitalGamma](a)\)\ \(\[CapitalGamma](c - b)\)
                           \)]}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1065]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Hypergeometric2F1[\(a, b, c, z\)]\) == 
                      \(\(Kummer[96]\)[\(Hypergeometric2F1[\(a, b, c, z\)]\)]
                       \)\)], "Input", CellLabel -> "In[1066]:=", CellTags -> 
                   "Kummer"], Cell[BoxData[FormBox[RowBox[{TagBox[TagBox[
                        RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                         HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                         False], Hypergeometric2F1], "==", RowBox[
                       {FractionBox[RowBox[{\(\((\(-1\))\)\^a\), " ", 
                          \(\[CapitalGamma](b - a)\), " ", 
                          \(\[CapitalGamma](c)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(a - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(a - b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", \(z\^\(-a\)\)}], 
                         \(\(\[CapitalGamma](b)\)\ \(\[CapitalGamma](c - a)\)
                           \)], "+", FractionBox[RowBox[{\(\((\(-1\))\)\^b\), 
                          " ", \(\[CapitalGamma](a - b)\), " ", 
                          \(\[CapitalGamma](c)\), " ", TagBox[TagBox[RowBox[
                          {RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(b - c + 1\), 
                                     Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(\(-a\) + b + 1\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(1\/z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1], " ", \(z\^\(-b\)\)}], 
                         \(\(\[CapitalGamma](a)\)\ \(\[CapitalGamma](c - b)\)
                           \)]}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1066]="]}, Open]]}, Open]], Cell["Lagrangian", 
            "ObjectName", CellTags -> "Lagrangian"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Lagrangian"], Cell["Lagrangian[\"oqu\"] gives the \
unpolarized OPE quark operator. Lagrangian[\"oqp\"] gives the polarized quark \
OPE operator. Lagrangian[\"ogu\"] gives the unpolarized gluon OPE operator. \
Lagrangian[\"ogp\"] gives the polarized gluon OPE operator. \
Lagrangian[\"ogd\"] gives the sigma-term part of the QCD lagrangian. \
Lagrangian[\"QCD\"] gives the gluon self interaction part of the QCD \
lagrangian.", "Text", CellTags -> "Lagrangian"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["FeynRule", RuleDelayed[ButtonData, "FeynRule"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynRule"]], "."}], "Text", CellTags -> 
                "Lagrangian"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Lagrangian"], 
              Cell[CellGroupData[{Cell[BoxData[\(Lagrangian["QCD"]\)], 
                  "Input", CellLabel -> "In[1067]:=", CellTags -> 
                   "Lagrangian"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-\(1\/4\)\)\ 
                        \(F\_\(\[Alpha]\[Beta]\)\%a . 
                          F\_\(\[Alpha]\[Beta]\)\%a\)\)\)], "Output", 
                  CellLabel -> "Out[1067]="]}, Open]], 
              Cell["Twist-2 operator product expansion operators", "Text", 
               CellTags -> "Lagrangian"], Cell[CellGroupData[{Cell[BoxData[
                   \(Lagrangian["ogu"]\)], "Input", CellLabel -> 
                   "In[1068]:=", CellTags -> "Lagrangian"], Cell[BoxData[
                   FormBox[RowBox[{\(1\/2\), " ", \(\[ImaginaryI]\^\(m - 1\)\)
                      , " ", RowBox[{SubsuperscriptBox["F", RowBox[
                          {"\[Alpha]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], "a"], ".", SuperscriptBox[
                         RowBox[{"(", SubsuperscriptBox["D", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], \(ab\)], 
                          ")"}], \(m - 2\)], ".", SubsuperscriptBox["F", 
                         RowBox[{"\[Alpha]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], "b"]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1068]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Lagrangian["ogp"]\)], 
                  "Input", CellLabel -> "In[1069]:=", CellTags -> 
                   "Lagrangian"], Cell[BoxData[FormBox[RowBox[{\(1\/2\), " ", 
                      \(\[ImaginaryI]\^m\), " ", RowBox[{SuperscriptBox[
                         "\[Epsilon]", RowBox[{FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Beta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Gamma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}]], ".", 
                        \(F\_\(\[Beta]\[Gamma]\)\%a\), ".", SuperscriptBox[
                         RowBox[{"(", SubsuperscriptBox["D", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], \(ab\)], 
                          ")"}], \(m - 2\)], ".", SubsuperscriptBox["F", 
                         RowBox[{"\[Alpha]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], "b"]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1069]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Lagrangian["oqu"]\)], 
                  "Input", CellLabel -> "In[1070]:=", CellTags -> 
                   "Lagrangian"], Cell[BoxData[FormBox[RowBox[{
                      \(\[ImaginaryI]\^m\), " ", RowBox[{FormBox[\(\[Psi]\&_\)
                         , "TraditionalForm"], ".", RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], ")"}], ".", SuperscriptBox[
                         SubscriptBox["D", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]], \(m - 1\)], ".", FormBox[
                         "\[Psi]", "TraditionalForm"]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1070]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Lagrangian["oqp"]\)], 
                  "Input", CellLabel -> "In[1071]:=", CellTags -> 
                   "Lagrangian"], Cell[BoxData[FormBox[RowBox[{
                      \(\[ImaginaryI]\^m\), " ", RowBox[{FormBox[\(\[Psi]\&_\)
                         , "TraditionalForm"], ".", \(\[Gamma]\^5\), ".", 
                        RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}], 
                        ".", SuperscriptBox[SubscriptBox["D", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]], \(m - 1\)], 
                        ".", FormBox["\[Psi]", "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1071]="]}, 
                Open]]}, Open]], Cell["LC", "ObjectName", CellTags -> "LC"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "LC"], Cell["LC[m,n,r,s] evaluates to \
4-dimensional LeviCivita[m,n,r,s] by virtue of applying FeynCalcInternal. \
LC[m,...][p, ...] evaluates to 4-dimensional LeviCivita[m,...][p,...] \
applying FeynCalcInternal.", "Text", CellTags -> "LC"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["LeviCivita", RuleDelayed[ButtonData, 
                    "LeviCivita"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeviCivita"]], ", ", 
                 ButtonBox["LCD", RuleDelayed[ButtonData, "LCD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "LCD"]], 
                 "."}], "Text", CellTags -> "LC"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "LC"], Cell[CellGroupData[{Cell[BoxData[
                   \(LC[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)], "Input", 
                  CellLabel -> "In[1072]:=", CellTags -> "LC"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Epsilon]\^
                        \(\[Mu]\[Nu]\[Rho]\[Sigma]\)\)\)], "Output", 
                  CellLabel -> "Out[1072]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//FCI\)], "Input", CellLabel -> 
                   "In[1073]:=", CellTags -> "LC"], Cell[BoxData[FormBox[
                    SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                       FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Sigma]", "TraditionalForm"], 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1073]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1074]:=", CellTags -> "LC"], Cell[BoxData[
                   \(Eps[\(\(LorentzIndex[\[Mu]]\), \(LorentzIndex[\[Nu]]\), 
                        \(LorentzIndex[\[Rho]]\), \(LorentzIndex[\[Sigma]]\)\
\)]\)], "Output", CellLabel -> "Out[1074]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(LC[\(\[Mu], \[Nu]\)]\)[\(p, q\)]\)], "Input", 
                  CellLabel -> "In[1075]:=", CellTags -> "LC"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Epsilon]\^\(\[Mu]\[Nu]pq\)\)\)], 
                  "Output", CellLabel -> "Out[1075]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(\(%//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1076]:=", CellTags -> "LC"], 
                 Cell[BoxData[
                   \(Eps[\(\(LorentzIndex[\[Mu]]\), \(LorentzIndex[\[Nu]]\), 
                        \(Momentum[\(p, D\)]\), \(Momentum[\(q, D\)]\)\)]\)], 
                  "Output", CellLabel -> "Out[1076]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Contract[\(\(\(LC[\(\[Mu], \[Nu], \[Rho]\)]\)[p]\)\ 
                          \(\(LC[\(\[Mu], \[Nu], \[Rho]\)]\)[q]\)\)]\)\ \)], 
                  "Input", CellLabel -> "In[1077]:=", CellTags -> "LC"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"18", " ", RowBox[
                         {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}]}], "-", 
                      RowBox[{"24", " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1077]="]}, Open]]}, Open]], 
           Cell["LCD", "ObjectName", CellTags -> "LCD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "LCD"], Cell["LCD[m,n,r,s] evaluates to \
D-dimensional LeviCivita[m,n,r,s] by virtue of FeynCalcInternal. \
LCD[m,...][p, ...] evaluates to D-dimensional LeviCivita[m,...][p,...] \
applying FeynCalcInternal.", "Text", CellTags -> "LCD"], Cell["You need to do \
SetOptions[Eps, Dimension\[Rule]D] before LCD can be used as D-dimensional \
Levi-Civita input function.", "Text", CellTags -> "LCD"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["LeviCivita", RuleDelayed[ButtonData, 
                    "LeviCivita"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeviCivita"]], ", ", 
                 ButtonBox["LC", RuleDelayed[ButtonData, "LC"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "LC"]], 
                 "."}], "Text", CellTags -> "LCD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "LCD"], Cell[BoxData[
                \(\(SetOptions[\(Eps, \(Dimension \[Rule] D\)\)]\) ;\)], 
               "Input", CellLabel -> "In[1078]:=", CellTags -> "LCD"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(LCD[\(\[Mu], \[Nu], \[Rho], \[Sigma]\)]\)], "Input", 
                  CellLabel -> "In[1079]:=", CellTags -> "LCD"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Epsilon]\^
                        \(\[Mu]\[Nu]\[Rho]\[Sigma]\)\)\)], "Output", 
                  CellLabel -> "Out[1079]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//FCI\)], "Input", CellLabel -> 
                   "In[1080]:=", CellTags -> "LCD"], Cell[BoxData[FormBox[
                    SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                       FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Sigma]", "TraditionalForm"], 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1080]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1081]:=", CellTags -> "LCD"], Cell[BoxData[
                   \(Eps[\(\(LorentzIndex[\(\[Mu], D\)]\), 
                        \(LorentzIndex[\(\[Nu], D\)]\), 
                        \(LorentzIndex[\(\[Rho], D\)]\), 
                        \(LorentzIndex[\(\[Sigma], D\)]\)\)]\)], "Output", 
                  CellLabel -> "Out[1081]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(LCD[\(\[Mu], \[Nu]\)]\)[\(p, q\)]\)], "Input", 
                  CellLabel -> "In[1082]:=", CellTags -> "LCD"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Epsilon]\^\(\[Mu]\[Nu]pq\)\)\)], 
                  "Output", CellLabel -> "Out[1082]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(\(%//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1083]:=", CellTags -> "LCD"], 
                 Cell[BoxData[
                   \(Eps[\(\(LorentzIndex[\(\[Mu], D\)]\), 
                        \(LorentzIndex[\(\[Nu], D\)]\), 
                        \(Momentum[\(p, D\)]\), \(Momentum[\(q, D\)]\)\)]\)], 
                  "Output", CellLabel -> "Out[1083]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Factor2[\(Contract[\(\(
                           \(LCD[\(\[Mu], \[Nu], \[Rho]\)]\)[p]\)\ 
                          \(\(LCD[\(\[Mu], \[Nu], \[Rho]\)]\)[q]\)\)]\)]\)], 
                  "Input", CellLabel -> "In[1084]:=", CellTags -> "LCD"], 
                 Cell[BoxData[FormBox[RowBox[{\((1 - D)\), " ", \((2 - D)\), 
                      " ", \((3 - D)\), " ", RowBox[{FormBox["p", 
                         "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                         "TraditionalForm"]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1084]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SetOptions[\(Eps, \(Dimension \[Rule] 4\)\)]\)
                   ], "Input", CellLabel -> "In[1085]:=", CellTags -> "LCD"], 
                 Cell[BoxData[\(TraditionalForm\`\({Dimension \[Rule] 4}\)\)]
                   , "Output", CellLabel -> "Out[1085]="]}, Open]]}, Open]], 
           Cell["LeftPartialD", "ObjectName", CellTags -> "LeftPartialD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "LeftPartialD"], Cell[TextData[
                {"LeftPartialD[\[Mu]] denotes ", Cell[BoxData[FormBox[
                    SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), FormBox[
                      FormBox["\[Mu]", "TraditionalForm"], 
                      "TraditionalForm"]], TraditionalForm]]], 
                 "acting to the left."}], "Text", CellTags -> 
                "LeftPartialD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], ", ", 
                 ButtonBox["PartialD", RuleDelayed[ButtonData, "PartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PartialD"]], ", ", 
                 ButtonBox["LeftRightPartialD", 
                   RuleDelayed[ButtonData, "LeftRightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftRightPartialD"]], ", ", 
                 ButtonBox["RightPartialD", 
                   RuleDelayed[ButtonData, "RightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RightPartialD"]], "."}], "Text", 
               CellTags -> "LeftPartialD"]}, Open]], 
           Cell[CellGroupData[{Cell[BoxData["Examples"], "Subsubsection", 
               CellTags -> "LeftPartialD"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(QuantumField[\(A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                      \(LeftPartialD[\[Nu]]\)\)], "Input", CellLabel -> 
                   "In[1086]:=", CellTags -> "LeftPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{\(A\_\[Mu]\), ".", SubscriptBox[
                       \(\[PartialD]\&\[LeftArrow]\), FormBox[FormBox[
                         "\[Nu]", "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1086]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(ExpandPartialD[%]\)
                   ], "Input", CellLabel -> "In[1087]:=", CellTags -> 
                   "LeftPartialD"], Cell[BoxData[FormBox[RowBox[{SubscriptBox[
                       "\[PartialD]", FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]], 
                      SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], 
                       "\[Null]"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1087]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(StandardForm[%]\)], "Input", CellLabel -> 
                   "In[1088]:=", CellTags -> "LeftPartialD"], Cell[BoxData[
                   \(QuantumField[\(\(PartialD[\(LorentzIndex[\[Nu]]\)]\), A,
                         \(LorentzIndex[\[Mu]]\)\)]\)], "Output", 
                  CellLabel -> "Out[1088]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(LeftPartialD[\[Mu]]\)]\)], "Input", 
                  CellLabel -> "In[1089]:=", CellTags -> "LeftPartialD"], 
                 Cell[BoxData[\(LeftPartialD[\(LorentzIndex[\[Mu]]\)]\)], 
                  "Output", CellLabel -> "Out[1089]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(QuantumField[\(A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Nu]]\)\)]\) . 
                      \(LeftPartialD[\[Rho]]\)\)], "Input", CellLabel -> 
                   "In[1090]:=", CellTags -> "LeftPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{\(A\_\[Mu]\), ".", \(A\_\[Nu]\)
                      , ".", SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), 
                       FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1090]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ExpandPartialD[%]\)], "Input", CellLabel -> 
                   "In[1091]:=", CellTags -> "LeftPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(A\_\[Mu]\), ".", 
                        RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Rho]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}]}], "+", RowBox[{RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ".", \(A\_\[Nu]\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1091]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(StandardForm[%]\)]
                   , "Input", CellLabel -> "In[1092]:=", CellTags -> 
                   "LeftPartialD"], Cell[BoxData[
                   \(\(\(QuantumField[\(A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                        \(QuantumField[\(\(PartialD[\(LorentzIndex[\[Rho]]\)]
                             \), A, \(LorentzIndex[\[Nu]]\)\)]\)\) + 
                      \(\(QuantumField[\(\(PartialD[\(LorentzIndex[\[Rho]]\)]
                             \), A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                        \(QuantumField[\(A, \(LorentzIndex[\[Nu]]\)\)]\)\)\)]\
, "Output", CellLabel -> "Out[1092]//StandardForm="]}, Open]]}, Open]], 
           Cell["LeftRightPartialD", "ObjectName", CellTags -> 
             "LeftRightPartialD"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "LeftRightPartialD"], Cell[TextData[
                {"LeftRightPartialD[mu] denotes ", Cell[BoxData[FormBox[
                    SubscriptBox[\(\[PartialD]\&\[LeftRightArrow]\), 
                     FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                      "TraditionalForm"]], TraditionalForm]]], ", acting to \
the left and right. ExplicitPartialD[LeftRightPartialD[", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], 
                 "]] gives 1/2 (RightPartialD[", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], "] - LeftPartialD[", 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], "])."}], "Text", 
               CellTags -> "LeftRightPartialD"], Cell[TextData[{"See also: ", 
                 ButtonBox["ExplicitPartialD", 
                   RuleDelayed[ButtonData, "ExplicitPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExplicitPartialD"]], ", ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], ", ", 
                 ButtonBox["PartialD", RuleDelayed[ButtonData, "PartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PartialD"]], ", ", 
                 ButtonBox["LeftPartialD", 
                   RuleDelayed[ButtonData, "LeftPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftPartialD"]], ", ", 
                 ButtonBox["LeftRightPartialD2", 
                   RuleDelayed[ButtonData, "LeftRightPartialD2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftRightPartialD2"]], ", ", 
                 ButtonBox["RightPartialD", 
                   RuleDelayed[ButtonData, "RightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RightPartialD"]], "."}], "Text", 
               CellTags -> "LeftRightPartialD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "LeftRightPartialD"], Cell[CellGroupData[{Cell[BoxData[
                   \(LeftRightPartialD[\[Mu]]\)], "Input", CellLabel -> 
                   "In[1093]:=", CellTags -> "LeftRightPartialD"], 
                 Cell[BoxData[FormBox[SubscriptBox[
                     \(\[PartialD]\&\[LeftRightArrow]\), FormBox[FormBox[
                       "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1093]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExplicitPartialD[%]\)], "Input", CellLabel -> 
                   "In[1094]:=", CellTags -> "LeftRightPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{\(1\/2\), " ", RowBox[
                       {"(", RowBox[{SubscriptBox[
                          \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          "-", SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1094]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(LeftRightPartialD[\[Mu]]\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Nu]]\)\)]\)\)], 
                  "Input", CellLabel -> "In[1095]:=", CellTags -> 
                   "LeftRightPartialD"], Cell[BoxData[FormBox[RowBox[
                     {SubscriptBox[\(\[PartialD]\&\[LeftRightArrow]\), 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", \(A\_\[Nu]\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1095]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(ExpandPartialD[%]\)
                   ], "Input", CellLabel -> "In[1096]:=", CellTags -> 
                   "LeftRightPartialD"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}], "2"], "-", 
                      RowBox[{\(1\/2\), " ", RowBox[{SubscriptBox[
                          \(\[PartialD]\&\[LeftArrow]\), FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          ".", \(A\_\[Nu]\)}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1096]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(QuantumField[\(A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                      \(LeftRightPartialD[\[Nu]]\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Rho]]\)\)]\)\)], 
                  "Input", CellLabel -> "In[1097]:=", CellTags -> 
                   "LeftRightPartialD"], Cell[BoxData[FormBox[RowBox[{
                      \(A\_\[Mu]\), ".", SubscriptBox[
                       \(\[PartialD]\&\[LeftRightArrow]\), FormBox[FormBox[
                         "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                      ".", \(A\_\[Rho]\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1097]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ExpandPartialD[%]\)], "Input", CellLabel -> 
                   "In[1098]:=", CellTags -> "LeftRightPartialD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(1\/2\), " ", RowBox[{
                          \(A\_\[Mu]\), ".", RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}]}]}], "-", RowBox[{\(1\/2\), " ", 
                        RowBox[{RowBox[{SubscriptBox["\[PartialD]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}], ".", \(A\_\[Rho]\)
                          }]}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1098]="]}, Open]]}, Open]], 
           Cell["LeftRightPartialD2", "ObjectName", CellTags -> 
             "LeftRightPartialD2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "LeftRightPartialD2"], Cell[TextData[
                {"LeftRightPartialD2[mu] denotes ", Cell[BoxData[FormBox[
                    SubscriptBox[\(\[PartialD]\&\[LeftRightArrow]\), 
                     FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                      "TraditionalForm"]], TraditionalForm]]], ", acting to \
the left and right. ExplicitPartialD[LeftRightPartialD2[", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], "]] gives (RightPartialD[", 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], 
                 "] + LeftPartialD[", Cell[BoxData[\(TraditionalForm\`\[Mu]\)]
                   ], "])."}], "Text", CellTags -> "LeftRightPartialD2"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["ExplicitPartialD", 
                   RuleDelayed[ButtonData, "ExplicitPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExplicitPartialD"]], ", ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], ", ", 
                 ButtonBox["PartialD", RuleDelayed[ButtonData, "PartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PartialD"]], ", ", 
                 ButtonBox["LeftPartialD", 
                   RuleDelayed[ButtonData, "LeftPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftPartialD"]], ", ", 
                 ButtonBox["RightPartialD", 
                   RuleDelayed[ButtonData, "RightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RightPartialD"]], "."}], "Text", 
               CellTags -> "LeftRightPartialD2"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "LeftRightPartialD2"], Cell[CellGroupData[{Cell[BoxData[
                   \(LeftRightPartialD2[\[Mu]]\)], "Input", CellLabel -> 
                   "In[1099]:=", CellTags -> "LeftRightPartialD2"], 
                 Cell[BoxData[FormBox[SubscriptBox[
                     \(\[PartialD]\&\[LeftRightArrow]\), FormBox[FormBox[
                       "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1099]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExplicitPartialD[%]\)], "Input", CellLabel -> 
                   "In[1100]:=", CellTags -> "LeftRightPartialD2"], 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox[
                       \(\[PartialD]\&\[LeftArrow]\), FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                      "+", SubscriptBox[\(\[PartialD]\&\[RightArrow]\), 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1100]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(LeftRightPartialD2[\[Mu]]\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Nu]]\)\)]\)\)], 
                  "Input", CellLabel -> "In[1101]:=", CellTags -> 
                   "LeftRightPartialD2"], Cell[BoxData[FormBox[RowBox[
                     {SubscriptBox[\(\[PartialD]\&\[LeftRightArrow]\), 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", \(A\_\[Nu]\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1101]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(ExpandPartialD[%]\)
                   ], "Input", CellLabel -> "In[1102]:=", CellTags -> 
                   "LeftRightPartialD2"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", \(A\_\[Nu]\)}], "+", 
                      RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                        SubsuperscriptBox["A", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                         "\[Null]"]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1102]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(QuantumField[\(A, \(LorentzIndex[\[Mu]]\)\)]\) . 
                      \(LeftRightPartialD2[\[Nu]]\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Rho]]\)\)]\)\)], 
                  "Input", CellLabel -> "In[1103]:=", CellTags -> 
                   "LeftRightPartialD2"], Cell[BoxData[FormBox[RowBox[{
                      \(A\_\[Mu]\), ".", SubscriptBox[
                       \(\[PartialD]\&\[LeftRightArrow]\), FormBox[FormBox[
                         "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                      ".", \(A\_\[Rho]\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1103]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ExpandPartialD[%]\)], "Input", CellLabel -> 
                   "In[1104]:=", CellTags -> "LeftRightPartialD2"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(A\_\[Mu]\), ".", 
                        RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}]}], "+", RowBox[{RowBox[{SubscriptBox[
                          "\[PartialD]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[Null]"]}], ".", \(A\_\[Rho]\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1104]="]}, 
                Open]]}, Open]], Cell["LeviCivita ", "ObjectName", 
            CellTags -> "LeviCivita"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "LeviCivita"], 
              Cell[TextData[{"LeviCivita[", Cell[BoxData[
                   \(TraditionalForm\`\(\[Mu],\ \[Nu],\ \[Rho],\ \[Sigma]\)\)]\
], "] is an input function for the totally antisymmetric Levi-Civita tensor. \
It evaluates automatically to the internal representation Eps[LorentzIndex[", 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], 
                 "], LorentzIndex[", Cell[BoxData[\(TraditionalForm\`\[Nu]\)]]
                   , "], LorentzIndex[", Cell[BoxData[FormBox[FormBox[
                     "\[Rho]", "TraditionalForm"], TraditionalForm]]], "], \
LorentzIndex[\[Sigma]]] (or with a second argument in LorentzIndex for the \
Dimension, if the option Dimension of LeviCivita is changed). LeviCivita[", 
                 Cell[BoxData[\(TraditionalForm\`\(\[Mu],\ \(\[Nu]\ ...\)\)\)]
                   ], "][ ", Cell[BoxData[\(TraditionalForm\`\(p,\ ..\)\)]], 
                 ".] evaluates to Eps[LorentzIndex[", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], "], LorentzIndex[", 
                 Cell[BoxData[\(TraditionalForm\`\[Nu]\)]], 
                 "], ..., Momentum[", Cell[BoxData[\(TraditionalForm\`p\)]], 
                 "], ...]."}], "Text", CellTags -> "LeviCivita"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[LeviCivita]\)], 
                  "Input", CellLabel -> "In[1105]:=", CellTags -> 
                   "LeviCivita"], Cell[BoxData[
                   \(TraditionalForm\`\({Dimension \[Rule] D}\)\)], "Output", 
                  CellLabel -> "Out[1105]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Eps", RuleDelayed[ButtonData, "Eps"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Eps"]], 
                 ", ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], ", ", 
                 ButtonBox["LC", RuleDelayed[ButtonData, "LC"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "LC"]], 
                 ", ", 
                 ButtonBox["LCD", RuleDelayed[ButtonData, "LCD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "LCD"]], 
                 "."}], "Text", CellTags -> "LeviCivita"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "LeviCivita"], Cell[CellGroupData[{Cell[BoxData[
                   \(LeviCivita[\(\[Alpha], \[Beta], \[Gamma], \[Delta]\)]\)]\
, "Input", CellLabel -> "In[1106]:=", CellTags -> "LeviCivita"], 
                 Cell[BoxData[FormBox[SuperscriptBox["\[Epsilon]", RowBox[
                      {FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Beta]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Gamma]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Delta]", 
                         "TraditionalForm"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1106]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(LeviCivita[\(\[Mu], \[Nu]\)]\)[\(OPEDelta, p\)]\)], 
                  "Input", CellLabel -> "In[1107]:=", CellTags -> 
                   "LeviCivita"], Cell[BoxData[FormBox[SuperscriptBox[
                     "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox["p", 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1107]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(LeviCivita[]\)[\(p, q, r, s\)]\)], "Input", 
                  CellLabel -> "In[1108]:=", CellTags -> "LeviCivita"], 
                 Cell[BoxData[FormBox[SuperscriptBox["\[Epsilon]", RowBox[
                      {FormBox["p", "TraditionalForm"], FormBox["q", 
                        "TraditionalForm"], FormBox["r", "TraditionalForm"], 
                       FormBox["s", "TraditionalForm"]}]], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1108]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(LeviCivita[\(\[Alpha], \[Beta], \[Beta], \[Delta]\)]\)], 
                  "Input", CellLabel -> "In[1109]:=", CellTags -> 
                   "LeviCivita"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[1109]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(LeviCivita[\(\[Mu], \[Nu]\)]\)[\(OPEDelta, p\)]\)//
                      StandardForm\)], "Input", CellLabel -> "In[1110]:=", 
                  CellTags -> "LeviCivita"], Cell[BoxData[
                   \(Eps[\(\(LorentzIndex[\[Mu]]\), \(LorentzIndex[\[Nu]]\), 
                        \(Momentum[OPEDelta]\), \(Momentum[p]\)\)]\)], 
                  "Output", CellLabel -> "Out[1110]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t1\ =\ \(\(LeviCivita[
                          \(\[Alpha], \[Beta], \[Gamma], \[Rho]\)]\) . 
                        \(LeviCivita[\(\[Alpha], \[Beta], \[Gamma], \[Rho]\)]
                         \)\)\ \)], "Input", CellLabel -> "In[1111]:=", 
                  CellTags -> "LeviCivita"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Alpha]", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["\[Beta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Gamma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]}]], ".", SuperscriptBox[
                       "\[Epsilon]", RowBox[{FormBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Beta]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Gamma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1111]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Contract[t1]\)], "Input", 
                  CellLabel -> "In[1112]:=", CellTags -> "LeviCivita"], 
                 Cell[BoxData[\(TraditionalForm\`\(-24\)\)], "Output", 
                  CellLabel -> "Out[1112]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(LeviCivita, \(Dimension \[Rule] D\)\)]\) ; 
                   \(SetOptions[\(Eps, \(Dimension \[Rule] D\)\)]\) ;\)], 
               "Input", CellLabel -> "In[1113]:=", CellTags -> "LeviCivita"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Contract[\ \(\(LeviCivita[
                            \(\[Alpha], \[Beta], \[Gamma], \[Rho]\)]\) . 
                          \(LeviCivita[\(\[Alpha], \[Beta], \[Gamma], \[Rho]
                             \)]\)\)]\)//Factor2\)], "Input", CellLabel -> 
                   "In[1114]:=", CellTags -> "LeviCivita"], Cell[BoxData[
                   \(TraditionalForm\`\(\((1 - D)\)\ \((2 - D)\)\ \((3 - D)\)
                        \ D\)\)], "Output", CellLabel -> "Out[1114]="]}, 
                Open]], Cell[BoxData[
                \(\(SetOptions[\(LeviCivita, \(Dimension \[Rule] 4\)\)]\) ; 
                   \(SetOptions[\(Eps, \(Dimension \[Rule] 4\)\)]\) ;\)], 
               "Input", CellLabel -> "In[1115]:=", CellTags -> "LeviCivita"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(LC[\(\[Alpha], \[Beta], \[Gamma], \[Delta]\)]\)], 
                  "Input", CellLabel -> "In[1116]:=", CellTags -> 
                   "LeviCivita"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Epsilon]\^
                        \(\[Alpha]\[Beta]\[Gamma]\[Delta]\)\)\)], "Output", 
                  CellLabel -> "Out[1116]="]}, Open]], Cell[BoxData[
                \(Clear[t1]\)], "Input", CellLabel -> "In[1117]:=", 
               CellTags -> "LeviCivita"]}, Open]], Cell["LeviCivitaSign", 
            "ObjectName", CellTags -> "LeviCivitaSign"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "LeviCivitaSign"], Cell["LeviCivitaSign is an \
option for DiracTrace and EpsChisholm. It determines the sign in the result \
of a Dirac trace of four gamma matrices and gamma5.", "Text", CellTags -> 
                "LeviCivitaSign"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], ", ", 
                 ButtonBox["EpsChisholm", 
                   RuleDelayed[ButtonData, "EpsChisholm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "EpsChisholm"]], "."}], "Text", 
               CellTags -> "LeviCivitaSign"]}, Open]], 
           Cell["ListIntegrals  ***unfinished***", "ObjectName", 
            CellTags -> "ListIntegrals"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ListIntegrals"], Cell["ListIntegrals[exp, {q1, q2}] gives a \
list of basic integrals  (FeynAmpDenominator's multiplied by scalar products \
involving q1, q2).  Any non-integer exponent (e.g. the (OPEm-1) in  \
ScalarProduct[OPEDelta,q1]^(OPEm-1)) is replaced by OPEm.  If the options \
Pair is set to True only integrals involving   scalar products (not counting \
those with OPEDelta) are given; with Pair \[Rule] False those are excluded.", 
               "Text", CellTags -> "ListIntegrals"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ListIntegrals"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1118]:=", CellTags -> "ListIntegrals"]}, Open]], 
           Cell["Li2 ", "ObjectName", CellTags -> "Li2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Li2"], Cell[" Li2 is an abbreviation for the \
dilog function, i.e., Li2 = PolyLog[2, #]&.", "Text", CellTags -> "Li2"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["Li3", RuleDelayed[ButtonData, "Li3"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Li3"]], 
                 "."}], "Text", CellTags -> "Li2"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Li2"], Cell[CellGroupData[{Cell[BoxData[\(Li2[x]\)], 
                  "Input", CellLabel -> "In[1119]:=", CellTags -> "Li2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\*
                           InterpretationBox["Li", PolyLog, 
                            Rule[Editable, False], Rule[Selectable, False]]\)
                   \_2(x)\)\)], "Output", CellLabel -> "Out[1119]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Li2//StandardForm\)
                   ], "Input", CellLabel -> "In[1120]:=", CellTags -> "Li2"], 
                 Cell[BoxData[\(\(PolyLog[\(2, #1\)]\) &\)], "Output", 
                  CellLabel -> "Out[1120]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(-\(\[Integral] \(\(Log[\(1 - x\)]\)\/x 
                          \(\[DifferentialD] x\)\)\)\)], "Input", 
                  CellLabel -> "In[1121]:=", CellTags -> "Li2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\*
                           InterpretationBox["Li", PolyLog, 
                            Rule[Editable, False], Rule[Selectable, False]]\)
                   \_2(x)\)\)], "Output", CellLabel -> "Out[1121]="]}, 
                Open]]}, Open]], Cell["Li3 ", "ObjectName", 
            CellTags -> "Li3"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "Li3"], Cell[" Li3 is an \
abbreviation for the trilog function, i.e., Li3 = PolyLog[3, #]&.", "Text", 
               CellTags -> "Li3"], Cell[TextData[{"See also: ", 
                 ButtonBox["Li2", RuleDelayed[ButtonData, "Li2"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Li2"]], 
                 "."}], "Text", CellTags -> "Li3"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Li3"], Cell[CellGroupData[{Cell[BoxData[\(Li3[x]\)], 
                  "Input", CellLabel -> "In[1122]:=", CellTags -> "Li3"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\*
                           InterpretationBox["Li", PolyLog, 
                            Rule[Editable, False], Rule[Selectable, False]]\)
                   \_3(x)\)\)], "Output", CellLabel -> "Out[1122]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Li3//StandardForm\)
                   ], "Input", CellLabel -> "In[1123]:=", CellTags -> "Li3"], 
                 Cell[BoxData[\(\(PolyLog[\(3, #1\)]\) &\)], "Output", 
                  CellLabel -> "Out[1123]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(D[\(\(Li3[x]\), x\)]\)], 
                  "Input", CellLabel -> "In[1124]:=", CellTags -> "Li3"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(x)\)\/x\)\)], "Output", CellLabel -> "Out[1124]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\[Integral] \(\(Li2[x]\)\/x \(\[DifferentialD] x\)\)\)], 
                  "Input", CellLabel -> "In[1125]:=", CellTags -> "Li3"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\*
                           InterpretationBox["Li", PolyLog, 
                            Rule[Editable, False], Rule[Selectable, False]]\)
                   \_3(x)\)\)], "Output", CellLabel -> "Out[1125]="]}, 
                Open]]}, Open]], Cell["Loop", "ObjectName", 
            CellTags -> "Loop"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "Loop"], 
              Cell[
               "Loop is an option indicating the number of (virtual) loops.", 
               "Text", CellTags -> "Loop"]}, Open]], Cell["LorentzIndex", 
            "ObjectName", CellTags -> "LorentzIndex"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "LorentzIndex"], Cell["LorentzIndex[mu] denotes a \
four dimensional Lorentz index. For other than four dimensions: \
LorentzIndex[mu, D] or LorentzIndex[mu], etc. LorentzIndex[mu, 4] simplifies \
to LorentzIndex[mu].", "Text", CellTags -> "LorentzIndex"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["ChangeDimension", 
                   RuleDelayed[ButtonData, "ChangeDimension"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ChangeDimension"]], ", ", 
                 ButtonBox["Momentum", RuleDelayed[ButtonData, "Momentum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Momentum"]], "."}], "Text", CellTags -> 
                "LorentzIndex"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "LorentzIndex"], 
              Cell["This denotes a four-dimensional Lorentz index.", "Text", 
               CellTags -> "LorentzIndex"], Cell[CellGroupData[{Cell[BoxData[
                   \(LorentzIndex[\[Alpha]]\)], "Input", CellLabel -> 
                   "In[1126]:=", CellTags -> "LorentzIndex"], Cell[BoxData[
                   \(TraditionalForm\`\[Alpha]\)], "Output", CellLabel -> 
                   "Out[1126]="]}, Open]], Cell["An optional second argument \
can be given for a dimension different from 4.", "Text", CellTags -> 
                "LorentzIndex"], Cell[CellGroupData[{Cell[BoxData[
                   \(LorentzIndex[\(\[Alpha], n\)]\)], "Input", CellLabel -> 
                   "In[1127]:=", CellTags -> "LorentzIndex"], Cell[BoxData[
                   \(TraditionalForm\`\[Alpha]\)], "Output", CellLabel -> 
                   "Out[1127]="]}, Open]], Cell[CellGroupData[
                {Cell["LorentzIndex[ComplexIndex[\[Alpha]]]", "Input", 
                  CellLabel -> "In[1128]:=", CellTags -> "LorentzIndex"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[Alpha]\^*\)\)], 
                  "Output", CellLabel -> "Out[1128]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ComplexConjugate[\(LorentzIndex[\[Mu]]\)]\)], "Input", 
                  CellLabel -> "In[1129]:=", CellTags -> "LorentzIndex"], 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)], "Output", 
                  CellLabel -> "Out[1129]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(ComplexConjugate[\(LorentzIndex[
                        \(ComplexIndex[\[Beta]]\)]\)]\)], "Input", 
                  CellLabel -> "In[1130]:=", CellTags -> "LorentzIndex"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[Beta]\^*\)\)], "Output", 
                  CellLabel -> "Out[1130]="]}, Open]], Cell["Setting \
$LorentzIndices=True displays the dimension (if different from 4) as a \
subindex.", "Text", CellTags -> "LorentzIndex"], Cell[BoxData[
                \(\($LorentzIndices = True\) ;\)], "Input", CellLabel -> 
                "In[1131]:=", CellTags -> "LorentzIndex"], Cell[CellGroupData[
                {Cell[BoxData[
                   \({\(LorentzIndex[\(\[Alpha], D\)]\), 
                       \(LorentzIndex[\(\[Nu], n\)]\), 
                       \(LorentzIndex[\(\[Beta], 4\)]\)}\)], "Input", 
                  CellLabel -> "In[1132]:=", CellTags -> "LorentzIndex"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{SubscriptBox[
                         FormBox["\[Alpha]", "TraditionalForm"], FormBox["D", 
                          "TraditionalForm"]], ",", SubscriptBox[FormBox[
                          "\[Nu]", "TraditionalForm"], FormBox["n", 
                          "TraditionalForm"]], ",", "\[Beta]"}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1132]="]}, 
                Open]], Cell[BoxData[\(\($LorentzIndices\ =\ False\) ;\)], 
               "Input", CellLabel -> "In[1133]:=", CellTags -> 
                "LorentzIndex"]}, Open]], Cell["Lower", "ObjectName", 
            CellTags -> "Lower"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Lower"], 
              Cell["Lower may be used inside LorentzIndex to indicate an \
covariant LorentzIndex.", "Text", CellTags -> "Lower"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["LorentzIndex", 
                   RuleDelayed[ButtonData, "LorentzIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LorentzIndex"]], ", ", 
                 ButtonBox["Upper", RuleDelayed[ButtonData, "Upper"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Upper"]], ", ", 
                 ButtonBox["Contract1", RuleDelayed[ButtonData, 
                    "Contract1"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract1"]], "."}], "Text", CellTags -> 
                "Lower"]}, Open]], Cell["MakeContext", "ObjectName", 
            CellTags -> "MakeContext"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "MakeContext"], Cell["MakeContext[string] constructs the \
context path of string. MakeContext is invoked at startup of FeynCalc. \
MakeContext[a, b] construct the context path of b defined in the context of \
a.", "Text", CellTags -> "MakeContext"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalc", RuleDelayed[ButtonData, "FeynCalc"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalc"]], ", ", 
                 ButtonBox["CheckContext", 
                   RuleDelayed[ButtonData, "CheckContext"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CheckContext"]], ", ", 
                 ButtonBox["$FeynCalcStuff", 
                   RuleDelayed[ButtonData, "$FeynCalcStuff"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$FeynCalcStuff"]], ", ", 
                 ButtonBox["Load", RuleDelayed[ButtonData, "Load"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Load"]]\
, "."}], "Text", CellTags -> "MakeContext"]}, Open]], Cell["Mandelstam", 
            "ObjectName", CellTags -> "Mandelstam"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Mandelstam"], Cell[TextData[{"Mandelstam is an \
option for DiracTrace, OneLoop, OneLoopSum, Tr and TrickMandelstam.  A \
typical setting is Mandelstam \[Rule] {", "s", ", ", "t", ", ", "u", ", ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                           \*StyleBox["m", Rule[FontSlant, "Plain"]]\)\_1\)\^
                        2\)\)]], " + ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                           \*StyleBox["m", Rule[FontSlant, "Plain"]]\)\_2\)\^
                        2\)\)]], " + ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                           \*StyleBox["m", Rule[FontSlant, "Plain"]]\)\_3\)\^
                        2\)\)]], " + ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                           \*StyleBox["m", Rule[FontSlant, "Plain"]]\)\_4\)\^
                        2\)\)]], "}, which stands for  ", "s", " + ", "t", 
                 " + ", "u", " = ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                           \*StyleBox["m", Rule[FontSlant, "Plain"]]\)\_1\)\^
                        2\)\)]], " + ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                           \*StyleBox["m", Rule[FontSlant, "Plain"]]\)\_2\)\^
                        2\)\)]], " + ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                           \*StyleBox["m", Rule[FontSlant, "Plain"]]\)\_3\)\^
                        2\)\)]], " + ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                           \*StyleBox["m", Rule[FontSlant, "Plain"]]\)\_4\)\^
                        2\)\)]], ". If other than four-particle processes are \
calculated the setting should be: Mandelstam \[Rule] {}."}], "Text", 
               CellTags -> "Mandelstam"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], ", ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], ", ", 
                 ButtonBox["Tr", RuleDelayed[ButtonData, "Tr"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr"]], 
                 ", ", 
                 ButtonBox["TrickMandelstam", 
                   RuleDelayed[ButtonData, "TrickMandelstam"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "TrickMandelstam"]], ", ", 
                 ButtonBox["SetMandelstam", 
                   RuleDelayed[ButtonData, "SetMandelstam"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SetMandelstam"]], "."}], "Text", 
               CellTags -> "Mandelstam"]}, Open]], Cell["Map2", "ObjectName", 
            CellTags -> "Map2"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "Map2"], Cell["Map2[f, exp] is \
equivalent to Map if Nterms[exp] > 0, otherwise Map2[f, exp] gives f[exp].", 
               "Text", CellTags -> "Map2"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["NTerms", RuleDelayed[ButtonData, "NTerms"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "NTerms"]], "."}], "Text", CellTags -> 
                "Map2"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Map2"], 
              Cell[CellGroupData[{Cell[BoxData[\(Map2[\(f, \(a - b\)\)]\)], 
                  "Input", CellLabel -> "In[1134]:=", CellTags -> "Map2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(f(a)\) + \(f(\(-b\))\)\)\)], 
                  "Output", CellLabel -> "Out[1134]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Map2[\(f, x\)]\)], "Input", 
                  CellLabel -> "In[1135]:=", CellTags -> "Map2"], 
                 Cell[BoxData[\(TraditionalForm\`\(f(x)\)\)], "Output", 
                  CellLabel -> "Out[1135]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Map2[\(f, \({a, b, c}\)\)]\)], "Input", 
                  CellLabel -> "In[1136]:=", CellTags -> "Map2"], 
                 Cell[BoxData[\(TraditionalForm\`\(f(\({a, b, c}\))\)\)], 
                  "Output", CellLabel -> "Out[1136]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Map2[\(f, 1\)]\)], "Input", 
                  CellLabel -> "In[1137]:=", CellTags -> "Map2"], 
                 Cell[BoxData[\(TraditionalForm\`\(f(1)\)\)], "Output", 
                  CellLabel -> "Out[1137]="]}, Open]]}, Open]], 
           Cell["MemoryAvailable", "ObjectName", CellTags -> 
             "MemoryAvailable"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "MemoryAvailable"], 
              Cell["MemoryAvailable is an option of MemSet. It can be set to \
an integer n, where n is the available amount of main memory in Mega Byte. \
The default setting is $MemoryAvailable.", "Text", CellTags -> 
                "MemoryAvailable"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["MemSet", RuleDelayed[ButtonData, "MemSet"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MemSet"]], ", ", 
                 ButtonBox["$MemoryAvailable", 
                   RuleDelayed[ButtonData, "$MemoryAvailable"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$MemoryAvailable"]], "."}], "Text", 
               CellTags -> "MemoryAvailable"]}, Open]], Cell["MemSet", 
            "ObjectName", CellTags -> "MemSet"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "MemSet"], 
              Cell[TextData[{"MemSet[f[x_], body] is like f[x_] := f[x] = \
body, but dependend on the value of the setting of MemoryAvailable \[Rule] \
memorycut (memorycut - MemoryInUse[]/", Cell[BoxData[
                   \(TraditionalForm\`\(10\^6\)\)]], 
                 ") MemSet[f[x_], body] may evaluate as f[x_] := body."}], 
               "Text", CellTags -> "MemSet"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["MemoryAvailable", 
                   RuleDelayed[ButtonData, "MemoryAvailable"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MemoryAvailable"]], "."}], "Text", 
               CellTags -> "MemSet"]}, Open]], Cell["MetricTensor", 
            "ObjectName", CellTags -> "MetricTensor"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "MetricTensor"], Cell[TextData[{"MetricTensor[", 
                 Cell[BoxData[\(TraditionalForm\`\(\[Mu],\ \[Nu]\)\)]], 
                 "] is the metric tensor. The default dimension is 4."}], 
               "Text", CellTags -> "MetricTensor"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FeynCalcExternal", 
                   RuleDelayed[ButtonData, "FeynCalcExternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcExternal"]], ", ", 
                 ButtonBox["FCE", RuleDelayed[ButtonData, "FCE"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCE"]], 
                 ", ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["MT", RuleDelayed[ButtonData, "MT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "MT"]], 
                 ", ", 
                 ButtonBox["MTD", RuleDelayed[ButtonData, "MTD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "MTD"]], 
                 "."}], "Text", CellTags -> "MetricTensor"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "MetricTensor"], Cell[CellGroupData[{Cell[BoxData[
                   \(MetricTensor[\(\[Alpha], \[Beta]\)]\)], "Input", 
                  CellLabel -> "In[1138]:=", CellTags -> "MetricTensor"], 
                 Cell[BoxData[\(TraditionalForm\`\(g\^\(\[Alpha]\[Beta]\)\)\)]
                   , "Output", CellLabel -> "Out[1138]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Contract[\(%\ %\)]\)], 
                  "Input", CellLabel -> "In[1139]:=", CellTags -> 
                   "MetricTensor"], Cell[BoxData[\(TraditionalForm\`4\)], 
                  "Output", CellLabel -> "Out[1139]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(MetricTensor[\(\[Alpha], \[Beta], 
                        \(Dimension \[Rule] n\)\)]\)], "Input", CellLabel -> 
                   "In[1140]:=", CellTags -> "MetricTensor"], Cell[BoxData[
                   \(TraditionalForm\`\(g\^\(\[Alpha]\[Beta]\)\)\)], 
                  "Output", CellLabel -> "Out[1140]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Contract[\(%\ %\)]\)], 
                  "Input", CellLabel -> "In[1141]:=", CellTags -> 
                   "MetricTensor"], Cell[BoxData[\(TraditionalForm\`n\)], 
                  "Output", CellLabel -> "Out[1141]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(MetricTensor[\(a, b\)]\)]\)], "Input", 
                  CellLabel -> "In[1142]:=", CellTags -> "MetricTensor"], 
                 Cell[BoxData[\(MetricTensor[\(a, b\)]\)], "Output", 
                  CellLabel -> "Out[1142]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(MetricTensor[
                        \(a, b, \(Dimension \[Rule] D\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1143]:=", CellTags -> "MetricTensor"], 
                 Cell[BoxData[
                   \(MetricTensor[\(a, b, \(Dimension \[Rule] D\)\)]\)], 
                  "Output", CellLabel -> "Out[1143]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FCE[\(MetricTensor[\(a, b\)]\)]\)]\)], 
                  "Input", CellLabel -> "In[1144]:=", CellTags -> 
                   "MetricTensor"], Cell[BoxData[
                   \(HighEnergyPhysics`fctools`FeynCalcExternal`Private`metr\
icmul[\(a, b\)]\)], "Output", CellLabel -> "Out[1144]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(FCE[\(MetricTensor[
                          \(a, b, \(Dimension \[Rule] D\)\)]\)]\)]\)], 
                  "Input", CellLabel -> "In[1145]:=", CellTags -> 
                   "MetricTensor"], Cell[BoxData[
                   \(HighEnergyPhysics`fctools`FeynCalcExternal`Private`metr\
icmul[\(a, b, \(Dimension \[Rule] D\)\)]\)], "Output", CellLabel -> 
                   "Out[1145]//StandardForm="]}, Open]]}, Open]], 
           Cell["MLimit", "ObjectName", CellTags -> "MLimit"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "MLimit"], Cell["MLimit[expr, lims] takes multiple \
limits of expr using the limits lims.", "Text", CellTags -> "MLimit"]}, 
             Open]], Cell[CellGroupData[{Cell["Examples", "Subsubsection", 
               CellTags -> "MLimit"], Cell[CellGroupData[{Cell[BoxData[
                   \(MLimit[\(\(\(y\ \(Log[y]\)\) + 
                          \(\(Sin[\(x - 1\)]\)/\((x - 1)\)\)\), 
                        \(x \[Rule] 1\), \(y \[Rule] 0\)\)]\)], "Input", 
                  CellLabel -> "In[1146]:=", CellTags -> "MLimit"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(MLimit(
                        \(\(\(y\ \(log(y)\)\) - \(sin(\(1 - x\))\)\/\(x - 1\)
                           \), \(x \[Rule] 1\), \(y \[Rule] 0\)\))\)\)], 
                  "Output", CellLabel -> "Out[1146]="]}, Open]]}, Open]], 
           Cell["Momentum", "ObjectName", CellTags -> "Momentum"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Momentum"], Cell["Momentum[p] is the head of a \
four momentum (p). The internal representation of a four-dimensional p is \
Momentum[p]. For other than four dimensions: Momentum[p, dim]. Momentum[p, 4] \
simplifies to Momentum[p].", "Text", CellTags -> "Momentum"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracGamma", RuleDelayed[ButtonData, 
                    "DiracGamma"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracGamma"]], ", ", 
                 ButtonBox["Eps", RuleDelayed[ButtonData, "Eps"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Eps"]], 
                 ", ", 
                 ButtonBox["LorentzIndex", 
                   RuleDelayed[ButtonData, "LorentzIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LorentzIndex"]], ", ", 
                 ButtonBox["MomentumExpand", 
                   RuleDelayed[ButtonData, "MomentumExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MomentumExpand"]], "."}], "Text", 
               CellTags -> "Momentum"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Momentum"], 
              Cell["This is a four dimensional momentum.", "Text", 
               CellTags -> "Momentum"], Cell[CellGroupData[{Cell[BoxData[
                   \(Momentum[p]\)], "Input", CellLabel -> "In[1147]:=", 
                  CellTags -> "Momentum"], Cell[BoxData[\(TraditionalForm\`p\)
                   ], "Output", CellLabel -> "Out[1147]="]}, Open]], 
              Cell["As an optional second argument the dimension must be \
specified if it is different from 4.", "Text", CellTags -> "Momentum"], 
              Cell[CellGroupData[{Cell[BoxData[\(Momentum[\(p, D\)]\)], 
                  "Input", CellLabel -> "In[1148]:=", CellTags -> 
                   "Momentum"], Cell[BoxData[\(TraditionalForm\`p\)], 
                  "Output", CellLabel -> "Out[1148]="]}, Open]], 
              Cell["The dimension index is supressed in the output.", "Text", 
               CellTags -> "Momentum"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Momentum[\(p, d\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1149]:=", CellTags -> "Momentum"], 
                 Cell[BoxData[\(Momentum[\(p, d\)]\)], "Output", CellLabel -> 
                   "Out[1149]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(a1 = \(Momentum[\(-q\)]\)\)], "Input", 
                  CellLabel -> "In[1150]:=", CellTags -> "Momentum"], 
                 Cell[BoxData[\(TraditionalForm\`\(-q\)\)], "Output", 
                  CellLabel -> "Out[1150]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(a1//StandardForm\)], "Input", CellLabel -> 
                   "In[1151]:=", CellTags -> "Momentum"], Cell[BoxData[
                   \(-\(Momentum[q]\)\)], "Output", CellLabel -> 
                   "Out[1151]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(a2\ =\ \(\(Momentum[\(p - q\)]\)\ +\ 
                        \(Momentum[\(2q\)]\)\)\)], "Input", CellLabel -> 
                   "In[1152]:=", CellTags -> "Momentum"], Cell[BoxData[
                   \(TraditionalForm\`\(\((p - q)\) + \(2\ q\)\)\)], 
                  "Output", CellLabel -> "Out[1152]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(a2//StandardForm\)], 
                  "Input", CellLabel -> "In[1153]:=", CellTags -> 
                   "Momentum"], Cell[BoxData[
                   \(\(Momentum[\(p - q\)]\) + \(2\ \(Momentum[q]\)\)\)], 
                  "Output", CellLabel -> "Out[1153]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(a2//MomentumExpand\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1154]:=", CellTags -> "Momentum"], 
                 Cell[BoxData[\(\(Momentum[p]\) + \(Momentum[q]\)\)], 
                  "Output", CellLabel -> "Out[1154]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(a2//MomentumCombine\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1155]:=", CellTags -> "Momentum"], 
                 Cell[BoxData[
                   \(\(Momentum[\(p - q\)]\) + \(2\ \(Momentum[q]\)\)\)], 
                  "Output", CellLabel -> "Out[1155]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(ChangeDimension[\(\(Momentum[p]\), d\)]\)//
                      StandardForm\)], "Input", CellLabel -> "In[1156]:=", 
                  CellTags -> "Momentum"], Cell[BoxData[\(Momentum[\(p, d\)]\)
                   ], "Output", CellLabel -> "Out[1156]//StandardForm="]}, 
                Open]], Cell[BoxData[\(Clear[\(a1, a2\)]\)], "Input", 
               CellLabel -> "In[1157]:=", CellTags -> "Momentum"]}, Open]], 
           Cell["MomentumCombine", "ObjectName", CellTags -> 
             "MomentumCombine"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "MomentumCombine"], 
              Cell["MomentumCombine[expr] is the inverse operation to \
MomentumExpand and ExpandScalarProduct. MomentumCombine combines also \
Pair`s.", "Text", CellTags -> "MomentumCombine"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["ExpandScalarProduct", 
                   RuleDelayed[ButtonData, "ExpandScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandScalarProduct"]], ", ", 
                 ButtonBox["Momentum", RuleDelayed[ButtonData, "Momentum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Momentum"]], ", ", 
                 ButtonBox["MomentumExpand", 
                   RuleDelayed[ButtonData, "MomentumExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MomentumExpand"]], ", ", 
                 ButtonBox["MomentumCombine2", 
                   RuleDelayed[ButtonData, "MomentumCombine2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MomentumCombine2"]], "."}], "Text", 
               CellTags -> "MomentumCombine"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "MomentumCombine"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(Momentum[p]\) - \(2\ \(Momentum[q]\)\)\ \)//\ 
                        MomentumCombine\)\ //\ StandardForm\)], "Input", 
                  CellLabel -> "In[1158]:=", CellTags -> "MomentumCombine"], 
                 Cell[BoxData[\(\(Momentum[p]\) - \(2\ \(Momentum[q]\)\)\)], 
                  "Output", CellLabel -> "Out[1158]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(\(FV[\(p, \[Mu]\)]\)\ +\ 
                        \(2\ \(FV[\(q, \[Mu]\)]\)\)\ \)\)], "Input", 
                  CellLabel -> "In[1159]:=", CellTags -> "MomentumCombine"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(p\^\[Mu] + \(2\ q\^\[Mu]\)\)\)], 
                  "Output", CellLabel -> "Out[1159]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(MomentumCombine[t1]\)], 
                  "Input", CellLabel -> "In[1160]:=", CellTags -> 
                   "MomentumCombine"], Cell[BoxData[
                   \(TraditionalForm\`\(p\^\[Mu] + \(2\ q\^\[Mu]\)\)\)], 
                  "Output", CellLabel -> "Out[1160]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(MomentumCombine[t1]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1161]:=", CellTags -> "MomentumCombine"], 
                 Cell[BoxData[
                   \(\(FV[\(p, \[Mu]\)]\) + \(2\ \(FV[\(q, \[Mu]\)]\)\)\)], 
                  "Output", CellLabel -> "Out[1161]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(MomentumCombine[t1]\)//ExpandScalarProduct\)], 
                  "Input", CellLabel -> "In[1162]:=", CellTags -> 
                   "MomentumCombine"], Cell[BoxData[
                   \(TraditionalForm\`\(p\^\[Mu] + \(2\ q\^\[Mu]\)\)\)], 
                  "Output", CellLabel -> "Out[1162]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(StandardForm[%]\)], "Input", 
                  CellLabel -> "In[1163]:=", CellTags -> "MomentumCombine"], 
                 Cell[BoxData[
                   \(\(FV[\(p, \[Mu]\)]\) + \(2\ \(FV[\(q, \[Mu]\)]\)\)\)], 
                  "Output", CellLabel -> "Out[1163]//StandardForm="]}, 
                Open]], Cell[BoxData[\(Clear[t1]\)], "Input", CellLabel -> 
                "In[1164]:=", CellTags -> "MomentumCombine"]}, Open]], 
           Cell["MomentumCombine2", "ObjectName", CellTags -> 
             "MomentumCombine2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "MomentumCombine2"], Cell["MomentumCombine2[expr]  is the \
inverse operation to MomentumExpand and ExpandScalarProduct. MomentumCombine2 \
combines also FourVectors.", "Text", CellTags -> "MomentumCombine2"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["MomentumCombine", 
                   RuleDelayed[ButtonData, "MomentumCombine"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MomentumCombine"]], ", ", 
                 ButtonBox["MomentumExpand", 
                   RuleDelayed[ButtonData, "MomentumExpand"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MomentumExpand"]], ", ", 
                 ButtonBox["ExpandScalarProduct", 
                   RuleDelayed[ButtonData, "ExpandScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandScalarProduct"]], ", ", 
                 ButtonBox["FourVector", RuleDelayed[ButtonData, 
                    "FourVector"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FourVector"]], "."}], "Text", 
               CellTags -> "MomentumCombine2"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "MomentumCombine2"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(3\ \(Pair[\(\(LorentzIndex[\[Mu]]\), \(Momentum[p]\)\)
                          ]\)\) + \(2\ \(Pair[
                          \(\(LorentzIndex[\[Mu]]\), \(Momentum[q]\)\)]\)\)\)]\
, "Input", CellLabel -> "In[1165]:=", CellTags -> "MomentumCombine2"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"3", " ", 
                        SuperscriptBox[FormBox["p", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{"2", " ", 
                        SuperscriptBox[FormBox["q", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1165]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(MomentumCombine2[%]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1166]:=", CellTags -> "MomentumCombine2"], 
                 Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[\[Mu]]\), 
                        \(Momentum[\(\(3\ p\) + \(2\ q\)\)]\)\)]\)], 
                  "Output", CellLabel -> "Out[1166]//StandardForm="]}, 
                Open]]}, Open]], Cell["MomentumExpand", "ObjectName", 
            CellTags -> "MomentumExpand"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "MomentumExpand"], Cell["MomentumExpand[expr] expands \
Momentum[a+b+ ...] in expr into Momentum[a] + Momentum[b] + ... .", "Text", 
               CellTags -> "MomentumExpand"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["ExpandScalarProduct", 
                   RuleDelayed[ButtonData, "ExpandScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandScalarProduct"]], ", ", 
                 ButtonBox["MomentumCombine", 
                   RuleDelayed[ButtonData, "MomentumCombine"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MomentumCombine"]], "."}], "Text", 
               CellTags -> "MomentumExpand"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "MomentumExpand"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(MomentumExpand[\(Momentum[\(p + q\)]\)]\)//
                      StandardForm\)], "Input", CellLabel -> "In[1167]:=", 
                  CellTags -> "MomentumExpand"], Cell[BoxData[
                   \(\(Momentum[p]\) + \(Momentum[q]\)\)], "Output", 
                  CellLabel -> "Out[1167]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ScalarProduct[\(\(p + q\), r\)]\)], "Input", 
                  CellLabel -> "In[1168]:=", CellTags -> "MomentumExpand"], 
                 Cell[BoxData[FormBox[RowBox[{"(", FormBox[\(p + q\), 
                       "TraditionalForm"], ")", "\[CenterDot]", FormBox["r", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1168]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1169]:=", CellTags -> "MomentumExpand"], Cell[BoxData[
                   \(Pair[\(\(Momentum[\(p + q\)]\), \(Momentum[r]\)\)]\)], 
                  "Output", CellLabel -> "Out[1169]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(MomentumExpand[\(ScalarProduct[\(\(p + q\), r\)]\)]\)], 
                  "Input", CellLabel -> "In[1170]:=", CellTags -> 
                   "MomentumExpand"], Cell[BoxData[FormBox[RowBox[{"(", 
                      TagBox[FormBox[\(p + q\), "TraditionalForm"], 
                       TraditionalForm, Editable -> True], ")", ".", "(", 
                      TagBox[FormBox["r", "TraditionalForm"], 
                       TraditionalForm, Editable -> True], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1170]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[1171]:=", CellTags -> 
                   "MomentumExpand"], Cell[BoxData[
                   \(Pair[\(\(\(Momentum[p]\) + \(Momentum[q]\)\), 
                        \(Momentum[r]\)\)]\)], "Output", CellLabel -> 
                   "Out[1171]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(MomentumExpand[\(ScalarProduct[\(\(p + q\), \(r - p\)\)]
                       \)]\)], "Input", CellLabel -> "In[1172]:=", 
                  CellTags -> "MomentumExpand"], Cell[BoxData[FormBox[
                    RowBox[{"(", TagBox[FormBox[\(p + q\), 
                        "TraditionalForm"], TraditionalForm, Editable -> 
                        True], ")", ".", "(", TagBox[FormBox[\(r - p\), 
                        "TraditionalForm"], TraditionalForm, Editable -> 
                        True], ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1172]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1173]:=", CellTags -> "MomentumExpand"], Cell[BoxData[
                   \(Pair[\(\(\(Momentum[p]\) + \(Momentum[q]\)\), 
                        \(\(-\(Momentum[p]\)\) + \(Momentum[r]\)\)\)]\)], 
                  "Output", CellLabel -> "Out[1173]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Calc[%]\)], 
                  "Input", CellLabel -> "In[1174]:=", CellTags -> 
                   "MomentumExpand"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"-", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}], "-", RowBox[
                       {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["q", "TraditionalForm"]}], "+", RowBox[
                       {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["r", "TraditionalForm"]}], "+", RowBox[
                       {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["r", "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1174]="]}, 
                Open]]}, Open]], Cell["MT", "ObjectName", CellTags -> "MT"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "MT"], Cell[TextData[{"MT[", Cell[BoxData[
                   \(TraditionalForm\`\(\[Mu],\ \[Nu]\)\)]], 
                 "] is the metric tensor in 4 dimensions."}], "Text", 
               CellTags -> "MT"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalcExternal", 
                   RuleDelayed[ButtonData, "FeynCalcExternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcExternal"]], ", ", 
                 ButtonBox["FCE", RuleDelayed[ButtonData, "FCE"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCE"]], 
                 ", ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["MetricTensor", 
                   RuleDelayed[ButtonData, "MetricTensor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MetricTensor"]], ", ", 
                 ButtonBox["MTD", RuleDelayed[ButtonData, "MTD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "MTD"]], 
                 "."}], "Text", CellTags -> "MT"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "MT"], Cell[CellGroupData[{Cell[BoxData[
                   \(MT[\(\[Alpha], \[Beta]\)]\)], "Input", CellLabel -> 
                   "In[1175]:=", CellTags -> "MT"], Cell[BoxData[
                   \(TraditionalForm\`\(g\^\(\[Alpha]\[Beta]\)\)\)], 
                  "Output", CellLabel -> "Out[1175]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Contract[\(\(MT[\(\[Alpha], \[Beta]\)]\)\ 
                        \(MT[\(\[Alpha], \[Beta]\)]\)\)]\)], "Input", 
                  CellLabel -> "In[1176]:=", CellTags -> "MT"], Cell[BoxData[
                   \(TraditionalForm\`4\)], "Output", CellLabel -> 
                   "Out[1176]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(MT[\(a, b\)]\)//StandardForm\)], "Input", CellLabel -> 
                   "In[1177]:=", CellTags -> "MT"], Cell[BoxData[
                   \(MT[\(a, b\)]\)], "Output", CellLabel -> 
                   "Out[1177]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(FCI[\(MT[\(a, b\)]\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1178]:=", CellTags -> "MT"], 
                 Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[a]\), \(LorentzIndex[b]\)\)]\)], 
                  "Output", CellLabel -> "Out[1178]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(FCE[\(FCI[\(MT[\(a, b\)]\)]\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1179]:=", CellTags -> "MT"], 
                 Cell[BoxData[\(MT[\(a, b\)]\)], "Output", CellLabel -> 
                   "Out[1179]//StandardForm="]}, Open]]}, Open]], 
           Cell["MTD", "ObjectName", CellTags -> "MTD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "MTD"], Cell[TextData[{"MTD[", Cell[BoxData[
                   \(TraditionalForm\`\(\[Mu],\ \[Nu]\)\)]], 
                 "] is the metric tensor in D dimensions."}], "Text", 
               CellTags -> "MTD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalcExternal", 
                   RuleDelayed[ButtonData, "FeynCalcExternal"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalcExternal"]], ", ", 
                 ButtonBox["FCE", RuleDelayed[ButtonData, "FCE"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCE"]], 
                 ", ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["MetricTensor", 
                   RuleDelayed[ButtonData, "MetricTensor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MetricTensor"]], ", ", 
                 ButtonBox["MT", RuleDelayed[ButtonData, "MT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "MT"]], 
                 "."}], "Text", CellTags -> "MTD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "MTD"], Cell[CellGroupData[{Cell[BoxData[
                   \(MTD[\(\[Alpha], \[Beta]\)]\)], "Input", CellLabel -> 
                   "In[1180]:=", CellTags -> "MTD"], Cell[BoxData[
                   \(TraditionalForm\`\(g\^\(\[Alpha]\[Beta]\)\)\)], 
                  "Output", CellLabel -> "Out[1180]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Contract[\(\(MTD[\(\[Alpha], \[Beta]\)]\)\ 
                        \(MTD[\(\[Alpha], \[Beta]\)]\)\)]\)], "Input", 
                  CellLabel -> "In[1181]:=", CellTags -> "MTD"], Cell[BoxData[
                   \(TraditionalForm\`D\)], "Output", CellLabel -> 
                   "Out[1181]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(MTD[\(\[Alpha], \[Beta]\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1182]:=", CellTags -> "MTD"], 
                 Cell[BoxData[\(MTD[\(\[Alpha], \[Beta]\)]\)], "Output", 
                  CellLabel -> "Out[1182]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(FCI[\(MTD[\(\[Alpha], \[Beta]\)]\)]\)//StandardForm\)]\
, "Input", CellLabel -> "In[1183]:=", CellTags -> "MTD"], Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[\(\[Alpha], D\)]\), 
                        \(LorentzIndex[\(\[Beta], D\)]\)\)]\)], "Output", 
                  CellLabel -> "Out[1183]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(FCE[\(FCI[\(MTD[\(\[Mu], \[Nu]\)]\)]\)]\)//
                      StandardForm\)], "Input", CellLabel -> "In[1184]:=", 
                  CellTags -> "MTD"], Cell[BoxData[\(MTD[\(\[Mu], \[Nu]\)]\)]
                   , "Output", CellLabel -> "Out[1184]//StandardForm="]}, 
                Open]]}, Open]], Cell["NegativeInteger", "ObjectName", 
            CellTags -> "NegativeInteger"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "NegativeInteger"], Cell["NegativeInteger is a data type. \
E.g. DataType[n, NegativeInteger] can be set to True.", "Text", CellTags -> 
                "NegativeInteger"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DataType", RuleDelayed[ButtonData, "DataType"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DataType"]], "."}], "Text", CellTags -> 
                "NegativeInteger"]}, Open]], Cell["Nf", "ObjectName", 
            CellTags -> "Nf"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "Nf"], 
              Cell["Nf denotes the number of flavors.", "Text", CellTags -> 
                "Nf"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Amplitude", RuleDelayed[ButtonData, 
                    "Amplitude"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Amplitude"]], ", ", 
                 ButtonBox["CounterTerm", 
                   RuleDelayed[ButtonData, "CounterTerm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CounterTerm"]], ", ", 
                 ButtonBox["Convolute", RuleDelayed[ButtonData, 
                    "Convolute"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Convolute"]], ", ", 
                 ButtonBox["AnomalousDimension", 
                   RuleDelayed[ButtonData, "AnomalousDimension"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "AnomalousDimension"]], ", ", 
                 ButtonBox["SplittingFunction", 
                   RuleDelayed[ButtonData, "SplittingFunction"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SplittingFunction"]], "."}], "Text", 
               CellTags -> "Nf"]}, Open]], Cell["Nielsen", "ObjectName", 
            CellTags -> "Nielsen"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Nielsen"], 
              Cell["Nielsen[i,j, x] denotes Nielsen's polylogarithm.", 
               "Text", CellTags -> "Nielsen"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[Nielsen]\)], "Input", CellLabel -> 
                   "In[1185]:=", CellTags -> "Nielsen"], Cell[BoxData[
                   \(TraditionalForm\`\({PolyLog \[Rule] False}\)\)], 
                  "Output", CellLabel -> "Out[1185]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SimplifyPolyLog", 
                   RuleDelayed[ButtonData, "SimplifyPolyLog"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SimplifyPolyLog"]], "."}], "Text", 
               CellTags -> "Nielsen"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Nielsen"], 
              Cell[CellGroupData[{Cell[BoxData[\(Nielsen[\(1, 2, x\)]\)], 
                  "Input", CellLabel -> "In[1186]:=", CellTags -> "Nielsen"], 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox["S", RowBox[
                        {FormBox["1", "TraditionalForm"], FormBox["2", 
                          "TraditionalForm"]}]], "(", "x", ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1186]="]}, 
                Open]], Cell["Numerical evaluation is done via \
N[Nielsen[n_,p_,x_]] := (-1)^(n+p-1)/(n-1)!/p! NIntegrate[Log[1-x t]^p \
Log[t]^(n-1)/t,{t,0,1}];", "Text", CellTags -> "Nielsen"], Cell[CellGroupData[
                {Cell[BoxData[\(N[\(Nielsen[\(1, 2, .45\)]\)]\)], "Input", 
                  CellLabel -> "In[1187]:=", CellTags -> "Nielsen"], 
                 Cell[BoxData[\(TraditionalForm\`0.07287162612104649`\)], 
                  "Output", CellLabel -> "Out[1187]="]}, Open]], 
              Cell["Some special values are built in.", "Text", CellTags -> 
                "Nielsen"], Cell[CellGroupData[{Cell[BoxData[
                   \({\(Nielsen[\(1, 2, 0\)]\), \(Nielsen[\(1, 2, \(-1\)\)]\)
                       , \(Nielsen[\(1, 2, \(1/2\)\)]\), 
                       \(Nielsen[\(1, 2, 1\)]\)}\)], "Input", CellLabel -> 
                   "In[1188]:=", CellTags -> "Nielsen"], Cell[BoxData[
                   \(TraditionalForm\`\({0, 
                         \*TagBox[\(\[Zeta](
                              \(\*TagBox["3", Zeta, Rule[Editable, True]]\))
                   \), InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]\/8, 
                         \*TagBox[\(\[Zeta](
                              \(\*TagBox["3", Zeta, Rule[Editable, True]]\))
                   \), InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]\/8, 
                         \*TagBox[\(\[Zeta](
                             \(\*TagBox["3", Zeta, Rule[Editable, True]]\))\
\), InterpretTemplate[Function[BoxForm`e$, 
                             Zeta[BoxForm`e$]]]]}\)\)], "Output", 
                  CellLabel -> "Out[1188]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Nielsen[\(1, 2, x, \(PolyLog \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1189]:=", CellTags -> "Nielsen"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ \(log(x)\)\ 
                          \(\(log\^2\)(\(1 - x\))\)\) + 
                        \(\(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\ 
                          \(log(\(1 - x\))\)\) - 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_3(\(1 - x\))\) + \*TagBox[\(
                           \[Zeta](\(\*TagBox["3", Zeta, 
                               Rule[Editable, True]]\))\), 
                          InterpretTemplate[Function[BoxForm`e$, 
                            Zeta[BoxForm`e$]]]]\)\)], "Output", CellLabel -> 
                   "Out[1189]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Nielsen[\(1, 3, x, \(PolyLog \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1190]:=", CellTags -> "Nielsen"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(1\/6\)\)\ \(log(x)\)\ 
                          \(\(log\^3\)(\(1 - x\))\)\) - 
                        \(1\/2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\ 
                          \(\(log\^2\)(\(1 - x\))\)\) + 
                        \(\(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_3(\(1 - x\))\)\ 
                          \(log(\(1 - x\))\)\) - 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_4(\(1 - x\))\) + \[Pi]\^4\/90\)\)], "Output", 
                  CellLabel -> "Out[1190]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Nielsen[\(3, 1, x, \(PolyLog \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1191]:=", CellTags -> "Nielsen"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\*
                           InterpretationBox["Li", PolyLog, 
                            Rule[Editable, False], Rule[Selectable, False]]\)
                   \_4(x)\)\)], "Output", CellLabel -> "Out[1191]="]}, 
                Open]]}, Open]], Cell["NonCommFreeQ", "ObjectName", 
            CellTags -> "NonCommFreeQ"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "NonCommFreeQ"], Cell["NonCommFreeQ[exp] yields True if exp \
contains no non-commutative objects (i.e. those objects which are listed in \
$NonComm) or only non-commutative objects inside DiracTrace's or SUNTrace's."\
, "Text", CellTags -> "NonCommFreeQ"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["$NonComm", RuleDelayed[ButtonData, "$NonComm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$NonComm"]], ", ", 
                 ButtonBox["NonCommQ", RuleDelayed[ButtonData, "NonCommQ"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "NonCommQ"]], ", ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], ", ", 
                 ButtonBox["SUNTrace", RuleDelayed[ButtonData, "SUNTrace"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNTrace"]], "."}], "Text", CellTags -> 
                "NonCommFreeQ"]}, Open]], Cell["NonCommQ", "ObjectName", 
            CellTags -> "NonCommQ"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "NonCommQ"], 
              Cell["NonCommQ[exp] yields True if exp contains non-commutative \
objects (i.e. those objects which are listed in $NonComm) not inside \
DiracTrace's or SUNTrace's.", "Text", CellTags -> "NonCommQ"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["$NonComm", RuleDelayed[ButtonData, "$NonComm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$NonComm"]], ", ", 
                 ButtonBox["NonCommFreeQ", 
                   RuleDelayed[ButtonData, "NonCommFreeQ"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "NonCommFreeQ"]], ", ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], ", ", 
                 ButtonBox["SUNTrace", RuleDelayed[ButtonData, "SUNTrace"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNTrace"]], "."}], "Text", CellTags -> 
                "NonCommQ"]}, Open]], Cell["NonCommutative", "ObjectName", 
            CellTags -> "NonCommutative"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "NonCommutative"], Cell["NonCommutative is a data type which \
may be used, e.g.,  as: DataType[x, NonCommutative] = True.", "Text", 
               CellTags -> "NonCommutative"], Cell[TextData[{"See also:", 
                 " ", 
                 ButtonBox["DataType", RuleDelayed[ButtonData, "DataType"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DataType"]], ", ", 
                 ButtonBox["DeclareNonCommutative", 
                   RuleDelayed[ButtonData, "DeclareNonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeclareNonCommutative"]], "."}], "Text", 
               CellTags -> "NonCommutative"]}, Open]], Cell["NTerms", 
            "ObjectName", CellTags -> "NTerms"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "NTerms"], 
              Cell["NTerms[x] is equivalent to Length if x is a sum; \
otherwise NTerms[x] returns 1, except NTerms[0] \[Rule] 0.", "Text", 
               CellTags -> "NTerms"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "NTerms"], 
              Cell[CellGroupData[{Cell[BoxData[\(NTerms[\(a - b\)]\)], 
                  "Input", CellLabel -> "In[1192]:=", CellTags -> "NTerms"], 
                 Cell[BoxData[\(TraditionalForm\`2\)], "Output", CellLabel -> 
                   "Out[1192]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(NTerms[\(a\ b\ c\)]\)], "Input", CellLabel -> 
                   "In[1193]:=", CellTags -> "NTerms"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[1193]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(NTerms[9]\)], "Input", CellLabel -> "In[1194]:=", 
                  CellTags -> "NTerms"], Cell[BoxData[\(TraditionalForm\`1\)]
                   , "Output", CellLabel -> "Out[1194]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(NTerms[0]\)], "Input", 
                  CellLabel -> "In[1195]:=", CellTags -> "NTerms"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1195]="]}, Open]]}, Open]], 
           Cell["NumberOfMetricTensors", "ObjectName", CellTags -> 
             "NumberOfMetricTensors"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "NumberOfMetricTensors"], Cell[
               "NumberOfMetricTensors is an option of Tdec.", "Text", 
               CellTags -> "NumberOfMetricTensors"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Tdec", RuleDelayed[ButtonData, "Tdec"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tdec"]]\
, "."}], "Text", CellTags -> "NonCommQ"]}, Open]], Cell["NumericalFactor", 
            "ObjectName", CellTags -> "NumericalFactor"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "NumericalFactor"], Cell["NumericalFactor[expr] \
gives the overall numerical factor of expr.", "Text", CellTags -> 
                "NumericalFactor"]}, Open]], Cell["NumericQ1", "ObjectName", 
            CellTags -> "NumericQ1"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "NumericQ1"], 
              Cell["NumericQ1[x,{a,b,..}] is like NumericQ, but assumes that \
{a,b,..} are numeric quantities.", "Text", CellTags -> "NumericQ1"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "NumericQ1"], Cell[CellGroupData[{Cell[BoxData[
                   \(NumericQ[\(\(3\ a\) + \(Log[b]\) + c\^2\)]\)], "Input", 
                  CellLabel -> "In[1196]:=", CellTags -> "NumericQ1"], 
                 Cell[BoxData[\(TraditionalForm\`False\)], "Output", 
                  CellLabel -> "Out[1196]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(NumericQ1[\(\(\(3\ a\) + \(Log[b]\) + c\^2\), \({}\)\)]
                     \)], "Input", CellLabel -> "In[1197]:=", CellTags -> 
                   "NumericQ1"], Cell[BoxData[\(TraditionalForm\`False\)], 
                  "Output", CellLabel -> "Out[1197]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(NumericQ1[\(\(\(3\ a\) + \(Log[b]\) + c\^2\), 
                        \({a, b, c}\)\)]\)], "Input", CellLabel -> 
                   "In[1198]:=", CellTags -> "NumericQ1"], Cell[BoxData[
                   \(TraditionalForm\`True\)], "Output", CellLabel -> 
                   "Out[1198]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["OneLoop  ***unfinished***", 
               "ObjectName", CellTags -> "OneLoop"], Cell[TextData[
                {"See also the old FeynCalc documentation at ", 
                 ButtonBox["http://www.mertig.com/oldfc/", 
                   RuleDelayed[ButtonData, 
                    List[URL["http://www.mertig.com/oldfc/"], None]], 
                   Rule[ButtonStyle, "Hyperlink"]], ". NOTICE: While OneLoop \
is restricted to 't Hooft Feynman gauge the function ", 
                 ButtonBox["OneLoopSimplify", 
                   RuleDelayed[ButtonData, "OneLoopSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSimplify"]], " does not have this \
restriction (but is usually slower). OneLoop handles selfenergies, vertex and \
box-graphs (those only up to 3rd rank tensor in the integration variable)."}]\
, "Text", CellTags -> "OneLoop"], Cell[TextData[
                {"WARNING: If you encounter anomalies: ", Cell[BoxData[
                   \(TraditionalForm\`\(\(The\ default\ setting\ of\ $West\ 
                          is\ True\),\ \(i . e .\),\ 
                        \(the\ way\ \(tr(\(
                             \[Gamma]\^\[Mu] \[Gamma]\^\[Nu] \[Gamma]\^\[Rho]
                               \[Gamma]\^\[Sigma] \[Gamma]\^\[Tau] 
                              \[Gamma]\^\[Lambda] \[Gamma]\^5\))\)\)\)\)]], " \
is calculated in D dimensions has changed compared to the old FeynCalc \
version. Please keep in mind that the issue of ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^5\)\)]], 
                 "schemes is inherintly tricky."}], "Text", CellTags -> 
                "OneLoop"]}, Open]], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "OneLoop"], 
              Cell[TextData[{"OneLoop[", "q", ", amplitude] calculates the \
one-loop Feynman diagram amplitude (", 
                 StyleBox["n", Rule[FontSlant, "Italic"]], "-point, where ", 
                 StyleBox["n", Rule[FontSlant, "Italic"]], "\[LessEqual]4 and \
the highest tensor rank of the integration momenta (after cancellation of \
scalar products) may be 3; unless OneLoopSimplify is used)."}], "Text", 
               CellTags -> "OneLoop"], Cell["The argument q denotes the \
integration variable, i.e., the loop momentum. OneLoop[name, q, amplitude] \
has as first argument a name of the amplitude. If the second argument has \
head FeynAmp then OneLoop[q, FeynAmp[name, k, expr]] and \
OneLoop[FeynAmp[name, k, expr]] tranform to OneLoop[name, k, expr].", "Text", 
               CellTags -> "OneLoop"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[OneLoop]\)], "Input", CellLabel -> "In[1199]:=", 
                  CellTags -> "OneLoop"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Apart2 \[Rule] True\), 
                         \(CancelQP \[Rule] True\), 
                         \(DenominatorOrder \[Rule] False\), 
                         \(Dimension \[Rule] D\), 
                         \(FinalSubstitutions \[Rule] \({}\)\), 
                         \(Factoring \[Rule] False\), 
                         \(FormatType \[Rule] InputForm\), 
                         \(InitialSubstitutions \[Rule] \({}\)\), 
                         \(IntermediateSubstitutions \[Rule] \({}\)\), 
                         \(IsolateNames \[Rule] False\), 
                         \(Mandelstam \[Rule] \({}\)\), 
                         \(OneLoopSimplify \[Rule] False\), 
                         \(Prefactor \[Rule] 1\), 
                         \(ReduceGamma \[Rule] False\), 
                         \(ReduceToScalars \[Rule] False\), 
                         \(SmallVariables \[Rule] \({}\)\), 
                         \(WriteOut \[Rule] False\), 
                         \(WriteOutPaVe \[Rule] False\), \(Sum \[Rule] True\)\
}\)\)], "Output", CellLabel -> "Out[1199]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["B0", RuleDelayed[ButtonData, "B0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "B0"]], 
                 ", ", 
                 ButtonBox["C0", RuleDelayed[ButtonData, "C0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "C0"]], 
                 ", ", 
                 ButtonBox["D0", RuleDelayed[ButtonData, "D0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "D0"]], 
                 ", ", 
                 ButtonBox["OneLoopSimplify", 
                   RuleDelayed[ButtonData, "OneLoopSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSimplify"]], ", ", 
                 ButtonBox["TID", RuleDelayed[ButtonData, "TID"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TID"]], 
                 ", ", 
                 ButtonBox["TIDL", RuleDelayed[ButtonData, "TIDL"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TIDL"]]\
, ", ", 
                 ButtonBox["$LimitTo4", RuleDelayed[ButtonData, 
                    "$LimitTo4"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$LimitTo4"]], "."}], "Text", CellTags -> 
                "OneLoop"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "OneLoop"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(-I\)/\(Pi^2\)\)\ \(FAD[\({q, m}\)]\)\)//FCI\)], 
                  "Input", CellLabel -> "In[1200]:=", CellTags -> "OneLoop"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(-\(
                         \[ImaginaryI]\/\(\[Pi]\^2\ \((q\^2 - m\^2)\)\)\)\)\)]\
, "Output", CellLabel -> "Out[1200]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(OneLoop[\(q, %\)]\)], "Input", CellLabel -> 
                   "In[1201]:=", CellTags -> "OneLoop"], Cell[BoxData[
                   FormBox[RowBox[{FormBox[\("A"\_"0"\), "TraditionalForm"], 
                      "(", FormBox[\(m\^2\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1201]="]}, 
                Open]], Cell[BoxData[
                \(\(mf/:\(MakeBoxes[\(mf, TraditionalForm\)]\) = 
                     \(InterpretationBox[
                       \(\(SubscriptBox[\("m", "f"\)]\), mf\)]\)\) ;\)], 
               "Input", CellLabel -> "In[1202]:=", CellTags -> "OneLoop"], 
              Cell[TextData[{"Remember that FAD[{q,mf},{q-k,mf}] is a fast \
possibility to enter ", Cell[BoxData[
                   \(TraditionalForm\`\(1/\(
                         \((\ \((q\^2 - mf\^2)\)\ 
                             \((\ \((q - k)\)\^2 - mf\^2)\)\ )\) .\)\)\)]]}], 
               "Text", CellTags -> "OneLoop"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t = \(\(I\ el\^2\/\(16\ Pi\^4 \((1 - D)\)\) 
                          \(FAD[\(\({q, mf}\), \({\(q - k\), mf}\)\)]\) 
                          \(DiracTrace[\(\((mf + \(GS[\(q - k\)]\))\) . 
                              \(GA[\[Mu]]\) . \((mf + \(GS[q]\))\) . 
                              \(GA[\[Mu]]\)\)]\)\)\ //\ FCI\)\)], "Input", 
                  CellLabel -> "In[1203]:=", CellTags -> "OneLoop"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{"\[ImaginaryI]", 
                       " ", \(el\^2\), " ", RowBox[{"tr", "(", FormBox[
                          RowBox[{RowBox[{"(", RowBox[{
                          InterpretationBox[\(m\_f\), mf], "+", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", "(", FormBox[\(q - k\), 
                          "TraditionalForm"], ")"}]}], ")"}], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          RowBox[{"(", RowBox[{InterpretationBox[\(m\_f\), mf]
                          , "+", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}]}], 
                     \(16\ \((1 - D)\)\ \[Pi]\^4\ 
                        \(\((q\^2 - \*InterpretationBox[\(m\_f\), mf]\^2)\) .
                           \((\((q - k)\)\^2 - 
                             \*InterpretationBox[\(m\_f\), mf]\^2)\)\)\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1203]="]}, 
                Open]], Cell["The input to OneLoop may be in 4 dimensions, \
since the function changes the dimension of the objects automatically to the \
setting of the Dimension option (D by default).", "Text", CellTags -> 
                "OneLoop"], Cell[CellGroupData[{Cell[BoxData[
                   \(OneLoop[\(q, t\)]\)], "Input", CellLabel -> 
                   "In[1204]:=", CellTags -> "OneLoop"], Cell[BoxData[
                   FormBox[RowBox[{"-", FractionBox[RowBox[{\(el\^2\), " ", 
                         RowBox[{"(", RowBox[{RowBox[{\(-\(8\/3\)\), " ", 
                          RowBox[{\(B\_0\), "(", SuperscriptBox[FormBox["k", 
                          "TraditionalForm"], "2"], ",", 
                          \(\*InterpretationBox[\(m\_f\), mf]\^2\), ",", 
                          \(\*InterpretationBox[\(m\_f\), mf]\^2\), ")"}], 
                          " ", \(\*InterpretationBox[\(m\_f\), mf]\^2\)}], 
                          "-", 
                          \(\(8\ \*InterpretationBox[\(m\_f\), mf]\^2\)\/3\), 
                          "+", RowBox[{\(8\/3\), " ", RowBox[{FormBox[
                          \("A"\_"0"\), "TraditionalForm"], "(", FormBox[
                          \(\*InterpretationBox[\(m\_f\), mf]\^2\), 
                          "TraditionalForm"], ")"}]}], "-", RowBox[{\(4\/3\), 
                          " ", RowBox[{\(B\_0\), "(", SuperscriptBox[FormBox[
                          "k", "TraditionalForm"], "2"], ",", 
                          \(\*InterpretationBox[\(m\_f\), mf]\^2\), ",", 
                          \(\*InterpretationBox[\(m\_f\), mf]\^2\), ")"}], 
                          " ", SuperscriptBox[FormBox["k", 
                          "TraditionalForm"], "2"]}], "+", FractionBox[
                          RowBox[{"4", " ", SuperscriptBox[FormBox["k", 
                          "TraditionalForm"], "2"]}], "9"]}], ")"}]}], 
                       \(16\ \[Pi]\^2\)]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1204]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FullSimplify[%]\)], "Input", CellLabel -> 
                   "In[1205]:=", CellTags -> "OneLoop"], Cell[BoxData[
                   FormBox[FractionBox[RowBox[{\(el\^2\), " ", RowBox[
                        {"(", RowBox[{
                          \(6\ \*InterpretationBox[\(m\_f\), mf]\^2\), "-", 
                          RowBox[{"6", " ", RowBox[{FormBox[\("A"\_"0"\), 
                          "TraditionalForm"], "(", FormBox[
                          \(\*InterpretationBox[\(m\_f\), mf]\^2\), 
                          "TraditionalForm"], ")"}]}], "-", SuperscriptBox[
                          FormBox["k", "TraditionalForm"], "2"], "+", RowBox[
                          {"3", " ", RowBox[{\(B\_0\), "(", SuperscriptBox[
                          FormBox["k", "TraditionalForm"], "2"], ",", 
                          \(\*InterpretationBox[\(m\_f\), mf]\^2\), ",", 
                          \(\*InterpretationBox[\(m\_f\), mf]\^2\), ")"}], 
                          " ", RowBox[{"(", RowBox[{
                          \(2\ \*InterpretationBox[\(m\_f\), mf]\^2\), "+", 
                          SuperscriptBox[FormBox["k", "TraditionalForm"], 
                          "2"]}], ")"}]}]}], ")"}]}], \(36\ \[Pi]\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1205]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(SP[\(k, r\)]\)\ \(
                         FAD[\(\({k, m}\)\ ,\ \(k\ -\ p\)\)]\)\)//FCI\)], 
                  "Input", CellLabel -> "In[1206]:=", CellTags -> "OneLoop"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{FormBox["k", 
                        "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                        "TraditionalForm"]}], 
                     \(\((k\^2 - m\^2)\) . \((k - p)\)\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1206]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(OneLoop[\(k, %\)]\)
                   ], "Input", CellLabel -> "In[1207]:=", CellTags -> 
                   "OneLoop"], Cell[BoxData[FormBox[RowBox[{"\[ImaginaryI]", 
                      " ", \(\[Pi]\^2\), " ", RowBox[{"(", RowBox[
                         {RowBox[{"-", FractionBox[RowBox[{
                          \(B\_0 (0, m\^2, m\^2)\), " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], " ", \(m\^2\)}], RowBox[
                          {"2", " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}]]}], "+", FractionBox[
                          RowBox[{RowBox[{\(B\_0\), "(", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], ",", "0", 
                          ",", \(m\^2\), ")"}], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], " ", \(m\^2\)}], RowBox[
                          {"2", " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}]], "-", FractionBox[
                          RowBox[{RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", \(m\^2\)}], RowBox[{"2", " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"]}]], "+", 
                          RowBox[{\(1\/2\), " ", RowBox[{\(B\_0\), "(", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], ",", "0", ",", \(m\^2\), ")"}], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["r", "TraditionalForm"]}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1207]="]}, 
                Open]], Cell[BoxData[\(Clear[t]\)], "Input", CellLabel -> 
                "In[1208]:=", CellTags -> "OneLoop"]}, Open]], 
           Cell["OneLoopSimplify", "ObjectName", CellTags -> 
             "OneLoopSimplify"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "OneLoopSimplify"], 
              Cell["OneLoopSimplify[amp, q] simplifies the one-loop amplitude \
amp. The second argument denotes the integration momentum.", "Text", 
               CellTags -> "OneLoopSimplify"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[OneLoopSimplify]\)], "Input", 
                  CellLabel -> "In[1209]:=", CellTags -> "OneLoopSimplify"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Collecting \[Rule] False\), 
                         \(Dimension \[Rule] D\), 
                         \(DimensionalReduction \[Rule] False\), 
                         \(DiracSimplify \[Rule] True\), 
                         \(FinalSubstitutions \[Rule] \({}\)\), 
                         \(IntegralTable \[Rule] \({}\)\), 
                         \(OPE1Loop \[Rule] False\), 
                         \(ScalarProductCancel \[Rule] True\), 
                         \(SUNNToCACF \[Rule] True\), 
                         \(SUNTrace \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[1209]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["TID", RuleDelayed[ButtonData, "TID"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TID"]], 
                 ", ", 
                 ButtonBox["TIDL", RuleDelayed[ButtonData, "TIDL"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TIDL"]]\
, "."}], "Text", CellTags -> "OneLoopSimplify"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "OneLoopSimplify"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(SP[\(k, r\)]\)\ \(
                         FAD[\(\({k, m}\)\ ,\ \(k\ -\ p\)\)]\)\)//FCI\)], 
                  "Input", CellLabel -> "In[1210]:=", CellTags -> 
                   "OneLoopSimplify"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                       FormBox["r", "TraditionalForm"]}], 
                     \(\((k\^2 - m\^2)\) . \((k - p)\)\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1210]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(OneLoopSimplify[\(%, k\)]\)], "Input", CellLabel -> 
                   "In[1211]:=", CellTags -> "OneLoopSimplify"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{FormBox["k", 
                        "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                        "TraditionalForm"]}], 
                     \(\((k\^2 - m\^2)\) . \((k - p)\)\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1211]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(OneLoopSimplify[\(\(%/.\(m \[Rule] 0\)\), k\)]\)], 
                  "Input", CellLabel -> "In[1212]:=", CellTags -> 
                   "OneLoopSimplify"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                       FormBox["r", "TraditionalForm"]}], 
                     \(k\^2 . \((k - p)\)\^2\)], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1212]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(FAD[\(k, k,\ \(k\ -\ p\_1\),\ \(k\ -\ p\_2\)\)]\)\ 
                        \(FVD[\(k, \[Mu]\)]\)\)//FCI\)], "Input", 
                  CellLabel -> "In[1213]:=", CellTags -> "OneLoopSimplify"], 
                 Cell[BoxData[FormBox[FractionBox[SuperscriptBox[FormBox["k", 
                       "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                        "TraditionalForm"], "TraditionalForm"]], 
                     \(k\^2 . k\^2 . \((k - p\_1)\)\^2 . \((k - p\_2)\)\^2\)]\
, TraditionalForm]], "Output", CellLabel -> "Out[1213]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(OneLoopSimplify[\ \(%, k\)]\)
                   ], "Input", CellLabel -> "In[1214]:=", CellTags -> 
                   "OneLoopSimplify"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{RowBox[{SubsuperscriptBox["p", 
                          FormBox["2", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(p\_1\%2\)}], "-", RowBox[{SubsuperscriptBox[
                          "p", FormBox["1", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}]}], RowBox[{"2", " ", 
                         \(k\^2 . k\^2 . \((k - p\_1)\)\^2\), " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox[RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          "-", \(p\_1\%2\ p\_2\%2\)}], ")"}]}]], "+", 
                      FractionBox[RowBox[{RowBox[{SubsuperscriptBox["p", 
                          FormBox["2", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(p\_1\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "+", RowBox[
                          {SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(p\_2\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "-", RowBox[
                          {SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(p\_1\%2\), " ", \(p\_2\%2\)}], "-", RowBox[
                          {SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(p\_1\%2\), " ", \(p\_2\%2\)}]}], RowBox[{"2", 
                         " ", 
                         \(k\^2 . k\^2 . \((k - p\_1)\)\^2 . 
                            \((k - p\_2)\)\^2\), " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          "-", \(p\_1\%2\ p\_2\%2\)}], ")"}]}]], "-", 
                      FractionBox[RowBox[{RowBox[{SubsuperscriptBox["p", 
                          FormBox["2", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "-", RowBox[
                          {SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(p\_2\%2\)}]}], RowBox[{"2", " ", 
                         \(k\^2 . k\^2 . \((k - p\_2)\)\^2\), " ", RowBox[
                          {"(", RowBox[{SuperscriptBox[FormBox[RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          "-", \(p\_1\%2\ p\_2\%2\)}], ")"}]}]], "-", 
                      FractionBox[RowBox[{RowBox[{SubsuperscriptBox["p", 
                          FormBox["2", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", \(p\_1\%2\)}], "-", RowBox[{SubsuperscriptBox[
                          "p", FormBox["1", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "-", RowBox[
                          {SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "+", RowBox[
                          {SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(p\_2\%2\)}]}], RowBox[{"2", " ", 
                         \(k\^2 . \((k - p\_1)\)\^2 . \((k - p\_2)\)\^2\), 
                         " ", RowBox[{"(", RowBox[{SuperscriptBox[FormBox[
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          "-", \(p\_1\%2\ p\_2\%2\)}], ")"}]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1214]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(FCE[%]\)/.\(\(SPD[p\_1]\) \[Rule] 0\)\)//FCI\)], 
                  "Input", CellLabel -> "In[1215]:=", CellTags -> 
                   "OneLoopSimplify"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         \(p\_2\%2\)}], RowBox[{"2", " ", 
                         \(k\^2 . k\^2 . \((k - p\_1)\)\^2 . 
                            \((k - p\_2)\)\^2\), " ", RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}]}]], "-", FractionBox[
                       SubsuperscriptBox["p", FormBox["1", 
                         "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], RowBox[
                        {"2", " ", \(k\^2 . k\^2 . \((k - p\_1)\)\^2\), " ", 
                         RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}]], "-", FractionBox[RowBox[
                        {RowBox[{SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "-", RowBox[
                          {SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(p\_2\%2\)}]}], RowBox[{"2", " ", 
                         \(k\^2 . k\^2 . \((k - p\_2)\)\^2\), " ", 
                         SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], 
                          "2"]}]], "-", FractionBox[RowBox[{RowBox[
                          {RowBox[{"-", SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "-", RowBox[
                          {SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "+", RowBox[
                          {SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(p\_2\%2\)}]}], RowBox[{"2", " ", 
                         \(k\^2 . \((k - p\_1)\)\^2 . \((k - p\_2)\)\^2\), 
                         " ", SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}], "TraditionalForm"], 
                          "2"]}]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1215]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(OneLoopSimplify[\(\(\(
                           FAD[\(\(k - p\_1\), \(k - p\_2\)\)]\)\ 
                          \(\(SP[\(k, l\)]\)^2\)\), k\)]\)], "Input", 
                  CellLabel -> "In[1216]:=", CellTags -> "OneLoopSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[SuperscriptBox[
                        FormBox[RowBox[{FormBox["k", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["l", "TraditionalForm"]}], 
                         "TraditionalForm"], "2"], 
                       \(k\^2 . \((k - p\_1 + p\_2)\)\^2\)], "+", FractionBox[
                       RowBox[{"2", " ", RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["l", 
                          "TraditionalForm"]}], " ", RowBox[{FormBox["l", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], 
                       \(k\^2 . \((k - p\_1 + p\_2)\)\^2\)], "+", FractionBox[
                       SuperscriptBox[FormBox[RowBox[{FormBox["l", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                       \(k\^2 . \((k - p\_1 + p\_2)\)\^2\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1216]="]}, 
                Open]]}, Open]], Cell["OneLoopSum", "ObjectName", 
            CellTags -> "OneLoopSum"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "OneLoopSum"], 
              Cell["OneLoopSum[ FeynAmp[ ... ], FeynAmp[ ... ] , ...] will \
calculate a list of Feynman amplitudes by replacing FeynAmp step by step by \
OneLoop.", "Text", CellTags -> "OneLoopSum"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], "."}], "Text", CellTags -> 
                "OneLoopSum"]}, Open]], Cell["OPE", "ObjectName", 
            CellTags -> "OPE"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "OPE"], Cell["OPE is a \
convenience variable to separate OPE insertions.\nOPE is also an option of \
several input functions like GluonPropagator.", "Text", CellTags -> "OPE"], 
              Cell["The OPE variable has the property to vanish for higher \
powers:", "Text"], Cell[CellGroupData[{Cell["{OPE,OPE^2,OPE^3}", "Input", 
                  CellLabel -> "In[1217]:="], Cell[BoxData[
                   \(TraditionalForm\`\({\[CapitalOmega], 0, 0}\)\)], 
                  "Output", CellLabel -> "Out[1217]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OPE1Loop", RuleDelayed[ButtonData, "OPE1Loop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPE1Loop"]], "."}], "Text", CellTags -> 
                "OPE"]}, Open]], Cell["OPEDelta", "ObjectName", 
            CellTags -> "OPEDelta"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "OPEDelta"], 
              Cell["OPEDelta is a lightlike axial vector as used e.g. in the \
operator product expansion in QCD.", "Text", CellTags -> "OPEDelta"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Twist2QuarkOperator", 
                   RuleDelayed[ButtonData, "Twist2QuarkOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2QuarkOperator"]], "."}], "Text", 
               CellTags -> "OPEDelta"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "OPEDelta"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FourVector[\(OPEDelta, \[Mu]\)]\)], "Input", 
                  CellLabel -> "In[1218]:=", CellTags -> "OPEDelta"], 
                 Cell[BoxData[FormBox[SubscriptBox[FormBox["\[CapitalDelta]", 
                      "TraditionalForm"], "\[Mu]"], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1218]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Contract[\(%\ %\)]\)], 
                  "Input", CellLabel -> "In[1219]:=", CellTags -> 
                   "OPEDelta"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[1219]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SP[\(OPEDelta, OPEDelta\)]\)]
                   , "Input", CellLabel -> "In[1220]:=", CellTags -> 
                   "OPEDelta"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[1220]="]}, Open]]}, Open]], 
           Cell["OPEi, OPEj, OPEk, OPEl, OPEm, OPEn, OPEo", "ObjectName", 
            CellTags -> "OPEi"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "OPEi"], Cell["OPEi, etc. are \
variables with DataType PositiveInteger which are used in functions relating \
to the operator product expansion.", "Text", CellTags -> "OPEi"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "OPEi"], Cell[CellGroupData[{Cell[BoxData["OPEi"], "Input", 
                  CellLabel -> "In[1221]:=", CellTags -> "OPEi"], 
                 Cell[BoxData[\(TraditionalForm\`i\)], "Output", CellLabel -> 
                   "Out[1221]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DataType[\(OPEi,\ OPEj, OPEk, OPEl,\ OPEm,\ OPEn,\ OPEo,
                        \ PositiveInteger\)]\)], "Input", CellLabel -> 
                   "In[1222]:=", CellTags -> "OPEi"], Cell[BoxData[
                   \(TraditionalForm\`\({True, True, True, True, True, True, 
                         True}\)\)], "Output", CellLabel -> "Out[1222]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PowerSimplify[\({\(\((\(-1\))\)^\((2OPEi)\)\), 
                         \(\((\(-1\))\)^\((2OPEj)\)\), 
                         \(\((\(-1\))\)^\((2OPEk)\)\), 
                         \(\((\(-1\))\)^\((2OPEl)\)\), 
                         \(\((\(-1\))\)^\((2OPEm)\)\), 
                         \(\((\(-1\))\)^\((2OPEn)\)\), 
                         \(\((\(-1\))\)^\((2OPEo)\)\)}\)]\)], "Input", 
                  CellLabel -> "In[1223]:=", CellTags -> "OPEi"], 
                 Cell[BoxData[\(TraditionalForm\`\({1, 1, 1, 1, 1, 1, 1}\)\)]
                   , "Output", CellLabel -> "Out[1223]="]}, Open]], 
              Cell["Re has been changed:", "Text", CellTags -> "OPEi"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \({\(\(Re[OPEi]\) > \(-3\)\),\ \(\(Re[OPEi]\) > \(-2\)\),
                       \ \(\(Re[OPEi]\) > \(-1\)\),\(\ \ \ \)
                       \(\(Re[OPEi]\) > 0\),\ \(\(Re[OPEi]\) > 1\)}\)], 
                  "Input", CellLabel -> "In[1224]:=", CellTags -> "OPEi"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(\(Re(i)\) > \(-3\)\), 
                         \(\(Re(i)\) > \(-2\)\), \(\(Re(i)\) > \(-1\)\), 
                         \(\(Re(i)\) > 0\), \(\(Re(i)\) > 1\)}\)\)], 
                  "Output", CellLabel -> "Out[1224]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \({\(\(Re[\(\(-OPEi\)\ +\ OPEm\)]\)\ >\ 0\),\ 
                       \(\(Re[\(\(-OPEi\)\ +\ OPEm\)]\)\ >\ 1\), 
                       \(\(Re[\(\(-OPEi\)\ +\ OPEm\)]\)\ >\ 2\)}\)], "Input", 
                  CellLabel -> "In[1225]:=", CellTags -> "OPEi"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(\(\(Re(m)\) - \(Re(i)\)\) > 0\), 
                         \(\(\(Re(m)\) - \(Re(i)\)\) > 1\), 
                         \(\(\(Re(m)\) - \(Re(i)\)\) > 2\)}\)\)], "Output", 
                  CellLabel -> "Out[1225]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \({\(\(Re[OPEm]\) > \(-3\)\),\ \(\(Re[OPEm]\) > \(-2\)\),
                       \ \(\(Re[OPEm]\) > \(-1\)\),\(\ \ \ \)
                       \(\(Re[OPEm]\) > 0\),\ \(\(Re[OPEm]\) > 1\)}\)], 
                  "Input", CellLabel -> "In[1226]:=", CellTags -> "OPEi"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(\(Re(m)\) > \(-3\)\), 
                         \(\(Re(m)\) > \(-2\)\), \(\(Re(m)\) > \(-1\)\), 
                         \(\(Re(m)\) > 0\), \(\(Re(m)\) > 1\)}\)\)], 
                  "Output", CellLabel -> "Out[1226]="]}, Open]]}, Open]], 
           Cell["OPEInsert  ***unfinished***", "ObjectName", 
            CellTags -> "OPEInsert"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "OPEInsert"], 
              Cell["OPEInsert[diagram_String, name_, rhifile_String] or \
OPEInsert[diagram_String, name_]. The setting of the option EpsContract (4 or \
D) determines whether the Levi-Civita tensors are contracted in 4 or D \
dimensions.", "Text", CellTags -> "OPEInsert"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "OPEInsert"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "OPEInsert"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1227]:=", CellTags -> "OPEInsert"]}, Open]], 
           Cell["OPEInt  ***unfinished***", "ObjectName", 
            CellTags -> "OPEInt"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "OPEInt"], 
              Cell["OPEInt[expr, q, p, x].  The dimension is changed to the \
one indicated by the option  Dimension. The setting of the option EpsContract \
determines  the dimension in which the Levi-Civita tensors are contracted.", 
               "Text", CellTags -> "OPEInt"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "OPEInt"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "OPEInt"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1228]:=", CellTags -> "OPEInt"]}, Open]], 
           Cell["OPEIntDelta  ***unfinished***", "ObjectName", 
            CellTags -> "OPEIntDelta"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "OPEIntDelta"], Cell[TextData[{"OPEIntDelta[expr, x, m] \
introduces the delta(1-x) (DeltaFunction[1-x]). The ", 
                 StyleBox["Mathematica", Rule[FontSlant, "Italic"]], " \
Integrate function is called and each integration  (from 0 to 1) is recorded \
for reference (and bug-checking) in the global list $MIntegrate. \nNotice \
that the dimension specified by the option should also be the dimension used \
in expr. It is replaced in OPEIntDelta by (4+Epsilon)."}], "Text", 
               CellTags -> "OPEIntDelta"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "OPEIntDelta"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "OPEIntDelta"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1229]:=", CellTags -> "OPEIntDelta"]}, Open]], 
           Cell["OPEIntegrate  ***unfinished***", "ObjectName", 
            CellTags -> "OPEIntegrate"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "OPEIntegrate"], Cell["OPEIntegrate[expr, q, x].  The \
dimension is changed to the one indicated by the option  Dimension. The \
setting of the option EpsContract determines  the dimension in which the \
Levi-Civita tensors are contracted.", "Text", CellTags -> "OPEIntegrate"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "OPEIntegrate"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "OPEIntegrate"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1230]:=", CellTags -> "OPEIntegrate"]}, Open]], 
           Cell["OPEIntegrateDelta  ***unfinished***", "ObjectName", 
            CellTags -> "OPEIntegrateDelta"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "OPEIntegrateDelta"], Cell[TextData[{"OPEIntegrateDelta[expr, \
x, m] introduces the \[Delta](1-x) (DeltaFunction[1-x]). The ", 
                 StyleBox["Mathematica", Rule[FontSlant, "Italic"]], " \
Integrate function is called and each integration  (from 0 to 1) is recorded \
for reference (and bug-checking) in the global list $MIntegrate. \nNotice \
that the dimension specified by the option should also be the dimension used \
in expr. It is replaced in OPEIntegrateDelta by (4+Epsilon)."}], "Text", 
               CellTags -> "OPEIntegrateDelta"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "OPEIntegrateDelta"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "OPEIntegrateDelta"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1231]:=", CellTags -> "OPEIntegrateDelta"]}, Open]], 
           Cell["OPESumExplicit", "ObjectName", CellTags -> 
             "OPESumExplicit"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "OPESumExplicit"], 
              Cell["OPESumExplicit[exp] calculates OPESum's.", "Text", 
               CellTags -> "OPESumExplicit"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["OPESum", RuleDelayed[ButtonData, "OPESum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPESum"]], ", ", 
                 ButtonBox["OPESumSimplify", 
                   RuleDelayed[ButtonData, "OPESumSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPESumSimplify"]], "."}], "Text", 
               CellTags -> "OPESumExplicit"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "OPESumExplicit"], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(OPESum[\(\(\(A^i\)\(B^\((m - i - 3)\)\)\), 
                          \({i, 0, \(m - 3\)}\)\)]\)\)], "Input", 
                  CellLabel -> "In[1232]:=", CellTags -> "OPESumExplicit"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*TagBox[\(
                          \[Sum]\+\(i = 0\)\%\(m - 3\) 
                           \(A\^i\ B\^\(\(-i\) + m - 3\)\)\), HoldForm]\)\)], 
                  "Output", CellLabel -> "Out[1232]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(OPESumExplicit[t1]\)], 
                  "Input", CellLabel -> "In[1233]:=", CellTags -> 
                   "OPESumExplicit"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[FormBox[\(A\^\(m - 2\)\), 
                        "TraditionalForm"], \(A - B\)], "-", FractionBox[
                       FormBox[\(B\^\(m - 2\)\), "TraditionalForm"], \(A - B\)
                       ]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1233]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t2\ =\ \(OPESum[\(\(\(a^i\)\(b^\((j - i)\)\) 
                            \(c^\((m - j - 4)\)\)\), \({i, 0, j}\), 
                          \({j, 0, \(m - 4\)}\)\)]\)\)], "Input", 
                  CellLabel -> "In[1234]:=", CellTags -> "OPESumExplicit"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[
                       TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), HoldForm], 
                       "TraditionalForm"], FormBox[\(""\ \((j + 1)\)\), 
                       "TraditionalForm"], FormBox[
                       \(a\^i\ b\^\(j - i\)\ c\^\(\(-j\) + m - 4\)\), 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1234]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(OPESumExplicit[t2]\)], "Input", CellLabel -> 
                   "In[1235]:=", CellTags -> "OPESumExplicit"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"-", FractionBox[
                         RowBox[{"c", " ", FormBox[\(a\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                         \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)]}], "+", 
                      FractionBox[RowBox[{"b", " ", FormBox[\(a\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)], "+", 
                      FractionBox[RowBox[{"c", " ", FormBox[\(b\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)], "-", 
                      FractionBox[RowBox[{"a", " ", FormBox[\(b\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)], "-", 
                      FractionBox[RowBox[{"b", " ", FormBox[\(c\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)], "+", 
                      FractionBox[RowBox[{"a", " ", FormBox[\(c\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1235]="]}, 
                Open]], Cell[BoxData[\(\(Clear[\(t1, t2\)]\) ;\)], "Input", 
               CellLabel -> "In[1236]:=", CellTags -> "OPESumExplicit"]}, 
             Open]], Cell["OPESum", "ObjectName", CellTags -> "OPESum"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "OPESum"], Cell["OPESum[exp, {i, 0, m}] denotes a \
symbolic sum.The syntax is the same as for Sum.", "Text", CellTags -> 
                "OPESum"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OPESumExplicit", 
                   RuleDelayed[ButtonData, "OPESumExplicit"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPESumExplicit"]], ", ", 
                 ButtonBox["OPESumSimplify", 
                   RuleDelayed[ButtonData, "OPESumSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPESumSimplify"]], "."}], "Text", 
               CellTags -> "OPESum"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "OPESum"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(OPESum[\(\(\(\(SO[p]\)^OPEi\)
                            \(\(SO[k]\)^\((OPEm - OPEi - 3)\)\)\), 
                          \({OPEi, 0, \(OPEm - 3\)}\)\)]\)\)], "Input", 
                  CellLabel -> "In[1237]:=", CellTags -> "OPESum"], 
                 Cell[BoxData[FormBox[TagBox[RowBox[{
                       \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                        {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\"\[CapitalDelta]\"", "TraditionalForm"], FormBox[
                          "\"\[CenterDot]\"", "TraditionalForm"], FormBox[
                          "k", "TraditionalForm"]}], ")"}], \(\(-i\) + m - 3\)
                          ], " ", SuperscriptBox[RowBox[{"(", RowBox[
                          {FormBox["\"\[CapitalDelta]\"", "TraditionalForm"], 
                          FormBox["\"\[CenterDot]\"", "TraditionalForm"], 
                          FormBox["p", "TraditionalForm"]}], ")"}], "i"]}]}], 
                     HoldForm], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1237]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(OPESumExplicit[t1]\)], "Input", CellLabel -> 
                   "In[1238]:=", CellTags -> "OPESum"], Cell[BoxData[
                   FormBox[RowBox[{FractionBox[FormBox[SuperscriptBox[
                         RowBox[{"(", RowBox[{FormBox["\"\[CapitalDelta]\"", 
                          "TraditionalForm"], FormBox["\"\[CenterDot]\"", 
                          "TraditionalForm"], FormBox["k", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)], 
                        "TraditionalForm"], RowBox[{RowBox[{FormBox[
                          "\"\[CapitalDelta]\"", "TraditionalForm"], FormBox[
                          "\"\[CenterDot]\"", "TraditionalForm"], FormBox[
                          "k", "TraditionalForm"]}], "-", RowBox[{FormBox[
                          "\"\[CapitalDelta]\"", "TraditionalForm"], FormBox[
                          "\"\[CenterDot]\"", "TraditionalForm"], FormBox[
                          "p", "TraditionalForm"]}]}]], "-", FractionBox[
                       FormBox[SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\"\[CapitalDelta]\"", "TraditionalForm"], FormBox[
                          "\"\[CenterDot]\"", "TraditionalForm"], FormBox[
                          "p", "TraditionalForm"]}], ")"}], \(m - 2\)], 
                        "TraditionalForm"], RowBox[{RowBox[{FormBox[
                          "\"\[CapitalDelta]\"", "TraditionalForm"], FormBox[
                          "\"\[CenterDot]\"", "TraditionalForm"], FormBox[
                          "k", "TraditionalForm"]}], "-", RowBox[{FormBox[
                          "\"\[CapitalDelta]\"", "TraditionalForm"], FormBox[
                          "\"\[CenterDot]\"", "TraditionalForm"], FormBox[
                          "p", "TraditionalForm"]}]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1238]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t2\ =\ \(OPESum[\(\(\(a^i\)\(b^\((j - i)\)\) 
                            \(c^\((m - j - 4)\)\)\), \({i, 0, j}\), 
                          \({j, 0, \(m - 4\)}\)\)]\)\)], "Input", 
                  CellLabel -> "In[1239]:=", CellTags -> "OPESum"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[
                       TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), HoldForm], 
                       "TraditionalForm"], FormBox[\(""\ \((j + 1)\)\), 
                       "TraditionalForm"], FormBox[
                       \(a\^i\ b\^\(j - i\)\ c\^\(\(-j\) + m - 4\)\), 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1239]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(OPESumExplicit[t2]\)], "Input", CellLabel -> 
                   "In[1240]:=", CellTags -> "OPESum"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"-", FractionBox[RowBox[{"c", " ", 
                          FormBox[\(a\^\(m - 2\)\), "TraditionalForm"]}], 
                         \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)]}], "+", 
                      FractionBox[RowBox[{"b", " ", FormBox[\(a\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)], "+", 
                      FractionBox[RowBox[{"c", " ", FormBox[\(b\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)], "-", 
                      FractionBox[RowBox[{"a", " ", FormBox[\(b\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)], "-", 
                      FractionBox[RowBox[{"b", " ", FormBox[\(c\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)], "+", 
                      FractionBox[RowBox[{"a", " ", FormBox[\(c\^\(m - 2\)\), 
                          "TraditionalForm"]}], 
                       \(\((a - b)\)\ \((a - c)\)\ \((b - c)\)\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1240]="]}, 
                Open]], Cell[BoxData[\(\ \(Clear[\(t1, t2\)]\)\)], "Input", 
               CellLabel -> "In[1241]:=", CellTags -> "OPESum"]}, Open]], 
           Cell["OPESumSimplify", "ObjectName", CellTags -> 
             "OPESumSimplify"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "OPESumSimplify"], 
              Cell["OPESumSimplify[exp] simplifies OPESum's in exp.", "Text", 
               CellTags -> "OPESumSimplify"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["OPESum", RuleDelayed[ButtonData, "OPESum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPESum"]], ", ", 
                 ButtonBox["OPESumExplicit", 
                   RuleDelayed[ButtonData, "OPESumExplicit"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPESumExplicit"]], "."}], "Text", 
               CellTags -> "OPESumSimplify"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "OPESumSimplify"], Cell[CellGroupData[{Cell["OPESum[(-SOD[p])\
^(OPEi+1) SOD[p-q]^(OPEm-OPEi-2),{OPEi,0,OPEm}]", "Input", CellLabel -> 
                   "In[1242]:=", CellTags -> "OPESumSimplify"], 
                 Cell[BoxData[FormBox[TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%m\)
                       , RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\"\[CapitalDelta]\"", 
                          "TraditionalForm"], FormBox["\"\[CenterDot]\"", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], ")"}], \(i + 1\)], 
                         " ", SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\"\[CapitalDelta]\"", "TraditionalForm"], FormBox[
                          "\"\[CenterDot]\"", "TraditionalForm"], FormBox[
                          "\"(\"", "TraditionalForm"], FormBox[\(p - q\), 
                          "TraditionalForm"], FormBox["\")\"", 
                          "TraditionalForm"]}], ")"}], \(\(-i\) + m - 2\)]}]}]
                          , HoldForm], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1242]="]}, Open]], Cell[CellGroupData[
                {Cell["OPESumSimplify[%]", "Input", CellLabel -> 
                   "In[1243]:=", CellTags -> "OPESumSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"-", FormBox[TagBox[
                          RowBox[{\(\[Sum]\+\(i = 0\)\%m\), RowBox[{
                          \(\((\(-1\))\)\^i\), " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", "(", FormBox[\(p - q\), 
                          "TraditionalForm"], ")"}], ")"}], \(\(-i\) + m - 2\)
                          ]}]}], HoldForm], "TraditionalForm"]}], " ", 
                      RowBox[{FormBox["\[CapitalDelta]", "TraditionalForm"], 
                        "\[CenterDot]", FormBox["p", "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1243]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(OPESumSimplify[\(\(OPESum[\({OPEi, 0, OPEm}\)]\)\ 
                        \(a^OPEi\)\)]\)], "Input", CellLabel -> "In[1244]:=", 
                  CellTags -> "OPESumSimplify"], Cell[BoxData[FormBox[
                    TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%m\), FormBox[\(a\^i\)
                        , "TraditionalForm"]}], HoldForm], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1244]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(OPESumSimplify[\(\(OPESum[
                          \(\({j, 0, i}\), \({i, 0, m}\)\)]\)\ 
                        \(a^\((j - i)\)\)\ \(b^i\)\)]\)], "Input", 
                  CellLabel -> "In[1245]:=", CellTags -> "OPESumSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[
                       TagBox[\(\[Sum]\+\(i = 0\)\%m ""\), HoldForm], 
                       "TraditionalForm"], FormBox[\(""\ \((i + 1)\)\), 
                       "TraditionalForm"], FormBox[\(a\^\(j - i\)\ b\^i\), 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1245]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1246]:=", CellTags -> "OPESumSimplify"], Cell[BoxData[
                   \(OPESum[\(\(a\^\(\(-i\) + j\)\ b\^i\), \({i, 0, m}\), 
                        \({j, 0, i}\)\)]\)], "Output", CellLabel -> 
                   "Out[1246]//StandardForm="]}, Open]]}, Open]], 
           Cell["OPE1Loop ", "ObjectName", CellTags -> "OPE1Loop"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "OPE1Loop"], Cell["OPE1Loop[q1, amp].  \
OPE1Loop[{q1,q2}, amp] does sub-loop  decomposition.", "Text", CellTags -> 
                "OPE1Loop"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OPESum", RuleDelayed[ButtonData, "OPESum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPESum"]], "."}], "Text", CellTags -> 
                "OPE1Loop"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "OPE1Loop"], 
              Cell[BoxData[""], "Input", CellLabel -> "In[1247]:=", 
               CellTags -> "OPE1Loop"]}, Open]], 
           Cell["OPE2TID  ***unfinished***", "ObjectName", 
            CellTags -> "OPE2TID"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "OPE2TID"], 
              Cell["OPE2TID[exp, k1, k2, p]. The setting of the option \
EpsContract determines the dimension in which the Levi-Civita tensors are \
contracted.", "Text", CellTags -> "OPE2TID"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[OPE2TID]\)], "Input", CellLabel -> 
                   "In[1248]:=", CellTags -> "OPE2TID"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Uncontract \[Rule] False\), 
                         \(Contract \[Rule] True\), \(Dimension \[Rule] D\), 
                         \(EpsContract \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[1248]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["OPESum", RuleDelayed[ButtonData, "OPESum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPESum"]], "."}], "Text", CellTags -> 
                "OPE2TID"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "OPE2TID"], 
              Cell[BoxData[""], "Input", CellLabel -> "In[1249]:=", 
               CellTags -> "OPE2TID"]}, Open]], Cell["OptionsSelect", 
            "ObjectName", CellTags -> "OptionsSelect"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "OptionsSelect"], Cell["OptionsSelect[function,opt\
s] returns the option settings of opts accepted by function.  When an option \
occurs several times in opts, the first setting is selected.", "Text", 
               CellTags -> "OptionsSelect"]}, Open]], Cell["Pair", 
            "ObjectName", CellTags -> "Pair"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Pair"], 
              Cell[TextData[{"Pair[x, y] is the head of a special pairing \
used in the internal representation: x and y may have heads LorentzIndex or \
Momentum. If both x and y have head LorentzIndex, the metric tensor is \
understood. If x and y have head Momentum, a scalar product is meant. If one \
of x and y has head LorentzIndex and the other Momentum, a Lorentz vector ", 
                 Cell[BoxData[\(TraditionalForm\`\(p\^\[Mu]\)\)]], 
                 " is understood."}], "Text", CellTags -> "Pair"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FourVector", RuleDelayed[ButtonData, 
                    "FourVector"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FourVector"]], ", ", 
                 ButtonBox["FV", RuleDelayed[ButtonData, "FV"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FV"]], 
                 ", ", 
                 ButtonBox["FVD", RuleDelayed[ButtonData, "FVD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FVD"]], 
                 ", ", 
                 ButtonBox["MetricTensor", 
                   RuleDelayed[ButtonData, "MetricTensor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "MetricTensor"]], ", ", 
                 ButtonBox["MT", RuleDelayed[ButtonData, "MT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "MT"]], 
                 ", ", 
                 ButtonBox["MTD", RuleDelayed[ButtonData, "MTD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "MTD"]], 
                 ", ", 
                 ButtonBox["ScalarProduct", 
                   RuleDelayed[ButtonData, "ScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProduct"]], ", ", 
                 ButtonBox["SP", RuleDelayed[ButtonData, "SP"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SP"]], 
                 ", ", 
                 ButtonBox["SPD", RuleDelayed[ButtonData, "SPD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SPD"]], 
                 "."}], "Text", CellTags -> "Pair"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Pair"], Cell[
               "This represents a four-dimensional metric tensor.", "Text", 
               CellTags -> "Pair"], Cell[CellGroupData[{Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[\[Alpha]]\), 
                        \(LorentzIndex[\[Beta]]\)\)]\)], "Input", 
                  CellLabel -> "In[1250]:=", CellTags -> "Pair"], 
                 Cell[BoxData[\(TraditionalForm\`\(g\^\(\[Alpha]\[Beta]\)\)\)]
                   , "Output", CellLabel -> "Out[1250]="]}, Open]], 
              Cell["This is a D-dimensional metric tensor.", "Text", 
               CellTags -> "Pair"], Cell[CellGroupData[{Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[\(\[Alpha], D\)]\), 
                        \(LorentzIndex[\(\[Beta], D\)]\)\)]\)], "Input", 
                  CellLabel -> "In[1251]:=", CellTags -> "Pair"], 
                 Cell[BoxData[\(TraditionalForm\`\(g\^\(\[Alpha]\[Beta]\)\)\)]
                   , "Output", CellLabel -> "Out[1251]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[\[Alpha]]\), \(Momentum[p]\)\)]\)]\
, "Input", CellLabel -> "In[1252]:=", CellTags -> "Pair"], Cell[BoxData[
                   FormBox[SuperscriptBox[FormBox["p", "TraditionalForm"], 
                     FormBox[FormBox["\[Alpha]", "TraditionalForm"], 
                      "TraditionalForm"]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1252]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Pair[\(\(Momentum[q]\), \(Momentum[p]\)\)]\)]
                   , "Input", CellLabel -> "In[1253]:=", CellTags -> "Pair"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["p", 
                       "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1253]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Pair[\(\(Momentum[p]\), \(Momentum[p]\)\)]\)]
                   , "Input", CellLabel -> "In[1254]:=", CellTags -> "Pair"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox["p", 
                      "TraditionalForm"], "2"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1254]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Pair[\(\(Momentum[\(p - q\)]\), \(Momentum[p]\)\)]\)], 
                  "Input", CellLabel -> "In[1255]:=", CellTags -> "Pair"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["p", 
                       "TraditionalForm"], "\[CenterDot]", "(", FormBox[
                       \(p - q\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1255]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Pair[\(\(Momentum[p]\), \(Momentum[p]\)\)]\)^2\)], 
                  "Input", CellLabel -> "In[1256]:=", CellTags -> "Pair"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox["p", 
                      "TraditionalForm"], "4"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1256]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Pair[\(\(Momentum[p]\), \(Momentum[p]\)\)]\)^3\)], 
                  "Input", CellLabel -> "In[1257]:=", CellTags -> "Pair"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox["p", 
                      "TraditionalForm"], "6"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1257]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Pair[\(\(LorentzIndex[\(\[Alpha], \(n - 4\)\)]\), 
                          \(LorentzIndex[\[Beta]]\)\)]\)//Contract\)], 
                  "Input", CellLabel -> "In[1258]:=", CellTags -> "Pair"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1258]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct[\(
                       Pair[\(\(Momentum[\(p - q\)]\), \(Momentum[p]\)\)]\)]\
\)], "Input", CellLabel -> "In[1259]:=", CellTags -> "Pair"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox[FormBox["p", 
                        "TraditionalForm"], "2"], "-", RowBox[{FormBox["p", 
                         "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                         "TraditionalForm"]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1259]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Pair[\(\(Momentum[\(-q\)]\), \(Momentum[p]\)\)]\)\ +\ 
                      \(Pair[\(\(Momentum[q]\), \(Momentum[p]\)\)]\)\)], 
                  "Input", CellLabel -> "In[1260]:=", CellTags -> "Pair"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1260]="]}, Open]]}, Open]], Cell["PairCollect", 
            "ObjectName", CellTags -> "PairCollect"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PairCollect"], Cell["PairCollect is an option for \
DiracTrace specifying if the result is collected with respect to Pair's.", 
               "Text", CellTags -> "PairCollect"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, "."}], "Text", CellTags -> "PairCollect"]}, Open]], Cell["PairContract", 
            "ObjectName", CellTags -> "PairContract"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PairContract"], Cell["PairContract is like Pair, \
but with (local) contraction properties.", "Text", CellTags -> 
                "PairContract"], Cell[TextData[{"See also: ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], "."}], "Text", CellTags -> 
                "PairContract"]}, Open]], Cell["PairContract2", "ObjectName", 
            CellTags -> "PairContract2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "PairContract2"], Cell["PairContract2 is like Pair, but with \
local contraction properties among PairContract2's.", "Text", CellTags -> 
                "PairContract2"], Cell[TextData[{"See also: ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], ", ", 
                 ButtonBox["PairContract", 
                   RuleDelayed[ButtonData, "PairContract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PairContract"]], "."}], "Text", 
               CellTags -> "PairContract2"]}, Open]], Cell["PairContract3", 
            "ObjectName", CellTags -> "PairContract3"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PairContract3"], Cell["PairContract3 is like \
Pair, but with local contraction properties among PairContract3's.", "Text", 
               CellTags -> "PairContract3"], Cell[TextData[{"See also: ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], ", ", 
                 ButtonBox["PairContract", 
                   RuleDelayed[ButtonData, "PairContract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PairContract"]], "."}], "Text", 
               CellTags -> "PairContract3"]}, Open]], Cell["PartialD", 
            "ObjectName", CellTags -> "PartialD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PartialD"], Cell[TextData[{"PartialD[", 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)]], 
                 "] denotes the four-dimensional ", Cell[BoxData[FormBox[
                    RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                      "."}], TraditionalForm]]], " PartialD is used to denote \
derivative fields. PartialD[LorentzIndex[", Cell[BoxData[
                   \(TraditionalForm\`\(\[Mu], 
                        \*StyleBox["D", Rule[FontSlant, "Plain"]]\)\)]], 
                 "]] denotes the ", Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["D", 
                         Rule[FontSlant, "Plain"]]\)\)]], "-dimensional ", 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox["\[PartialD]", 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], "."}], TraditionalForm]]]}], 
               "Text", ZeroWidthTimes -> True, CellTags -> "PartialD"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], ", ", 
                 ButtonBox["LeftPartialD", 
                   RuleDelayed[ButtonData, "LeftPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftPartialD"]], ", ", 
                 ButtonBox["LeftRightPartialD", 
                   RuleDelayed[ButtonData, "LeftRightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftRightPartialD"]], ", ", 
                 ButtonBox["RightPartialD", 
                   RuleDelayed[ButtonData, "RightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RightPartialD"]], "."}], "Text", 
               CellTags -> "PartialD"]}, Open]], Cell[CellGroupData[
             {Cell[BoxData["Examples"], "Subsubsection", CellTags -> 
                "PartialD"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(QuantumField[\(A, \({\[Mu]}\)\)]\) . 
                      \(LeftPartialD[\[Nu]]\)\)], "Input", CellLabel -> 
                   "In[1261]:=", CellTags -> "PartialD"], Cell[BoxData[
                   FormBox[RowBox[{\(A\_\[Mu]\), ".", SubscriptBox[
                       \(\[PartialD]\&\[LeftArrow]\), FormBox[FormBox[
                         "\[Nu]", "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1261]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(ExpandPartialD[%]\)
                   ], "Input", CellLabel -> "In[1262]:=", CellTags -> 
                   "PartialD"], Cell[BoxData[FormBox[RowBox[{SubscriptBox[
                       "\[PartialD]", FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]], 
                      SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], 
                       "\[Null]"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1262]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(StandardForm[%]\)], "Input", CellLabel -> 
                   "In[1263]:=", CellTags -> "PartialD"], Cell[BoxData[
                   \(QuantumField[\(\(PartialD[\(LorentzIndex[\[Nu]]\)]\), A,
                         \(LorentzIndex[\[Mu]]\)\)]\)], "Output", 
                  CellLabel -> "Out[1263]//StandardForm="]}, Open]]}, Open]], 
           Cell["PartialDRelations", "ObjectName", CellTags -> 
             "PartialDRelations"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "PartialDRelations"], Cell["PartialDRelations is an option \
for ExpandPartialD. It is a list of rules applied by ExpandPartialD at the \
end.", "Text", ZeroWidthTimes -> True, CellTags -> "PartialDRelations"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PartialD", RuleDelayed[ButtonData, "PartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PartialD"]], ", ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], ", ", 
                 ButtonBox["LeftPartialD", 
                   RuleDelayed[ButtonData, "LeftPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftPartialD"]], ", ", 
                 ButtonBox["LeftRightPartialD", 
                   RuleDelayed[ButtonData, "LeftRightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftRightPartialD"]], ", ", 
                 ButtonBox["RightPartialD", 
                   RuleDelayed[ButtonData, "RightPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RightPartialD"]], "."}], "Text", 
               CellTags -> "PartialDRelations"]}, Open]], 
           Cell[CellGroupData[{Cell[BoxData["Examples"], "Subsubsection", 
               CellTags -> "PartialDRelations"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(QuantumField[\(A, \({\[Mu]}\)\)]\) . 
                      \(QuantumField[\(B, \({\[Mu]}\)\)]\) . 
                      \(LeftPartialD[\[Nu]]\)\)], "Input", CellLabel -> 
                   "In[1264]:=", CellTags -> "PartialDRelations"], 
                 Cell[BoxData[FormBox[RowBox[{\(A\_\[Mu]\), ".", \(B\_\[Mu]\)
                      , ".", SubscriptBox[\(\[PartialD]\&\[LeftArrow]\), 
                       FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1264]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(ExpandPartialD[\(%,\ \(
                         PartialDRelations \[Rule] \({A \[Rule] C}\)\)\)]\)], 
                  "Input", CellLabel -> "In[1265]:=", CellTags -> 
                   "PartialDRelations"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SubscriptBox[FormBox["C", "TraditionalForm"], 
                         "\[Mu]"], ".", RowBox[{SubscriptBox["\[PartialD]", 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], SubsuperscriptBox["B", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}]}], "+", RowBox[
                       {RowBox[{SubscriptBox["\[PartialD]", FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                          SubsuperscriptBox[FormBox["C", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[Null]"]}], ".", \(B\_\[Mu]\)}
                        ]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1265]="]}, Open]]}, Open]], Cell["PartialFourVector", 
            "ObjectName", CellTags -> "PartialFourVector"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PartialFourVector"], Cell["PartialFourVector[exp, \
FourVector[p, mu]]  calculates the partial derivative of exp w.r.t. p(mu). \
PartialFourVector[exp, FourVector[p, mu], FourVector[p,nu], ...]  gives the \
multiple derivative.", "Text", ZeroWidthTimes -> True, CellTags -> 
                "PartialFourVector"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FourVector", RuleDelayed[ButtonData, 
                    "FourVector"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FourVector"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], "."}], "Text", CellTags -> 
                "PartialFourVector"]}, Open]], Cell[CellGroupData[
             {Cell[BoxData["Examples"], "Subsubsection", CellTags -> 
                "PartialFourVector"], Cell[CellGroupData[{Cell[BoxData[
                   \(PartialFourVector[\(\(
                         a\ \[ExponentialE]\^
                           \(\(FourVector[\(p, \[Nu]\)]\)\^2\)\), 
                        \(FourVector[\(p, \[Mu]\)]\)\)]\)], "Input", 
                  CellLabel -> "In[1266]:=", CellTags -> 
                   "PartialFourVector"], Cell[BoxData[FormBox[RowBox[
                     {"2", " ", "a", " ", SuperscriptBox["\[ExponentialE]", 
                       SuperscriptBox[FormBox["p", "TraditionalForm"], "2"]], 
                      " ", SuperscriptBox[FormBox["p", "TraditionalForm"], 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1266]="]}, Open]]}, Open]], 
           Cell["PartialIntegrate", "ObjectName", CellTags -> 
             "PartialIntegrate"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "PartialIntegrate"], Cell[" PartialIntegrate[exp, ap, t] does \
a partial integration of the definite integral Integrate[exp,{t,0,1}], with \
ap the factor that is to be integrated and exp/ap the factor that is to be \
differentiated.", "Text", ZeroWidthTimes -> True, CellTags -> 
                "PartialIntegrate"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[PartialIntegrate]\)], "Input", CellLabel -> 
                   "In[1267]:=", CellTags -> "PartialIntegrate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({Integrate \[Rule] Integrate}\)\)], 
                  "Output", CellLabel -> "Out[1267]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell[BoxData["Examples"], "Subsubsection", 
               CellTags -> "PartialIntegrate"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(PartialIntegrate[\(\(\(f[x]\) \(g[x]\)\), \(g[x]\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[1268]:=", CellTags -> "PartialIntegrate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(-
                          \((\*TagBox[\(\(
                                 \(f(x)\)\ 
                                  \(\[Integral] 
                                    \(\(g(x)\) \(\[DifferentialD] x\)\)\)\)\
/.\[InvisibleSpace]\(x \[Rule] 0\)\), HoldForm])\)\) + 
                        \((\*TagBox[\(\(\(f(x)\)\ 
                                \(\[Integral] 
                                  \(\(g(x)\) \(\[DifferentialD] x\)\)\)\)/.
                              \[InvisibleSpace]\(x \[Rule] 1\)\), HoldForm])\
\) - \(\[Integral]\_0\%1 
                          \(\(\((\[Integral] 
                                 \(\(g(x)\) \(\[DifferentialD] x\)\))\)\ 
                              \(\(\*SuperscriptBox["f", "\[Prime]", 
                                   Rule[MultilineFunction, None]]\)(x)\)\) 
                            \(\[DifferentialD] x\)\)\)\)\)], "Output", 
                  CellLabel -> "Out[1268]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//InputForm\)], "Input", CellLabel -> 
                   "In[1269]:="], Cell["-HoldForm[f[x]*Integrate[g[x], x] /. \
x -> 0] + \n HoldForm[f[x]*Integrate[g[x], x] /. x -> 1] - \n \
Integrate[Integrate[g[x], x]*Derivative[1][f][x], {x, 0, 1}]", "Output", 
                  CellLabel -> "Out[1269]//InputForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(f[x_]\) = \(Integrate[\(\(Log[\(\(3x\) + 2\)]\), x\)]
                       \)\)], "Input", CellLabel -> "In[1270]:=", CellTags -> 
                   "PartialIntegrate"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/3\ \((\(\(-3\)\ x\) - 2)\)\) + 
                        \(1\/3\ \((\(3\ x\) + 2)\)\ \(log(\(\(3\ x\) + 2\))\)
                         \)\)\)], "Output", CellLabel -> "Out[1270]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(g[x_]\) = \(D[\(1\/\(Log[\(\(3x\) + 2\)]\), x\)]\)\)], 
                  "Input", CellLabel -> "In[1271]:=", CellTags -> 
                   "PartialIntegrate"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(
                         3\/\(\((\(3\ x\) + 2)\)\ 
                            \(\(log\^2\)(\(\(3\ x\) + 2\))\)\)\)\)\)], 
                  "Output", CellLabel -> "Out[1271]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Integrate[\(\(PartialIntegrate[
                            \(\(\(f[x]\) \(g[x]\)\), \(f[x]\), x\)]\), 
                          \({x, 0, 1}\)\)]\)//FullSimplify\)], "Input", 
                  CellLabel -> "In[1272]:=", CellTags -> "PartialIntegrate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(-\(
                         \(log(\(32\/25\))\)\/\(\(log(5)\)\ \(log(8)\)\)\)\)\
\)], "Output", CellLabel -> "Out[1272]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Integrate[\(\(\(f[x]\) \(g[x]\)\), \({x, 0, 1}\)\)]\)
                      //Simplify\)], "Input", CellLabel -> "In[1273]:=", 
                  CellTags -> "PartialIntegrate"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(
                         \(log(\(32\/25\))\)\/\(\(log(5)\)\ \(log(8)\)\)\)\)\
\)], "Output", CellLabel -> "Out[1273]="]}, Open]], Cell[BoxData[
                \(Clear[\(f, g\)]\)], "Input", CellLabel -> "In[1274]:=", 
               CellTags -> "PartialIntegrate"]}, Open]], Cell["PartitHead", 
            "ObjectName", CellTags -> "PartitHead"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PartitHead"], Cell["PartitHead[expr, h] returns a \
list {ex1, h[ex2]} with ex1 free of expressions with head h, and h[ex2] \
having head h.", "Text", CellTags -> "PartitHead"]}, Open]], 
           Cell["PauliSigma", "ObjectName", CellTags -> "PauliSigma"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PauliSigma"], Cell["PauliSigma denotes the vector \
of the 3 Pauli matrices. PauliSigma[1], PauliSigma[2], PauliSigma[3] give the \
explicit Pauli matrices. PauliSigma[] yields {PauliSigma[1], PauliSigma[2], \
PauliSigma[3]}.", "Text", CellTags -> "PauliSigma"], Cell[CellGroupData[
                {Cell[BoxData[\(\(PauliSigma[]\)//TableForm\)], "Input", 
                  CellLabel -> "In[1275]:=", CellTags -> "PauliSigma"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[GridBox[
                          {{GridBox[{{"0"}, {"1"}}, RowSpacings -> 0.25, 
                             ColumnSpacings -> 1., 
                             RowAlignments -> Baseline, 
                             ColumnAlignments -> {Left}], 
                            GridBox[{{"1"}, {"0"}}, RowSpacings -> 0.25, 
                             ColumnSpacings -> 1., 
                             RowAlignments -> Baseline, 
                             ColumnAlignments -> {Left}]}, 
                           {GridBox[{{"0"}, {\(-\[ImaginaryI]\)}}, 
                             RowSpacings -> 0.25, ColumnSpacings -> 1., 
                             RowAlignments -> Baseline, 
                             ColumnAlignments -> {Left}], 
                            GridBox[{{"\[ImaginaryI]"}, {"0"}}, 
                             RowSpacings -> 0.25, ColumnSpacings -> 1., 
                             RowAlignments -> Baseline, 
                             ColumnAlignments -> {Left}]}, 
                           {GridBox[{{"1"}, {"0"}}, RowSpacings -> 0.25, 
                             ColumnSpacings -> 1., 
                             RowAlignments -> Baseline, 
                             ColumnAlignments -> {Left}], 
                            GridBox[{{"0"}, {\(-1\)}}, 
                             RowSpacings -> 0.25, ColumnSpacings -> 1., 
                             RowAlignments -> Baseline, 
                             ColumnAlignments -> {Left}]}}, 
                          RowSpacings -> 1., ColumnSpacings -> 3., 
                          RowAlignments -> Baseline, 
                          ColumnAlignments -> {Left}], 
                         TableForm[List[List[List[0, 1], List[1, 0]], 
                           List[List[0, Complex[0, -1]], 
                            List[Complex[0, 1], 0]], 
                           List[List[1, 0], List[0, -1]]]]]\)\)], "Output", 
                  CellLabel -> "Out[1275]//TableForm="]}, Open]]}, Open]], 
           Cell["PaVe", "ObjectName", CellTags -> "PaVe"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PaVe"], Cell[" PaVe[ i,j,... {p10,p12,...},{m1^2, \
mw^2, ...} ] denotes the invariant (and scalar) Passarino-Veltman integrals, \
i.e. the coefficient functions of the tensor integral decomposition. Joining \
plist and mlist gives the same conventions as for A0, B0, C0, D0. Automatic \
simlifications are performed for the coefficient functions of two-point \
integrals and for the scalar integrals.", "Text", CellTags -> "PaVe"], 
              Cell[TextData[{"For a more detailed description see the manual \
(no changes from there basically): ", 
                 ButtonBox["http://www.mertig.com/oldfc", 
                   RuleDelayed[ButtonData, 
                    List[URL["http://www.mertig.com/oldfc"], None]], 
                   Rule[ButtonStyle, "Hyperlink"]]}], "Text", CellTags -> 
                "PaVe"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], "."}], "Text", 
               CellTags -> "PaVe"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "PaVe"], 
              Cell["Some of the PaVe's reduce to special cases.", "Text", 
               CellTags -> "PaVe"], Cell[CellGroupData[{Cell[BoxData[
                   \(PaVe[\(0, \({a, b, c, d, e, f}\), \({m1, m2, m3, m4}\)\)
                      ]\)], "Input", CellLabel -> "In[1276]:=", CellTags -> 
                   "PaVe"], Cell[BoxData[FormBox[RowBox[{FormBox[\("D"\_"0"\)
                       , "TraditionalForm"], "(", "a", ",", "b", ",", "c", 
                      ",", "d", ",", "e", ",", "f", ",", "m1", ",", "m2", 
                      ",", "m3", ",", "m4", ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1276]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(PaVe[\(0, 0, \({pp}\), \({\(m^2\), \(M^2\)}\)\)]\)], 
                  "Input", CellLabel -> "In[1277]:=", CellTags -> "PaVe"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(1\/3\ \(B\_0 (pp, m\^2, M\^2)\)\ m\^2\), "+", 
                      \(1\/18\ \((\(3\ m\^2\) + \(3\ M\^2\) - pp)\)\), "+", 
                      RowBox[{\(1\/6\), " ", RowBox[{"(", RowBox[{RowBox[
                          {FormBox[\("A"\_"0"\), "TraditionalForm"], "(", 
                          FormBox[\(M\^2\), "TraditionalForm"], ")"}], "+", 
                          \(\((m\^2 - M\^2 + pp)\)\ 
                             \((\(\((M\^2 - m\^2)\)\ 
                                   \((\(B\_0 (pp, m\^2, M\^2)\) - 
                                      \(B\_0 (0, m\^2, M\^2)\))\)\)\/
                                 \(2\ pp\) - \(
                                 1\/2\ \(B\_0 (pp, m\^2, M\^2)\)\))\)\)}], 
                          ")"}]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1277]="]}, Open]]}, Open]], 
           Cell["PaVeOrderList", "ObjectName", CellTags -> "PaVeOrderList"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PaVeOrderList"], Cell["PaVeOrderList is an option \
for PaVeOrder and PaVeReduce, specifying in which order the arguments of D0 \
are to be permuted.", "Text", CellTags -> "PaVeOrderList"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["PaVeOrder", RuleDelayed[ButtonData, 
                    "PaVeOrder"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeOrder"]], ", ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, ", ", 
                 ButtonBox["D0", RuleDelayed[ButtonData, "D0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "D0"]], 
                 "."}], "Text", CellTags -> "PaVeOrderList"]}, Open]], 
           Cell["PaVeOrder", "ObjectName", CellTags -> "PaVeOrder"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PaVeOrder"], Cell[TextData[{"PaVeOrder[expr] \
orders the arguments of all D0 in expr in a standard way. PaVeOrder[expr, \
PaVeOrderList \[Rule] { {..., s, u, ...}, {... ", Cell[BoxData[
                   \(TraditionalForm\`\(\(m\_1\)\^2\)\)]], ", ", Cell[BoxData[
                   \(TraditionalForm\`\(\(m\_2\)\^2\)\)]], " ...}, ...}] \
orders the arguments of all D0 in expr according to the specified ordering \
lists. The lists may contain only a subsequence of the D0-variables."}], 
               "Text", CellTags -> "PaVeOrder"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], "."}], "Text", 
               CellTags -> "PaVeOrder"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "PaVeOrder"], Cell[CellGroupData[{Cell[BoxData[
                   \(PaVeOrder[\(\(D0[\(me2, me2, mw2, mw2, t, s, me2, 0, m\
e2, 0\)]\), \(PaVeOrderList \[Rule] \({me2, me2, 0, 0}\)\)
                   \)]\)], "Input", CellLabel -> "In[1278]:=", CellTags -> 
                   "PaVeOrder"], Cell[BoxData[FormBox[RowBox[{FormBox[
                       \("D"\_"0"\), "TraditionalForm"], "(", "me2", ",", 
                      "s", ",", "mw2", ",", "t", ",", "mw2", ",", "me2", ",", 
                      "me2", ",", FormBox["0", "TraditionalForm"], ",", 
                      FormBox["0", "TraditionalForm"], ",", "me2", ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1278]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PaVeOrder[\(\(D0[\(me2, me2, mw2, mw2, t, s, me2, 0, m\
e2, 0\)]\), \(PaVeOrderList \[Rule] \({me2, me2, 0, 0}\)\)
                   \)]\)], "Input", CellLabel -> "In[1279]:=", CellTags -> 
                   "PaVeOrder"], Cell[BoxData[FormBox[RowBox[{FormBox[
                       \("D"\_"0"\), "TraditionalForm"], "(", "me2", ",", 
                      "s", ",", "mw2", ",", "t", ",", "mw2", ",", "me2", ",", 
                      "me2", ",", FormBox["0", "TraditionalForm"], ",", 
                      FormBox["0", "TraditionalForm"], ",", "me2", ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1279]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PaVeOrder[\(\(\(D0[\(a, b, c, d, e, f, m12, m22, m32, 
                              m42\)]\) + \(
                           D0[\(me2, me2, mw2, mw2, t, s, me2, 0, me2, 0\)]\)
                   \), \(PaVeOrderList \[Rule] 
                          \({\({me2, me2, 0, 0}\), \({f, e}\)}\)\)\)]\)], 
                  "Input", CellLabel -> "In[1280]:=", CellTags -> 
                   "PaVeOrder"], Cell[BoxData[FormBox[RowBox[{RowBox[{FormBox[
                         \("D"\_"0"\), "TraditionalForm"], "(", "a", ",", 
                        "d", ",", "c", ",", "b", ",", "f", ",", "e", ",", 
                        "m22", ",", "m12", ",", "m42", ",", "m32", ")"}], 
                      "+", RowBox[{FormBox[\("D"\_"0"\), "TraditionalForm"], 
                        "(", "me2", ",", "s", ",", "mw2", ",", "t", ",", 
                        "mw2", ",", "me2", ",", "me2", ",", FormBox["0", 
                         "TraditionalForm"], ",", FormBox["0", 
                         "TraditionalForm"], ",", "me2", ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1280]="]}, 
                Open]]}, Open]], Cell["PaVeReduce", "ObjectName", 
            CellTags -> "PaVeReduce"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "PaVeReduce"], 
              Cell["PaVeReduce[expr] reduces all Passarino-Veltman integrals \
(i.e. all PaVe's) in expr down to scalar A0, B0, C0 and D0.", "Text", 
               CellTags -> "PaVeReduce"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[PaVeReduce]\)], "Input", CellLabel -> 
                   "In[1281]:=", CellTags -> "PaVeReduce"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] True\), 
                         \(IsolateNames \[Rule] False\), 
                         \(Mandelstam \[Rule] \({}\)\), 
                         \(PaVeOrderList \[Rule] \({}\)\), 
                         \(WriteOutPaVe \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[1281]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(? WriteOutPaVe\)], "Input", CellLabel -> 
                   "In[1282]:=", CellTags -> "PaVeReduce"], Cell[BoxData["\"W\
riteOutPaVe is an option for PaVeReduce and OneLoopSum. If set to a string, \
the results of all Passarino-Veltman PaVe's are stored in files with names \
generated from this string and the arguments of PaVe.\""], "Print", 
                  CellTags -> "Info3288620504-8350595"]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FRH", RuleDelayed[ButtonData, "FRH"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FRH"]], 
                 ", ", 
                 ButtonBox["PaVeOrder", RuleDelayed[ButtonData, 
                    "PaVeOrder"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeOrder"]], "."}], "Text", CellTags -> 
                "PaVeReduce"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "PaVeReduce"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(PaVeReduce[\(\(PaVe[\(
                           1, 2, \({s, \(m^2\), \(m^2\)}\), 
                            \({\(m^2\), \(m^2\), \(M^2\)}\)\)]\), 
                        \(IsolateHead \[Rule] L\)\)]\)], "Input", 
                  CellLabel -> "In[1283]:=", CellTags -> "PaVeReduce"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{
                         \((\(8\ m\^2\) - \(3\ M\^2\) - \(2\ s\))\), " ", 
                         RowBox[{FormBox[\("C"\_"0"\), "TraditionalForm"], 
                          "(", FormBox[\(m\^2\), "TraditionalForm"], ",", 
                          FormBox[\(m\^2\), "TraditionalForm"], ",", "s", 
                          ",", FormBox[\(m\^2\), "TraditionalForm"], ",", 
                          FormBox[\(M\^2\), "TraditionalForm"], ",", FormBox[
                          \(m\^2\), "TraditionalForm"], ")"}], " ", \(M\^2\)}]
                         , \(\((\(4\ m\^2\) - s)\)\^2\)], "+", 
                      \(\(\((m\^2 - M\^2)\)\ \(B\_0 (0, m\^2, M\^2)\)\)\/
                         \(2\ m\^2\ \((\(4\ m\^2\) - s)\)\)\), "-", 
                      \(\(\((\(8\ m\^4\) - \(10\ M\^2\ m\^2\) - 
                              \(2\ s\ m\^2\) + \(M\^2\ s\))\)\ 
                           \(B\_0 (m\^2, m\^2, M\^2)\)\)\/
                         \(2\ m\^2\ \((\(4\ m\^2\) - s)\)\^2\)\), "+", 
                      \(\(\((\(4\ m\^2\) - \(6\ M\^2\) - s)\)\ 
                           \(B\_0 (s, m\^2, m\^2)\)\)\/
                         \(2\ \((\(4\ m\^2\) - s)\)\^2\)\), "+", 
                      \(1\/\(2\ \((\(4\ m\^2\) - s)\)\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1283]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(L[10]\)], "Input", 
                  CellLabel -> "In[1284]:=", CellTags -> "PaVeReduce"], 
                 Cell[BoxData[\(TraditionalForm\`\(L(10)\)\)], "Output", 
                  CellLabel -> "Out[1284]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(FRH[%]\)], "Input", CellLabel -> 
                   "In[1285]:=", CellTags -> "PaVeReduce"], Cell[BoxData[
                   \(TraditionalForm\`\(L(10)\)\)], "Output", CellLabel -> 
                   "Out[1285]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PaVeReduce[\(\(PaVe[\(
                           2, \({\(SmallVariable[me2]\), mw2, t}\), 
                            \({\(SmallVariable[me2]\), 0, mw2}\)\)]\), 
                        \(WriteOutPaVe \[Rule] "p"\)\)]\)], "Input", 
                  CellLabel -> "In[1286]:=", CellTags -> "PaVeReduce"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(B\_0 (0, mw2, mw2)\)\/\(mw2 - t\) -
                         \(B\_0 (t, mw2, me2)\)\/\(mw2 - t\) + 2\/\(mw2 - t\)
                   \)\)], "Output", CellLabel -> "Out[1286]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TableForm[\(ReadList[\(
                         \(\(If[\(\($OperatingSystem === "MacOS"\), ":", ""\)
                              ]\) <> "pPaVe2Csmame2mw2tCsmame20mw2.s"\), 
                          String\)]\)]\)], "Input", CellLabel -> 
                   "In[1287]:=", CellTags -> "PaVeReduce"], Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[GridBox[
                          {{"\"( 2/(mw2 - t) + B0[0, mw2, mw2]/(mw2 - t) \
- B0[t, mw2, \
SmallVariable[me2]]/\""}, 
                           {"\"  (mw2 - t)\""}, {"\"  ) \""}}, 
                          RowSpacings -> 1., ColumnSpacings -> 3., 
                          RowAlignments -> Baseline, 
                          ColumnAlignments -> {Left}], 
                         TableForm[List["( 2/(mw2 - t) + B0[0, mw2, \
mw2]/(mw2 - t) - B0[t, mw2, SmallVariable[me2]]/", 
                           "  (mw2 - t)", "  ) "]]]\)\)], "Output", 
                  CellLabel -> "Out[1287]//TableForm="]}, Open]], 
              Cell[BoxData[
                \(\(DeleteFile/@\(FileNames["pPaVe2Csmame2mw2tCsmame20mw2.s"]
                      \)\) ;\)], "Input", CellLabel -> "In[1288]:=", 
               CellTags -> "PaVeReduce"], Cell[BoxData[
                \(\(se = \(SmallVariable[ME2]\)\) ;\)], "Input", CellLabel -> 
                "In[1289]:=", CellTags -> "PaVeReduce"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(d122 = \(PaVeReduce[\(
                         \(PaVe[\(1, 2, 2, \({se, MW2, MW2, se, S, T}\), 
                              \({0, se, 0, se}\)\)]\), 
                          \(Mandelstam \[Rule] \({S, T, U, \(2\ MW2\)}\)\), 
                          \(IsolateHead \[Rule] F\)\)]\)\)], "Input", 
                  CellLabel -> "In[1290]:=", CellTags -> "PaVeReduce"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{
                         \((MW2 - S)\), " ", \(T\^2\), " ", RowBox[{FormBox[
                          \("D"\_"0"\), "TraditionalForm"], "(", "MW2", ",", 
                          "MW2", ",", FormBox["ME2", "TraditionalForm"], ",", 
                          FormBox["ME2", "TraditionalForm"], ",", "T", ",", 
                          "S", ",", FormBox["ME2", "TraditionalForm"], ",", 
                          FormBox["0", "TraditionalForm"], ",", FormBox[
                          "ME2", "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ")"}], " ", \(S\^3\)}], 
                       \(2\ \((MW2\^2 - \(S\ U\))\)\^3\)], "+", FractionBox[
                       RowBox[{\(\((MW2 - S)\)\^2\), " ", "T", " ", RowBox[
                          {FormBox[\("C"\_"0"\), "TraditionalForm"], "(", 
                          "MW2", ",", "S", ",", FormBox["ME2", 
                          "TraditionalForm"], ",", FormBox["ME2", 
                          "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ")"}], " ", \(S\^2\)}], 
                       \(\((MW2\^2 - \(S\ U\))\)\^3\)], "-", FractionBox[
                       RowBox[{\((MW2 - S)\), " ", \(T\^2\), " ", RowBox[
                          {FormBox[\("C"\_"0"\), "TraditionalForm"], "(", 
                          "T", ",", FormBox["ME2", "TraditionalForm"], ",", 
                          FormBox["ME2", "TraditionalForm"], ",", FormBox[
                          "ME2", "TraditionalForm"], ",", FormBox["ME2", 
                          "TraditionalForm"], ",", FormBox["0", 
                          "TraditionalForm"], ")"}], " ", \(S\^2\)}], 
                       \(2\ \((MW2\^2 - \(S\ U\))\)\^3\)], "+", 
                      \(\(\((MW2\^2 - \(4\ S\ MW2\) + \(2\ S\^2\) + \(S\ U\))
                            \)\ \(B\_0 (S, 0, 0)\)\ S\)\/
                         \(2\ \((MW2 - S)\)\ \((MW2\^2 - \(S\ U\))\)\^2\)\), 
                      "-", 
                      \(\((\((\(4\ MW2\^5\) - \(5\ S\ MW2\^4\) - 
                               \(U\ MW2\^4\) - \(16\ S\^2\ MW2\^3\) + 
                               \(4\ S\^3\ MW2\^2\) + \(4\ S\ U\^2\ MW2\^2\) -
                                \(4\ S\^2\ U\ MW2\^2\) + \(4\ S\^4\ MW2\) + 
                               \(8\ S\^3\ U\ MW2\) + \(S\^2\ U\^3\) + 
                               \(S\^3\ U\^2\))\)\ \(B\_0 (MW2, 0, ME2)\))\)/
                         \((2\ \((MW2 - S)\)\ \((\(4\ MW2\) - T)\)\^2\ 
                            \((MW2\^2 - \(S\ U\))\)\^2)\)\), "+", 
                      \(\(\((MW2 + S)\)\ \((\(4\ MW2\^3\) - \(9\ S\ MW2\^2\) 
                              - \(U\ MW2\^2\) - \(4\ S\ U\ MW2\) + 
                              \(2\ S\^3\) + \(3\ S\ U\^2\) + \(5\ S\^2\ U\))\
\)\ \(B\_0 (T, ME2, ME2)\)\)\/
                         \(2\ \((\(4\ MW2\) - T)\)\^2\ 
                           \((MW2\^2 - \(S\ U\))\)\^2\)\), "-", RowBox[{
                        \(1\/\(2\ \((\(4\ MW2\) - T)\)\^2\ 
                             \((MW2\^2 - \(S\ U\))\)\^3\)\), RowBox[{"(", 
                          RowBox[{\((MW2 + S)\), " ", 
                          \((\(2\ MW2\^6\) - \(8\ S\ MW2\^5\) - 
                              \(2\ T\ MW2\^5\) + \(12\ S\^2\ MW2\^4\) + 
                              \(20\ S\ T\ MW2\^4\) - \(8\ S\^3\ MW2\^3\) - 
                              \(6\ S\ T\^2\ MW2\^3\) - 
                              \(36\ S\^2\ T\ MW2\^3\) + \(2\ S\^4\ MW2\^2\) +
                               \(6\ S\^2\ T\^2\ MW2\^2\) + 
                              \(20\ S\^3\ T\ MW2\^2\) + 
                              \(4\ S\^2\ T\^3\ MW2\) - \(6\ S\^3\ T\^2\ MW2\)
                               - \(2\ S\^4\ T\ MW2\) - \(S\^2\ T\^4\))\), 
                          " ", RowBox[{FormBox[\("C"\_"0"\), 
                          "TraditionalForm"], "(", "MW2", ",", "MW2", ",", 
                          "T", ",", FormBox["ME2", "TraditionalForm"], ",", 
                          FormBox["0", "TraditionalForm"], ",", FormBox[
                          "ME2", "TraditionalForm"], ")"}]}], ")"}]}], "-", 
                      \(\(MW2 + S\)\/\(2\ \((\(4\ MW2\) - T)\)\ 
                           \((MW2\^2 - \(S\ U\))\)\)\)}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1290]="]}, Open]], Cell[BoxData[
                \(\(Write2[\("fctd122.for", \(d122res == d122\), 
                       \(FormatType \[Rule] FortranForm\)\)]\) ;\)], "Input", 
               CellLabel -> "In[1291]:=", CellTags -> "PaVeReduce"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TableForm[\(ReadList[\(
                         \(\(If[\(\($OperatingSystem === "MacOS"\), ":", ""\)
                              ]\) <> "fctd122.for"\), String\)]\)]\)], 
                  "Input", CellLabel -> "In[1292]:=", CellTags -> 
                   "PaVeReduce"], Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[GridBox[
                          {{"\"        d122res = (-5.D-1*(MW2 + S))/\""}, 
                           {"\"     &   ((4D0*MW2 - 1D0*T)*(MW2**2 - \
1D0*S*U)) - \""}, {"\"     &  (5.D-1*(4D0*MW2**5 - \
5D0*MW2**4*S - \""}, {"\"     &       16D1*MW2**3*S**2 \
+ 4D0*MW2**2*S**3 + \""}, 
                           {"\"     &       4D0*MW2*S**4 - 1D0*MW2**4*U - \
\""}, {"\"     &       4D0*MW2**2*S**2*U + \
8D0*MW2*S**3*U + \""}, 
                           {"\"     &       4D0*MW2**2*S*U**2 + S**3*U**2 \
+ \
S**2*U**3)*\""}, {"\"     &     \
B0(MW2,0D0,ME2))/\""}, 
                           {"\"     &   ((MW2 - 1D0*S)*(4D0*MW2 - \
1D0*T)**2*\""}, {"\"     &     (MW2**2 - 1D0*S*U)**2) \
+ \""}, {"\"     &  (5.D-1*S*(MW2**2 - 4D0*MW2*S + \
2D0*S**2 + \
S*U)*\""}, 
                           {"\"     &     B0(S,0D0,0D0))/\""}, 
                           {"\"     &   ((MW2 - 1D0*S)*(MW2**2 - \
1D0*S*U)**2) + \""}, {"\"     &  (5.D-1*(MW2 + S)*\""}, 
                           {"\"     &     (4D0*MW2**3 - 9D0*MW2**2*S + \
2D0*S**3 - \""}, {"\"     &       1D0*MW2**2*U - \
4D0*MW2*S*U + 5D0*S**2*U + \
\""}, 
                           {"\"     &       \
3D0*S*U**2)*B0(T,ME2,ME2))/\""}, 
                           {"\"     &   ((4D0*MW2 - 1D0*T)**2*(MW2**2 - \
1D0*S*U)**2) \
- \""}, 
                           {"\"     &  (5.D-1*(MW2 + S)*\""}, 
                           {"\"     &     (2D0*MW2**6 - 8D0*MW2**5*S + \

                             12D1*MW2**4*S**2 - \""}, 
                           {"\"     &       8D0*MW2**3*S**3 + \
2D0*MW2**2*S**4 - \""}, 
                           {"\"     &       2D0*MW2**5*T + \
20D1*MW2**4*S*T - \""}, 
                           {"\"     &       36D1*MW2**3*S**2*T + \
20D1*MW2**2*S**3*T - \
\""}, 
                           {"\"     &       2D0*MW2*S**4*T - \
6D0*MW2**3*S*T**2 + \""}, 
                           {"\"     &       6D0*MW2**2*S**2*T**2 - \
6D0*MW2*S**3*T**2 \
+ \""}, 
                           {"\"     &       4D0*MW2*S**2*T**3 - \
1D0*S**2*T**4)*\""}, {"\"     &     \
C0(MW2,MW2,T,ME2,0D0,ME2))/\""}, 
                           {"\"     &   ((4D0*MW2 - 1D0*T)**2*(MW2**2 - \
1D0*S*U)**3) \
+ \""}, 
                           {"\"     &  ((MW2 - \

                             1D0*S)**2*S**2*T*C0(MW2,S,ME2,ME2,0D0,0D0))/\
\""}, {"\"     &   (MW2**2 - 1D0*S*U)**3 - \""}, 
                           {"\"     &  (5.D-1*(MW2 - \
1D0*S)*S**2*T**2*\""}, 
                           {"\"     &     \
C0(T,ME2,ME2,ME2,ME2,0D0))/(MW2**2 - \
1D0*S*U)**3 + \
\""}, {"\"     &  (5.D-1*(MW2 - 1D0*S)*S**3*T**2*\""}, 
                           {"\"     &     \
D0(MW2,MW2,ME2,ME2,T,S,ME2,0D0,ME2,0D0))/\""}, 
                           {"\"     &   (MW2**2 - 1D0*S*U)**3\""}, 
                           {"\"                  \""}}, RowSpacings -> 1., 
                          ColumnSpacings -> 3., RowAlignments -> Baseline, 
                          ColumnAlignments -> {Left}], 
                         TableForm[List["        d122res = (-5.D-1*(MW2 + \
S))/", "     &   ((4D0*MW2 - 1D0*T)*(MW2**2 - 1D0*S*U)) - \
", "     &  (5.D-1*(4D0*MW2**5 - 5D0*MW2**4*S - ", 
                           "     &       16D1*MW2**3*S**2 + 4D0*MW2**2*S**3 \
+ ", "     &       4D0*MW2*S**4 - 1D0*MW2**4*U - ", 
                           "     &       4D0*MW2**2*S**2*U + 8D0*MW2*S**3*U \
+ ", "     &       4D0*MW2**2*S*U**2 + S**3*U**2 + \
S**2*U**3)*", "     &     B0(MW2,0D0,ME2))/", 
                           "     &   ((MW2 - 1D0*S)*(4D0*MW2 - 1D0*T)**2*", 
                           "     &     (MW2**2 - 1D0*S*U)**2) + ", 
                           "     &  (5.D-1*S*(MW2**2 - 4D0*MW2*S + 2D0*S**2 \
+ S*U)*", "     &     B0(S,0D0,0D0))/", 
                           "     &   ((MW2 - 1D0*S)*(MW2**2 - 1D0*S*U)**2) + \
", "     &  (5.D-1*(MW2 + S)*", 
                           "     &     (4D0*MW2**3 - 9D0*MW2**2*S + 2D0*S**3 \
- ", "     &       1D0*MW2**2*U - 4D0*MW2*S*U + \
5D0*S**2*U + ", "     &       \
3D0*S*U**2)*B0(T,ME2,ME2))/", 
                           "     &   ((4D0*MW2 - 1D0*T)**2*(MW2**2 - \
1D0*S*U)**2) - ", "     &  (5.D-1*(MW2 + S)*", 
                           "     &     (2D0*MW2**6 - 8D0*MW2**5*S + \
12D1*MW2**4*S**2 - ", "     &       8D0*MW2**3*S**3 + \
2D0*MW2**2*S**4 - ", "     &       2D0*MW2**5*T + \
20D1*MW2**4*S*T - ", "     &       36D1*MW2**3*S**2*T + \
20D1*MW2**2*S**3*T - ", 
                           "     &       2D0*MW2*S**4*T - 6D0*MW2**3*S*T**2 \
+ ", "     &       6D0*MW2**2*S**2*T**2 - \
6D0*MW2*S**3*T**2 + ", "     &       4D0*MW2*S**2*T**3 - \
1D0*S**2*T**4)*", "     &     \
C0(MW2,MW2,T,ME2,0D0,ME2))/", 
                           "     &   ((4D0*MW2 - 1D0*T)**2*(MW2**2 - \
1D0*S*U)**3) + ", "     &  ((MW2 - \
1D0*S)**2*S**2*T*C0(MW2,S,ME2,ME2,0D0,0D0))/", 
                           "     &   (MW2**2 - 1D0*S*U)**3 - ", 
                           "     &  (5.D-1*(MW2 - 1D0*S)*S**2*T**2*", 
                           "     &     C0(T,ME2,ME2,ME2,ME2,0D0))/(MW2**2 - \
1D0*S*U)**3 + ", "     &  (5.D-1*(MW2 - \
1D0*S)*S**3*T**2*", "     &     \
D0(MW2,MW2,ME2,ME2,T,S,ME2,0D0,ME2,0D0))/", 
                           "     &   (MW2**2 - 1D0*S*U)**3", 
                           "                  "]]]\)\)], "Output", 
                  CellLabel -> "Out[1292]//TableForm="]}, Open]], 
              Cell[BoxData[
                \(\(DeleteFile/@\(FileNames["fctd122.for"]\)\) ; 
                   \(Clear[\(d122, se\)]\) ;\)], "Input", CellLabel -> 
                "In[1293]:=", CellTags -> "PaVeReduce"]}, Open]], 
           Cell["PD", "ObjectName", CellTags -> "PD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PD"], Cell[
               "PD is an abbreviation for PropagatorDenominator.", "Text", 
               CellTags -> "PD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PropagatorDenominator", 
                   RuleDelayed[ButtonData, "PropagatorDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PropagatorDenominator"]], ", ", 
                 ButtonBox["IFPD", RuleDelayed[ButtonData, "IFPD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "IFPD"]]\
, "."}], "Text", CellTags -> "PD"]}, Open]], Cell["PlusDistribution", 
            "ObjectName", CellTags -> "PlusDistribution"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PlusDistribution"], Cell["PlusDistribution[1/(1-x\
)] denotes a distribution (in the sense of the \"+\" prescription).", "Text", 
               CellTags -> "PlusDistribution"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["Integrate2", RuleDelayed[ButtonData, 
                    "Integrate2"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Integrate2"]], "."}], "Text", 
               CellTags -> "PlusDistribution"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "PlusDistribution"], Cell[CellGroupData[{Cell[BoxData[
                   \(PlusDistribution[\(1/\((1 - x)\)\)]\)], "Input", 
                  CellLabel -> "In[1294]:=", CellTags -> "PlusDistribution"], 
                 Cell[BoxData[\(TraditionalForm\`\((1\/\(1 - x\))\)\_+\)], 
                  "Output", CellLabel -> "Out[1294]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(PlusDistribution[\(\(Log[\(1 - x\)]\)/\((1 - x)\)\)]\)], 
                  "Input", CellLabel -> "In[1295]:=", CellTags -> 
                   "PlusDistribution"], Cell[BoxData[
                   \(TraditionalForm\`\((\(log(\(1 - x\))\)\/\(1 - x\))\)\_+
                     \)], "Output", CellLabel -> "Out[1295]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(PlusDistribution[\(1/\((1 - x)\)\)]\),\ 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[1296]:=", CellTags -> "PlusDistribution"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1296]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(PlusDistribution[
                          \(\(Log[\(1 - x\)]\)/\((1 - x)\)\)]\),\ 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[1297]:=", CellTags -> "PlusDistribution"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1297]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Integrate2[\(\(PlusDistribution[
                          \(\(\(Log[\(1 - x\)]\)^2\)/\((1 - x)\)\)]\),\ 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[1298]:=", CellTags -> "PlusDistribution"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1298]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PlusDistribution[\(\(Log[\(x\ \((1 - x)\)\)]\)/
                        \((1 - x)\)\)]\)], "Input", CellLabel -> 
                   "In[1299]:=", CellTags -> "PlusDistribution"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(log(x)\)\/\(1 - x\) + 
                        \(\((\(log(\(1 - x\))\)\/\(1 - x\))\)\_+\)\)\)], 
                  "Output", CellLabel -> "Out[1299]="]}, Open]]}, Open]], 
           Cell["Polarization", "ObjectName", CellTags -> "Polarization"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Polarization"], Cell["Polarization[k] = \
Polarization[k, I] is the head of a polarization momentum with (incoming) \
momentum k. A slashed polarization vector (e1(k) slash) has to be entered as \
DiracSlash[Polarization[k]]. The internal representation for a polarization \
vector e1 corresponding to a boson with four momentum k is: Momentum[ \
Polarization[ k, I ] ]. With this notation transversality of polarization \
vectors is provided, i.e. , Pair[ Momentum[k], Momentum[ Polarization[k, I] ] \
] yields 0. Polarization[k,-I] denotes the complex conjugate polarization. \
Polarization is also an option of various functions related to the operator \
product expansion. The setting 0 denotes the unpolarized and 1 the polarized \
case.", "Text", CellTags -> "Polarization"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["PolarizationVector", 
                   RuleDelayed[ButtonData, "PolarizationVector"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PolarizationVector"]], ", ", 
                 ButtonBox["PolarizationSum", 
                   RuleDelayed[ButtonData, "PolarizationSum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PolarizationSum"]], ", ", 
                 ButtonBox["DoPolarizationSums", 
                   RuleDelayed[ButtonData, "DoPolarizationSums"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DoPolarizationSums"]], "."}], "Text", 
               CellTags -> "Polarization"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Polarization"], Cell[CellGroupData[{Cell[BoxData[
                   \(Polarization[k]\)], "Input", CellLabel -> "In[1300]:=", 
                  CellTags -> "Polarization"], Cell[BoxData[
                   \(TraditionalForm\`\(\[CurlyEpsilon](k)\)\)], "Output", 
                  CellLabel -> "Out[1300]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(Polarization[k]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1301]:=", CellTags -> 
                   "Polarization"], Cell[BoxData[
                   \(Polarization[\(k, \[ImaginaryI]\)]\)], "Output", 
                  CellLabel -> "Out[1301]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Polarization[k]\)//ComplexConjugate\)], "Input", 
                  CellLabel -> "In[1302]:=", CellTags -> "Polarization"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[
                       InterpretationBox[\("\[CurlyEpsilon]"\^"*"\), 
                         Superscript["\[CurlyEpsilon]", "*"], 
                         Rule[Editable, False]], "TraditionalForm"], "(", 
                      "k", ")"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1302]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(Polarization[k]\)//ComplexConjugate\)//StandardForm
                     \)], "Input", CellLabel -> "In[1303]:=", CellTags -> 
                   "Polarization"], Cell[BoxData[
                   \(Polarization[\(k, \(-\[ImaginaryI]\)\)]\)], "Output", 
                  CellLabel -> "Out[1303]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSlash[\(Polarization[k]\)]\)], "Input", 
                  CellLabel -> "In[1304]:=", CellTags -> "Polarization"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["\"\[Gamma]\"", 
                       "TraditionalForm"], "\[CenterDot]", FormBox[
                       \(\[CurlyEpsilon](k)\), "TraditionalForm"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1304]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracSlash[\(Polarization[k]\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1305]:=", CellTags -> 
                   "Polarization"], Cell[BoxData[
                   \(DiracSlash[\(Polarization[\(k, \[ImaginaryI]\)]\)]\)], 
                  "Output", CellLabel -> "Out[1305]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Pair[\ \(\(Momentum[k]\),\ 
                        \(Momentum[\ \(Polarization[\(k,\ I\)]\)\ ]\)\)\ ]\)]\
, "Input", CellLabel -> "In[1306]:=", CellTags -> "Polarization"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1306]="]}, Open]]}, Open]], Cell["PolarizationSum", 
            "ObjectName", CellTags -> "PolarizationSum"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PolarizationSum"], Cell["PolarizationSum[ mu,nu, \
... ] defines (as abbreviations) several polarization sums. The first two \
arguments are the interpreted as Lorentz indices, all further ones are \
momenta. PolarizationSum performs no calculations.", "Text", CellTags -> 
                "PolarizationSum"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[PolarizationSum]\)], "Input", CellLabel -> 
                   "In[1307]:=", CellTags -> "PolarizationSum"], Cell[BoxData[
                   \(TraditionalForm\`\({Dimension \[Rule] 4}\)\)], "Output", 
                  CellLabel -> "Out[1307]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Polarization", 
                   RuleDelayed[ButtonData, "Polarization"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Polarization"]], "."}], "Text", 
               CellTags -> "PolarizationSum"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "PolarizationSum"], Cell[CellGroupData[{Cell[BoxData[
                   \(PolarizationSum[\(\[Mu], \[Nu]\)]\)], "Input", 
                  CellLabel -> "In[1308]:=", CellTags -> "PolarizationSum"], 
                 Cell[BoxData[\(TraditionalForm\`\(-g\^\(\[Mu]\[Nu]\)\)\)], 
                  "Output", CellLabel -> "Out[1308]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(PolarizationSum[\(\[Mu], \[Nu], k\)]\)], "Input", 
                  CellLabel -> "In[1309]:=", CellTags -> "PolarizationSum"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[
                        {SuperscriptBox[FormBox["k", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "k", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                       SuperscriptBox[FormBox["k", "TraditionalForm"], "2"]], 
                      "-", \(g\^\(\[Mu]\[Nu]\)\)}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1309]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(PolarizationSum[\(\[Mu], \[Nu], k, n\)]\)], "Input", 
                  CellLabel -> "In[1310]:=", CellTags -> "PolarizationSum"], 
                 Cell[BoxData[FormBox[RowBox[{\(-g\^\(\[Mu]\[Nu]\)\), "-", 
                      FractionBox[RowBox[{SuperscriptBox[FormBox["k", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         SuperscriptBox[FormBox["k", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "n", "TraditionalForm"], "2"]}], SuperscriptBox[
                        FormBox[RowBox[{FormBox["k", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["n", "TraditionalForm"]}], 
                         "TraditionalForm"], "2"]], "+", FractionBox[
                       RowBox[{RowBox[{SuperscriptBox[FormBox["n", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["k", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          FormBox["k", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", SuperscriptBox[FormBox["n", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                       RowBox[{FormBox["k", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["n", 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1310]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(PolarizationSum[\(\[Mu], \[Nu], k, \(p\_1 - p\_2\)\)]\)]\
, "Input", CellLabel -> "In[1311]:=", CellTags -> "PolarizationSum"], 
                 Cell[BoxData[FormBox[RowBox[{\(-g\^\(\[Mu]\[Nu]\)\), "-", 
                      FractionBox[RowBox[{SuperscriptBox[FormBox["k", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         SuperscriptBox[FormBox["k", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(p\_1\%2\)}], 
                       SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "k", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_1\), "TraditionalForm"]}], "-", RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}]}], ")"}], 
                        "2"]], "+", FractionBox[RowBox[{"2", " ", 
                         SuperscriptBox[FormBox["k", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "k", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], SuperscriptBox[RowBox[
                         {"(", RowBox[{RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "-", RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], ")"}], "2"]], "-", 
                      FractionBox[RowBox[{SuperscriptBox[FormBox["k", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         SuperscriptBox[FormBox["k", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(p\_2\%2\)}], 
                       SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "k", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_1\), "TraditionalForm"]}], "-", RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}]}], ")"}], 
                        "2"]], "+", FractionBox[RowBox[{RowBox[
                          {SuperscriptBox[RowBox[{"(", FormBox[\(p\_1 - p\_2\)
                          , "TraditionalForm"], ")"}], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", SuperscriptBox[FormBox["k", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                         RowBox[{SuperscriptBox[FormBox["k", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[RowBox[{"(", FormBox[\(p\_1 - p\_2\)
                          , "TraditionalForm"], ")"}], FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], RowBox[{RowBox[{FormBox[
                          "k", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_1\), "TraditionalForm"]}], "-", RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1311]="]}, 
                Open]]}, Open]], Cell["PolarizationUncontract", "ObjectName", 
            CellTags -> "PolarizationUncontract"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PolarizationUncontract"], Cell["PolarizationUncon\
tract does Uncontract on scalar products involving polarization vectors.", 
               "Text", CellTags -> "PolarizationUncontract"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Polarization", 
                   RuleDelayed[ButtonData, "Polarization"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Polarization"]], ", ", 
                 ButtonBox["Uncontract", RuleDelayed[ButtonData, 
                    "Uncontract"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Uncontract"]], "."}], "Text", 
               CellTags -> "PolarizationUncontract"]}, Open]], 
           Cell["PolarizationVector", "ObjectName", CellTags -> 
             "PolarizationVector"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "PolarizationVector"], Cell[
               "PolarizationVector[p, mu] gives a polarization vector.", 
               "Text", CellTags -> "PolarizationVector"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["FourVector", RuleDelayed[ButtonData, 
                    "FourVector"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FourVector"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["Polarization", 
                   RuleDelayed[ButtonData, "Polarization"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Polarization"]], "."}], "Text", 
               CellTags -> "PolarizationVector"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "PolarizationVector"], Cell[CellGroupData[{Cell[BoxData[
                   \(PolarizationVector[\(k, \[Mu]\)]\)], "Input", 
                  CellLabel -> "In[1312]:=", CellTags -> 
                   "PolarizationVector"], Cell[BoxData[FormBox[RowBox[
                     {SubscriptBox["\[CurlyEpsilon]", FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                      "(", "k", ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1312]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Conjugate[\(PolarizationVector[\(k, \[Mu]\)]\)]\)], 
                  "Input", CellLabel -> "In[1313]:=", CellTags -> 
                   "PolarizationVector"], Cell[BoxData[FormBox[RowBox[
                     {SubsuperscriptBox["\[CurlyEpsilon]", FormBox[FormBox[
                         "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                       "*"], "(", "k", ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1313]="]}, Open]], Cell[TextData[
                {"A polarization vector ", Cell[BoxData[
                   \(TraditionalForm\`\(\[CurlyEpsilon]\_\[Mu](k)\)\)]], 
                 "is a special four-vector."}], "Text", CellTags -> 
                "PolarizationVector"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(PolarizationVector[\(k, mu\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1314]:=", CellTags -> 
                   "PolarizationVector"], Cell[BoxData[
                   \(Pair[\(\(LorentzIndex[mu]\), 
                        \(Momentum[\(Polarization[\(k, \[ImaginaryI]\)]\)]\)\
\)]\)], "Output", CellLabel -> "Out[1314]//StandardForm="]}, Open]], 
              Cell[TextData[{"The transverality property ", Cell[BoxData[
                   FormBox[RowBox[{RowBox[{SuperscriptBox[FormBox["k", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        \(\[CurlyEpsilon]\_\[Mu](k)\)}], "=", "0"}], 
                    TraditionalForm]]], " is built in."}], "Text", 
               CellTags -> "PolarizationVector"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(a1\ =\ \(\(PolarizationVector[\(k, \[Mu]\)]\)\ 
                        \(FourVector[\(k, \[Mu]\)]\)\)\)], "Input", 
                  CellLabel -> "In[1315]:=", CellTags -> 
                   "PolarizationVector"], Cell[BoxData[FormBox[RowBox[{
                      \(k\_\[Mu]\), " ", RowBox[{SubscriptBox[
                         "\[CurlyEpsilon]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], "(", "k", 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1315]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Contract[a1]\)], "Input", CellLabel -> "In[1316]:=", 
                  CellTags -> "PolarizationVector"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1316]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(a2\ =\ \(\(PolarizationVector[\(\(k - p\), \[Mu]\)]\)\ 
                        \(FourVector[\(k, \[Mu]\)]\)\)\)], "Input", 
                  CellLabel -> "In[1317]:=", CellTags -> 
                   "PolarizationVector"], Cell[BoxData[FormBox[RowBox[{
                      \(k\_\[Mu]\), " ", RowBox[{SubscriptBox[
                         "\[CurlyEpsilon]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], "(", 
                        FormBox[\(k - p\), "TraditionalForm"], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1317]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Contract[a2]\)], 
                  "Input", CellLabel -> "In[1318]:=", CellTags -> 
                   "PolarizationVector"], Cell[BoxData[FormBox[RowBox[
                     {FormBox["k", "TraditionalForm"], "\[CenterDot]", "(", 
                      FormBox[RowBox[{"\[CurlyEpsilon]", "(", FormBox[
                          \(k - p\), "TraditionalForm"], ")"}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1318]="]}, Open]], 
              Cell[TextData[{"Depending on the alphabetical ordering of the \
momenta simplifcations are done, e.g., ", Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SuperscriptBox[FormBox["p", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{
                          \(\[CurlyEpsilon]\_\[Mu]\), "(", FormBox[\(k - p\), 
                          "TraditionalForm"], ")"}]}], "=", RowBox[{RowBox[{
                          \(-\((k - p - k)\)\^\[Mu]\), RowBox[{
                          \(\[CurlyEpsilon]\_\[Mu]\), "(", FormBox[\(k - p\), 
                          "TraditionalForm"], ")"}]}], "=", RowBox[{RowBox[{
                          \(k\^\[Mu]\), RowBox[{\(\[CurlyEpsilon]\_\[Mu]\), 
                          "(", FormBox[\(k - p\), "TraditionalForm"], 
                          ")"}]}], "=", RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[NoBreak]", "\[CenterDot]", 
                          "\[NoBreak]", RowBox[{RowBox[{"(", "\[NoBreak]", 
                          FormBox[RowBox[{"\[CurlyEpsilon]", "\[NoBreak]", 
                          "(", "\[NoBreak]", FormBox[\(k - p\), 
                          "TraditionalForm"], "\[NoBreak]", ")"}], 
                          "TraditionalForm"], "\[NoBreak]", ")"}], 
                          "."}]}]}]}]}], TraditionalForm]]]}], "Text", 
               CellTags -> "PolarizationVector"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(a3\ =\ \(\(PolarizationVector[\(\(k - p\), \[Mu]\)]\)\ 
                        \(FourVector[\(p, \[Mu]\)]\)\)\)], "Input", 
                  CellLabel -> "In[1319]:=", CellTags -> 
                   "PolarizationVector"], Cell[BoxData[FormBox[RowBox[{
                      \(p\_\[Mu]\), " ", RowBox[{SubscriptBox[
                         "\[CurlyEpsilon]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], "(", 
                        FormBox[\(k - p\), "TraditionalForm"], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1319]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Contract[a3]\)], 
                  "Input", CellLabel -> "In[1320]:=", CellTags -> 
                   "PolarizationVector"], Cell[BoxData[FormBox[RowBox[
                     {FormBox["k", "TraditionalForm"], "\[CenterDot]", "(", 
                      FormBox[RowBox[{"\[CurlyEpsilon]", "(", FormBox[
                          \(k - p\), "TraditionalForm"], ")"}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1320]="]}, Open]], Cell[BoxData[
                \(Clear[\(a1, a2, a3\)]\)], "Input", CellLabel -> 
                "In[1321]:=", CellTags -> "PolarizationVector"]}, Open]], 
           Cell["PositiveInteger", "ObjectName", CellTags -> 
             "PositiveInteger"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "PositiveInteger"], 
              Cell["PositiveInteger is a data type. E.g. DataType[OPEm, \
PositiveInteger] gives True.", "Text", CellTags -> "PositiveInteger"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DataType", RuleDelayed[ButtonData, "DataType"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DataType"]], "."}], "Text", CellTags -> 
                "PositiveInteger"]}, Open]], Cell["PositiveNumber", 
            "ObjectName", CellTags -> "PositiveNumber"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PositiveNumber"], Cell["PositiveNumber is a data \
type. E.g. DataType[Epsilon, PositiveNumber] = True (by default). ", "Text", 
               CellTags -> "PositiveNumber"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["DataType", RuleDelayed[ButtonData, "DataType"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DataType"]], "."}], "Text", CellTags -> 
                "PositiveNumber"]}, Open]], Cell["PowerFactor", "ObjectName", 
            CellTags -> "PowerFactor"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "PowerFactor"], Cell[TextData[{"PowerFactor[exp] replaces ", 
                 Cell[BoxData[\(TraditionalForm\`\(x\^a\)\)]], Cell[BoxData[
                   \(TraditionalForm\`\(y\^a\)\)]], "with ", Cell[BoxData[
                   \(TraditionalForm\`\(\((x\ y)\)\^a\)\)]], "."}], "Text", 
               CellTags -> "PowerFactor"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PowerSimplify", 
                   RuleDelayed[ButtonData, "PowerSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PowerSimplify"]], "."}], "Text", 
               CellTags -> "PowerFactor"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "PowerFactor"], Cell[CellGroupData[{Cell[BoxData[\(x\^a y\^a\)
                   ], "Input", CellLabel -> "In[1322]:=", CellTags -> 
                   "PowerFactor"], Cell[BoxData[
                   \(TraditionalForm\`\(x\^a\ y\^a\)\)], "Output", 
                  CellLabel -> "Out[1322]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(PowerFactor[%]\)], "Input", CellLabel -> 
                   "In[1323]:=", CellTags -> "PowerFactor"], Cell[BoxData[
                   \(TraditionalForm\`\(\((x\ y)\)\^a\)\)], "Output", 
                  CellLabel -> "Out[1323]="]}, Open]]}, Open]], 
           Cell["PowerSimplify", "ObjectName", CellTags -> "PowerSimplify"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PowerSimplify"], Cell[TextData[
                {"PowerSimplify[exp] simplifies", Cell[BoxData[
                   \(TraditionalForm\`\(\ \((\(-x\))\)\^a\)\)]], " to ", 
                 Cell[BoxData[\(TraditionalForm\`\(\((\(-1\))\)\^a\)\)]], 
                 " ", Cell[BoxData[\(TraditionalForm\`\(x\^a\)\)]], " and ", 
                 Cell[BoxData[\(TraditionalForm\`\(\((y - x)\)\^n\)\)]], 
                 " to ", Cell[BoxData[\(TraditionalForm\`\(\((\(-1\))\)\^n\)\)
                   ]], " ", Cell[BoxData[
                   \(TraditionalForm\`\(\((x - y)\)\^n\)\)]], "; thus \
assuming that the exponent is an integer (even if it is symbolic). \
Furthermore ", Cell[BoxData[\(TraditionalForm\`\(\((\(-1\))\)\^\(a + n\)\)\)]]
                   , " and ", Cell[BoxData[
                   \(TraditionalForm\`\(\[ImaginaryI]\^\(a + n\)\)\)]], 
                 " are expanded and ", Cell[BoxData[
                   \(TraditionalForm\`\(\[ImaginaryI]\^\(2\ m\)\)\)]], 
                 " \[Rule] ", Cell[BoxData[
                   \(TraditionalForm\`\(\((\(-1\))\)\^m\)\)]], " and (-1)^(", 
                 StyleBox["n", Rule[FontSlant, "Italic"]], " ", 
                 StyleBox["m", Rule[FontSlant, "Italic"]], 
                 ") \[Rule] 1 and (-1)^(", 
                 StyleBox["n", Rule[FontSlant, "Italic"]], " ", 
                 StyleBox["m", Rule[FontSlant, "Italic"]], ") \[Rule] ", 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox[\((\(-1\))\), 
                      "TraditionalForm"], "m"], TraditionalForm]]], " for ", 
                 StyleBox["n", Rule[FontSlant, "Italic"]], 
                 " even and odd respectively and ", Cell[BoxData[
                   \(TraditionalForm\`\(\((\(-1\))\)\^\(-n\)\)\)]], 
                 " \[Rule] ", Cell[BoxData[
                   \(TraditionalForm\`\(\((\(-1\))\)\^n\)\)]], " and ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[ExponentialE]\^
                        \*StyleBox[\(\[ImaginaryI]
                            \*StyleBox["m", Rule[FontSlant, "Italic"]]\[Pi]\)\
]\)\)]], " \[Rule] ", Cell[BoxData[\(TraditionalForm\`\(\((\(-1\))\)\^m\)\)]]
                   , "."}], "Text", CellTags -> "PowerSimplify"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DataType", RuleDelayed[ButtonData, "DataType"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DataType"]], ", ", 
                 ButtonBox["OPEm", RuleDelayed[ButtonData, "OPEi"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "OPEm"]]\
, "."}], "Text", CellTags -> "PowerSimplify"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "PowerSimplify"], Cell[CellGroupData[{Cell[BoxData[
                   \(PowerSimplify[\(\((\(-1\))\)^\((2OPEm)\)\)]\)], "Input", 
                  CellLabel -> "In[1324]:=", CellTags -> "PowerSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[1324]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PowerSimplify[\(\((\(-1\))\)^\((OPEm + 2)\)\)]\)], 
                  "Input", CellLabel -> "In[1325]:=", CellTags -> 
                   "PowerSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\((\(-1\))\)\^m\)\)], "Output", 
                  CellLabel -> "Out[1325]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(PowerSimplify[\(\((\(-1\))\)^\((OPEm - 2)\)\)]\)], 
                  "Input", CellLabel -> "In[1326]:=", CellTags -> 
                   "PowerSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\((\(-1\))\)\^m\)\)], "Output", 
                  CellLabel -> "Out[1326]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(PowerSimplify[\(I^\((2OPEm)\)\)]\)], "Input", 
                  CellLabel -> "In[1327]:=", CellTags -> "PowerSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`\(\((\(-1\))\)\^m\)\)], 
                  "Output", CellLabel -> "Out[1327]="]}, Open]]}, Open]], 
           Cell["Power2", "ObjectName", CellTags -> "Power2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Power2"], Cell["Power2[x, y] represents x^y.  \
Sometimes Power2 is more useful than the Mathematica Power. Power2[-a,b] \
simplifies to (-1)^b Power2[a,b] (if no Epsilon is in b ...).", "Text", 
               CellTags -> "Power2"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PowerFactor", 
                   RuleDelayed[ButtonData, "PowerFactor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PowerFactor"]], "."}], "Text", 
               CellTags -> "Power2"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Power2"], 
              Cell[CellGroupData[{Cell[BoxData[\(Power[\(\(-a\), b\)]\)], 
                  "Input", CellLabel -> "In[1328]:=", CellTags -> "Power2"], 
                 Cell[BoxData[\(TraditionalForm\`\(\((\(-a\))\)\^b\)\)], 
                  "Output", CellLabel -> "Out[1328]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Power2[\(\(-a\), b\)]\)], 
                  "Input", CellLabel -> "In[1329]:=", CellTags -> "Power2"], 
                 Cell[BoxData[FormBox[RowBox[{\(\((\(-1\))\)\^b\), " ", 
                      FormBox[\(a\^b\), "TraditionalForm"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1329]="]}, 
                Open]]}, Open]], Cell["PostFortranFile", "ObjectName", 
            CellTags -> "PostFortranFile"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "PostFortranFile"], Cell["PostFortranFile is an option for \
Write2 which may be set to a file name (or a list of file names) or a string, \
 which will be put at the end of the generated Fortran file.", "Text", 
               CellTags -> "PostFortranFile"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["Write2", RuleDelayed[ButtonData, "Write2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Write2"]], ", ", 
                 ButtonBox["PreFortranFile", 
                   RuleDelayed[ButtonData, "PreFortranFile"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PreFortranFile"]], "."}], "Text", 
               CellTags -> "PostFortranFile"]}, Open]], Cell["Prefactor", 
            "ObjectName", CellTags -> "Prefactor"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Prefactor"], Cell["Prefactor is an option for \
OneLoop and OneLoopSum. If set as option of OneLoop, the amplitude is \
multiplied by Prefactor before calculation; if specified as option of \
OneLoopSum, after calculation in the final result as a global factor.", 
               "Text", CellTags -> "Prefactor"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], "."}], "Text", 
               CellTags -> "Prefactor"]}, Open]], Cell["PreFortranFile", 
            "ObjectName", CellTags -> "PreFortranFile"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PreFortranFile"], Cell["PreFortranFile is an \
option for Write2 which may be set to a file name (or a list of file names) \
or a string, which will be put at the beginning of the generated Fortran \
file.", "Text", CellTags -> "PreFortranFile"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["Write2", RuleDelayed[ButtonData, "Write2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Write2"]], ", ", 
                 ButtonBox["PostFortranFile", 
                   RuleDelayed[ButtonData, "PostFortranFile"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PostFortranFile"]], "."}], "Text", 
               CellTags -> "PreFortranFile"]}, Open]], 
           Cell["PropagatorDenominator", "ObjectName", CellTags -> 
             "PropagatorDenominator"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "PropagatorDenominator"], Cell[TextData[{"PropagatorDenominat\
or[q, m] is a factor of the denominator of a propagator. If p is supposed to \
be D-dimensional enter: PropagatorDenominator[Momentum[q, D], m]. What is \
meant is ", Cell[BoxData[\(TraditionalForm\`\(\ \(1/\((q^2\)\)\)\)]], " - ", 
                 Cell[BoxData[\(TraditionalForm\`\(m^2\)\)]], "). \
PropagatorDenominator[p] evaluates to PropagatorDenominator[p, 0]. "}], 
               "Text", CellTags -> "PropagatorDenominator"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FeynAmpDenominator", 
                   RuleDelayed[ButtonData, "FeynAmpDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominator"]], ", ", 
                 ButtonBox["PropagatorDenominatorExplicit", 
                   RuleDelayed[ButtonData, "PropagatorDenominatorExplicit"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PropagatorDenominatorExplicit"]], ", ", 
                 ButtonBox["IFPD", RuleDelayed[ButtonData, "IFPD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "IFPD"]]\
, "."}], "Text", CellTags -> "PropagatorDenominator"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "PropagatorDenominator"], Cell[CellGroupData[{Cell[BoxData[
                   \(\ \(PropagatorDenominator[\(p, m\)]\)\)], "Input", 
                  CellLabel -> "In[1330]:=", CellTags -> 
                   "PropagatorDenominator"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/\(p\^2 - m\^2\)\)\)], "Output", 
                  CellLabel -> "Out[1330]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(PropagatorDenominator[p]\)], "Input", 
                  CellLabel -> "In[1331]:=", CellTags -> 
                   "PropagatorDenominator"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/p\^2\)\)], "Output", CellLabel -> 
                   "Out[1331]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(PropagatorDenominator[\(q, m\)]\)\ \)], "Input", 
                  CellLabel -> "In[1332]:=", CellTags -> 
                   "PropagatorDenominator"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/\(q\^2 - m\^2\)\)\)], "Output", 
                  CellLabel -> "Out[1332]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(StandardForm[\(FCI[t1]\)]\)], "Input", 
                  CellLabel -> "In[1333]:=", CellTags -> 
                   "PropagatorDenominator"], Cell[BoxData[
                   \(PropagatorDenominator[\(\(Momentum[\(q, D\)]\), m\)]\)], 
                  "Output", CellLabel -> "Out[1333]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(StandardForm[\(ChangeDimension[\(t1, D\)]\)]\)], 
                  "Input", CellLabel -> "In[1334]:=", CellTags -> 
                   "PropagatorDenominator"], Cell[BoxData[
                   \(PropagatorDenominator[\(\(Momentum[\(q, D\)]\), m\)]\)], 
                  "Output", CellLabel -> "Out[1334]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(PropagatorDenominatorExplicit[t1]\)], "Input", 
                  CellLabel -> "In[1335]:=", CellTags -> 
                   "PropagatorDenominator"], Cell[BoxData[FormBox[FractionBox[
                     "1", RowBox[{SuperscriptBox[FormBox["q", 
                         "TraditionalForm"], "2"], "-", \(m\^2\)}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1335]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(StandardForm[%]\)]
                   , "Input", CellLabel -> "In[1336]:=", CellTags -> 
                   "PropagatorDenominator"], Cell[BoxData[
                   \(1\/\(\(-m\^2\) + \(Pair[
                          \(\(Momentum[q]\), \(Momentum[q]\)\)]\)\)\)], 
                  "Output", CellLabel -> "Out[1336]//StandardForm="]}, 
                Open]], Cell[BoxData[\(Clear[t1]\)], "Input", CellLabel -> 
                "In[1337]:=", CellTags -> "PropagatorDenominator"]}, Open]], 
           Cell["PropagatorDenominatorExplicit", "ObjectName", 
            CellTags -> "PropagatorDenominatorExplicit"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "PropagatorDenominatorExplicit"], 
              Cell["PropagatorDenominatorExplicit[exp] changes each occurence \
of PropagatorDenominator[a,b] in exp into 1/(ScalarProduct[a,a]-b^2) and \
replaces FeynAmpDenominator by Identity.", "Text", CellTags -> 
                "PropagatorDenominatorExplicit"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["FeynAmpDenominator", 
                   RuleDelayed[ButtonData, "FeynAmpDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominator"]], ", ", 
                 ButtonBox["PropagatorDenominator", 
                   RuleDelayed[ButtonData, "PropagatorDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PropagatorDenominator"]], "."}], "Text", 
               CellTags -> "PropagatorDenominatorExplicit"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "PropagatorDenominatorExplicit"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(FAD[\(\({q, m}\), \({\(q - p\), 0}\)\)]\)//FCI\)], 
                  "Input", CellLabel -> "In[1338]:=", CellTags -> 
                   "PropagatorDenominatorExplicit"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(\((q\^2 - m\^2)\) . \((q - p)\)\^2\)\)\)], 
                  "Output", CellLabel -> "Out[1338]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(PropagatorDenominatorExplicit[%]\)//FCE\)], "Input", 
                  CellLabel -> "In[1339]:=", CellTags -> 
                   "PropagatorDenominatorExplicit"], Cell[BoxData[FormBox[
                    FractionBox["1", RowBox[{RowBox[{"(", RowBox[{FormBox[
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          "2"], "TraditionalForm"], "-", \(m\^2\)}], ")"}], 
                       " ", RowBox[{"(", RowBox[{\(m\^2\), "-", RowBox[
                          {"2", " ", FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"]}], "+", 
                          FormBox[SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], "2"], "TraditionalForm"]}], 
                         ")"}]}]], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1339]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//StandardForm\)], "Input", CellLabel -> "In[1340]:=", 
                  CellTags -> "PropagatorDenominatorExplicit"], Cell[BoxData[
                   \(1\/\(\((\(-m\^2\) + \(SPD[\(q, q\)]\))\)\ 
                        \((m\^2 - \(2\ \(SPD[\(p, q\)]\)\) + 
                           \(SPD[\(q, q\)]\))\)\)\)], "Output", CellLabel -> 
                   "Out[1340]//StandardForm="]}, Open]]}, Open]], 
           Cell["QGV", "ObjectName", CellTags -> "QGV"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "QGV"], Cell[
               "QGV is equivalent to QuarkGluonVertex.", "Text", CellTags -> 
                "QGV"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["QuarkGluonVertex", 
                   RuleDelayed[ButtonData, "QuarkGluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuarkGluonVertex"]], "."}], "Text", 
               CellTags -> "QGV"]}, Open]], Cell["QO", "ObjectName", 
            CellTags -> "QO"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "QO"], 
              Cell["QO is equivalent to Twist2QuarkOperator.", "Text", 
               CellTags -> "QO"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Twist2QuarkOperator", 
                   RuleDelayed[ButtonData, "Twist2QuarkOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2QuarkOperator"]], "."}], "Text", 
               CellTags -> "QO"]}, Open]], Cell["QP", "ObjectName", 
            CellTags -> "QP"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "QP"], Cell["QP is an alias for \
QuarkPropagator. QP[p] is the massless quark propagator. QP[{p,m}] gives the  \
quark propagator with mass m.", "Text", CellTags -> "QP"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["QuarkPropagator", 
                   RuleDelayed[ButtonData, "QuarkPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuarkPropagator"]], "."}], "Text", 
               CellTags -> "QP"]}, Open]], Cell["QuantumField", "ObjectName", 
            CellTags -> "QuantumField"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "QuantumField"], Cell[TextData[{"QuantumField is the head of \
quantized fields and their derivatives. QuantumField[par, ftype, {lorind}, \
{sunind}] denotes a quantum field of type ftype with (possible) \
Lorentz-indices lorind and SU(", StyleBox["N", Rule[FontSlant, "Italic"]], ") \
indices sunind. The optional first argument par denotes a partial derivative \
acting on the field."}], "Text", CellTags -> "QuantumField"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynRule", RuleDelayed[ButtonData, "FeynRule"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynRule"]], ", ", 
                 ButtonBox["PartialD", RuleDelayed[ButtonData, "PartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PartialD"]], ", ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], "."}], "Text", 
               CellTags -> "QuantumField"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "QuantumField"], Cell["This denotes a scalar field.", "Text", 
               CellTags -> "QuantumField"], Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[S]\)], "Input", CellLabel -> "In[1341]:=", 
                  CellTags -> "QuantumField"], Cell[BoxData[
                   \(TraditionalForm\`S\)], "Output", CellLabel -> 
                   "Out[1341]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[AntiQuarkField]\)], "Input", CellLabel -> 
                   "In[1342]:=", CellTags -> "QuantumField"], Cell[BoxData[
                   \(TraditionalForm\`\[Psi]\&_\)], "Output", CellLabel -> 
                   "Out[1342]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[QuarkField]\)], "Input", CellLabel -> 
                   "In[1343]:=", CellTags -> "QuantumField"], Cell[BoxData[
                   \(TraditionalForm\`\[Psi]\)], "Output", CellLabel -> 
                   "Out[1343]="]}, Open]], Cell[
               "This is a field with a Lorentz index.", "Text", CellTags -> 
                "QuantumField"], Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[\(B, \({\[Mu]}\)\)]\)], "Input", 
                  CellLabel -> "In[1344]:=", CellTags -> "QuantumField"], 
                 Cell[BoxData[\(TraditionalForm\`B\_\[Mu]\)], "Output", 
                  CellLabel -> "Out[1344]="]}, Open]], 
              Cell["Color indices should be put after the Lorentz ones.", 
               "Text", CellTags -> "QuantumField"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(QuantumField[\(GaugeField, \({\[Mu]}\), \({a}\)\)]\)], 
                  "Input", CellLabel -> "In[1345]:=", CellTags -> 
                   "QuantumField"], Cell[BoxData[FormBox[SubsuperscriptBox[
                     FormBox["A", "TraditionalForm"], FormBox[FormBox[
                       "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                     FormBox[FormBox["a", "TraditionalForm"], 
                      "TraditionalForm"]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1345]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1346]:=", CellTags -> "QuantumField"], Cell[BoxData[
                   \(QuantumField[\(GaugeField, \(LorentzIndex[\[Mu]]\), 
                        \(SUNIndex[a]\)\)]\)], "Output", CellLabel -> 
                   "Out[1346]//StandardForm="]}, Open]], Cell[TextData[
                {Cell[BoxData[\(TraditionalForm\`A\_\[CapitalDelta]\%a\)]], 
                 " is a short form for ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\[CapitalDelta]^\[Mu]\)\ 
                        \(A\_\[Mu]\%a .\)\)\)]], " "}], "Text", CellTags -> 
                "QuantumField"], Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[\(A, \({OPEDelta}\), \({a}\)\)]\)], 
                  "Input", CellLabel -> "In[1347]:=", CellTags -> 
                   "QuantumField"], Cell[BoxData[FormBox[SubsuperscriptBox[
                     "A", FormBox["\[CapitalDelta]", "TraditionalForm"], 
                     FormBox[FormBox["a", "TraditionalForm"], 
                      "TraditionalForm"]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1347]="]}, Open]], Cell[" The first list \
of indices is usually interpreted as type LorentzIndex, except for OPEDelta, \
which gets converted to type Momentum. ", "Text", CellTags -> 
                "QuantumField"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(QuantumField[\(A, \({OPEDelta}\), \({a}\)\)]\)//
                      StandardForm\)], "Input", CellLabel -> "In[1348]:=", 
                  CellTags -> "QuantumField"], Cell[BoxData[
                   \(QuantumField[\(A, \(Momentum[OPEDelta]\), 
                        \(SUNIndex[a]\)\)]\)], "Output", CellLabel -> 
                   "Out[1348]//StandardForm="]}, Open]], 
              Cell["Derivatives of fields are denoted as follows.", "Text", 
               CellTags -> "QuantumField"], Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[\(\(PartialD[\[Mu]]\), A, \({\[Mu]}\)\)]\)]\
, "Input", CellLabel -> "In[1349]:=", CellTags -> "QuantumField"], 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox["\[PartialD]", 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], SubsuperscriptBox["A", FormBox[
                        FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"], "\[Null]"]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1349]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(QuantumField[\(\(PartialD[OPEDelta]\), S\)]\)], "Input", 
                  CellLabel -> "In[1350]:=", CellTags -> "QuantumField"], 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox["\[PartialD]", 
                       FormBox["\[CapitalDelta]", "TraditionalForm"]], 
                      \(S\_\[Null]\%\[Null]\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1350]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(QuantumField[\(\(PartialD[OPEDelta]\), A, \({OPEDelta}\)
                        , \({a}\)\)]\)], "Input", CellLabel -> "In[1351]:=", 
                  CellTags -> "QuantumField"], Cell[BoxData[FormBox[
                    RowBox[{FormBox[SubscriptBox["\[PartialD]", FormBox[
                         "\[CapitalDelta]", "TraditionalForm"]], 
                       "TraditionalForm"], SubsuperscriptBox["A", FormBox[
                        "\[CapitalDelta]", "TraditionalForm"], FormBox[
                        FormBox["a", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1351]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(QuantumField[\(\(\(PartialD[OPEDelta]\)^OPEm\), A, 
                        \({OPEDelta}\), \({a}\)\)]\)], "Input", CellLabel -> 
                   "In[1352]:=", CellTags -> "QuantumField"], 
                 Cell[BoxData[FormBox[RowBox[{SubsuperscriptBox[
                       "\[PartialD]", FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox["m", "TraditionalForm"]], 
                      SubsuperscriptBox["A", FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["a", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1352]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(QuantumField[\(QuantumField[A]\)]\)\ ===\ 
                      \(QuantumField[A]\)\)], "Input", CellLabel -> 
                   "In[1353]:=", CellTags -> "QuantumField"], Cell[BoxData[
                   \(TraditionalForm\`True\)], "Output", CellLabel -> 
                   "Out[1353]="]}, Open]]}, Open]], Cell["QuarkField", 
            "ObjectName", CellTags -> "QuarkField"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "QuarkField"], Cell["QuarkField is the name of a \
fermionic field. QuarkField is just a name with no functional properties. \
Only typesetting rules are attached.", "Text", CellTags -> "QuarkField"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["AntiQuarkField", 
                   RuleDelayed[ButtonData, "AntiQuarkField"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "AntiQuarkField"]], ", ", 
                 ButtonBox["QuantumField", 
                   RuleDelayed[ButtonData, "QuantumField"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuantumField"]], "."}], "Text", 
               CellTags -> "QuarkField"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "QuarkField"], Cell[CellGroupData[{Cell[BoxData[
                   "QuarkField"], "Input", CellLabel -> "In[1354]:=", 
                  CellTags -> "QuarkField"], Cell[BoxData[
                   \(TraditionalForm\`\[Psi]\)], "Output", CellLabel -> 
                   "Out[1354]="]}, Open]]}, Open]], Cell["QuarkGluonVertex", 
            "ObjectName", CellTags -> "QuarkGluonVertex"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "QuarkGluonVertex"], Cell[TextData[
                {"QuarkGluonVertex[", Cell[BoxData[
                   \(TraditionalForm\`\(\[Mu],\ 
                        \*StyleBox["a", Rule[FontSlant, "Plain"]]\)\)]], 
                 "] gives the Feynman rule for the quark-gluon vertex. "}], 
               "Text", CellTags -> "QuarkGluonVertex"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[QuarkGluonVertex]\)], "Input", 
                  CellLabel -> "In[1355]:=", CellTags -> "QuarkGluonVertex"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(CounterTerm \[Rule] False\), 
                         \(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Explicit \[Rule] False\),
                          \(\[CapitalOmega] \[Rule] False\), 
                         \(Polarization \[Rule] 0\)}\)\)], "Output", 
                  CellLabel -> "Out[1355]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["GluonVertex", 
                   RuleDelayed[ButtonData, "GluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonVertex"]], "."}], "Text", 
               CellTags -> "QuarkGluonVertex"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "QuarkGluonVertex"], Cell[CellGroupData[{Cell[BoxData[
                   \(QuarkGluonVertex[\(\[Mu], a\)]\)], "Input", CellLabel -> 
                   "In[1356]:=", CellTags -> "QuarkGluonVertex"], 
                 Cell[BoxData[\(TraditionalForm\`Q\_a\%\[Mu]\)], "Output", 
                  CellLabel -> "Out[1356]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(QuarkGluonVertex[\(\[Mu], a, \(CounterTerm\ \[Rule] 1\)
                       \)]\)], "Input", CellLabel -> "In[1357]:=", 
                  CellTags -> "QuarkGluonVertex"], Cell[BoxData[
                   \(TraditionalForm\`Q\_a\%\[Mu]\)], "Output", CellLabel -> 
                   "Out[1357]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(QuarkGluonVertex[\(\[Mu], a, \(CounterTerm\ \[Rule] 2\)
                       \)]\)], "Input", CellLabel -> "In[1358]:=", 
                  CellTags -> "QuarkGluonVertex"], Cell[BoxData[
                   \(TraditionalForm\`Q\_a\%\[Mu]\)], "Output", CellLabel -> 
                   "Out[1358]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(QuarkGluonVertex[\(\[Mu], a, \(CounterTerm\ \[Rule] 3\)
                       \)]\)], "Input", CellLabel -> "In[1359]:=", 
                  CellTags -> "QuarkGluonVertex"], Cell[BoxData[
                   \(TraditionalForm\`Q\_a\%\[Mu]\)], "Output", CellLabel -> 
                   "Out[1359]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(QuarkGluonVertex[\(\({p, \[Mu], a}\), \({q}\), \({k}\), 
                        \(OPE \[Rule] True\)\)]\)], "Input", CellLabel -> 
                   "In[1360]:=", CellTags -> "QuarkGluonVertex"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(QuarkGluonVertex(
                        \(\({p, \[Mu], a}\), \({q}\), \({k}\), 
                          \(\[CapitalOmega] \[Rule] True\)\))\)\)], "Output", 
                  CellLabel -> "Out[1360]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(QuarkGluonVertex[\(\({p, \[Mu], a}\), \({q}\), \({k}\), 
                        \(OPE \[Rule] False\)\)]\)], "Input", CellLabel -> 
                   "In[1361]:=", CellTags -> "QuarkGluonVertex"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(QuarkGluonVertex(
                        \(\({p, \[Mu], a}\), \({q}\), \({k}\), 
                          \(\[CapitalOmega] \[Rule] False\)\))\)\)], 
                  "Output", CellLabel -> "Out[1361]="]}, Open]]}, Open]], 
           Cell["QuarkMass", "ObjectName", CellTags -> "QuarkMass"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "QuarkMass"], Cell[
               "QuarkMass is an option of Amplitude.", "Text", CellTags -> 
                "QuarkMass"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Amplitude", RuleDelayed[ButtonData, 
                    "Amplitude"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Amplitude"]], "."}], "Text", CellTags -> 
                "QuarkMass"]}, Open]], Cell["QuarkPropagator", "ObjectName", 
            CellTags -> "QuarkPropagator"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "QuarkPropagator"], Cell["QuarkPropagator[p] is the massless \
quark propagator. QuarkPropagator[{p,m}] or gives the quark propagator with \
mass m.", "Text", CellTags -> "QuarkPropagator"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[QuarkPropagator]\)], "Input", 
                  CellLabel -> "In[1362]:=", CellTags -> "QuarkPropagator"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(CounterTerm \[Rule] False\), 
                         \(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Explicit \[Rule] False\),
                          \(Loop \[Rule] 0\), 
                         \(\[CapitalOmega] \[Rule] False\), 
                         \(Polarization \[Rule] 0\)}\)\)], "Output", 
                  CellLabel -> "Out[1362]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], ", ", 
                 ButtonBox["QuarkGluonVertex", 
                   RuleDelayed[ButtonData, "QuarkGluonVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "QuarkGluonVertex"]], "."}], "Text", 
               CellTags -> "QuarkPropagator"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "QuarkPropagator"], Cell[CellGroupData[{Cell[BoxData[
                   \(QuarkPropagator[p]\)], "Input", CellLabel -> 
                   "In[1363]:=", CellTags -> "QuarkPropagator"], Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalPi]\_q(p)\)\)], "Output", 
                  CellLabel -> "Out[1363]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(QuarkPropagator[\({p, m}\)]\)], "Input", 
                  CellLabel -> "In[1364]:=", CellTags -> "QuarkPropagator"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[CapitalPi]\_q(p)\)\)], 
                  "Output", CellLabel -> "Out[1364]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(QuarkPropagator[\(p, 1, 2\)]\)], "Input", CellLabel -> 
                   "In[1365]:=", CellTags -> "QuarkPropagator"], Cell[BoxData[
                   \(TraditionalForm\`\(\[CapitalPi]\_q(p)\)\)], "Output", 
                  CellLabel -> "Out[1365]="]}, Open]]}, Open]], 
           Cell["ReduceGamma", "ObjectName", CellTags -> "ReduceGamma"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ReduceGamma"], Cell["ReduceGamma is an option of \
OneLoop. If set to True all DiracMatrix[6] and DiracMatrix[7] (i.e. all \
ChiralityProjector) are reduced to Gamma5.", "Text", CellTags -> 
                "ReduceGamma"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], "."}], "Text", CellTags -> 
                "ReduceGamma"]}, Open]], Cell["ReduceToScalars", 
            "ObjectName", CellTags -> "ReduceToScalars"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ReduceToScalars"], Cell["ReduceToScalars is an \
option for OneLoop  and OneLoopSum that specifies whether the result will be \
reduced to scalar A0, B0, C0 and D0 scalar integrals.", "Text", CellTags -> 
                "ReduceToScalars"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], "."}], "Text", 
               CellTags -> "ReduceToScalars"]}, Open]], Cell["Rename", 
            "ObjectName", CellTags -> "Rename"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Rename"], 
              Cell["Rename is an option for Contract. If set to True, dummy \
indices in Eps are renamed, using $MU[i].", "Text", CellTags -> "Rename"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], "."}], "Text", CellTags -> 
                "Rename"]}, Open]], Cell["RHI  ***unfinished***", 
            "ObjectName", CellTags -> "RHI"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "RHI"], 
              Cell["RHI[{v,w,x,y,z},{a,b,c,d,e,f,g}, {al,be,ga,de,ep}]. (sn \
\[Rule] 1, mark1 \[Rule] 1, mark2 \[Rule] 1, mark3 \[Rule] 1, eph \[Rule] \
Epsilon/2 ). The exponents of the numerator scalar product are (dl = \
OPEDelta): \nv: k1.k1, w: k2.k2,  x: p.k1, y: p.k2, z: k1.k2. \na: dl.k1, b: \
dl.k2,  c: dl.(p-k1), d: dl.(p-k2), e: dl.(k1-k2), f: dl.(p+k1-k2), g: \
dl.(p-k1-k2) \nRHI[any___,{a,b,c,d,e,0,0}, {al,be,ga,de,ep}] simplifies to  \
RHI[any, {a,b,c,d,e}, {al,be,ga,de,ep}]; \nRHI[{0,0,0,0,0},{a,b,c,d,e}, \
{al,be,ga,de,ep}] simplifies to  RHI[{a,b,c,d,e}, {al,be,ga,de,ep}].", 
               "Text", CellTags -> "RHI"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["RHI2FC", RuleDelayed[ButtonData, "RHI2FC"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RHI2FC"]], "."}], "Text", CellTags -> 
                "RHI"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "RHI"], Cell[BoxData[""], 
               "Input", CellLabel -> "In[1366]:=", CellTags -> "RHI"]}, 
             Open]], Cell["RHI2FC  ***unfinished***", "ObjectName", 
            CellTags -> "RHI2FC"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "RHI2FC"], 
              Cell["RHI[{v,w,x,y,z},{a,b,c,d,e,f,g}, {al,be,ga,de,ep}]. (sn \
\[Rule] 1, mark1 \[Rule] 1, mark2 \[Rule] 1, mark3 \[Rule] 1, eph \[Rule] \
Epsilon/2 ). The exponents of the numerator scalar product are (dl = \
OPEDelta): \nv: k1.k1, w: k2.k2,  x: p.k1, y: p.k2, z: k1.k2. \na: dl.k1, b: \
dl.k2,  c: dl.(p-k1), d: dl.(p-k2), e: dl.(k1-k2), f: dl.(p+k1-k2), g: \
dl.(p-k1-k2) \nRHI[any___,{a,b,c,d,e,0,0}, {al,be,ga,de,ep}] simplifies to  \
RHI[any, {a,b,c,d,e}, {al,be,ga,de,ep}]; \nRHI[{0,0,0,0,0},{a,b,c,d,e}, \
{al,be,ga,de,ep}] simplifies to  RHI[{a,b,c,d,e}, {al,be,ga,de,ep}].", 
               "Text", CellTags -> "RHI2FC"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["RHI2FC", RuleDelayed[ButtonData, "RHI2FC"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "RHI2FC"]], "."}], "Text", CellTags -> 
                "RHI2FC"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "RHI2FC"], 
              Cell[BoxData[""], "Input", CellLabel -> "In[1367]:=", 
               CellTags -> "RHI2FC"]}, Open]], Cell["RHM  ***unfinished***", 
            "ObjectName", CellTags -> "RHM"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "RHM"], 
              Cell["RHM[] is like RHI[], gives Gamma functions.", "Text", 
               CellTags -> "RHM"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "RHM"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "RHM"], Cell[BoxData[""], "Input", CellLabel -> "In[1368]:=", 
               CellTags -> "RHM"]}, Open]], Cell["RHO  ***unfinished***", 
            "ObjectName", CellTags -> "RHO"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "RHO"], 
              Cell["RHO[i] with i from 1 to 4 is an abbreviation for the 4 \
operators (eq. (3.2.17) -- (3.2.20)) defined in R.Hambergs thesis. The \
Lorentz indices are suppressed. The explicit expressions may be recovered by \
RHO[i, mu, nu, p].", "Text", CellTags -> "RHO"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["RHI", RuleDelayed[ButtonData, "RHI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHI"]], 
                 "."}], "Text", CellTags -> "RHO"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "RHO"], Cell[BoxData[""], "Input", CellLabel -> "In[1369]:=", 
               CellTags -> "RHO"]}, Open]], Cell["RHP  ", "ObjectName", 
            CellTags -> "RHP"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "RHP"], Cell["RHP[i, mu, nu, p] \
with i from 1 to 4 gives the projectors for RHO[i]. RHP[mu, nu, p] gives \
Sum[RHP[i,mu, nu, p] RHO[i], {i, 4}] collected with respect to mu and nu. See \
the thesis of Roelof Hamberg (but correcting a misprint).", "Text", 
               CellTags -> "RHP"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["RHO", RuleDelayed[ButtonData, "RHO"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "RHO"]], 
                 "."}], "Text", CellTags -> "RHP"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "RHP"], Cell[CellGroupData[{Cell[BoxData[
                   \(RHP[\(1, \[Mu], \[Nu], p\)]\)], "Input", CellLabel -> 
                   "In[1370]:="], Cell[BoxData[FormBox[RowBox[{
                      \(g\^\(\[Mu]\[Nu]\)\/\(D - 2\)\), "+", FractionBox[
                       RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"]}], RowBox[{\((D - 2)\), " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}]], 
                      "+", FractionBox[RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                         RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], RowBox[{\((2 - D)\), " ", 
                         RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1370]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(RHP[\(2, \[Mu], \[Nu], p\)]\)
                   ], "Input", CellLabel -> "In[1371]:="], Cell[BoxData[
                   FormBox[FractionBox[RowBox[{SuperscriptBox[FormBox[
                         "\[CapitalDelta]", "TraditionalForm"], FormBox[
                         FormBox["\[Mu]", "TraditionalForm"], 
                         "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                         "\[CapitalDelta]", "TraditionalForm"], FormBox[
                         FormBox["\[Nu]", "TraditionalForm"], 
                         "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                         "p", "TraditionalForm"], "2"]}], SuperscriptBox[
                      FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1371]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(RHP[\(3, \[Mu], \[Nu], p\)]\)], "Input", CellLabel -> 
                   "In[1372]:="], Cell[BoxData[FormBox[RowBox[{FractionBox[
                       RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], SuperscriptBox[FormBox["p", 
                         "TraditionalForm"], "2"]], "-", FractionBox[
                       RowBox[{RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                         RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1372]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(RHP[\(4, \[Mu], \[Nu], p\)]\)
                   ], "Input", CellLabel -> "In[1373]:="], Cell[BoxData[
                   FormBox[FractionBox[RowBox[{SuperscriptBox[FormBox["p", 
                         "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                       SuperscriptBox[FormBox["p", "TraditionalForm"], 
                        FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                         "TraditionalForm"]]}], RowBox[{"2", " ", 
                       SuperscriptBox[FormBox["p", "TraditionalForm"], 
                        "2"]}]], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1373]="]}, Open]], Cell[BoxData[""], "Input", 
               CellLabel -> "In[1374]:=", CellTags -> "RHP"]}, Open]], 
           Cell["RTL  ***unfinished***", "ObjectName", CellTags -> "RTL"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "RTL"], Cell["RTL[exp] inserts the list of known \
TLI integrals into exp, substitutes D\[RightArrow]4+Epsilon and expands \
around Epsilon up to the finite part.", "Text", CellTags -> "RTL"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["TLI", RuleDelayed[ButtonData, "TLI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TLI"]], 
                 ", ", 
                 ButtonBox["Epsilon", RuleDelayed[ButtonData, "Epsilon"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Epsilon"]], "."}], "Text", CellTags -> 
                "RTL"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "RTL"], Cell[BoxData[""], 
               "Input", CellLabel -> "In[1375]:=", CellTags -> "RTL"]}, 
             Open]], Cell["RightPartialD", "ObjectName", CellTags -> 
             "RightPartialD"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "RightPartialD"], 
              Cell[TextData[{"RightPartialD[", Cell[BoxData[
                   \(TraditionalForm\`\[Mu]\)]], "] denotes ", Cell[BoxData[
                   \(TraditionalForm\`\[PartialD]\_\[Mu]\)]], 
                 ", acting to the right."}], "Text", CellTags -> 
                "RightPartialD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["ExpandPartialD", 
                   RuleDelayed[ButtonData, "ExpandPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandPartialD"]], ", ", 
                 ButtonBox["PartialD", RuleDelayed[ButtonData, "PartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PartialD"]], ", ", 
                 ButtonBox["LeftPartialD", 
                   RuleDelayed[ButtonData, "LeftPartialD"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LeftPartialD"]], "."}], "Text", 
               CellTags -> "RightPartialD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "RightPartialD"], Cell[CellGroupData[{Cell[BoxData[
                   \(RightPartialD[\[Mu]]\)], "Input", CellLabel -> 
                   "In[1376]:=", CellTags -> "RightPartialD"], 
                 Cell[BoxData[FormBox[SubscriptBox[
                     \(\[PartialD]\&\[RightArrow]\), FormBox[FormBox["\[Mu]", 
                       "TraditionalForm"], "TraditionalForm"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1376]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(RightPartialD[\[Mu]]\) . 
                      \(QuantumField[\(A, \(LorentzIndex[\[Mu]]\)\)]\)\)], 
                  "Input", CellLabel -> "In[1377]:=", CellTags -> 
                   "RightPartialD"], Cell[BoxData[FormBox[RowBox[
                     {SubscriptBox[\(\[PartialD]\&\[RightArrow]\), FormBox[
                        FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", \(A\_\[Mu]\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1377]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(ExpandPartialD[%]\)
                   ], "Input", CellLabel -> "In[1378]:=", CellTags -> 
                   "RightPartialD"], Cell[BoxData[FormBox[RowBox[
                     {SubscriptBox["\[PartialD]", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], 
                      SubsuperscriptBox["A", FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"], 
                       "\[Null]"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1378]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1379]:=", CellTags -> "RightPartialD"], Cell[BoxData[
                   \(QuantumField[\(\(PartialD[\(LorentzIndex[\[Mu]]\)]\), A,
                         \(LorentzIndex[\[Mu]]\)\)]\)], "Output", 
                  CellLabel -> "Out[1379]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(RightPartialD[\[Mu]]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1380]:=", CellTags -> "RightPartialD"], 
                 Cell[BoxData[\(RightPartialD[\(LorentzIndex[\[Mu]]\)]\)], 
                  "Output", CellLabel -> "Out[1380]//StandardForm="]}, 
                Open]]}, Open]], Cell["RussianTrick", "ObjectName", 
            CellTags -> "RussianTrick"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "RussianTrick"], Cell["RussianTrick[exp, k, {q1,q2,p}] \
(=RussianTrick[exp,p,p,{q1,q2,p}]) does the integration by parts where p is \
the external momentum. RussianTrick[exp, k,l, {q1,q2,p}] \
(=RussianTrick[exp,k,l]) does integration by parts where l is the momentum to \
be differentiated.", "Text", CellTags -> "RussianTrick"], 
              Cell["The result is an expression which is vanishing.", "Text", 
               CellTags -> "RussianTrick"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FourDivergence", 
                   RuleDelayed[ButtonData, "FourDivergence"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FourDivergence"]], ", ", 
                 ButtonBox["FourLaplacian", 
                   RuleDelayed[ButtonData, "FourLaplacian"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FourLaplacian"]], "."}], "Text", 
               CellTags -> "RussianTrick"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "RussianTrick"], Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(RHI[\(\({OPEm, 0,\ 0, 0,\ 0}\),\ 
                          \({1,\ 1,\ 1,\ 1,\ 1}\)\)]\)\)], "Input", 
                  CellLabel -> "In[1381]:=", CellTags -> "RussianTrick"], 
                 Cell[BoxData[FormBox[SubsuperscriptBox[
                     StyleBox["T", Rule[FontFamily, "Times"], 
                       Rule[FontWeight, "Bold"]], 
                     StyleBox[\(11111\), Rule[FontColor, 
                        RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                        "TraditionalForm"], FormBox["0", "TraditionalForm"], 
                       FormBox["0", "TraditionalForm"], FormBox["0", 
                        "TraditionalForm"], FormBox["0", 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1381]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t//RHI2FC\)], "Input", CellLabel -> 
                   "In[1382]:=", CellTags -> "RussianTrick"], 
                 Cell[BoxData[FormBox[FractionBox[SuperscriptBox[RowBox[
                       {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}], ")"}], "m"], 
                     \(q1\^2 . q2\^2 . \((q1 - p)\)\^2 . \((q2 - p)\)\^2 . 
                        \((q1 - q2)\)\^2\)], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1382]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(RussianTrick[\(\(%//RHI2FC\), q2\)]\)], 
                  "Input", CellLabel -> "In[1383]:=", CellTags -> 
                   "RussianTrick"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"-", FractionBox[SuperscriptBox[RowBox[{"(", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}], ")"}], "m"], 
                         \(q1\^2 . \((q1 - p)\)\^2 . \((q2 - p)\)\^2 . 
                            \((q2 - q1)\)\^2 . \((q2 - q1)\)\^2\)]}], "-", 
                      FractionBox[SuperscriptBox[RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", "TraditionalForm"]}], 
                          ")"}], "m"], 
                       \(q1\^2 . \((q1 - p)\)\^2 . \((q2 - q1)\)\^2 . 
                          \((q2 - p)\)\^2 . \((q2 - p)\)\^2\)], "-", 
                      FractionBox[RowBox[{\((4 - D)\), " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q1", 
                          "TraditionalForm"]}], ")"}], "m"]}], 
                       \(q1\^2 . q2\^2 . \((q1 - p)\)\^2 . \((q2 - q1)\)\^2 .
                           \((q2 - p)\)\^2\)], "+", FractionBox[
                       SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", "TraditionalForm"]}], 
                          ")"}], "m"], 
                       \(q2\^2 . \((q1 - p)\)\^2 . \((q2 - p)\)\^2 . 
                          \((q2 - q1)\)\^2 . \((q2 - q1)\)\^2\)], "+", 
                      FractionBox[RowBox[{SuperscriptBox[RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q1", "TraditionalForm"]}], 
                          ")"}], "m"], " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}], 
                       \(q2\^2 . q1\^2 . \((q2 - q1)\)\^2 . \((q1 - p)\)\^2 .
                           \((q2 - p)\)\^2 . \((q2 - p)\)\^2\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1383]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(FC2RHI[%]\)], 
                  "Input", CellLabel -> "In[1384]:=", CellTags -> 
                   "RussianTrick"], Cell[BoxData[FormBox[RowBox[
                     {FormBox[SubsuperscriptBox[
                        StyleBox["T", Rule[FontFamily, "Times"], 
                          Rule[FontWeight, "Bold"]], 
                        StyleBox[\(01112\), Rule[FontColor, 
                           RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"], "-", 
                      FormBox[SubsuperscriptBox[
                        StyleBox["T", Rule[FontFamily, "Times"], 
                          Rule[FontWeight, "Bold"]], 
                        StyleBox[\(10112\), Rule[FontColor, 
                           RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"], "-", 
                      FormBox[SubsuperscriptBox[
                        StyleBox["T", Rule[FontFamily, "Times"], 
                          Rule[FontWeight, "Bold"]], 
                        StyleBox[\(10121\), Rule[FontColor, 
                           RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"], "+", 
                      RowBox[{\((D - 4)\), " ", FormBox[SubsuperscriptBox[
                          StyleBox["T", Rule[FontFamily, "Times"], 
                            Rule[FontWeight, "Bold"]], 
                          StyleBox[\(11111\), Rule[FontColor, 
                             RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"]}], "+", 
                      RowBox[{SuperscriptBox[FormBox["p", "TraditionalForm"], 
                         "2"], " ", FormBox[SubsuperscriptBox[
                          StyleBox["T", Rule[FontFamily, "Times"], 
                            Rule[FontWeight, "Bold"]], 
                          StyleBox[\(11121\), Rule[FontColor, 
                             RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1384]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Solve2[\(%, t\)]\)]
                   , "Input", CellLabel -> "In[1385]:=", CellTags -> 
                   "RussianTrick"], Cell[BoxData[FormBox[RowBox[{"{", 
                      RowBox[{FormBox[SubsuperscriptBox[
                          StyleBox["T", Rule[FontFamily, "Times"], 
                            Rule[FontWeight, "Bold"]], 
                          StyleBox[\(11111\), Rule[FontColor, 
                             RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"], 
                        "\[Rule]", FractionBox[RowBox[{FormBox[
                          SubsuperscriptBox[
                          StyleBox["T", Rule[FontFamily, "Times"], 
                            Rule[FontWeight, "Bold"]], 
                          StyleBox[\(01112\), Rule[FontColor, 
                             RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"], "-", 
                          FormBox[SubsuperscriptBox[
                          StyleBox["T", Rule[FontFamily, "Times"], 
                            Rule[FontWeight, "Bold"]], 
                          StyleBox[\(10112\), Rule[FontColor, 
                             RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"], "-", 
                          FormBox[SubsuperscriptBox[
                          StyleBox["T", Rule[FontFamily, "Times"], 
                            Rule[FontWeight, "Bold"]], 
                          StyleBox[\(10121\), Rule[FontColor, 
                             RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"], "+", 
                          RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], " ", FormBox[
                          SubsuperscriptBox[
                          StyleBox["T", Rule[FontFamily, "Times"], 
                            Rule[FontWeight, "Bold"]], 
                          StyleBox[\(11121\), Rule[FontColor, 
                             RGBColor[0.`, 0.`, 1.`]]], RowBox[{FormBox["m", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"], FormBox["0", 
                          "TraditionalForm"]}]], "TraditionalForm"]}]}], 
                         \(4 - D\)]}], "}"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1385]="]}, Open]], Cell[BoxData[
                \(Clear[t]\)], "Input", CellLabel -> "In[1386]:=", 
               CellTags -> "RussianTrick"]}, Open]], 
           Cell["ScalarGluonVertex", "ObjectName", CellTags -> 
             "ScalarGluonVertex"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ScalarGluonVertex"], Cell["ScalarGluonVertex[{p}, {q}, \
{mu,a}] or ScalarGluonVertex[ p,  q,  mu, a ] yields the scalar-scalar-gluon \
vertex (p and q are incoming momenta).\nScalarGluonVertex[{mu,a}, {nu,b}] \
yields the scalar-scalar-gluon-gluon vertex (p and q are incoming \
momenta).\nThe dimension  and the name of the coupling constant are \
determined by the options Dimension and CouplingConstant.", "Text", 
               CellTags -> "ScalarGluonVertex"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[ScalarGluonVertex]\)], "Input", 
                  CellLabel -> "In[1387]:=", CellTags -> 
                   "ScalarGluonVertex"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(CouplingConstant \[Rule] g\_s\)}\)\)], "Output", 
                  CellLabel -> "Out[1387]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ScalarGluonVertex"], Cell[CellGroupData[{Cell[BoxData[
                   \(ScalarGluonVertex[\(\({p}\),\ \({q}\),\ \({mu,\ a}\)\)]
                     \)], "Input", CellLabel -> "In[1388]:=", CellTags -> 
                   "ScalarGluonVertex"], Cell[BoxData[FormBox[RowBox[
                     {"\[ImaginaryI]", " ", \(g\_s\), " ", SuperscriptBox[
                       RowBox[{"(", FormBox[\(p - q\), "TraditionalForm"], 
                         ")"}], FormBox[FormBox["mu", "TraditionalForm"], 
                        "TraditionalForm"]], " ", SubscriptBox["T", FormBox[
                        FormBox["a", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1388]="]}, Open]]}, Open]], 
           Cell["ScalarProduct", "ObjectName", CellTags -> "ScalarProduct"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ScalarProduct"], Cell[TextData[{"ScalarProduct[p, \
q] is the input for scalar product. ScalarProduct[p] is equivalent to \
ScalarProduct[p, p]. Expansion of sums of momenta in ScalarProduct is done \
with ExpandScalarProduct. Scalar product may be set, e.g., ScalarProduct[a, \
b] = ", Cell[BoxData[\(TraditionalForm\`\(m^2\)\)]], 
                 "; but a and b must not contain sums. Note that \
ScalarProduct[a, b] = ", Cell[BoxData[\(TraditionalForm\`\(m^2\)\)]], 
                 " actually sets also: Pair[Momentum[a, ___], Momentum[b, \
___]] = ", Cell[BoxData[\(TraditionalForm\`\(m^2\)\)]], 
                 ". It is encouraged to always set ScalarProduct's ", 
                 StyleBox["before", Rule[FontWeight, "Bold"]], " any \
calculation. This improves the performance of FeynCalc ."}], "Text", 
               CellTags -> "ScalarProduct"], Cell[TextData[{"See also: ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["ClearScalarProducts", 
                   RuleDelayed[ButtonData, "ClearScalarProducts"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ClearScalarProducts"]], ", ", 
                 ButtonBox["ExpandScalarProduct", 
                   RuleDelayed[ButtonData, "ExpandScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandScalarProduct"]], ", ", 
                 ButtonBox["ScalarProductCancel", 
                   RuleDelayed[ButtonData, "ScalarProductCancel"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProductCancel"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["SP", RuleDelayed[ButtonData, "SP"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SP"]], 
                 ", ", 
                 ButtonBox["SPD", RuleDelayed[ButtonData, "SPD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SPD"]], 
                 "."}], "Text", CellTags -> "ScalarProduct"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ScalarProduct"], Cell[CellGroupData[{Cell[BoxData[
                   \(ScalarProduct[\(p, q\)]\)], "Input", CellLabel -> 
                   "In[1389]:=", CellTags -> "ScalarProduct"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["p", 
                       "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1389]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ScalarProduct[\(\(p + q\), \(-q\)\)]\)], 
                  "Input", CellLabel -> "In[1390]:=", CellTags -> 
                   "ScalarProduct"], Cell[BoxData[FormBox[RowBox[{"-", 
                      RowBox[{"(", RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", "(", FormBox[\(p + q\), 
                          "TraditionalForm"], ")"}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1390]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ScalarProduct[\(p, p\)]\)], "Input", CellLabel -> 
                   "In[1391]:=", CellTags -> "ScalarProduct"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox["p", 
                      "TraditionalForm"], "2"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1391]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(ScalarProduct[q]\)], "Input", CellLabel -> 
                   "In[1392]:=", CellTags -> "ScalarProduct"], 
                 Cell[BoxData[FormBox[SuperscriptBox[FormBox["q", 
                      "TraditionalForm"], "2"], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1392]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(ScalarProduct[\(p, q\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1393]:=", CellTags -> 
                   "ScalarProduct"], Cell[BoxData[
                   \(Pair[\(\(Momentum[p]\), \(Momentum[q]\)\)]\)], "Output", 
                  CellLabel -> "Out[1393]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(ScalarProduct[\(p, q, \(Dimension \[Rule] D\)\)]\)//
                      StandardForm\)], "Input", CellLabel -> "In[1394]:=", 
                  CellTags -> "ScalarProduct"], Cell[BoxData[
                   \(Pair[\(\(Momentum[\(p, D\)]\), \(Momentum[\(q, D\)]\)\)]
                     \)], "Output", CellLabel -> 
                   "Out[1394]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(ScalarProduct[\(p\_1, p\_2\)]\)\ =\ \(s/2\)\)], 
                  "Input", CellLabel -> "In[1395]:=", CellTags -> 
                   "ScalarProduct"], Cell[BoxData[
                   \(TraditionalForm\`\(s\/2\)\)], "Output", CellLabel -> 
                   "Out[1395]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct[\ 
                      \(ScalarProduct[\(\(p\_1 - q\), \(p\_2 - k\)\)]\)]\)], 
                  "Input", CellLabel -> "In[1396]:=", CellTags -> 
                   "ScalarProduct"], Cell[BoxData[FormBox[RowBox[{\(s\/2\), 
                      "+", RowBox[{FormBox["k", "TraditionalForm"], 
                        "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                      "-", RowBox[{FormBox["k", "TraditionalForm"], 
                        "\[CenterDot]", FormBox[\(p\_1\), 
                         "TraditionalForm"]}], "-", RowBox[{FormBox["q", 
                         "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                         , "TraditionalForm"]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1396]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\ \(ScalarProduct[\(\(p\_1 - q\), \(p\_2 - k\)\)]\)
                      ]\)], "Input", CellLabel -> "In[1397]:=", CellTags -> 
                   "ScalarProduct"], Cell[BoxData[FormBox[RowBox[{\(s\/2\), 
                      "+", RowBox[{FormBox["k", "TraditionalForm"], 
                        "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                      "-", RowBox[{FormBox["k", "TraditionalForm"], 
                        "\[CenterDot]", FormBox[\(p\_1\), 
                         "TraditionalForm"]}], "-", RowBox[{FormBox["q", 
                         "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                         , "TraditionalForm"]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1397]="]}, Open]], 
              Cell[BoxData["ClearScalarProducts"], "Input", CellLabel -> 
                "In[1398]:=", CellTags -> "ScalarProduct"]}, Open]], 
           Cell["ScalarProductCancel", "ObjectName", CellTags -> 
             "ScalarProductCancel"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ScalarProductCancel"], Cell["ScalarProductCancel[exp, q1, \
q2, ...] cancels scalar products with propagators. ScalarProductCancel[exp] \
cancels simple cases.", "Text", CellTags -> "ScalarProductCancel"], 
              Cell[CellGroupData[{Cell[BoxData["SPC"], "Input", CellLabel -> 
                   "In[1399]:=", CellTags -> "ScalarProductCancel"], 
                 Cell[BoxData[\(TraditionalForm\`ScalarProductCancel\)], 
                  "Output", CellLabel -> "Out[1399]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ScalarProductCancel//Options\)], "Input", CellLabel -> 
                   "In[1400]:=", CellTags -> "ScalarProductCancel"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(ChangeDimension \[Rule] D\), 
                         \(Collecting \[Rule] True\), 
                         \(FeynAmpDenominatorSimplify \[Rule] False\), 
                         \(FeynAmpDenominatorCombine \[Rule] True\)}\)\)], 
                  "Output", CellLabel -> "Out[1400]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(? SPC\)], "Input", 
                  CellLabel -> "In[1401]:=", CellTags -> 
                   "ScalarProductCancel"], Cell[BoxData[
                   "\"SPC is an abbreviation for ScalarProductCancel.\""], 
                  "Print", CellTags -> "Info3288620515-2724078"]}, Open]], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["ClearScalarProducts", 
                   RuleDelayed[ButtonData, "ClearScalarProducts"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ClearScalarProducts"]], ", ", 
                 ButtonBox["ExpandScalarProduct", 
                   RuleDelayed[ButtonData, "ExpandScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandScalarProduct"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["SP", RuleDelayed[ButtonData, "SP"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SP"]], 
                 ", ", 
                 ButtonBox["SPD", RuleDelayed[ButtonData, "SPD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SPD"]], 
                 "."}], "Text", CellTags -> "ScalarProductCancel"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ScalarProductCancel"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynAmpDenominatorSimplify", 
                   RuleDelayed[ButtonData, "FeynAmpDenominatorSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynAmpDenominatorSimplify"]], "."}], 
               "Text", CellTags -> "ScalarProductCancel"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t1\ =\ \(\(\(SPD[\(q, p\)]\)\ 
                          \(FAD[\(\({q, m}\), \({\(q - p\), 0}\)\)]\)\)//FCI\
\)\)], "Input", CellLabel -> "In[1402]:=", CellTags -> 
                   "ScalarProductCancel"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                       FormBox["q", "TraditionalForm"]}], 
                     \(\((q\^2 - m\^2)\) . \((q - p)\)\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1402]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ScalarProductCancel[\(t1, q\)]\)], "Input", CellLabel -> 
                   "In[1403]:=", CellTags -> "ScalarProductCancel"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(-\(1\/\(2\ \((q\^2 - m\^2)\)\)\)\), "+", 
                      \(1\/\(2\ \((q - p)\)\^2\)\), "+", FractionBox[RowBox[{
                         \(m\^2\/2\), "+", FractionBox[SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"], "2"]}], 
                       \(\((q\^2 - m\^2)\) . \((q - p)\)\^2\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1403]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(FeynAmpDenominatorSimplify[\(%, q\)]\)], "Input", 
                  CellLabel -> "In[1404]:=", CellTags -> 
                   "ScalarProductCancel"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{\(m\^2\/2\), "+", FractionBox[
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "2"]}], \(\((q\^2 - m\^2)\) . \((q - p)\)\^2\)
                       ], "-", \(1\/\(2\ \((q\^2 - m\^2)\)\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1404]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SPC[\(t1, q, \(FDS \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1405]:=", CellTags -> 
                   "ScalarProductCancel"], Cell[BoxData[FormBox[RowBox[
                     {FractionBox[RowBox[{\(m\^2\/2\), "+", FractionBox[
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "2"]}], \(\((q\^2 - m\^2)\) . \((q - p)\)\^2\)
                       ], "-", \(1\/\(2\ \((q\^2 - m\^2)\)\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1405]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t2\ =\ \(\(\(SPD[\(q2, p\)]\) \(SPD[\(q1, p\)]\)\ 
                          \(FAD[\(\({q1, m}\), \({q2, m}\), \(q1 - p\), 
                              \(q2 - p\), \(q2 - q1\)\)]\)\)//FCI\)\)], 
                  "Input", CellLabel -> "In[1406]:=", CellTags -> 
                   "ScalarProductCancel"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{RowBox[{FormBox["p", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["q1", "TraditionalForm"]}], 
                       " ", RowBox[{FormBox["p", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["q2", 
                          "TraditionalForm"]}]}], 
                     \(\((q1\^2 - m\^2)\) . \((q2\^2 - m\^2)\) . 
                        \((q1 - p)\)\^2 . \((q2 - p)\)\^2 . \((q2 - q1)\)\^2\
\)], TraditionalForm]], "Output", CellLabel -> "Out[1406]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SPC[\(t2, q1, q2, \(FDS \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1407]:=", CellTags -> 
                   "ScalarProductCancel"], Cell[BoxData[FormBox[RowBox[{
                      \(1\/\(4\ \(\((q1\^2 - m\^2)\) . \((q2\^2 - m\^2)\) . 
                             \((q2 - q1)\)\^2\)\)\), "-", 
                      \(1\/\(2\ \(\((q1\^2 - m\^2)\) . \((q2 - p)\)\^2 . 
                             \((q2 - q1)\)\^2\)\)\), "+", FractionBox[RowBox[{
                         \(-\(m\^2\/2\)\), "-", FractionBox[SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], "2"]}], 
                       \(\((q1\^2 - m\^2)\) . \((q2\^2 - m\^2)\) . 
                          \((q1 - p)\)\^2 . \((q2 - q1)\)\^2\)], "+", 
                      FractionBox[RowBox[{\(m\^2\/2\), "+", FractionBox[
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], "2"]}], 
                       \(q1\^2 . q2\^2 . \((\((q1 - p)\)\^2 - m\^2)\) . 
                          \((q2 - q1)\)\^2\)], "+", FractionBox[RowBox[{
                         \(m\^4\/4\), "+", FractionBox[RowBox[{SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], " ", \(m\^2\)
                          }], "2"], "+", FractionBox[SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "4"], "4"]}], 
                       \(\((q1\^2 - m\^2)\) . \((q2\^2 - m\^2)\) . 
                          \((q1 - p)\)\^2 . \((q2 - p)\)\^2 . 
                          \((q2 - q1)\)\^2\)]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1407]="]}, Open]], Cell[BoxData[
                \(\(Clear[\(t1, t2\)]\) ;\)], "Input", CellLabel -> 
                "In[1408]:=", CellTags -> "ScalarProductCancel"]}, Open]], 
           Cell["ScaleMu", "ObjectName", CellTags -> "ScaleMu"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ScaleMu"], Cell["ScaleMu is the mass scale used \
for dimensional regularization of loop integrals.", "Text", CellTags -> 
                "ScaleMu"], Cell[CellGroupData[{Cell[BoxData["ScaleMu"], 
                  "Input", CellLabel -> "In[1409]:=", CellTags -> "ScaleMu"], 
                 Cell[BoxData[\(TraditionalForm\`\[Mu]\)], "Output", 
                  CellLabel -> "Out[1409]="]}, Open]]}, Open]], 
           Cell["Schouten", "ObjectName", CellTags -> "Schouten"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Schouten"], Cell["Schouten[expr] applies the \
Schouten identity on at most 42 terms in a sum. If Schouten should operate on \
larger expression you can give a second argument, e.g.: Schouten[expr, 4711] \
which will work on sums with less than 4711 terms.\nSchouten is also an \
option of Contract and DiracTrace. It may be set to an integer indicating the \
maximum number of terms onto which the function Schouten will be applied .", 
               "Text", CellTags -> "Schouten"], Cell[TextData[{"See also: ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], ", ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], "."}], "Text", 
               CellTags -> "Schouten"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Schouten"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(\(Sum[\(\(\[Sum]\+\(a = 1\)\%4 
                              \((\(SP[\(k, \(q[a]\)\)]\) 
                                 \((1\/6 \(
                                     Eps[\(
                                       \(LorentzIndex[a]\), 
                                       \(LorentzIndex[b]\), 
                                       \(LorentzIndex[c]\), 
                                       \(LorentzIndex[d]\)\)]\) 
                                    \(Eps[\(
                                       \(LorentzIndex[\[Mu]]\), 
                                       \(Momentum[\(q[b]\)]\), 
                                       \(Momentum[\(q[c]\)]\), 
                                       \(Momentum[\(q[d]\)]\)\)]\))\))\)\), 
                            \({b, 1, 4}\), \({c, 1, 4}\), \({d, 1, 4}\)\)]\) 
                        - \(\(Eps[\(\(Momentum[\(q[1]\)]\), 
                              \(Momentum[\(q[2]\)]\), \(Momentum[\(q[3]\)]\),
                               \(Momentum[\(q[4]\)]\)\)]\) * 
                          \(Pair[\(\(LorentzIndex[\[Mu]]\), \(Momentum[k]\)\)
                            ]\)\)\)\)], "Input", CellLabel -> "In[1410]:=", 
                  CellTags -> "Schouten"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"-", SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[\(q(1)\), "TraditionalForm"], 
                          FormBox[\(q(2)\), "TraditionalForm"], FormBox[
                          \(q(3)\), "TraditionalForm"], FormBox[\(q(4)\), 
                          "TraditionalForm"]}]]}], " ", SuperscriptBox[
                         FormBox["k", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]]}], 
                      "+", RowBox[{\(1\/6\), " ", SuperscriptBox[
                         "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          \(q(2)\), "TraditionalForm"], FormBox[\(q(3)\), 
                          "TraditionalForm"], FormBox[\(q(4)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(1)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(2)\), "TraditionalForm"], FormBox[
                          \(q(4)\), "TraditionalForm"], FormBox[\(q(3)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(1)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(3)\), "TraditionalForm"], FormBox[
                          \(q(2)\), "TraditionalForm"], FormBox[\(q(4)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(1)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(3)\), "TraditionalForm"], FormBox[
                          \(q(4)\), "TraditionalForm"], FormBox[\(q(2)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(1)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(4)\), "TraditionalForm"], FormBox[
                          \(q(2)\), "TraditionalForm"], FormBox[\(q(3)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(1)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(4)\), "TraditionalForm"], FormBox[
                          \(q(3)\), "TraditionalForm"], FormBox[\(q(2)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(1)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(1)\), "TraditionalForm"], FormBox[
                          \(q(3)\), "TraditionalForm"], FormBox[\(q(4)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(2)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(1)\), "TraditionalForm"], FormBox[
                          \(q(4)\), "TraditionalForm"], FormBox[\(q(3)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(2)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(3)\), "TraditionalForm"], FormBox[
                          \(q(1)\), "TraditionalForm"], FormBox[\(q(4)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(2)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(3)\), "TraditionalForm"], FormBox[
                          \(q(4)\), "TraditionalForm"], FormBox[\(q(1)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(2)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(4)\), "TraditionalForm"], FormBox[
                          \(q(1)\), "TraditionalForm"], FormBox[\(q(3)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(2)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(4)\), "TraditionalForm"], FormBox[
                          \(q(3)\), "TraditionalForm"], FormBox[\(q(1)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(2)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(1)\), "TraditionalForm"], FormBox[
                          \(q(2)\), "TraditionalForm"], FormBox[\(q(4)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(3)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(1)\), "TraditionalForm"], FormBox[
                          \(q(4)\), "TraditionalForm"], FormBox[\(q(2)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(3)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(2)\), "TraditionalForm"], FormBox[
                          \(q(1)\), "TraditionalForm"], FormBox[\(q(4)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(3)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(2)\), "TraditionalForm"], FormBox[
                          \(q(4)\), "TraditionalForm"], FormBox[\(q(1)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(3)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(4)\), "TraditionalForm"], FormBox[
                          \(q(1)\), "TraditionalForm"], FormBox[\(q(2)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(3)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(4)\), "TraditionalForm"], FormBox[
                          \(q(2)\), "TraditionalForm"], FormBox[\(q(1)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(3)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(1)\), "TraditionalForm"], FormBox[
                          \(q(2)\), "TraditionalForm"], FormBox[\(q(3)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(4)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(1)\), "TraditionalForm"], FormBox[
                          \(q(3)\), "TraditionalForm"], FormBox[\(q(2)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(4)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(2)\), "TraditionalForm"], FormBox[
                          \(q(1)\), "TraditionalForm"], FormBox[\(q(3)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(4)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(2)\), "TraditionalForm"], FormBox[
                          \(q(3)\), "TraditionalForm"], FormBox[\(q(1)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(4)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "-", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(3)\), "TraditionalForm"], FormBox[
                          \(q(1)\), "TraditionalForm"], FormBox[\(q(2)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(4)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}], "+", RowBox[{\(1\/6\), " ", 
                        SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[\(q(3)\), "TraditionalForm"], FormBox[
                          \(q(2)\), "TraditionalForm"], FormBox[\(q(1)\), 
                          "TraditionalForm"]}]], " ", FormBox[RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q(4)\), "TraditionalForm"]}], 
                         "TraditionalForm"]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1410]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(t//Schouten\)], "Input", CellLabel -> 
                   "In[1411]:=", CellTags -> "Schouten"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1411]="]}, Open]], Cell[BoxData[\(Clear[t]\)], 
               "Input", CellLabel -> "In[1412]:="]}, Open]], 
           Cell["SD", "ObjectName", CellTags -> "SD"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SD"], Cell[TextData[
                {"SD[i, j] is the (FeynCalc-external) Kronecker-delta for \
SU(", StyleBox["N", Rule[FontSlant, "Italic"]], ") with color indices i and \
j. SD[i,j] is transformed into SUNDelta[SUNIndex[i],SUNIndex[j]] by \
FeynCalcInternal."}], "Text", CellTags -> "SD"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["SUNDelta", RuleDelayed[ButtonData, "SUNDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNDelta"]], "."}], "Text", CellTags -> 
                "SD"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "SD"], Cell[CellGroupData[
                {Cell[BoxData[\(SD[\(a, b\)]\)], "Input", CellLabel -> 
                   "In[1413]:=", CellTags -> "SD"], Cell[BoxData[
                   \(TraditionalForm\`\[Delta]\_\(ab\)\)], "Output", 
                  CellLabel -> "Out[1413]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(%//FCI\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1414]:=", CellTags -> "SD"], Cell[BoxData[
                   \(SUNDelta[\(\(SUNIndex[a]\), \(SUNIndex[b]\)\)]\)], 
                  "Output", CellLabel -> "Out[1414]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(%//FCE\)//StandardForm\)], "Input", CellLabel -> 
                   "In[1415]:=", CellTags -> "SD"], Cell[BoxData[
                   \(SD[\(a, b\)]\)], "Output", CellLabel -> 
                   "Out[1415]//StandardForm="]}, Open]]}, Open]], 
           Cell["SelectFree", "ObjectName", CellTags -> "SelectFree"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SelectFree"], Cell["SelectFree[expr, a, b, ...] \
is equivalent to Select[expr, FreeQ2[#, {a,b, ...}]&], except the special \
cases: SelectFree[a, b] returns a and SelectFree[a,a] returns 1 (where a is \
not a product or a sum).", "Text", CellTags -> "SelectFree"], 
              Cell["SelectFree is equivalent to Select1.", "Text", 
               CellTags -> "SelectFree"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FreeQ2", RuleDelayed[ButtonData, "FreeQ2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FreeQ2"]], ", ", 
                 ButtonBox["SelectNotFree", 
                   RuleDelayed[ButtonData, "SelectNotFree"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SelectNotFree"]], "."}], "Text", 
               CellTags -> "SelectFree"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SelectFree"], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectFree[\(\(a + b + \(f[a]\) + d\), a\)]\)], "Input", 
                  CellLabel -> "In[1416]:=", CellTags -> "SelectFree"], 
                 Cell[BoxData[\(TraditionalForm\`\(b + d\)\)], "Output", 
                  CellLabel -> "Out[1416]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SelectFree[\(\(x\ y\),\ x\)]\)], "Input", 
                  CellLabel -> "In[1417]:=", CellTags -> "SelectFree"], 
                 Cell[BoxData[\(TraditionalForm\`y\)], "Output", CellLabel -> 
                   "Out[1417]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectFree[\(\(2\ x\ y\ z\ \(f[x]\)\),\ \({x, y}\)\)]\)]\
, "Input", CellLabel -> "In[1418]:=", CellTags -> "SelectFree"], Cell[BoxData[
                   \(TraditionalForm\`\(2\ z\)\)], "Output", CellLabel -> 
                   "Out[1418]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectFree[\(a, b\)]\)], "Input", CellLabel -> 
                   "In[1419]:=", CellTags -> "SelectFree"], Cell[BoxData[
                   \(TraditionalForm\`a\)], "Output", CellLabel -> 
                   "Out[1419]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectFree[\(a, a\)]\)], "Input", CellLabel -> 
                   "In[1420]:=", CellTags -> "SelectFree"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[1420]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectFree[\(1, c\)]\)], "Input", CellLabel -> 
                   "In[1421]:=", CellTags -> "SelectFree"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[1421]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectFree[\(\(f[x]\), x\)]\)], "Input", CellLabel -> 
                   "In[1422]:=", CellTags -> "SelectFree"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[1422]="]}, Open]]}, Open]], Cell["SelectGraphs", 
            "ObjectName", CellTags -> "SelectGraphs"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SelectGraphs"], Cell["SelectGraphs is an option \
for OneLoopSum indicating that only a slected set of graphs of the list \
provided to OneLoopSum is to be calculated. Possible settings are: \
SelectGraphs\[RightArrow]{ i, j,  ... } or SelectGraphs\[RightArrow]{ a, {b, \
c}, ... } which indicates the graphs to be taken from the list provided to \
OneLoopSum. In the second setting the list {b, c} indicates that all \
amplitudes from b to c should be taken.", "Text", CellTags -> 
                "SelectGraphs"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], "."}], "Text", 
               CellTags -> "SelectGraphs"]}, Open]], Cell["SelectNotFree", 
            "ObjectName", CellTags -> "SelectNotFree"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SelectNotFree"], Cell["SelectNotFree[expr, x] \
returns that part of expr which is not free of any occurance of x.", "Text", 
               CellTags -> "SelectNotFree"], Cell["SelectNotFree[expr, a, b, \
...] is equivalent to Select[expr, !FreeQ2[#, {a, b, ...}]&], except the \
special cases: SelectNotFree[a, b] returns 1 and SelectNotFree[a, a] returns \
a (where a is not a product or a sum).", "Text", CellTags -> 
                "SelectNotFree"], Cell[
               "SelectNotFree is equivalent to Select2.", "Text", CellTags -> 
                "SelectNotFree"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FreeQ2", RuleDelayed[ButtonData, "FreeQ2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FreeQ2"]], ", ", 
                 ButtonBox["SelectFree", RuleDelayed[ButtonData, 
                    "SelectFree"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SelectFree"]], "."}], "Text", 
               CellTags -> "SelectNotFree"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SelectNotFree"], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectNotFree[\(\(a + b + \(f[a]\)\), a\)]\)], "Input", 
                  CellLabel -> "In[1423]:=", CellTags -> "SelectNotFree"], 
                 Cell[BoxData[\(TraditionalForm\`\(a + \(f(a)\)\)\)], 
                  "Output", CellLabel -> "Out[1423]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SelectNotFree[\(\(2\ x\ y\ \(f[x]\)\ z\), \({x, y}\)\)]
                     \)], "Input", CellLabel -> "In[1424]:=", CellTags -> 
                   "SelectNotFree"], Cell[BoxData[
                   \(TraditionalForm\`\(x\ y\ \(f(x)\)\)\)], "Output", 
                  CellLabel -> "Out[1424]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SelectNotFree[\(a, b\)]\)], "Input", 
                  CellLabel -> "In[1425]:=", CellTags -> "SelectNotFree"], 
                 Cell[BoxData[\(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[1425]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectNotFree[\(\(a + x\), b\)]\)], "Input", 
                  CellLabel -> "In[1426]:=", CellTags -> "SelectNotFree"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1426]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectNotFree[\(a, a\)]\)], "Input", CellLabel -> 
                   "In[1427]:=", CellTags -> "SelectNotFree"], Cell[BoxData[
                   \(TraditionalForm\`a\)], "Output", CellLabel -> 
                   "Out[1427]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectNotFree[\(1, c\)]\)], "Input", CellLabel -> 
                   "In[1428]:=", CellTags -> "SelectNotFree"], Cell[BoxData[
                   \(TraditionalForm\`1\)], "Output", CellLabel -> 
                   "Out[1428]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectNotFree[\(\(f[x]\), x\)]\)], "Input", CellLabel -> 
                   "In[1429]:=", CellTags -> "SelectNotFree"], Cell[BoxData[
                   \(TraditionalForm\`\(f(x)\)\)], "Output", CellLabel -> 
                   "Out[1429]="]}, Open]]}, Open]], Cell["SelectSplit", 
            "ObjectName", CellTags -> "SelectSplit"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SelectSplit"], Cell["SelectSplit[l, p] Construct \
list of mutually exclusive subsets from l in which every element li satisfies \
a criterium pj[li] with pj from p and appends the subset of remaining \
unmatched elements.", "Text", CellTags -> "SelectSplit"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SelectSplit"], Cell[CellGroupData[{Cell[BoxData[
                   \(SelectSplit[\(\({a\^2, b\^3, c\^4, d\^5, e\^6, \(f + g\)
                           , h\^4}\), \({\(\(MatchQ[\(#, \(_^2\)\)]\) &\), 
                           \(\(MatchQ[\(#, \(_^4\)\)]\) &\), 
                           \(\(FreeQ[\(#, Power\)]\) &\)}\)\)]\)], "Input", 
                  CellLabel -> "In[1430]:=", CellTags -> "SelectSplit"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\({a\^2}\), \({c\^4, h\^4}\), 
                         \({f + g}\), \({b\^3, d\^5, e\^6}\)}\)\)], "Output", 
                  CellLabel -> "Out[1430]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SelectSplit[\(\({a\^2, b\^3, c\^4, d\^5, e\^6, \(f + g\)
                           , h\^4}\), \({\(\(FreeQ[\(#, Plus\)]\) &\), 
                           \(\(FreeQ[\(#, Power\)]\) &\)}\)\)]\)], "Input", 
                  CellLabel -> "In[1431]:=", CellTags -> "SelectSplit"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          {a\^2, b\^3, c\^4, d\^5, e\^6, h\^4}\), \({f + g}\)
                         , \({}\)}\)\)], "Output", CellLabel -> 
                   "Out[1431]="]}, Open]]}, Open]], Cell["Select1", 
            "ObjectName", CellTags -> "Select1"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Select1"], Cell["Select1[expr, a, b, ...] is \
equivalent to Select[expr, FreeQ2[#, {a,b, ...}]&], except the special cases: \
Select1[a, b] returns a and Select1[a,a] returns 1 (where a is not a product \
or a sum).", "Text", CellTags -> "Select1"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["Select2", RuleDelayed[ButtonData, "Select2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Select2"]], "."}], "Text", CellTags -> 
                "Select1"]}, Open]], Cell["Select2", "ObjectName", 
            CellTags -> "Select2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Select2"], 
              Cell["Select2[expr, a, b, ...] is equivalent to Select[expr, \
!FreeQ2[#, {a,b, ...}]&], except the special cases: Select2[a, b] returns 1 \
and  Select2[a,a] returns a (where a is not a product or a sum).", "Text", 
               CellTags -> "Select2"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Select1", RuleDelayed[ButtonData, "Select1"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Select1"]], "."}], "Text", CellTags -> 
                "Select2"]}, Open]], Cell["Series2", "ObjectName", 
            CellTags -> "Series2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Series2"], 
              Cell[TextData[{" Series2 performs a series expansion around 0. \
Series2 is (up to the Gamma-bug in ", 
                 StyleBox["Mathematica", Rule[FontSlant, "Italic"]], " \
versions smaller than 5.0) equivalent to Series, except that it applies \
Normal on the result and has an option FinalSubstitutions. Series2[f, e, n] \
is equivalent to Series2[f, {e, 0, n}]."}], "Text", CellTags -> "Series2"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[Series2]\)], 
                  "Input", CellLabel -> "In[1432]:=", CellTags -> "Series2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Collecting \[Rule] False\), 
                         \(Factoring \[Rule] True\), 
                         \(FinalSubstitutions \[Rule] 
                           \({\*TagBox["\[DoubledGamma]", 
                                Function[List[], EulerGamma]] \[Rule] 0}\)\),
                          \(Print \[Rule] False\), 
                         \(SimplifyPolyLog \[Rule] True\)}\)\)], "Output", 
                  CellLabel -> "Out[1432]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Series2"], Cell[CellGroupData[{Cell[BoxData[
                   \(Series2[\(\(\((x\ \((1 - x)\))\)^\((\[Delta]/2)\)\), 
                        \[Delta], 1\)]\)], "Input", CellLabel -> 
                   "In[1433]:=", CellTags -> "Series2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ \[Delta]\ \(log(\(1 - x\))\)
                         \) + \(1\/2\ \[Delta]\ \(log(x)\)\) + 1\)\)], 
                  "Output", CellLabel -> "Out[1433]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Series2[\(\(Gamma[x]\), x, 1\)]\)], "Input", 
                  CellLabel -> "In[1434]:=", CellTags -> "Series2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ x\ \(\[Zeta](2)\)\) + 1\/x\)
                     \)], "Output", CellLabel -> "Out[1434]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Series[\(\(Gamma[x]\), \({x, 0, 1}\)\)]\)], "Input", 
                  CellLabel -> "In[1435]:=", CellTags -> "Series2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[\(
                          1\/x - \*TagBox["\[DoubledGamma]", 
                             Function[List[], EulerGamma]] + 
                           \(1\/2\ \((\*TagBox["\[DoubledGamma]", 
                                   Function[List[], EulerGamma]]\^2 + 
                                \[Pi]\^2\/6)\)\ x\) + 
                           \*InterpretationBox[\(O(\(x\^2\))\), 
                             SeriesData[x, 0, List[], -1, 2, 1]]\), 
                         SeriesData[x, 0, List[1, Times[-1, EulerGamma], 
                           Times[Rational[1, 2], 
                            Plus[Power[EulerGamma, 2], 
                             Times[Rational[1, 6], Power[Pi, 2]]]]], -1, 2, 
                          1]]\)\)], "Output", CellLabel -> "Out[1435]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Series2[\(\(Gamma[x]\), x, 2\)]\)], "Input", 
                  CellLabel -> "In[1436]:=", CellTags -> "Series2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\(1\/3\)\)\ 
                          \*TagBox[\(\[Zeta](
                              \(\*TagBox["3", Zeta, Rule[Editable, True]]\))
                   \), InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]\ x\^2\) + 
                        \(1\/2\ \(\[Zeta](2)\)\ x\) + 1\/x\)\)], "Output", 
                  CellLabel -> "Out[1436]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Series2[\(\(Gamma[x]\), x, 2, 
                          \(FinalSubstitutions \[Rule] \({}\)\)\)]\)//
                      FullSimplify\)], "Input", CellLabel -> "In[1437]:=", 
                  CellTags -> "Series2"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/6\ 
                        \((\(\(-2\)\ \*TagBox[\(
                                \[Zeta](\(
                                  \*TagBox["3", Zeta, Rule[Editable, True]]
                                  \))\), InterpretTemplate[Function[
                                 BoxForm`e$, Zeta[BoxForm`e$]]]]\ x\^2\) - 
                           \(\*TagBox["\[DoubledGamma]", 
                                Function[List[], EulerGamma]]\^3\ x\^2\) + 
                           \(3\ \(\[Zeta](2)\)\ x\) + 
                           \(3\ \*TagBox["\[DoubledGamma]", 
                                Function[List[], EulerGamma]]\^2\ x\) - 
                           \(3\ \*TagBox["\[DoubledGamma]", 
                               Function[List[], EulerGamma]]\ 
                             \((\(\(\[Zeta](2)\)\ x\^2\) + 2)\)\) + 6\/x)\)\)
                   \)], "Output", CellLabel -> "Out[1437]="]}, Open]], 
              Cell[TextData[{"In earlier ", 
                 StyleBox["Mathematica", Rule[FontSlant, "Italic"]], " \
versions the Gamma functions was not expanded far enough, in 5.0 this got \
finally fixed:"}], "Text"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(Series[\(\(Gamma[x]\), 
                              \({x, 0, \(If[\(\($VersionNumber < 5\), 4, 2\)]
                                  \)}\)\)]\)//Normal\)//Expand\)//
                      FullSimplify\)], "Input", CellLabel -> "In[1438]:=", 
                  CellTags -> "Series2"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/12\ 
                        \((\(\(-2\)\ \*TagBox["\[DoubledGamma]", 
                                Function[List[], EulerGamma]]\^3\ x\^2\) + 
                           \(\((\[Pi]\^2 - 
                                \(4\ x\ \*TagBox[\(
                                     \[Zeta](
                                      \(\*
                                       TagBox["3", Zeta, 
                                       Rule[Editable, True]]\))\), 
                                    InterpretTemplate[Function[BoxForm`e$, 
                                      Zeta[BoxForm`e$]]]]\))\)\ x\) + 
                           \(6\ \*TagBox["\[DoubledGamma]", 
                                Function[List[], EulerGamma]]\^2\ x\) - 
                           \(\*TagBox["\[DoubledGamma]", 
                               Function[List[], EulerGamma]]\ 
                             \((\(\[Pi]\^2\ x\^2\) + 12)\)\) + 12\/x)\)\)\)], 
                  "Output", CellLabel -> "Out[1438]="]}, Open]], 
              Cell["There is a table of expansions of special hypergeometric \
functions.", "Text", CellTags -> "Series2"], Cell[CellGroupData[{Cell[BoxData[
                   \(Series2[\(\(HypergeometricPFQ[
                          \(\({1, \(OPEm - 1\), \(\(Epsilon/2\) + OPEm\)}\), 
                            \({OPEm, \(OPEm + Epsilon\)}\), 1\)]\), Epsilon, 
                        1\)]\)], "Input", CellLabel -> "In[1439]:=", 
                  CellTags -> "Series2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ 
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\ 
                          \(\(\*TagBox["\[Psi]", PolyGamma]\^\((1)\)\)(m)\)\ 
                          m\) + \(2\ m\)\/\*
                          TagBox["\[CurlyEpsilon]", TraditionalForm] - 
                        \(1\/2\ \*TagBox["\[CurlyEpsilon]", TraditionalForm]
                          \ \(\(\*TagBox["\[Psi]", PolyGamma]\^\((1)\)\)(m)\)
                   \) - 2\/\*TagBox["\[CurlyEpsilon]", TraditionalForm] + 1\)
                   \)], "Output", CellLabel -> "Out[1439]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\ \(Series2[\(\(HypergeometricPFQ[
                            \(\({1,\ OPEm,\ \(\(Epsilon/2\)\ +\ OPEm\)}\),\ 
                              \({\(1\ +\ OPEm\),\ \(Epsilon\ +\ OPEm\)}\),\ 
                              \ 1\)]\), Epsilon, 1\)]\)\)], "Input", 
                  CellLabel -> "In[1440]:=", CellTags -> "Series2"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(1\/4\ \*TagBox["\[CurlyEpsilon]", TraditionalForm]\ m
                         \ \(\*TagBox["\[Psi]", PolyGamma]\^\((0)\)(m)\)\^2\)\
, "+", 
                      \(\(2\ m\)\/\*TagBox["\[CurlyEpsilon]", 
                           TraditionalForm]\), "+", 
                      \(1\/4\ \*TagBox["\[CurlyEpsilon]", TraditionalForm]\ m
                         \ \(\[Zeta](2)\)\), "+", 
                      \(3\/4\ \*TagBox["\[CurlyEpsilon]", TraditionalForm]\ m
                         \ \(\*TagBox["\[Psi]", PolyGamma]\^\((1)\)(m)\)\), 
                      "-", RowBox[{\(1\/2\), " ", 
                        TagBox["\[CurlyEpsilon]", TraditionalForm], " ", "m", 
                        " ", RowBox[{\(S\_11\), "(", FormBox[\(m - 1\), 
                          "TraditionalForm"], ")"}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1440]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Hypergeometric2F1[\(1,\ Epsilon,\ 
                        \(1\ +\ \(2\ Epsilon\)\), x\)]\)], "Input", 
                  CellLabel -> "In[1441]:=", CellTags -> "Series2"], 
                 Cell[BoxData[FormBox[TagBox[TagBox[RowBox[{RowBox[
                         {SubscriptBox["\[InvisiblePrefixScriptBase]", 
                          FormBox["2", "TraditionalForm"]], SubscriptBox["F", 
                          FormBox["1", "TraditionalForm"]]}], 
                        "\[InvisibleApplication]", 
                        \((\*TagBox[TagBox[\(
                                \*TagBox["1", Hypergeometric2F1, 
                                   Rule[Editable, True]], 
                                 \*TagBox[TagBox["\[CurlyEpsilon]", 
                                    TraditionalForm], Hypergeometric2F1, 
                                   Rule[Editable, True]]\), 
                               InterpretTemplate[Function[List[SlotSequence[
                                   1]]]]], Hypergeometric2F1, 
                              Rule[Editable, False]] ; 
                            \*TagBox[TagBox[TagBox[\(
                                 \(2\ \*TagBox["\[CurlyEpsilon]", 
                                      TraditionalForm]\) + 1\), 
                                Hypergeometric2F1, Rule[Editable, True]], 
                               InterpretTemplate[Function[List[SlotSequence[
                                   1]]]]], Hypergeometric2F1, 
                              Rule[Editable, False]] ; 
                            \*TagBox["x", Hypergeometric2F1, 
                              Rule[Editable, True]])\)}], InterpretTemplate[
                       HypergeometricPFQ[#1, #2, #3] & ], Editable -> False], 
                     Hypergeometric2F1], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1441]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Series2[\(%, Epsilon, 3\)]\)], "Input", 
                  CellLabel -> "In[1442]:=", CellTags -> "Series2"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(\(-\(1\/6\)\)\ \(log\^3(1 - x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\), 
                      "-", 
                      \(2\ \(log(1 - x)\)\ \(log\^2(x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\), 
                      "-", 
                      \(2\ \(\[Zeta](2)\)\ \(log(1 - x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\), 
                      "+", 
                      \(\(log\^2(1 - x)\)\ \(log(x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\), 
                      "+", 
                      \(4\ \(\[Zeta](2)\)\ \(log(x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\), 
                      "-", RowBox[{"4", " ", RowBox[{SubscriptBox["S", 
                          RowBox[{FormBox["1", "TraditionalForm"], FormBox[
                          "2", "TraditionalForm"]}]], "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], " ", 
                        \(\*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\)}]\
, "-", 
                      \(4\ \(log(x)\)\ \(\(\*
                              InterpretationBox["Li", PolyLog, 
                               Rule[Editable, False], 
                               Rule[Selectable, False]]\)\_2(1 - x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\), 
                      "+", 
                      \(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                               Rule[Editable, False], 
                               Rule[Selectable, False]]\)\_3(1 - x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\), 
                      "+", 
                      \(2\ \*TagBox[\(\[Zeta](
                             \*TagBox["3", Zeta, Rule[Editable, True]])\), 
                           InterpretTemplate[Function[BoxForm`e$, 
                             Zeta[BoxForm`e$]]]]\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\), 
                      "-", 
                      \(1\/2\ \(log\^2(1 - x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^2\), 
                      "-", 
                      \(2\ \(\[Zeta](2)\)\ \*
                           TagBox["\[CurlyEpsilon]", TraditionalForm]\^2\), 
                      "+", 
                      \(2\ \(log(1 - x)\)\ \(log(x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^2\), 
                      "+", 
                      \(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                               Rule[Editable, False], 
                               Rule[Selectable, False]]\)\_2(1 - x)\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^2\), 
                      "-", 
                      \(\(log(1 - x)\)\ \*TagBox["\[CurlyEpsilon]", 
                           TraditionalForm]\), "+", "1"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1442]="]}, Open]], 
              Cell[TextData[
                {"There are over 100 more special expansions of ", 
                 Cell[BoxData[FormBox[RowBox[{"\[ThinSpace]", RowBox[
                       {SubscriptBox["", "2"], \(F\_1\)}]}], 
                    TraditionalForm]]], " tabulated in Series2.m. The \
interested user can consult the source code (search for HYPERLIST)."}], 
               "Text", CellTags -> "Series2"]}, Open]], Cell["Series3", 
            "ObjectName", CellTags -> "Series3"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Series3"], Cell["Series3 performs a series \
expansion around 0. Series3 is equivalent to Series, except that it applies \
Normal on the result and that some Series bugs are fixed. Series3[f, e, n] is \
equivalent to  Series3[f, {e, 0, n}].", "Text", CellTags -> "Series3"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[Series3]\)], 
                  "Input", CellLabel -> "In[1443]:=", CellTags -> "Series3"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Factoring \[Rule] True\), 
                         \(FinalSubstitutions \[Rule] \({}\)\)}\)\)], 
                  "Output", CellLabel -> "Out[1443]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Series2", RuleDelayed[ButtonData, "Series2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Series2"]], "."}], "Text", CellTags -> 
                "Series3"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Series3"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Series3[\(\(\((x\ \((1 - x)\))\)^\((\[Delta]/2)\)\), 
                        \[Delta], 1\)]\)], "Input", CellLabel -> 
                   "In[1444]:=", CellTags -> "Series3"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ \[Delta]\ 
                          \(log(\(\((1 - x)\)\ x\))\)\) + 1\)\)], "Output", 
                  CellLabel -> "Out[1444]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Series3[\(\(Gamma[x]\), x, 1\)]\)//FullSimplify\)], 
                  "Input", CellLabel -> "In[1445]:=", CellTags -> "Series3"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(-
                          \*TagBox["\[DoubledGamma]", 
                            Function[List[], EulerGamma]]\) + 1 + 1\/x\)\)], 
                  "Output", CellLabel -> "Out[1445]="]}, Open]]}, Open]], 
           Cell["SetMandelstam", "ObjectName", CellTags -> "SetMandelstam"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SetMandelstam"], Cell["SetMandelstam[s, t, u, p1, \
p2, p3, p4, m1, m2, m3, m4] defines the Mandelstam variables  s=(p1+p2)^2, \
t=(p1+p3)^2, u=(p1+p4)^2 and sets the pi on-shell: p1^2=m1^2, p2^2=m2^2, \
p3^2=m3^2, p4^2=m4^2. Note that p1 +  p2 + p3 + p4 = 0 is \
assumed.\nSetMandelstam[x, {p1, p2, p3, p4, p5}, {m1, m2, m3, m4, m5}] \
defines x[i, j] = (pi+pj)^2 and sets the pi on-shell. The pi satisfy: p1 + p2 \
+ p3 + p4 + p5 = 0.", "Text", CellTags -> "SetMandelstam"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[SetMandelstam]\)], 
                  "Input", CellLabel -> "In[1446]:=", CellTags -> 
                   "SetMandelstam"], Cell[BoxData[
                   \(TraditionalForm\`\({Dimension \[Rule] \({4, D, ___}\)}\)
                     \)], "Output", CellLabel -> "Out[1446]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Mandelstam", RuleDelayed[ButtonData, 
                    "Mandelstam"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Mandelstam"]], "."}], "Text", 
               CellTags -> "SetMandelstam"]}, Open]], 
           Cell["SimplifyDeltaFunction", "ObjectName", CellTags -> 
             "SimplifyDeltaFunction"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "SimplifyDeltaFunction"], Cell["SimplifyDeltaFunction[exp, x] \
simplifies f[x]*DeltaFunction[1-x] toLimit[f[x],x\[Rule]1] DeltaFunction[1-x] \
and applies a list of transformation rules for \
DeltaFunctionPrime[1-x]*x^(OPEm-1)*f[x] where x^(OPEm-1) is suppressed in \
exp.", "Text", CellTags -> "SimplifyDeltaFunction"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["DeltaFunction", 
                   RuleDelayed[ButtonData, "DeltaFunction"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeltaFunction"]], ", ", 
                 ButtonBox["DeltaFunctionPrime", 
                   RuleDelayed[ButtonData, "DeltaFunctionPrime"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeltaFunctionPrime"]], "."}], "Text", 
               CellTags -> "SimplifyDeltaFunction"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SimplifyDeltaFunction"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(g[x]\)\ \(DeltaFunction[\(1 - x\)]\)\)], "Input", 
                  CellLabel -> "In[1447]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                         "TraditionalForm"], ")"}], " ", \(g(x)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1447]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SimplifyDeltaFunction[\ \(%, x\)]\)], "Input", 
                  CellLabel -> "In[1448]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                         "TraditionalForm"], ")"}], " ", 
                      \((lim\+\(x \[Rule] 1\) \[ThinSpace]\(g(x)\))\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1448]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(g[x]\) \(DeltaFunctionPrime[\(1 - x\)]\)\)], "Input", 
                  CellLabel -> "In[1449]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{\(\[Delta]\^\[Prime]\), "(", FormBox[\(1 - x\), 
                         "TraditionalForm"], ")"}], " ", \(g(x)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1449]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SimplifyDeltaFunction[\ \(%, x\)]\)], "Input", 
                  CellLabel -> "In[1450]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{\(\[Delta]\^\[Prime]\), "(", FormBox[
                          \(1 - x\), "TraditionalForm"], ")"}], " ", 
                        \((lim\+\(x \[Rule] 1\) \[ThinSpace]\(g(x)\))\)}], 
                      "+", RowBox[{RowBox[{"\[Delta]", "(", FormBox[\(1 - x\)
                          , "TraditionalForm"], ")"}], " ", 
                        \((lim\+\(x \[Rule] 1\) \[ThinSpace] 
                            \(\*SuperscriptBox["g", "\[Prime]", 
                                Rule[MultilineFunction, None]](x)\))\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1450]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(x\ \(Log[x]\)\ \(DeltaFunctionPrime[\(1 - x\)]\)\)], 
                  "Input", CellLabel -> "In[1451]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {"x", " ", RowBox[{\(\[Delta]\^\[Prime]\), "(", FormBox[
                         \(1 - x\), "TraditionalForm"], ")"}], " ", \(log(x)\)
                      }], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1451]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SimplifyDeltaFunction[\ \(%, x\)]\)], "Input", 
                  CellLabel -> "In[1452]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {"\[Delta]", "(", FormBox[\(1 - x\), "TraditionalForm"], 
                      ")"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1452]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(PolyLog[\(2, \(1 - x\)\)]\)\ 
                      \(DeltaFunctionPrime[\(1 - x\)]\)\)], "Input", 
                  CellLabel -> "In[1453]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{\(\[Delta]\^\[Prime]\), "(", FormBox[\(1 - x\), 
                         "TraditionalForm"], ")"}], " ", 
                      \(\(\*InterpretationBox["Li", PolyLog, 
                             Rule[Editable, False], Rule[Selectable, False]]\
\)\_2(1 - x)\)}], TraditionalForm]], "Output", CellLabel -> "Out[1453]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SimplifyDeltaFunction[\ \(%, x\)]\)], "Input", 
                  CellLabel -> "In[1454]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {"-", RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                         "TraditionalForm"], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1454]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Log[x]\) \(PolyLog[\(2, \(1 - x\)\)]\)\ 
                      \(DeltaFunctionPrime[\(1 - x\)]\)\)], "Input", 
                  CellLabel -> "In[1455]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{\(\[Delta]\^\[Prime]\), "(", FormBox[\(1 - x\), 
                         "TraditionalForm"], ")"}], " ", \(log(x)\), " ", 
                      \(\(\*InterpretationBox["Li", PolyLog, 
                             Rule[Editable, False], Rule[Selectable, False]]\
\)\_2(1 - x)\)}], TraditionalForm]], "Output", CellLabel -> "Out[1455]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SimplifyDeltaFunction[\ \(%, x\)]\)], "Input", 
                  CellLabel -> "In[1456]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1456]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(PolyLog[\(3, \(1 - x\)\)]\)\ 
                      \(DeltaFunctionPrime[\(1 - x\)]\)\)], "Input", 
                  CellLabel -> "In[1457]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{\(\[Delta]\^\[Prime]\), "(", FormBox[\(1 - x\), 
                         "TraditionalForm"], ")"}], " ", 
                      \(\(\*InterpretationBox["Li", PolyLog, 
                             Rule[Editable, False], Rule[Selectable, False]]\
\)\_3(1 - x)\)}], TraditionalForm]], "Output", CellLabel -> "Out[1457]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SimplifyDeltaFunction[\ \(%, x\)]\)], "Input", 
                  CellLabel -> "In[1458]:=", CellTags -> 
                   "SimplifyDeltaFunction"], Cell[BoxData[FormBox[RowBox[
                     {"-", RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                         "TraditionalForm"], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1458]="]}, Open]]}, Open]], 
           Cell["SimplifyGTI  ***unfinished***", "ObjectName", 
            CellTags -> "SimplifyGTI"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "SimplifyGTI"], Cell["SimplifyGTI simplifies GTI's.", "Text", 
               CellTags -> "SimplifyGTI"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["GTI", RuleDelayed[ButtonData, "GTI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "GTI"]], 
                 "."}], "Text", CellTags -> "SimplifyGTI"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SimplifyGTI"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1459]:=", CellTags -> "SimplifyGTI"]}, Open]], 
           Cell["SimplifyPolyLog", "ObjectName", CellTags -> 
             "SimplifyPolyLog"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "SimplifyPolyLog"], 
              Cell["SimplifyPolyLog[y] performs several simplifications \
assuming that the variables occuring in the Log and PolyLog functions are \
between 0 and 1. ", "Text", CellTags -> "SimplifyPolyLog"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Nielsen", RuleDelayed[ButtonData, "Nielsen"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Nielsen"]], "."}], "Text", CellTags -> 
                "SimplifyPolyLog"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> 
                "SimplifyPolyLog"], Cell[BoxData[
                \(\(sip[y_]\)\ :=\ \(y\ ==\ \(SimplifyPolyLog[y]\)\)\)], 
               "Input", CellLabel -> "In[1460]:=", CellTags -> 
                "SimplifyPolyLog"], Cell[CellGroupData[{Cell[BoxData[
                   \(sip[\(PolyLog[\(2, \(1/x\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1461]:=", CellTags -> "SimplifyPolyLog"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(1\/x\))\) == \(\(\(-\(1\/2\)\)\ \(\(log\^2\)(x)\)
                           \) + \(\(log(\(1 - x\))\)\ \(log(x)\)\) + 
                          \(\[ImaginaryI]\ \[Pi]\ \(log(x)\)\) + 
                          \(\[Zeta](2)\) + 
                          \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\)\
\)\)], "Output", CellLabel -> "Out[1461]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(sip[\(PolyLog[\(2, x\)]\)]\)], "Input", 
                  CellLabel -> "In[1462]:=", CellTags -> "SimplifyPolyLog"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(x)\) == \(\(\[Zeta](2)\) - 
                          \(\(log(\(1 - x\))\)\ \(log(x)\)\) - 
                          \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\)\
\)\)], "Output", CellLabel -> "Out[1462]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(sip[\(PolyLog[\(2, \(1 - \(x^2\)\)\)]\)]\)], 
                  "Input", CellLabel -> "In[1463]:=", CellTags -> 
                   "SimplifyPolyLog"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(1 - x\^2\))\) == 
                        \(\(-\(\[Zeta](2)\)\) - 
                          \(2\ \(log(x)\)\ \(log(\(x + 1\))\)\) + 
                          \(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                  Rule[Editable, False], 
                                  Rule[Selectable, False]]\)\_2(\(1 - x\))\)\
\) - \(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                  Rule[Editable, False], 
                                  Rule[Selectable, False]]\)\_2(\(-x\))\)\)\)
                   \)\)], "Output", CellLabel -> "Out[1463]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(sip[\(PolyLog[\(2, \(x^2\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1464]:=", CellTags -> "SimplifyPolyLog"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(x\^2\))\) == \(\(2\ \(\[Zeta](2)\)\) - 
                          \(2\ \(log(\(1 - x\))\)\ \(log(x)\)\) - 
                          \(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                  Rule[Editable, False], 
                                  Rule[Selectable, False]]\)\_2(\(1 - x\))\)\
\) + \(2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                  Rule[Editable, False], 
                                  Rule[Selectable, False]]\)\_2(\(-x\))\)\)\)
                   \)\)], "Output", CellLabel -> "Out[1464]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(sip[\(PolyLog[\(2, \(-\(x/\((1 - x)\)\)\)\)]\)]\)], 
                  "Input", CellLabel -> "In[1465]:=", CellTags -> 
                   "SimplifyPolyLog"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(-\(x\/\(1 - x\)\)\))\) == 
                        \(\(\(-\(1\/2\)\)\ \(\(log\^2\)(\(1 - x\))\)\) + 
                          \(\(log(x)\)\ \(log(\(1 - x\))\)\) - \(\[Zeta](2)\)
                           + \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\)\
\)\)], "Output", CellLabel -> "Out[1465]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(sip[\(PolyLog[\(2, \(x/\((x - 1)\)\)\)]\)]\)]
                   , "Input", CellLabel -> "In[1466]:=", CellTags -> 
                   "SimplifyPolyLog"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_2(\(x\/\(x - 1\)\))\) == 
                        \(\(\(-\(1\/2\)\)\ \(\(log\^2\)(\(1 - x\))\)\) + 
                          \(\(log(x)\)\ \(log(\(1 - x\))\)\) - \(\[Zeta](2)\)
                           + \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_2(\(1 - x\))\)\)\
\)\)], "Output", CellLabel -> "Out[1466]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(sip[\(Nielsen[\(1, 2, \(-\(x/\((1 - x)\)\)\)\)]\)]\)], 
                  "Input", CellLabel -> "In[1467]:=", CellTags -> 
                   "SimplifyPolyLog"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SubscriptBox["S", RowBox[{FormBox["1", 
                          "TraditionalForm"], FormBox["2", 
                          "TraditionalForm"]}]], "(", FormBox[
                         \(-\(x\/\(1 - x\)\)\), "TraditionalForm"], ")"}], 
                      "==", RowBox[{RowBox[{SubscriptBox["S", RowBox[
                          {FormBox["1", "TraditionalForm"], FormBox["2", 
                          "TraditionalForm"]}]], "(", "x", ")"}], "-", 
                        \(1\/6\ \(log\^3(1 - x)\)\)}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1467]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(sip[\(PolyLog[\(3, \(-\(1/x\)\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1468]:=", CellTags -> "SimplifyPolyLog"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\(
                            \*InterpretationBox["Li", PolyLog, 
                              Rule[Editable, False], Rule[Selectable, False]]
                   \)\_3(\(-\(1\/x\)\))\) == 
                        \(\(\(log\^3\)(x)\)\/6 + 
                          \(\(\[Zeta](2)\)\ \(log(x)\)\) + 
                          \(\(\*InterpretationBox["Li", PolyLog, 
                                Rule[Editable, False], 
                                Rule[Selectable, False]]\)\_3(\(-x\))\)\)\)\)]\
, "Output", CellLabel -> "Out[1468]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(sip[\(PolyLog[\(3, \(1 - x\)\)]\)]\)], 
                  "Input", CellLabel -> "In[1469]:=", CellTags -> 
                   "SimplifyPolyLog"], Cell[BoxData[\(TraditionalForm\`True\)]
                   , "Output", CellLabel -> "Out[1469]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(sip[\(PolyLog[\(3, \(x^2\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1470]:=", CellTags -> "SimplifyPolyLog"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(\(\*InterpretationBox["Li", PolyLog, 
                             Rule[Editable, False], Rule[Selectable, False]]\
\)\_3(x\^2)\), "==", RowBox[{\(\(-2\)\ \(log(1 - x)\)\ \(log\^2(x)\)\), "+", 
                        \(4\ \(\[Zeta](2)\)\ \(log(x)\)\), "-", 
                        \(4\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(1 - x)\)\ 
                           \(log(x)\)\), "-", RowBox[{"4", " ", RowBox[
                          {SubscriptBox["S", RowBox[{FormBox["1", 
                          "TraditionalForm"], FormBox["2", 
                          "TraditionalForm"]}]], "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}]}], "+", 
                        \(4\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_3(\(-x\))\)\), 
                        "+", 
                        \(4\ \*TagBox[\(\[Zeta](
                               \*TagBox["3", Zeta, Rule[Editable, True]])\), 
                             InterpretTemplate[Function[BoxForm`e$, 
                               Zeta[BoxForm`e$]]]]\)}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1470]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(sip[\(PolyLog[\(3, \(-\(x/\((1 - x)\)\)\)\)]\)]\)], 
                  "Input", CellLabel -> "In[1471]:=", CellTags -> 
                   "SimplifyPolyLog"], Cell[BoxData[FormBox[RowBox[{
                      \(\(\*InterpretationBox["Li", PolyLog, 
                             Rule[Editable, False], Rule[Selectable, False]]\
\)\_3(\(-\(x\/\(1 - x\)\)\))\), "==", RowBox[{\(1\/6\ \(log\^3(1 - x)\)\), 
                        "-", \(1\/2\ \(log(x)\)\ \(log\^2(1 - x)\)\), "+", 
                        \(1\/2\ \(log\^2(x)\)\ \(log(1 - x)\)\), "+", 
                        \(\(\[Zeta](2)\)\ \(log(1 - x)\)\), "-", 
                        \(\(\[Zeta](2)\)\ \(log(x)\)\), "+", RowBox[
                         {SubscriptBox["S", RowBox[{FormBox["1", 
                          "TraditionalForm"], FormBox["2", 
                          "TraditionalForm"]}]], "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], "+", 
                        \(\(log(x)\)\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(1 - x)\)\), 
                        "-", 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                               Rule[Editable, False], 
                               Rule[Selectable, False]]\)\_3(1 - x)\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1471]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(sip[\(PolyLog[\(3, \(1 - \(1/x\)\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1472]:=", CellTags -> "SimplifyPolyLog"], 
                 Cell[BoxData[FormBox[RowBox[{
                      \(\(\*InterpretationBox["Li", PolyLog, 
                             Rule[Editable, False], Rule[Selectable, False]]\
\)\_3(1 - 1\/x)\), "==", RowBox[{\(\(log\^3(x)\)\/6\), "-", 
                        \(1\/2\ \(log\^2(1 - x)\)\ \(log(x)\)\), "+", 
                        \(\(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(1 - x)\)\ 
                           \(log(x)\)\), "+", RowBox[{SubscriptBox["S", 
                          RowBox[{FormBox["1", "TraditionalForm"], FormBox[
                          "2", "TraditionalForm"]}]], "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], "+", RowBox[
                         {SubscriptBox["S", RowBox[{FormBox["1", 
                          "TraditionalForm"], FormBox["2", 
                          "TraditionalForm"]}]], "(", "x", ")"}], "-", 
                        \(\(log(1 - x)\)\ \(\(
                               \*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(1 - x)\)\), 
                        "-", 
                        TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                              Rule[Editable, True]])\), 
                          InterpretTemplate[Function[BoxForm`e$, 
                            Zeta[BoxForm`e$]]]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1472]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(sip[\(PolyLog[\(4, \(-\(x/\((1 - x)\)\)\)\)]\)]\)], 
                  "Input", CellLabel -> "In[1473]:=", CellTags -> 
                   "SimplifyPolyLog"], Cell[BoxData[FormBox[RowBox[{
                      \(\(\*InterpretationBox["Li", PolyLog, 
                             Rule[Editable, False], Rule[Selectable, False]]\
\)\_4(\(-\(x\/\(1 - x\)\)\))\), "==", RowBox[{
                        \(\(-\(1\/24\)\)\ \(log\^4(1 - x)\)\), "+", 
                        \(1\/2\ \(log(x)\)\ \(log\^3(1 - x)\)\), "-", 
                        \(1\/2\ \(log\^2(x)\)\ \(log\^2(1 - x)\)\), "-", 
                        \(1\/2\ \(\[Zeta](2)\)\ \(log\^2(1 - x)\)\), "+", 
                        \(1\/2\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(1 - x)\)\ 
                           \(log\^2(1 - x)\)\), "+", 
                        \(\(\[Zeta](2)\)\ \(log(x)\)\ \(log(1 - x)\)\), "-", 
                        RowBox[{RowBox[{SubscriptBox["S", RowBox[{FormBox[
                          "1", "TraditionalForm"], FormBox["2", 
                          "TraditionalForm"]}]], "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], " ", \(log(1 - x)\)}], 
                        "-", RowBox[{RowBox[{SubscriptBox["S", RowBox[
                          {FormBox["1", "TraditionalForm"], FormBox["2", 
                          "TraditionalForm"]}]], "(", "x", ")"}], " ", 
                          \(log(1 - x)\)}], "-", 
                        \(\(log(x)\)\ \(\(\*InterpretationBox["Li", PolyLog, 
                                 Rule[Editable, False], 
                                 Rule[Selectable, False]]\)\_2(1 - x)\)\ 
                           \(log(1 - x)\)\), "+", 
                        \(\*TagBox[\(\[Zeta](
                               \*TagBox["3", Zeta, Rule[Editable, True]])\), 
                             InterpretTemplate[Function[BoxForm`e$, 
                               Zeta[BoxForm`e$]]]]\ \(log(1 - x)\)\), "-", 
                        RowBox[{SubscriptBox["S", RowBox[{FormBox["1", 
                          "TraditionalForm"], FormBox["3", 
                          "TraditionalForm"]}]], "(", "x", ")"}], "+", 
                        RowBox[{SubscriptBox["S", RowBox[{FormBox["2", 
                          "TraditionalForm"], FormBox["2", 
                          "TraditionalForm"]}]], "(", "x", ")"}], "-", 
                        \(\(\*InterpretationBox["Li", PolyLog, 
                               Rule[Editable, False], 
                               Rule[Selectable, False]]\)\_4(x)\)}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1473]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(sip[\(Log[\(a + \(b/c\)\)]\)]\)], "Input", CellLabel -> 
                   "In[1474]:=", CellTags -> "SimplifyPolyLog"], Cell[BoxData[
                   \(TraditionalForm\`\(\(log(\(a + b\/c\))\) == 
                        \(log(\(\(b + \(a\ c\)\)\/c\))\)\)\)], "Output", 
                  CellLabel -> "Out[1474]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(sip[\(Log[\(1/x\)]\)]\)], "Input", 
                  CellLabel -> "In[1475]:=", CellTags -> "SimplifyPolyLog"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(log(\(1\/x\))\) == \(-\(log(x)\)\)
                       \)\)], "Output", CellLabel -> "Out[1475]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(sip[\(ArcTanh[x]\)]\)], 
                  "Input", CellLabel -> "In[1476]:=", CellTags -> 
                   "SimplifyPolyLog"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(tanh\^\(-1\)\)(x)\) == 
                        \(1\/2\ \(log(\(-\(\(x + 1\)\/\(1 - x\)\)\))\)\)\)\)]\
, "Output", CellLabel -> "Out[1476]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(sip[\(ArcSinh[x]\)]\)], "Input", CellLabel -> 
                   "In[1477]:=", CellTags -> "SimplifyPolyLog"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(sinh\^\(-1\)\)(x)\) == 
                        \(log(\(x + \@\(x\^2 + 1\)\))\)\)\)], "Output", 
                  CellLabel -> "Out[1477]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(sip[\(ArcCosh[x]\)]\)], "Input", CellLabel -> 
                   "In[1478]:=", CellTags -> "SimplifyPolyLog"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\(cosh\^\(-1\)\)(x)\) == 
                        \(log(\(x + \@\(x\^2 - 1\)\))\)\)\)], "Output", 
                  CellLabel -> "Out[1478]="]}, Open]], Cell[BoxData[
                \(Clear[sip]\)], "Input", CellLabel -> "In[1479]:=", 
               CellTags -> "SimplifyPolyLog"]}, Open]], 
           Cell["Simplify2  ***unfinished***", "ObjectName", 
            CellTags -> "Simplify2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Simplify2"], 
              Cell["Simplify2 is a special ordering function.", "Text", 
               CellTags -> "Simplify2"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Simplify2"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1480]:=", CellTags -> "Simplify2"]}, Open]], 
           Cell["SmallDelta", "ObjectName", CellTags -> "SmallDelta"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SmallDelta"], Cell[
               "SmallDelta denotes some small positive number.", "Text", 
               CellTags -> "SmallDelta"]}, Open]], Cell["SmallEpsilon", 
            "ObjectName", CellTags -> "SmallEpsilon"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SmallEpsilon"], Cell[
               "SmallEpsilon denotes some small positive number.", "Text", 
               CellTags -> "SmallEpsilon"]}, Open]], Cell["SmallVariable", 
            "ObjectName", CellTags -> "SmallVariable"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SmallVariable"], Cell["SmallVariable[me] is the \
head of small (negligible) variables. This means any mass with this head can \
be neglected if it appears in a sum, but not as an argument of \
Passarino-Veltman (PaVe) functions or PropagatorDenominator.", "Text", 
               CellTags -> "SmallVariable"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, ", ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], ", ", 
                 ButtonBox["PropagatorDenominator", 
                   RuleDelayed[ButtonData, "PropagatorDenominator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PropagatorDenominator"]], "."}], "Text", 
               CellTags -> "SmallVariable"]}, Open]], Cell["SmallVariables", 
            "ObjectName", CellTags -> "SmallVariables"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SmallVariables"], Cell["SmallVariables is an \
option for OneLoop. \"SmallVariables\[Rule]{Melectron}\" i.e. will substitute \
\"SmallVariable[Melectron]\"  for all Melectron's in the calculation.", 
               "Text", CellTags -> "SmallVariables"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], "."}], "Text", CellTags -> 
                "SmallVariables"]}, Open]], Cell["SMP", "ObjectName", 
            CellTags -> "SMP"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "SMP"], Cell["SMP[par] \
substitutes a symbol for the  Standard Model parameter par.  SMP[] gives the \
list of substitutions. par should be a string; e.g., SMP[\"SW\"] gives  sw \
(in the Global` context).", "Text", CellTags -> "SMP"], Cell[CellGroupData[
                {Cell[BoxData[\(\(SMP[]\)//InputForm\)], "Input", 
                  CellLabel -> "In[1481]:=", CellTags -> "SMP"], Cell["{\"EL\
\" :> e, \"CW\" :> cw, \"ME\" :> me, \"MH\" :> mh, \"MW\" :> mw, \"SW\" :> \
sw}", "Output", CellLabel -> "Out[1481]//InputForm="]}, Open]], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["SMVertex", RuleDelayed[ButtonData, "SMVertex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SMVertex"]], "."}], "Text", CellTags -> 
                "SMP"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "SMP"], Cell[CellGroupData[
                {Cell[BoxData[\(SMP["ME"]\)], "Input", CellLabel -> 
                   "In[1482]:=", CellTags -> "SMP"], Cell[BoxData[
                   \(TraditionalForm\`me\)], "Output", CellLabel -> 
                   "Out[1482]="]}, Open]]}, Open]], Cell["SMVertex", 
            "ObjectName", CellTags -> "SMVertex"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SMVertex"], Cell["SMVertex[\"AWW\", p,mu, q,nu, \
k,rho] gives the photon-W-W vertex (p,mu correspond to the photon, q,nu to \
the (incoming) W+ and k,rho to the (incoming) W-. All momenta are flowing \
into the vertex.  SMVertex[\"HHH\", ___] give the three-higgs coupling. ", 
               "Text", CellTags -> "SMVertex"], Cell[CellGroupData[
                {Cell[BoxData[\(SMVertex//Options\)], "Input", CellLabel -> 
                   "In[1483]:=", CellTags -> "SMVertex"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] 4\), 
                         \(Explicit \[Rule] True\)}\)\)], "Output", 
                  CellLabel -> "Out[1483]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SMVertex"], Cell[CellGroupData[{Cell[BoxData[
                   \(SMVertex[\("AWW", p, \[Mu],\ q, \[Nu],\ k, \[Rho]\)]\)], 
                  "Input", CellLabel -> "In[1484]:=", CellTags -> 
                   "SMVertex"], Cell[BoxData[FormBox[RowBox[{
                      \(-\[ImaginaryI]\), " ", "e", " ", RowBox[{"(", 
                        RowBox[{RowBox[{SuperscriptBox[RowBox[{"(", FormBox[
                          \(k - q\), "TraditionalForm"], ")"}], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Rho]\)\)}], 
                          "-", RowBox[{\(g\^\(\[Mu]\[Rho]\)\), " ", 
                          SuperscriptBox[RowBox[{"(", FormBox[\(k - p\), 
                          "TraditionalForm"], ")"}], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[
                          RowBox[{"(", FormBox[\(p - q\), "TraditionalForm"], 
                          ")"}], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1484]="]}, Open]]}, Open]], 
           Cell["Smu  ***unfinished***", "ObjectName", CellTags -> "Smu"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Smu"], Cell["Smu  is ...", "Text", CellTags -> 
                "Smu"]}, Open]], Cell["Sn", "ObjectName", CellTags -> "Sn"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Sn"], Cell[TextData[{"Sn is ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Pi]\^\(n/2\)\)\)]], "/", 
                 Cell[BoxData[\(TraditionalForm\`\(\((2\ \[Pi])\)\^n\)\)]], 
                 "."}], "Text", CellTags -> "Sn"]}, Open]], 
           Cell["SO", "ObjectName", CellTags -> "SO"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SO"], Cell["SO[q] is a four-dimensional scalar \
product of OPEDelta with q. It is transformed into Pair[Momentum[q], \
Momentum[OPEDelta] by FCI.", "Text", CellTags -> "SO"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["FCI", RuleDelayed[ButtonData, "FCI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "FCI"]], 
                 ", ", 
                 ButtonBox["OPEDelta", RuleDelayed[ButtonData, "OPEDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPEDelta"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["ScalarProduct", 
                   RuleDelayed[ButtonData, "ScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProduct"]], ", ", 
                 ButtonBox["SOD", RuleDelayed[ButtonData, "SOD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SOD"]], 
                 "."}], "Text", CellTags -> "SO"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SO"], Cell[CellGroupData[{Cell[BoxData[\(SO[p]\)], "Input", 
                  CellLabel -> "In[1485]:=", CellTags -> "SO"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["\"\[CapitalDelta]\"", 
                       "TraditionalForm"], FormBox["\"\[CenterDot]\"", 
                       "TraditionalForm"], FormBox["p", "TraditionalForm"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1485]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(SO[\(p - q\)]\)], 
                  "Input", CellLabel -> "In[1486]:=", CellTags -> "SO"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["\"\[CapitalDelta]\"", 
                       "TraditionalForm"], FormBox["\"\[CenterDot]\"", 
                       "TraditionalForm"], FormBox["\"(\"", 
                       "TraditionalForm"], FormBox[\(p - q\), 
                       "TraditionalForm"], FormBox["\")\"", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1486]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SO[p]\)//FCI\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1487]:=", CellTags -> "SO"], Cell[BoxData[
                   \(Pair[\(\(Momentum[OPEDelta]\), \(Momentum[p]\)\)]\)], 
                  "Output", CellLabel -> "Out[1487]//StandardForm="]}, 
                Open]]}, Open]], Cell["SOD", "ObjectName", 
            CellTags -> "SOD"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "SOD"], Cell["SOD[q] is a \
D-dimensional scalar product of OPEDelta with q. It is transformed into \
Pair[Momentum[q,D], Momentum[OPEDelta,D] by FeynCalcInternal.", "Text", 
               CellTags -> "SOD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OPEDelta", RuleDelayed[ButtonData, "OPEDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPEDelta"]], ", ", 
                 ButtonBox["Pair", RuleDelayed[ButtonData, "Pair"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Pair"]]\
, ", ", 
                 ButtonBox["ScalarProduct", 
                   RuleDelayed[ButtonData, "ScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProduct"]], ", ", 
                 ButtonBox["SOD", RuleDelayed[ButtonData, "SOD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SOD"]], 
                 "."}], "Text", CellTags -> "SOD"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SOD"], Cell[CellGroupData[{Cell[BoxData[\(SOD[p]\)], 
                  "Input", CellLabel -> "In[1488]:=", CellTags -> "SOD"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["\"\[CapitalDelta]\"", 
                       "TraditionalForm"], FormBox["\"\[CenterDot]\"", 
                       "TraditionalForm"], FormBox["p", "TraditionalForm"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1488]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(SOD[\(p - q\)]\)], 
                  "Input", CellLabel -> "In[1489]:=", CellTags -> "SOD"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox["\"\[CapitalDelta]\"", 
                       "TraditionalForm"], FormBox["\"\[CenterDot]\"", 
                       "TraditionalForm"], FormBox["\"(\"", 
                       "TraditionalForm"], FormBox[\(p - q\), 
                       "TraditionalForm"], FormBox["\")\"", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1489]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SOD[p]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1490]:=", CellTags -> "SOD"], 
                 Cell[BoxData[
                   \(Pair[\(\(Momentum[\(OPEDelta, D\)]\), 
                        \(Momentum[\(p, D\)]\)\)]\)], "Output", CellLabel -> 
                   "Out[1490]//StandardForm="]}, Open]]}, Open]], 
           Cell["Solve2", "ObjectName", CellTags -> "Solve2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Solve2"], Cell["Solve2 is equivalent to Solve, \
except that it works only for linear equations (and returns just a list) and \
accepts the options Factoring and FinalSubstitutions. Solve2 uses the \"high \
school algorithm\" and factors intermediate results. Therefore it can be \
drastically more useful than Solve.", "Text", CellTags -> "Solve2"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[Solve2]\)], "Input", 
                  CellLabel -> "In[1491]:=", CellTags -> "Solve2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Factoring \[Rule] Factor2\), 
                         \(FinalSubstitutions \[Rule] \({}\)\)}\)\)], 
                  "Output", CellLabel -> "Out[1491]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Solve2"], Cell[CellGroupData[{Cell[BoxData[
                   \(Solve2[\(\({\(\(2\ x\) == \(b - \(w/2\)\)\), 
                           \(\(y - d\) == p\)}\), \({x, y}\)\)]\)], "Input", 
                  CellLabel -> "In[1492]:=", CellTags -> "Solve2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          x \[Rule] \(1\/4\ \((\(2\ b\) - w)\)\)\), 
                         \(y \[Rule] \(d + p\)\)}\)\)], "Output", 
                  CellLabel -> "Out[1492]="]}, Open]], Cell["If no equation \
sign is given the polynomials are supposed to be 0.", "Text", CellTags -> 
                "Solve2"], Cell[CellGroupData[{Cell[BoxData[
                   \(Solve2[\(\(x + y\), x\)]\)], "Input", CellLabel -> 
                   "In[1493]:=", CellTags -> "Solve2"], Cell[BoxData[
                   \(TraditionalForm\`\({x \[Rule] \(-y\)}\)\)], "Output", 
                  CellLabel -> "Out[1493]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Solve2[\(\(x + y\), x, 
                        \(FinalSubstitutions \[Rule] \({y \[Rule] h}\)\)\)]\)]\
, "Input", CellLabel -> "In[1494]:=", CellTags -> "Solve2"], Cell[BoxData[
                   \(TraditionalForm\`\({x \[Rule] \(-h\)}\)\)], "Output", 
                  CellLabel -> "Out[1494]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Solve2[\(\({\(\(2\ x\) == \(b - \(w/2\)\)\), 
                           \(\(y - d\) == p\)}\), \({x, y}\), 
                        \(Factoring \[Rule] Expand\)\)]\)], "Input", 
                  CellLabel -> "In[1495]:=", CellTags -> "Solve2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(x \[Rule] \(b\/2 - w\/4\)\), 
                         \(y \[Rule] \(d + p\)\)}\)\)], "Output", 
                  CellLabel -> "Out[1495]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Solve[\(\({\(\(2\ x\) == \(b - \(w/2\)\)\), 
                           \(\(y - d\) == p\)}\), \({x, y}\)\)]\)], "Input", 
                  CellLabel -> "In[1496]:=", CellTags -> "Solve2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(
                         {\(x \[Rule] \(1\/4\ \((\(2\ b\) - w)\)\)\), 
                           \(y \[Rule] \(d + p\)\)}\)}\)\)], "Output", 
                  CellLabel -> "Out[1496]="]}, Open]]}, Open]], 
           Cell["Solve3", "ObjectName", CellTags -> "Solve3"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Solve3"], Cell["Solve3 is equivalent to Solve, \
except that it works only for linear equations (and returns just a list) and \
uses the \"high school algorithm\" and is sometimes better than Solve for \
systems involving rational polyonomials.", "Text", CellTags -> "Solve3"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[Solve3]\)], "Input", 
                  CellLabel -> "In[1497]:=", CellTags -> "Solve3"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Factoring \[Rule] False\), 
                         \(FinalSubstitutions \[Rule] \({}\)\)}\)\)], 
                  "Output", CellLabel -> "Out[1497]="]}, Open]], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["Solve2", RuleDelayed[ButtonData, "Solve2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Solve2"]], "."}], "Text", CellTags -> 
                "SMP"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "Solve3"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Solve3[\(\({\(\(2\ x\) == \(b - \(w/2\)\)\), 
                           \(\(y - d\) == p\)}\), \({x, y}\)\)]\)], "Input", 
                  CellLabel -> "In[1498]:=", CellTags -> "Solve3"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          x \[Rule] \(1\/4\ \((\(2\ b\) - w)\)\)\), 
                         \(y \[Rule] \(d + p\)\)}\)\)], "Output", 
                  CellLabel -> "Out[1498]="]}, Open]]}, Open]], 
           Cell["SP", "ObjectName", CellTags -> "SP"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SP"], Cell[TextData[{"SP[a, b] denotes a \
four-dimensional scalar product. SP[a, b] is transformed into \
ScalarProduct[a, b] by FeynCalcInternal. SP[p] is the same as SP[p, p] ", 
                 Cell[BoxData[\(TraditionalForm\`\((\(= p\^2\)\)\)]], ")."}], 
               "Text", CellTags -> "SP"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["ExpandScalarProduct", 
                   RuleDelayed[ButtonData, "ExpandScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandScalarProduct"]], ", ", 
                 ButtonBox["ScalarProduct", 
                   RuleDelayed[ButtonData, "ScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProduct"]], "."}], "Text", 
               CellTags -> "SP"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SP"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(SP[\(p, q\)]\)\ +\ \(SP[q]\)\)], "Input", CellLabel -> 
                   "In[1499]:=", CellTags -> "SP"], Cell[BoxData[FormBox[
                    RowBox[{FormBox[RowBox[{FormBox["p", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                       "TraditionalForm"], "+", FormBox[SuperscriptBox[
                        FormBox["q", "TraditionalForm"], "2"], 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1499]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SP[\(\(p - q\), \(q + \(2p\)\)\)]\)], 
                  "Input", CellLabel -> "In[1500]:=", CellTags -> "SP"], 
                 Cell[BoxData[FormBox[RowBox[{"(", FormBox[\(p - q\), 
                       "TraditionalForm"], ")", "\[CenterDot]", "(", FormBox[
                       \(\(2\ p\) + q\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1500]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\ \(SP[\(\(p - q\), \(q + \(2p\)\)\)]\)\ ]\)], 
                  "Input", CellLabel -> "In[1501]:=", CellTags -> "SP"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"2", " ", 
                        SuperscriptBox[FormBox["p", "TraditionalForm"], 
                         "2"]}], "-", RowBox[{FormBox["p", 
                         "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                         "TraditionalForm"]}], "-", SuperscriptBox[FormBox[
                        "q", "TraditionalForm"], "2"]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1501]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct[\(SP[\(p - q\)]\)]\)], "Input", 
                  CellLabel -> "In[1502]:=", CellTags -> "SP"], 
                 Cell[BoxData[FormBox[SuperscriptBox[RowBox[{"(", FormBox[
                        \(p - q\), "TraditionalForm"], ")"}], "2"], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1502]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SP[\(a, b\)]\)//StandardForm\)], "Input", CellLabel -> 
                   "In[1503]:=", CellTags -> "SP"], Cell[BoxData[
                   \(SP[\(a, b\)]\)], "Output", CellLabel -> 
                   "Out[1503]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SP[\(a, b\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1504]:=", CellTags -> "SP"], 
                 Cell[BoxData[\(Pair[\(\(Momentum[a]\), \(Momentum[b]\)\)]\)]
                   , "Output", CellLabel -> "Out[1504]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(SP[\(a, b\)]\)//FCI\)//FCE\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1505]:=", CellTags -> "SP"], 
                 Cell[BoxData[\(SP[\(a, b\)]\)], "Output", CellLabel -> 
                   "Out[1505]//StandardForm="]}, Open]]}, Open]], 
           Cell["SPC", "ObjectName", CellTags -> "SPC"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SPC"], Cell[
               "SPC is an abbreviation for ScalarProductCancel.", "Text", 
               CellTags -> "SPC"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["ScalarProductCancel", 
                   RuleDelayed[ButtonData, "ScalarProductCancel"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProductCancel"]], "."}], "Text", 
               CellTags -> "SPC"]}, Open]], Cell["SPD", "ObjectName", 
            CellTags -> "SPD"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "SPD"], Cell[TextData[
                {"SPD[a, b] denotes a D-dimensional scalar product. SPD[a, b] \
is transformed into ScalarProduct[a, b,Dimension\[Rule]D] by \
FeynCalcInternal. SPD[p] is the same as SPD[p,p] ", Cell[BoxData[
                   \(TraditionalForm\`\((\(= p\^2\)\)\)]], ")."}], "Text", 
               CellTags -> "SPD"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PD", RuleDelayed[ButtonData, "PD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PD"]], 
                 ", ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["ExpandScalarProduct", 
                   RuleDelayed[ButtonData, "ExpandScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExpandScalarProduct"]], ", ", 
                 ButtonBox["ScalarProduct", 
                   RuleDelayed[ButtonData, "ScalarProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ScalarProduct"]], "."}], "Text", 
               CellTags -> "SPD"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SPD"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(SPD[\(p, q\)]\)\ +\ \(SPD[q]\)\)], "Input", 
                  CellLabel -> "In[1506]:=", CellTags -> "SPD"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], "+", 
                      FormBox[SuperscriptBox[FormBox["q", "TraditionalForm"], 
                        "2"], "TraditionalForm"]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1506]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SPD[\(\(p - q\), \(q + \(2p\)\)\)]\)], "Input", 
                  CellLabel -> "In[1507]:=", CellTags -> "SPD"], 
                 Cell[BoxData[FormBox[RowBox[{"(", FormBox[\(p - q\), 
                       "TraditionalForm"], ")", "\[CenterDot]", "(", FormBox[
                       \(\(2\ p\) + q\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1507]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Calc[\ \(SPD[\(\(p - q\), \(q + \(2p\)\)\)]\)\ ]\)], 
                  "Input", CellLabel -> "In[1508]:=", CellTags -> "SPD"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"2", " ", 
                        SuperscriptBox[FormBox["p", "TraditionalForm"], 
                         "2"]}], "-", RowBox[{FormBox["p", 
                         "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                         "TraditionalForm"]}], "-", SuperscriptBox[FormBox[
                        "q", "TraditionalForm"], "2"]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1508]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ExpandScalarProduct[\(SPD[\(p - q\)]\)]\)], "Input", 
                  CellLabel -> "In[1509]:=", CellTags -> "SPD"], 
                 Cell[BoxData[FormBox[SuperscriptBox[RowBox[{"(", FormBox[
                        \(p - q\), "TraditionalForm"], ")"}], "2"], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1509]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SPD[\(a, b\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1510]:=", CellTags -> "SPD"], Cell[BoxData[
                   \(SPD[\(a, b\)]\)], "Output", CellLabel -> 
                   "Out[1510]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SPD[\(a, b\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1511]:=", CellTags -> "SPD"], 
                 Cell[BoxData[
                   \(Pair[\(\(Momentum[\(a, D\)]\), \(Momentum[\(b, D\)]\)\)]
                     \)], "Output", CellLabel -> 
                   "Out[1511]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(\(SPD[\(a, b\)]\)//FCI\)//FCE\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1512]:=", CellTags -> "SPD"], 
                 Cell[BoxData[\(SPD[\(a, b\)]\)], "Output", CellLabel -> 
                   "Out[1512]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(FCE[\(ChangeDimension[\(\(SP[\(p, q\)]\),\ D\)]\)]\)//
                      StandardForm\)], "Input", CellLabel -> "In[1513]:=", 
                  CellTags -> "SPD"], Cell[BoxData[\(SPD[\(p, q\)]\)], 
                  "Output", CellLabel -> "Out[1513]//StandardForm="]}, 
                Open]]}, Open]], Cell["Spinor", "ObjectName", 
            CellTags -> "Spinor"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Spinor"], 
              Cell[TextData[{"Spinor[p, m, o] is the head of Dirac spinors. \
Which of the spinors ", StyleBox["u", Rule[FontSlant, "Italic"]], ", ", 
                 StyleBox["v", Rule[FontSlant, "Italic"]], ", ", Cell[BoxData[
                   \(TraditionalForm\`u\&_\)]], " ", Cell[BoxData[
                   \(TraditionalForm\`\(,\ \)\)]], "or ", Cell[BoxData[
                   \(TraditionalForm\`v\&\(_\ \)\)]], "is understood, depends \
on the sign of the momentum (p) argument and the relative position of \
DiracSlash[p]: Spinor[sign p, mass] is that spinor which yields: \
sign*mass*Spinor[p, mass] if the Dirac equation is applied (by DiracEquation \
or DiracSimplify).\nThe optional argument o can be used for additional \
degrees of freedom. If no optional argument o is supplied, a 1 is subsituted \
in.\nSpinors of fermions of mass ", StyleBox["m", Rule[FontSlant, "Italic"]], 
                 " are normalized to have square ", Cell[BoxData[
                   \(TraditionalForm\`u\&_\)]], 
                 StyleBox["u", Rule[FontSlant, "Italic"]], "=2 ", 
                 StyleBox["m", Rule[FontSlant, "Italic"]], " and  ", 
                 Cell[BoxData[\(TraditionalForm\`v\&\(_\ \)\)]], 
                 StyleBox["v=", Rule[FontSlant, "Italic"]], "-2 ", 
                 StyleBox["m", Rule[FontSlant, "Italic"]], "."}], "Text", 
               CellTags -> "Spinor"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FermionSpinSum", 
                   RuleDelayed[ButtonData, "FermionSpinSum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FermionSpinSum"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["SpinorU", RuleDelayed[ButtonData, "SpinorU"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorU"]], ", ", 
                 ButtonBox["SpinorV", RuleDelayed[ButtonData, "SpinorV"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorV"]], ", ", 
                 ButtonBox["SpinorUBar", RuleDelayed[ButtonData, 
                    "SpinorUBar"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorUBar"]], ", ", 
                 ButtonBox["SpinorVBar", RuleDelayed[ButtonData, 
                    "SpinorVBar"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorVBar"]], "."}], "Text", 
               CellTags -> "Spinor"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Spinor"], 
              Cell[CellGroupData[{Cell[BoxData[\(Spinor[p]\)], "Input", 
                  CellLabel -> "In[1514]:=", CellTags -> "Spinor"], 
                 Cell[BoxData[FormBox[RowBox[{"\[CurlyPhi]", "(", FormBox[
                       "p", "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1514]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Spinor[\(p, m\)]\)], 
                  "Input", CellLabel -> "In[1515]:=", CellTags -> "Spinor"], 
                 Cell[BoxData[FormBox[RowBox[{"\[CurlyPhi]", "(", FormBox[
                       "p", "TraditionalForm"], ",", "m", ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1515]="]}, 
                Open]], Cell["FeynCalc uses covariant normalization (as \
opposed to e.g. the normalization used in Bjorken&Drell).", "Text", 
               CellTags -> "Spinor"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(Spinor[\(p, m\)]\) . \(Spinor[\(p, m\)]\)\)//
                      DiracSimplify\)], "Input", CellLabel -> "In[1516]:=", 
                  CellTags -> "Spinor"], Cell[BoxData[
                   \(TraditionalForm\`\(2\ m\)\)], "Output", CellLabel -> 
                   "Out[1516]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(DiracSimplify[\(\(Spinor[\(\(-p\), m\)]\) . 
                        \(DiracSlash[p]\)\)]\)], "Input", CellLabel -> 
                   "In[1517]:=", CellTags -> "Spinor"], Cell[BoxData[
                   FormBox[RowBox[{\(-m\), " ", RowBox[{"\[CurlyPhi]", "(", 
                        FormBox[\(-p\), "TraditionalForm"], ",", "m", 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1517]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Spinor[p]\)//StandardForm\)], "Input", CellLabel -> 
                   "In[1518]:=", CellTags -> "Spinor"], Cell[BoxData[
                   \(Spinor[\(\(Momentum[p]\), 0, 1\)]\)], "Output", 
                  CellLabel -> "Out[1518]//StandardForm="]}, Open]], 
              Cell["By convention, ChangeDimension does not operate on \
momenta in Spinor's (but on e.g.  DiracSlash[Momentum[p]]). ", "Text", 
               CellTags -> "Spinor"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(ChangeDimension[\(\(Spinor[p]\), D\)]\)//StandardForm
                     \)], "Input", CellLabel -> "In[1519]:=", CellTags -> 
                   "Spinor"], Cell[BoxData[
                   \(Spinor[\(\(Momentum[p]\), 0, 1\)]\)], "Output", 
                  CellLabel -> "Out[1519]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(Spinor[\(p, m\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1520]:=", CellTags -> "Spinor"], 
                 Cell[BoxData[\(Spinor[\(\(Momentum[p]\), m, 1\)]\)], 
                  "Output", CellLabel -> "Out[1520]//StandardForm="]}, 
                Open]], Cell["SmallVariable's are discarded by Spinor.", 
               "Text", CellTags -> "Spinor"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Spinor[\(p, \(SmallVariable[m]\)\)]\)//StandardForm\)]\
, "Input", CellLabel -> "In[1521]:=", CellTags -> "Spinor"], Cell[BoxData[
                   \(Spinor[\(\(Momentum[p]\), 0, 1\)]\)], "Output", 
                  CellLabel -> "Out[1521]//StandardForm="]}, Open]]}, Open]], 
           Cell["SpinorCollect", "ObjectName", CellTags -> "SpinorCollect"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SpinorCollect"], Cell["SpinorCollect is an option \
for FermionSpinSum. If set to False the  argument of FermionSpinSum has to be \
already collected w.r.t. Spinor.", "Text", CellTags -> "SpinorCollect"], 
              Cell[TextData[{"See also:  ", 
                 ButtonBox["FermionSpinSum", 
                   RuleDelayed[ButtonData, "FermionSpinSum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FermionSpinSum"]], ", ", 
                 ButtonBox["Spinor", RuleDelayed[ButtonData, "Spinor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Spinor"]], "."}], "Text", CellTags -> 
                "SpinorCollect"]}, Open]], Cell["SpinorUBar", "ObjectName", 
            CellTags -> "SpinorUBar"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "SpinorUBar"], 
              Cell[TextData[{"SpinorUBar[p, m] denotes a ", Cell[BoxData[
                   \(TraditionalForm\`u\&_\)]], "-spinor."}], "Text", 
               CellTags -> "SpinorUBar"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Spinor", RuleDelayed[ButtonData, "Spinor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Spinor"]], ", ", 
                 ButtonBox["SpinorU", RuleDelayed[ButtonData, "SpinorU"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorU"]], ", ", 
                 ButtonBox["SpinorV", RuleDelayed[ButtonData, "SpinorV"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorV"]], ", ", 
                 ButtonBox["SpinorVBar", RuleDelayed[ButtonData, 
                    "SpinorVBar"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorVBar"]], "."}], "Text", 
               CellTags -> "SpinorUBar"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SpinorUBar"], Cell[
               "One argument only assumes a massless spinor.", "Text", 
               CellTags -> "SpinorUBar"], Cell[CellGroupData[{Cell[BoxData[
                   \(SpinorUBar[p]\)], "Input", CellLabel -> "In[1522]:=", 
                  CellTags -> "SpinorUBar"], Cell[BoxData[FormBox[RowBox[
                     {FormBox[\("u"\&_\), "TraditionalForm"], "(", "p", 
                      ")"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1522]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SpinorUBar[\(p, m\)]\)], "Input", CellLabel -> 
                   "In[1523]:=", CellTags -> "SpinorUBar"], Cell[BoxData[
                   FormBox[RowBox[{FormBox[\("u"\&_\), "TraditionalForm"], 
                      "(", "p", ",", "m", ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1523]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(SpinorUBar[\(p, m\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1524]:=", CellTags -> 
                   "SpinorUBar"], Cell[BoxData[\(SpinorUBar[\(p, m\)]\)], 
                  "Output", CellLabel -> "Out[1524]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(SpinorUBar[\(p, m\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1525]:=", CellTags -> 
                   "SpinorUBar"], Cell[BoxData[
                   \(Spinor[\(\(Momentum[p]\), m, 1\)]\)], "Output", 
                  CellLabel -> "Out[1525]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(SpinorUBar[\(p, m\)]\)//FCI\)//FCE\)//StandardForm
                     \)], "Input", CellLabel -> "In[1526]:=", CellTags -> 
                   "SpinorUBar"], Cell[BoxData[
                   \(Spinor[\(\(Momentum[p]\), m, 1\)]\)], "Output", 
                  CellLabel -> "Out[1526]//StandardForm="]}, Open]]}, Open]], 
           Cell["SpinorU", "ObjectName", CellTags -> "SpinorU"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SpinorU"], Cell[
               "SpinorU[p, m, optarg] denotes a u-spinor.", "Text", 
               CellTags -> "SpinorU"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Spinor", RuleDelayed[ButtonData, "Spinor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Spinor"]], ", ", 
                 ButtonBox["SpinorUBar", RuleDelayed[ButtonData, 
                    "SpinorUBar"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorUBar"]], ", ", 
                 ButtonBox["SpinorV", RuleDelayed[ButtonData, "SpinorV"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorV"]], ", ", 
                 ButtonBox["SpinorVBar", RuleDelayed[ButtonData, 
                    "SpinorVBar"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorVBar"]], "."}], "Text", 
               CellTags -> "SpinorU"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SpinorU"], 
              Cell[CellGroupData[{Cell[BoxData[\(SpinorU[p]\)], "Input", 
                  CellLabel -> "In[1527]:=", CellTags -> "SpinorU"], 
                 Cell[BoxData[\(TraditionalForm\`\(u(p)\)\)], "Output", 
                  CellLabel -> "Out[1527]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SpinorU[\(p, m\)]\)], "Input", CellLabel -> 
                   "In[1528]:=", CellTags -> "SpinorU"], Cell[BoxData[
                   \(TraditionalForm\`\(u (p, m)\)\)], "Output", CellLabel -> 
                   "Out[1528]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SpinorU[\(p, m\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1529]:=", CellTags -> "SpinorU"], 
                 Cell[BoxData[\(SpinorU[\(p, m\)]\)], "Output", CellLabel -> 
                   "Out[1529]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SpinorU[\(p, m\)]\)//FCI\)//StandardForm\)
                   ], "Input", CellLabel -> "In[1530]:=", CellTags -> 
                   "SpinorU"], Cell[BoxData[
                   \(Spinor[\(\(Momentum[p]\), m, 1\)]\)], "Output", 
                  CellLabel -> "Out[1530]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(SpinorU[\(p, m\)]\)//FCI\)//FCE\)//StandardForm\)]\
, "Input", CellLabel -> "In[1531]:=", CellTags -> "SpinorU"], Cell[BoxData[
                   \(Spinor[\(\(Momentum[p]\), m, 1\)]\)], "Output", 
                  CellLabel -> "Out[1531]//StandardForm="]}, Open]]}, Open]], 
           Cell["SpinorVBar", "ObjectName", CellTags -> "SpinorVBar"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SpinorVBar"], Cell[TextData[
                {"SpinorVBar[p, m] denotes a ", Cell[BoxData[
                   \(TraditionalForm\`v\&_\)]], "(p,m)-spinor."}], "Text", 
               CellTags -> "SpinorVBar"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Spinor", RuleDelayed[ButtonData, "Spinor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Spinor"]], ", ", 
                 ButtonBox["SpinorU", RuleDelayed[ButtonData, "SpinorU"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorU"]], ", ", 
                 ButtonBox["SpinorV", RuleDelayed[ButtonData, "SpinorV"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorV"]], ", ", 
                 ButtonBox["SpinorUBar", RuleDelayed[ButtonData, 
                    "SpinorUBar"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorUBar"]], "."}], "Text", 
               CellTags -> "SpinorVBar"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SpinorVBar"], Cell[CellGroupData[{Cell[BoxData[
                   \(SpinorVBar[p]\)], "Input", CellLabel -> "In[1532]:=", 
                  CellTags -> "SpinorVBar"], Cell[BoxData[FormBox[RowBox[
                     {FormBox[\("v"\&_\), "TraditionalForm"], "(", "p", 
                      ")"}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1532]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SpinorVBar[\(p, m\)]\)], "Input", CellLabel -> 
                   "In[1533]:=", CellTags -> "SpinorVBar"], Cell[BoxData[
                   FormBox[RowBox[{FormBox[\("v"\&_\), "TraditionalForm"], 
                      "(", "p", ",", "m", ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1533]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(SpinorVBar[\(p, m\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1534]:=", CellTags -> 
                   "SpinorVBar"], Cell[BoxData[\(SpinorVBar[\(p, m\)]\)], 
                  "Output", CellLabel -> "Out[1534]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(SpinorVBar[\(p, m\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1535]:=", CellTags -> 
                   "SpinorVBar"], Cell[BoxData[
                   \(Spinor[\(\(-\(Momentum[p]\)\), m, 1\)]\)], "Output", 
                  CellLabel -> "Out[1535]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(SpinorVBar[\(p, m\)]\)//FCI\)//FCE\)//StandardForm
                     \)], "Input", CellLabel -> "In[1536]:=", CellTags -> 
                   "SpinorVBar"], Cell[BoxData[
                   \(Spinor[\(\(-\(Momentum[p]\)\), m, 1\)]\)], "Output", 
                  CellLabel -> "Out[1536]//StandardForm="]}, Open]]}, Open]], 
           Cell["SpinorV", "ObjectName", CellTags -> "SpinorV"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SpinorV"], Cell[
               "SpinorV[p, m, optarg] denotes a v-spinor.", "Text", 
               CellTags -> "SpinorV"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Spinor", RuleDelayed[ButtonData, "Spinor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Spinor"]], ", ", 
                 ButtonBox["SpinorUBar", RuleDelayed[ButtonData, 
                    "SpinorUBar"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorUBar"]], ", ", 
                 ButtonBox["SpinorU", RuleDelayed[ButtonData, "SpinorU"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorU"]], ", ", 
                 ButtonBox["SpinorVBar", RuleDelayed[ButtonData, 
                    "SpinorVBar"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SpinorVBar"]], "."}], "Text", 
               CellTags -> "SpinorV"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SpinorV"], 
              Cell[CellGroupData[{Cell[BoxData[\(SpinorV[p]\)], "Input", 
                  CellLabel -> "In[1537]:=", CellTags -> "SpinorV"], 
                 Cell[BoxData[\(TraditionalForm\`\(v(p)\)\)], "Output", 
                  CellLabel -> "Out[1537]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SpinorV[\(p, m\)]\)], "Input", CellLabel -> 
                   "In[1538]:=", CellTags -> "SpinorV"], Cell[BoxData[
                   \(TraditionalForm\`\(v (p, m)\)\)], "Output", CellLabel -> 
                   "Out[1538]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SpinorV[\(p, m\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1539]:=", CellTags -> "SpinorV"], 
                 Cell[BoxData[\(SpinorV[\(p, m\)]\)], "Output", CellLabel -> 
                   "Out[1539]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SpinorV[\(p, m\)]\)//FCI\)//StandardForm\)
                   ], "Input", CellLabel -> "In[1540]:=", CellTags -> 
                   "SpinorV"], Cell[BoxData[
                   \(Spinor[\(\(-\(Momentum[p]\)\), m, 1\)]\)], "Output", 
                  CellLabel -> "Out[1540]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(SpinorV[\(p, m\)]\)//FCI\)//FCE\)//StandardForm\)]\
, "Input", CellLabel -> "In[1541]:=", CellTags -> "SpinorV"], Cell[BoxData[
                   \(Spinor[\(\(-\(Momentum[p]\)\), m, 1\)]\)], "Output", 
                  CellLabel -> "Out[1541]//StandardForm="]}, Open]]}, Open]], 
           Cell["SpinPolarizationSum", "ObjectName", CellTags -> 
             "SpinPolarizationSum"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "SpinPolarizationSum"], Cell["SpinPolarizationSum is an \
option for FermionSpinSum. The set (pure) function acts on the usual spin \
sum.", "Text", CellTags -> "SpinPolarizationSum"], Cell[TextData[
                {"See also:  ", 
                 ButtonBox["FermionSpinSum", 
                   RuleDelayed[ButtonData, "FermionSpinSum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FermionSpinSum"]], "."}], "Text", 
               CellTags -> "SpinPolarizationSum"]}, Open]], 
           Cell["SPL", "ObjectName", CellTags -> "SPL"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SPL"], Cell[
               "SPL is an abbreviation for SimplifyPolyLog.", "Text", 
               CellTags -> "SPL"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SimplifyPolyLog", 
                   RuleDelayed[ButtonData, "SimplifyPolyLog"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SimplifyPolyLog"]], "."}], "Text", 
               CellTags -> "SPL"]}, Open]], Cell["SplittingFunction", 
            "ObjectName", CellTags -> "SplittingFunction"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SplittingFunction"], Cell[TextData[{"SplittingFun\
ction[pxy] is a database of splitting functions in the ", Cell[BoxData[
                   \(TraditionalForm\`MS\&_\)]], " scheme."}], "Text", 
               CellTags -> "SplittingFunction"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[SplittingFunction]\)], "Input", 
                  CellLabel -> "In[1542]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[
                   \(TraditionalForm\`\({Polarization \[Rule] 1}\)\)], 
                  "Output", CellLabel -> "Out[1542]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["AnomalousDimension", 
                   RuleDelayed[ButtonData, "AnomalousDimension"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "AnomalousDimension"]], "."}], "Text", 
               CellTags -> "SplittingFunction"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SplittingFunction"], Cell["Unpolarized case:", "Text", 
               CellTags -> "SplittingFunction"], Cell[BoxData[
                \(\(SetOptions[\(SplittingFunction, 
                       \(Polarization \[Rule] 0\)\)]\) ;\)], "Input", 
               CellLabel -> "In[1543]:=", CellTags -> "SplittingFunction"], 
              Cell["In general the argument should be a string, but if the \
variables Pqq, etc. have no value, you can omit the \"\".", "Text", 
               CellTags -> "SplittingFunction"], Cell[CellGroupData[
                {Cell[BoxData[\(SplittingFunction[Pqq]\)], "Input", 
                  CellLabel -> "In[1544]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[FormBox[RowBox[{\(C\_F\)
                      , " ", RowBox[{"(", RowBox[{\(\(-4\)\ x\), "+", 
                          RowBox[{"6", " ", RowBox[{"\[Delta]", "(", FormBox[
                          \(1 - x\), "TraditionalForm"], ")"}]}], "+", 
                          \(8\ \(\((1\/\(1 - x\))\)\_+\)\), "-", "4"}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1544]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[Pqg]\)], "Input", CellLabel -> 
                   "In[1545]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(T\_f\ 
                        \((\(16\ x\^2\) - \(16\ x\) + 8)\)\)\)], "Output", 
                  CellLabel -> "Out[1545]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SplittingFunction[Pgq]\)], "Input", 
                  CellLabel -> "In[1546]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(C\_F\ \((\(4\ x\) - 8 + 8\/x)\)\)\)], 
                  "Output", CellLabel -> "Out[1546]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SplittingFunction[Pgg]\)], 
                  "Input", CellLabel -> "In[1547]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"8", " ", \(C\_A\), " ", RowBox[{"(", RowBox[{
                          \(-x\^2\), "+", "x", "+", RowBox[{\(11\/12\), " ", 
                          RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}]}], "+", 
                          \(\((1\/\(1 - x\))\)\_+\), "-", "2", "+", \(1\/x\)}]
                          , ")"}]}], "-", RowBox[{\(8\/3\), " ", \(N\_f\), 
                        " ", \(T\_f\), " ", RowBox[{"\[Delta]", "(", FormBox[
                          \(1 - x\), "TraditionalForm"], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1547]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[aqq]\)], "Input", CellLabel -> 
                   "In[1548]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[FormBox[RowBox[{\(C\_F\), " ", RowBox[
                       {"(", RowBox[{\(2\ x\), "+", RowBox[{
                          \((7 - \(4\ \(\[Zeta](2)\)\))\), " ", RowBox[
                          {"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}]}], "+", 
                          \(\((\(2\ x\) + 2)\)\ \(log(\((1 - x)\)\ x)\)\), 
                          "-", 
                          \(4\ \((\(log(x)\)\/\(1 - x\) + 
                                \(\((\(log(1 - x)\)\/\(1 - x\))\)\_+\))\)\), 
                          "-", "4"}], ")"}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1548]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SplittingFunction[agq]\)], "Input", 
                  CellLabel -> "In[1549]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(C\_F\ 
                        \((\(\(-2\)\ x\) + 
                           \(\((\(\(-2\)\ x\) + 4 - 4\/x)\)\ 
                             \(log(\(\((1 - x)\)\ x\))\)\) + 2 - 4\/x)\)\)\)]\
, "Output", CellLabel -> "Out[1549]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SplittingFunction[aqg]\)], "Input", 
                  CellLabel -> "In[1550]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(T\_f\ 
                        \((\(\((\(\(-8\)\ x\^2\) + \(8\ x\) - 4)\)\ 
                             \(log(\(\((1 - x)\)\ x\))\)\) - 4)\)\)\)], 
                  "Output", CellLabel -> "Out[1550]="]}, Open]], Cell[BoxData[
                \(SplittingFunction[agg]\)], "Input", CellLabel -> 
                "In[1551]:=", CellTags -> "SplittingFunction"], 
              Cell["Polarized case:", "Text", CellTags -> 
                "SplittingFunction"], Cell[BoxData[
                \(\(SetOptions[\(SplittingFunction, 
                       \(Polarization \[Rule] 1\)\)]\) ;\)], "Input", 
               CellLabel -> "In[1552]:=", CellTags -> "SplittingFunction"], 
              Cell[CellGroupData[{Cell[BoxData[\(SplittingFunction[Pqq]\)], 
                  "Input", CellLabel -> "In[1553]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[FormBox[RowBox[{\(C\_F\)
                      , " ", RowBox[{"(", RowBox[{\(\(-4\)\ x\), "+", 
                          RowBox[{"6", " ", RowBox[{"\[Delta]", "(", FormBox[
                          \(1 - x\), "TraditionalForm"], ")"}]}], "+", 
                          \(8\ \(\((1\/\(1 - x\))\)\_+\)\), "-", "4"}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1553]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[Pqg]\)], "Input", CellLabel -> 
                   "In[1554]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(T\_f\ \((\(16\ x\) - 8)\)\)\)], 
                  "Output", CellLabel -> "Out[1554]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SplittingFunction[Pgq]\)], 
                  "Input", CellLabel -> "In[1555]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(C\_F\ \((8 - \(4\ x\))\)\)\)], 
                  "Output", CellLabel -> "Out[1555]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SplittingFunction[Pgg]\)], 
                  "Input", CellLabel -> "In[1556]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[FormBox[RowBox[{RowBox[{
                        \(C\_A\), " ", RowBox[{"(", RowBox[{\(\(-16\)\ x\), 
                          "+", RowBox[{\(22\/3\), " ", RowBox[{"\[Delta]", 
                          "(", FormBox[\(1 - x\), "TraditionalForm"], 
                          ")"}]}], "+", \(8\ \(\((1\/\(1 - x\))\)\_+\)\), 
                          "+", "8"}], ")"}]}], "-", RowBox[{\(8\/3\), " ", 
                        \(N\_f\), " ", \(T\_f\), " ", RowBox[{"\[Delta]", 
                          "(", FormBox[\(1 - x\), "TraditionalForm"], 
                          ")"}]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1556]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SplittingFunction[aqq]\)], "Input", 
                  CellLabel -> "In[1557]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[FormBox[RowBox[{\(C\_F\)
                      , " ", RowBox[{"(", RowBox[{\(8\ \((1 - x)\)\), "+", 
                          \(2\ x\), "+", RowBox[{
                          \((7 - \(4\ \(\[Zeta](2)\)\))\), " ", RowBox[
                          {"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}]}], "+", 
                          \(\((\(2\ x\) + 2)\)\ \(log(\((1 - x)\)\ x)\)\), 
                          "-", \(4\ \(log(x)\)\ \(\((1\/\(1 - x\))\)\_+\)\), 
                          "-", \(4\ \(\((\(log(1 - x)\)\/\(1 - x\))\)\_+\)\), 
                          "-", "4"}], ")"}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1557]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SplittingFunction[agq]\)], "Input", 
                  CellLabel -> "In[1558]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(C\_F\ 
                        \((\(\(-4\)\ x\) + 
                           \(\((\(2\ x\) - 4)\)\ \(log(\(\((1 - x)\)\ x\))\)
                            \) + 2)\)\)\)], "Output", CellLabel -> 
                   "Out[1558]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[agqd]\)], "Input", CellLabel -> 
                   "In[1559]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(C\_F\ 
                        \((\(\((\(2\ x\) - 4)\)\ \(log(\(\((1 - x)\)\ x\))\)
                            \) - 2)\)\)\)], "Output", CellLabel -> 
                   "Out[1559]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[aqg]\)], "Input", CellLabel -> 
                   "In[1560]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(T\_f\ 
                        \((\(\((4 - \(8\ x\))\)\ \(log(\(\((1 - x)\)\ x\))\)
                            \) - 4)\)\)\)], "Output", CellLabel -> 
                   "Out[1560]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[aqgd]\)], "Input", CellLabel -> 
                   "In[1561]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(T\_f\ 
                        \((\(\((4 - \(8\ x\))\)\ \(log(\(\((1 - x)\)\ x\))\)
                            \) - 4)\)\)\)], "Output", CellLabel -> 
                   "Out[1561]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[agg]\)], "Input", CellLabel -> 
                   "In[1562]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(C\_A\), " ", 
                        RowBox[{"(", RowBox[{RowBox[{
                          \((67\/9 - \(4\ \(\[Zeta](2)\)\))\), " ", RowBox[
                          {"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}]}], "+", 
                          \(\((\(8\ x\) - 4)\)\ \(log(\((1 - x)\)\ x)\)\), 
                          "-", 
                          \(4\ \((\(log(x)\)\/\(1 - x\) + 
                                \(\((\(log(1 - x)\)\/\(1 - x\))\)\_+\))\)\), 
                          "+", "2"}], ")"}]}], "-", RowBox[{\(20\/9\), " ", 
                        \(T\_f\), " ", RowBox[{"\[Delta]", "(", FormBox[
                          \(1 - x\), "TraditionalForm"], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1562]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[aggd]\)], "Input", CellLabel -> 
                   "In[1563]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(C\_A\), " ", 
                        RowBox[{"(", RowBox[{RowBox[{
                          \((67\/9 - \(4\ \(\[Zeta](2)\)\))\), " ", RowBox[
                          {"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}]}], "+", 
                          \(\((\(8\ x\) - 4)\)\ \(log(\((1 - x)\)\ x)\)\), 
                          "-", 
                          \(4\ \((\(log(x)\)\/\(1 - x\) + 
                                \(\((\(log(1 - x)\)\/\(1 - x\))\)\_+\))\)\), 
                          "+", "2"}], ")"}]}], "-", RowBox[{\(20\/9\), " ", 
                        \(T\_f\), " ", RowBox[{"\[Delta]", "(", FormBox[
                          \(1 - x\), "TraditionalForm"], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1563]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[PQQS]\)], "Input", CellLabel -> 
                   "In[1564]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(C\_F\ T\_f\ 
                        \((\(\(-16\)\ \((x + 1)\)\ \(\(log\^2\)(x)\)\) + 
                           \(\((\(48\ x\) - 16)\)\ \(log(x)\)\) + 
                           \(16\ \((1 - x)\)\))\)\)\)], "Output", 
                  CellLabel -> "Out[1564]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SplittingFunction[PQQNS]\)], "Input", 
                  CellLabel -> "In[1565]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"(", RowBox[{
                          \(\(-4\)\ \((x + 1)\)\ \(log\^2(x)\)\), "-", 
                          \(8\ \((\(2\ x\) + 3\/\(1 - x\))\)\ \(log(x)\)\), 
                          "-", 
                          \(\(16\ \((x\^2 + 1)\)\ \(log(1 - x)\)\ \(log(x)\)
                              \)\/\(1 - x\)\), "-", \(40\ \((1 - x)\)\), "+", 
                          RowBox[{RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], " ", 
                          \((\(\(-24\)\ \(\[Zeta](2)\)\) + 
                              \(48\ \*TagBox[\(
                                   \[Zeta](\*TagBox["3", Zeta, 
                                      Rule[Editable, True]])\), 
                                  InterpretTemplate[Function[BoxForm`e$, 
                                    Zeta[BoxForm`e$]]]]\) + 3)\)}]}], ")"}], 
                        " ", \(C\_F\%2\)}], "+", RowBox[{\(N\_f\), " ", 
                        RowBox[{"(", RowBox[{\(\(88\ x\)\/9\), "+", RowBox[{
                          \((\(-\(\(16\ \(\[Zeta](2)\)\)\/3\)\) - 2\/3)\), 
                          " ", RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}]}], "-", 
                          \(\(8\ \((x\^2 + 1)\)\ \(log(x)\)\)\/
                             \(3\ \((1 - x)\)\)\), "-", 
                          \(80\/9\ \(\((1\/\(1 - x\))\)\_+\)\), "-", \(8\/9\)}
                          ], ")"}], " ", \(C\_F\)}], "-", 
                      \(8\ \((C\_F - C\_A\/2)\)\ 
                         \((\(4\ \((1 - x)\)\) + 
                            \(2\ \((x + 1)\)\ \(log(x)\)\) + 
                            \(\((x\^2 + 1)\)\ 
                               \((\(log\^2(x)\) - 
                                  \(4\ \(log(x + 1)\)\ \(log(x)\)\) - 
                                  \(2\ \(\[Zeta](2)\)\) - 
                                  \(4\ \(\(\*
                                         InterpretationBox["Li", PolyLog, 
                                         Rule[Editable, False], 
                                         Rule[Selectable, False]]\)\_2(\(-x\)
                                      )\)\))\)\)\/\(x + 1\))\)\ C\_F\), "+", 
                      RowBox[{\(C\_A\), " ", RowBox[{"(", RowBox[{
                          \(\(4\ \((x\^2 + 1)\)\ \(log\^2(x)\)\)\/\(1 - x\)\)\
, "-", 
                          \(4\/3\ \((\(5\ x\) - 22\/\(1 - x\) + 5)\)\ 
                             \(log(x)\)\), "+", 
                          \(4\/9\ \((53 - \(187\ x\))\)\), "+", 
                          \(8\ \((x + 1)\)\ \(\[Zeta](2)\)\), "+", 
                          \(\((536\/9 - \(16\ \(\[Zeta](2)\)\))\)\ 
                             \(\((1\/\(1 - x\))\)\_+\)\), "+", RowBox[
                          {RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], " ", 
                          \((\(88\ \(\[Zeta](2)\)\)\/3 - 
                              \(24\ \*TagBox[\(
                                   \[Zeta](\*TagBox["3", Zeta, 
                                      Rule[Editable, True]])\), 
                                  InterpretTemplate[Function[BoxForm`e$, 
                                    Zeta[BoxForm`e$]]]]\) + 17\/3)\)}]}], 
                          ")"}], " ", \(C\_F\)}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1565]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SplittingFunction[PQG]\)], 
                  "Input", CellLabel -> "In[1566]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(\(4\ C\_F\ T\_f\ 
                          \((\(\((\(8\ x\) - 4)\)\ \(\(log\^2\)(\(1 - x\))\)
                              \) + \(\((16 - \(16\ x\))\)\ \(log(\(1 - x\))\)
                              \) + \(\((8 - \(16\ x\))\)\ \(log(x)\)\ 
                               \(log(\(1 - x\))\)\) + 
                             \(\((\(4\ x\) - 2)\)\ \(\(log\^2\)(x)\)\) + 
                             \(54\ x\) - \(16\ x\ \(\[Zeta](2)\)\) + 
                             \(8\ \(\[Zeta](2)\)\) - \(18\ \(log(x)\)\) - 44)
                   \)\) + \(4\ C\_A\ T\_f\ 
                          \((\(\((4 - \(8\ x\))\)\ \(\(log\^2\)(\(1 - x\))\)
                              \) + \(\((\(16\ x\) - 16)\)\ \(log(\(1 - x\))\)
                              \) + \(\((\(\(-8\)\ x\) - 4)\)\ 
                               \(\(log\^2\)(x)\)\) - \(44\ x\) - 
                             \(8\ \(\[Zeta](2)\)\) + 
                             \(\((\(32\ x\) + 4)\)\ \(log(x)\)\) + 
                             \(\((\(\(-16\)\ x\) - 8)\)\ \(log(x)\)\ 
                               \(log(\(x + 1\))\)\) + 
                             \(\((\(\(-16\)\ x\) - 8)\)\ 
                               \(\(\*InterpretationBox["Li", PolyLog, 
                                     Rule[Editable, False], 
                                     Rule[Selectable, False]]\)\_2(\(-x\))\)\
\) + 48)\)\)\)\)], "Output", CellLabel -> "Out[1566]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SplittingFunction[PGQ]\)], 
                  "Input", CellLabel -> "In[1567]:=", CellTags -> 
                   "SplittingFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\((C\_A\ C\_F)\) . 
                          \((\(\((16 - \(8\ x\))\)\ \(\(log\^2\)(\(1 - x\))\)
                              \) + \(\((\(8\ x\)\/3 + 80\/3)\)\ 
                               \(log(\(1 - x\))\)\) + 
                             \(\((\(16\ x\) - 32)\)\ \(log(x)\)\ 
                               \(log(\(1 - x\))\)\) + 
                             \(\((\(8\ x\) + 16)\)\ \(\(log\^2\)(x)\)\) + 
                             \(280\ x\)\/9 + \(16\ x\ \(\[Zeta](2)\)\) + 
                             \(\((32 - \(104\ x\))\)\ \(log(x)\)\) + 
                             \(\((\(16\ x\) + 32)\)\ \(log(x)\)\ 
                               \(log(\(x + 1\))\)\) + 
                             \(\((\(16\ x\) + 32)\)\ 
                               \(\(\*InterpretationBox["Li", PolyLog, 
                                     Rule[Editable, False], 
                                     Rule[Selectable, False]]\)\_2(\(-x\))\)\
\) + 328\/9)\)\) + \(C\_F\%2 . 
                          \((\(\((\(8\ x\) - 16)\)\ \(\(log\^2\)(\(1 - x\))\)
                              \) + \(\((\(\(-8\)\ x\) - 16)\)\ 
                               \(log(\(1 - x\))\)\) + 
                             \(\((8 - \(4\ x\))\)\ \(\(log\^2\)(x)\)\) + 
                             \(32\ x\) - \(\((\(32\ x\) + 64)\)\ \(log(x)\)\)
                              + \(\((\(36\ x\) + 48)\)\ \(log(x)\)\) - 68)\)\
\) + \(\((C\_F\ T\_f)\) . 
                          \((\(-\(\(32\ x\)\/9\)\) + 
                             \(\((\(32\ x\)\/3 - 64\/3)\)\ \(log(\(1 - x\))\)
                              \) - 128\/9)\)\)\)\)], "Output", CellLabel -> 
                   "Out[1567]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SplittingFunction[PGG]\)], "Input", CellLabel -> 
                   "In[1568]:=", CellTags -> "SplittingFunction"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{RowBox[{"(", RowBox[{
                          \(\((\(-\(8\/\(x + 1\)\)\) + 32 + 8\/\(1 - x\))\)\ 
                             \(log\^2(x)\)\), "+", 
                          \(\((232\/3 - \(536\ x\)\/3)\)\ \(log(x)\)\), "+", 
                          \(\((\(64\ x\) - 32\/\(1 - x\) - 32)\)\ 
                             \(log(1 - x)\)\ \(log(x)\)\), "+", 
                          \(\((\(64\ x\) + 32\/\(x + 1\) + 32)\)\ 
                             \(log(x + 1)\)\ \(log(x)\)\), "-", 
                          \(\(388\ x\)\/9\), "+", RowBox[{\(64\/3\), " ", 
                          RowBox[{"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}]}], "+", 
                          \(\(\[Zeta](2)\)\ \((
                               \(64\ x\) - \(16\ \(\((1\/\(1 - x\))\)\_+\)\) 
                                + 16\/\(x + 1\))\)\), "+", 
                          \(536\/9\ \(\((1\/\(1 - x\))\)\_+\)\), "+", 
                          \(\((\(64\ x\) + 32\/\(x + 1\) + 32)\)\ 
                             \(\(\*InterpretationBox["Li", PolyLog, 
                                   Rule[Editable, False], 
                                   Rule[Selectable, False]]\)\_2(\(-x\))\)\), 
                          "+", RowBox[{"24", " ", RowBox[{"\[Delta]", "(", 
                          FormBox[\(1 - x\), "TraditionalForm"], ")"}], " ", 
                          TagBox[\(\[Zeta](\*TagBox["3", Zeta, 
                                Rule[Editable, True]])\), 
                            InterpretTemplate[Function[BoxForm`e$, 
                              Zeta[BoxForm`e$]]]]}], "-", \(148\/9\)}], 
                          ")"}], " ", \(C\_A\%2\)}], "+", RowBox[{\(T\_f\), 
                        " ", RowBox[{"(", RowBox[{\(\(608\ x\)\/9\), "-", 
                          RowBox[{\(32\/3\), " ", RowBox[{"\[Delta]", "(", 
                          FormBox[\(1 - x\), "TraditionalForm"], ")"}]}], 
                          "+", 
                          \(\((\(-\(\(32\ x\)\/3\)\) - 32\/3)\)\ \(log(x)\)\)\
, "-", \(160\/9\ \(\((1\/\(1 - x\))\)\_+\)\), "-", \(448\/9\)}], ")"}], " ", 
                        \(C\_A\)}], "+", RowBox[{\(C\_F\), " ", \(T\_f\), 
                        " ", RowBox[{"(", RowBox[{
                          \(\((\(\(-16\)\ x\) - 16)\)\ \(log\^2(x)\)\), "+", 
                          \(\((\(16\ x\) - 80)\)\ \(log(x)\)\), "+", \(80\ x\)
                          , "-", RowBox[{"8", " ", RowBox[{"\[Delta]", "(", 
                          FormBox[\(1 - x\), "TraditionalForm"], ")"}]}], 
                          "-", "80"}], ")"}]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1568]="]}, Open]]}, Open]], 
           Cell["StandardMatrixElement", "ObjectName", CellTags -> 
             "StandardMatrixElement"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "StandardMatrixElement"], Cell["StandardMatrixElement[ ... ] \
is the head for matrix element abbreviations.", "Text", CellTags -> 
                "StandardMatrixElement"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], "."}], "Text", CellTags -> 
                "StandardMatrixElement"]}, Open]], Cell["SubContext", 
            "ObjectName", CellTags -> "SubContext"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SubContext"], Cell["SubContext[fun] gives the \
sub-directory (context) in HighEnergyPhysics.", "Text", CellTags -> 
                "SubContext"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynCalc", RuleDelayed[ButtonData, "FeynCalc"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalc"]], ", ", 
                 ButtonBox["Load", RuleDelayed[ButtonData, "Load"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Load"]]\
, "."}], "Text", CellTags -> "SubContext"]}, Open]], Cell["SubLoop", 
            "ObjectName", CellTags -> "SubLoop"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SubLoop"], Cell["SubLoop is an option for \
OPE1Loop. If set to True, sub 1-loop tensorintegral decomposition is \
performed.", "Text", CellTags -> "SubLoop"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["OPE1Loop", RuleDelayed[ButtonData, "OPE1Loop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPE1Loop"]], "."}], "Text", CellTags -> 
                "SubLoop"]}, Open]], Cell["SumP", "ObjectName", 
            CellTags -> "SumP"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "SumP"], Cell[TextData[
                {"SumP[k, m] is ", Cell[BoxData[
                   \(TraditionalForm\`\(2\^
                         \(\*StyleBox["k", Rule[FontSlant, "Plain"]] - 1\) 
                        \(\[Sum]\_\(\*StyleBox["i", Rule[FontSlant, "Plain"]]
                              = 1\)\%\(2\*StyleBox["m", 
                               Rule[FontSlant, "Plain"]]\) 
                          \(\((1 + \((\(-1\))\)\^
                                \*StyleBox["i", Rule[FontSlant, "Plain"]])\)/
                            \*StyleBox["i", Rule[FontSlant, "Plain"]]\^
                             \*StyleBox["k", Rule[FontSlant, "Plain"]]\)\)\)\
\)]]}], "Text", CellTags -> "SumP"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SumS", RuleDelayed[ButtonData, "SumS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumS"]]\
, ", ", 
                 ButtonBox["SumT", RuleDelayed[ButtonData, "SumT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumT"]]\
, "."}], "Text", CellTags -> "SumP"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SumP"], 
              Cell[CellGroupData[{Cell[BoxData[\(SumP[\(1, \(m - 1\)\)]\)], 
                  "Input", CellLabel -> "In[1569]:=", CellTags -> "SumP"], 
                 Cell[BoxData[FormBox[RowBox[{\(S\_1\%'\), "\[NoBreak]", "(", 
                      "\[NoBreak]", FormBox[\(m - 1\), "TraditionalForm"], 
                      "\[NoBreak]", ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1569]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SumP[\(2, \(m - 1\)\)]\)], "Input", 
                  CellLabel -> "In[1570]:=", CellTags -> "SumP"], 
                 Cell[BoxData[FormBox[RowBox[{\(S\_2\%'\), "\[NoBreak]", "(", 
                      "\[NoBreak]", FormBox[\(m - 1\), "TraditionalForm"], 
                      "\[NoBreak]", ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1570]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SumP[\(1, m\)]\)], "Input", CellLabel -> 
                   "In[1571]:=", CellTags -> "SumP"], Cell[BoxData[
                   FormBox[RowBox[{\(S\_1\%'\), "\[NoBreak]", "(", 
                      "\[NoBreak]", FormBox["m", "TraditionalForm"], 
                      "\[NoBreak]", ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1571]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SumP[\(1, 4\)]\)], "Input", CellLabel -> 
                   "In[1572]:=", CellTags -> "SumP"], Cell[BoxData[
                   \(TraditionalForm\`\(25\/12\)\)], "Output", CellLabel -> 
                   "Out[1572]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\[Sum]\+\(i = 1\)\%8 \(\((1 + \(\((\(-1\))\)^i\))\)/i\)
                     \)], "Input", CellLabel -> "In[1573]:=", CellTags -> 
                   "SumP"], Cell[BoxData[\(TraditionalForm\`\(25\/12\)\)], 
                  "Output", CellLabel -> "Out[1573]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Explicit[\(SumP[\(1, \(n/2\)\)]\)]\)], "Input", 
                  CellLabel -> "In[1574]:=", CellTags -> "SumP"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(1\/2\), " ", 
                        \((1 - \((\(-1\))\)\^n)\), " ", RowBox[{\(S\_1\), 
                          "(", FormBox[\(\(n - 1\)\/2\), "TraditionalForm"], 
                          ")"}]}], "+", RowBox[{\(1\/2\), " ", 
                        \((1 + \((\(-1\))\)\^n)\), " ", RowBox[{\(S\_1\), 
                          "(", FormBox[\(n\/2\), "TraditionalForm"], 
                          ")"}]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1574]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%/.\(n \[Rule] 8\)\)], "Input", CellLabel -> 
                   "In[1575]:=", CellTags -> "SumP"], Cell[BoxData[
                   \(TraditionalForm\`\(25\/12\)\)], "Output", CellLabel -> 
                   "Out[1575]="]}, Open]]}, Open]], Cell["SumS", 
            "ObjectName", CellTags -> "SumS"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "SumS"], 
              Cell[TextData[{"SumS[1, m] is the harmonic number ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Sum]\_
                         \(\*StyleBox["i", Rule[FontSlant, "Italic"]] = 1\)\%
                         \(\*StyleBox["m", Rule[FontSlant, "Italic"]]\)\*
                         StyleBox[" ", Rule[FontSlant, "Italic"]]\(
                         \*StyleBox["i", Rule[FontSlant, "Italic"]]^
                          \((\(-1\))\)\)\)\)]], " ", Cell[BoxData[
                   \(TraditionalForm\`\(\((\(= \(S\_1(m)\)\)\ )\) .\)\)]], 
                 " SumS[1,1,m] is ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Sum]\_
                         \(\*StyleBox["i", Rule[FontSlant, "Italic"]] = 1\)\%
                         \(\*StyleBox["m", Rule[FontSlant, "Italic"]]\) S\_1\
\)\)]], "(", StyleBox["i", Rule[FontSlant, "Italic"]], ")/", 
                 StyleBox["i", Rule[FontSlant, "Italic"]], 
                 ". SumS[k,l,m] is ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Sum]\_\(i = 1\)\%m\ 
                        \(\(S\_l(i)\)/i\^k\)\)\)]], ". SumS[r, n] represents \
Sum[Sign[r]^i/i^Abs[r], {i, 1, n}]. SumS[r,s, n] is Sum[Sign[r]^k/k^Abs[r] \
Sign[s]^j/j^Abs[s], {k, 1, n}, {j, 1, k}], etc."}], "Text", CellTags -> 
                "SumS"], Cell[CellGroupData[{Cell[BoxData[\(Options[SumS]\)], 
                  "Input", CellLabel -> "In[1576]:=", CellTags -> "SumS"], 
                 Cell[BoxData[\(TraditionalForm\`\({Reduce \[Rule] False}\)\)]
                   , "Output", CellLabel -> "Out[1576]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SumP", RuleDelayed[ButtonData, "SumP"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumP"]]\
, ", ", 
                 ButtonBox["SumT", RuleDelayed[ButtonData, "SumT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumT"]]\
, "."}], "Text", CellTags -> "SumS"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SumS"], 
              Cell[CellGroupData[{Cell[BoxData[\(SumS[\(1, \(m - 1\)\)]\)], 
                  "Input", CellLabel -> "In[1577]:=", CellTags -> "SumS"], 
                 Cell[BoxData[FormBox[RowBox[{\(S\_1\), "(", FormBox[\(m - 1\)
                       , "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1577]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SumS[\(2, \(m - 1\)\)]\)], 
                  "Input", CellLabel -> "In[1578]:=", CellTags -> "SumS"], 
                 Cell[BoxData[FormBox[RowBox[{\(S\_2\), "(", FormBox[\(m - 1\)
                       , "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1578]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SumS[\(\(-1\), m\)]\)], 
                  "Input", CellLabel -> "In[1579]:=", CellTags -> "SumS"], 
                 Cell[BoxData[\(TraditionalForm\`\(S\_\(-1\)(m)\)\)], 
                  "Output", CellLabel -> "Out[1579]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SumS[\(1, m, \(Reduce \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1580]:=", CellTags -> "SumS"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_1\), "(", FormBox[
                         \(m - 1\), "TraditionalForm"], ")"}], "+", \(1\/m\)}]
                      , TraditionalForm]], "Output", CellLabel -> 
                   "Out[1580]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SumS[\(3, \(m + 2\), \(Reduce \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1581]:=", CellTags -> "SumS"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_3\), "(", FormBox[
                         \(m + 1\), "TraditionalForm"], ")"}], "+", 
                      \(1\/\((m + 2)\)\^3\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1581]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(SumS, \(Reduce \[Rule] True\)\)]\) ;\)], 
               "Input", CellLabel -> "In[1582]:=", CellTags -> "SumS"], 
              Cell[CellGroupData[{Cell[BoxData[\(SumS[\(3, \(m + 2\)\)]\)], 
                  "Input", CellLabel -> "In[1583]:=", CellTags -> "SumS"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(S\_3\), "(", FormBox[
                         \(m - 1\), "TraditionalForm"], ")"}], "+", 
                      \(1\/m\^3\), "+", \(1\/\((m + 1)\)\^3\), "+", 
                      \(1\/\((m + 2)\)\^3\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1583]="]}, Open]], Cell[BoxData[
                \(\(SetOptions[\(SumS, \(Reduce \[Rule] False\)\)]\) ;\)], 
               "Input", CellLabel -> "In[1584]:=", CellTags -> "SumS"], 
              Cell[CellGroupData[{Cell[BoxData[\(SumS[\(1, 4\)]\)], "Input", 
                  CellLabel -> "In[1585]:=", CellTags -> "SumS"], 
                 Cell[BoxData[\(TraditionalForm\`\(25\/12\)\)], "Output", 
                  CellLabel -> "Out[1585]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\[Sum]\+\(i = 1\)\%4 \(1/i\)\)], "Input", 
                  CellLabel -> "In[1586]:=", CellTags -> "SumS"], 
                 Cell[BoxData[\(TraditionalForm\`\(25\/12\)\)], "Output", 
                  CellLabel -> "Out[1586]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SumS[\(1, 2, \(m - 1\)\)]\)], "Input", 
                  CellLabel -> "In[1587]:=", CellTags -> "SumS"], 
                 Cell[BoxData[FormBox[RowBox[{\(S\_12\), "(", FormBox[
                       \(m - 1\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1587]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SumS[\(1, 1, 1, 11\)]\)], "Input", CellLabel -> 
                   "In[1588]:=", CellTags -> "SumS"], Cell[BoxData[
                   \(TraditionalForm\`\(31276937512951\/4260000729600\)\)], 
                  "Output", CellLabel -> "Out[1588]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SumS[\(\(-1\), 4\)]\)], 
                  "Input", CellLabel -> "In[1589]:=", CellTags -> "SumS"], 
                 Cell[BoxData[\(TraditionalForm\`\(-\(7\/12\)\)\)], "Output", 
                  CellLabel -> "Out[1589]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SumT[\(1, 4\)]\)], "Input", CellLabel -> 
                   "In[1590]:=", CellTags -> "SumS"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(7\/12\)\)\)], "Output", 
                  CellLabel -> "Out[1590]="]}, Open]]}, Open]], 
           Cell["SumT", "ObjectName", CellTags -> "SumT"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SumT"], Cell[TextData[
                {"SumT[1, m] is the alternative harmonic number ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Sum]\_\(i = 1\)\%m\ 
                        \(\(\((\(-1\))\)^i\)/\(i\ \)\)\)\)]], " SumT[r, n] \
represents Sum[(-1)^i/i^r, {i,1,n}], SumT[r,s, n] is Sum[1/k^r (-1)^j/j^s, \
{k, 1, n}, {j, 1, k}]."}], "Text", CellTags -> "SumT"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["SumP", RuleDelayed[ButtonData, "SumP"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumP"]]\
, ", ", 
                 ButtonBox["SumS", RuleDelayed[ButtonData, "SumS"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SumS"]]\
, "."}], "Text", CellTags -> "SumT"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SumT"], 
              Cell[CellGroupData[{Cell[BoxData[\(SumT[\(1, \(m - 1\)\)]\)], 
                  "Input", CellLabel -> "In[1591]:=", CellTags -> "SumT"], 
                 Cell[BoxData[FormBox[RowBox[{\(\(S\&~\)\_1\), "(", FormBox[
                       \(m - 1\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1591]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SumT[\(2, \(m - 1\)\)]\)], "Input", CellLabel -> 
                   "In[1592]:=", CellTags -> "SumT"], Cell[BoxData[
                   FormBox[RowBox[{\(\(S\&~\)\_2\), "(", FormBox[\(m - 1\), 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1592]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SumT[\(1, m\)]\)], "Input", 
                  CellLabel -> "In[1593]:=", CellTags -> "SumT"], 
                 Cell[BoxData[\(TraditionalForm\`\(\(S\&~\)\_1(m)\)\)], 
                  "Output", CellLabel -> "Out[1593]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SumT[\(1, m, \(Reduce \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1594]:=", CellTags -> "SumT"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(\(S\&~\)\_1\), "(", 
                        FormBox[\(m - 1\), "TraditionalForm"], ")"}], "+", 
                      \(\((\(-1\))\)\^m\/m\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1594]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SumT[\(1, 4\)]\)], "Input", CellLabel -> 
                   "In[1595]:=", CellTags -> "SumT"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(7\/12\)\)\)], "Output", 
                  CellLabel -> "Out[1595]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\[Sum]\+\(i = 1\)\%4 \(\(\((\(-1\))\)^i\)/i\)\)], 
                  "Input", CellLabel -> "In[1596]:=", CellTags -> "SumT"], 
                 Cell[BoxData[\(TraditionalForm\`\(-\(7\/12\)\)\)], "Output", 
                  CellLabel -> "Out[1596]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SumT[\(1, 2, \(m - 1\)\)]\)], "Input", 
                  CellLabel -> "In[1597]:=", CellTags -> "SumT"], 
                 Cell[BoxData[FormBox[RowBox[{\(\(S\&~\)\_12\), "(", FormBox[
                       \(m - 1\), "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1597]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SumT[\(1, 2, 42\)]\)], "Input", CellLabel -> 
                   "In[1598]:=", CellTags -> "SumT"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(
                         389879586970550133604898642987036214296101521386839\
27\/10512121660702378405316004964483761080879190528000000\
\)\)\)], "Output", CellLabel -> "Out[1598]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SumT[\(1, 4\)]\)], "Input", CellLabel -> 
                   "In[1599]:=", CellTags -> "SumT"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(7\/12\)\)\)], "Output", 
                  CellLabel -> "Out[1599]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SumS[\(\(-1\), 4\)]\)], "Input", CellLabel -> 
                   "In[1600]:=", CellTags -> "SumT"], Cell[BoxData[
                   \(TraditionalForm\`\(-\(7\/12\)\)\)], "Output", 
                  CellLabel -> "Out[1600]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\[Sum]\+\(i = 1\)\%\(m - 1\) \(\(\((\(-1\))\)^i\)/i\)\)]\
, "Input", CellLabel -> "In[1601]:=", CellTags -> "SumT"], Cell[BoxData[
                   \(TraditionalForm\`\(\(1\/2\ \((\(-1\))\)\^m\ 
                          \((\(\(\*TagBox["\[Psi]", PolyGamma]\^\((0)\)\)(
                               \(m\/2\))\) - 
                             \(\(\*TagBox["\[Psi]", PolyGamma]\^\((0)\)\)(
                               \(\(m + 1\)\/2\))\))\)\) - \(log(4)\)\/2\)\)], 
                  "Output", CellLabel -> "Out[1601]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SumT[\(1, 2, 12\)]\)], 
                  "Input", CellLabel -> "In[1602]:=", CellTags -> "SumT"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(-\(57561743656913\/21300003648000\)\)
                     \)], "Output", CellLabel -> "Out[1602]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SumS[\(1, \(-2\), 42\)]\)], 
                  "Input", CellLabel -> "In[1603]:=", CellTags -> "SumT"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(-\(
                         389879586970550133604898642987036214296101521386839\
27\/10512121660702378405316004964483761080879190528000000\
\)\)\)], "Output", CellLabel -> "Out[1603]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Array[\(SumT, 6\)]\)], "Input", CellLabel -> 
                   "In[1604]:=", CellTags -> "SumT"], Cell[BoxData[
                   \(TraditionalForm\`\({\(-1\), \(-\(5\/8\)\), 
                         \(-\(179\/216\)\), \(-\(1207\/1728\)\), 
                         \(-\(170603\/216000\)\), \(-\(155903\/216000\)\)}\)\
\)], "Output", CellLabel -> "Out[1604]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Array[\(\(\(SumS[\(\(-2\), 1, #1\)]\) &\), 6\)]\)], 
                  "Input", CellLabel -> "In[1605]:=", CellTags -> "SumT"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(-1\), \(-\(5\/8\)\), 
                         \(-\(179\/216\)\), \(-\(1207\/1728\)\), 
                         \(-\(170603\/216000\)\), \(-\(155903\/216000\)\)}\)\
\)], "Output", CellLabel -> "Out[1605]="]}, Open]]}, Open]], 
           Cell["SUND", "ObjectName", CellTags -> "SUND"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SUND"], Cell[TextData[
                {"SUND[a,b,c] are the symmetric SU(", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], ") ", Cell[BoxData[
                   \(TraditionalForm\`\(d\_abc .\)\)]]}], "Text", CellTags -> 
                "SUND"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SUNDelta", RuleDelayed[ButtonData, "SUNDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNDelta"]], ", ", 
                 ButtonBox["SUNF", RuleDelayed[ButtonData, "SUNF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUNF"]]\
, ", ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], "."}], "Text", 
               CellTags -> "SUND"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SUND"], 
              Cell[CellGroupData[{Cell[BoxData[\(SUND[\(a, b, c\)]\)], 
                  "Input", CellLabel -> "In[1606]:=", CellTags -> "SUND"], 
                 Cell[BoxData[\(TraditionalForm\`d\_\(abc\)\)], "Output", 
                  CellLabel -> "Out[1606]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(tt = \(SUND[\(a, b, c, \(Explicit \[Rule] True\)\)]\)\)]\
, "Input", CellLabel -> "In[1607]:=", CellTags -> "SUND"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"2", " ", RowBox[{"tr", "(", 
                          FormBox[RowBox[{SubscriptBox["T", FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}]}], "+", RowBox[{"2", " ", 
                        RowBox[{"tr", "(", FormBox[RowBox[{SubscriptBox["T", 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox["T", FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox["T", FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]]}], "TraditionalForm"], 
                          ")"}]}]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1607]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SUND[\(c, a, b\)]\)], "Input", CellLabel -> 
                   "In[1608]:=", CellTags -> "SUND"], Cell[BoxData[
                   \(TraditionalForm\`d\_\(abc\)\)], "Output", CellLabel -> 
                   "Out[1608]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUND[\(a, b, b\)]\)], "Input", CellLabel -> 
                   "In[1609]:=", CellTags -> "SUND"], Cell[BoxData[
                   \(TraditionalForm\`d\_\(abb\)\)], "Output", CellLabel -> 
                   "Out[1609]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUND[\(a, b, c\)]\)\ 
                        \(SUND[\(a, b, c\)]\)\)]\)], "Input", CellLabel -> 
                   "In[1610]:=", CellTags -> "SUND"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-2\)\ \((4 - C\_A\%2)\)\ C\_F\)\)], 
                  "Output", CellLabel -> "Out[1610]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUNSimplify[\(\(\(SUND[\(a, b, c\)]\)\ 
                            \(SUND[\(a, b, c\)]\)\), 
                          \(SUNNToCACF \[Rule] False\)\)]\)//Factor2\)], 
                  "Input", CellLabel -> "In[1611]:=", CellTags -> "SUND"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(\((1 - N\^2)\)\ \((4 - N\^2)\)\)\/N
                       \)\)], "Output", CellLabel -> "Out[1611]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUNSimplify[\(\(\(SUND[\(a, b, c\)]\)\ 
                            \(SUND[\(e, b, c\)]\)\), 
                          \(SUNNToCACF \[Rule] False\)\)]\)//Factor2\)], 
                  "Input", CellLabel -> "In[1612]:=", CellTags -> "SUND"], 
                 Cell[BoxData[FormBox[RowBox[{"-", FractionBox[RowBox[{
                         \((4 - N\^2)\), " ", SubscriptBox["\[Delta]", 
                          RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                       "N"]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1612]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUND[\(a, b, c\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1613]:=", CellTags -> "SUND"], 
                 Cell[BoxData[\(SUND[\(a, b, c\)]\)], "Output", CellLabel -> 
                   "Out[1613]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SUND[\(a, b, c\)]\)//FCI\)//StandardForm\)
                   ], "Input", CellLabel -> "In[1614]:=", CellTags -> 
                   "SUND"], Cell[BoxData[
                   \(SUND[\(\(SUNIndex[a]\), \(SUNIndex[b]\), \(SUNIndex[c]\)
                       \)]\)], "Output", CellLabel -> 
                   "Out[1614]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(\(SUND[\(a, b, c\)]\)//FCI\)//FCE\)//StandardForm\)]\
, "Input", CellLabel -> "In[1615]:=", CellTags -> "SUND"], Cell[BoxData[
                   \(SUND[\(a, b, c\)]\)], "Output", CellLabel -> 
                   "Out[1615]//StandardForm="]}, Open]], Cell[BoxData[
                \(Clear[tt]\)], "Input", CellLabel -> "In[1616]:=", 
               CellTags -> "SUND"]}, Open]], Cell["SUNDelta", "ObjectName", 
            CellTags -> "SUNDelta"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "SUNDelta"], 
              Cell[TextData[{"SUNDelta[a, b] is the Kronecker-delta for SU(", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], 
                 ") with color indices a and b."}], "Text", CellTags -> 
                "SUNDelta"], Cell[TextData[{"See also: ", 
                 ButtonBox["ExplicitSUNIndex", 
                   RuleDelayed[ButtonData, "ExplicitSUNIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExplicitSUNIndex"]], ", ", 
                 ButtonBox["SD", RuleDelayed[ButtonData, "SD"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SD"]], 
                 ", ", 
                 ButtonBox["SUNF", RuleDelayed[ButtonData, "SUNF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUNF"]]\
, ", ", 
                 ButtonBox["SUNIndex", RuleDelayed[ButtonData, "SUNIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNIndex"]], ", ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], ", ", 
                 ButtonBox["Trick", RuleDelayed[ButtonData, "Trick"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Trick"]], "."}], "Text", CellTags -> 
                "SUNDelta"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SUNDelta"], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNDelta[\(a, b\)]\)], 
                  "Input", CellLabel -> "In[1617]:=", CellTags -> 
                   "SUNDelta"], Cell[BoxData[
                   \(TraditionalForm\`\[Delta]\_\(ab\)\)], "Output", 
                  CellLabel -> "Out[1617]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Trick[\ \(\(SUNDelta[\(a, b\)]\)\ \(SUNDelta[\(b, c\)]\)
                       \)\ ]\)], "Input", CellLabel -> "In[1618]:=", 
                  CellTags -> "SUNDelta"], Cell[BoxData[FormBox[SubscriptBox[
                     "\[Delta]", RowBox[{FormBox[FormBox["a", 
                         "TraditionalForm"], "TraditionalForm"], FormBox[
                        FormBox["c", "TraditionalForm"], 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1618]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SUNDelta[\(\(SUNIndex[a]\), \(SUNIndex[b]\)\)]\)], 
                  "Input", CellLabel -> "In[1619]:=", CellTags -> 
                   "SUNDelta"], Cell[BoxData[FormBox[SubscriptBox["\[Delta]", 
                     RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["b", 
                         "TraditionalForm"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1619]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUNDelta[\(a, b\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1620]:=", CellTags -> "SUNDelta"], 
                 Cell[BoxData[\(SUNDelta[\(a, b\)]\)], "Output", CellLabel -> 
                   "Out[1620]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(SUNDelta[\(a, b\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1621]:=", CellTags -> 
                   "SUNDelta"], Cell[BoxData[
                   \(SUNDelta[\(\(SUNIndex[a]\), \(SUNIndex[b]\)\)]\)], 
                  "Output", CellLabel -> "Out[1621]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(SUNDelta[\(a, b\)]\)//FCI\)//FCE\)//StandardForm\)]\
, "Input", CellLabel -> "In[1622]:=", CellTags -> "SUNDelta"], Cell[BoxData[
                   \(SD[\(a, b\)]\)], "Output", CellLabel -> 
                   "Out[1622]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SD[\(a, b\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1623]:=", CellTags -> 
                   "SUNDelta"], Cell[BoxData[
                   \(SUNDelta[\(\(SUNIndex[a]\), \(SUNIndex[b]\)\)]\)], 
                  "Output", CellLabel -> "Out[1623]//StandardForm="]}, 
                Open]], Cell["Symbolic arguments to SUNDelta are transformed \
into the data type SUNIndex and integer arguments are transformed to \
ExplicitSUNIndex. The difference is that SUNSimplify will only sum over \
symbolic indices.", "Text", CellTags -> "SUNDelta"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(SUNDelta[\(a, 2\)]\) \(SUNDelta[\(a, b\)]\) 
                        \(SUNDelta[\(c, 2\)]\)\)//SUNSimplify\)], "Input", 
                  CellLabel -> "In[1624]:=", CellTags -> "SUNDelta"], 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox["\[Delta]", 
                       RowBox[{FormBox["2", "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                       "\[Delta]", RowBox[{FormBox["2", "TraditionalForm"], 
                         FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1624]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)], "Input", 
                  CellLabel -> "In[1625]:=", CellTags -> "SUNDelta"], 
                 Cell[BoxData[
                   \(\(SUNDelta[\(\(ExplicitSUNIndex[2]\), \(SUNIndex[b]\)\)]
                       \)\ \(SUNDelta[\(\(ExplicitSUNIndex[2]\), 
                          \(SUNIndex[c]\)\)]\)\)], "Output", CellLabel -> 
                   "Out[1625]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(SUNDelta[\(1, 2\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1626]:=", CellTags -> 
                   "SUNDelta"], Cell[BoxData[
                   \(SUNDelta[\(\(ExplicitSUNIndex[1]\), 
                        \(ExplicitSUNIndex[2]\)\)]\)], "Output", CellLabel -> 
                   "Out[1626]//StandardForm="]}, Open]]}, Open]], 
           Cell["SUNDeltaContract", "ObjectName", CellTags -> 
             "SUNDeltaContract"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "SUNDeltaContract"], Cell[TextData[{"SUNDeltaContract[expr] \
substitues for all SUNDelta in expr SUNDeltaContract, contracts the SUN(N) \
indices and resubstitutes SUNDelta. SUNDeltaContract[i, j] is the \
Kronecker-delta for SU(", StyleBox["N", Rule[FontSlant, "Italic"]], ") with \
contraction properties. SUNDeltaContract wraps also the head SUNIndex around \
its arguments."}], "Text", CellTags -> "SUNDeltaContract"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["SUNDelta", RuleDelayed[ButtonData, "SUNDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNDelta"]], ", ", 
                 ButtonBox["SUNIndex", RuleDelayed[ButtonData, "SUNIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNIndex"]], "."}], "Text", CellTags -> 
                "SUNDeltaContract"]}, Open]], Cell["SUNF", "ObjectName", 
            CellTags -> "SUNF"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "SUNF"], Cell[TextData[
                {"SUNF[a,b,c] are the structure constants of SU(", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], 
                 "). The arguments a,b,c should be of symbolic type."}], 
               "Text", CellTags -> "SUNF"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[SUNF]\)], "Input", CellLabel -> "In[1627]:=", 
                  CellTags -> "SUNF"], Cell[BoxData[
                   \(TraditionalForm\`\({Explicit \[Rule] False}\)\)], 
                  "Output", CellLabel -> "Out[1627]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SUND", RuleDelayed[ButtonData, "SUND"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUND"]]\
, ", ", 
                 ButtonBox["SUNDelta", RuleDelayed[ButtonData, "SUNDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNDelta"]], ", ", 
                 ButtonBox["SUNIndex", RuleDelayed[ButtonData, "SUNIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNIndex"]], ", ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], ", ", 
                 ButtonBox["SUNT", RuleDelayed[ButtonData, "SUNT"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUNT"]]\
, ", ", 
                 ButtonBox["Trick", RuleDelayed[ButtonData, "Trick"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Trick"]], "."}], "Text", CellTags -> 
                "SUNF"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SUNF"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(\(\(SUNF[\(a, b, c\)]\) x\) + 
                        \(\(SUNF[\(b, a, c\)]\) y\)\)\)], "Input", 
                  CellLabel -> "In[1628]:=", CellTags -> "SUNF"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(x\ f\_\(abc\)\) + \(y\ f\_\(bac\)\)
                       \)\)], "Output", CellLabel -> "Out[1628]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Calc[t1]\)], "Input", 
                  CellLabel -> "In[1629]:=", CellTags -> "SUNF"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"x", " ", SubscriptBox[
                         "f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "-", 
                      RowBox[{"y", " ", SubscriptBox["f", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1629]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNSimplify[t1]\)], "Input", 
                  CellLabel -> "In[1630]:=", CellTags -> "SUNF"], 
                 Cell[BoxData[FormBox[RowBox[{\((x - y)\), " ", SubscriptBox[
                       "f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1630]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNF[\(a, a, b\)]\)], 
                  "Input", CellLabel -> "In[1631]:=", CellTags -> "SUNF"], 
                 Cell[BoxData[\(TraditionalForm\`f\_\(aab\)\)], "Output", 
                  CellLabel -> "Out[1631]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(SUNF[\(a, a, b\)]\)//Calc\)], "Input", 
                  CellLabel -> "In[1632]:=", CellTags -> "SUNF"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1632]="]}, Open]], Cell[TextData[{"This is a \
consequence of the usual choice for the normalization of the ", Cell[BoxData[
                   \(TraditionalForm\`\(T\_a\ generatorsin\ 
                        \(\((see\(\ \ \)SUNT)\) .\)\)\)]]}], "Text", 
               CellTags -> "SUNF"], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNF[\(a, b, c, \(Explicit \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1633]:=", CellTags -> "SUNF"], 
                 Cell[BoxData[FormBox[RowBox[{"2", " ", "\[ImaginaryI]", " ", 
                      RowBox[{"(", RowBox[{RowBox[{"tr", "(", FormBox[RowBox[
                          {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}], "-", RowBox[{"tr", "(", 
                          FormBox[RowBox[{SubscriptBox["T", FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1633]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUNF[\(a, b, c\)]\)\ 
                        \(SUNF[\(a, b, d\)]\)\)]\)], "Input", CellLabel -> 
                   "In[1634]:=", CellTags -> "SUNF"], Cell[BoxData[
                   FormBox[RowBox[{\(C\_A\), " ", SubscriptBox["\[Delta]", 
                       RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1634]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUNF[\(a, b, c\)]\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1635]:=", CellTags -> "SUNF"], 
                 Cell[BoxData[FormBox[RowBox[{\(-2\), " ", "\[ImaginaryI]", 
                      " ", RowBox[{"(", RowBox[{RowBox[{"tr", "(", FormBox[
                          RowBox[{SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}], "-", RowBox[{"tr", "(", 
                          FormBox[RowBox[{SubscriptBox["T", FormBox[FormBox[
                          "b", "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1635]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUNF[\(a, b, c\)]\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1636]:=", CellTags -> "SUNF"], 
                 Cell[BoxData[\(SUNF[\(a, b, c\)]\)], "Output", CellLabel -> 
                   "Out[1636]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SUNF[\(a, b, c\)]\)//FCI\)//StandardForm\)
                   ], "Input", CellLabel -> "In[1637]:=", CellTags -> 
                   "SUNF"], Cell[BoxData[
                   \(SUNF[\(\(SUNIndex[a]\), \(SUNIndex[b]\), \(SUNIndex[c]\)
                       \)]\)], "Output", CellLabel -> 
                   "Out[1637]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(\(SUNF[\(a, b, c\)]\)//FCI\)//FCE\)//StandardForm\)]\
, "Input", CellLabel -> "In[1638]:=", CellTags -> "SUNF"], Cell[BoxData[
                   \(SUNF[\(a, b, c\)]\)], "Output", CellLabel -> 
                   "Out[1638]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SUNF[\(b, a, c\)]\)], "Input", CellLabel -> 
                   "In[1639]:=", CellTags -> "SUNF"], Cell[BoxData[
                   \(TraditionalForm\`f\_\(bac\)\)], "Output", CellLabel -> 
                   "Out[1639]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUNF[\(b, a, c\)]\)//FCI\)], "Input", CellLabel -> 
                   "In[1640]:=", CellTags -> "SUNF"], Cell[BoxData[
                   FormBox[RowBox[{"-", SubscriptBox["f", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1640]="]}, Open]]}, Open]], 
           Cell["SUNFJacobi", "ObjectName", CellTags -> "SUNFJacobi"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SUNFJacobi"], Cell["SUNFJacobi is an option for \
SUNSimplify, indicating whether the Jacobi identity should be used.", "Text", 
               CellTags -> "SUNFJacobi"], Cell[TextData[{"See also:  ", 
                 ButtonBox["SUNF", RuleDelayed[ButtonData, "SUNF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUNF"]]\
, ", ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], "."}], "Text", 
               CellTags -> "SUNFJacobi"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SUNFJacobi"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(SUNF[\(a, b, c\)]\) \(SUNF[\(e, f, c\)]\)\)//
                      \(\(SUNSimplify[\(#, \(SUNFJacobi \[Rule] False\)\)]\) 
                        &\)\)], "Input", CellLabel -> "In[1641]:=", 
                  CellTags -> "SUNFJacobi"], Cell[BoxData[FormBox[RowBox[
                     {SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["f", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1641]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(SUNF[\(a, b, c\)]\) \(SUNF[\(e, f, c\)]\)\)//
                      \(\(SUNSimplify[\(#, \(SUNFJacobi \[Rule] True\)\)]\) &
                       \)\)], "Input", CellLabel -> "In[1642]:=", CellTags -> 
                   "SUNFJacobi"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["f", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "-", 
                      RowBox[{SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["f", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1642]="]}, 
                Open]]}, Open]], Cell["SUNIndex", "ObjectName", 
            CellTags -> "SUNIndex"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "SUNIndex"], 
              Cell[TextData[{"SUNIndex is the head of SU(", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], ") indices."}], 
               "Text", CellTags -> "SUNIndex"], Cell[TextData[{"See also: ", 
                 ButtonBox["ExplicitSUNIndex", 
                   RuleDelayed[ButtonData, "ExplicitSUNIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ExplicitSUNIndex"]], ", ", 
                 ButtonBox["SUNDelta", RuleDelayed[ButtonData, "SUNDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNDelta"]], ", ", 
                 ButtonBox["SUNF", RuleDelayed[ButtonData, "SUNF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUNF"]]\
, "."}], "Text", CellTags -> "SUNIndex"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SUNIndex"], Cell[CellGroupData[{Cell[BoxData[\(SUNIndex[i]\)]
                   , "Input", CellLabel -> "In[1643]:=", CellTags -> 
                   "SUNIndex"], Cell[BoxData[\(TraditionalForm\`i\)], 
                  "Output", CellLabel -> "Out[1643]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)], "Input", 
                  CellLabel -> "In[1644]:=", CellTags -> "SUNIndex"], 
                 Cell[BoxData[\(SUNIndex[i]\)], "Output", CellLabel -> 
                   "Out[1644]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(SUNDelta[\(i, j\)]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1645]:=", CellTags -> 
                   "SUNIndex"], Cell[BoxData[
                   \(SUNDelta[\(\(SUNIndex[i]\), \(SUNIndex[j]\)\)]\)], 
                  "Output", CellLabel -> "Out[1645]//StandardForm="]}, 
                Open]]}, Open]], Cell["SUNIndexRename", "ObjectName", 
            CellTags -> "SUNIndexRename"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "SUNIndexRename"], Cell["SUNIndexRename is an option of \
SUNSimplify. If set to False, no automatic renaming of dummy indices is \
done.", "Text", CellTags -> "SUNIndexRename"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], ", ", 
                 ButtonBox["SUNIndex", RuleDelayed[ButtonData, "SUNIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNIndex"]], "."}], "Text", CellTags -> 
                "SUNIndexRename"]}, Open]], Cell["SUNN", "ObjectName", 
            CellTags -> "SUNN"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "SUNN"], Cell[TextData[
                {"SUNN denotes the number of colors. Trick[SUNDelta[a, a]] \
yields (", Cell[BoxData[\(TraditionalForm\`\(SUNN\^2\)\)]], " -1)."}], 
               "Text", CellTags -> "SUNN"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], ", ", 
                 ButtonBox["Trick", RuleDelayed[ButtonData, "Trick"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Trick"]], ", ", 
                 ButtonBox["SUNIndex", RuleDelayed[ButtonData, "SUNIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNIndex"]], ", ", 
                 ButtonBox["CA", RuleDelayed[ButtonData, "CA"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "CA"]], 
                 ", ", 
                 ButtonBox["CF", RuleDelayed[ButtonData, "CF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "CF"]], 
                 "."}], "Text", CellTags -> "SUNN"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SUNN"], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUNDelta[
                          \(\(SUNIndex[a]\),\ \(SUNIndex[a]\)\)]\), 
                        \(SUNNToCACF \[Rule] False\)\)]\)], "Input", 
                  CellLabel -> "In[1646]:=", CellTags -> "SUNN"], 
                 Cell[BoxData[\(TraditionalForm\`\(N\^2 - 1\)\)], "Output", 
                  CellLabel -> "Out[1646]="]}, Open]]}, Open]], 
           Cell["SUNNToCACF", "ObjectName", CellTags -> "SUNNToCACF"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SUNNToCACF"], Cell["SUNNToCACF is an option of \
SUNSimplify. If set to True, the Casimir operator eigenvalues CA (=N) and CF \
(=(N^2-1)/(2 N)) are introduced.", "Text", CellTags -> "SUNNToCACF"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], ", ", 
                 ButtonBox["Trick", RuleDelayed[ButtonData, "Trick"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Trick"]], ", ", 
                 ButtonBox["SUNN", RuleDelayed[ButtonData, "SUNN"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUNN"]]\
, ", ", 
                 ButtonBox["CA", RuleDelayed[ButtonData, "CA"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "CA"]], 
                 ", ", 
                 ButtonBox["CF", RuleDelayed[ButtonData, "CF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "CF"]], 
                 "."}], "Text", CellTags -> "SUNNToCACF"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SUNNToCACF"], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUNDelta[
                          \(\(SUNIndex[a]\),\ \(SUNIndex[a]\)\)]\), 
                        \(SUNNToCACF \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1647]:=", CellTags -> "SUNNToCACF"], 
                 Cell[BoxData[\(TraditionalForm\`\(2\ C\_A\ C\_F\)\)], 
                  "Output", CellLabel -> "Out[1647]="]}, Open]]}, Open]], 
           Cell["SUNSimplify", "ObjectName", CellTags -> "SUNSimplify"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SUNSimplify"], Cell["SUNSimplify simplifies \
products of SUNT (and complex conjugated) matrices. Basic renaming of dummy \
indices is done. If the option SUNTrace is set to False, then any \
SUNT-matrices are taken out of DiracTrace[...]; otherwise a color-trace is \
taken (by SUNTrace) before taking the SUN-objects in front of \
DiracTrace[...].", "Text", CellTags -> "SUNSimplify"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[SUNSimplify]\)], "Input", 
                  CellLabel -> "In[1648]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(Expanding \[Rule] False\), 
                         \(Explicit \[Rule] False\), 
                         \(Factoring \[Rule] False\), 
                         \(SUNIndexRename \[Rule] True\), 
                         \(SUNFJacobi \[Rule] False\), 
                         \(SUNNToCACF \[Rule] True\), 
                         \(SUNTrace \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[1648]="]}, Open]], Cell[TextData[
                {"See also:  ", 
                 ButtonBox["Trick", RuleDelayed[ButtonData, "Trick"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Trick"]], ", ", 
                 ButtonBox["CalcColorFactor", 
                   RuleDelayed[ButtonData, "CalcColorFactor"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CalcColorFactor"]], "."}], "Text", 
               CellTags -> "SUNSimplify"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SUNSimplify"], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(\(SUNDelta[\(a, b\)]\)\ \(SUNDelta[\(b, c\)]\)\)
                     \)], "Input", CellLabel -> "In[1649]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Delta]\_\(ab\)\ \[Delta]\_\(bc\)\)
                     \)], "Output", CellLabel -> "Out[1649]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNSimplify[t1]\)], "Input", 
                  CellLabel -> "In[1650]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[FormBox[SubscriptBox["\[Delta]", RowBox[
                      {FormBox[FormBox["a", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["c", 
                         "TraditionalForm"], "TraditionalForm"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1650]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \(\(SUNT[a]\) . \(SUNT[a]\)\)\)], "Input", 
                  CellLabel -> "In[1651]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox["T", FormBox["a", 
                        "TraditionalForm"]], ".", SubscriptBox["T", FormBox[
                        "a", "TraditionalForm"]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1651]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNSimplify[t2]\)], "Input", 
                  CellLabel -> "In[1652]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`C\_F\)], "Output", 
                  CellLabel -> "Out[1652]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SUNSimplify[\(t2, \(SUNNToCACF \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[1653]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\(N\^2 - 1\)\/\(2\ N\)\)\)], 
                  "Output", CellLabel -> "Out[1653]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t3 = \(\(SUNF[\(a, r, s\)]\) \(SUNF[\(b, r, s\)]\)\)\)], 
                  "Input", CellLabel -> "In[1654]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(f\_\(ars\)\ f\_\(brs\)\)\)], 
                  "Output", CellLabel -> "Out[1654]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNSimplify[t3]\)], "Input", 
                  CellLabel -> "In[1655]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{\(C\_A\), " ", SubscriptBox[
                       "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1655]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t4 = \(\(SUNF[\(a, b, c\)]\)\ .\ \(SUNF[\(a, b, c\)]\)\)
                     \)], "Input", CellLabel -> "In[1656]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(f\_\(abc\) . f\_\(abc\)\)\)], 
                  "Output", CellLabel -> "Out[1656]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNSimplify[t4]\)], "Input", 
                  CellLabel -> "In[1657]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`\(2\ C\_A\%2\ C\_F\)\)], 
                  "Output", CellLabel -> "Out[1657]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t5 = \(\(SUNF[\(a, b, c\)]\)\ \(SUNF[\(d, b, c\)]\)\)\)]\
, "Input", CellLabel -> "In[1658]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`\(f\_\(abc\)\ f\_\(dbc\)\)\)]
                   , "Output", CellLabel -> "Out[1658]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNSimplify[t5]\)], "Input", 
                  CellLabel -> "In[1659]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{\(C\_A\), " ", SubscriptBox[
                       "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1659]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t6 = \(\(SUNF[\(a, b, c\)]\)\ \(SUND[\(d, b, c\)]\)\)\)]\
, "Input", CellLabel -> "In[1660]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`\(d\_\(bcd\)\ f\_\(abc\)\)\)]
                   , "Output", CellLabel -> "Out[1660]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(t6, \(Explicit \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1661]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[\(TraditionalForm\`0\)], 
                  "Output", CellLabel -> "Out[1661]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUNSimplify[\(\(\(SUND[\(a, b, c\)]\)\ 
                            \(SUND[\(a, b, c\)]\)\), 
                          \(SUNNToCACF \[Rule] False\)\)]\)//Factor2\)], 
                  "Input", CellLabel -> "In[1662]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\(\((1 - N\^2)\)\ \((4 - N\^2)\)\)\/N
                       \)\)], "Output", CellLabel -> "Out[1662]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUNSimplify[\(\(\(SUND[\(a, b, c\)]\)\ 
                            \(SUND[\(e, b, c\)]\)\), 
                          \(SUNNToCACF \[Rule] False\)\)]\)//FullSimplify\)], 
                  "Input", CellLabel -> "In[1663]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[FormBox[FractionBox[RowBox[{
                       \((N\^2 - 4)\), " ", SubscriptBox["\[Delta]", 
                        RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], "N"], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1663]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUNF[\(a, b, c\)]\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1664]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{\(-2\), " ", "\[ImaginaryI]", 
                      " ", RowBox[{"(", RowBox[{RowBox[{"tr", "(", FormBox[
                          RowBox[{SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}], "-", RowBox[{"tr", "(", 
                          FormBox[RowBox[{SubscriptBox["T", FormBox[FormBox[
                          "b", "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1664]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUND[\(a, b, c\)]\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1665]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{"2", " ", RowBox[{"(", 
                        RowBox[{RowBox[{"tr", "(", FormBox[RowBox[
                          {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}], "+", RowBox[{"tr", "(", 
                          FormBox[RowBox[{SubscriptBox["T", FormBox[FormBox[
                          "b", "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                          "TraditionalForm"], ")"}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1665]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUNF[\(a, b, c\)]\)\ 
                        \(SUNT[\(c, b, a\)]\)\)]\)], "Input", CellLabel -> 
                   "In[1666]:=", CellTags -> "SUNSimplify"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-\(1\/2\)\)\ \[ImaginaryI]\ C\_A\ 
                        C\_F\)\)], "Output", CellLabel -> "Out[1666]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t7 = \(\(\(SUNF[\(a, b, e\)]\) \(SUNF[\(c, d, e\)]\)\) +
                         \(\(SUNF[\(a, b, z\)]\) \(SUNF[\(c, d, z\)]\)\)\)\)]\
, "Input", CellLabel -> "In[1667]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(f\_\(abe\)\ f\_\(cde\)\) + 
                        \(f\_\(abz\)\ f\_\(cdz\)\)\)\)], "Output", 
                  CellLabel -> "Out[1667]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SUNSimplify[\(t7, \(Explicit \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[1668]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[FormBox[RowBox[{"2", " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1668]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(t7, \(Explicit \[Rule] False\), 
                        \(SUNIndexRename \[Rule] False\)\)]\)], "Input", 
                  CellLabel -> "In[1669]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{SubscriptBox[
                         "f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["z", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["z", 
                          "TraditionalForm"], "TraditionalForm"]}]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1669]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(1 - \(SUNDelta[\(i, i\)]\)\)]\)], "Input", 
                  CellLabel -> "In[1670]:=", CellTags -> "SUNSimplify"], 
                 Cell[BoxData[\(TraditionalForm\`\(2 - C\_A\%2\)\)], 
                  "Output", CellLabel -> "Out[1670]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t8 = \(DiracTrace[\(\(f[\(SUNIndex[a]\)]\) 
                          \(\(DiracMatrix[\[Mu]]\) . \(DiracMatrix[\[Nu]]\)\)
                   \)]\)\)], "Input", CellLabel -> "In[1671]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[FormBox[RowBox[{"tr", "(", 
                      FormBox[RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                         RowBox[{"f", "(", FormBox["a", "TraditionalForm"], 
                          ")"}]}], "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1671]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(t8, \(SUNTrace \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[1672]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[FormBox[RowBox[{"tr", "(", 
                      FormBox[RowBox[{RowBox[{SuperscriptBox["\[Gamma]", 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                         RowBox[{"f", "(", FormBox["a", "TraditionalForm"], 
                          ")"}]}], "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1672]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(t8, \(SUNTrace \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1673]:=", CellTags -> 
                   "SUNSimplify"], Cell[BoxData[FormBox[RowBox[{\(C\_A\), 
                      " ", RowBox[{"tr", "(", FormBox[RowBox[{SuperscriptBox[
                          "\[Gamma]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                         "TraditionalForm"], ")"}], " ", RowBox[{"f", "(", 
                        FormBox["a", "TraditionalForm"], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1673]="]}, 
                Open]], Cell[BoxData[
                \(Clear[\(t1, t2, t3, t4, t5, t6, t7, t8\)]\)], "Input", 
               CellLabel -> "In[1674]:=", CellTags -> "SUNSimplify"]}, 
             Open]], Cell["SUNT", "ObjectName", CellTags -> "SUNT"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SUNT"], Cell[TextData[{"SUNT[a] is the SU(", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], ") ", Cell[BoxData[
                   \(TraditionalForm\`T\_a\)]], 
                 " generator in the fundamental representation."}], "Text", 
               CellTags -> "SUNT"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["CA", RuleDelayed[ButtonData, "CA"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "CA"]], 
                 ", ", 
                 ButtonBox["CF", RuleDelayed[ButtonData, "CF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "CF"]], 
                 ", ", 
                 ButtonBox["SUND", RuleDelayed[ButtonData, "SUND"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUND"]]\
, ", ", 
                 ButtonBox["SUNDelta", RuleDelayed[ButtonData, "SUNDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNDelta"]], ", ", 
                 ButtonBox["SUNF", RuleDelayed[ButtonData, "SUNF"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "SUNF"]]\
, ", ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], "."}], "Text", 
               CellTags -> "SUNT"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "SUNT"], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNT[a]\)], "Input", 
                  CellLabel -> "In[1675]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[FormBox[SubscriptBox["T", FormBox["a", 
                      "TraditionalForm"]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1675]="]}, Open]], Cell[TextData[
                {"Since ", Cell[BoxData[\(TraditionalForm\`T\_a\)]], " is a \
noncommutative object, products have to separated by a dot (.)."}], "Text", 
               CellTags -> "SUNT"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUNT[a]\) .\ \(SUNT[b]\) .\ \(SUNT[c]\)\)], "Input", 
                  CellLabel -> "In[1676]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox["T", FormBox["a", 
                        "TraditionalForm"]], ".", SubscriptBox["T", FormBox[
                        "b", "TraditionalForm"]], ".", SubscriptBox["T", 
                       FormBox["c", "TraditionalForm"]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1676]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(SUNT[\(a, b, c, d\)]\)], 
                  "Input", CellLabel -> "In[1677]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[FormBox[RowBox[{SubscriptBox["T", FormBox["a", 
                        "TraditionalForm"]], SubscriptBox["T", FormBox["b", 
                        "TraditionalForm"]], SubscriptBox["T", FormBox["c", 
                        "TraditionalForm"]], SubscriptBox["T", FormBox["d", 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1677]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SUNSimplify[\(\(SUNT[\(a, b, a\)]\), 
                        \(SUNNToCACF \[Rule] False\)\)]\)], "Input", 
                  CellLabel -> "In[1678]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[FormBox[RowBox[{"-", FractionBox[SubscriptBox[
                        "T", FormBox[FormBox["b", "TraditionalForm"], 
                         "TraditionalForm"]], \(2\ N\)]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1678]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(SUNT[\(a, b, b, a\)]\)]\)], "Input", 
                  CellLabel -> "In[1679]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[\(TraditionalForm\`C\_F\%2\)], "Output", 
                  CellLabel -> "Out[1679]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SUNSimplify[\(SUNT[\(a, b, a\)]\)]\)], 
                  "Input", CellLabel -> "In[1680]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[FormBox[RowBox[{\(-\(1\/2\)\), " ", 
                      \((C\_A - \(2\ C\_F\))\), " ", SubscriptBox["T", 
                       FormBox[FormBox["b", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1680]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(SUNSimplify[\(\(SUNT[\(a, b, a\)]\), 
                        \(SUNNToCACF \[Rule] False\)\)]\)], "Input", 
                  CellLabel -> "In[1681]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[FormBox[RowBox[{"-", FractionBox[SubscriptBox[
                        "T", FormBox[FormBox["b", "TraditionalForm"], 
                         "TraditionalForm"]], \(2\ N\)]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1681]="]}, Open]], 
              Cell[TextData[{"The normalizaton of the generators is chosen in \
the standard way, therefore ", Cell[BoxData[
                   \(TraditionalForm\`\(\(tr(\(T\_a T\_b\))\)\ =\ 
                        \(\(1/2\)\ \(\[Delta]\_ab .\)\)\)\)]]}], "Text", 
               CellTags -> "SUNT"], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNTrace[\(SUNT[\(a, b\)]\)]\)], "Input", CellLabel -> 
                   "In[1682]:=", CellTags -> "SUNT"], Cell[BoxData[
                   FormBox[FractionBox[SubscriptBox["\[Delta]", RowBox[
                       {FormBox[FormBox["a", "TraditionalForm"], 
                         "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], "2"], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1682]="]}, 
                Open]], Cell[TextData[{"In case you want ", Cell[BoxData[
                   \(TraditionalForm\`T\_f\)]], 
                 ", you need to include a factor 2Tf inside the trace."}], 
               "Text", CellTags -> "SUNT"], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNTrace[\(2\ Tf\ \(SUNT[\(a, b\)]\)\)]\)], "Input", 
                  CellLabel -> "In[1683]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[FormBox[RowBox[{\(T\_f\), " ", SubscriptBox[
                       "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1683]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(SUNTrace[\(SUNT[\(a, b\)]\)]\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1684]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[
                   \(1\/2\ \(SUNDelta[\(\(SUNIndex[a]\), \(SUNIndex[b]\)\)]\)
                     \)], "Output", CellLabel -> 
                   "Out[1684]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(\(SUNT[a]\)//FCI\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1685]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[\(SUNT[\(SUNIndex[a]\)]\)], "Output", 
                  CellLabel -> "Out[1685]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(\(SUNT[a]\)//FCI\)//FCE\)//StandardForm\)], "Input", 
                  CellLabel -> "In[1686]:=", CellTags -> "SUNT"], 
                 Cell[BoxData[\(SUNT[a]\)], "Output", CellLabel -> 
                   "Out[1686]//StandardForm="]}, Open]]}, Open]], 
           Cell["SUNTrace", "ObjectName", CellTags -> "SUNTrace"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "SUNTrace"], Cell[
               "SUNTrace[expr] calculates the color-trace.", "Text", 
               CellTags -> "SUNTrace"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[SUNTrace]\)], "Input", CellLabel -> 
                   "In[1687]:=", CellTags -> "SUNTrace"], Cell[BoxData[
                   \(TraditionalForm\`\({Explicit \[Rule] False}\)\)], 
                  "Output", CellLabel -> "Out[1687]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["SUNSimplify", 
                   RuleDelayed[ButtonData, "SUNSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNSimplify"]], ", ", 
                 ButtonBox["Tr", RuleDelayed[ButtonData, "Tr"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr"]], 
                 "."}], "Text", CellTags -> "SUNTrace"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "SUNTrace"], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNTrace[\(SUNT[\(a, b\)]\)]\)], "Input", CellLabel -> 
                   "In[1688]:=", CellTags -> "SUNTrace"], Cell[BoxData[
                   FormBox[FractionBox[SubscriptBox["\[Delta]", RowBox[
                       {FormBox[FormBox["a", "TraditionalForm"], 
                         "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], "2"], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1688]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNTrace[\(SUNT[\(a, b, c\)]\)]\)], "Input", 
                  CellLabel -> "In[1689]:=", CellTags -> "SUNTrace"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[RowBox[
                        {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1689]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SUNTrace[\(\(SUNT[\(a, b, c\)]\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1690]:=", CellTags -> "SUNTrace"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[SubscriptBox["d", 
                        RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]], "4"], "+", RowBox[{\(1\/4\), 
                        " ", "\[ImaginaryI]", " ", SubscriptBox["f", RowBox[
                          {FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1690]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SUNTrace[\(SUNT[\(a, b, c, d\)]\)]\)], "Input", 
                  CellLabel -> "In[1691]:=", CellTags -> "SUNTrace"], 
                 Cell[BoxData[FormBox[RowBox[{"tr", "(", FormBox[RowBox[
                        {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1691]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(SUNTrace[\(\(SUNT[\(a, b, c, d\)]\), 
                          \(Explicit \[Rule] True\)\)]\)\)], "Input", 
                  CellLabel -> "In[1692]:=", CellTags -> "SUNTrace"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{\(1\/8\), " ", 
                        SubscriptBox["d", RowBox[{"e", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["d", 
                         RowBox[{"e", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/8\), 
                        " ", "\[ImaginaryI]", " ", SubscriptBox["f", RowBox[
                          {FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], "e"}]], 
                        " ", SubscriptBox["d", RowBox[{"e", FormBox[FormBox[
                          "b", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", RowBox[{\(1\/8\), 
                        " ", SubscriptBox["d", RowBox[{"e", FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["d", 
                         RowBox[{"e", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/8\), 
                        " ", SubscriptBox["d", RowBox[{"e", FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["d", 
                         RowBox[{"e", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", FractionBox[RowBox[
                        {SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(4\ N\)], "-", 
                      FractionBox[RowBox[{SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                         SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "b", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(4\ N\)], "+", 
                      FractionBox[RowBox[{SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                         SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "c", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(4\ N\)], "+", RowBox[{
                        \(1\/8\), " ", "\[ImaginaryI]", " ", SubscriptBox[
                         "d", RowBox[{"e", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                         RowBox[{FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"], "e"}]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1692]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(t1, \(Explicit \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1693]:=", CellTags -> 
                   "SUNTrace"], Cell[BoxData[FormBox[RowBox[{"tr", "(", 
                      FormBox[RowBox[{SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1693]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \(SUNTrace[\(\(SUNT[\(a, b, c, d, e\)]\), 
                          \(Explicit \[Rule] True\)\)]\)\)], "Input", 
                  CellLabel -> "In[1694]:=", CellTags -> "SUNTrace"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[
                        {SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                          {FractionBox[SubscriptBox["d", RowBox[{FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], "4"], "+", RowBox[{\(1\/4\), 
                          " ", "\[ImaginaryI]", " ", SubscriptBox["f", RowBox[
                          {FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], ")"}]}], \(2\ N\)], "+", 
                      RowBox[{\(1\/2\), " ", SubscriptBox["d", RowBox[
                          {"c120", FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                        RowBox[{"(", RowBox[{RowBox[{\(-\(1\/8\)\), " ", 
                          SubscriptBox["d", RowBox[{"c121", FormBox[FormBox[
                          "c", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["d", 
                          RowBox[{"c121", FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/8\), 
                          " ", SubscriptBox["d", RowBox[{"c121", FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["d", RowBox[{"c121", FormBox[FormBox[
                          "c120", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/8\), 
                          " ", SubscriptBox["d", RowBox[{"c121", FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["d", RowBox[{"c121", FormBox[FormBox[
                          "d", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", FractionBox[RowBox[
                          {SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "c", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(4\ N\)], "+", 
                          FractionBox[RowBox[{SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "c120", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(4\ N\)], "+", 
                          FractionBox[RowBox[{SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "d", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(4\ N\)], "+", RowBox[{
                          \(1\/8\), " ", "\[ImaginaryI]", " ", SubscriptBox[
                          "d", RowBox[{"c121", FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "c121"}]]}], "-", RowBox[{\(1\/8\), " ", 
                          "\[ImaginaryI]", " ", SubscriptBox["d", RowBox[
                          {"c121", FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"], "c121"}]]}]}], ")"}]}], "+", 
                      RowBox[{\(1\/2\), " ", "\[ImaginaryI]", " ", 
                        SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], "c120"}]], " ", RowBox[
                         {"(", RowBox[{RowBox[{\(-\(1\/8\)\), " ", 
                          SubscriptBox["d", RowBox[{"c122", FormBox[FormBox[
                          "c", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["d", 
                          RowBox[{"c122", FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/8\), 
                          " ", SubscriptBox["d", RowBox[{"c122", FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["d", RowBox[{"c122", FormBox[FormBox[
                          "c120", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{\(1\/8\), 
                          " ", SubscriptBox["d", RowBox[{"c122", FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["d", RowBox[{"c122", FormBox[FormBox[
                          "d", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "-", FractionBox[RowBox[
                          {SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "c", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(4\ N\)], "+", 
                          FractionBox[RowBox[{SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "c120", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(4\ N\)], "+", 
                          FractionBox[RowBox[{SubscriptBox["\[Delta]", RowBox[
                          {FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "d", "TraditionalForm"], "TraditionalForm"], 
                          FormBox[FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], \(4\ N\)], "+", RowBox[{
                          \(1\/8\), " ", "\[ImaginaryI]", " ", SubscriptBox[
                          "d", RowBox[{"c122", FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "c122"}]]}], "-", RowBox[{\(1\/8\), " ", 
                          "\[ImaginaryI]", " ", SubscriptBox["d", RowBox[
                          {"c122", FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["c120", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["e", "TraditionalForm"], 
                          "TraditionalForm"], "c122"}]]}]}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1694]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(t2, \(Explicit \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1695]:=", CellTags -> 
                   "SUNTrace"], Cell[BoxData[FormBox[RowBox[{"tr", "(", 
                      FormBox[RowBox[{SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         SubscriptBox["T", FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]]}], 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1695]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUNF[\(a, b, c\)]\)\ 
                        \(SUND[\(d, b, c\)]\)\)]\)], "Input", CellLabel -> 
                   "In[1696]:=", CellTags -> "SUNTrace"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1696]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUNF[\(a, b, c\)]\)\ 
                        \(SUND[\(a, b, d\)]\)\)]\)], "Input", CellLabel -> 
                   "In[1697]:=", CellTags -> "SUNTrace"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1697]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUNF[\(a, b, c\)]\)\ 
                        \(SUND[\(a, d, c\)]\)\)]\)], "Input", CellLabel -> 
                   "In[1698]:=", CellTags -> "SUNTrace"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1698]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SUNSimplify[\(\(SUND[\(a, b, c\)]\)\ 
                        \(SUND[\(d, b, c\)]\)\)]\)], "Input", CellLabel -> 
                   "In[1699]:=", CellTags -> "SUNTrace"], Cell[BoxData[
                   FormBox[RowBox[{\(-\((4 - C\_A\%2)\)\), " ", 
                      \((C\_A - \(2\ C\_F\))\), " ", SubscriptBox["\[Delta]", 
                       RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1699]="]}, 
                Open]]}, Open]], Cell["SymbolicSum2", "ObjectName", 
            CellTags -> "SymbolicSum2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "SymbolicSum2"], Cell["SymbolicSum2 is similar to SymbolicSum \
(Algegra`SymbolicSum`SymbolicSum was a function to do symbolic summation. It \
was obsolete from version 3 - all functionality is now autoloaded by Sum), \
but extended to several double sums.", "Text", CellTags -> "SymbolicSum2"]}, 
             Open]], Cell["SymbolicSum3", "ObjectName", CellTags -> 
             "SymbolicSum3"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "SymbolicSum3"], 
              Cell["SymbolicSymbolicSum3 is similar to SymbolicSum \
(Algegra`SymbolicSum`SymbolicSum was a function to do symbolic summation. It \
was obsolete from version 3 - all functionality is now autoloaded by Sum), \
but extended to several double sums.", "Text", CellTags -> "SymbolicSum3"]}, 
             Open]], Cell["Symmetrize", "ObjectName", CellTags -> 
             "Symmetrize"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "Symmetrize"], Cell["Symmetrize[e\
xpr, {a1, a2, ...}] antisymmetrizes expr with respect to the variables a1,a2, \
... ", "Text", CellTags -> "Symmetrize"], Cell[TextData[{"See also: ", 
                 ButtonBox["AntiSymmetrize", 
                   RuleDelayed[ButtonData, "AntiSymmetrize"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "AntiSymmetrize"]], "."}], "Text", 
               CellTags -> "Symmetrize"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Symmetrize"], Cell[CellGroupData[{Cell[BoxData[
                   \(Symmetrize[\(\(f[\(a, b\)]\), \({a, b}\)\)]\)], "Input", 
                  CellLabel -> "In[1700]:=", CellTags -> "Symmetrize"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(1\/2\ 
                        \((\(f(\(a, b\))\) + \(f(\(b, a\))\))\)\)\)], 
                  "Output", CellLabel -> "Out[1700]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Symmetrize[\(\(f[\(x, y, z\)]\), \({x, y, z}\)\)]\)], 
                  "Input", CellLabel -> "In[1701]:=", CellTags -> 
                   "Symmetrize"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/6\ 
                        \((\(f(\(x, y, z\))\) + \(f(\(x, z, y\))\) + 
                           \(f(\(y, x, z\))\) + \(f(\(y, z, x\))\) + 
                           \(f(\(z, x, y\))\) + \(f(\(z, y, x\))\))\)\)\)], 
                  "Output", CellLabel -> "Out[1701]="]}, Open]]}, Open]], 
           Cell["TBox, Tbox", "ObjectName", CellTags -> {"TBox", "Tbox"}], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> {"TBox", "Tbox"}], Cell["TBox[a, b, ...] or \
Tbox[a, b, ...] produces a RowBox[{a,b, ...}] where a, b, ... are boxed in \
TraditionalForm. TBox and Tbox are used internally by FeynCalc to produce the \
typeset output in TraditionalForm", "Text", CellTags -> {"TBox", "Tbox"}]}, 
             Open]], Cell["Tdec", "ObjectName", CellTags -> "Tdec"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Tdec"], Cell["Tdec[{q,mu}, {p}]; Tdec[{{qi, mu}, \
{qj, nu}, ...}, {p1, p2, ...}] or Tdec[exp, {{qi, mu}, {qj, nu}, ...}, {p1, \
p2, ...}] calculates the tensorial decomposition formulas. The more common \
ones are saved in TIDL.", "Text", CellTags -> "Tdec"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[Tdec]\)], "Input", CellLabel -> 
                   "In[1702]:=", CellTags -> "Tdec"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(Factoring \[Rule] Factor2\), 
                         \(FeynCalcExternal \[Rule] True\), 
                         \(List \[Rule] True\), 
                         \(NumberOfMetricTensors \[Rule] \[Infinity]\)}\)\)], 
                  "Output", CellLabel -> "Out[1702]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["TID", RuleDelayed[ButtonData, "TID"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TID"]], 
                 ", ", 
                 ButtonBox["TIDL", RuleDelayed[ButtonData, "TIDL"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TIDL"]]\
, ", ", 
                 ButtonBox["OneLoopSimplify", 
                   RuleDelayed[ButtonData, "OneLoopSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSimplify"]], "."}], "Text", 
               CellTags -> "Tdec"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Tdec"], 
              Cell[TextData[{"Check that ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\[Integral] 
                          \(d\^D \(f(\(p, q\))\) q\^\[Mu]\)\) =\ 
                        \(p\^\[Mu]\/p\^2 \(
                           \[Integral] \(d\^D \(f(\(p, q\))\) 
                              \(p \[CenterDot] q\)\)\)\)\)\)]]}], "Text", 
               CellTags -> "Tdec"], Cell[CellGroupData[{Cell[BoxData[
                   \(Tdec[\(\({q, \[Mu]}\), \({p}\)\)]\)], "Input", 
                  CellLabel -> "In[1703]:=", CellTags -> "Tdec"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{RowBox[{"{", 
                          RowBox[{\(X1 \[Rule] m\^2\), ",", RowBox[{"X2", 
                          "\[Rule]", FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"]}]}], 
                          "}"}], ",", \(\(X2\ p\^\[Mu]\)\/X1\)}], "}"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1703]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(%[\([2]\)]\)/.\(%[\([1]\)]\)\)], "Input", CellLabel -> 
                   "In[1704]:=", CellTags -> "Tdec"], Cell[BoxData[
                   FormBox[FractionBox[RowBox[{\(p\^\[Mu]\), " ", FormBox[
                        RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                        "TraditionalForm"]}], \(m\^2\)], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1704]="]}, Open]], 
              Cell[TextData[
                {"This calculates integral transformation for any ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Integral] 
                        \(d\^D q\_1 d\^D q\_2 d\^D q\_3\)\)\)]], " ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(f(\(p, \(q\_\(1,\) q\_2\), q\_3\))
                         \)\ q\_1\%\[Mu] q\_2\%\[Nu] q\_3\%\[Rho]\)\)]], 
                 "."}], "Text", CellTags -> "Tdec"], Cell[BoxData[
                \(\(t = \(Tdec[\(\({\({q\_1, \[Mu]}\), \({q\_2, \[Nu]}\), 
                            \({q\_3, \[Rho]}\)}\), \({p}\)\)]\)\) ;\)], 
               "Input", CellLabel -> "In[1705]:=", CellTags -> "Tdec"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(t[\([2]\)]\)/.\(t[\([1]\)]\)\)], "Input", CellLabel -> 
                   "In[1706]:=", CellTags -> "Tdec"], Cell[BoxData[
                   FormBox[RowBox[{FractionBox[RowBox[{\((1 - D\^2)\), " ", 
                         \(p\^\[Rho]\), " ", \(g\^\(\[Mu]\[Nu]\)\), " ", 
                         FormBox[RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(q\_3\), 
                          "TraditionalForm"]}], "TraditionalForm"], " ", 
                         RowBox[{"(", RowBox[{RowBox[{FormBox[RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_1\), "TraditionalForm"]}], 
                          "TraditionalForm"], " ", FormBox[RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(q\_2\), "TraditionalForm"]}], 
                          "TraditionalForm"]}], "-", RowBox[{\(m\^2\), " ", 
                          FormBox[RowBox[{FormBox[\(q\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"]}]}], 
                          ")"}]}], \(\((1 - D)\)\^2\ \((D + 1)\)\ m\^4\)], 
                      "+", FractionBox[RowBox[{\((1 - D\^2)\), " ", 
                         \(p\^\[Nu]\), " ", \(g\^\(\[Mu]\[Rho]\)\), " ", 
                         FormBox[RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(q\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], " ", 
                         RowBox[{"(", RowBox[{RowBox[{FormBox[RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_1\), "TraditionalForm"]}], 
                          "TraditionalForm"], " ", FormBox[RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(q\_3\), "TraditionalForm"]}], 
                          "TraditionalForm"]}], "-", RowBox[{\(m\^2\), " ", 
                          FormBox[RowBox[{FormBox[\(q\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_3\)
                          , "TraditionalForm"]}], "TraditionalForm"]}]}], 
                          ")"}]}], \(\((1 - D)\)\^2\ \((D + 1)\)\ m\^4\)], 
                      "+", FractionBox[RowBox[{\((1 - D\^2)\), " ", 
                         \(p\^\[Mu]\), " ", \(g\^\(\[Nu]\[Rho]\)\), " ", 
                         FormBox[RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(q\_1\), 
                          "TraditionalForm"]}], "TraditionalForm"], " ", 
                         RowBox[{"(", RowBox[{RowBox[{FormBox[RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_2\), "TraditionalForm"]}], 
                          "TraditionalForm"], " ", FormBox[RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(q\_3\), "TraditionalForm"]}], 
                          "TraditionalForm"]}], "-", RowBox[{\(m\^2\), " ", 
                          FormBox[RowBox[{FormBox[\(q\_2\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_3\)
                          , "TraditionalForm"]}], "TraditionalForm"]}]}], 
                          ")"}]}], \(\((1 - D)\)\^2\ \((D + 1)\)\ m\^4\)], 
                      "-", FractionBox[RowBox[{\((1 - D\^2)\), " ", 
                         \(p\^\[Mu]\), " ", \(p\^\[Nu]\), " ", \(p\^\[Rho]\), 
                         " ", RowBox[{"(", RowBox[{RowBox[{RowBox[{"-", 
                          RowBox[{"(", FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_3\)
                          , "TraditionalForm"]}], "TraditionalForm"], 
                          ")"}]}], " ", FormBox[RowBox[{FormBox[\(q\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], " ", 
                          \(m\^2\)}], "-", RowBox[{FormBox[RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(q\_2\), "TraditionalForm"]}], "TraditionalForm"], 
                          " ", FormBox[RowBox[{FormBox[\(q\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_3\)
                          , "TraditionalForm"]}], "TraditionalForm"], " ", 
                          \(m\^2\)}], "-", RowBox[{FormBox[RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(q\_1\), "TraditionalForm"]}], "TraditionalForm"], 
                          " ", FormBox[RowBox[{FormBox[\(q\_2\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_3\)
                          , "TraditionalForm"]}], "TraditionalForm"], " ", 
                          \(m\^2\)}], "+", RowBox[{"D", " ", FormBox[RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_1\), "TraditionalForm"]}], 
                          "TraditionalForm"], " ", FormBox[RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(q\_2\), "TraditionalForm"]}], "TraditionalForm"], 
                          " ", FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_3\)
                          , "TraditionalForm"]}], "TraditionalForm"]}], "+", 
                          RowBox[{"2", " ", FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], " ", 
                          FormBox[RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(q\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], " ", 
                          FormBox[RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(q\_3\), 
                          "TraditionalForm"]}], "TraditionalForm"]}]}], 
                          ")"}]}], \(\((1 - D)\)\^2\ \((D + 1)\)\ m\^6\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1706]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Contract[\(\(%\ \(FVD[\(p, \[Mu]\)]\)\) 
                          \(FVD[\(p, \[Nu]\)]\)\ \(FVD[\(p, \[Rho]\)]\)\)]\)\
//Factor\)], "Input", CellLabel -> "In[1707]:=", CellTags -> "Tdec"], 
                 Cell[BoxData[FormBox[RowBox[{\(1\/\(\((D - 1)\)\ m\^6\)\), 
                      RowBox[{"(", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "4"], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(q\_3\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[\(q\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(q\_2\), "TraditionalForm"]}], " ", \(m\^4\)}], 
                          "+", RowBox[{RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_2\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(q\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_3\), "TraditionalForm"]}], " ", 
                          \(m\^4\)}], "+", RowBox[{RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_1\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(q\_2\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_3\), "TraditionalForm"]}], " ", 
                          \(m\^4\)}], "-", RowBox[{"3", " ", RowBox[{FormBox[
                          "p", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(q\_1\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_2\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_3\), "TraditionalForm"]}], " ", 
                          \(m\^2\)}], "-", RowBox[{SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_3\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox[\(q\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(q\_2\), 
                          "TraditionalForm"]}], " ", \(m\^2\)}], "-", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], " ", RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(q\_2\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[\(q\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(q\_3\), "TraditionalForm"]}], " ", \(m\^2\)}], 
                          "-", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_1\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(q\_2\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_3\), "TraditionalForm"]}], " ", 
                          \(m\^2\)}], "+", RowBox[{"D", " ", SuperscriptBox[
                          FormBox["p", "TraditionalForm"], "2"], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_1\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_2\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(q\_3\), "TraditionalForm"]}]}], "+", 
                          RowBox[{"2", " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_1\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_2\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(q\_3\)
                          , "TraditionalForm"]}]}]}], ")"}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1707]="]}, 
                Open]], Cell[BoxData[\(\(Clear[t]\) ;\)], "Input", 
               CellLabel -> "In[1708]:=", CellTags -> "Tdec"]}, Open]], 
           Cell["TensorFunction", "ObjectName", CellTags -> 
             "TensorFunction"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "TensorFunction"], 
              Cell["Tensorfunction[t, mu, nu, ...] transform into \
t[LorentzIndex[mu], LorentzIndex[nu], ...], i.e., it can be used as an \
unspecified tensoriell function t. A symmetric tensor can be obtained by \
Tensorfunction[{t, \"S\"}, mu, nu, ...], and an antisymmteric one by \
Tensorfunction[{t, \"A\"}, mu, nu, ...].", "Text", CellTags -> 
                "TensorFunction"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Symmetrize", RuleDelayed[ButtonData, 
                    "Symmetrize"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Symmetrize"]], "."}], "Text", 
               CellTags -> "TensorFunction"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "TensorFunction"], Cell[CellGroupData[{Cell[BoxData[
                   \(Tensorfunction[\(t, \[Mu], \[Nu], \[Tau]\)]\)], "Input", 
                  CellLabel -> "In[1709]:=", CellTags -> "TensorFunction"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(Tensorfunction(
                        \(t, \[Mu], \[Nu], \[Tau]\))\)\)], "Output", 
                  CellLabel -> "Out[1709]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1710]:=", CellTags -> "TensorFunction"], Cell[BoxData[
                   \(Tensorfunction[\(t, \[Mu], \[Nu], \[Tau]\)]\)], 
                  "Output", CellLabel -> "Out[1710]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Contract[\(\(FV[\(p, \[Mu]\)]\)\ %\)]\)], "Input", 
                  CellLabel -> "In[1711]:=", CellTags -> "TensorFunction"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox[FormBox["p", 
                        "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      \(Tensorfunction(t, \[Mu], \[Nu], \[Tau])\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1711]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[1712]:=", CellTags -> 
                   "TensorFunction"], Cell[BoxData[
                   \(\(Pair[\(\(LorentzIndex[\[Mu]]\), \(Momentum[p]\)\)]\)\ 
                      \(Tensorfunction[\(t, \[Mu], \[Nu], \[Tau]\)]\)\)], 
                  "Output", CellLabel -> "Out[1712]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Tensorfunction[\(\({f, "S"}\), \[Alpha], \[Beta]\)]\)], 
                  "Input", CellLabel -> "In[1713]:=", CellTags -> 
                   "TensorFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(Tensorfunction(
                        \(\({f, "S"}\), \[Alpha], \[Beta]\))\)\)], "Output", 
                  CellLabel -> "Out[1713]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Tensorfunction[\(\({f, "S"}\), \[Beta], \[Alpha]\)]\)], 
                  "Input", CellLabel -> "In[1714]:=", CellTags -> 
                   "TensorFunction"], Cell[BoxData[
                   \(TraditionalForm\`\(Tensorfunction(
                        \(\({f, "S"}\), \[Beta], \[Alpha]\))\)\)], "Output", 
                  CellLabel -> "Out[1714]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1715]:=", CellTags -> "TensorFunction"], Cell[BoxData[
                   \(Tensorfunction[\(\({f, "S"}\), \[Beta], \[Alpha]\)]\)], 
                  "Output", CellLabel -> "Out[1715]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(Attributes[f]\)], 
                  "Input", CellLabel -> "In[1716]:=", CellTags -> 
                   "TensorFunction"], Cell[BoxData[\(TraditionalForm\`\({}\)\)
                   ], "Output", CellLabel -> "Out[1716]="]}, Open]], 
              Cell[BoxData[\(ClearAttributes[\(f, Orderless\)]\)], "Input", 
               CellLabel -> "In[1717]:=", CellTags -> "TensorFunction"]}, 
             Open]], Cell["Tf", "ObjectName", CellTags -> "Tf"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Tf"], Cell[TextData[{"Tf is the color factor ", 
                 Cell[BoxData[\(TraditionalForm\`T\_f\)]], 
                 ". It is 1/2 for SU(", 
                 StyleBox["N", Rule[FontSlant, "Italic"]], ")."}], "Text", 
               CellTags -> "Tf"], Cell[TextData[{"See also: ", 
                 ButtonBox["Tr2", RuleDelayed[ButtonData, "Tr2"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr2"]], 
                 ", ", 
                 ButtonBox["GluonPropagator", 
                   RuleDelayed[ButtonData, "GluonPropagator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonPropagator"]], ", ", 
                 ButtonBox["GluonSelfEnergy", 
                   RuleDelayed[ButtonData, "GluonSelfEnergy"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "GluonSelfEnergy"]], "."}], "Text", 
               CellTags -> "Tf"]}, Open]], Cell["TFi", "ObjectName", 
            CellTags -> "TFi"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "TFi"], Cell[CellGroupData[
                {Cell[BoxData[\(? TFi\)], "Input", CellLabel -> 
                   "In[1718]:="], Cell[BoxData[
                   \(TraditionalForm\`\(\(Information :: "notfound"\) \(:\ \)
                        "Symbol \!\(TraditionalForm\`\"TFi\"\) not found."\)\
\)], "Message"]}, Open]], Cell["TFi[d, pp, \
{{n1,m1},{n2,m2},{n3,m3},{n4,m4},{n5,m5}}] is the 2-loop d-dimensional \
integral 1/( (q1^2 - m1^2)^n1 (q2^2 - m2^2)^n2 ((q1-p)^2 - m3^2)^n3 \
*((q2-p)^2 - m4^2)^n4 * ((q1-q2)^2 - m5^2)^n5 ) . TFi[d, pp, {x,y,z,v,w}, \
{{n1,m1},{n2,m2},{n3,m3},{n4,m4},{n5,m5}}] has as additional factors in the \
numerator (q1^2)^x*(q2^2)^y*(q1.p)^z* (q2.p)^v*(q1.q2)^w. TFi[d, pp, dp, \
{a,b}, {{n1,m1},{n2,m2},{n3,m3},{n4,m4},{n5,m5}}] has as additional factors \
in the numerator (OPEDelta.q1)^a * (OPEDelta.q2)^b; dp is (OPEDelta.p).", 
               "Text", CellTags -> "TFi"], Cell[TextData[
                {"TFi is similar to TFI from the TARCER package, see ", " ", 
                 ButtonBox["hep-ph/9801383.", 
                   RuleDelayed[ButtonData, 
                    List[URL["http://xxx.lanl.gov/abs/hep-ph/9801383"], 
                     None]], Rule[ButtonStyle, "Hyperlink"]]}], "Text", 
               CellTags -> "TFi"], Cell["The function TarcerRecurse from the \
TARCER package recognize TFi (as well as TFI, which is defined in the \
HighEnergyPhysics`Tarcer` context).", "Text", CellTags -> "TFi"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["ToTFi", RuleDelayed[ButtonData, "ToTFi"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "ToTFi"]], ", ", 
                 ButtonBox["FromTFi", RuleDelayed[ButtonData, "FromTFi"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FromTFi"]], "."}], "Text", CellTags -> 
                "TFi"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "TFi"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(TFi[\(D, \(M^2\), \({\({2, m1}\), \({1, m2}\), 
                           \({3, m3}\), \({1, m4}\), \({1, m5}\)}\)\)]\)], 
                  "Input", CellLabel -> "In[1719]:=", CellTags -> "TFi"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(TFi(
                        \(D, M\^2, \((\[NoBreak] 
                            \*GridBox[{{"2", "m1"}, {"1", "m2"}, 
                               {"3", "m3"}, {"1", "m4"}, {"1", "m5"}}] 
                            \[NoBreak])\)\))\)\)], "Output", CellLabel -> 
                   "Out[1719]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(TFi[\(D, \(M^2\), \({\({2, M}\), 1, 1, 1, 1}\)\)]\)], 
                  "Input", CellLabel -> "In[1720]:=", CellTags -> "TFi"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(TFi(
                        \(D, M\^2, \({\({2, M}\), 1, 1, 1, 1}\)\))\)\)], 
                  "Output", CellLabel -> "Out[1720]="]}, Open]]}, Open]], 
           Cell["ThreeVector", "ObjectName", CellTags -> "ThreeVector"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ThreeVector"], Cell[
               "ThreeVector[p] is the three dimensional vector p.", "Text", 
               CellTags -> "ThreeVector"], Cell[TextData[{"See also: ", 
                 ButtonBox["DotProduct", RuleDelayed[ButtonData, 
                    "DotProduct"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotProduct"]], ", ", 
                 ButtonBox["CrossProduct", 
                   RuleDelayed[ButtonData, "CrossProduct"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "CrossProduct"]], "."}], "Text", 
               CellTags -> "ThreeVector"]}, Open]], Cell["TID", "ObjectName", 
            CellTags -> "TID"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "TID"], 
              Cell["TID[amp,q] performs a tensorial decomposition.", "Text", 
               CellTags -> "TID"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[TID]\)], "Input", CellLabel -> "In[1721]:=", 
                  CellTags -> "TID"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Collecting \[Rule] True\), 
                         \(Contract \[Rule] False\), \(Dimension \[Rule] D\),
                          \(ChangeDimension \[Rule] D\), 
                         \(DimensionalReduction \[Rule] False\), 
                         \(FeynAmpDenominatorCombine \[Rule] True\), 
                         \(FeynAmpDenominatorSimplify \[Rule] False\), 
                         \(Isolate \[Rule] False\), 
                         \(ScalarProductCancel \[Rule] False\)}\)\)], 
                  "Output", CellLabel -> "Out[1721]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OneLoopSimplify", 
                   RuleDelayed[ButtonData, "OneLoopSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSimplify"]], ", ", 
                 ButtonBox["TIDL", RuleDelayed[ButtonData, "TIDL"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TIDL"]]\
, "."}], "Text", CellTags -> "TID"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "TID"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(FAD[\(k,\ \(k\ -\ p\_1\),\ \(k\ -\ p\_2\)\)]\) 
                        \(FVD[\(k, \[Mu]\)]\)\)//FCI\)], "Input", 
                  CellLabel -> "In[1722]:=", CellTags -> "TID"], 
                 Cell[BoxData[FormBox[FractionBox[SuperscriptBox[FormBox["k", 
                       "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                        "TraditionalForm"], "TraditionalForm"]], 
                     \(k\^2 . \((k - p\_1)\)\^2 . \((k - p\_2)\)\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1722]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Factor/@\(TID[\(%, k\)]\)\)//FCE\)], "Input", 
                  CellLabel -> "In[1723]:=", CellTags -> "TID"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{FormBox[
                          \(1\/\(\((\*InterpretationBox[\(
                                    "["\[InvisibleSpace] k\^2 
                                     \[InvisibleSpace]"]"\), 
                                   SequenceForm["[", Power[k, 2], "]"], 
                                   Rule[Editable, False]])\)\ 
                               \((\*InterpretationBox[\(
                                    "["\[InvisibleSpace] \((k - p\_1)\)\^2 
                                     \[InvisibleSpace]"]"\), 
                                   SequenceForm["[", 
                                    Power[Plus[k, 
                                      Times[-1, Subscript[p, 1]]], 2], "]"], 
                                   Rule[Editable, False]])\)\ 
                               \((\*InterpretationBox[\(
                                    "["\[InvisibleSpace] \((k - p\_2)\)\^2 
                                     \[InvisibleSpace]"]"\), 
                                   SequenceForm["[", 
                                    Power[Plus[k, 
                                      Times[-1, Subscript[p, 2]]], 2], "]"], 
                                   Rule[Editable, False]])\)\)\), 
                          "TraditionalForm"], " ", FormBox[RowBox[{FormBox[
                          "k", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}], "TraditionalForm"], 
                         " ", RowBox[{"(", RowBox[{RowBox[{SubsuperscriptBox[
                          "p", FormBox["2", "TraditionalForm"], "\[Mu]"], 
                          " ", FormBox[\(p\_1\%2\), "TraditionalForm"]}], 
                          "-", FractionBox[RowBox[{"s", " ", 
                          SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], "\[Mu]"]}], "2"]}], ")"}]}], 
                       RowBox[{RowBox[{FormBox[\(p\_1\%2\), 
                          "TraditionalForm"], " ", FormBox[\(p\_2\%2\), 
                          "TraditionalForm"]}], "-", \(s\^2\/4\)}]], "+", 
                      FractionBox[RowBox[{FormBox[
                          \(1\/\(\((\*InterpretationBox[\(
                                    "["\[InvisibleSpace] k\^2 
                                     \[InvisibleSpace]"]"\), 
                                   SequenceForm["[", Power[k, 2], "]"], 
                                   Rule[Editable, False]])\)\ 
                               \((\*InterpretationBox[\(
                                    "["\[InvisibleSpace] \((k - p\_1)\)\^2 
                                     \[InvisibleSpace]"]"\), 
                                   SequenceForm["[", 
                                    Power[Plus[k, 
                                      Times[-1, Subscript[p, 1]]], 2], "]"], 
                                   Rule[Editable, False]])\)\ 
                               \((\*InterpretationBox[\(
                                    "["\[InvisibleSpace] \((k - p\_2)\)\^2 
                                     \[InvisibleSpace]"]"\), 
                                   SequenceForm["[", 
                                    Power[Plus[k, 
                                      Times[-1, Subscript[p, 2]]], 2], "]"], 
                                   Rule[Editable, False]])\)\)\), 
                          "TraditionalForm"], " ", FormBox[RowBox[{FormBox[
                          "k", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_1\), "TraditionalForm"]}], "TraditionalForm"], 
                         " ", RowBox[{"(", RowBox[{FractionBox[RowBox[{"s", 
                          " ", SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], "\[Mu]"]}], "2"], "-", RowBox[
                          {SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], "\[Mu]"], " ", FormBox[
                          \(p\_2\%2\), "TraditionalForm"]}]}], ")"}]}], 
                       RowBox[{\(s\^2\/4\), "-", RowBox[{FormBox[\(p\_1\%2\), 
                          "TraditionalForm"], " ", FormBox[\(p\_2\%2\), 
                          "TraditionalForm"]}]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1723]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(FAD[\(k,\ \(k\ -\ p\)\)]\) \(FVD[\(k, \[Mu]\)]\)\)//
                      FCI\)], "Input", CellLabel -> "In[1724]:=", CellTags -> 
                   "TID"], Cell[BoxData[FormBox[FractionBox[SuperscriptBox[
                      FormBox["k", "TraditionalForm"], FormBox[FormBox[
                        "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                     \(k\^2 . \((k - p)\)\^2\)], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1724]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(TID[\(%, k\)]\)], "Input", CellLabel -> 
                   "In[1725]:=", CellTags -> "TID"], Cell[BoxData[FormBox[
                    FractionBox[RowBox[{SuperscriptBox[FormBox["p", 
                         "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                       RowBox[{FormBox["k", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["p", "TraditionalForm"]}]}], 
                     RowBox[{\(k\^2 . \((k - p)\)\^2\), " ", SuperscriptBox[
                        FormBox["p", "TraditionalForm"], "2"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1725]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(TID[\(%%, k, \(FeynAmpDenominatorSimplify \[Rule] True\)
                       \)]\)], "Input", CellLabel -> "In[1726]:=", 
                  CellTags -> "TID"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{SuperscriptBox[FormBox["p", "TraditionalForm"], 
                        FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                         "TraditionalForm"]], " ", RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], RowBox[{
                       \(k\^2 . \((k - p)\)\^2\), " ", SuperscriptBox[
                        FormBox["p", "TraditionalForm"], "2"]}]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1726]="]}, 
                Open]]}, Open]], Cell["TIDL", "ObjectName", 
            CellTags -> "TIDL"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "TIDL"], 
              Cell[" TIDL is a database of tensorial reduction formalae.", 
               "Text", CellTags -> "TIDL"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["TID", RuleDelayed[ButtonData, "TID"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TID"]]}]\
, "Text", CellTags -> "TIDL"]}, Open]], Cell["Examples", "Subsubsection", 
            CellTags -> "TIDL"], Cell[CellGroupData[
             {Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(B\_\[Mu] - type\)\)]]], 
               "Subsubsection", CellTags -> "TIDL"], Cell[TextData[
                {"In any n-dimensional integral ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Integral] 
                        \(d\^n \[NegativeVeryThinSpace] q\^\[Mu]\ 
                          \(f(\(q, p\))\)\ the\ q\^\[Mu]\)\ \)\)]], 
                 "can be replaced by"}], "Text", CellTags -> "TIDL"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TIDL[\(\({q, \[Mu]}\), \({p}\)\)]\)], "Input", 
                  CellLabel -> "In[1727]:=", CellTags -> "TIDL"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{SuperscriptBox[
                        FormBox["p", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                       " ", RowBox[{FormBox["p", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["q", "TraditionalForm"]}]}], 
                     SuperscriptBox[FormBox["p", "TraditionalForm"], "2"]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1727]="]}, 
                Open]]}, Open]], Cell[CellGroupData[
             {Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(B\_\[Mu]\[Nu] - type\)\)]]], 
               "Subsubsection", CellTags -> "TIDL"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(TIDL[\(\({\({q, \[Mu]}\), \({q, \[Nu]}\)}\), \({p}\)\)]
                     \)], "Input", CellLabel -> "In[1728]:=", CellTags -> 
                   "TIDL"], Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[{
                         \(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          "-", RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"], " ", SuperscriptBox[
                          FormBox["q", "TraditionalForm"], "2"]}]}], ")"}]}], 
                       RowBox[{\((1 - D)\), " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}]], "-", FractionBox[
                       RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{"D", " ", SuperscriptBox[FormBox[RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}], "-", RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          "2"], " ", SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], "2"]}]}], ")"}]}], RowBox[{
                         \((1 - D)\), " ", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "4"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1728]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(C\_\[Mu] - type\)\)]]], 
               "Subsubsection", CellTags -> "TIDL"], Cell[CellGroupData[
                {Cell[BoxData[\(TIDL[\(\({q, \[Mu]}\), \({p\_1, p\_2}\)\)]\)]
                   , "Input", CellLabel -> "In[1729]:=", CellTags -> "TIDL"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[
                        {RowBox[{SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_1\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}]}], "-", RowBox[
                          {SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], " ", \(p\_1\%2\)}]}], 
                       RowBox[{SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}], "TraditionalForm"], 
                          "2"], "-", \(p\_1\%2\ p\_2\%2\)}]], "+", 
                      FractionBox[RowBox[{RowBox[{SubsuperscriptBox["p", 
                          FormBox["1", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}]}], "-", RowBox[
                          {SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_1\), 
                          "TraditionalForm"]}], " ", \(p\_2\%2\)}]}], 
                       RowBox[{SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}], "TraditionalForm"], 
                          "2"], "-", \(p\_1\%2\ p\_2\%2\)}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1729]="]}, 
                Open]]}, Open]], Cell[CellGroupData[
             {Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(C\_\[Mu]\[Nu] - type\)\)]]], 
               "Subsubsection", CellTags -> "TIDL"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(TIDL[\(\({\({q, \[Mu]}\), \({q, \[Nu]}\)}\), 
                        \({p\_1, p\_2}\)\)]\)], "Input", CellLabel -> 
                   "In[1730]:=", CellTags -> "TIDL"], Cell[BoxData[
                   FormBox[RowBox[{FractionBox[RowBox[{\(g\^\(\[Mu]\[Nu]\)\), 
                         " ", RowBox[{"(", RowBox[{RowBox[{\(p\_2\%2\), " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{"2", " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_1\), "TraditionalForm"]}]}], "+", 
                          RowBox[{SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], "2"], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "+", RowBox[{SuperscriptBox[FormBox[RowBox[{FormBox[
                          "q", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}], "TraditionalForm"], 
                          "2"], " ", \(p\_1\%2\)}], "-", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          "2"], " ", \(p\_1\%2\), " ", \(p\_2\%2\)}]}], 
                          ")"}]}], RowBox[{\((D - 2)\), " ", RowBox[{"(", 
                          RowBox[{SuperscriptBox[FormBox[RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], 
                          "TraditionalForm"], "2"], "-", \(p\_1\%2\ p\_2\%2\)}
                          ], ")"}]}]], "+", FractionBox[RowBox[
                        {SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         RowBox[{"(", RowBox[{RowBox[{"D", " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{"2", " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "+", RowBox[{\(p\_1\%2\), " ", \(p\_2\%2\), " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{"2", " ", "D", " ", RowBox[{FormBox[
                          "q", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}], " ", \(p\_1\%2\), 
                          " ", RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}]}], "+", RowBox[{"2", " ", 
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], " ", \(p\_1\%2\), " ", RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}]}], "+", RowBox[{"D", " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_1\%4\)}], "-", RowBox[{SuperscriptBox[
                          FormBox[RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_1\%4\)}], "+", RowBox[{SuperscriptBox[
                          FormBox["q", "TraditionalForm"], "2"], " ", 
                          \(p\_1\%2\), " ", SuperscriptBox[FormBox[RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], "2"], " ", \(p\_1\%4\), " ", 
                          \(p\_2\%2\)}]}], ")"}]}], RowBox[{\((D - 2)\), " ", 
                         SuperscriptBox[RowBox[{"(", RowBox[{SuperscriptBox[
                          FormBox[RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          "-", \(p\_1\%2\ p\_2\%2\)}], ")"}], "2"]}]], "+", 
                      RowBox[{FractionBox["1", RowBox[{\((D - 2)\), " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{SuperscriptBox[
                          FormBox[RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          "-", \(p\_1\%2\ p\_2\%2\)}], ")"}], "2"]}]], 
                        RowBox[{"(", RowBox[{SubsuperscriptBox["p", FormBox[
                          "2", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{"(", RowBox[{RowBox[{RowBox[{"-", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          "2"]}], " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], 
                          "TraditionalForm"], "3"]}], "+", RowBox[{"D", " ", 
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_1\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{"D", " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_1\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "+", RowBox[
                          {SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_1\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "-", RowBox[{"D", " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_2\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "+", RowBox[
                          {SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_2\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "+", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          "2"], " ", \(p\_1\%2\), " ", \(p\_2\%2\), " ", 
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "+", RowBox[{"D", " ", 
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_1\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], " ", \(p\_1\%2\), " ", 
                          \(p\_2\%2\)}], "-", RowBox[{"2", " ", RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_1\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], " ", 
                          \(p\_1\%2\), " ", \(p\_2\%2\)}]}], ")"}]}], 
                          ")"}]}], "+", RowBox[{FractionBox["1", RowBox[{
                          \((D - 2)\), " ", SuperscriptBox[RowBox[{"(", 
                          RowBox[{SuperscriptBox[FormBox[RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], 
                          "TraditionalForm"], "2"], "-", \(p\_1\%2\ p\_2\%2\)}
                          ], ")"}], "2"]}]], RowBox[{"(", RowBox[
                          {SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{"(", RowBox[{RowBox[{RowBox[{"-", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          "2"]}], " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], 
                          "TraditionalForm"], "3"]}], "+", RowBox[{"D", " ", 
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_1\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{"D", " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_1\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "+", RowBox[
                          {SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_1\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "-", RowBox[{"D", " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_2\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "+", RowBox[
                          {SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_2\%2\), " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "+", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          "2"], " ", \(p\_1\%2\), " ", \(p\_2\%2\), " ", 
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "+", RowBox[{"D", " ", 
                          RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_1\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], " ", \(p\_1\%2\), " ", 
                          \(p\_2\%2\)}], "-", RowBox[{"2", " ", RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_1\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], " ", 
                          \(p\_1\%2\), " ", \(p\_2\%2\)}]}], ")"}]}], 
                          ")"}]}], "+", FractionBox[RowBox[{SubsuperscriptBox[
                          "p", FormBox["1", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SubsuperscriptBox["p", 
                          FormBox["1", "TraditionalForm"], FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"]], 
                         " ", RowBox[{"(", RowBox[{RowBox[{"D", " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{"2", " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "+", RowBox[{\(p\_1\%2\), " ", \(p\_2\%2\), " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{"2", " ", "D", " ", RowBox[{FormBox[
                          "q", "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_1\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], " ", \(p\_2\%2\), " ", RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}]}], "+", 
                          RowBox[{"2", " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], " ", 
                          \(p\_2\%2\), " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}]}], "+", RowBox[{"D", " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_2\%4\)}], "-", RowBox[{SuperscriptBox[
                          FormBox[RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_1\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_2\%4\)}], "-", RowBox[{SuperscriptBox[
                          FormBox["q", "TraditionalForm"], "2"], " ", 
                          \(p\_1\%2\), " ", \(p\_2\%4\)}], "+", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          "2"], " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], 
                          "TraditionalForm"], "2"], " ", \(p\_2\%2\)}]}], 
                          ")"}]}], RowBox[{\((D - 2)\), " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{SuperscriptBox[FormBox[RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          "-", \(p\_1\%2\ p\_2\%2\)}], ")"}], "2"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1730]="]}, 
                Open]]}, Open]], Cell[CellGroupData[
             {Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(C\_\[Mu]\[Nu]\[Rho] - type\)\)]]], 
               "Subsubsection", CellTags -> "TIDL"], Cell[BoxData[
                \(\(TIDL[\(\({\({q, \[Mu]}\), \({q, \[Nu]}\), \({q, \[Rho]}\)
                         }\), \({p, k}\)\)]\) ;\)], "Input", CellLabel -> 
                "In[1731]:=", CellTags -> "TIDL"]}, Open]], 
           Cell[CellGroupData[{Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(C\_\[Mu]\[Nu]\[Rho]\[Sigma] - type\)\)]\
]], "Subsubsection", CellTags -> "TIDL"], Cell[BoxData[
                \(\(TIDL[\(\({\({q, \[Mu]}\), \({q, \[Nu]}\), \({q, \[Rho]}\)
                          , \({q, \[Sigma]}\)}\), \({p, k}\)\)]\) ;\)], 
               "Input", CellLabel -> "In[1732]:=", CellTags -> "TIDL"]}, 
             Open]], Cell[CellGroupData[{Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(D\_\[Mu] - type\)\)]]], 
               "Subsubsection", CellTags -> "TIDL"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(TIDL[\(\({q, \[Mu]}\), \({p\_1, p\_2, p\_3}\)\)]\)], 
                  "Input", CellLabel -> "In[1733]:=", CellTags -> "TIDL"], 
                 Cell[BoxData[FormBox[RowBox[{FractionBox[RowBox[
                        {SubsuperscriptBox["p", FormBox["3", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         RowBox[{"(", RowBox[{RowBox[{RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_3\)
                          , "TraditionalForm"]}], " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_3\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "-", RowBox[{RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_1\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox[\(p\_2\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}]}], "-", RowBox[
                          {RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], " ", \(p\_1\%2\), " ", 
                          \(p\_2\%2\)}], "+", RowBox[{RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_3\), "TraditionalForm"]}], " ", 
                          \(p\_2\%2\)}], "+", RowBox[{RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], " ", \(p\_1\%2\), " ", 
                          RowBox[{FormBox[\(p\_2\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}]}]}], ")"}]}], RowBox[{RowBox[{
                          \(p\_3\%2\), " ", SuperscriptBox[FormBox[RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                         "-", RowBox[{"2", " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_3\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_2\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_3\), "TraditionalForm"]}], " ", 
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "+", RowBox[{\(p\_1\%2\), 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_2\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_3\), "TraditionalForm"]}], "TraditionalForm"], 
                          "2"]}], "+", RowBox[{SuperscriptBox[FormBox[RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_2\%2\)}], "-", 
                         \(p\_1\%2\ p\_2\%2\ p\_3\%2\)}]], "-", FractionBox[
                       RowBox[{SubsuperscriptBox["p", FormBox["2", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         RowBox[{"(", RowBox[{RowBox[{RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], ")"}]}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_3\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "+", RowBox[{RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_3\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}]}], "+", RowBox[{RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_1\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox[\(p\_2\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_3\), "TraditionalForm"]}]}], "-", RowBox[
                          {RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], " ", \(p\_1\%2\), " ", RowBox[
                          {FormBox[\(p\_2\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}]}], "+", RowBox[{RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], " ", 
                          \(p\_1\%2\), " ", \(p\_3\%2\)}], "-", RowBox[
                          {RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_1\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_2\), "TraditionalForm"]}], " ", \(p\_3\%2\)}]}]
                          , ")"}]}], RowBox[{RowBox[{\(p\_3\%2\), " ", 
                          SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                         "-", RowBox[{"2", " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_3\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_2\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_3\), "TraditionalForm"]}], " ", 
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "+", RowBox[{\(p\_1\%2\), 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_2\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_3\), "TraditionalForm"]}], "TraditionalForm"], 
                          "2"]}], "+", RowBox[{SuperscriptBox[FormBox[RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_2\%2\)}], "-", 
                         \(p\_1\%2\ p\_2\%2\ p\_3\%2\)}]], "+", FractionBox[
                       RowBox[{SubsuperscriptBox["p", FormBox["1", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         RowBox[{"(", RowBox[{RowBox[{RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox[\(p\_2\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_3\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox[\(p\_2\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}]}], "-", RowBox[{RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], " ", RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[\(p\_2\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_3\), "TraditionalForm"]}]}], "+", RowBox[
                          {RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[\(p\_1\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_3\), "TraditionalForm"]}], " ", \(p\_2\%2\)}], 
                          "+", RowBox[{RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_2\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_1\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_2\), "TraditionalForm"]}], " ", 
                          \(p\_3\%2\)}], "-", RowBox[{RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_1\)
                          , "TraditionalForm"]}], " ", \(p\_2\%2\), " ", 
                          \(p\_3\%2\)}]}], ")"}]}], RowBox[{RowBox[{
                          \(p\_3\%2\), " ", SuperscriptBox[FormBox[RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                         "-", RowBox[{"2", " ", RowBox[{FormBox[\(p\_1\), 
                          "TraditionalForm"], "\[CenterDot]", FormBox[\(p\_3\)
                          , "TraditionalForm"]}], " ", RowBox[{FormBox[
                          \(p\_2\), "TraditionalForm"], "\[CenterDot]", 
                          FormBox[\(p\_3\), "TraditionalForm"]}], " ", 
                          RowBox[{FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_2\), 
                          "TraditionalForm"]}]}], "+", RowBox[{\(p\_1\%2\), 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox[\(p\_2\)
                          , "TraditionalForm"], "\[CenterDot]", FormBox[
                          \(p\_3\), "TraditionalForm"]}], "TraditionalForm"], 
                          "2"]}], "+", RowBox[{SuperscriptBox[FormBox[RowBox[
                          {FormBox[\(p\_1\), "TraditionalForm"], 
                          "\[CenterDot]", FormBox[\(p\_3\), 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", \(p\_2\%2\)}], "-", 
                         \(p\_1\%2\ p\_2\%2\ p\_3\%2\)}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1733]="]}, 
                Open]]}, Open]], Cell[CellGroupData[
             {Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(D\_\[Mu]\[Nu] - type\)\)]]], 
               "Subsubsection", CellTags -> "TIDL"], Cell[BoxData[
                \(\(TIDL[\(\({\({q, \[Mu]}\), \({q, \[Nu]}\)}\), 
                       \({p, k, r}\)\)]\) ;\)], "Input", CellLabel -> 
                "In[1734]:=", CellTags -> "TIDL"]}, Open]], 
           Cell[CellGroupData[{Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(D\_\[Mu]\[Nu]\[Rho] - type\)\)]]], 
               "Subsubsection", CellTags -> "TIDL"], Cell[BoxData[
                \(\(TIDL[\(\({\({q, \[Mu]}\), \({q, \[Nu]}\), \({q, \[Rho]}\)
                         }\), \({p, k, r}\)\)]\) ;\)], "Input", CellLabel -> 
                "In[1735]:=", CellTags -> "TIDL"]}, Open]], 
           Cell[CellGroupData[{Cell[TextData[Cell[BoxData[
                  \(TraditionalForm\`\(D\_\[Mu]\[Nu]\[Rho]\[Sigma] - type\)\)]\
]], "Subsubsection", CellTags -> "TIDL"], Cell[BoxData[
                \(\(TIDL[\(\({\({q, \[Mu]}\), \({q, \[Nu]}\), \({q, \[Rho]}\)
                          , \({q, \[Sigma]}\)}\), \({p, k, r, s}\)\)]\) ;\)], 
               "Input", CellLabel -> "In[1736]:=", CellTags -> "TIDL"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \({\(Length[%]\),\ \(LeafCount[%]\), \(ByteCount[%]\)}\)], 
                  "Input", CellLabel -> "In[1737]:=", CellTags -> "TIDL"], 
                 Cell[BoxData[\(TraditionalForm\`\({4, 29, 424}\)\)], 
                  "Output", CellLabel -> "Out[1737]="]}, Open]]}, Open]], 
           Cell["TimedIntegrate", "ObjectName", CellTags -> 
             "TimedIntegrate"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "TimedIntegrate"], 
              Cell[" TimedIntegrate[exp, vars] is like Integrate, but stops \
after the number of seconds specified by the option Timing. Options of \
Integrate can be given and are passed on.", "Text", CellTags -> 
                "TimedIntegrate"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[TimedIntegrate]\)], "Input", CellLabel -> 
                   "In[1738]:=", CellTags -> "TimedIntegrate"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Timing \[Rule] 10\), 
                         \(Assumptions \[Rule] 
                           \(\*TagBox["\[CurlyEpsilon]", TraditionalForm] > 0
                            \)\), \(Integrate \[Rule] Integrate\), 
                         \(Expand \[Rule] True\)}\)\)], "Output", 
                  CellLabel -> "Out[1738]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "TimedIntegrate"], Cell["This should reach to be done", 
               "Text", CellTags -> "TimedIntegrate"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(TimedIntegrate[\(\(Log[\(x^5\)]\), \({x, 0, 1}\), 
                        \(Timing \[Rule] 1\)\)]\)], "Input", CellLabel -> 
                   "In[1739]:=", CellTags -> "TimedIntegrate"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{"(", RowBox[
                         {SubsuperscriptBox["\[Integral]", FormBox["0", 
                          "TraditionalForm"], FormBox["1", 
                          "TraditionalForm"]], "\[DifferentialD]", TagBox[
                          FormBox["x", "TraditionalForm"], TraditionalForm, 
                          Editable -> True], "\[VeryThinSpace]"}], ")"}], 
                      ".", \(log(x\^5)\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1739]="]}, Open]], Cell["This shouldn't", 
               "Text", CellTags -> "TimedIntegrate"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(TimedIntegrate[\(\(Log[\(Cos[\(x^5\)]\)]\), 
                        \({x, 0, 1}\), \(Timing \[Rule] 10\), 
                        \(Integrate \[Rule] int\)\)]\)], "Input", 
                  CellLabel -> "In[1740]:=", CellTags -> "TimedIntegrate"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(int(
                        \(\(log(\(cos(\(x\^5\))\))\), \({x, 0, 1}\), 
                          \(Assumptions \[Rule] 
                            \(\*TagBox["\[CurlyEpsilon]", TraditionalForm] > 
                              0\)\)\))\)\)], "Output", CellLabel -> 
                   "Out[1740]="]}, Open]]}, Open]], 
           Cell["TLI  ***unfinished***", "ObjectName", CellTags -> "TLI"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "TLI"], Cell["TLI[{v,w,x,y,z},{a,b,c,d,e}, \
{al,be,ga,de,ep}].  The exponents of the numerator scalar product are (dl = \
OPEDelta):  v: k1.k1, w: k2.k2,  x: p.k1, y: p.k2, z: k1.k2.  a: dl.k1, b: \
dl.k2,  c: dl.(p-k1), d: dl.(p-k2), e: dl.(k1-k2).\nTLI[{mu1, ...}, {nu1, \
...}][{v,w,x,y,z},{a,b,c,d,e}, {al,be,ga,de,ep}] is a tensor integral, where \
mu1 belongs to k1 and nu1 to k2.\nTLI[any___,{a,b,c,d,e,0,0}, \
{al,be,ga,de,ep}] simplifies to  TLI[any, {a,b,c,d,e}, \
{al,be,ga,de,ep}].\nTLI[{0,0,0,0,0},{a,b,c,d,e}, {al,be,ga,de,ep}] simplifies \
to  TLI[{a,b,c,d,e}, {al,be,ga,de,ep}].", "Text", CellTags -> "TLI"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[TLI]\)], "Input", 
                  CellLabel -> "In[1741]:=", CellTags -> "TLI"], Cell[BoxData[
                   \(TraditionalForm\`\({\(EpsilonOrder \[Rule] 0\), 
                         \(Momentum \[Rule] p\)}\)\)], "Output", CellLabel -> 
                   "Out[1741]="]}, Open]], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["TLI2FC", RuleDelayed[ButtonData, "TLI2FC"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "TLI2FC"]], "."}], "Text", CellTags -> 
                "TLI"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "TLI"], Cell[BoxData[""], 
               "Input", CellLabel -> "In[1742]:=", CellTags -> "TLI"]}, 
             Open]], Cell["TLIFP  ***unfinished***", "ObjectName", 
            CellTags -> "TLIFP"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "TLIFP"], 
              Cell["TLIFP[exp] does Feynman-Parametrizations of TLI's in \
exp.", "Text", CellTags -> "TLIFP"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[TLIFP]\)], "Input", CellLabel -> "In[1743]:=", 
                  CellTags -> "TLIFP"], Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          FeynmanParameterNames \[Rule] \({x, t, u, s, y}\)\)\
, \(GammaExpand \[Rule] True\), \(Momentum \[Rule] p\), 
                         \(Print \[Rule] True\)}\)\)], "Output", CellLabel -> 
                   "Out[1743]="]}, Open]], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["TLI", RuleDelayed[ButtonData, "TLI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TLI"]], 
                 "."}], "Text", CellTags -> "TLIFP"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "TLIFP"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1744]:=", CellTags -> "TLIFP"]}, Open]], 
           Cell["TLIHYP  ***unfinished***", "ObjectName", 
            CellTags -> "TLIHYP"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "TLIHYP"], 
              Cell["TLIHYP[exp] expresses TLI's in exp. in terms of \
hypergeometric functions, where possible.", "Text", CellTags -> "TLIHYP"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[TLIHYP]\)], "Input", 
                  CellLabel -> "In[1745]:=", CellTags -> "TLIHYP"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(FeynmanParameterNames \[Rule] x\),
                          \(Momentum \[Rule] p\)}\)\)], "Output", 
                  CellLabel -> "Out[1745]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["TLI", RuleDelayed[ButtonData, "TLI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TLI"]], 
                 "."}], "Text", CellTags -> "TLIHYP"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "TLIHYP"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1746]:=", CellTags -> "TLIHYP"]}, Open]], 
           Cell["TLI2", "ObjectName", CellTags -> "TLI2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "TLI2"], Cell[
               "like TLI, but without any functional properties.", "Text", 
               CellTags -> "TLI2"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["TLI", RuleDelayed[ButtonData, "TLI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TLI"]], 
                 "."}], "Text", CellTags -> "TLI2"]}, Open]], 
           Cell["TLI2FC  ***unfinished***", "ObjectName", 
            CellTags -> "TLI2FC"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "TLI2FC"], 
              Cell["TLI2FC[exp] transforms all TLI-integrals in exp to the \
FAD form.", "Text", CellTags -> "TLI2FC"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[TLI2FC]\)], "Input", CellLabel -> "In[1747]:=", 
                  CellTags -> "TLI2FC"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(FeynCalcExternal \[Rule] False\), 
                         \(Momentum \[Rule] \({q1, q2, p}\)\)}\)\)], 
                  "Output", CellLabel -> "Out[1747]="]}, Open]], 
              Cell[TextData[{"See also:  ", 
                 ButtonBox["TLI", RuleDelayed[ButtonData, "TLI"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TLI"]], 
                 ".  ", 
                 ButtonBox["FC2TLI", RuleDelayed[ButtonData, "FC2TLI"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FC2TLI"]], "."}], "Text", CellTags -> 
                "TLI2FC"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "TLI2FC"], 
              Cell[BoxData[""], "Input", CellLabel -> "In[1748]:=", 
               CellTags -> "TLI2FC"]}, Open]], Cell["ToDistribution", 
            "ObjectName", CellTags -> "ToDistribution"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ToDistribution"], Cell["ToDistribution[exp,x] \
replaces (1-x)^(a Epsilon - 1) in exp by 1/(a Epsilon) DeltaFunction[1-x] + \
1/(1-x) + a Epsilon Log[1-x]/(1-x) + 1/2 a^2 Epsilon^2 Log[1-x]^2/(1-x)] and \
(1-x)^(a Epsilon - 2) in exp by -1/(a Epsilon) DeltaFunctionPrime[1-x] + \
1/(1-x)^2 + (a Epsilon) Log[1-x]/(1-x)^2 + a^2 Epsilon^2/2 Log[1-x]^2/(1-x)^2 \
+ a^3 Epsilon^3/6 Log[1-x]^3/(1-x)^2.", "Text", CellTags -> 
                "ToDistribution"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[ToDistribution]\)], "Input", CellLabel -> 
                   "In[1749]:=", CellTags -> "ToDistribution"], Cell[BoxData[
                   \(TraditionalForm\`\({PlusDistribution \[Rule] Identity}\)
                     \)], "Output", CellLabel -> "Out[1749]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["PlusDistribution", 
                   RuleDelayed[ButtonData, "PlusDistribution"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PlusDistribution"]], "."}], "Text", 
               CellTags -> "ToDistribution"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ToDistribution"], Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(ToDistribution, 
                        \(PlusDistribution \[Rule] PlusDistribution\)\)]\)], 
                  "Input", CellLabel -> "In[1750]:=", CellTags -> 
                   "ToDistribution"], Cell[BoxData[
                   \(TraditionalForm\`\({PlusDistribution \[Rule] 
                         PlusDistribution}\)\)], "Output", CellLabel -> 
                   "Out[1750]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ToDistribution[\(\(\((1 - x)\)^\((Epsilon - 1)\)\), x\)]
                     \)], "Input", CellLabel -> "In[1751]:=", CellTags -> 
                   "ToDistribution"], Cell[BoxData[FormBox[RowBox[{
                      \(1\/6\ \(\((\(log\^3(1 - x)\)\/\(1 - x\))\)\_+\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\), 
                      "+", 
                      \(1\/2\ \(\((\(log\^2(1 - x)\)\/\(1 - x\))\)\_+\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^2\), 
                      "+", 
                      \(\(\((\(log(1 - x)\)\/\(1 - x\))\)\_+\)\ 
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\), "+", 
                      \(\((1\/\(1 - x\))\)\_+\), "+", FractionBox[RowBox[
                        {"\[Delta]", "(", FormBox[\(1 - x\), 
                          "TraditionalForm"], ")"}], 
                       TagBox["\[CurlyEpsilon]", TraditionalForm]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1751]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(ToDistribution, 
                        \(PlusDistribution \[Rule] Identity\)\)]\)], "Input", 
                  CellLabel -> "In[1752]:=", CellTags -> "ToDistribution"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({PlusDistribution \[Rule] Identity}\)
                     \)], "Output", CellLabel -> "Out[1752]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ToDistribution[\(\(\((1 - x)\)^\((Epsilon - 2)\)\), x\)]
                     \)], "Input", CellLabel -> "In[1753]:=", CellTags -> 
                   "ToDistribution"], Cell[BoxData[FormBox[RowBox[{
                      \(\(\*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\ 
                           \(log\^3(1 - x)\)\)\/\(6\ \((1 - x)\)\^2\)\), "+", 
                      \(\(\*TagBox["\[CurlyEpsilon]", TraditionalForm]\^2\ 
                           \(log\^2(1 - x)\)\)\/\(2\ \((1 - x)\)\^2\)\), "+", 
                      \(\(\*TagBox["\[CurlyEpsilon]", TraditionalForm]\ 
                           \(log(1 - x)\)\)\/\((1 - x)\)\^2\), "-", 
                      FractionBox[RowBox[{\(\[Delta]\^\[Prime]\), "(", 
                         FormBox[\(1 - x\), "TraditionalForm"], ")"}], 
                       TagBox["\[CurlyEpsilon]", TraditionalForm]], "+", 
                      \(1\/\((1 - x)\)\^2\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1753]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Series2[\(\(Integrate[
                          \(\((1 - x)\)\^\(Epsilon - 2\), \({x, 0, 1}\), 
                            \(GenerateConditions \[Rule] False\)\)]\), 
                        Epsilon, 3\)]\)], "Input", CellLabel -> "In[1754]:=", 
                  CellTags -> "ToDistribution"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\) -
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^2 - 
                        \*TagBox["\[CurlyEpsilon]", TraditionalForm] - 1\)\)]\
, "Output", CellLabel -> "Out[1754]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Options @ Integrate\)], "Input", CellLabel -> 
                   "In[1755]:=", CellTags -> "ToDistribution"], Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          Assumptions \[RuleDelayed] $Assumptions\), 
                         \(GenerateConditions \[Rule] False\), 
                         \(PrincipalValue \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[1755]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Integrate2[\(\(ToDistribution[
                          \(\(\((1 - x)\)^\((Epsilon - 2)\)\), x\)]\), 
                        \({x, 0, 1}\)\)]\)], "Input", CellLabel -> 
                   "In[1756]:=", CellTags -> "ToDistribution"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-
                          \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^3\) -
                         \*TagBox["\[CurlyEpsilon]", TraditionalForm]\^2 - 
                        \*TagBox["\[CurlyEpsilon]", TraditionalForm] - 1\)\)]\
, "Output", CellLabel -> "Out[1756]="]}, Open]]}, Open]], 
           Cell["ToHypergeometric", "ObjectName", CellTags -> 
             "ToHypergeometric"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ToHypergeometric"], Cell[TextData[{"ToHypergeometric[", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["t", 
                           Rule[FontSlant, "Plain"]]\^
                         \*StyleBox["b", Rule[FontSlant, "Plain"]]\ 
                        \((1 - \*StyleBox["t", Rule[FontSlant, "Plain"]])\)\^
                         \*StyleBox["c", Rule[FontSlant, "Plain"]]\ 
                        \((1 + \(\*StyleBox["t", Rule[FontSlant, "Plain"]]\ 
                              \*StyleBox["z", Rule[FontSlant, "Plain"]]\))\)\
\^\*StyleBox["a", Rule[FontSlant, "Plain"]]\)\)], FontVariations -> 
                   {"CompatibilityType" -> 0}], ", ", "t", "] returns ", 
                 Cell[BoxData[FormBox[RowBox[{\(\[CapitalGamma](b + 1)\), 
                      " ", 
                      \(\(\[CapitalGamma](c + 1)\)/
                         \(\[CapitalGamma](b + c + 2)\)\), " ", FormBox[
                       \(\[Null]\_2 \(F\_1(\(\(-a\), \(b + 1\)\) ; 
                             \(b + c + 2\) ; \(-z\))\)\), 
                       "TraditionalForm"]}], TraditionalForm]]], 
                 ". Remember that Re ", 
                 StyleBox["b", Rule[FontSlant, "Italic"]], " >0 and Re (", 
                 StyleBox["c", Rule[FontSlant, "Italic"]], "-", 
                 StyleBox["b", Rule[FontSlant, "Italic"]], 
                 ") > 0 should hold (need not be set in ", 
                 StyleBox["Mathematica", Rule[FontSlant, "Italic"]], ")."}], 
               "Text", CellTags -> "ToHypergeometric"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["HypergeometricAC", 
                   RuleDelayed[ButtonData, "HypergeometricAC"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricAC"]], ", ", 
                 ButtonBox["HypergeometricIR", 
                   RuleDelayed[ButtonData, "HypergeometricIR"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricIR"]], ", ", 
                 ButtonBox["HypergeometricSE", 
                   RuleDelayed[ButtonData, "HypergeometricSE"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "HypergeometricSE"]], "."}], "Text", 
               CellTags -> "ToHypergeometric"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ToHypergeometric"], Cell[CellGroupData[{Cell[BoxData[
                   \(ToHypergeometric[\(\(t\^b\ \((1 - t)\)\^c\ 
                          \((1 + \(t\ z\))\)\^a\), t\)]\)], "Input", 
                  CellLabel -> "In[1757]:=", CellTags -> "ToHypergeometric"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{
                       \(\[CapitalGamma](b + 1)\), " ", 
                       \(\[CapitalGamma](c + 1)\), " ", TagBox[TagBox[
                         RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(-a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(b + 1\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(b + c + 2\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-z\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}], 
                     \(\[CapitalGamma](b + c + 2)\)], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1757]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ToHypergeometric[\(\(w\ t\^\(b - 1\)\ 
                          \((1 - t)\)\^\(c - b - 1\)\ 
                          \((1 - \(t\ z\))\)\^\(-a\)\), t\)]\)], "Input", 
                  CellLabel -> "In[1758]:=", CellTags -> "ToHypergeometric"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{"w", " ", 
                       \(\[CapitalGamma](b)\), " ", \(\[CapitalGamma](c - b)\)
                       , " ", TagBox[TagBox[RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox["z", Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}], \(\[CapitalGamma](c)\)
                     ], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1758]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ToHypergeometric[\(\(t\^b\ \((1 - t)\)\^c\ 
                          \((u + \(t\ z\))\)\^a\), t\)]\)], "Input", 
                  CellLabel -> "In[1759]:=", CellTags -> "ToHypergeometric"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{\(u\^a\), " ", 
                       \(\[CapitalGamma](b + 1)\), " ", 
                       \(\[CapitalGamma](c + 1)\), " ", TagBox[TagBox[
                         RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox[\(-a\), Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox[\(b + 1\), Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox[\(b + c + 2\), 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(-\(z\/u\)\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}], 
                     \(\[CapitalGamma](b + c + 2)\)], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1759]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(ToHypergeometric[\(\(w\ t\^\(b - 1\)\ 
                          \((1 - t)\)\^\(c - b - 1\)\ 
                          \((u - \(t\ z\))\)\^\(-a\)\), t\)]\)], "Input", 
                  CellLabel -> "In[1760]:=", CellTags -> "ToHypergeometric"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{\(u\^\(-a\)\), " ", 
                       "w", " ", \(\[CapitalGamma](b)\), " ", 
                       \(\[CapitalGamma](c - b)\), " ", TagBox[TagBox[
                         RowBox[{RowBox[{SubscriptBox[
                          "\[InvisiblePrefixScriptBase]", FormBox["2", 
                          "TraditionalForm"]], SubscriptBox["F", FormBox["1", 
                          "TraditionalForm"]]}], "\[InvisibleApplication]", 
                          \((\*TagBox[TagBox[\(
                                  \*TagBox["a", Hypergeometric2F1, 
                                     Rule[Editable, True]], 
                                   \*TagBox["b", Hypergeometric2F1, 
                                     Rule[Editable, True]]\), 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[TagBox[TagBox["c", 
                                  Hypergeometric2F1, Rule[Editable, True]], 
                                 InterpretTemplate[Function[List[SlotSequen\
ce[1]]]]], Hypergeometric2F1, 
                                Rule[Editable, False]] ; 
                              \*TagBox[\(z\/u\), Hypergeometric2F1, 
                                Rule[Editable, True]])\)}], InterpretTemplate[
                          HypergeometricPFQ[#1, #2, #3] & ], Editable -> 
                          False], Hypergeometric2F1]}], \(\[CapitalGamma](c)\)
                     ], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1760]="]}, Open]]}, Open]], Cell["ToLarin", 
            "ObjectName", CellTags -> "ToLarin"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ToLarin"], Cell[TextData[
                {"ToLarin[exp] translates all ", Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu]\ \[Gamma]\^5\)\)]], 
                 " in exp into ", Cell[BoxData[
                   \(TraditionalForm\`\(\(\(-\[ImaginaryI]\)/6\)\ 
                        \[CurlyEpsilon]\^\[Mu]\[Nu]\[Lambda]\[Sigma] 
                        \[Gamma]\^\[Nu]\ \[Gamma]\^\[Lambda]\ 
                        \(\[Gamma]\^\[Sigma] .\)\)\)]]}], "Text", CellTags -> 
                "ToLarin"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Eps", RuleDelayed[ButtonData, "Eps"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Eps"]], 
                 "."}], "Text", CellTags -> "ToLarin"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "ToLarin"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(DiracMatrix[\[Nu]]\) . \(DiracMatrix[\[Mu]]\) . 
                      \(DiracMatrix[5]\)\)], "Input", CellLabel -> 
                   "In[1761]:=", CellTags -> "ToLarin"], Cell[BoxData[
                   FormBox[RowBox[{SuperscriptBox["\[Gamma]", FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], ".", \(\[Gamma]\^5\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1761]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(ToLarin[%]\)], 
                  "Input", CellLabel -> "In[1762]:=", CellTags -> "ToLarin"], 
                 Cell[BoxData[FormBox[RowBox[{\(-\(1\/6\)\), " ", RowBox[
                       {SuperscriptBox["\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox["du1", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox["du2", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox["du3", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                      SuperscriptBox["\[Epsilon]", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["du1", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["du2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["du3", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1762]="]}, Open]]}, Open]], 
           Cell["ToTFi", "ObjectName", CellTags -> "ToTFi"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "ToTFi"], Cell["ToTFi[expr, q1, q2, p] translates \
FeynCalc 2-loop self energy type integrals into the TFi notatation, which can \
be used as input for the function TarcerRecurse from the TARCER package. See \
TFi for details on the conventions.", "Text", CellTags -> "ToTFi"], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["TFi", RuleDelayed[ButtonData, "TFi"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "TFi"]], 
                 ", ", 
                 ButtonBox["FromTFi", RuleDelayed[ButtonData, "FromTFi"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FromTFi"]], "."}], "Text", CellTags -> 
                "ToTFi"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "ToTFi"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(FAD[\(q1, \(q1 - p\), \({q2, M}\), \({\(q2 - p\), m}\), 
                        \(q1 - q2\)\)]\)], "Input", CellLabel -> 
                   "In[1763]:=", CellTags -> "ToTFi"], Cell[BoxData[
                   \(TraditionalForm\`\(1\/
                        \(\((\*InterpretationBox[\(
                               "["\[InvisibleSpace] q1\^2 \[InvisibleSpac\
e]"]"\), SequenceForm["[", Power[q1, 2], "]"], 
                              Rule[Editable, False]])\)\ 
                          \((\*InterpretationBox[\(
                               "["\[InvisibleSpace] \((q1 - p)\)\^2 
                                \[InvisibleSpace]"]"\), 
                              SequenceForm["[", 
                               Power[Plus[Times[-1, p], q1], 2], "]"], 
                              Rule[Editable, False]])\)\ 
                          \((\*InterpretationBox[\(
                               "["\[InvisibleSpace] \((q1 - q2)\)\^2 
                                \[InvisibleSpace]"]"\), 
                              SequenceForm["[", 
                               Power[Plus[q1, Times[-1, q2]], 2], "]"], 
                              Rule[Editable, False]])\)\ 
                          \((\*InterpretationBox[\(
                               "["\[InvisibleSpace] q2\^2 \[InvisibleSpac\
e]"-"\[InvisibleSpace] M\^2 \[InvisibleSpace]"]"\), 
                              SequenceForm["[", Power[q2, 2], "-", 
                               Power[M, 2], "]"], Rule[Editable, False]])\)\ 
                          \((\*InterpretationBox[\(
                               "["\[InvisibleSpace] \((q2 - p)\)\^2 
                                \[InvisibleSpace]"-"\[InvisibleSpace] m\^2 
                                \[InvisibleSpace]"]"\), 
                              SequenceForm["[", 
                               Power[Plus[Times[-1, p], q2], 2], "-", 
                               Power[m, 2], "]"], Rule[Editable, False]])\)\)
                   \)\)], "Output", CellLabel -> "Out[1763]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(ToTFi[\(%, q1, q2, p\)]\)], 
                  "Input", CellLabel -> "In[1764]:=", CellTags -> "ToTFi"], 
                 Cell[BoxData[FormBox[RowBox[{"ToTFi", "(", RowBox[{FormBox[
                         \(1\/\(\((\*InterpretationBox[\(
                                   "["\[InvisibleSpace] q1\^2 
                                    \[InvisibleSpace]"]"\), 
                                  SequenceForm["[", Power[q1, 2], "]"], 
                                  Rule[Editable, False]])\)\ 
                              \((\*InterpretationBox[\(
                                   "["\[InvisibleSpace] \((q1 - p)\)\^2 
                                    \[InvisibleSpace]"]"\), 
                                  SequenceForm["[", 
                                   Power[Plus[Times[-1, p], q1], 2], "]"], 
                                  Rule[Editable, False]])\)\ 
                              \((\*InterpretationBox[\(
                                   "["\[InvisibleSpace] \((q1 - q2)\)\^2 
                                    \[InvisibleSpace]"]"\), 
                                  SequenceForm["[", 
                                   Power[Plus[q1, Times[-1, q2]], 2], "]"], 
                                  Rule[Editable, False]])\)\ 
                              \((\*InterpretationBox[\(
                                   "["\[InvisibleSpace] q2\^2 
                                    \[InvisibleSpace]"-"\[InvisibleSpace] 
                                    M\^2 \[InvisibleSpace]"]"\), 
                                  SequenceForm["[", Power[q2, 2], "-", 
                                   Power[M, 2], "]"], Rule[Editable, False]])
                         \)\ \((\*InterpretationBox[\(
                                   "["\[InvisibleSpace] \((q2 - p)\)\^2 
                                    \[InvisibleSpace]"-"\[InvisibleSpace] 
                                    m\^2 \[InvisibleSpace]"]"\), 
                                  SequenceForm["[", 
                                   Power[Plus[Times[-1, p], q2], 2], "-", 
                                   Power[m, 2], "]"], Rule[Editable, False]])
                         \)\)\), "TraditionalForm"], ",", "q1", ",", "q2", 
                        ",", "p"}], ")"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1764]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(%//StandardForm\)], "Input", CellLabel -> 
                   "In[1765]:=", CellTags -> "ToTFi"], Cell[BoxData[
                   \(ToTFi[\(\(FAD[\(q1, \(\(-p\) + q1\), \({q2, M}\), 
                            \({\(\(-p\) + q2\), m}\), \(q1 - q2\)\)]\), q1, 
                        q2, p\)]\)], "Output", CellLabel -> 
                   "Out[1765]//StandardForm="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(SOD[q1]\)\ \(SOD[q2]\) 
                        \(FAD[\(q1, \(q1 - p\), \({q2, M}\), 
                            \({\(q2 - p\), m}\), \(q1 - q2\)\)]\)\)//FCI\)], 
                  "Input", CellLabel -> "In[1766]:=", CellTags -> "ToTFi"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["q1", "TraditionalForm"]}], 
                       " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q2", 
                          "TraditionalForm"]}]}], 
                     \(q1\^2 . \((q1 - p)\)\^2 . \((q2\^2 - M\^2)\) . 
                        \((\((q2 - p)\)\^2 - m\^2)\) . \((q1 - q2)\)\^2\)], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1766]="]}, 
                Open]]}, Open]], Cell[CellGroupData[{Cell["TR", "ObjectName", 
               CellTags -> "TR"], Cell[BoxData[\(TraditionalForm\`TR\)], 
               "Output", CellLabel -> "Out[1959]=", CellTags -> "TR"]}, 
             Open]], Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "TR"], Cell[TextData[{"TR[exp] calculates the \
Dirac trace of exp. Depending on the setting of the option SUNTrace also a \
trace over SU(", StyleBox["N", Rule[FontSlant, "Italic"]], 
                 ") objects is performed. The ", 
                 StyleBox["Mathematica", Rule[FontSlant, "Italic"]], 
                 " build-in function Tr is overloaded to call TR if ", 
                 "any of DiracGamma, DiracSlash, GA, GAD, GS or GSD", 
                 " are in the expression."}], "Text", CellTags -> "TR"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[TR]\)], "Input", 
                  CellLabel -> "In[1767]:=", CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`\({\(DiracTraceEvaluate \[Rule] True\),
                          \(Explicit \[Rule] True\), 
                         \(Factoring \[Rule] False\), 
                         \(FeynCalcExternal \[Rule] False\), 
                         \(LeviCivitaSign \[Rule] \[ImaginaryI]\), 
                         \(Mandelstam \[Rule] \({}\)\), 
                         \(PairCollect \[Rule] False\), 
                         \(Schouten \[Rule] 442\), \(SUNTrace \[Rule] False\)
                         , \(TraceOfOne \[Rule] 4\), 
                         \(SUNNToCACF \[Rule] False\)}\)\)], "Output", 
                  CellLabel -> "Out[1767]="]}, Open]], Cell[TextData[
                {"See also: ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], ", ", 
                 ButtonBox["FermionSpinSum", 
                   RuleDelayed[ButtonData, "FermionSpinSum"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FermionSpinSum"]], ", ", 
                 ButtonBox["SUNTrace", RuleDelayed[ButtonData, "SUNTrace"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNTrace"]], "."}], "Text", CellTags -> 
                "TR"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "TR"], Cell[CellGroupData[
                {Cell[BoxData[\(GA[\(\[Mu], \[Nu]\)]\)], "Input", 
                  CellLabel -> "In[1768]:=", CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\)\)]\
, "Output", CellLabel -> "Out[1768]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(TR[%]\)], "Input", CellLabel -> "In[1769]:=", 
                  CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`\(4\ g\^\(\[Mu]\[Nu]\)\)\)], "Output", 
                  CellLabel -> "Out[1769]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(TR[\(\((\(GSD[p]\) + m)\) . \(GAD[\[Mu]]\) . 
                        \((\(GSD[q]\) - m)\) . \(GAD[\[Nu]]\)\)]\)], "Input", 
                  CellLabel -> "In[1770]:=", CellTags -> "TR"], 
                 Cell[BoxData[FormBox[RowBox[{"4", " ", RowBox[{"(", RowBox[{
                          \(\(-g\^\(\[Mu]\[Nu]\)\)\ m\^2\), "+", RowBox[
                          {SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1770]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(GA[\(\[Mu], \[Nu], \[Rho], \[Sigma], 5\)]\)]\)], 
                  "Input", CellLabel -> "In[1771]:=", CellTags -> "TR"], 
                 Cell[BoxData[FormBox[RowBox[{\(-4\), " ", SuperscriptBox[
                       "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1771]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(GAD[\(\[Mu], \[Nu], \[Rho], \[Sigma], \[Ta\
u], \[Xi], 5\)]\)]\)], "Input", CellLabel -> "In[1772]:=", CellTags -> "TR"], 
                 Cell[BoxData[FormBox[RowBox[{"4", " ", RowBox[{"(", 
                        RowBox[{RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Xi]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Mu]\[Nu]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Mu]\[Xi]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Xi]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Mu]\[Rho]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Xi]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Mu]\[Sigma]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Xi]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Mu]\[Tau]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Nu]\[Xi]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Xi]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Nu]\[Rho]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Xi]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Nu]\[Sigma]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Xi]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Nu]\[Tau]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Xi]\[Rho]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Xi]\[Sigma]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Xi]\[Tau]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Xi]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Tau]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Rho]\[Sigma]\)\)}], "-", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Xi]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Rho]\[Tau]\)\)}], "+", RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Xi]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          \(g\^\(\[Sigma]\[Tau]\)\)}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1772]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData["$West"], "Input", 
                  CellLabel -> "In[1773]:=", CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`True\)], "Output", CellLabel -> 
                   "Out[1773]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(? $West\)], "Input", CellLabel -> "In[1774]:=", 
                  CellTags -> "TR"], Cell[BoxData["\"If $West is set to True \
(which is the default), traces involving more than 4 Dirac matrices and \
gamma5 are calculated recursively according to formula (A.5) from Comp. Phys. \
Comm 77 (1993) 286-298, which is based on the Breitenlohner Maison gamma5 - \
scheme.\""], "Print", CellTags -> "Info3288620556-7542446"]}, Open]], 
              Cell["$West=False should be set before any calculation is done \
(because intermediate results from trace calculations are cached).", "Text", 
               CellTags -> "TR"], Cell[CellGroupData[{Cell[BoxData[
                   \($West = False\)], "Input", CellLabel -> "In[1775]:=", 
                  CellTags -> "TR"], Cell[BoxData[\(TraditionalForm\`False\)]
                   , "Output", CellLabel -> "Out[1775]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(\(GAD[\(\[Nu]\_1, \[Nu]\_2, \[Nu]\_3, \[Nu]\_4, 
                            \[Nu]\_5, \[Nu]\_6\)]\) . \(GA[5]\)\)]\)], 
                  "Input", CellLabel -> "In[1776]:=", CellTags -> "TR"], 
                 Cell[BoxData[\(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1776]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(GS[\(p, q, r, s\)]\)]\)], "Input", CellLabel -> 
                   "In[1777]:=", CellTags -> "TR"], Cell[BoxData[FormBox[
                    RowBox[{"4", " ", RowBox[{"(", RowBox[{RowBox[{RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["s", "TraditionalForm"]}], " ", RowBox[
                          {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["r", "TraditionalForm"]}]}], "-", RowBox[
                          {RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["q", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], "+", RowBox[{RowBox[
                          {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["q", "TraditionalForm"]}], " ", RowBox[
                          {FormBox["r", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["s", "TraditionalForm"]}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1777]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(\(\((\(GS[p]\) + m)\) . \(GA[\[Mu]]\) . 
                          \((\(GS[q]\) + m)\) . \(GA[\[Mu]]\)\), 
                        \(Factoring \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1778]:=", CellTags -> "TR"], 
                 Cell[BoxData[FormBox[RowBox[{"8", " ", RowBox[{"(", RowBox[{
                          \(2\ m\^2\), "-", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1778]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(\(GA[\(\[Alpha], \[Beta]\)]\), \(FCE \[Rule] True\)
                       \)]\)], "Input", CellLabel -> "In[1779]:=", 
                  CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`\(4\ g\^\(\[Alpha]\[Beta]\)\)\)], 
                  "Output", CellLabel -> "Out[1779]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)], "Input", 
                  CellLabel -> "In[1780]:=", CellTags -> "TR"], Cell[BoxData[
                   \(4\ \(MT[\(\[Alpha], \[Beta]\)]\)\)], "Output", 
                  CellLabel -> "Out[1780]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(\(\(GAD[\[Mu]]\) . \(GA[\[Alpha]]\) . 
                          \(GA[\[Beta]]\) . \(GAD[\[Mu]]\)\), 
                        \(FCE \[Rule] True\)\)]\)], "Input", CellLabel -> 
                   "In[1781]:=", CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`\(4\ D\ g\^\(\[Alpha]\[Beta]\)\)\)], 
                  "Output", CellLabel -> "Out[1781]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)], "Input", 
                  CellLabel -> "In[1782]:=", CellTags -> "TR"], Cell[BoxData[
                   \(4\ D\ \(MT[\(\[Alpha], \[Beta]\)]\)\)], "Output", 
                  CellLabel -> "Out[1782]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(\(GA[\(\[Mu], \[Nu]\)]\)\ 
                        \(\(SUNT[b]\) . \(SUNT[c]\)\)\ \(SUNDelta[\(c, b\)]\)
                   \)\)], "Input", CellLabel -> "In[1783]:=", CellTags -> 
                   "TR"], Cell[BoxData[FormBox[RowBox[{
                      \(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\), " ", RowBox[
                       {SubscriptBox["T", FormBox["b", "TraditionalForm"]], 
                        ".", SubscriptBox["T", FormBox["c", 
                          "TraditionalForm"]]}], " ", \(\[Delta]\_\(bc\)\)}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1783]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(t, \(SUNTrace \[Rule] False\), 
                        \(SUNNToCACF \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1784]:=", CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`\(4\ C\_F\ g\^\(\[Mu]\[Nu]\)\)\)], 
                  "Output", CellLabel -> "Out[1784]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(t, \(SUNTrace \[Rule] True\), 
                        \(SUNNToCACF \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1785]:=", CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`\(4\ C\_A\ C\_F\ g\^\(\[Mu]\[Nu]\)\)\)]\
, "Output", CellLabel -> "Out[1785]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(TR[\(1, \(SUNTrace \[Rule] False\), 
                        \(SUNNToCACF \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1786]:=", CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`4\)], "Output", CellLabel -> 
                   "Out[1786]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(1, \(SUNTrace \[Rule] True\), 
                        \(SUNNToCACF \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1787]:=", CellTags -> "TR"], Cell[BoxData[
                   \(TraditionalForm\`\(4\ C\_A\)\)], "Output", CellLabel -> 
                   "Out[1787]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Tr[\ \(GA[\(m, n\)]\)]\)], "Input", CellLabel -> 
                   "In[1788]:="], Cell[BoxData[
                   \(TraditionalForm\`\(4\ g\^\(mn\)\)\)], "Output", 
                  CellLabel -> "Out[1788]="]}, Open]], Cell[BoxData[
                \(\(Clear[t]\) ;\)], "Input", CellLabel -> "In[1789]:=", 
               CellTags -> "TR"]}, Open]], Cell["TraceDimension", 
            "ObjectName", CellTags -> "TraceDimension"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "TraceDimension"], Cell["TraceDimension is an \
option for FeynCalc2FORM. If set to 4: trace, if set to n: tracen.", "Text", 
               CellTags -> "TraceDimension"], Cell[TextData[{"See also: ", 
                 " ", 
                 ButtonBox["FeynCalc2FORM", 
                   RuleDelayed[ButtonData, "FeynCalc2FORM"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynCalc2FORM"]], "."}], "Text", 
               CellTags -> "TraceDimension"]}, Open]], Cell["TraceOfOne", 
            "ObjectName", CellTags -> "TraceOfOne"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "TraceOfOne"], Cell["TraceOfOne is an option for \
Tr and DiracTrace. Its setting determines the value of the unit trace.", 
               "Text", CellTags -> "TraceOfOne"], Cell[TextData[
                {"See also: ", 
                 ButtonBox["TR", RuleDelayed[ButtonData, "TR"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr"]], 
                 ", ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], "."}], "Text", 
               CellTags -> "TraceOfOne"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "TraceOfOne"], Cell[CellGroupData[{Cell[BoxData[
                   \(TR[\(1, \(SUNTrace \[Rule] False\), 
                        \(SUNNToCACF \[Rule] True\), 
                        \(TraceOfOne \[Rule] tr1\)\)]\)], "Input", 
                  CellLabel -> "In[1790]:=", CellTags -> "TraceOfOne"], 
                 Cell[BoxData[\(TraditionalForm\`tr1\)], "Output", 
                  CellLabel -> "Out[1790]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(TR[\(1, \(SUNTrace \[Rule] True\), 
                        \(SUNNToCACF \[Rule] True\), 
                        \(TraceOfOne \[Rule] tr2\)\)]\)], "Input", 
                  CellLabel -> "In[1791]:=", CellTags -> "TraceOfOne"], 
                 Cell[BoxData[\(TraditionalForm\`\(C\_A\ tr2\)\)], "Output", 
                  CellLabel -> "Out[1791]="]}, Open]]}, Open]], 
           Cell["Trick", "ObjectName", CellTags -> "Trick"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Trick"], Cell["Trick[exp] performs several basic \
simplifications without expansion. Trick[exp] uses Contract, DotSimplify and \
SUNDeltaContract.", "Text", CellTags -> "Trick"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Calc", RuleDelayed[ButtonData, "Calc"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Calc"]]\
, ", ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], ", ", 
                 ButtonBox["DotSimplify", 
                   RuleDelayed[ButtonData, "DotSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DotSimplify"]], ", ", 
                 ButtonBox["DiracTrick", RuleDelayed[ButtonData, 
                    "DiracTrick"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrick"]], "."}], "Text", 
               CellTags -> "Trick"]}, Open]], Cell[CellGroupData[
             {Cell[BoxData["Examples"], "Subsubsection", CellTags -> 
                "Trick"], Cell[TextData[{"This calculates ", Cell[BoxData[
                   \(TraditionalForm\`\(g\^\(\[Mu]\ \[Nu]\) \[Gamma]\_\[Mu]\)
                     \)]], "and ", Cell[BoxData[
                   \(TraditionalForm\`g\_\[Nu]\%\[Nu]\)]], 
                 " in D dimensions."}], "Text", ZeroWidthTimes -> True, 
               CellTags -> "Trick"], Cell[CellGroupData[{Cell[BoxData[
                   \(Trick[\({\(\(GA[\[Mu]]\)\ \(MT[\(\[Mu], \[Nu]\)]\)\),\ 
                         \(MTD[\(\[Nu], \[Nu]\)]\)}\)]\)], "Input", 
                  CellLabel -> "In[1792]:=", CellTags -> "Trick"], 
                 Cell[BoxData[FormBox[RowBox[{"{", RowBox[{SuperscriptBox[
                         "\[Gamma]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], ",", 
                        "D"}], "}"}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1792]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(FV[\(\(p + r\), \[Mu]\)]\)\ \(MT[\(\[Mu], \[Nu]\)]\)\ 
                      \(FV[\(\(q - p\), \[Nu]\)]\)\)], "Input", CellLabel -> 
                   "In[1793]:=", CellTags -> "Trick"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"(", SuperscriptBox[FormBox[
                          \(q - p\), "TraditionalForm"], "\[Nu]"], ")"}], 
                      " ", RowBox[{"(", SuperscriptBox[FormBox[\(p + r\), 
                          "TraditionalForm"], "\[Mu]"], ")"}], " ", 
                      \(g\^\(\[Mu]\[Nu]\)\)}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1793]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Trick[%]\)], "Input", CellLabel -> 
                   "In[1794]:=", CellTags -> "Trick"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"-", SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], "2"]}], "+", RowBox[
                       {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["q", "TraditionalForm"]}], "-", RowBox[
                       {FormBox["p", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["r", "TraditionalForm"]}], "+", RowBox[
                       {FormBox["q", "TraditionalForm"], "\[CenterDot]", 
                        FormBox["r", "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1794]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Trick[\(c . b . a\ .\ \(GA[d]\) . \(GA[e]\)\)]\)], 
                  "Input", CellLabel -> "In[1795]:=", CellTags -> "Trick"], 
                 Cell[BoxData[FormBox[RowBox[{"a", " ", "b", " ", "c", " ", 
                      RowBox[{SuperscriptBox["\[Gamma]", FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        SuperscriptBox["\[Gamma]", FormBox[FormBox["e", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1795]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(%//FCE\)//StandardForm\)], "Input", CellLabel -> 
                   "In[1796]:=", CellTags -> "Trick"], Cell[BoxData[
                   \(a\ b\ c\ \(\(GA[d]\) . \(GA[e]\)\)\)], "Output", 
                  CellLabel -> "Out[1796]//StandardForm="]}, Open]]}, Open]], 
           Cell["TrickIntegrate", "ObjectName", CellTags -> 
             "TrickIntegrate"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "TrickIntegrate"], 
              Cell[" TrickIntegrate[(1-t)^(a Epsilon -1) g[t], t] does an \
integration trick for the definite integral of ((1-t)^(a Epsilon -1) g[t])  \
from 0 to 1. TrickIntegrate[(1-t)^(a Epsilon -1) g[t], t] gives  \
g[1]/a/Epsilon + Hold[Integrate][(1-t)^(a Epsilon-1) (g[t]-g[1]),{t,0,1}]. \
TrickIntegrate[t^(a Epsilon -1) f[t], t] gives f[0]/a/Epsilon + \
Hold[Integrate][t^(a Epsilon-1) (f[t]-f[0]),{t,0,1}], provided g[1] and f[0] \
do exist.", "Text", CellTags -> "TrickIntegrate"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "TrickIntegrate"], Cell[CellGroupData[{Cell[BoxData[
                   \(TrickIntegrate[\(\(\(\((1 - t)\)^
                            \((\(a\ Epsilon\) - 1)\)\)\ \(g[t]\)\), t\)]\)], 
                  "Input", CellLabel -> "In[1797]:=", CellTags -> 
                   "TrickIntegrate"], Cell[BoxData[
                   \(TraditionalForm\`\(\(General :: "ivar"\) \(:\ \)
                        "\!\(TraditionalForm\`\(1 - t\)\) is not a valid \
variable."\)\)], "Message"], Cell[BoxData[
                   \(TraditionalForm\`\(\(lim\+\(t \[Rule] 0\) \[ThinSpace]
                           \(g(\(1 - t\))\)\)\/
                         \(a\ \*TagBox["\[CurlyEpsilon]", TraditionalForm]\) 
                        + \(\(Hold[Integrate]\)[
                          \(\(\((1 - t)\)\^
                               \(\(a\ \*TagBox["\[CurlyEpsilon]", 
                                     TraditionalForm]\) - 1\)\ 
                              \((\(g(t)\) - 
                                 \(lim\+\(\(1 - t\) \[Rule] 0\) \[ThinSpace]
                                   \(g(t)\)\))\)\), \({t, 0, 1}\)\)]\)\)\)], 
                  "Output", CellLabel -> "Out[1797]="]}, Open]]}, Open]], 
           Cell["TrickMandelstam", "ObjectName", CellTags -> 
             "TrickMandelstam"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "TrickMandelstam"], 
              Cell[TextData[{"TrickMandelstam[expr, {s, t, u, ", Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["m", 
                          Rule[FontSlant, "Plain"]]\)\_1\%2\)]], " + ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["m", 
                          Rule[FontSlant, "Plain"]]\)\_2\%2\)]], "+ ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["m", 
                          Rule[FontSlant, "Plain"]]\)\_3\%2\)]], "+ ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["m", 
                          Rule[FontSlant, "Plain"]]\)\_4\%2\)]], "}] \
simplifies all sums in expr so that one of the Mandelstam variables s, t or u \
is eliminated by the relation ", StyleBox["s", Rule[FontSlant, "Italic"]], 
                 " + ", StyleBox["t", Rule[FontSlant, "Italic"]], " + ", 
                 StyleBox["u", Rule[FontSlant, "Italic"]], " = ", 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*StyleBox["m", 
                          Rule[FontSlant, "Italic"]]\)\_1\%2\)]], " + ", 
                 Cell[BoxData[\(TraditionalForm\`m\_2\%2\)]], "+ ", 
                 Cell[BoxData[\(TraditionalForm\`m\_3\%2\)]], "+ ", 
                 Cell[BoxData[\(TraditionalForm\`m\_4\%2\)]], " . The trick \
is that the resulting sum has the most short number of terms."}], "Text", 
               CellTags -> "TrickMandelstam"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "TrickMandelstam"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(TrickMandelstam[\(\(
                           \((s + t - u)\)\ \((\(2 M\_W\%2\) - t - u)\)\), 
                          \({s, t, u, \(2 M\_W\%2\)}\)\)]\)//Factor2\)], 
                  "Input", CellLabel -> "In[1798]:=", CellTags -> 
                   "TrickMandelstam"], Cell[BoxData[
                   \(TraditionalForm\`\(\(-2\)\ s\ \((u - M\_W\%2)\)\)\)], 
                  "Output", CellLabel -> "Out[1798]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TrickMandelstam[\(\(\(\(M^2\)\ s\)\ -\ \(s^2\)\ +\ 
                          \(\(M^2\)\ t\)\ -\ st\ +\ \(\(M^2\)\ u\)\ -\ su\),
                        \ \({s, t, u, \(2\(M^2\)\)}\)\)]\)], "Input", 
                  CellLabel -> "In[1799]:=", CellTags -> "TrickMandelstam"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\(2\ M\^4\) - s\^2 - st - su\)\)], 
                  "Output", CellLabel -> "Out[1799]="]}, Open]]}, Open]], 
           Cell["Tr2", "ObjectName", CellTags -> "Tr2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Tr2"], Cell["If exp contains DiracTrace's, \
Tr2[exp] simplifies exp and does the Dirac traces unless more that 4 gamma \
matrices and DiracGamma[5] occur. Tr2[exp] also separates the color-strucure, \
and takes the color trace if Tf occurs in exp. If exp does not contain \
DiracTrace's, Tr2[exp] takes the Dirac trace.", "Text", CellTags -> "Tr2"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[Tr2]\)], "Input", 
                  CellLabel -> "In[1800]:=", CellTags -> "Tr2"], Cell[BoxData[
                   \(TraditionalForm\`\({Factoring \[Rule] False}\)\)], 
                  "Output", CellLabel -> "Out[1800]="]}, Open]], 
              Cell[TextData[{"See also: ", 
                 ButtonBox["Tr", RuleDelayed[ButtonData, "Tr"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr"]], 
                 ", ", 
                 ButtonBox["Tf", RuleDelayed[ButtonData, "Tf"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tf"]], 
                 ", ", 
                 ButtonBox["DiracTrace", RuleDelayed[ButtonData, 
                    "DiracTrace"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracTrace"]], ", ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], ", ", 
                 ButtonBox["SUNTrace", RuleDelayed[ButtonData, "SUNTrace"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SUNTrace"]], "."}], "Text", CellTags -> 
                "Tr2"]}, Open]], Cell[CellGroupData[{Cell["Examples", 
               "Subsubsection", CellTags -> "Tr2"], Cell[CellGroupData[
                {Cell[BoxData[\(Tr2[\(DiracMatrix[\(a, b, c, d\)]\)]\)], 
                  "Input", CellLabel -> "In[1801]:="], Cell[BoxData[
                   \(TraditionalForm\`\(4\ 
                        \((\(g\^\(ad\)\ g\^\(bc\)\) - 
                           \(g\^\(ac\)\ g\^\(bd\)\) + 
                           \(g\^\(ab\)\ g\^\(cd\)\))\)\)\)], "Output", 
                  CellLabel -> "Out[1801]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(TR[\(\(a\ Tf\), \(SUNTrace \[Rule] True\)\)]\)
                   ], "Input", CellLabel -> "In[1802]:=", CellTags -> "Tr2"], 
                 Cell[BoxData[\(TraditionalForm\`\(4\ a\ N\ T\_f\)\)], 
                  "Output", CellLabel -> "Out[1802]="]}, Open]]}, Open]], 
           Cell["Twist2AlienOperator  ***unfinished*** (unclear usage def.)", 
            "ObjectName", CellTags -> "Twist2AlienOperator"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Twist2AlienOperator"], Cell["Twist2AlienOperator[\
p, 0] : (7);   Twist2AlienOperator[p1,p2,{p3,mu,a}, 0] (p1: incoming quark \
momentum, p3: incoming gluon (count1)).", "Text", CellTags -> 
                "Twist2AlienOperator"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> 
                "Twist2AlienOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2AlienOperator[\(p,\ 0\)]\)], "Input", CellLabel -> 
                   "In[1803]:=", CellTags -> "Twist2AlienOperator"], 
                 Cell[BoxData[FormBox[FractionBox[RowBox[{"2", " ", \(C\_F\), 
                       " ", \(g\_s\%2\), " ", 
                       \((2\/m - 1\/\(m + 1\) - 2\/\(m - 1\))\), " ", \(S\_n\)
                       , " ", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], " ", 
                       SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 1\)]}], 
                     TagBox["\[CurlyEpsilon]", TraditionalForm]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1803]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2AlienOperator[\(p1, p2, \({p3, mu, a}\),\ 0\)]\)], 
                  "Input", CellLabel -> "In[1804]:=", CellTags -> 
                   "Twist2AlienOperator"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{"\[ImaginaryI]", " ", \((1 + \((\(-1\))\)\^m)\), 
                       " ", \(g\_s\%3\), " ", \(S\_n\), " ", RowBox[
                        {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                         RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}]}], 
                       " ", SuperscriptBox[FormBox["\[CapitalDelta]", 
                         "TraditionalForm"], FormBox[FormBox["mu", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                       RowBox[{"(", RowBox[{RowBox[{\((1\/\(m - 1\) - 1\/m)\)
                          , " ", SuperscriptBox[RowBox[{"(", RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}], ")"}]}], ")"}], \(m - 2\)]}], 
                          "+", RowBox[{
                          \((2\/m - 1\/\(m + 1\) - 2\/\(m - 1\))\), " ", 
                          RowBox[{"(", RowBox[{FractionBox[SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)], RowBox[
                          {RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]], "-", FractionBox[
                          SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}], ")"}]}], ")"}], \(m - 1\)], 
                          RowBox[{RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]]}], ")"}]}]}], ")"}]}], 
                     TagBox["\[CurlyEpsilon]", TraditionalForm]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1804]="]}, 
                Open]]}, Open]], Cell["Twist2CounterOperator  \
***unfinished*** (unclear usage def.)", "ObjectName", CellTags -> 
             "Twist2CounterOperator"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "Twist2CounterOperator"], Cell["Twist2CounterOperator[p,mu,nu\
,a,b,5]; Twist2CounterOperator[p, 7] : (7);  \
Twist2CounterOperator[p1,p2,{p3,mu,a}, 1] (p1: incoming quark momentum, p3: \
incoming gluon (count1)).", "Text", CellTags -> "Twist2CounterOperator"]}, 
             Open]], Cell[CellGroupData[{Cell["Examples", "Subsubsection", 
               CellTags -> "Twist2CounterOperator"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Twist2CounterOperator[\(p, mu, nu, a, b, 5\)]\)], 
                  "Input", CellLabel -> "In[1805]:=", CellTags -> 
                   "Twist2CounterOperator"], Cell[BoxData[FormBox[RowBox[
                     {"-", RowBox[{
                        \(1\/\(2\ \*TagBox["\[CurlyEpsilon]", 
                               TraditionalForm]\)\), RowBox[{"(", RowBox[{
                          \((1 + \((\(-1\))\)\^m)\), " ", \(C\_A\), " ", 
                          \(g\_s\%2\), " ", \(S\_n\), " ", RowBox[{"(", 
                          RowBox[{RowBox[{
                          \((8\/m - 24\/\(m + 1\) + 24\/\(m + 2\) - 
                              4\/\(m - 1\))\), " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["mu", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["nu", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)]}], "+", 
                          RowBox[{
                          \((\(-\(6\/m\)\) + 16\/\(m + 1\) - 16\/\(m + 2\) + 
                              6\/\(m - 1\))\), " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["mu", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["nu", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["mu", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["nu", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)]}], "+", 
                          RowBox[{
                          \((8\/m - 12\/\(m + 1\) + 8\/\(m + 2\) - 
                              8\/\(m - 1\))\), " ", \(g\^\(munu\)\), " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], "m"]}]}], ")"}], " ", SubscriptBox[
                          "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1805]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2CounterOperator[\(p, 7\)]\)], "Input", 
                  CellLabel -> "In[1806]:=", CellTags -> 
                   "Twist2CounterOperator"], Cell[BoxData[FormBox[FractionBox[
                     RowBox[{\((1 + \((\(-1\))\)\^m)\), " ", \(C\_F\), " ", 
                       \(g\_s\%2\), " ", 
                       \((2\/m - 1\/\(m + 1\) - 2\/\(m - 1\))\), " ", \(S\_n\)
                       , " ", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], " ", 
                       SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 1\)]}], 
                     TagBox["\[CurlyEpsilon]", TraditionalForm]], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1806]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2CounterOperator[\(p1, p2, \({p3, mu, a}\), 1\)]\)]\
, "Input", CellLabel -> "In[1807]:=", CellTags -> "Twist2CounterOperator"], 
                 Cell[BoxData[FormBox[RowBox[{"-", FractionBox[RowBox[{
                         \((1 + \((\(-1\))\)\^m)\), " ", 
                         \((C\_A - \(2\ C\_F\))\), " ", \(g\_s\%3\), " ", 
                         \((2\/m - 1\/\(m + 1\) - 2\/\(m - 1\))\), " ", 
                         \(S\_n\), " ", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], " ", 
                         SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["mu", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                         RowBox[{"(", RowBox[{FractionBox[SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)], RowBox[
                          {RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]], "-", FractionBox[
                          SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}], ")"}]}], ")"}], \(m - 1\)], 
                          RowBox[{RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]]}], ")"}], " ", SubscriptBox[
                          "T", FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], 
                       \(2\ \*TagBox["\[CurlyEpsilon]", TraditionalForm]\)]}]\
, TraditionalForm]], "Output", CellLabel -> "Out[1807]="]}, Open]]}, Open]], 
           Cell["Twist2GluonOperator", "ObjectName", CellTags -> 
             "Twist2GluonOperator"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "Twist2GluonOperator"], Cell["Twist2GluonOperator[{p, mu, a}, \
{nu, b}] or Twist2GluonOperator[p, {mu, a}, {nu, b}] or \
Twist2GluonOperator[p, mu,a, nu,b] yields the 2-gluon operator (p is ingoing \
momentum corresponding to Lorentz index mu). Twist2GluonOperator[{p,mu,a}, \
{q,nu,b}, {k,la,c}] or Twist2GluonOperator[ p,mu,a , q,nu,b , k,la,c ] gives \
the 3-gluon operator. Twist2GluonOperator[{p,mu,a}, {q,nu,b}, {k,la,c}, \
{s,si,d}] or Twist2GluonOperator[p,mu,a , q,nu,b , k,la,c , s,si,d] yields \
the 4-Gluon operator. The dimension is determined by the option and \
Dimension. The setting of the option Polarization (unpolarized: 0; polarized: \
1) determines whether the unpolarized or polarized feynman rule is returned. \
With the setting Explicit to False the color-structure and the (1+(-1)^OPEm) \
(for polarized: (1-(-1)^OPEm)) is extracted and the color indices are omitted \
in the arguments of Twist2GluonOperator.", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Twist2QuarkOperator", 
                   RuleDelayed[ButtonData, "Twist2QuarkOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2QuarkOperator"]], "."}], "Text", 
               CellTags -> "Twist2GluonOperator"]}, Open]], 
           Cell[CellGroupData[
             {Cell["Polarized case, zero-momentum insertion ", 
               "Subsubsection", CellTags -> "Twist2GluonOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(Twist2GluonOperator,\ 
                        \(Polarization\ \[Rule]\ 1\), 
                        \(Explicit \[Rule] False\),\ 
                        \(ZeroMomentumInsertion\ \[Rule]\ True\)\)]\)], 
                  "Input", CellLabel -> "In[1808]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Polarization \[Rule] 1\),
                          \(Explicit \[Rule] False\), 
                         \(ZeroMomentumInsertion \[Rule] True\)}\)\)], 
                  "Output", CellLabel -> "Out[1808]="]}, Open]], 
              Cell["2-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(p, \({\[Mu], a}\), \({\[Nu], b}\)
                       \)]\)], "Input", CellLabel -> "In[1809]:=", 
                  CellTags -> "Twist2GluonOperator"], Cell[BoxData[
                   FormBox[RowBox[{"\[ImaginaryI]", " ", RowBox[{"(", 
                        RowBox[{"1", "-", FormBox[\(\((\(-1\))\)\^m\), 
                          "TraditionalForm"]}], ")"}], " ", SubscriptBox[
                       "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                         {SubsuperscriptBox["O", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]}], "G2"], 
                          "(", FormBox["p", "TraditionalForm"], ")"}], 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1809]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       p, \({\[Mu], a}\), \({\[Nu], b}\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1810]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {"\[ImaginaryI]", " ", SuperscriptBox["\[Epsilon]", 
                       RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                         {"1", "-", FormBox[\(\((\(-1\))\)\^m\), 
                          "TraditionalForm"]}], ")"}], " ", FormBox[
                       SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 1\)], "TraditionalForm"], " ", 
                      SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1810]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(p, \({\[Mu]}\), \({\[Nu]}\)\)]\)], 
                  "Input", CellLabel -> "In[1811]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {SubsuperscriptBox["O", RowBox[{FormBox["\[Mu]", 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          "\[Nu]", "TraditionalForm"]}], "G2"], "(", 
                      FormBox["p", "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1811]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       p, \({\[Mu]}\), \({\[Nu]}\), \(Explicit \[Rule] True\)
                       \)]\)], "Input", CellLabel -> "In[1812]:=", 
                  CellTags -> "Twist2GluonOperator"], Cell[BoxData[
                   FormBox[RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                        {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]], " ", FormBox[SuperscriptBox[
                        RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)], 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1812]="]}, Open]], Cell["3-gluon legs", 
               "Text", CellTags -> "Twist2GluonOperator"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\)\)]\)], "Input", CellLabel -> 
                   "In[1813]:=", CellTags -> "Twist2GluonOperator"], 
                 Cell[BoxData[FormBox[RowBox[{\(g\_s\), " ", RowBox[
                       {"(", RowBox[{"1", "-", FormBox[\(\((\(-1\))\)\^m\), 
                          "TraditionalForm"]}], ")"}], " ", SubscriptBox["f", 
                       RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                         {SubsuperscriptBox["O", RowBox[{FormBox[FormBox[
                          "\[Nu]", "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]}], "G3"], 
                          "(", FormBox["q", "TraditionalForm"], ",", FormBox[
                          "r", "TraditionalForm"], ",", FormBox["p", 
                          "TraditionalForm"], ")"}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1813]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\)\)]\)], 
                  "Input", CellLabel -> "In[1814]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {SubsuperscriptBox["O", RowBox[{FormBox["\[Nu]", 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          "\[Rho]", "TraditionalForm"], "\[VeryThinSpace]", 
                         FormBox["\[Mu]", "TraditionalForm"]}], "G3"], "(", 
                      FormBox["q", "TraditionalForm"], ",", FormBox["r", 
                       "TraditionalForm"], ",", FormBox["p", 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1814]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1815]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"-", RowBox[{"(", RowBox[{RowBox[
                          {SuperscriptBox["\[Epsilon]", RowBox[{FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "p", "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}]}], " ", 
                        SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 2\)]}], "-", RowBox[{RowBox[{"(", 
                          RowBox[{RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SuperscriptBox[
                         RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)]}], "-", 
                      RowBox[{RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SuperscriptBox[
                         RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)]}], "+", 
                      RowBox[{RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[{
                          \(\((\(-1\))\)\^i\), " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]}], ")"}]}], "-", RowBox[
                       {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[{
                          \(\((\(-1\))\)\^i\), " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]}], ")"}]}], "-", RowBox[
                       {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[{
                          \(\((\(-1\))\)\^i\), " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1815]="]}, 
                Open]], Cell["4-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\), \({s, \[Sigma], d}\)\)]\)], 
                  "Input", CellLabel -> "In[1816]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {"\[ImaginaryI]", " ", \((1 - \((\(-1\))\)\^m)\), " ", 
                      \(g\_s\%2\), " ", RowBox[{"(", RowBox[{RowBox[
                          {RowBox[{"-", SubscriptBox["f", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c140", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c140", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                          {SubsuperscriptBox["O", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}], "G4"], 
                          "(", FormBox["p", "TraditionalForm"], ",", FormBox[
                          "q", "TraditionalForm"], ",", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}], "-", RowBox[
                          {SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c140", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c140", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G4"], "(", FormBox["p", 
                          "TraditionalForm"], ",", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["q", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}], "+", RowBox[
                          {SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c140", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c140", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G4"], "(", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["q", 
                          "TraditionalForm"], ",", FormBox["p", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1816]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\), 
                        \({s, \[Sigma]}\)\)]\)], "Input", CellLabel -> 
                   "In[1817]:=", CellTags -> "Twist2GluonOperator"], 
                 Cell[BoxData[FormBox[RowBox[{SubsuperscriptBox["O", 
                       RowBox[{FormBox["\[Mu]", "TraditionalForm"], 
                         "\[VeryThinSpace]", FormBox["\[Nu]", 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          "\[Rho]", "TraditionalForm"], "\[VeryThinSpace]", 
                         FormBox["\[Sigma]", "TraditionalForm"]}], "G4"], 
                      "(", FormBox["p", "TraditionalForm"], ",", FormBox["q", 
                       "TraditionalForm"], ",", FormBox["r", 
                       "TraditionalForm"], ",", FormBox["s", 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1817]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\), 
                        \({s, \[Sigma]}\), \(Explicit \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1818]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SuperscriptBox[
                         RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(m - 2\)]}], "-", 
                      RowBox[{RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", RowBox[{"(", 
                          RowBox[{RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["s", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["s", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[
                         {"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], \(\(-i\) + m - 3\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"]}]}], 
                          HoldForm], "TraditionalForm"], ")"}], " ", 
                        RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{RowBox[
                         {"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(\(-i\) + m - 3\)]}]
                          }], HoldForm], "TraditionalForm"], ")"}], " ", 
                        SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(\(-i\) + m - 3\)]}]
                          }], HoldForm], "TraditionalForm"], ")"}], " ", 
                        SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}]}], "-", RowBox[
                       {RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 4\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{"-", RowBox[{"(", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"-", SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "p", "TraditionalForm"], FormBox["s", 
                          "TraditionalForm"]}]]}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["s", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 4\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{"-", RowBox[{"(", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"-", SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "q", "TraditionalForm"], FormBox["s", 
                          "TraditionalForm"]}]]}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["s", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 4\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{"-", RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], ")"}], "i"], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{RowBox[{"-", RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], "-", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"-", SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "p", "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]]}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], "-", RowBox[
                       {RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 4\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{"-", RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], ")"}], "i"], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{RowBox[{"-", RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], "-", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"-", SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "q", "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]]}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1818]="]}, 
                Open]]}, Open]], Cell[CellGroupData[
             {Cell["Unpolarized case, zero-momentum insertion", 
               "Subsubsection", CellTags -> "Twist2GluonOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(Twist2GluonOperator, 
                        \(Polarization \[Rule] 0\), 
                        \(ZeroMomentumInsertion \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1819]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Polarization \[Rule] 0\),
                          \(Explicit \[Rule] False\), 
                         \(ZeroMomentumInsertion \[Rule] True\)}\)\)], 
                  "Output", CellLabel -> "Out[1819]="]}, Open]], 
              Cell["2-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(p, \({\[Mu], a}\), \({\[Nu], b}\)
                       \)]\)], "Input", CellLabel -> "In[1820]:=", 
                  CellTags -> "Twist2GluonOperator"], Cell[BoxData[
                   FormBox[RowBox[{\(1\/2\), " ", RowBox[{"(", RowBox[
                         {FormBox[\(\((\(-1\))\)\^m\), "TraditionalForm"], 
                          "+", "1"}], ")"}], " ", SubscriptBox["\[Delta]", 
                       RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                      RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G2"], "(", FormBox["p", 
                          "TraditionalForm"], ")"}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1820]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       p, \({\[Mu], a}\), \({\[Nu], b}\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1821]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(1\/2\), " ", RowBox[{"(", RowBox[{RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{RowBox[{"(", RowBox[{RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], ")"}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"]}]}], ")"}], " ", 
                      RowBox[{"(", RowBox[{FormBox[\(\((\(-1\))\)\^m\), 
                          "TraditionalForm"], "+", "1"}], ")"}], " ", 
                      FormBox[SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 2\)], "TraditionalForm"], " ", 
                      SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1821]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(p, \({\[Mu]}\), \({\[Nu]}\)\)]\)], 
                  "Input", CellLabel -> "In[1822]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {SubsuperscriptBox["O", RowBox[{FormBox["\[Mu]", 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          "\[Nu]", "TraditionalForm"]}], "G2"], "(", 
                      FormBox["p", "TraditionalForm"], ")"}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1822]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       p, \({\[Mu]}\), \({\[Nu]}\), \(Explicit \[Rule] True\)
                       \)]\)], "Input", CellLabel -> "In[1823]:=", 
                  CellTags -> "Twist2GluonOperator"], Cell[BoxData[
                   FormBox[RowBox[{RowBox[{"(", RowBox[{RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"]}], 
                          "-", RowBox[{RowBox[{"(", RowBox[{RowBox[
                          {SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], ")"}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], "2"]}]}], ")"}], " ", 
                      FormBox[SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 2\)], "TraditionalForm"]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1823]="]}, 
                Open]], Cell["3-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\)\)]\)], "Input", CellLabel -> 
                   "In[1824]:=", CellTags -> "Twist2GluonOperator"], 
                 Cell[BoxData[FormBox[RowBox[{\(-\(1\/2\)\), " ", 
                      "\[ImaginaryI]", " ", \(g\_s\), " ", RowBox[{"(", 
                        RowBox[{FormBox[\(\((\(-1\))\)\^m\), 
                          "TraditionalForm"], "+", "1"}], ")"}], " ", 
                      SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                      RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G3"], "(", FormBox["q", 
                          "TraditionalForm"], ",", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["p", 
                          "TraditionalForm"], ")"}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1824]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\)\)]\)], 
                  "Input", CellLabel -> "In[1825]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {SubsuperscriptBox["O", RowBox[{FormBox["\[Nu]", 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          "\[Rho]", "TraditionalForm"], "\[VeryThinSpace]", 
                         FormBox["\[Mu]", "TraditionalForm"]}], "G3"], "(", 
                      FormBox["q", "TraditionalForm"], ",", FormBox["r", 
                       "TraditionalForm"], ",", FormBox["p", 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1825]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1826]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["q", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{"-", RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["r", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["r", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(\[Nu]\[Rho]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}]}], "+", RowBox[
                          {RowBox[{"(", RowBox[{RowBox[{\(g\^\(\[Mu]\[Rho]\)\)
                          , " ", SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{\(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]}], ")"}], " ", FormBox[
                         SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 2\)], "TraditionalForm"]}], "+", 
                      RowBox[{RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          FormBox["q", "TraditionalForm"], FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"]], 
                          " ", SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], 
                          ")"}]}], "+", RowBox[{RowBox[{"(", RowBox[{RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Rho]\)\)}]}]
                          , ")"}], " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}], " ", FormBox[
                         SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(m - 2\)], "TraditionalForm"]}], "+", 
                      RowBox[{RowBox[{"(", RowBox[{RowBox[{RowBox[{"(", 
                          RowBox[{RowBox[{SuperscriptBox[FormBox["r", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["r", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{RowBox[{"(", 
                          RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Rho]\)\)}], 
                          "-", RowBox[{\(g\^\(\[Mu]\[Rho]\)\), " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}]}], ")"}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}], " ", FormBox[
                         SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(m - 2\)], "TraditionalForm"]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1826]="]}, 
                Open]], Cell["4-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\), \({s, \[Sigma], d}\)\)]\)], 
                  "Input", CellLabel -> "In[1827]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(1\/2\), " ", \((1 + \((\(-1\))\)\^m)\), " ", 
                      \(g\_s\%2\), " ", RowBox[{"(", RowBox[{RowBox[
                          {RowBox[{"-", SubscriptBox["f", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c141", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c141", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                          {SubsuperscriptBox["O", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}], "G4"], 
                          "(", FormBox["p", "TraditionalForm"], ",", FormBox[
                          "q", "TraditionalForm"], ",", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}], "-", RowBox[
                          {SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c141", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c141", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G4"], "(", FormBox["p", 
                          "TraditionalForm"], ",", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["q", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}], "+", RowBox[
                          {SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c141", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c141", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G4"], "(", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["q", 
                          "TraditionalForm"], ",", FormBox["p", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1827]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\), 
                        \({s, \[Sigma]}\)\)]\)], "Input", CellLabel -> 
                   "In[1828]:=", CellTags -> "Twist2GluonOperator"], 
                 Cell[BoxData[FormBox[RowBox[{SubsuperscriptBox["O", 
                       RowBox[{FormBox["\[Mu]", "TraditionalForm"], 
                         "\[VeryThinSpace]", FormBox["\[Nu]", 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          "\[Rho]", "TraditionalForm"], "\[VeryThinSpace]", 
                         FormBox["\[Sigma]", "TraditionalForm"]}], "G4"], 
                      "(", FormBox["p", "TraditionalForm"], ",", FormBox["q", 
                       "TraditionalForm"], ",", FormBox["r", 
                       "TraditionalForm"], ",", FormBox["s", 
                       "TraditionalForm"], ")"}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1828]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\), 
                        \({s, \[Sigma]}\), \(Explicit \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1829]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Sigma]\)\), 
                          " ", SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{\(g\^\(\[Mu]\[Sigma]\)\), " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(g\^\(\[Nu]\[Rho]\)\), " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SuperscriptBox[
                         RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(m - 2\)]}], "+", 
                      RowBox[{RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(\(-i\) + m - 3\)]}]
                          }], HoldForm], "TraditionalForm"], ")"}], " ", 
                        SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{\(g\^\(\[Mu]\[Rho]\)\), " ", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          " ", SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["p", "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Sigma]\)\), " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]}], ")"}]}], "-", RowBox[
                       {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(\(-i\) + m - 3\)]}]
                          }], HoldForm], "TraditionalForm"], ")"}], " ", 
                        SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{\(g\^\(\[Nu]\[Rho]\)\), " ", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          " ", SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["q", "TraditionalForm"], 
                          FormBox[FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{
                          \(g\^\(\[Nu]\[Sigma]\)\), " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], \(\(-i\) + m - 3\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"]}]}], 
                          HoldForm], "TraditionalForm"], ")"}], " ", 
                        SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                        RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "r", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["r", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Rho]\)\), 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["s", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "-", 
                          RowBox[{SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["s", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Sigma]\)\), 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Sigma]\)\), " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}]}], ")"}]}], "-", RowBox[
                       {RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 4\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{"-", RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], ")"}], "i"], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{RowBox[{"-", RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], "-", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"-", SuperscriptBox[FormBox["r", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Rho]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 4\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{"-", RowBox[{"(", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"-", SuperscriptBox[FormBox["s", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{
                          \(g\^\(\[Mu]\[Sigma]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p", "TraditionalForm"], FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}]}], ")"}]}], "+", RowBox[
                       {RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 4\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{"-", RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], ")"}], "i"], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{RowBox[{"-", RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], "-", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"-", SuperscriptBox[FormBox["r", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "+", RowBox[{
                          \(g\^\(\[Nu]\[Rho]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], "-", RowBox[
                       {RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 4\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{"-", RowBox[{"(", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                         FormBox["\[CapitalDelta]", "TraditionalForm"], 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"-", SuperscriptBox[FormBox["s", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "+", RowBox[{
                          \(g\^\(\[Nu]\[Sigma]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}]}], ")"}]}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1829]="]}, 
                Open]]}, Open]], Cell[CellGroupData[
             {Cell["Advanced Examples", "Subsubsection", CellTags -> 
                "Twist2GluonOperator"], Cell[
               "The setting All for Explicit performs the sums.", "Text", 
               CellTags -> "Twist2GluonOperator"], Cell[BoxData[
                \(\(SetOptions[\(Twist2GluonOperator,\ 
                       \(Polarization\ \[Rule]\ 1\),\ 
                       \(Explicit \[Rule] All\)\)]\) ;\)], "Input", 
               CellLabel -> "In[1830]:=", CellTags -> "Twist2GluonOperator"], 
              Cell[BoxData[
                \(\(Twist2GluonOperator[\(
                      \({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                       \({r, \[Rho], c}\)\)]\) ;\)], "Input", CellLabel -> 
                "In[1831]:=", CellTags -> "Twist2GluonOperator"]}, Open]], 
           Cell[CellGroupData[
             {Cell["Polarized case, non-zero-momentum insertion", 
               "Subsubsection", CellTags -> "Twist2GluonOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(Twist2GluonOperator,\ 
                        \(Polarization\ \[Rule]\ 1\), 
                        \(ZeroMomentumInsertion \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[1832]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Polarization \[Rule] 1\),
                          \(Explicit \[Rule] All\), 
                         \(ZeroMomentumInsertion \[Rule] False\)}\)\)], 
                  "Output", CellLabel -> "Out[1832]="]}, Open]], 
              Cell["2-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, q}\), \({\[Mu], a}\), \({\[Nu], b}\)\)]\)], 
                  "Input", CellLabel -> "In[1833]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(1\/2\), " ", "\[ImaginaryI]", " ", 
                      \((1 - \((\(-1\))\)\^m)\), " ", RowBox[{"(", RowBox[
                         {RowBox[{RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]}], ")"}], " ", FormBox[
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 2\)], "TraditionalForm"]}], "+", 
                          RowBox[{RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", FormBox[
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(m - 2\)], "TraditionalForm"]}]}], ")"}], 
                      " ", SubscriptBox["\[Delta]", RowBox[{FormBox[FormBox[
                          "a", "TraditionalForm"], "TraditionalForm"], 
                         FormBox[FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1833]="]}, Open]], 
              Cell["3-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\)\)]\)], "Input", CellLabel -> 
                   "In[1834]:=", CellTags -> "Twist2GluonOperator"], 
                 Cell[BoxData[FormBox[RowBox[{\(g\_s\), " ", RowBox[
                       {"(", RowBox[{RowBox[{RowBox[{"-", SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]]}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)]}], "+", 
                          RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)]}], "-", 
                          RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)]}], "-", 
                          RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", RowBox[{"(", FormBox[
                          TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 3\)\), 
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", RowBox[{"(", FormBox[
                          TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 3\)\), 
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", RowBox[{"(", FormBox[
                          TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 3\)\), 
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", RowBox[{"(", FormBox[
                          TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 3\)\), 
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", RowBox[{"(", FormBox[
                          TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 3\)\), 
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          "\[Epsilon]", RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", RowBox[{"(", FormBox[
                          TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 3\)\), 
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "+", RowBox[{FractionBox[
                          "1", SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "2"]], RowBox[
                          {"(", RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "m"], "+", RowBox[
                          {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "3"]}], 
                          "+", RowBox[{RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}], "+", RowBox[{"2", " ", 
                          RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}], ")"}]}], "-", 
                          RowBox[{FractionBox["1", SuperscriptBox[RowBox[
                          {"(", RowBox[{RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "2"]], RowBox[
                          {"(", RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["r", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "m"], "+", RowBox[
                          {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], "3"]}], 
                          "+", RowBox[{"2", " ", RowBox[{"(", FormBox[TagBox[
                          RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}], "+", RowBox[{RowBox[
                          {"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}], ")"}]}], "-", 
                          RowBox[{FractionBox["1", SuperscriptBox[RowBox[
                          {"(", RowBox[{RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "2"]], RowBox[
                          {"(", RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "m"], "+", RowBox[
                          {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "3"]}], 
                          "+", RowBox[{RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}], "+", RowBox[{"2", " ", 
                          RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], ")"}]}], "-", 
                          FractionBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["q", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "m"], "+", RowBox[
                          {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], "TraditionalForm"], "3"]}], 
                          "+", RowBox[{"2", " ", RowBox[{"(", FormBox[TagBox[
                          RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}], "+", RowBox[{RowBox[
                          {"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "2"]], "-", 
                          FractionBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "m"], "+", RowBox[
                          {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], "3"]}], 
                          "+", RowBox[{RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}], "+", RowBox[{"2", " ", 
                          RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "2"]], "+", 
                          FractionBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "m"], "+", RowBox[
                          {RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], "TraditionalForm"], "3"]}], 
                          "+", RowBox[{"2", " ", RowBox[{"(", FormBox[TagBox[
                          RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          " ", SuperscriptBox[FormBox[RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "TraditionalForm"], "2"]}], "+", RowBox[{RowBox[
                          {"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                          "TraditionalForm"], ")"}], " ", SuperscriptBox[
                          FormBox[RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], "2"], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "2"]], "-", 
                          FractionBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], "m"]}], "+", RowBox[
                          {RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}], "m"], " ", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "m"], " ", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]}], ")"}]}], RowBox[
                          {RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]]}], ")"}], " ", SubscriptBox[
                       "f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1834]="]}, Open]], 
              Cell["4-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\), \({s, \[Sigma], d}\), 
                        \(Explicit \[Rule] False\)\)]\)], "Input", 
                  CellLabel -> "In[1835]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[
                     {"\[ImaginaryI]", " ", \((1 - \((\(-1\))\)\^m)\), " ", 
                      \(g\_s\%2\), " ", RowBox[{"(", RowBox[{RowBox[
                          {RowBox[{"-", SubscriptBox["f", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c142", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c142", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                          {SubsuperscriptBox["O", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}], "G4"], 
                          "(", FormBox["p", "TraditionalForm"], ",", FormBox[
                          "q", "TraditionalForm"], ",", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}], "-", RowBox[
                          {SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c142", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c142", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G4"], "(", FormBox["p", 
                          "TraditionalForm"], ",", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["q", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}], "+", RowBox[
                          {SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c142", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c142", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G4"], "(", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["q", 
                          "TraditionalForm"], ",", FormBox["p", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1835]="]}, 
                Open]]}, Open]], Cell[CellGroupData[
             {Cell["Unpolarized case, non-zero-momentum insertion", 
               "Subsubsection", CellTags -> "Twist2GluonOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(Twist2GluonOperator,\ 
                        \(Polarization\ \[Rule]\ 0\), 
                        \(ZeroMomentumInsertion \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[1836]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Polarization \[Rule] 0\),
                          \(Explicit \[Rule] All\), 
                         \(ZeroMomentumInsertion \[Rule] False\)}\)\)], 
                  "Output", CellLabel -> "Out[1836]="]}, Open]], 
              Cell["2-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, q}\), \({\[Mu], a}\), \({\[Nu], b}\)\)]\)], 
                  "Input", CellLabel -> "In[1837]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(-\(1\/2\)\), " ", \((1 + \((\(-1\))\)\^m)\), " ", 
                      RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Nu]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]}], ")"}]}]}], ")"}], " ", 
                      RowBox[{"(", RowBox[{FormBox[SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)], 
                          "TraditionalForm"], "+", FormBox[SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)], 
                          "TraditionalForm"]}], ")"}], " ", SubscriptBox[
                       "\[Delta]", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1837]="]}, Open]], 
              Cell["3-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[BoxData[
                \(\(Twist2GluonOperator[\(
                      \({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                       \({r, \[Rho], c}\)\)]\) ;\)], "Input", CellLabel -> 
                "In[1838]:=", CellTags -> "Twist2GluonOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\)\)]\)], 
                  "Input", CellLabel -> "In[1839]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(-\(1\/2\)\), " ", \((1 + \((\(-1\))\)\^m)\), " ", 
                      RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "\[Mu]", "TraditionalForm"], FormBox[FormBox["q", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["r", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "-", RowBox[{\(g\^\(qr\)\), 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[Mu]", "TraditionalForm"]}], " ", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["q", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["r", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[Mu]", "TraditionalForm"]}]}], "-", RowBox[
                          {SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["r", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["\[Mu]", 
                          "TraditionalForm"]}]}]}], ")"}]}]}], ")"}], " ", 
                      RowBox[{"(", RowBox[{FormBox[SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)], 
                          "TraditionalForm"], "+", FormBox[SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[Mu]", "TraditionalForm"]}], ")"}], \(m - 2\)], 
                          "TraditionalForm"]}], ")"}], " ", SubscriptBox[
                       "\[Delta]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1839]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\), 
                        \(Explicit \[Rule] True\)\)]\)], "Input", 
                  CellLabel -> "In[1840]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(-\(1\/2\)\), " ", \((1 + \((\(-1\))\)\^m)\), " ", 
                      RowBox[{"(", RowBox[{RowBox[{SuperscriptBox[FormBox[
                          "\[Mu]", "TraditionalForm"], FormBox[FormBox["q", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["r", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "-", RowBox[{\(g\^\(qr\)\), 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[Mu]", "TraditionalForm"]}], " ", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["q", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["p", 
                          "TraditionalForm"], FormBox[FormBox["r", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[Mu]", "TraditionalForm"]}]}], "-", RowBox[
                          {SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["r", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["p", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["\[Mu]", 
                          "TraditionalForm"]}]}]}], ")"}]}]}], ")"}], " ", 
                      RowBox[{"(", RowBox[{FormBox[SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)], 
                          "TraditionalForm"], "+", FormBox[SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[Mu]", "TraditionalForm"]}], ")"}], \(m - 2\)], 
                          "TraditionalForm"]}], ")"}], " ", SubscriptBox[
                       "\[Delta]", RowBox[{FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1840]="]}, Open]], 
              Cell["4-gluon legs", "Text", CellTags -> 
                "Twist2GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2GluonOperator[\(
                       \({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                        \({r, \[Rho], c}\), \({s, \[Sigma], d}\), 
                        \(Explicit \[Rule] False\)\)]\)], "Input", 
                  CellLabel -> "In[1841]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(1\/2\), " ", \((1 + \((\(-1\))\)\^m)\), " ", 
                      \(g\_s\%2\), " ", RowBox[{"(", RowBox[{RowBox[
                          {RowBox[{"-", SubscriptBox["f", RowBox[{FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c143", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], " ", SubscriptBox["f", 
                          RowBox[{FormBox[FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c143", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["d", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", RowBox[{"(", RowBox[
                          {SubsuperscriptBox["O", RowBox[{FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], 
                          "\[VeryThinSpace]", FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]}], "G4"], 
                          "(", FormBox["p", "TraditionalForm"], ",", FormBox[
                          "q", "TraditionalForm"], ",", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}], "-", RowBox[
                          {SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c143", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c143", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G4"], "(", FormBox["p", 
                          "TraditionalForm"], ",", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["q", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}], "+", RowBox[
                          {SubscriptBox["f", RowBox[{FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c143", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["d", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          SubscriptBox["f", RowBox[{FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["c143", 
                          "TraditionalForm"], "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{SubsuperscriptBox["O", RowBox[
                          {FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "\[VeryThinSpace]", FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]}], "G4"], "(", FormBox["r", 
                          "TraditionalForm"], ",", FormBox["q", 
                          "TraditionalForm"], ",", FormBox["p", 
                          "TraditionalForm"], ",", FormBox["s", 
                          "TraditionalForm"], ")"}], ")"}]}]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1841]="]}, 
                Open]], Cell["Suppress the lengthy output.", "Text", 
               CellTags -> "Twist2GluonOperator"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(Short[\(\(Twist2GluonOperator[
                          \(\({p, \[Mu]}\), \({q, \[Nu]}\), \({r, \[Rho]}\), 
                            \({s, \[Sigma]}\), \(Explicit \[Rule] True\)\)]\)\
, 6\)]\)], "Input", CellLabel -> "In[1842]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[TagBox[
                     RowBox[{RowBox[{RowBox[{"(", RowBox[{RowBox[
                          {SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          \(g\^\(\[Nu]\[Sigma]\)\), " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{
                          \(g\^\(\[Mu]\[Sigma]\)\), " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", \(g\^\(\[Nu]\[Rho]\)\), 
                          " ", SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]]}], "+", 
                          RowBox[{\(g\^\(\[Mu]\[Rho]\)\), " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]]}]}], ")"}], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(m - 2\)]}], "+", 
                       \(\[LeftSkeleton] 8 \[RightSkeleton]\), "+", RowBox[
                        {RowBox[{"(", RowBox[{FormBox[
                          \(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                          "TraditionalForm"], FormBox[\(""\ \((j + 1)\)\), 
                          "TraditionalForm"], FormBox[RowBox[{SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], \(\(-j\) + m - 4\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[\(\[LeftSkeleton] 1 \[RightSkeleton]\), 
                          "TraditionalForm"]], " ", 
                         \(\(\[LeftSkeleton] 1 \[RightSkeleton]\)\^
                            \(\[LeftSkeleton] 1 \[RightSkeleton]\)\), " ", 
                         \((\[LeftSkeleton] 1 \[RightSkeleton])\)}], "-", 
                       RowBox[{RowBox[{"(", RowBox[{FormBox[
                          \(\[Sum]\+\(j = 0\)\%\(m - 4\) ""\), 
                          "TraditionalForm"], FormBox[\(""\ \((j + 1)\)\), 
                          "TraditionalForm"], FormBox[RowBox[{SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], \(\(-j\) + m - 4\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {"-", RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}]}], "-", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{"-", RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}], ")"}]}], ")"}], "i"]}], 
                          "TraditionalForm"]}], ")"}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{"-", SuperscriptBox[FormBox["s", 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["\[Sigma]", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "+", RowBox[{
                          \(g\^\(\[Nu]\[Sigma]\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "q", "TraditionalForm"], FormBox[FormBox[
                          "\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["\[Sigma]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["q", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["s", 
                          "TraditionalForm"]}]}]}], ")"}]}]}], Short[#1, 
                       6] & ], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1842]//Short="]}, Open]], 
              Cell["The setting Explicit \[Rule] All performs the sums.", 
               "Text", CellTags -> "Twist2GluonOperator"], Cell[BoxData[
                \(\(SetOptions[\(Twist2GluonOperator,\ 
                       \(Polarization\ \[Rule]\ 1\),\ 
                       \(Explicit \[Rule] All\)\)]\) ;\)], "Input", 
               CellLabel -> "In[1843]:=", CellTags -> "Twist2GluonOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Short[\(\(Twist2GluonOperator[
                          \(\({p, \[Mu], a}\), \({q, \[Nu], b}\), 
                            \({r, \[Rho], c}\)\)]\), 5\)]\)], "Input", 
                  CellLabel -> "In[1844]:=", CellTags -> 
                   "Twist2GluonOperator"], Cell[BoxData[FormBox[TagBox[
                     RowBox[{\(g\_s\), " ", RowBox[{"(", RowBox[{RowBox[
                          {RowBox[{"-", SuperscriptBox["\[Epsilon]", RowBox[
                          {FormBox[FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]]}], " ", SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 2\)]}], "+", 
                          \(\[LeftSkeleton] 20 \[RightSkeleton]\), "+", 
                          FractionBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Rho]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox["p", 
                          "TraditionalForm"]}]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          \(\[LeftSkeleton] 1 \[RightSkeleton]\), 
                          "TraditionalForm"]], " ", RowBox[{"(", RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "m"], "+", 
                          \(\[LeftSkeleton] 2 \[RightSkeleton]\), "+", RowBox[
                          {RowBox[{"(", FormBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 3\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          ")"}], \(\(-i\) + m - 3\)], " ", 
                          \(\((\(\[LeftSkeleton] 1 \[RightSkeleton]\) + 
                                \(\[LeftSkeleton] 1 \[RightSkeleton]\))\)\^i\
\)}]}], "TraditionalForm"], ")"}], " ", SuperscriptBox[FormBox[
                          \(\[LeftSkeleton] 1 \[RightSkeleton]\), 
                          "TraditionalForm"], "2"], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]}], ")"}]}], SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], "2"]], "-", 
                          FractionBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                          RowBox[{FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["\[Nu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Rho]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}]], " ", 
                          RowBox[{"(", RowBox[{RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], "m"]}], "+", RowBox[
                          {RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}], ")"}], "m"], " ", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "m"], " ", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]}], ")"}]}], RowBox[
                          {RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}]}]]}], ")"}], " ", SubscriptBox[
                        "f", RowBox[{FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["c", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], Short[#1, 5] & ], 
                    TraditionalForm]], "Output", CellLabel -> 
                   "Out[1844]//Short="]}, Open]]}, Open]], 
           Cell["Twist2QuarkOperator", "ObjectName", CellTags -> 
             "Twist2QuarkOperator"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "Twist2QuarkOperator"], Cell["Twist2QuarkOperator[p] or \
Twist2QuarkOperator[p,_,_] yields the quark-antiquark operator (p is momentum \
in the direction of the incoming quark). Twist2QuarkOperator[{p,q}] yields \
the 2-quark operator for non-zero momentum insertion (p is momentum in the \
direction of the incoming quark). Twist2QuarkOperator[{p1,___}, {p2,___}, \
{p3, mu, a}] or Twist2QuarkOperator[p1,_,_, p2,_,_, p3,mu,a] is the \
quark-antiquark-gluon operator, where p1 is the incoming quark, p2 the \
incoming antiquark and p3 denotes the incoming gluon momentum. \
Twist2QuarkOperator[{p1}, {p2}, {p3, mu, a}, {p4, nu, b}] or \
Twist2QuarkOperator[{p1,___}, {p2,___}, {p3, mu, a}, {p4, nu, b}] or \
Twist2QuarkOperator[p1,_,_, p2,_,_, p3,mu,a, p4, nu, b] gives the \
Quark-Quark-Gluon-Gluon-operator. The setting of the option Polarization \
(unpolarized: 0; polarized: 1) determines whether the unpolarized or \
polarized operator is returned", "Text", CellTags -> "Twist2QuarkOperator"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Twist2GluonOperator", 
                   RuleDelayed[ButtonData, "Twist2GluonOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2GluonOperator"]], "."}], "Text", 
               CellTags -> "Twist2QuarkOperator"]}, Open]], 
           Cell["Examples", "Subsubsection", CellTags -> 
             "Twist2QuarkOperator"], Cell[CellGroupData[
             {Cell["Polarized case, zero-momentum insertion", 
               "Subsubsection", CellTags -> "Twist2QuarkOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(Twist2QuarkOperator, 
                        \(Polarization \[Rule] 1\), 
                        \(ZeroMomentumInsertion \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1845]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Explicit \[Rule] True\), 
                         \(Polarization \[Rule] 1\), 
                         \(ZeroMomentumInsertion \[Rule] True\)}\)\)], 
                  "Output", CellLabel -> "Out[1845]="]}, Open]], 
              Cell["Quark-antiquark operator.", "Text", CellTags -> 
                "Twist2QuarkOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(Twist2QuarkOperator[p]\)\)], "Input", 
                  CellLabel -> "In[1846]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{"-", RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                          ")"}], ".", \(\[Gamma]\^5\)}]}], " ", 
                      SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                         ")"}], \(m - 1\)]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1846]="]}, Open]], 
              Cell["Quark-antiquark-gluon operator.", "Text", CellTags -> 
                "Twist2QuarkOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \(Twist2QuarkOperator[
                        \(\({p}\), \({q}\), \({k, \[Mu], a}\)\)]\)\)], 
                  "Input", CellLabel -> "In[1847]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(-g\_s\), " ", RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                          ")"}], ".", \(\[Gamma]\^5\), ".", SubscriptBox["T", 
                         FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", RowBox[{"(", FormBox[
                         TagBox[RowBox[{\(\[Sum]\+\(i = 0\)\%\(m - 2\)\), 
                          RowBox[{\(\((\(-1\))\)\^i\), " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(\(-i\) + m - 2\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], "i"]}]}], HoldForm], "TraditionalForm"], 
                        ")"}], " ", SuperscriptBox[FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1847]="]}, 
                Open]], Cell["Quark-antiquark-gluon-gluon operator.", "Text", 
               CellTags -> "Twist2QuarkOperator"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t3 = \(Twist2QuarkOperator[
                        \(\({p}\), \({q}\), \({k, \[Mu], a}\), 
                          \({r, \[Nu], b}\)\)]\)\)], "Input", CellLabel -> 
                   "In[1848]:=", CellTags -> "Twist2QuarkOperator"], 
                 Cell[BoxData[FormBox[RowBox[{\(-g\_s\%2\), " ", RowBox[
                       {RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}], 
                        ".", \(\[Gamma]\^5\), ".", RowBox[{"(", RowBox[
                          {RowBox[{RowBox[{SubscriptBox["T", FormBox[FormBox[
                          "b", "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 3\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{\(\((\(-1\))\)\^j\), " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], "i"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(\(-j\) + m - 3\)], " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)]}], 
                          "TraditionalForm"]}], ")"}]}], "-", RowBox[{
                          \(\((\(-1\))\)\^m\), " ", RowBox[{SubscriptBox["T", 
                          FormBox[FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox["T", FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", RowBox[{"(", RowBox[
                          {FormBox[
                          TagBox[\(\[Sum]\+\(j = 0\)\%\(m - 3\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((j + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{\(\((\(-1\))\)\^j\), " ", SuperscriptBox[
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(\(-j\) + m - 3\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], "i"], " ", SuperscriptBox[RowBox[{"(", 
                          RowBox[{RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], \(j - i\)]}], 
                          "TraditionalForm"]}], ")"}]}]}], ")"}]}], " ", 
                      SuperscriptBox[FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1848]="]}, 
                Open]]}, Open]], Cell[CellGroupData[
             {Cell["Unpolarized case, zero-momentum insertion", 
               "Subsubsection", CellTags -> "Twist2QuarkOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(Twist2QuarkOperator,\ 
                        \(Polarization \[Rule] 0\), 
                        \(ZeroMomentumInsertion \[Rule] True\)\)]\)], 
                  "Input", CellLabel -> "In[1849]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Explicit \[Rule] True\), 
                         \(Polarization \[Rule] 0\), 
                         \(ZeroMomentumInsertion \[Rule] True\)}\)\)], 
                  "Output", CellLabel -> "Out[1849]="]}, Open]], 
              Cell["Quark-antiquark operator.", "Text", CellTags -> 
                "Twist2QuarkOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(t4 = \(Twist2QuarkOperator[p]\)\)], "Input", 
                  CellLabel -> "In[1850]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[
                     {RowBox[{FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                        "\[CenterDot]", FormBox["\[CapitalDelta]", 
                         "TraditionalForm"]}], " ", SuperscriptBox[RowBox[
                        {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1850]="]}, 
                Open]], Cell["Quark-antiquark-gluon operator.", "Text", 
               CellTags -> "Twist2QuarkOperator"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t5 = \(Twist2QuarkOperator[
                        \(\({p}\), \({q}\), \({k, \[Mu], a}\)\)]\)\)], 
                  "Input", CellLabel -> "In[1851]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(g\_s\), " ", RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                          ")"}], ".", SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                      RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 2\)\), RowBox[{
                          \(\((\(-1\))\)\^i\), " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(\(-i\) + m - 2\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], "i"]}]}], HoldForm], "TraditionalForm"], 
                        ")"}], " ", SuperscriptBox[FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1851]="]}, 
                Open]], Cell["Quark-antiquark-gluon-gluon operator.", "Text", 
               CellTags -> "Twist2QuarkOperator"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t6 = \(Twist2QuarkOperator[
                        \(\({p}\), \({q}\), \({k, \[Mu], a}\), 
                          \({r, \[Nu], b}\)\)]\)\)], "Input", CellLabel -> 
                   "In[1852]:=", CellTags -> "Twist2QuarkOperator"], 
                 Cell[BoxData[FormBox[RowBox[{\(-\((\(-1\))\)\^m\), " ", 
                      \(g\_s\%2\), " ", RowBox[{RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{RowBox[{RowBox[{SubscriptBox["T", FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox["T", FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", RowBox[{"(", RowBox[
                          {FormBox[
                          TagBox[\(\[Sum]\+\(i = 0\)\%\(m - 3\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((i + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], ")"}], 
                          \(\(-i\) + m - 3\)], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "j"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "k", "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], "+", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], \(i - j\)]}], 
                          "TraditionalForm"]}], ")"}]}], "+", RowBox[
                          {RowBox[{SubscriptBox["T", FormBox[FormBox["b", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          RowBox[{"(", RowBox[{FormBox[
                          TagBox[\(\[Sum]\+\(i = 0\)\%\(m - 3\) ""\), 
                            HoldForm], "TraditionalForm"], FormBox[
                          \(""\ \((i + 1)\)\), "TraditionalForm"], FormBox[
                          RowBox[{SuperscriptBox[RowBox[{"(", RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}]}], ")"}], 
                          \(\(-i\) + m - 3\)], " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], "j"], " ", 
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], \(i - j\)]}], 
                          "TraditionalForm"]}], ")"}]}]}], ")"}]}], " ", 
                      SuperscriptBox[FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1852]="]}, 
                Open]], Cell["This shows the FeynCalcExternal (FCE) form.", 
               "Text", CellTags -> "Twist2QuarkOperator"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(\(Twist2QuarkOperator[p]\)//FCE\)//StandardForm\)], 
                  "Input", CellLabel -> "In[1853]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[
                   \(\(GSD[OPEDelta]\)\ \(SOD[p]\)\^\(\(-1\) + OPEm\)\)], 
                  "Output", CellLabel -> "Out[1853]//StandardForm="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2QuarkOperator[\(
                       \({p}\), \({q}\), \({k, \[Mu], a}\), 
                        \(Explicit \[Rule] All\), \(Polarization \[Rule] 0\)\
\)]\)], "Input", CellLabel -> "In[1854]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(-g\_s\), " ", RowBox[{RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                          ")"}], ".", SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                      SuperscriptBox[FormBox["\[CapitalDelta]", 
                        "TraditionalForm"], FormBox[FormBox["\[Mu]", 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      RowBox[{"(", RowBox[{FractionBox[SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)], RowBox[
                          {RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]], "+", FractionBox[RowBox[{
                          \(\((\(-1\))\)\^m\), " ", SuperscriptBox[RowBox[
                          {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)]}], RowBox[
                          {RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}]]}], ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1854]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist2QuarkOperator[\(
                       \({p}\), \({q}\), \({k, \[Mu], a}\), \({r, \[Nu], b}\)
                        , \(Explicit \[Rule] All\), 
                        \(Polarization \[Rule] 0\)\)]\)], "Input", 
                  CellLabel -> "In[1855]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(-g\_s\%2\), " ", RowBox[{RowBox[{"(", RowBox[
                          {FormBox["\"\[Gamma]\"", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], ")"}], ".", RowBox[{"(", 
                          RowBox[{RowBox[{RowBox[{SubscriptBox["T", FormBox[
                          FormBox["a", "TraditionalForm"], 
                          "TraditionalForm"]], ".", SubscriptBox["T", FormBox[
                          FormBox["b", "TraditionalForm"], 
                          "TraditionalForm"]]}], " ", RowBox[{"(", RowBox[
                          {FractionBox[RowBox[{FormBox[
                          \(\((\(-1\))\)\^\(m - 1\)\), "TraditionalForm"], 
                          " ", FormBox[SuperscriptBox[RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 1\)], "TraditionalForm"]}], RowBox[
                          {RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], " ", RowBox[{"(", 
                          RowBox[{RowBox[{FormBox["k", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}]}]], "-", FractionBox[
                          FormBox[SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(m - 1\)], "TraditionalForm"], RowBox[
                          {RowBox[{FormBox["k", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["\[CapitalDelta]", 
                          "TraditionalForm"]}], " ", RowBox[{"(", RowBox[
                          {RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}]}]], "+", FractionBox[
                          FormBox[SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], \(m - 1\)], 
                          "TraditionalForm"], RowBox[{RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], " ", 
                          RowBox[{"(", RowBox[{RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], "+", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}]}]]}], ")"}]}], "+", 
                          RowBox[{RowBox[{SubscriptBox["T", FormBox[FormBox[
                          "b", "TraditionalForm"], "TraditionalForm"]], ".", 
                          SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]]}], " ", 
                          RowBox[{"(", RowBox[{FractionBox[RowBox[{FormBox[
                          \(\((\(-1\))\)\^\(m - 1\)\), "TraditionalForm"], 
                          " ", FormBox[SuperscriptBox[RowBox[{"(", RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          ")"}], \(m - 1\)], "TraditionalForm"]}], RowBox[
                          {RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], " ", RowBox[{"(", 
                          RowBox[{RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}]}]], "-", FractionBox[
                          FormBox[SuperscriptBox[RowBox[{"(", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          ")"}], \(m - 1\)], "TraditionalForm"], RowBox[
                          {RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}]], "+", FractionBox[FormBox[
                          SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}], \(m - 1\)], 
                          "TraditionalForm"], RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", "TraditionalForm"]}], 
                          " ", RowBox[{"(", RowBox[{RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "+", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["r", 
                          "TraditionalForm"]}]}], ")"}]}]]}], ")"}]}]}], 
                          ")"}]}], " ", SuperscriptBox[FormBox[
                        "\[CapitalDelta]", "TraditionalForm"], FormBox[
                        FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                        "\[CapitalDelta]", "TraditionalForm"], FormBox[
                        FormBox["\[Nu]", "TraditionalForm"], 
                        "TraditionalForm"]], " ", FormBox[\(\((\(-1\))\)\^m\)
                       , "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1855]="]}, Open]]}, Open]], 
           Cell[CellGroupData[
             {Cell["Polarized case, non-zero momentum insertion", 
               "Subsubsection", CellTags -> "Twist2QuarkOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(Twist2QuarkOperator, 
                        \(Polarization \[Rule] 1\), 
                        \(ZeroMomentumInsertion \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[1856]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Explicit \[Rule] True\), 
                         \(Polarization \[Rule] 1\), 
                         \(ZeroMomentumInsertion \[Rule] False\)}\)\)], 
                  "Output", CellLabel -> "Out[1856]="]}, Open]], 
              Cell["With the setting ZeroMomentumInsertion \[Rule] False a \
non-zero momentum is assumed to flow into the operator vertex. ", "Text", 
               CellTags -> "Twist2QuarkOperator"], Cell["This is the Feynman \
rule associated with the quark-antiquark operator, where p is the momentum of \
the incoming quark and q the momentum of the antiquark. The momentum flowing \
into the operator vertex is thus -p-q.", "Text", CellTags -> 
                "Twist2QuarkOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(t1 = \(Twist2QuarkOperator[\({p, q}\)]\)\)], "Input", 
                  CellLabel -> "In[1857]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(2\^\(1 - m\)\), " ", RowBox[{\(\[Gamma]\^5\), ".", 
                        RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}]}], 
                      " ", SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "-", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], \(m - 1\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1857]="]}, 
                Open]], Cell[
               "This is the quark-antiquark-gluon operator vertex.", "Text", 
               CellTags -> "Twist2QuarkOperator"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t2 = \(Twist2QuarkOperator[
                        \(\({p}\), \({q}\), \({k, \[Mu], a}\)\)]\)\)], 
                  "Input", CellLabel -> "In[1858]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(2\^\(2 - m\)\), " ", \(g\_s\), " ", RowBox[
                       {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        \(\[Gamma]\^5\), ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                          ")"}]}], " ", RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 2\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], \(\(-i\) + m - 2\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                         "TraditionalForm"], ")"}], " ", SuperscriptBox[
                       FormBox["\[CapitalDelta]", "TraditionalForm"], 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1858]="]}, Open]], 
              Cell["This shows the FeynCalcExternal form.", "Text", 
               CellTags -> "Twist2QuarkOperator"], Cell[CellGroupData[
                {Cell[BoxData[\(StandardForm[\(FCE[t2]\)]\)], "Input", 
                  CellLabel -> "In[1859]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[
                   \(2\^\(2 - OPEm\)\ Gstrong\ 
                      \(\(SUNT[a]\) . \(GA[5]\) . \(GSD[OPEDelta]\)\)\ 
                      \(FVD[\(OPEDelta, \[Mu]\)]\)\ 
                      \(OPESum[\(\(\((\(-\(SOD[k]\)\) + \(SOD[p]\) - 
                                \(SOD[q]\))\)\^\(\(-2\) - OPEi + OPEm\)\ 
                            \((\(SOD[k]\) + \(SOD[p]\) - \(SOD[q]\))\)\^OPEi\
\), \({OPEi, 0, \(\(-2\) + OPEm\)}\)\)]\)\)], "Output", CellLabel -> 
                   "Out[1859]//StandardForm="]}, Open]]}, Open]], 
           Cell[CellGroupData[
             {Cell["Unpolarized case, non-zero momentum insertion", 
               "Subsubsection", CellTags -> "Twist2QuarkOperator"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(SetOptions[\(Twist2QuarkOperator, 
                        \(Polarization \[Rule] 1\), 
                        \(ZeroMomentumInsertion \[Rule] False\)\)]\)], 
                  "Input", CellLabel -> "In[1860]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Explicit \[Rule] True\), 
                         \(Polarization \[Rule] 1\), 
                         \(ZeroMomentumInsertion \[Rule] False\)}\)\)], 
                  "Output", CellLabel -> "Out[1860]="]}, Open]], 
              Cell["Quark-antiquark operator.", "Text", CellTags -> 
                "Twist2QuarkOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(t4 = \(Twist2QuarkOperator[\({p, q}\)]\)\)], "Input", 
                  CellLabel -> "In[1861]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(2\^\(1 - m\)\), " ", RowBox[{\(\[Gamma]\^5\), ".", 
                        RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}]}], 
                      " ", SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p", "TraditionalForm"]}], 
                          "-", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], \(m - 1\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1861]="]}, 
                Open]], Cell["Quark-antiquark-gluon operator.", "Text", 
               CellTags -> "Twist2QuarkOperator"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(t5 = \(Twist2QuarkOperator[
                        \(\({p}\), \({q}\), \({k, \[Mu], a}\)\)]\)\)], 
                  "Input", CellLabel -> "In[1862]:=", CellTags -> 
                   "Twist2QuarkOperator"], Cell[BoxData[FormBox[RowBox[{
                      \(2\^\(2 - m\)\), " ", \(g\_s\), " ", RowBox[
                       {SubscriptBox["T", FormBox[FormBox["a", 
                          "TraditionalForm"], "TraditionalForm"]], ".", 
                        \(\[Gamma]\^5\), ".", RowBox[{"(", RowBox[{FormBox[
                          "\"\[Gamma]\"", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                          ")"}]}], " ", RowBox[{"(", FormBox[TagBox[RowBox[{
                          \(\[Sum]\+\(i = 0\)\%\(m - 2\)\), RowBox[
                          {SuperscriptBox[RowBox[{"(", RowBox[{RowBox[{"-", 
                          RowBox[{"(", RowBox[{FormBox["k", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], \(\(-i\) + m - 2\)], 
                          " ", SuperscriptBox[RowBox[{"(", RowBox[{RowBox[
                          {FormBox["k", "TraditionalForm"], "\[CenterDot]", 
                          FormBox["\[CapitalDelta]", "TraditionalForm"]}], 
                          "+", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], "-", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}]}], ")"}], "i"]}]}], HoldForm], 
                         "TraditionalForm"], ")"}], " ", SuperscriptBox[
                       FormBox["\[CapitalDelta]", "TraditionalForm"], 
                       FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"]]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1862]="]}, Open]], Cell[BoxData[
                \(\(Clear[\(t1, t2, t3, t4, t5, t6\)]\) ;\)], "Input", 
               CellLabel -> "In[1863]:=", CellTags -> 
                "Twist2QuarkOperator"]}, Open]], Cell["Twist3QuarkOperator", 
            "ObjectName", CellTags -> "Twist3QuarkOperator"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Twist3QuarkOperator"], Cell["Twist3QuarkOperator[\
p] or  Twist3QuarkOperator[p,_,_]  yields the  2-quark operator (p is \
momentum in the direction of the fermion number flow). \
Twist3QuarkOperator[{p1,___}, {p2,___}, {p3, mu, a}] or \
Twist3QuarkOperator[p1,_,_,  p2,_,_,  p3,mu,a] Quark-Quark-Gluon-operator, \
where p1 is the incoming quark, p2 the incoming antiquark and p3 denotes the \
(incoming) gluon momentum.  Twist3QuarkOperator[{p1,___}, {p2,___}, {p3, mu, \
a}, {p4, nu, b}] or Twist3QuarkOperator[p1,_,_,  p2,_,_,  p3,mu,a, p4, nu, b] \
 gives the Quark-Quark-Gluon-Gluon-operator. The setting of the option \
Polarization (unpolarized: 0; polarized: 1) determines whether the \
uppolarized or polarized operator is returned.", "Text", CellTags -> 
                "Twist3QuarkOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist3QuarkOperator//Options\)], "Input", CellLabel -> 
                   "In[1864]:=", CellTags -> "Twist3QuarkOperator"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(CouplingConstant \[Rule] g\_s\), 
                         \(Dimension \[Rule] D\), \(Polarization \[Rule] 1\)}
                   \)\)], "Output", CellLabel -> "Out[1864]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Twist2QuarkOperator", 
                   RuleDelayed[ButtonData, "Twist2QuarkOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2QuarkOperator"]], ", ", 
                 ButtonBox["Twist2GluonOperator", 
                   RuleDelayed[ButtonData, "Twist2GluonOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2GluonOperator"]], "."}], "Text", 
               CellTags -> "Twist3QuarkOperator"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Twist3QuarkOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist3QuarkOperator[p]\)], "Input", CellLabel -> 
                   "In[1865]:=", CellTags -> "Twist3QuarkOperator"], 
                 Cell[BoxData[FormBox[RowBox[{\(\((\(-1\))\)\^m\), " ", 
                      RowBox[{RowBox[{"(", RowBox[{FormBox["\"\[Gamma]\"", 
                          "TraditionalForm"], "\[CenterDot]", FormBox[
                          "\[CapitalDelta]", "TraditionalForm"]}], ")"}], 
                        ".", \(\[Gamma]\^5\)}], " ", SuperscriptBox[RowBox[
                        {"(", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                          "TraditionalForm"]}], ")"}], \(m - 1\)]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1865]="]}, 
                Open]]}, Open]], Cell["Twist4GluonOperator", "ObjectName", 
            CellTags -> "Twist4GluonOperator"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "Twist4GluonOperator"], Cell["Twist4GluonOperator[{oa, ob, \
oc, od}, {p1,la1,a1}, {p2,la2,a2}, {p3,la3,a3}, {p4,la4,a4}].", "Text", 
               CellTags -> "Twist4GluonOperator"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Twist2QuarkOperator", 
                   RuleDelayed[ButtonData, "Twist2QuarkOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2QuarkOperator"]], ", ", 
                 ButtonBox["Twist3QuarkOperator", 
                   RuleDelayed[ButtonData, "Twist3QuarkOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist3QuarkOperator"]], ", ", 
                 ButtonBox["Twist2GluonOperator", 
                   RuleDelayed[ButtonData, "Twist2GluonOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2GluonOperator"]], "."}], "Text", 
               CellTags -> "Twist4GluonOperator"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "Twist4GluonOperator"], Cell[CellGroupData[{Cell[BoxData[
                   \(Twist4GluonOperator[\(
                       \({oa,\ ob,\ oc,\ od}\), \({p1, la1, a1}\), 
                        \({p2, la2, a2}\), \({p3, la3, a3}\), 
                        \({p4, la4, a4}\)\)]\)], "Input", CellLabel -> 
                   "In[1866]:=", CellTags -> "Twist4GluonOperator"], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{RowBox[{"(", RowBox[
                          {RowBox[{SuperscriptBox[FormBox["p2", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la2\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la3la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p3", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p3", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p2", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la2\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la3la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p3", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p3", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p2", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la2\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la3la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p3", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p3", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p2", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la2\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la3la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p3", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p3", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p2", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la2\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la3la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p3", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p3", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p2", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la2\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la3la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p3", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p3", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p3", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la3\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p3", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la2la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p2", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p2", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p2", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la2\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la3la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p3", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p3", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]]}], "+", RowBox[{RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p2", 
                          "TraditionalForm"], FormBox[FormBox["la1", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la1la2\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p2", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p1", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p1", "TraditionalForm"], FormBox[FormBox["la2", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la1", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la2", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p1", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p2", 
                          "TraditionalForm"]}]}]}], ")"}], " ", RowBox[
                         {"(", RowBox[{RowBox[{SuperscriptBox[FormBox["p4", 
                          "TraditionalForm"], FormBox[FormBox["la3", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          SuperscriptBox[FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "-", RowBox[{
                          \(g\^\(la3la4\)\), " ", RowBox[{FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], 
                          "\[CenterDot]", FormBox["p4", "TraditionalForm"]}], 
                          " ", RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p3", 
                          "TraditionalForm"]}]}], "+", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "p3", "TraditionalForm"], FormBox[FormBox["la4", 
                          "TraditionalForm"], "TraditionalForm"]], " ", 
                          RowBox[{FormBox["\[CapitalDelta]", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}], "-", RowBox[{SuperscriptBox[
                          FormBox["\[CapitalDelta]", "TraditionalForm"], 
                          FormBox[FormBox["la3", "TraditionalForm"], 
                          "TraditionalForm"]], " ", SuperscriptBox[FormBox[
                          "\[CapitalDelta]", "TraditionalForm"], FormBox[
                          FormBox["la4", "TraditionalForm"], 
                          "TraditionalForm"]], " ", RowBox[{FormBox["p3", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["p4", 
                          "TraditionalForm"]}]}]}], ")"}], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a1", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oa", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a2", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["ob", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a3", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["oc", "TraditionalForm"], 
                          "TraditionalForm"]}]], " ", SubscriptBox[
                         "\[Delta]", RowBox[{FormBox[FormBox["a4", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox["od", "TraditionalForm"], 
                          "TraditionalForm"]}]]}]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1866]="]}, Open]]}, Open]], 
           Cell["TwoLoopSimplify  ***unfinished*** (examples missing)", 
            "ObjectName", CellTags -> "TwoLoopSimplify"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "TwoLoopSimplify"], Cell["TwoLoopSimplify[amplitud\
e,{qu1,qu2}] simplifies the 2-loop amplitude (qu1 and qu2 denote the \
integration momenta). TwoLoopSimplify[amplitude] transforms to \
TwoLoopSimplify[amplitude, {Global`q1, Global`q2}], i.e., the integration \
momenta in amplitude must be named q1 and q2.", "Text", CellTags -> 
                "TwoLoopSimplify"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OneLoopSimplify", 
                   RuleDelayed[ButtonData, "OneLoopSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSimplify"]], "."}], "Text", 
               CellTags -> "TwoLoopSimplify"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "TwoLoopSimplify"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1867]:=", CellTags -> "TwoLoopSimplify"]}, Open]], 
           Cell["Uncontract", "ObjectName", CellTags -> "Uncontract"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Uncontract"], Cell["Uncontract[exp, q1, q2, ...] \
uncontracts Eps and DiracGamma. Uncontract[exp, q1, q2, Pair \[Rule] {p}] \
uncontracts also p.q1 and p.q2; the option Pair \[Rule] All uncontracts all \
momenta except OPEDelta.", "Text", CellTags -> "Uncontract"], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[Uncontract]\)], 
                  "Input", CellLabel -> "In[1868]:=", CellTags -> 
                   "Uncontract"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] Automatic\), 
                         \(DimensionalReduction \[Rule] False\), 
                         \(Pair \[Rule] \({}\)\), \(Unique \[Rule] True\)}\)\
\)], "Output", CellLabel -> "Out[1868]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Contract", RuleDelayed[ButtonData, "Contract"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract"]], "."}], "Text", CellTags -> 
                "Uncontract"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Uncontract"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t1\ =\ \(\(LeviCivita[\(\[Mu], \[Nu]\)]\)[\(p, q\)]\)\)]\
, "Input", CellLabel -> "In[1869]:=", CellTags -> "Uncontract"], 
                 Cell[BoxData[FormBox[SuperscriptBox["\[Epsilon]", RowBox[
                      {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                        "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                         "TraditionalForm"], "TraditionalForm"], FormBox["p", 
                        "TraditionalForm"], FormBox["q", 
                        "TraditionalForm"]}]], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1869]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Uncontract[\(t1,\ p\)]\)], "Input", 
                  CellLabel -> "In[1870]:=", CellTags -> "Uncontract"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Epsilon]", 
                       RowBox[{FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[\($AL$8318 \[InvisibleApplication] \((1)\)\)
                          , "TraditionalForm"], "TraditionalForm"], FormBox[
                          "q", "TraditionalForm"]}]], " ", SuperscriptBox[
                       FormBox["p", "TraditionalForm"], FormBox[FormBox[
                         \($AL$8318 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1870]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \(DiracSlash[p]\)\)], "Input", CellLabel -> 
                   "In[1871]:=", CellTags -> "Uncontract"], Cell[BoxData[
                   FormBox[RowBox[{FormBox["\"\[Gamma]\"", 
                       "TraditionalForm"], "\[CenterDot]", FormBox["p", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1871]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Uncontract[\(t2,\ p\)]\)], "Input", 
                  CellLabel -> "In[1872]:=", CellTags -> "Uncontract"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Gamma]", 
                       FormBox[FormBox[
                         \($AL$8319 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["p", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$8319 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1872]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Uncontract[\(t1,\ p, q\)]\)], "Input", CellLabel -> 
                   "In[1873]:=", CellTags -> "Uncontract"], Cell[BoxData[
                   FormBox[RowBox[{SuperscriptBox["\[Epsilon]", RowBox[
                        {FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], FormBox[FormBox["\[Nu]", 
                          "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[\($AL$8321 \[InvisibleApplication] \((1)\)\)
                          , "TraditionalForm"], "TraditionalForm"], FormBox[
                          FormBox[\($AL$8320 \[InvisibleApplication] \((1)\)\)
                          , "TraditionalForm"], "TraditionalForm"]}]], " ", 
                      SuperscriptBox[FormBox["q", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$8320 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["p", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$8321 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1873]="]}, 
                Open]], Cell[
               "By default scalar products are not uncontracted.", "Text", 
               CellTags -> "Uncontract"], Cell[CellGroupData[{Cell[BoxData[
                   \(Uncontract[\(\(ScalarProduct[\(p, q\)]\),\ q\)]\)], 
                  "Input", CellLabel -> "In[1874]:=", CellTags -> 
                   "Uncontract"], Cell[BoxData[FormBox[RowBox[{FormBox["p", 
                       "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1874]="]}, Open]], Cell["With the option \
Pair\[Rule]All they are \[OpenCurlyDoubleQuote]uncontracted \
\[CloseCurlyDoubleQuote].", "Text", CellTags -> "Uncontract"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Uncontract[\(\(ScalarProduct[\(p, q\)]\), q, 
                        \(Pair \[Rule] All\)\)]\)], "Input", CellLabel -> 
                   "In[1875]:=", CellTags -> "Uncontract"], Cell[BoxData[
                   FormBox[RowBox[{SuperscriptBox[FormBox["p", 
                        "TraditionalForm"], FormBox[FormBox[
                         \($AL$8323 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["q", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$8323 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1875]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(Uncontract[\(\(\(ScalarProduct[\(p, q\)]\)^2\), q, 
                        \(Pair \[Rule] All\)\)]\)], "Input", CellLabel -> 
                   "In[1876]:=", CellTags -> "Uncontract"], Cell[BoxData[
                   FormBox[RowBox[{SuperscriptBox[FormBox["p", 
                        "TraditionalForm"], FormBox[FormBox[
                         \($AL$8324 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["q", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$8324 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["p", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$8324 \[InvisibleApplication] \((2)\)\), 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["q", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$8324 \[InvisibleApplication] \((2)\)\), 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1876]="]}, 
                Open]], Cell[BoxData[\(Clear[\(t1, t2\)]\)], "Input", 
               CellLabel -> "In[1877]:=", CellTags -> "Uncontract"]}, Open]], 
           Cell["UnDeclareNonCommutative", "ObjectName", CellTags -> 
             "UnDeclareNonCommutative"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "UnDeclareNonCommutative"], Cell["UnDeclareNonCommutative[a, \
b, ...] undeclares a,b, ... to be noncommutative, i.e., DataType[a,b, ..., \
NonCommutative] is set to False.", "Text", CellTags -> 
                "UnDeclareNonCommutative"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DataType", RuleDelayed[ButtonData, "DataType"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DataType"]], ", ", 
                 ButtonBox["DeclareNonCommutative", 
                   RuleDelayed[ButtonData, "DeclareNonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DeclareNonCommutative"]], "."}], "Text", 
               CellTags -> "UnDeclareNonCommutative"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "UnDeclareNonCommutative"], Cell[BoxData[
                \(DeclareNonCommutative[x]\)], "Input", CellLabel -> 
                "In[1878]:=", CellTags -> "UnDeclareNonCommutative"], 
              Cell["As a side-effect of DeclareNonCommutative x is declared \
to be of DataType NonCommutative.", "Text", CellTags -> 
                "UnDeclareNonCommutative"], Cell[CellGroupData[
                {Cell["DataType[x,NonCommutative]", "Input", CellLabel -> 
                   "In[1879]:=", CellTags -> "UnDeclareNonCommutative"], 
                 Cell[BoxData[\(TraditionalForm\`True\)], "Output", 
                  CellLabel -> "Out[1879]="]}, Open]], 
              Cell["The inverse operation is UnDeclareNonCommutative.", 
               "Text", CellTags -> "UnDeclareNonCommutative"], Cell[BoxData[
                \(UnDeclareNonCommutative[x]\)], "Input", CellLabel -> 
                "In[1880]:=", CellTags -> "UnDeclareNonCommutative"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DataType[\(x, NonCommutative\)]\)], "Input", 
                  CellLabel -> "In[1881]:=", CellTags -> 
                   "UnDeclareNonCommutative"], Cell[BoxData[
                   \(TraditionalForm\`True\)], "Output", CellLabel -> 
                   "Out[1881]="]}, Open]], Cell[BoxData[
                \(DeclareNonCommutative[\(y, z\)]\)], "Input", CellLabel -> 
                "In[1882]:=", CellTags -> "UnDeclareNonCommutative"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DataType[\(y, z, NonCommutative\)]\)], "Input", 
                  CellLabel -> "In[1883]:=", CellTags -> 
                   "UnDeclareNonCommutative"], Cell[BoxData[
                   \(TraditionalForm\`\({True, True}\)\)], "Output", 
                  CellLabel -> "Out[1883]="]}, Open]], Cell[BoxData[
                \(UnDeclareNonCommutative[\(y, z\)]\)], "Input", CellLabel -> 
                "In[1884]:=", CellTags -> "UnDeclareNonCommutative"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(DataType[\(y, z, NonCommutative\)]\)], "Input", 
                  CellLabel -> "In[1885]:=", CellTags -> 
                   "UnDeclareNonCommutative"], Cell[BoxData[
                   \(TraditionalForm\`\({True, True}\)\)], "Output", 
                  CellLabel -> "Out[1885]="]}, Open]]}, Open]], 
           Cell["Upper", "ObjectName", CellTags -> "Upper"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Upper"], Cell["Upper may be used inside \
LorentzIndex to indicate an contravariant LorentzIndex.", "Text", CellTags -> 
                "Upper"], Cell[TextData[{"See also:  ", 
                 ButtonBox["LorentzIndex", 
                   RuleDelayed[ButtonData, "LorentzIndex"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "LorentzIndex"]], ", ", 
                 ButtonBox["Lower", RuleDelayed[ButtonData, "Lower"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Lower"]], ", ", 
                 ButtonBox["Contract1", RuleDelayed[ButtonData, 
                    "Contract1"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Contract1"]], "."}], "Text", CellTags -> 
                "Upper"]}, Open]], Cell[
            "UVPart  ***unfinished*** (examples missing)", "ObjectName", 
            CellTags -> "UVPart"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "UVPart"], 
              Cell["UVPart[exp, q] discards ultraviolet finite integrals  (q \
= integration momentum).", "Text", CellTags -> "UVPart"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "UVPart"], Cell[BoxData[""], "Input", CellLabel -> 
                "In[1886]:=", CellTags -> "UVPart"]}, Open]], 
           Cell["Vectors", "ObjectName", CellTags -> "Vectors"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Vectors"], Cell["Vectors is an option for \
FORM2FeynCalc. Its default setting is Automatic. It may be set to a list, if \
the FORM-file does not contain a V(ectors) statement.", "Text", CellTags -> 
                "Vectors"], Cell[TextData[{"See also:  ", 
                 ButtonBox["FORM2FeynCalc", 
                   RuleDelayed[ButtonData, "FORM2FeynCalc"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FORM2FeynCalc"]], "."}], "Text", 
               CellTags -> "Vectors"]}, Open]], Cell["WriteOut", 
            "ObjectName", CellTags -> "WriteOut"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "WriteOut"], Cell["WriteOut is an option for \
OneLoop.  If set to True, the result of OneLoop will be written to a file \
called \"name.res\", where name is the first argument of OneLoop.", "Text", 
               CellTags -> "WriteOut"], Cell[TextData[{"See also:  ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], "."}], "Text", CellTags -> 
                "WriteOut"]}, Open]], Cell["WriteOutPaVe", "ObjectName", 
            CellTags -> "WriteOutPaVe"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "WriteOutPaVe"], Cell["WriteOutPaVe is an option for \
PaVeReduce and OneLoopSum. If set to a string, the results of all \
Passarino-Veltman PaVe's are stored in files with names generated from this \
string and the arguments of PaVe.", "Text", CellTags -> "WriteOutPaVe"], 
              Cell[TextData[{"See also:  ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], ", ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, ", ", 
                 ButtonBox["OneLoopSum", RuleDelayed[ButtonData, 
                    "OneLoopSum"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoopSum"]], "."}], "Text", 
               CellTags -> "WriteOutPaVe"]}, Open]], Cell["Write2", 
            "ObjectName", CellTags -> "Write2"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "Write2"], 
              Cell["Write2[file, val1 = expr1, val2 = expr2, ...] writes the \
settings val1 = expr1, val2 = expr2 in sequence followed by a newline, to the \
specified output file. Setting the option FormatType of Write2 to FortranForm \
results in FORTRAN syntax output.", "Text", CellTags -> "Write2"], 
              Cell["The continuation character for FORTRAN output can be \
controlled by changing $FortranContinuationCharacter.", "Text", CellTags -> 
                "Write2"], Cell[CellGroupData[{Cell[BoxData[
                   \(FullForm[$FortranContinuationCharacter]\)], "Input", 
                  CellLabel -> "In[1887]:=", CellTags -> "Write2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*TagBox[StyleBox["\"&\"", 
                          Rule[ShowSpecialCharacters, False], 
                          Rule[ShowStringCharacters, True], 
                          Rule[NumberMarks, True]], FullForm]\)\)], "Output", 
                  CellLabel -> "Out[1887]//FullForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(Options[Write2]\)], "Input", 
                  CellLabel -> "In[1888]:=", CellTags -> "Write2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({\(D0Convention \[Rule] 0\), 
                         \(FinalSubstitutions \[Rule] \({}\)\), 
                         \(FormatType \[Rule] InputForm\), 
                         \(FortranFormatDoublePrecision \[Rule] True\), 
                         \(PageWidth \[Rule] 62\), 
                         \(PostFortranFile \[Rule] ""\), 
                         \(PreFortranFile \[Rule] ""\), 
                         \(StringReplace \[Rule] \({}\)\)}\)\)], "Output", 
                  CellLabel -> "Out[1888]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(Attributes[Write2]\)], "Input", CellLabel -> 
                   "In[1889]:=", CellTags -> "Write2"], Cell[BoxData[
                   \(TraditionalForm\`\({HoldRest}\)\)], "Output", 
                  CellLabel -> "Out[1889]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Isolate", RuleDelayed[ButtonData, "Isolate"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Isolate"]], ", ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], "."}], "Text", 
               CellTags -> "Write2"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Write2"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t = \(Collect[\(\((\((a - c)\)\^2 + \((a - b)\)\^2)\)\^2
                          , a, Factor\)]\)\)], "Input", CellLabel -> 
                   "In[1890]:=", CellTags -> "Write2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(4\ a\^4\) - 
                        \(8\ \((b + c)\)\ a\^3\) + 
                        \(8\ \((b\^2 + \(c\ b\) + c\^2)\)\ a\^2\) - 
                        \(4\ \((b + c)\)\ \((b\^2 + c\^2)\)\ a\) + 
                        \((b\^2 + c\^2)\)\^2\)\)], "Output", CellLabel -> 
                   "Out[1890]="]}, Open]], Cell[BoxData[
                \(\(tempfilename = \(\(ToString[$SessionID]\) <> ".s"\)\) ;\)]\
, "Input", CellLabel -> "In[1891]:=", CellTags -> "Write2"], 
              Cell["This writes the assignment r=t to a file.", "Text", 
               CellTags -> "Write2"], Cell[BoxData[
                \(\(Write2[\(tempfilename, \(r = t\)\)]\) ;\)], "Input", 
               CellLabel -> "In[1892]:=", CellTags -> "Write2"], 
              Cell["This shows the contents of the file.", "Text", 
               CellTags -> "Write2"], Cell[CellGroupData[{Cell[BoxData[
                   \(TableForm[\(ReadList[\(
                         \(\(If[\(\($OperatingSystem === "MacOS"\), ":", ""\)
                              ]\) <> tempfilename\), String\)]\)]\)], 
                  "Input", CellLabel -> "In[1893]:=", CellTags -> "Write2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[GridBox[
                          {{"\"r = ( 4*a^4 - 8*a^3*(b + c) - 4*a*(b + \
c)*(b^2 + c^2) \
+ \""}, 
                           {"\" (b^2 + c^2)^2 + 8*a^2*(b^2 + b*c + \
c^2)\""}, {"\"       );\""}}, RowSpacings -> 1., 
                          ColumnSpacings -> 3., RowAlignments -> Baseline, 
                          ColumnAlignments -> {Left}], 
                         TableForm[List["r = ( 4*a^4 - 8*a^3*(b + c) - \
4*a*(b + c)*(b^2 + c^2) + ", 
                           " (b^2 + c^2)^2 + 8*a^2*(b^2 + b*c + c^2)", 
                           "       );"]]]\)\)], "Output", CellLabel -> 
                   "Out[1893]//TableForm="]}, Open]], Cell[BoxData[
                \(DeleteFile[\(\(If[\(\($OperatingSystem === "MacOS"
                          \), ":", ""\)]\) <> tempfilename\)]\)], "Input", 
               CellLabel -> "In[1894]:=", CellTags -> "Write2"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(t2 = \(x + \(Isolate[\(t, a, \(IsolateNames \[Rule] W\)
                           \)]\)\)\)], "Input", CellLabel -> "In[1895]:=", 
                  CellTags -> "Write2"], Cell[BoxData[
                   \(TraditionalForm\`\(\(4\ a\^4\) - 
                        \(8\ \*TagBox[\(W(1)\), HoldForm]\ a\^3\) + 
                        \(8\ \*TagBox[\(W(3)\), HoldForm]\ a\^2\) - 
                        \(4\ \*TagBox[\(W(1)\), HoldForm]\ 
                          \*TagBox[\(W(2)\), HoldForm]\ a\) + 
                        \*TagBox[\(W(2)\), HoldForm]\^2 + x\)\)], "Output", 
                  CellLabel -> "Out[1895]="]}, Open]], Cell[BoxData[
                \(\(Write2[\(tempfilename, \(r = t2\)\)]\) ;\)], "Input", 
               CellLabel -> "In[1896]:=", CellTags -> "Write2"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TableForm[\(ReadList[\(
                         \(\(If[\(\($OperatingSystem === "MacOS"\), ":", ""\)
                              ]\) <> tempfilename\), String\)]\)]\)], 
                  "Input", CellLabel -> "In[1897]:=", CellTags -> "Write2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[GridBox[
                          {{"\"W[1] = (b + c\""}, {"\"       );\""}, 
                           {"\"W[2] = (b^2 + c^2\""}, {"\"       );\""}, 
                           {"\"W[3] = (b^2 + b*c + c^2\""}, 
                           {"\"       );\""}, 
                           {"\"r = ( 4*a^4 + x - 8*a^3*HoldForm[W[1]] - \

                             4*a*HoldForm[W[1]]*\""}, 
                           {"\"  HoldForm[W[2]] + HoldForm[W[2]]^2 + \

                             8*a^2*HoldForm[W[3]]\""}, {"\"       );\""}}, 
                          RowSpacings -> 1., ColumnSpacings -> 3., 
                          RowAlignments -> Baseline, 
                          ColumnAlignments -> {Left}], 
                         TableForm[List["W[1] = (b + c", "       );", 
                           "W[2] = (b^2 + c^2", "       );", 
                           "W[3] = (b^2 + b*c + c^2", "       );", 
                           "r = ( 4*a^4 + x - 8*a^3*HoldForm[W[1]] - \
4*a*HoldForm[W[1]]*", "  HoldForm[W[2]] + \
HoldForm[W[2]]^2 + 8*a^2*HoldForm[W[3]]", "       );"]]]\)
                   \)], "Output", CellLabel -> "Out[1897]//TableForm="]}, 
                Open]], Cell[BoxData[
                \(DeleteFile[\(\(If[\(\($OperatingSystem === "MacOS"
                          \), ":", ""\)]\) <> tempfilename\)]\)], "Input", 
               CellLabel -> "In[1898]:=", CellTags -> "Write2"], 
              Cell[
               "This is how to write out the expression t2 in Fortran \
format.", "Text", CellTags -> "Write2"], Cell[BoxData[
                \(\(Write2[\(tempfilename, \(r = t2\), 
                       \(FormatType \[Rule] FortranForm\)\)]\) ;\)], "Input", 
               CellLabel -> "In[1899]:=", CellTags -> "Write2"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(TableForm[\(ReadList[\(
                         \(\(If[\(\($OperatingSystem === "MacOS"\), ":", ""\)
                              ]\) <> tempfilename\), String\)]\)]\)], 
                  "Input", CellLabel -> "In[1900]:=", CellTags -> "Write2"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[GridBox[
                          {{"\"        W(1D0)= W(1D0)\""}, 
                           {"\"        W(2D0)= W(2D0)\""}, 
                           {"\"        W(3D0)= W(3D0)\""}, 
                           {"\"        r = 4D0*a**4 + x - 8D0*a**3*W(1D0) \
- \""}, {"\"     &  4D0*a*W(1D0)*W(2D0) + W(2D0)**2 + \
\
8D0*a**2*W(3D0)\""}, {"\"                  \""}}, 
                          RowSpacings -> 1., ColumnSpacings -> 3., 
                          RowAlignments -> Baseline, 
                          ColumnAlignments -> {Left}], 
                         TableForm[List["        W(1D0)= W(1D0)", 
                           "        W(2D0)= W(2D0)", 
                           "        W(3D0)= W(3D0)", 
                           "        r = 4D0*a**4 + x - 8D0*a**3*W(1D0) - ", 
                           "     &  4D0*a*W(1D0)*W(2D0) + W(2D0)**2 + \
8D0*a**2*W(3D0)", "                  "]]]\)\)], "Output", CellLabel -> 
                   "Out[1900]//TableForm="]}, Open]], Cell[BoxData[
                \(\(DeleteFile[\(\(If[\(\($OperatingSystem === "MacOS"\), ":"
                           , ""\)]\) <> tempfilename\)]\) ; 
                   \(Clear[\(t, t2, tempfilename\)]\) ;\)], "Input", 
               CellLabel -> "In[1901]:=", CellTags -> "Write2"]}, Open]], 
           Cell["XYT", "ObjectName", CellTags -> "XYT"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "XYT"], Cell[TextData[
                {"XYT[exp, x,y] transforms  ", Cell[BoxData[
                   \(TraditionalForm\`\(\((x\ y)\)\^m\)\)]], " away ..."}], 
               "Text", CellTags -> "XYT"]}, Open]], 
           Cell["ZeroMomentumInsertion", "ObjectName", CellTags -> 
             "ZeroMomentumInsertion"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "ZeroMomentumInsertion"], Cell["ZeroMomentumInsertion is an \
option of FeynRule, Twist2GluonOperator and Twist2QuarkOperator.", "Text", 
               CellTags -> "ZeroMomentumInsertion"], Cell[TextData[
                {"See also:  ", 
                 ButtonBox["FeynRule", RuleDelayed[ButtonData, "FeynRule"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynRule"]], ", ", 
                 ButtonBox["Twist2GluonOperator", 
                   RuleDelayed[ButtonData, "Twist2GluonOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2GluonOperator"]], ", ", 
                 ButtonBox["Twist2QuarkOperator", 
                   RuleDelayed[ButtonData, "Twist2QuarkOperator"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Twist2QuarkOperator"]], "."}], "Text", 
               CellTags -> "ZeroMomentumInsertion"]}, Open]], 
           Cell["Zeta2", "ObjectName", CellTags -> "Zeta2"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "Zeta2"], Cell[
               "Zeta2 denotes Zeta[2]. N[Zeta[2]] evaluates to N[Zeta[2]].", 
               "Text", CellTags -> "Zeta2"], Cell[TextData[{"See also: ", 
                 ButtonBox["SimplifyPolyLog", 
                   RuleDelayed[ButtonData, "SimplifyPolyLog"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "SimplifyPolyLog"]], "."}], "Text", 
               CellTags -> "Zeta2"]}, Open]], Cell[CellGroupData[
             {Cell["Examples", "Subsubsection", CellTags -> "Zeta2"], 
              Cell[CellGroupData[{Cell[BoxData["Zeta2"], "Input", 
                  CellLabel -> "In[1902]:=", CellTags -> "Zeta2"], 
                 Cell[BoxData[\(TraditionalForm\`\(\[Zeta](2)\)\)], "Output", 
                  CellLabel -> "Out[1902]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(N[Zeta2]\)], "Input", CellLabel -> 
                   "In[1903]:=", CellTags -> "Zeta2"], Cell[BoxData[
                   \(TraditionalForm\`1.6449340668482262`\)], "Output", 
                  CellLabel -> "Out[1903]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(SimplifyPolyLog[\(Pi^2\)]\)], "Input", 
                  CellLabel -> "In[1904]:=", CellTags -> "Zeta2"], 
                 Cell[BoxData[\(TraditionalForm\`\(6\ \(\[Zeta](2)\)\)\)], 
                  "Output", CellLabel -> "Out[1904]="]}, Open]]}, Open]], 
           Cell["$Abbreviations", "ObjectName", CellTags -> 
             "$Abbreviations"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "$Abbreviations"], 
              Cell["$Abbreviations are a list of string substitution rules \
used when generating names for storing intermediate results. It is used by \
OneLoop and PaVeReduce.The elements of the list should be of the form \
\"name\" \[Rule] \"abbreviation\".", "Text", CellTags -> "$Abbreviations"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \($Abbreviations//StandardForm\)], "Input", CellLabel -> 
                   "In[1905]:=", CellTags -> "$Abbreviations"], Cell[BoxData[
                   \({\(", " \[Rule] ""\), \("^" \[Rule] ""\), 
                       \("{" \[Rule] ""\), \("/" \[Rule] ""\), 
                       \("Subscript" \[Rule] "su"\), 
                       \("SmallVariable" \[Rule] "sma"\), \("}" \[Rule] ""\),
                        \("[" \[Rule] ""\), \("]" \[Rule] ""\), 
                       \("*" \[Rule] ""\), \(" " \[Rule] ""\), 
                       \("\n" \[Rule] ""\), \("\r" \[Rule] ""\)}\)], 
                  "Output", CellLabel -> "Out[1905]//StandardForm="]}, 
                Open]], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Abbreviation", 
                   RuleDelayed[ButtonData, "Abbreviation"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Abbreviation"]], ", ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], ", ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], ", ", 
                 ButtonBox["WriteOut", RuleDelayed[ButtonData, "WriteOut"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "WriteOut"]], ", ", 
                 ButtonBox["WriteOutPaVe", 
                   RuleDelayed[ButtonData, "WriteOutPaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "WriteOutPaVe"]], "."}], "Text", 
               CellTags -> "$Abbreviations"]}, Open]], Cell["$AL", 
            "ObjectName", CellTags -> "$AL"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "$AL"], 
              Cell["$AL is the head for dummy indices which may be introduced \
by Uncontract.", "Text", CellTags -> "$AL"], Cell[CellGroupData[
                {Cell[BoxData["$AL"], "Input", CellLabel -> "In[1906]:=", 
                  CellTags -> "$AL"], Cell[BoxData[\(TraditionalForm\`$AL\)], 
                  "Output", CellLabel -> "Out[1906]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Uncontract[\(\(ScalarProduct[\(p, q\)]\), q, 
                        \(Pair \[Rule] All\)\)]\)], "Input", CellLabel -> 
                   "In[1907]:=", CellTags -> "$AL"], Cell[BoxData[FormBox[
                    RowBox[{SuperscriptBox[FormBox["p", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$8325 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]], " ", 
                      SuperscriptBox[FormBox["q", "TraditionalForm"], 
                       FormBox[FormBox[
                         \($AL$8325 \[InvisibleApplication] \((1)\)\), 
                         "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1907]="]}, 
                Open]], Cell[BoxData[\(\($AL = \[Mu]\) ;\)], "Input", 
               CellLabel -> "In[1908]:=", CellTags -> "$AL"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(Uncontract[\(\(ScalarProduct[\(p, q\)]\), q, 
                        \(Pair \[Rule] All\)\)]\)], "Input", CellLabel -> 
                   "In[1909]:=", CellTags -> "$AL"], Cell[BoxData[FormBox[
                    RowBox[{SuperscriptBox[FormBox["p", "TraditionalForm"], 
                       FormBox[FormBox[\(\[Mu]$8326(1)\), "TraditionalForm"], 
                        "TraditionalForm"]], " ", SuperscriptBox[FormBox["q", 
                        "TraditionalForm"], FormBox[FormBox[\(\[Mu]$8326(1)\)
                         , "TraditionalForm"], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1909]="]}, 
                Open]], Cell[BoxData[\(\($AL=.\) ;\)], "Input", CellLabel -> 
                "In[1910]:=", CellTags -> "$AL"]}, Open]], 
           Cell["$BreitMaison", "ObjectName", CellTags -> "$BreitMaison"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "$BreitMaison"], Cell[TextData[
                {"The Breitenlohner-Maison ", Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_5\)]], " scheme is currently \
not supported by the Dirac algebra functions.Use Tracer if you need it (PHI \
supplies the functions FCToTracer and TracerToFC)."}], "Text", CellTags -> 
                "$BreitMaison"], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Tr", RuleDelayed[ButtonData, "Tr"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr"]], 
                 ", ", 
                 ButtonBox["$Larin", RuleDelayed[ButtonData, "$Larin"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$Larin"]], ", ", 
                 ButtonBox["$West", RuleDelayed[ButtonData, "$West"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$West"]], "."}], "Text", CellTags -> 
                "$BreitMaison"]}, Open]], Cell["$Color", "ObjectName", 
            CellTags -> "$Color"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "$Color"], 
              Cell["$Color is False by default. If set to True, some special \
variables will be colored.", "Text", CellTags -> "$Color"]}, Open]], 
           Cell["$Covariant", "ObjectName", CellTags -> "$Covariant"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "$Covariant"], Cell["The boolean setting of \
$Covariant determines whether lorentz indices are displayed as lower indices \
(True) or as upper ones (False).", "Text", CellTags -> "$Covariant"], 
              Cell[CellGroupData[{Cell[BoxData["$Covariant"], "Input", 
                  CellLabel -> "In[1911]:=", CellTags -> "$Covariant"], 
                 Cell[BoxData[\(TraditionalForm\`False\)], "Output", 
                  CellLabel -> "Out[1911]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(GA[\[Mu]]\)], "Input", CellLabel -> 
                   "In[1912]:=", CellTags -> "$Covariant"], Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu]\)\)], "Output", 
                  CellLabel -> "Out[1912]="]}, Open]], Cell[BoxData[
                \(\($Covariant = True\) ;\)], "Input", CellLabel -> 
                "In[1913]:=", CellTags -> "$Covariant"], Cell[CellGroupData[
                {Cell[BoxData[\(GA[\[Mu]]\)], "Input", CellLabel -> 
                   "In[1914]:=", CellTags -> "$Covariant"], Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_\[Mu]\)], "Output", 
                  CellLabel -> "Out[1914]="]}, Open]], Cell[BoxData[
                \(\($Covariant = False\) ;\)], "Input", CellLabel -> 
                "In[1915]:=", CellTags -> "$Covariant"]}, Open]], 
           Cell["$FCS", "ObjectName", CellTags -> "$FCS"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "$FCS"], Cell["$FCS is a list of functions with a \
short name. E.g. GA[nu] can be used instead of DiracGamma[nu].", "Text", 
               CellTags -> "$FCS"], Cell[CellGroupData[{Cell[BoxData["$FCS"], 
                  "Input", CellLabel -> "In[1916]:=", CellTags -> "$FCS"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({"FAD", "FV", "FVD", "GA", "GA5",\
 "GS", "GSD", "LC", "LCD", "MT", "MTD", "SD", "SOD", "SP",
                          "SPC", "SPD", "SPL", "FCI", "FCE", "FI", "FC",\
 "GGV", "GP", "QGV", "QO", "FDr", "CDr"}\)\)], "Output", CellLabel -> 
                   "Out[1916]="]}, Open]]}, Open]], Cell["$FCT", 
            "ObjectName", CellTags -> "$FCT"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "$FCT"], 
              Cell["Setting the global variable $FCT to True changes the \
default typesetting rules for the noncommutative multiplication operator \
Dot[].", "Text", CellTags -> "$FCT"], Cell[BoxData[\(\($FCT\ =\ True\) ;\)], 
               "Input", CellLabel -> "In[1917]:=", CellTags -> "$FCT"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(GA[\[Mu]]\)\ .\ \(GA[\[Nu]]\)\)], "Input", 
                  CellLabel -> "In[1918]:=", CellTags -> "$FCT"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu]\ \[Gamma]\^\[Nu]\)\)]\
, "Output", CellLabel -> "Out[1918]="]}, Open]], Cell[BoxData[
                \(\($FCT\ =\ False\) ;\)], "Input", CellLabel -> 
                "In[1919]:=", CellTags -> "$FCT"], Cell[CellGroupData[
                {Cell[BoxData[\(\(GA[\[Mu]]\)\ .\ \(GA[\[Nu]]\)\)], "Input", 
                  CellLabel -> "In[1920]:=", CellTags -> "$FCT"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\(\[Gamma]\^\[Mu] . \[Gamma]\^\[Nu]\)\)]\
, "Output", CellLabel -> "Out[1920]="]}, Open]]}, Open]], 
           Cell["$FeynCalcStuff", "ObjectName", CellTags -> 
             "$FeynCalcStuff"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "$FeynCalcStuff"], 
              Cell["$FeynCalcStuff is the list of availabe stuff in \
FeynCalc.", "Text", CellTags -> "$FeynCalcStuff"]}, Open]], 
           Cell["$FeynCalcVersion", "ObjectName", CellTags -> 
             "$FeynCalcVersion"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "$FeynCalcVersion"], Cell["$FeynCalcVersion is a string that \
represents the version of FeynCalc.", "Text", CellTags -> 
                "$FeynCalcVersion"], Cell[CellGroupData[
                {Cell[BoxData["$FeynCalcVersion"], "Input", CellLabel -> 
                   "In[1921]:=", CellTags -> "$FeynCalcVersion"], 
                 Cell[BoxData[\(TraditionalForm\`"5.0.0beta1"\)], "Output", 
                  CellLabel -> "Out[1921]="]}, Open]]}, Open]], 
           Cell["$FortranContinuationCharacter", "ObjectName", 
            CellTags -> "$FortranContinuationCharacter"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "$FortranContinuationCharacter"], 
              Cell["$FortranContinuationCharacter is the continuation \
character used in Write2.", "Text", CellTags -> 
                "$FortranContinuationCharacter"], Cell[CellGroupData[
                {Cell[BoxData["$FortranContinuationCharacter"], "Input", 
                  CellLabel -> "In[1922]:=", CellTags -> 
                   "$FortranContinuationCharacter"], Cell[BoxData[
                   \(TraditionalForm\`"&"\)], "Output", CellLabel -> 
                   "Out[1922]="]}, Open]], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Write2", RuleDelayed[ButtonData, "Write2"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Write2"]], "."}], "Text", CellTags -> 
                "$FortranContinuationCharacter"]}, Open]], 
           Cell["$Gauge", "ObjectName", CellTags -> "$Gauge"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "$Gauge"], Cell["$Gauge(= 1/xi) is a constant \
specifying the gauge fixing parameter of QED in Lorentz gauge.  The usual \
choice is Feynman gauge, $Gauge=1. Notice that $Gauge is used by some \
functions, the option Gauge by others.", "Text", CellTags -> "$Gauge"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Gauge", RuleDelayed[ButtonData, "Gauge"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Gauge"]], "."}], "Text", CellTags -> 
                "$Gauge"]}, Open]], Cell["$Larin", "ObjectName", 
            CellTags -> "$Larin"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "$Larin"], 
              Cell[TextData[{"If set to True, the \
Larin-Gorishny-Atkyampo-DelBurgo-scheme for ", Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_5\)]], " in ", 
                 StyleBox["D", Rule[FontSlant, "Italic"]], "-dimensions is \
used, i.e. before evaluating traces (but after moving ", Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_5\)]], " anticommuting in all \
dimensions to the right of the Dirac string) a product  gamma[mu].gamma5 is \
substituted to  -I/6 Eps[mu,al,be,si] gamma[al,be,si], where all indices live \
in ", StyleBox["D", Rule[FontSlant, "Italic"]], 
                 "-dimensions now. Especially the Levic-Civita tensor is \
taken to be ", StyleBox["D", Rule[FontSlant, "Italic"]], 
                 "-dimensional, i.e., contraction of two Eps's results in ", 
                 StyleBox["D", Rule[FontSlant, "Italic"]], "'s. This has (FOR \
ONE AXIAL-VECTOR-CURRENT ONLY, it is not so clear if this scheme also works \
for more than one fermion line involving ", Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_5\)]], ") the same effect as \
the Breitenlohner-Maison-'t Hooft-Veltman scheme."}], "Text", CellTags -> 
                "$Larin"], Cell[CellGroupData[{Cell[BoxData["$Larin"], 
                  "Input", CellLabel -> "In[1923]:=", CellTags -> "$Larin"], 
                 Cell[BoxData[\(TraditionalForm\`False\)], "Output", 
                  CellLabel -> "Out[1923]="]}, Open]], Cell[TextData[
                {"See also:  ", 
                 ButtonBox["Tr", RuleDelayed[ButtonData, "Tr"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr"]], 
                 ", ", 
                 ButtonBox["$BreitMaison", 
                   RuleDelayed[ButtonData, "$BreitMaison"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$BreitMaison"]], ", ", 
                 ButtonBox["$West", RuleDelayed[ButtonData, "$West"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "$West"]], "."}], "Text", CellTags -> 
                "$Larin"]}, Open]], Cell["$LimitTo4", "ObjectName", 
            CellTags -> "$LimitTo4"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> "$LimitTo4"], 
              Cell["$LimitTo4 is a global variable with default setting True. \
If set to False, no limit Dimension \[Rule] 4 is performed after tensor \
integral decomposition.", "Text", CellTags -> "$LimitTo4"], 
              Cell[CellGroupData[{Cell[BoxData["$LimitTo4"], "Input", 
                  CellLabel -> "In[1924]:=", CellTags -> "$LimitTo4"], 
                 Cell[BoxData[\(TraditionalForm\`True\)], "Output", 
                  CellLabel -> "Out[1924]="]}, Open]], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["PaVe", RuleDelayed[ButtonData, "PaVe"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "PaVe"]]\
, ", ", 
                 ButtonBox["PaVeReduce", RuleDelayed[ButtonData, 
                    "PaVeReduce"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "PaVeReduce"]], ", ", 
                 ButtonBox["OneLoop", RuleDelayed[ButtonData, "OneLoop"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OneLoop"]], "."}], "Text", CellTags -> 
                "$LimitTo4"]}, Open]], Cell["$LorentzIndices", "ObjectName", 
            CellTags -> "$LorentzIndices"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "$LorentzIndices"], Cell["$LorentzIndices is a global \
variable. If set to True the dimension of LorentzIndex is displayed as an \
index.", "Text", CellTags -> "$LorentzIndices"], Cell[BoxData[
                \(\($LorentzIndices = True\) ;\)], "Input", CellLabel -> 
                "In[1925]:=", CellTags -> "$LorentzIndices"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(MetricTensor[\(\[Alpha], \[Beta], 
                          \(Dimension \[Rule] n\)\)]\) 
                      \(DiracMatrix[\(\[Alpha], \(Dimension \[Rule] n\)\)]\)\
\)], "Input", CellLabel -> "In[1926]:=", CellTags -> "$LorentzIndices"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["\[Gamma]", 
                       FormBox[SubscriptBox[FormBox["\[Alpha]", 
                          "TraditionalForm"], FormBox["n", 
                          "TraditionalForm"]], "TraditionalForm"]], " ", 
                      SuperscriptBox["g", RowBox[{FormBox[SubscriptBox[
                          FormBox["\[Alpha]", "TraditionalForm"], FormBox[
                          "n", "TraditionalForm"]], "TraditionalForm"], 
                         FormBox[SubscriptBox[FormBox["\[Beta]", 
                          "TraditionalForm"], FormBox["n", 
                          "TraditionalForm"]], "TraditionalForm"]}]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1926]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[1927]:=", CellTags -> 
                   "$LorentzIndices"], Cell[BoxData[
                   \(\(DiracGamma[\(\(LorentzIndex[\(\[Alpha], n\)]\), n\)]\)
                      \ \(MetricTensor[\(\[Alpha], \[Beta], 
                          \(Dimension \[Rule] n\)\)]\)\)], "Output", 
                  CellLabel -> "Out[1927]//StandardForm="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(\(MTD[\(\[Alpha], \[Beta]\)]\)\ 
                        \(FVD[\(p, \[Beta]\)]\) \(GAD[\[Mu]]\)\)//FCI\)], 
                  "Input", CellLabel -> "In[1928]:=", CellTags -> 
                   "$LorentzIndices"], Cell[BoxData[FormBox[RowBox[
                     {SuperscriptBox["\[Gamma]", FormBox[SubscriptBox[
                         FormBox["\[Mu]", "TraditionalForm"], FormBox["D", 
                          "TraditionalForm"]], "TraditionalForm"]], " ", 
                      SuperscriptBox["g", RowBox[{FormBox[SubscriptBox[
                          FormBox["\[Alpha]", "TraditionalForm"], FormBox[
                          "D", "TraditionalForm"]], "TraditionalForm"], 
                         FormBox[SubscriptBox[FormBox["\[Beta]", 
                          "TraditionalForm"], FormBox["D", 
                          "TraditionalForm"]], "TraditionalForm"]}]], " ", 
                      SuperscriptBox[FormBox["p", "TraditionalForm"], 
                       FormBox[SubscriptBox[FormBox["\[Beta]", 
                          "TraditionalForm"], FormBox["D", 
                          "TraditionalForm"]], "TraditionalForm"]]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1928]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//StandardForm\)]
                   , "Input", CellLabel -> "In[1929]:=", CellTags -> 
                   "$LorentzIndices"], Cell[BoxData[
                   \(\(DiracGamma[\(\(LorentzIndex[\(\[Mu], D\)]\), D\)]\)\ 
                      \(Pair[\(\(LorentzIndex[\(\[Alpha], D\)]\), 
                          \(LorentzIndex[\(\[Beta], D\)]\)\)]\)\ 
                      \(Pair[\(\(LorentzIndex[\(\[Beta], D\)]\), 
                          \(Momentum[\(p, D\)]\)\)]\)\)], "Output", 
                  CellLabel -> "Out[1929]//StandardForm="]}, Open]], 
              Cell[BoxData[\(\($LorentzIndices = False\) ;\)], "Input", 
               CellLabel -> "In[1930]:=", CellTags -> "$LorentzIndices"]}, 
             Open]], Cell["$MIntegrate", "ObjectName", CellTags -> 
             "$MIntegrate"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "$MIntegrate"], Cell["$MIntegrate \
is a global list of integrations done by Mathematica inside OPEIntDelta.", 
               "Text", CellTags -> "$MIntegrate"], Cell[CellGroupData[
                {Cell[BoxData["$MIntegrate"], "Input", CellLabel -> 
                   "In[1931]:=", CellTags -> "$MIntegrate"], Cell[BoxData[
                   \(TraditionalForm\`\({}\)\)], "Output", CellLabel -> 
                   "Out[1931]="]}, Open]], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["OPEIntDelta", 
                   RuleDelayed[ButtonData, "OPEIntDelta"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "OPEIntDelta"]], "."}], "Text", 
               CellTags -> "$MIntegrate"]}, Open]], Cell["$MU", "ObjectName", 
            CellTags -> "$MU"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "$MU"], Cell["$MU is the head for \
dummy indices which may be introduced by Chisholm (and evtl. Contract and \
DiracReduce).", "Text", CellTags -> "$MU"], Cell[CellGroupData[
                {Cell[BoxData["$MU"], "Input", CellLabel -> "In[1932]:=", 
                  CellTags -> "$MU"], Cell[BoxData[\(TraditionalForm\`$MU\)], 
                  "Output", CellLabel -> "Out[1932]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["Chisholm", RuleDelayed[ButtonData, "Chisholm"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Chisholm"]], "."}], "Text", CellTags -> 
                "$MU"]}, Open]], Cell["$MemoryAvailable", "ObjectName", 
            CellTags -> "$MemoryAvailable"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "$MemoryAvailable"], Cell[TextData[{"$MemoryAvailable is  a \
global variable which is set to an integer ", 
                 StyleBox["n", Rule[FontSlant, "Italic"]], ", where ", 
                 StyleBox["n", Rule[FontSlant, "Italic"]], " is the available \
amount of main memory in MB. The default is 128. It should be increased if \
possible. The higher $MemoryAvailable can be, the more intermediate steps do \
not have to be repeated by FeynCalc."}], "Text", CellTags -> 
                "$MemoryAvailable"], Cell[CellGroupData[
                {Cell[BoxData["$MemoryAvailable"], "Input", CellLabel -> 
                   "In[1933]:=", CellTags -> "$MemoryAvailable"], 
                 Cell[BoxData[\(TraditionalForm\`256\)], "Output", 
                  CellLabel -> "Out[1933]="]}, Open]]}, Open]], 
           Cell["$NonComm", "ObjectName", CellTags -> "$NonComm"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "$NonComm"], Cell["$NonComm contains a list of all \
non-commutative heads present.", "Text", CellTags -> "$NonComm"], 
              Cell[CellGroupData[{Cell[BoxData["$NonComm"], "Input", 
                  CellLabel -> "In[1934]:=", CellTags -> "$NonComm"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({ChiralityProjector, DiracGamma, 
                         DiracGammaT, DiracMatrix, DiracSigma, DiracSlash, 
                         Spinor, GAD, GA, GSD, GS, LeftPartialD, 
                         LeftRightPartialD2, LeftRightPartialD, PartialD, 
                         PauliSigma, QuantumField, RightPartialD, SpinorUBar,
                          SpinorU, SpinorVBar, SpinorV, SUNT, FieldStrength, 
                         QuarkGluonVertex, QuarkPropagator, C, 
                         Twist2QuarkOperator, CovariantD, OPESum, 
                         Twist2AlienOperator, Twist2CounterOperator}\)\)], 
                  "Output", CellLabel -> "Out[1934]="]}, Open]], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["NonCommQ", RuleDelayed[ButtonData, "NonCommQ"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "NonCommQ"]], ", ", 
                 ButtonBox["NonCommutative", 
                   RuleDelayed[ButtonData, "NonCommutative"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "NonCommutative"]], "."}], "Text", 
               CellTags -> "$NonComm"]}, Open]], Cell["$PairBrackets", 
            "ObjectName", CellTags -> "$PairBrackets"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "$PairBrackets"], Cell["$PairBrackets determines \
whether brackets are drawn around scalar products in the notebook interface."\
, "Text", CellTags -> "$PairBrackets"], Cell[CellGroupData[
                {Cell[BoxData["$PairBrackets"], "Input", CellLabel -> 
                   "In[1935]:=", CellTags -> "$PairBrackets"], Cell[BoxData[
                   \(TraditionalForm\`False\)], "Output", CellLabel -> 
                   "Out[1935]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(\(SP[\(p, q\)]\) \(SP[\(r, s\)]\)\)], "Input", 
                  CellLabel -> "In[1936]:=", CellTags -> "$PairBrackets"], 
                 Cell[BoxData[FormBox[RowBox[{FormBox[RowBox[{FormBox["p", 
                          "TraditionalForm"], "\[CenterDot]", FormBox["q", 
                          "TraditionalForm"]}], "TraditionalForm"], " ", 
                      FormBox[RowBox[{FormBox["r", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["s", "TraditionalForm"]}], 
                       "TraditionalForm"]}], TraditionalForm]], "Output", 
                  CellLabel -> "Out[1936]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\($PairBrackets = True\)], "Input", 
                  CellLabel -> "In[1937]:=", CellTags -> "$PairBrackets"], 
                 Cell[BoxData[\(TraditionalForm\`True\)], "Output", 
                  CellLabel -> "Out[1937]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(\(SP[\(p, q\)]\) \(SP[\(r, s\)]\)\)], 
                  "Input", CellLabel -> "In[1938]:=", CellTags -> 
                   "$PairBrackets"], Cell[BoxData[FormBox[RowBox[
                     {FormBox[RowBox[{"(", FormBox["p", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["q", "TraditionalForm"], 
                         ")"}], "TraditionalForm"], " ", FormBox[RowBox[
                        {"(", FormBox["r", "TraditionalForm"], 
                         "\[CenterDot]", FormBox["s", "TraditionalForm"], 
                         ")"}], "TraditionalForm"]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1938]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\($PairBrackets = False\)], 
                  "Input", CellLabel -> "In[1939]:=", CellTags -> 
                   "$PairBrackets"], Cell[BoxData[\(TraditionalForm\`False\)]
                   , "Output", CellLabel -> "Out[1939]="]}, Open]]}, Open]], 
           Cell["$SpinorMinimal", "ObjectName", CellTags -> 
             "$SpinorMinimal"], Cell[CellGroupData[{Cell["Description", 
               "Subsubsection", CellTags -> "$SpinorMinimal"], 
              Cell["$SpinorMinimal is a global switch for an additional \
simplification attempt in DiracSimplify for more than one Spinor-line. The \
default is False, since otherwise it costs too much time.", "Text", 
               CellTags -> "$SpinorMinimal"], Cell[CellGroupData[
                {Cell[BoxData["$SpinorMinimal"], "Input", CellLabel -> 
                   "In[1940]:=", CellTags -> "$SpinorMinimal"], Cell[BoxData[
                   \(TraditionalForm\`False\)], "Output", CellLabel -> 
                   "Out[1940]="]}, Open]], Cell[TextData[{"See also: ", " ", 
                 ButtonBox["DiracSimplify", 
                   RuleDelayed[ButtonData, "DiracSimplify"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "DiracSimplify"]], "."}], "Text", 
               CellTags -> "$SpinorMinimal"]}, Open]], Cell["$VeryVerbose", 
            "ObjectName", CellTags -> "$VeryVerbose"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "$VeryVerbose"], Cell["$VeryVerbose is a global \
variable with default setting 0. If set to 1, 2, ..., less and more \
intermediate comments and informations are displayed during calculations.", 
               "Text", CellTags -> "$VeryVerbose"], Cell[CellGroupData[
                {Cell[BoxData["$VeryVerbose"], "Input", CellLabel -> 
                   "In[1941]:=", CellTags -> "$VeryVerbose"], Cell[BoxData[
                   \(TraditionalForm\`0\)], "Output", CellLabel -> 
                   "Out[1941]="]}, Open]], Cell[BoxData[
                \(\($VeryVerbose\ =\ 3\) ;\)], "Input", CellLabel -> 
                "In[1942]:=", CellTags -> "$VeryVerbose"], Cell[CellGroupData[
                {Cell[BoxData[
                   \(\(Collect2[\(\(Expand[\(\((x - y - z)\)^6\)]\), x\)]\) ;
                     \)], "Input", CellLabel -> "In[1943]:=", CellTags -> 
                   "$VeryVerbose"], Cell["expanding. inhomogeneous part; \
LeafCount = 43; factored. #1#2#3#4#5#6", "Print"], Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[\(
                          "length "\[InvisibleSpace]21\[InvisibleSpace]"."\)\
, SequenceForm["length ", 21, "."], Rule[Editable, False]]
                   \)\)], "Print"], Cell[BoxData[
                   \(TraditionalForm\`\(\*InterpretationBox[\(
                          "collecting "\[InvisibleSpace]6\[InvisibleSpac\
e]" terms."\), SequenceForm["collecting ", 6, " terms."], 
                         Rule[Editable, False]]\)\)], "Print"]}, Open]], 
              Cell[BoxData[\(\($VeryVerbose = 0\) ;\)], "Input", CellLabel -> 
                "In[1944]:=", CellTags -> "$VeryVerbose"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["$V0", RuleDelayed[ButtonData, "$V0"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "$V0"]], 
                 "."}], "Text", CellTags -> "$V0"]}, Open]], 
           Cell["$West", "ObjectName", CellTags -> "$West"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "$West"], Cell[TextData[{"If $West is set to True \
(which is the default), traces involving more than 4 Dirac matrices and ", 
                 Cell[BoxData[\(TraditionalForm\`\[Gamma]\_5\)]], " are \
calculated recursively according to formula (A.5) from Comp. Phys. Comm 77 \
(1993) 286-298, which is based on the Breitenlohner Maison ", Cell[BoxData[
                   \(TraditionalForm\`\[Gamma]\_5\)]], "-scheme."}], "Text", 
               CellTags -> "$West"], Cell[TextData[{"See examples in ", 
                 ButtonBox["Tr", RuleDelayed[ButtonData, "Tr"], 
                   Rule[ButtonStyle, "AddOnsLink"], Rule[ButtonNote, "Tr"]], 
                 "."}], "Text", CellTags -> "$West"], 
              Cell["Evaluation time and memory usage", "Commentary"], 
              Cell[CellGroupData[{Cell[BoxData[
                   \(\(AbsoluteTime[]\) - absolutestarttime\)], "Input", 
                  CellLabel -> "In[1945]:="], Cell[BoxData[
                   \(TraditionalForm\`285.406997`8.9070096095109\)], 
                  "Output", CellLabel -> "Out[1945]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(MemoryInUse[]\)], "Input", 
                  CellLabel -> "In[1946]:="], Cell[BoxData[
                   \(TraditionalForm\`24370536\)], "Output", CellLabel -> 
                   "Out[1946]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(MaxMemoryUsed[]\)], "Input", CellLabel -> "In[1947]:="], 
                 Cell[BoxData[\(TraditionalForm\`24547720\)], "Output", 
                  CellLabel -> "Out[1947]="]}, Open]], Cell[CellGroupData[
                {Cell[BoxData[\(TimeUsed[]\)], "Input", CellLabel -> 
                   "In[1948]:="], Cell[BoxData[\(TraditionalForm\`160.8`\)], 
                  "Output", CellLabel -> "Out[1948]="]}, Open]]}, Open]]}, 
          Open]], Cell[CellGroupData[{Cell["Functions (experimental)", 
            "Section", CellTags -> "Experimental"], 
           Cell["DoPolarizationSums", "ObjectName", CellTags -> 
             "DoPolarizationSums"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "DoPolarizationSums"], Cell["***EXPERIMENTAL***\nDoPolarizati\
onSums[exp] sums over vector polarizations for expressions with a factor of \
the form\nPair[LorentzIndex[rho1_], Momentum[Polarization[p_, \
-I]]]*\nPair[LorentzIndex[rho2_], Momentum[Polarization[p_, I]]].", "Text", 
               CellTags -> "DoPolarizationSums"], Cell[TextData[
                {"See also: ", " ", 
                 ButtonBox["Polarization", 
                   RuleDelayed[ButtonData, "Polarization"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Polarization"]], ", ", 
                 ButtonBox["Uncontract", RuleDelayed[ButtonData, 
                    "Uncontract"], Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "Uncontract"]], "."}], "Text", 
               CellTags -> "DoPolarizationSums"]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "DoPolarizationSums"], Cell["In the following (and indeed \
everywhere else within FeynCalc), notice that Lorentz indices written as \
super or subscripts are not to be taken as such. Instead, by convention, when \
two indices are contracted one is always lower and the other upper.", "Text", 
               CellTags -> "DoPolarizationSums"], Cell["FeynCalc uses the \
following normalization of Polarization vectors:", "Text", CellTags -> 
                "DoPolarizationSums"], Cell[CellGroupData[{Cell[BoxData[
                   \(\(Pair[\(\(LorentzIndex[\[Mu]]\), 
                          \(Momentum[\(Polarization[
                              \(p4, \(-\[ImaginaryI]\)\)]\)]\)\)]\)\ 
                      \(Pair[\(\(LorentzIndex[\[Mu]]\), 
                          \(Momentum[\(Polarization[\(p4, \[ImaginaryI]\)]\)]
                           \)\)]\)\)], "Input", CellLabel -> "In[1949]:=", 
                  CellTags -> "DoPolarizationSums"], Cell[BoxData[FormBox[
                    RowBox[{RowBox[{SubsuperscriptBox["\[CurlyEpsilon]", 
                         FormBox[FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"], "*"], "(", "p4", ")"}], " ", 
                      RowBox[{SubscriptBox["\[CurlyEpsilon]", FormBox[
                          FormBox["\[Mu]", "TraditionalForm"], 
                          "TraditionalForm"]], "(", "p4", ")"}]}], 
                    TraditionalForm]], "Output", CellLabel -> "Out[1949]="]}, 
                Open]], Cell[CellGroupData[{Cell[BoxData[\(%//Contract\)], 
                  "Input", CellLabel -> "In[1950]:=", CellTags -> 
                   "DoPolarizationSums"], Cell[BoxData[
                   \(TraditionalForm\`\(-1\)\)], "Output", CellLabel -> 
                   "Out[1950]="]}, Open]], Cell[TextData[{"DoPolarizationSums \
is chosen in such a way as to be consistent with this normalization and with \
", Cell[BoxData[\(TraditionalForm\`\[Sum]\+Polarizations\)]], 
                 Cell[BoxData[FormBox[RowBox[{RowBox[{SubscriptBox[
                         "\[CurlyEpsilon]", FormBox[FormBox["\[Mu]", 
                          "TraditionalForm"], "TraditionalForm"]], "(", 
                        FormBox[
                         \(\(\*TagBox[StyleBox["\"p\"", 
                                Rule[FontSlant, "Italic"]], 
                               Function[StyleForm[Slot[1], 
                                 Rule[FontSlant, "Italic"]]]]\)\_4\), 
                         "TraditionalForm"], ")"}], " ", RowBox[{SubscriptBox[
                         \((\[CurlyEpsilon]\^\[Nu])\), FormBox["", 
                          "TraditionalForm"]], "(", FormBox[
                         \(\(\*TagBox[StyleBox["\"p\"", 
                                Rule[FontSlant, "Italic"]], 
                               Function[StyleForm[Slot[1], 
                                 Rule[FontSlant, "Italic"]]]]\)\_4\), 
                         "TraditionalForm"], ")"}]}], TraditionalForm]]], 
                 "=", Cell[BoxData[FormBox[RowBox[{"-", FormBox[
                       SuperscriptBox[\(g\_\[Mu]\), RowBox[{"\[NoBreak]", 
                          FormBox["\[Nu]", "TraditionalForm"]}]], 
                       "TraditionalForm"]}], TraditionalForm]]], ":"}], 
               "Text", CellTags -> "DoPolarizationSums"], Cell[TextData[
                {"We can choose e.g. the following polarization vectors, \
labeled with a subscript, {", Cell[BoxData[\(TraditionalForm\`e\_1\)]], ",", 
                 Cell[BoxData[\(TraditionalForm\`e\_2\)]], ",", Cell[BoxData[
                   \(TraditionalForm\`e\_3\)]], ",", Cell[BoxData[
                   \(TraditionalForm\`e\_4\)]], "} = {(\[ImaginaryI],0,0,0), \
(0,\[ImaginaryI],0,0), (0,0,\[ImaginaryI],0), (0,0,0,\[ImaginaryI])}."}], 
               "Text", CellTags -> "DoPolarizationSums"], Cell[BoxData[
                \(Clear[\(ee, tt\)]\)], "Input", CellLabel -> "In[1951]:=", 
               CellTags -> "DoPolarizationSums"], Cell[BoxData[
                \(\(\(ev[i_]\) := \(ReplacePart[\(\({0, 0, 0, 0}\), I, i\)]\)
                    \) ;\)], "Input", CellLabel -> "In[1952]:=", CellTags -> 
                "DoPolarizationSums"], Cell[CellGroupData[{Cell[BoxData[
                   \({\(ev[1]\), \(ev[2]\), \(ev[3]\), \(ev[4]\)}\)], 
                  "Input", CellLabel -> "In[1953]:=", CellTags -> 
                   "DoPolarizationSums"], Cell[BoxData[
                   \(TraditionalForm\`\((\[NoBreak] 
                        \*GridBox[{{"\[ImaginaryI]", "0", "0", "0"}, 
                           {"0", "\[ImaginaryI]", "0", "0"}, 
                           {"0", "0", "\[ImaginaryI]", "0"}, 
                           {"0", "0", "0", "\[ImaginaryI]"}}, 
                          ColumnAlignments -> {Decimal}] \[NoBreak])\)\)], 
                  "Output", CellLabel -> "Out[1953]="]}, Open]], 
              Cell[TextData[{StyleBox["ee[i][\[Mu]]", "Input"], " is ", 
                 Cell[BoxData[\(TraditionalForm\`\(\(e\_i\)\^\[Mu]\)\)]], 
                 ":"}], "Text", CellTags -> "DoPolarizationSums"], 
              Cell[BoxData[
                \(\(\(\(ee[i_]\)[mu_]\) := \(\(ev[i]\)[\([mu]\)]\)\) ;\)], 
               "Input", CellLabel -> "In[1954]:=", CellTags -> 
                "DoPolarizationSums"], Cell[BoxData[
                \(\(tt[\(i_, j_, mu_, nu_\)]\) := 
                   \(\(\(ee[i]\)[mu]\) \(\(ee[j]\)[nu]\)\)\)], "Input", 
               CellLabel -> "In[1955]:=", CellTags -> "DoPolarizationSums"], 
              Cell[TextData[{StyleBox["tt[i,j,\[Mu],\[Nu]]", "Input"], 
                 " is ", Cell[BoxData[\(TraditionalForm\`\(\(e\_i\)\^\[Mu]\)\)
                   ]], Cell[BoxData[\(TraditionalForm\`\(\(e\_j\)\^\[Nu]\)\)]]
                   , ":"}], "Text", CellTags -> "DoPolarizationSums"], 
              Cell[TextData[{Cell[BoxData[
                   \(TraditionalForm\`\[Sum]\+\(i, j\)\)]], Cell[BoxData[
                   FormBox[RowBox[{" ", RowBox[{FormBox[\(\(e\_i\)\^\[Mu]\), 
                         "TraditionalForm"], FormBox[\(e\_\(j, \[Nu]\)\), 
                         "TraditionalForm"]}]}], TraditionalForm]]], "=", 
                 Cell[BoxData[FormBox[RowBox[{"-", FormBox[SuperscriptBox[
                        \(g\_\[Mu]\), RowBox[{"\[NoBreak]", FormBox["\[Nu]", 
                          "TraditionalForm"]}]], "TraditionalForm"]}], 
                    TraditionalForm]]], ":"}], "Text", CellTags -> 
                "DoPolarizationSums"], Cell[CellGroupData[{Cell[BoxData[
                   \(Table[\(\(\[Sum]\+\(i = 1\)\%4 \(tt[\(i, i, mu, nu\)]\)
                         \), \({mu, 1, 4}\), \({nu, 1, 4}\)\)]\)], "Input", 
                  CellLabel -> "In[1956]:=", CellTags -> 
                   "DoPolarizationSums"], Cell[BoxData[
                   \(TraditionalForm\`\((\[NoBreak] 
                        \*GridBox[{{\(-1\), "0", "0", "0"}, 
                           {"0", \(-1\), "0", "0"}, 
                           {"0", "0", \(-1\), "0"}, {"0", "0", "0", \(-1\)}}\
, ColumnAlignments -> {Decimal}] \[NoBreak])\)\)], "Output", CellLabel -> 
                   "Out[1956]="]}, Open]], Cell[TextData[{Cell[BoxData[
                   \(TraditionalForm\`\[Sum]\+\(\[Mu], \[Nu]\)\)]], 
                 Cell[BoxData[FormBox[RowBox[{" ", RowBox[{FormBox[
                         \(\(e\_i\)\^\[Mu]\), "TraditionalForm"], FormBox[
                         \(e\_\(j, \[Nu]\)\), "TraditionalForm"]}]}], 
                    TraditionalForm]]], "=", Cell[BoxData[FormBox[RowBox[
                     {"-", FormBox[\(\(g\_i\)\^j\), "TraditionalForm"]}], 
                    TraditionalForm]]], ":"}], "Text", CellTags -> 
                "DoPolarizationSums"], Cell[CellGroupData[{Cell[BoxData[
                   \(Table[\(\(\[Sum]\+\(mu = 1\)\%4 \(tt[\(i, j, mu, mu\)]\)
                         \), \({i, 1, 4}\), \({j, 1, 4}\)\)]\)], "Input", 
                  CellLabel -> "In[1957]:=", CellTags -> 
                   "DoPolarizationSums"], Cell[BoxData[
                   \(TraditionalForm\`\((\[NoBreak] 
                        \*GridBox[{{\(-1\), "0", "0", "0"}, 
                           {"0", \(-1\), "0", "0"}, 
                           {"0", "0", \(-1\), "0"}, {"0", "0", "0", \(-1\)}}\
, ColumnAlignments -> {Decimal}] \[NoBreak])\)\)], "Output", CellLabel -> 
                   "Out[1957]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ptest = \(\(Pair[\(\(LorentzIndex[\[Mu]]\), 
                            \(LorentzIndex[\(ComplexIndex[\[Mu]]\)]\)\)]\)\ 
                        \(Pair[\(\(LorentzIndex[\[Mu]]\), 
                            \(Momentum[\(Polarization[
                                \(p4, \(-\[ImaginaryI]\)\)]\)]\)\)]\)\ 
                        \(Pair[\(\(LorentzIndex[\(ComplexIndex[\[Mu]]\)]\), 
                            \(Momentum[\(Polarization[\(p4, \[ImaginaryI]\)]
                               \)]\)\)]\)\)\)], "Input", CellLabel -> 
                   "In[1958]:=", CellTags -> "DoPolarizationSums"], 
                 Cell[BoxData[FormBox[RowBox[{SuperscriptBox["g", RowBox[
                        {"\[Mu]", FormBox[\(\[Mu]\^*\), 
                          "TraditionalForm"]}]], " ", RowBox[
                       {SubsuperscriptBox["\[CurlyEpsilon]", FormBox[FormBox[
                          "\[Mu]", "TraditionalForm"], "TraditionalForm"], 
                         "*"], "(", "p4", ")"}], " ", RowBox[{SubscriptBox[
                         "\[CurlyEpsilon]", FormBox[FormBox[\(\[Mu]\^*\), 
                          "TraditionalForm"], "TraditionalForm"]], "(", "p4", 
                        ")"}]}], TraditionalForm]], "Output", CellLabel -> 
                   "Out[1958]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ptest//DoPolarizationSums\)], "Input", CellLabel -> 
                   "In[1959]:=", CellTags -> "DoPolarizationSums"], 
                 Cell[BoxData[FormBox[RowBox[{"-", SuperscriptBox[FormBox[
                        SuperscriptBox["g", RowBox[{"\[Mu]", FormBox[
                          \(\[Mu]\^*\), "TraditionalForm"]}]], 
                        "TraditionalForm"], "2"]}], TraditionalForm]], 
                  "Output", CellLabel -> "Out[1959]="]}, Open]], 
              Cell[CellGroupData[{Cell[BoxData[\(%//Contract\)], "Input", 
                  CellLabel -> "In[1960]:=", CellTags -> 
                   "DoPolarizationSums"], Cell[BoxData[
                   \(TraditionalForm\`\(-4\)\)], "Output", CellLabel -> 
                   "Out[1960]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(ptest//Contract\)], "Input", CellLabel -> "In[1961]:=", 
                  CellTags -> "DoPolarizationSums"], Cell[BoxData[
                   \(TraditionalForm\`\(-1\)\)], "Output", CellLabel -> 
                   "Out[1961]="]}, Open]], Cell[CellGroupData[{Cell[BoxData[
                   \(%//DoPolarizationSums\)], "Input", CellLabel -> 
                   "In[1962]:=", CellTags -> "DoPolarizationSums"], 
                 Cell[BoxData[\(TraditionalForm\`\(-4\)\)], "Output", 
                  CellLabel -> "Out[1962]="]}, Open]], Cell[BoxData[
                \(Clear[\(ee, tt, ev, ptest\)]\)], "Input", CellLabel -> 
                "In[1963]:=", CellTags -> "DoPolarizationSums"]}, Open]], 
           Cell["FeynmanDoIntegrals ***unfinished***", "ObjectName", 
            CellTags -> "FeynmanDoIntegrals"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FeynmanDoIntegrals"], Cell["***EXPERIMENTAL***\n \
FeynmanDoIntegrals[exp, moms, vars] attempts to evaluate integrals over \
Feynman parameters vars in an expression exp as produced e.g. with \
FeynmanReduce. The variables given must be atomic quantities (AtomQ). If vars \
is omitted all variables in the integrals will be integrated. If vars is \
given, only the variables in vars will be integrated. moms is a list of all \
external momenta. The integrals in exp must be given in the form \
Integratedx[x, low, up].int, where x is the integration variable, low and up \
are the integration limits and int the integrand. The interval [low,up] is \
assumed to include integration bounds put by possible DeltaFunctions and \
moreover it is assumed that up \[GreaterEqual] 0 and that up > low. The two \
options FCIntegrate and FCNIntegrate determine which integration will be \
applied to integrals judged respectively analytically and numerically doable. \
This judging is a very rough one. Using (TimedIntegrate[##, \
Integrate\[Rule]Integrate]&) or (TimedIntegrate[##, \
Integrate\[Rule]NIntegrate]&) as the setting of one or both allows for finer \
judging. Those that are judged neither analytically nor numerically doable \
are left unevaluated, but can of course be attempted evaluated by a simple \
sustitution. Beside the explicit options of FeynmanDoIntegrals options of the \
integration functions specified (FCIntegrate and FCNIntegrate) may be given \
and are passed on to these.", "Text", CellTags -> "FeynmanDoIntegrals"], 
              Cell[TextData[{"See also: ", " ", 
                 ButtonBox["FeynmanReduce", 
                   RuleDelayed[ButtonData, "FeynmanReduce"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynmanReduce"]], ", ", 
                 ButtonBox["FeynmanParametrize1", 
                   RuleDelayed[ButtonData, "FeynmanParametrize1"], 
                   Rule[ButtonStyle, "AddOnsLink"], 
                   Rule[ButtonNote, "FeynmanParametrize1"]], "."}], "Text", 
               CellTags -> "FeynmanDoIntegrals"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[FeynmanDoIntegrals]\)], "Input", 
                  CellLabel -> "In[1964]:=", CellTags -> 
                   "FeynmanDoIntegrals"], Cell[BoxData[
                   \(TraditionalForm\`\({\(NIntegrate \[Rule] False\), 
                         \(Dimension \[Rule] D\), 
                         \(EpsilonOrder \[Rule] \({\(-2\), 0}\)\), 
                         \(FCIntegrate \[Rule] TimedIntegrate\), 
                         \(Simplify \[Rule] True\), \(Expand \[Rule] True\), 
                         \(Series \[Rule] True\), 
                         \(FCNIntegrate \[Rule] 
                           \((\(\(DOT(\(\(Sequence @@ 
                                     \(\((\(
                                       \(HighEnergyPhysics`fcdevel`FeynmanDo\
Integrals`Private`Integratedx @@ #1\) &\))\)/@\({##2}\)\)\
\), #1\))\) &\))\)\)}\)\)], "Output", CellLabel -> "Out[1964]="]}, Open]]}, 
             Open]], Cell[CellGroupData[{Cell["Examples", "Subsubsection", 
               CellTags -> "FeynmanDoIntegrals"], Cell[BoxData[""], "Input", 
               CellLabel -> "In[1965]:=", CellTags -> "FeynmanDoIntegrals"]}, 
             Open]], Cell["FeynmanParametrize1 ***unfinished***", 
            "ObjectName", CellTags -> "FeynmanParametrize1"], 
           Cell[CellGroupData[{Cell["Description", "Subsubsection", 
               CellTags -> "FeynmanParametrize1"], Cell["***EXPERIMENTAL***\n \
FeynmanParametrize1[exp,k,Method->Denominator] introduces Feynman parameters \
for all one-loop integrals in exp (k = integration momentum) using formula \
(11.A.1) from \"The Quantum Theory of Fields\" vol. 1 by Steven Weinberg.  \
FeynmanParametrize1[exp,k,Method->Exp] introduces Feynman parameters for all \
one-loop integrals in exp (k = integration momentum) using 1/(A-I eps) = I \
Integrate[Exp[-I x (A-I eps)],{x,0,Infinity}, \
Assumptions->{Arg[A]==0,Arg[eps]==0}]. In this case, when the option \
Integrate is set to True, odd factors of k-tensors are dropped and even \
factors are replaced according to Itzykson&Zuber (8-117).", "Text", 
               CellTags -> "FeynmanParametrize1"], Cell[CellGroupData[
                {Cell[BoxData[\(Options[FeynmanParametrize1]\)], "Input", 
                  CellLabel -> "In[1966]:=", CellTags -> 
                   "FeynmanParametrize1"], Cell[BoxData[
                   \(TraditionalForm\`\({\(
                          FeynmanParameterNames \[Rule] \({a, b, c, d, e}\)\)\
, \(Method \[Rule] Denominator\), 
                         \(Integrate \[Rule] True\), \(Flatten \[Rule] True\)
                         , \(CompleteSquare \[Rule] True\)}\)\)], "Output", 
                  CellLabel -> "Out[1966]="]}, Open]]}, Open]], 
           Cell[CellGroupData[{Cell["Examples", "Subsubsection", CellTags -> 
                "FeynmanParametrize1"], Cell[BoxData[""], "Input", 
               CellLabel -> "In[1967]:=", CellTags -> 
                "FeynmanParametrize1"]}, Open]], 
           Cell["FeynmanReduce ***unfinished***", "ObjectName", 
            CellTags -> "FeynmanReduce"], Cell[CellGroupData[
             {Cell["Description", "Subsubsection", CellTags -> 
                "FeynmanReduce"], Cell["***EXPERIMENTAL***\n \
FeynmanReduce[exp,params] takes a Feynman parameterized expression exp (as \
e.g. generated with FeynmanParametrize1) and a list of Feynman parameters as \
input and attempts to simplify the expression. If no parameters are given, \
Integratedx variables in the expression will be used. Currently, reduction of \
exponentials is implemented. This will work on terms of the form \
E^p1[a,b,c,...]*p2[a,b,c,...], where p1 and p2 are fractions of polynomials \
in the Feynman parameters a,b,c,... If the option Expand is set to True, \
FeynmanReduce will attempt to bring the expression exp into a sum of such \
terms and operate on the terms one by one.", "Text", CellTags -> 
                "FeynmanReduce"], Cell[CellGroupData[{Cell[BoxData[
                   \(Options[FeynmanReduce]\)], "Input", CellLabel -> 
                   "In[1968]:=", CellTags -> "FeynmanReduce"], Cell[BoxData[
                   \(TraditionalForm\`\({\(Dimension \[Rule] D\), 
                         \(Flatten \[Rule] True\), \(Expand \[Rule] True\)}\)
                   \)], "Output", CellLabel -> "Out[1968]="]}, Open]]}, 
             Open]], Cell[CellGroupData[{Cell["Examples", "Subsubsection", 
               CellTags -> "FeynmanReduce"], Cell[BoxData[""], "Input", 
               CellLabel -> "In[1969]:=", CellTags -> "FeynmanReduce"], 
              Cell["Other objects that are considered to be ok or under \
active development:", "Text", CellTags -> "Experimental"], Cell[CellGroupData[
                {Cell[BoxData[
                   \({ChargeConjugationMatrix,\ DiracGammaT,\ SquareAmplitude
                      }\)], "Input", CellLabel -> "In[1970]:=", CellTags -> 
                   "Experimental"], Cell[BoxData[
                   \(TraditionalForm\`\({C, DiracGammaT, SquareAmplitude}\)\)]\
, "Output", CellLabel -> "Out[1970]="]}, Open]], 
              Cell["Objects that are under consideration for being \
discarded:", "Text", CellTags -> "Experimental"], Cell[CellGroupData[
                {Cell[BoxData[
                   \({$OPEWard, $AchmedRoss, Contract2, 
                       SpinSumExternalMomentum, SelectedGraphs}\)], "Input", 
                  CellLabel -> "In[1971]:=", CellTags -> "Experimental"], 
                 Cell[BoxData[
                   \(TraditionalForm\`\({False, False, Contract2, 
                         SpinSumExternalMomentum, SelectedGraphs}\)\)], 
                  "Output", CellLabel -> "Out[1971]="]}, Open]], 
              Cell[CellGroupData[{Cell["AbsoluteTime[]-absolutestarttime", 
                  "Input", CellLabel -> "In[1972]:="], Cell[BoxData[
                   \(TraditionalForm\`286.942504`8.909339877348216\)], 
                  "Output", CellLabel -> "Out[1972]="]}, Open]], 
              Cell[BoxData["\[IndentingNewLine]"], "Input", CellLabel -> 
                "In[1973]:="]}, Open]]}, Open]]}, Open]]}, Open]]}, 
 FrontEndVersion -> "5.0 for X", ScreenRectangle -> 
  {{0., 1400.}, {0., 1050.}}, ScreenStyleEnvironment -> "AllBrackets", 
 WindowToolbars -> "EditBar", EvaluationCompletionAction -> {}, 
 WindowSize -> {1388., 988.}, WindowMargins -> 
  {{0., Automatic}, {Automatic, 0.}}, PrintingStartingPageNumber -> 1, 
 PrintingPageRange -> {Automatic, Automatic}, 
 PageHeaders -> {{Inherited, Cell[TextData[ValueBox["FileName"]], "Header"], 
    Inherited}, {Inherited, Cell[TextData[ValueBox["FileName"]], "Header"], 
    Inherited}}, PageFooters -> 
  {{Inherited, Cell[TextData[ValueBox["DateLong"]], "Footer"], Inherited}, 
   {Inherited, Cell[TextData[ValueBox["DateLong"]], "Footer"], Inherited}}, 
 PrintingOptions -> {"PrintingMargins" -> {{54., 54.}, {72., 72.}}, 
   "PaperSize" -> {597.5625, 842.375}, "PaperOrientation" -> "Portrait", 
   "PrintCellBrackets" -> False, "PrintSelectionHighlighting" -> False, 
   "PrintRegistrationMarks" -> True, "PrintMultipleHorizontalPages" -> False, 
   "FirstPageHeader" -> False, "FirstPageFooter" -> True, 
   "FacingPages" -> True, "FirstPageFace" -> Left, 
   "GraphicsPrintingFormat" -> "Automatic", "Magnification" -> 1.}, 
 PrivateNotebookOptions -> {"ShortBoxForm" -> False}, ShowSelection -> True, 
 TaggingRules :> {"MakeContentsNonDefaultOptions" -> 
    {AutomaticCellTagging -> FromContent, PageNumbers -> False, 
     SaveOptions -> True, SelectCellStyles -> {"Section", "Subsection"}, 
     TOCCellStyles -> {"Contents", "Index"}}}, CellLabelAutoDelete -> True, 
 ShowCellTags -> True, Magnification -> 1.5, 
 StyleDefinitions -> "HelpBrowser.nb"]
